;;; Rockwell firmware


CLS=8
VLS=4

000000	port A (bidirectional)
000001	port B (output only)
000002	port C (bidirectional)
000003	port A direction (R/O)
000004	port D & direction control
000005	port B select (R/W)
000006	port C direction (W)
000007	port E (R/W)
000008	mask option & port E dir'n
000009	Low Power Register (LPR)
00000A	External Interrupt Register
00000B	Clear External Interrupt
00000C	PTG B Mode (R/W)
00000D	PBB (R/W)
00000E	PBUL, PBB to PBLL
00000F	PBUL PBB-PBLL Clear Download
000010	Timer A Mode
000011	TALC, TAUC-TAS, TALL
000012	TAS (R), TAUL (W)
000013	TAS, TAUL, Clear, Download
000014	Timer B Mode
000015	TBLC, TBUC-TBS, TBLL
000016	TBS (R), TBUL (W)
000017	TBS, TBUL, Clear, Download
000018	bank switch register 0 (R/W)	70 71 72 73 B0 B1 B2 77
000019	bank switch register 1 (R/W)
00001A	bank switch register 2 (R/W)
00001B	bank switch register 3 (R/W)
00001C	bank switch register 4 (R/W)
00001D	bank switch register 5 (R/W)
00001E	bank switch register 6 (R/W)
00001F	bank switch register 7 (R/W)
000020	C29 SP RAM 0, C39 Tx/Rx FIFO buf
000021	SP RAM 1
000022	SP RAM 2
000023	SP RAM 3
000024	SP RAM 4
000025	SP RAM 5
000026	SP RAM 6
000027	SP RAM 7
000028	SP RAM 8
000029	SP RAM 9
00002A	SP RAM A
00002B	SP RAM B
00002C	SP RAM C
00002D	SP RAM D
00002E	SP RAM E
00002F	host handshake register
000030	C39: FIFO status register
000031	C39: FIFO int enable reg
000032	host control register
000033	chip select fast/slow
000034	PTG A mode
000035	PAB
000036	PAUL, PAB-PALL
000037	PAUL PAB-PALL clear download
000038	serial I/O buffers
000039	serial interrupt enable
00003A	serial mode register
00003B	serial line control register
00003C	serial status register
00003D	serial form register
00003E	SOUT (RxD) divider latch (R)
00003F	SIN (TxD) divider latch (R)

000040  .word scratch_pointer_to_input_buffer_for_AT_commands

000049	.bit 0
	.bit 1	command echo
	.bit 2	allow result codes
	.bit 3	long result codes
	.bit 4
	.bit 5	pulse dialing
	.bit 6
	.bit 7	??voice

00004B	.bit 0
	.bit 1
	.bit 2
	.bit 3
	.bit 4
	.bit 5
	.bit 6
	.bit 7	long space disconnect

00004C	.bit 0	volume low
	.bit 1	volume high
	.bit 2	speaker_mode low
	.bit 3	speaker_mode high
	.bit 4	result codes 0
	.bit 5	result codes 1
	.bit 6	result codes 2
	.bit 7	result codes 3

00004D	.bit 0
	.bit 1
	.bit 2
	.bit 3
	.bit 4
	.bit 5
	.bit 6	guard tone 0
	.bit 7	guard tone 1

00004E	.bit 0	&F 0
	.bit 1	&F 1
	.bit 2
	.bit 3	&F 3?
	.bit 4
	.bit 5
	.bit 6	bell/v22 mode
	.bit 7

00004F	.bit 0
	.bit 1
	.bit 2
	.bit 3	&P 0
	.bit 4	&P 1
	.bit 5
	.bit 6
	.bit 7

000050	.bit 0
	.bit 1	automode detection on
	.bit 2	connection string 0
	.bit 3	connection string 1
	.bit 4	CID 0
	.bit 5	CID 1
	.bit 6	%% 0
	.bit 7	%% 1

000053	.bit 0	&Q 0
	.bit 1	&Q 1
	.bit 2	&Q 2
	.bit 3
	.bit 4
	.bit 5
	.bit 6
	.bit 7

000053	.bit 0	%C 0
	.bit 1	%C 1
	.bit 2	%E 0
	.bit 3	%E 1
	.bit 4
	.bit 5
	.bit 6
	.bit 7

000059	.bit 00000001
		    ^
                    serial interrupt ($0269) lock

00005E	.bit 00000100
                  ^
                 "AT"?

000069	.bit 0	CLS
	.bit 1	CLS
	.bit 2	CLS
	.bit 3	CLS
	.bit 4
	.bit 5
	.bit 6
	.bit 7

00008C	.bit 00001000
		 ^
		 got char from serial

00009B  .bit 00001000
		 ^
                 volume on?

0000A7	.word pointer_to_at_command_input buffer
0000AC	.byte some_code 'A' 'C' 'D' 'H' 'O' 'F' 'T' 'K' 0x00

000106	S0
000107	S1
000108	S2
000109	S3      <CR> character
00010a	S4
00010b	S5
00010c	S6
00010d	S7
00010f	S8
00010f	S9
000110	S10
000111	S11
000112	S12
000113	S13 ?
00011c	S29	Flash dial modifier timer

000181	.word pointer to caller id printout?

000202	.word delay for [5D.0]
000204	.word delay for [5D.1]
000206	.word delay for [5D.2]
000208	.word delay for [5D.3]
00020A	.word delay for [5D.4]
00020C	.word delay for [5D.5]
00020E	.word delay for [5D.6]
000210	.word delay for [5D.7]
000212	.word delay for [5E.0]
000214	.word delay for [5E.1]

000242	.word indirect_calls

000290	.word timer vector?
000269	.word pointer to character input&echo

00037E	.byte length_after_AT

000600	DSP interface memory
	...
00061F

	0007FE 00		brk
	0007FF 55 4C		eor $4C,x
	000801 15 08		ora $08,x		;Cx9	mask option & port E dir'n
	000803 EA		nop
	000804 EA		nop
	000805 EA		nop
	000806 4C 1E 08		jmp $081E

000809	000809 EA		nop
	00080A EA		nop
	00080B EA		nop
	00080C 20 59 E5		jsr $E559
	00080F 20 00 08		jsr $0800
	000812 4C 59 E5		jmp $E559

000815	000815 20 6C E5		jsr $E56C
	000818 20 00 08		jsr $0800
	00081B 4C 6C E5		jmp $E56C

00081E	00081E 20 82 E5		jsr $E582
	000821 20 00 08		jsr $0800
	000824 4C 82 E5		jmp $E582

000827	000827 4C 3C 08		jmp $083C

00082A	00082A EA		nop
	00082B EA		nop
	00082C EA		nop
	00082D 4C 45 08		jmp $0845

000830	000830 EA		nop
	000831 EA		nop
	000832 EA		nop
	000833 20 59 E5		jsr $E559
	000836 20 00 08		jsr $0800
	000839 4C 59 E5		jmp $E559

00083C	00083C 20 6C E5		jsr $E56C
	00083F 20 00 08		jsr $0800
	000842 4C 6C E5		jmp $E56C

000845	000845 20 82 E5		jsr $E582
	000848 20 00 08		jsr $0800
	00084B 4C 82 E5		jmp $E582

00084E	00084E 4C 63 08		jmp $0863

000851	000851 EA		nop
	000852 EA		nop
	000853 EA		nop
	000854 4C 6C 08		jmp $086C

000857	000857 EA		nop
	000858 EA		nop
	000859 EA		nop
	00085A 20 59 E5		jsr $E559
	00085D 20 00 08		jsr $0800
	000860 4C 59 E5		jmp $E559

000863	000863 20 6C E5		jsr $E56C
	000866 20 00 08		jsr $0800
	000869 4C 6C E5		jmp $E56C

00086C	00086C 20 82 E5		jsr $E582
	00086F 20 00 08		jsr $0800
	000872 4C 82 E5		jmp $E582

000875	000875 4C 8A 08		jmp $088A

000878	000878 EA		nop
	000879 EA		nop
	00087A EA		nop
	00087B 4C 93 08		jmp $0893

00087E	00087E EA		nop
	00087F EA		nop
	000880 EA		nop
	000881 20 59 E5		jsr $E559
	000884 20 00 08		jsr $0800
	000887 4C 59 E5		jmp $E559

00088A	00088A 20 6C E5		jsr $E56C
	00088D 20 00 08		jsr $0800
	000890 4C 6C E5		jmp $E56C

000893	000893 20 82 E5		jsr $E582
	000896 20 00 08		jsr $0800
	000899 4C 82 E5		jmp $E582

00089C	00089C 4C B1 08		jmp $08B1

00089F	00089F EA		nop
	0008A0 EA		nop
	0008A1 EA		nop
	0008A2 4C BA 08		jmp $08BA

0008A5	0008A5 EA		nop
	0008A6 EA		nop
	0008A7 EA		nop
	0008A8 20 59 E5		jsr $E559
	0008AB 20 00 08		jsr $0800
	0008AE 4C 59 E5		jmp $E559

0008B1	0008B1 20 6C E5		jsr $E56C
	0008B4 20 00 08		jsr $0800
	0008B7 4C 6C E5		jmp $E56C

0008BA	0008BA 20 82 E5		jsr $E582
	0008BD 20 00 08		jsr $0800
	0008C0 4C 82 E5		jmp $E582

0008C3	0008C3 4C D2 08		jmp $08D2

0008C6	0008C6 EA		nop
	0008C7 EA		nop
	0008C8 EA		nop
	0008C9 20 59 E5		jsr $E559
	0008CC 20 00 08		jsr $0800
	0008CF 4C 59 E5		jmp $E559

0008D2	0008D2 20 6C E5		jsr $E56C
	0008D5 20 00 08		jsr $0800
	0008D8 4C 6C E5		jmp $E56C

0008DB	0008DB 20 82 E5		jsr $E582
	0008DE 20 00 08		jsr $0800
	0008E1 4C 82 E5		jmp $E582

0008E4	0008E4 4C F3 08		jmp $08F3

0008E7	0008E7 EA		nop
	0008E8 EA		nop
	0008E9 EA		nop
	0008EA 20 59 E5		jsr $E559
	0008ED 20 00 08		jsr $0800
	0008F0 4C 59 E5		jmp $E559

0008F3	0008F3 20 6C E5		jsr $E56C
	0008F6 20 00 08		jsr $0800
	0008F9 4C 6C E5		jmp $E56C

0008FC	0008FC 20 82 E5		jsr $E582
	0008FF 20 00 08		jsr $0800
	000902 4C 82 E5		jmp $E582

000905	000905 4C 14 09		jmp $0914

000908	000908 EA		nop
	000909 EA		nop
	00090A EA		nop
	00090B 20 59 E5		jsr $E559
	00090E 20 00 08		jsr $0800
	000911 4C 59 E5		jmp $E559

000914	000914 20 6C E5		jsr $E56C
	000917 20 00 08		jsr $0800
	00091A 4C 6C E5		jmp $E56C

00091D	00091D 20 82 E5		jsr $E582
	000920 20 00 08		jsr $0800
	000923 4C 82 E5		jmp $E582

000926	000926 4C 35 09		jmp $0935

000929	000929 EA		nop
	00092A EA		nop
	00092B EA		nop
	00092C 20 59 E5		jsr $E559
	00092F 20 00 08		jsr $0800
	000932 4C 59 E5		jmp $E559

000935	000935 20 6C E5		jsr $E56C
	000938 20 00 08		jsr $0800
	00093B 4C 6C E5		jmp $E56C

00093E	00093E 20 82 E5		jsr $E582
	000941 20 00 08		jsr $0800
	000944 4C 82 E5		jmp $E582

000947	000947 4C 56 09		jmp $0956

00094A	00094A EA		nop
	00094B EA		nop
	00094C EA		nop
	00094D 20 59 E5		jsr $E559
	000950 20 00 08		jsr $0800
	000953 4C 59 E5		jmp $E559

000956	000956 20 6C E5		jsr $E56C
	000959 20 00 08		jsr $0800
	00095C 4C 6C E5		jmp $E56C

00095F	00095F 20 82 E5		jsr $E582
	000962 20 00 08		jsr $0800
	000965 4C 82 E5		jmp $E582

000968	000968 4C 77 09		jmp $0977

00096B	00096B EA		nop
	00096C EA		nop
	00096D EA		nop
	00096E 20 59 E5		jsr $E559
	000971 20 00 08		jsr $0800
	000974 4C 59 E5		jmp $E559

000977	000977 20 6C E5		jsr $E56C
	00097A 20 00 08		jsr $0800
	00097D 4C 6C E5		jmp $E56C

000980	000980 20 82 E5		jsr $E582
	000983 20 00 08		jsr $0800
	000986 4C 82 E5		jmp $E582

000989	000989 4C 98 09		jmp $0998

00098C	00098C EA		nop
	00098D EA		nop
	00098E EA		nop
	00098F 20 59 E5		jsr $E559
	000992 20 00 08		jsr $0800
	000995 4C 59 E5		jmp $E559

000998	000998 20 6C E5		jsr $E56C
	00099B 20 00 08		jsr $0800
	00099E 4C 6C E5		jmp $E56C

0009A1	0009A1 20 82 E5		jsr $E582
	0009A4 20 00 08		jsr $0800
	0009A7 4C 82 E5		jmp $E582

0009AA	0009AA 4C 3A E5		jmp $E53A
0009AD	0009AD 4C 9F E5		jmp $E59F
0009B0	0009B0 4C 01 E6		jmp $E601
0009B3	0009B3 4C 66 E6		jmp $E666

0009B6	0009B6 20 B3 0B		jsr $0BB3
	0009B9 A9 A0		lda #$A0
	0009BB 20 42 0B		jsr $0B42
	0009BE 48		pha
	0009BF 20 CB 0B		jsr $0BCB
	0009C2 D7 68		smb 5,$68
	0009C4 18		clc
	0009C5 68		pla
	0009C6 F0 05		beq $0009cd
	0009C8 77 01		rmb 7,$01		;Cx9	port B (output only)
	0009CA 57 68		rmb 5,$68
	0009CC 38		sec
0009CD	0009CD 60		rts

0009CE	0009CE B2 01 40		sti #$01,$40
	0009D1 B2 00 41		sti #$00,$41
	0009D4 20 60 11		jsr $1160
	0009D7 C9 A5		cmp #$A5
	0009D9 D0 1B		bne $0009f6
	0009DB B2 02 40		sti #$02,$40
	0009DE B2 00 41		sti #$00,$41
	0009E1 20 60 11		jsr $1160
	0009E4 85 40		sta $40
	0009E6 AD 91 14		lda $1491
	0009E9 F2 2E 01 01 02	bas $012E,$01,$0009f0
	0009EE 89 01		add #$01
0009F0	0009F0 C5 40		cmp $40
	0009F2 D0 02		bne $0009f6
	0009F4 38		sec
	0009F5 60		rts

0009F6	0009F6 18		clc
	0009F7 60		rts

0009F8	0009F8 20 75 6A		jsr $6A75
	0009FB A0 00		ldy #$00
	0009FD 20 58 12		jsr $1258
	000A00 AD 5A 04		lda $045A
	000A03 C9 FF		cmp #$FF
	000A05 D0 12		bne $000a19
	000A07 A9 07		lda #$07
	000A09 8D 5B 04		sta $045B
	000A0C 20 6D FD		jsr $FD6D
	000A0F A9 03		lda #$03
	000A11 8D 5F 04		sta $045F
	000A14 A9 C0		lda #$C0
	000A16 8D 60 04		sta $0460
000A19	000A19 5F 68 17		bbr 5,$68,$000a33
	000A1C 20 CE 09		jsr $09CE
	000A1F B0 05		bcs $000a26
	000A21 20 B7 11		jsr $11B7
	000A24 80 0D		bra $000a33

000A26	000A26 AD 5A 04		lda $045A
	000A29 C9 FF		cmp #$FF
	000A2B D0 03		bne $000a30
	000A2D 20 8B 11		jsr $118B
000A30	000A30 20 6D 0E		jsr $0E6D
000A33	000A33 20 54 11		jsr $1154
	000A36 8D 25 01		sta $0125
	000A39 20 6E 11		jsr $116E
	000A3C 8D 26 01		sta $0126
	000A3F 20 A1 11		jsr $11A1
	000A42 0A		asl a
	000A43 0A		asl a
	000A44 0A		asl a
	000A45 0A		asl a
	000A46 48		pha
	000A47 A9 CF		lda #$CF
	000A49 25 69		and $69
	000A4B 85 69		sta $69
	000A4D 68		pla
	000A4E 05 69		ora $69
	000A50 85 69		sta $69
	000A52 AD 5A 04		lda $045A
	000A55 C9 FF		cmp #$FF
	000A57 D0 03		bne $000a5c
	000A59 20 8D 6F		jsr $6F8D
000A5C	000A5C AD 5F 04		lda $045F
	000A5F 85 3B		sta $3B			;Cx9	serial line control register
	000A61 AD 60 04		lda $0460
	000A64 85 3A		sta $3A			;Cx9	serial mode register
	000A66 20 60 FD		jsr $FD60
	000A69 B0 02		bcs $000a6d
	000A6B A7 63		smb 2,$63
000A6D	000A6D A5 53		lda $53
	000A6F 29 07		and #$07
	000A71 8D B9 03		sta $03B9
	000A74 17 6B		rmb 1,$6B
	000A76 AD 90 14		lda $1490
	000A79 29 01		and #$01
	000A7B F0 02		beq $000a7f
	000A7D 97 6B		smb 1,$6B
000A7F	000A7F 20 2D 0C		jsr $0C2D
	000A82 20 75 14		jsr $1475
	000A85 A9 00		lda #$00
	000A87 60		rts

000A88	000A88 AD 8F 14		lda $148F
	000A8B 85 48		sta $48
	000A8D 60		rts

000A8E	000A8E 5A		phy
	000A8F 20 B3 0B		jsr $0BB3
	000A92 20 A5 0B		jsr $0BA5
	000A95 29 FE		and #$FE
	000A97 20 42 0B		jsr $0B42
	000A9A 8A		txa
	000A9B 64 40		add $40
	000A9D 20 42 0B		jsr $0B42
	000AA0 20 B3 0B		jsr $0BB3
	000AA3 20 A5 0B		jsr $0BA5
	000AA6 20 42 0B		jsr $0B42
	000AA9 20 71 0B		jsr $0B71
	000AAC 20 CB 0B		jsr $0BCB
	000AAF 7A		ply
	000AB0 29 FF		and #$FF
	000AB2 60		rts

;;; store 'a' in NVRAM?

000AB3	000AB3 84 46		sty $46
	000AB5 85 47		sta $47
	000AB7 A5 44		lda $44
	000AB9 48		pha
	000ABA A5 40		lda $40
	000ABC 48		pha
	000ABD A5 41		lda $41
	000ABF 48		pha
	000AC0 A5 42		lda $42
	000AC2 85 40		sta $40
	000AC4 A5 43		lda $43
	000AC6 85 41		sta $41
	000AC8 20 8E 0A		jsr $0A8E
	000ACB C5 47		cmp $47
	000ACD F0 05		beq $000ad4
	000ACF A5 47		lda $47
	000AD1 20 EA 0A		jsr $0AEA
000AD4	000AD4 A5 40		lda $40
	000AD6 85 42		sta $42
	000AD8 A5 41		lda $41
	000ADA 85 43		sta $43
	000ADC 68		pla
	000ADD 85 41		sta $41
	000ADF 68		pla
	000AE0 85 40		sta $40
	000AE2 68		pla
	000AE3 85 44		sta $44
	000AE5 A5 47		lda $47
	000AE7 A0 00		ldy #$00
	000AE9 60		rts

000AEA	000AEA 48		pha
	000AEB A9 A0		lda #$A0
	000AED 8D C2 03		sta $03C2
	000AF0 20 B3 0B		jsr $0BB3
	000AF3 20 93 0B		jsr $0B93
	000AF6 20 42 0B		jsr $0B42
	000AF9 8A		txa
	000AFA 64 42		add $42
	000AFC 20 42 0B		jsr $0B42
	000AFF 68		pla
	000B00 20 42 0B		jsr $0B42
	000B03 20 CB 0B		jsr $0BCB
	000B06 DA		phx
	000B07 A2 01		ldx #$01
	000B09 20 B6 F2		jsr $F2B6
	000B0C FA		plx
	000B0D 60		rts

000B0E	000B0E A5 A2		lda $A2
	000B10 4A		lsr a
	000B11 4A		lsr a
	000B12 80 26		bra $000b3a

000B14	000B14 4A		lsr a
	000B15 90 04		bcc $000b1b
	000B17 C7 01		smb 4,$01		;Cx9	port B (output only)
	000B19 80 02		bra $000b1d

000B1B	000B1B 47 01		rmb 4,$01		;Cx9	port B (output only)
000B1D	000B1D 4A		lsr a
	000B1E 90 04		bcc $000b24
	000B20 D7 01		smb 5,$01		;Cx9	port B (output only)
	000B22 80 16		bra $000b3a

000B24	000B24 57 01		rmb 5,$01		;Cx9	port B (output only)
	000B26 80 12		bra $000b3a

000B28	000B28 4A		lsr a
	000B29 90 04		bcc $000b2f
	000B2B A7 07		smb 2,$07		;Cx9	port E (R/W)
	000B2D 80 02		bra $000b31

000B2F	000B2F 27 07		rmb 2,$07		;Cx9	port E (R/W)
000B31	000B31 4A		lsr a
	000B32 90 04		bcc $000b38
	000B34 B7 07		smb 3,$07		;Cx9	port E (R/W)
	000B36 80 02		bra $000b3a

000B38	000B38 37 07		rmb 3,$07		;Cx9	port E (R/W)
000B3A	000B3A A5 A2		lda $A2
	000B3C 20 C0 E3		jsr $E3C0
	000B3F B0 00		bcs $000b41
000B41	000B41 60		rts

000B42	000B42 20 F1 0B		jsr $0BF1
	000B45 A0 08		ldy #$08
000B47	000B47 2A		rol a
	000B48 90 04		bcc $000b4e
	000B4A 97 00		smb 1,$00		;Cx9	port A (bidirectional)
	000B4C 80 02		bra $000b50

000B4E	000B4E 17 00		rmb 1,$00		;Cx9	port A (bidirectional)
000B50	000B50 20 E3 0B		jsr $0BE3
	000B53 88		dey
	000B54 D0 F1		bne $000b47
	000B56 2A		rol a
	000B57 77 00		rmb 7,00		;Cx9	port A (bidirectional)
	000B59 20 00 0C		jsr $0C00
	000B5C A9 00		lda #$00
	000B5E 20 0F 0C		jsr $0C0F
	000B61 F7 00		smb 7,$00		;Cx9	port A (bidirectional)
	000B63 20 0F 0C		jsr $0C0F
	000B66 1F 00 02		bbr 1,$00,$000b6b	;Cx9	port A (bidirectional)
	000B69 A9 FF		lda #$FF
000B6B	000B6B 77 00		rmb 7,00		;Cx9	port A (bidirectional)
	000B6D 20 1B 0C		jsr $0C1B
	000B70 60		rts

000B71	000B71 20 00 0C		jsr $0C00
	000B74 5A		phy
	000B75 A0 08		ldy #$08
	000B77 A9 00		lda #$00
000B79	000B79 77 00		rmb 7,$00		;Cx9	port A (bidirectional)
	000B7B 20 0F 0C		jsr $0C0F
	000B7E F7 00		smb 7,$00		;Cx9	port A (bidirectional)
	000B80 20 0F 0C		jsr $0C0F
	000B83 9F 00 04		bbs 1,$00,$000b8a	;Cx9	port A (bidirectional)
	000B86 18		clc
	000B87 2A		rol a
	000B88 80 02		bra $000b8c

000B8A	000B8A 38		sec
	000B8B 2A		rol a
000B8C	000B8C 88		dey
	000B8D D0 EA		bne $000b79
	000B8F 77 00		rmb 7,00		;Cx9	port A (bidirectional)
	000B91 7A		ply
	000B92 60		rts

000B93	000B93 8A		txa
	000B94 64 42		add $42
	000B96 A9 00		lda #$00
	000B98 65 43		adc $43
	000B9A 29 07		and #$07
	000B9C 18		clc
	000B9D 2A		rol a
	000B9E 0D C2 03		ora $03C2
	000BA1 8D C2 03		sta $03C2
	000BA4 60		rts

000BA5	000BA5 8A		txa
	000BA6 64 40		add $40
	000BA8 A9 00		lda #$00
	000BAA 65 41		adc $41
	000BAC 29 07		and #$07
	000BAE 18		clc
	000BAF 2A		rol a
	000BB0 09 A1		ora #$A1
	000BB2 60		rts

000BB3	000BB3 20 F1 0B		jsr $0BF1
	000BB6 97 00		smb 1,$00		;Cx9	port A (bidirectional)
	000BB8 20 1B 0C		jsr $0C1B
	000BBB F7 00		smb 7,$00		;Cx9	port A (bidirectional)
	000BBD 20 0F 0C		jsr $0C0F
	000BC0 17 00		rmb 1,$00		;Cx9	port A (bidirectional)
	000BC2 20 0F 0C		jsr $0C0F
	000BC5 77 00		rmb 7,00		;Cx9	port A (bidirectional)
	000BC7 20 1B 0C		jsr $0C1B
	000BCA 60		rts

000BCB	000BCB 20 F1 0B		jsr $0BF1
	000BCE 17 00		rmb 1,$00		;Cx9	port A (bidirectional)
	000BD0 20 1B 0C		jsr $0C1B
	000BD3 F7 00		smb 7,$00		;Cx9	port A (bidirectional)
	000BD5 20 0F 0C		jsr $0C0F
	000BD8 97 00		smb 1,$00		;Cx9	port A (bidirectional)
	000BDA 20 0F 0C		jsr $0C0F
	000BDD 20 1B 0C		jsr $0C1B
	000BE0 4C 00 0C		jmp $0C00

000BE3	000BE3 20 0F 0C		jsr $0C0F
	000BE6 F7 00		smb 7,$00		;Cx9	port A (bidirectional)
	000BE8 20 0F 0C		jsr $0C0F
	000BEB 77 00		rmb 7,00		;Cx9	port A (bidirectional)
	000BED 20 1B 0C		jsr $0C1B
	000BF0 60		rts

000BF1	000BF1 08		php
	000BF2 78		sei
	000BF3 48		pha
	000BF4 D2 02 00 02	sba $02,$0200
	000BF8 AD 00 02		lda $0200
	000BFB 85 04		sta $04			;Cx9	port D & direction control
	000BFD 68		pla
	000BFE 28		plp
	000BFF 60		rts

000C00	000C00 08		php
	000C01 78		sei
	000C02 48		pha
	000C03 C2 02 00 02	rba $02,$0200
	000C07 AD 00 02		lda $0200
	000C0A 85 04		sta $04			;Cx9	port D & direction control
	000C0C 68		pla
	000C0D 28		plp
	000C0E 60		rts

000C0F	000C0F 20 1B 0C		jsr $0C1B
	000C12 20 1B 0C		jsr $0C1B
	000C15 20 1B 0C		jsr $0C1B
	000C18 20 1B 0C		jsr $0C1B
	000C1B CB		phi
	000C1C DB		pli
	000C1D 60		rts

000C1E	000C1E 20 53 12		jsr $1253
	000C21 20 54 11		jsr $1154
	000C24 8D 25 01		sta $0125
	000C27 20 6E 11		jsr $116E
	000C2A 8D 26 01		sta $0126
	000C2D A9 1F		lda #$1F
	000C2F 8D 5D 04		sta $045D
	000C32 A9 08		lda #$08
	000C34 8D 5E 04		sta $045E
	000C37 AD 21 01		lda $0121
	000C3A C9 88		cmp #$88
	000C3C D0 02		bne $000c40
	000C3E 17 55		rmb 1,$55
000C40	000C40 C9 8A		cmp #$8A
	000C42 D0 02		bne $000c46
	000C44 97 55		smb 1,$55
000C46	000C46 A5 52		lda $52
	000C48 C9 04		cmp #$04
	000C4A F0 04		beq $000c50
	000C4C C9 0D		cmp #$0D
	000C4E 90 03		bcc $000c53
000C50	000C50 B2 00 52		sti #$00,$52
000C53	000C53 20 AD 0C		jsr $0CAD
	000C56 9F 62 0F		bbs 1,$62,$000c68
	000C59 A9 03		lda #$03
	000C5B 8D 73 9A		sta $9A73
	000C5E A9 08		lda #$08
	000C60 8D 74 9A		sta $9A74
	000C63 A9 20		lda #$20' '
	000C65 8D 76 9A		sta $9A76
000C68	000C68 FF 49 02		bbs 7,$49,$000c6d
	000C6B A7 80		smb 2,$80
000C6D	000C6D F7 6B		smb 7,$6B
	000C6F A5 56		lda $56
	000C71 85 79		sta $79
	000C73 67 79		rmb 6,$79
	000C75 77 79		rmb 7,79
	000C77 0F 50 06		bbr 0,$50,$000c80
	000C7A A9 00		lda #$00
	000C7C 85 79		sta $79
	000C7E 80 15		bra $000c95

000C80	000C80 2F 50 04		bbr 2,$50,$000c87
	000C83 B7 79		smb 3,$79
	000C85 A7 79		smb 2,$79
000C87	000C87 3F 50 02		bbr 3,$50,$000c8c
	000C8A 87 79		smb 0,$79
000C8C	000C8C EF 4C 06		bbs 6,$4C,$000c95
	000C8F A9 00		lda #$00
	000C91 85 79		sta $79
	000C93 E7 79		smb 6,$79
000C95	000C95 20 00 0D		jsr $0D00
	000C98 20 1C 0D		jsr $0D1C
	000C9B 20 65 0D		jsr $0D65
	000C9E 20 35 0E		jsr $0E35
	000CA1 20 CC FC		jsr $FCCC
	000CA4 20 E0 0D		jsr $0DE0
	000CA7 20 54 14		jsr $1454		;! blink AA
	000CAA 4C EA 69		jmp $69EA

000CAD	000CAD AD 84 01		lda $0184
	000CB0 29 60		and #$60'`'
	000CB2 8D 84 01		sta $0184
	000CB5 A5 54		lda $54
	000CB7 29 03		and #$03
	000CB9 C9 02		cmp #$02
	000CBB D0 02		bne $000cbf
	000CBD A9 03		lda #$03
000CBF	000CBF 0D 84 01		ora $0184
	000CC2 8D 84 01		sta $0184
	000CC5 A5 54		lda $54
	000CC7 29 04		and #$04
	000CC9 4A		lsr a
	000CCA 4A		lsr a
	000CCB F0 04		beq $000cd1
	000CCD D2 04 84 01	sba $04,$0184
000CD1	000CD1 A5 55		lda $55
	000CD3 29 80		and #$80
	000CD5 4A		lsr a
	000CD6 4A		lsr a
	000CD7 4A		lsr a
	000CD8 4A		lsr a
	000CD9 4A		lsr a
	000CDA 4A		lsr a
	000CDB 4A		lsr a
	000CDC F0 04		beq $000ce2
	000CDE D2 80 84 01	sba $80,$0184
000CE2	000CE2 C2 08 84 01	rba $08,$0184
	000CE6 A5 4F		lda $4F
	000CE8 29 C0		and #$C0
	000CEA 4A		lsr a
	000CEB 4A		lsr a
	000CEC 4A		lsr a
	000CED 4A		lsr a
	000CEE 4A		lsr a
	000CEF 4A		lsr a
	000CF0 C9 01		cmp #$01
	000CF2 D0 08		bne $000cfc
	000CF4 C2 80 28 01	rba $80,$0128
	000CF8 D2 08 84 01	sba $08,$0184
000CFC	000CFC 20 AB E0		jsr $E0AB
	000CFF 60		rts

000D00	000D00 AD 08 01		lda $0108
	000D03 20 BE E2		jsr $E2BE
	000D06 8D B6 03		sta $03B6
	000D09 AD 1E 01		lda $011E
	000D0C 20 BE E2		jsr $E2BE
	000D0F 8D B7 03		sta $03B7
	000D12 AD 1F 01		lda $011F
	000D15 20 BE E2		jsr $E2BE
	000D18 8D B8 03		sta $03B8
	000D1B 60		rts

000D1C	000D1C 37 6A		rmb 3,$6A
	000D1E 87 62		smb 0,$62
	000D20 A5 4E		lda $4E
	000D22 29 0B		and #$0B
	000D24 F0 0C		beq $000d32
	000D26 C9 08		cmp #$08
	000D28 B0 08		bcs $000d32
	000D2A C9 01		cmp #$01
	000D2C D0 06		bne $000d34
	000D2E B7 6A		smb 3,$6A
	000D30 80 02		bra $000d34

000D32	000D32 07 62		rmb 0,$62
000D34	000D34 A9 00		lda #$00
	000D36 20 44 FD		jsr $FD44
	000D39 9F 61 09		bbs 1,$61,$000d45
	000D3C DF 4F 04		bbs 5,$4F,$000d43
	000D3F 77 80		rmb 7,80
	000D41 80 02		bra $000d45

000D43	000D43 F7 80		smb 7,$80
000D45	000D45 2F 63 1C		bbr 2,$63,$000d64
	000D48 A5 4B		lda $4B
	000D4A 29 18		and #$18
	000D4C 4A		lsr a
	000D4D 4A		lsr a
	000D4E 4A		lsr a
	000D4F C9 02		cmp #$02
	000D51 F0 0C		beq $000d5f
	000D53 A5 4E		lda $4E
	000D55 29 0B		and #$0B
	000D57 C9 08		cmp #$08
	000D59 B0 07		bcs $000d62
	000D5B C9 02		cmp #$02
	000D5D 90 03		bcc $000d62
000D5F	000D5F C7 68		smb 4,$68
	000D61 60		rts

000D62	000D62 47 68		rmb 4,$68
000D64	000D64 60		rts

000D65	000D65 A5 69		lda $69
	000D67 29 07		and #$07
	000D69 D0 62		bne $000dcd
	000D6B 3F 9B 05		bbr 3,$9B,$000d73
	000D6E 20 6D EF		jsr $EF6D
	000D71 80 5A		bra $000dcd

000D73	000D73 A9 00		lda #$00
	000D75 8D 88 03		sta $0388
	000D78 8D 89 03		sta $0389
	000D7B AD 1D 01		lda $011D
	000D7E F0 4D		beq $000dcd
	000D80 85 40		sta $40
	000D82 B2 00 41		sti #$00,$41
	000D85 A5 40		lda $40
	000D87 85 42		sta $42
	000D89 A5 41		lda $41
	000D8B 85 43		sta $43
	000D8D A9 02		lda #$02
	000D8F F0 09		beq $000d9a
000D91	000D91 06 40		asl $40
	000D93 26 41		rol $41
	000D95 38		sec
	000D96 E9 01		sbc #$01
	000D98 D0 F7		bne $000d91
000D9A	000D9A 18		clc
	000D9B A5 40		lda $40
	000D9D 65 42		adc $42
	000D9F 85 40		sta $40
	000DA1 A5 41		lda $41
	000DA3 65 43		adc $43
	000DA5 85 41		sta $41
	000DA7 A9 01		lda #$01
	000DA9 F0 09		beq $000db4
000DAB	000DAB 06 40		asl $40
	000DAD 26 41		rol $41
	000DAF 38		sec
	000DB0 E9 01		sbc #$01
	000DB2 D0 F7		bne $000dab
000DB4	000DB4 A5 40		lda $40
	000DB6 8D 88 03		sta $0388
	000DB9 A5 41		lda $41
	000DBB 8D 89 03		sta $0389
	000DBE 1F 61 0C		bbr 1,$61,$000dcd
	000DC1 A5 40		lda $40
	000DC3 8D 30 02		sta $0230
	000DC6 A5 41		lda $41
	000DC8 8D 31 02		sta $0231
	000DCB 77 5F		rmb 7,5F
000DCD	000DCD AD 19 01		lda $0119
	000DD0 F0 0D		beq $000ddf
	000DD2 CF 61 0A		bbs 4,$61,$000ddf
	000DD5 8D 26 02		sta $0226
	000DD8 A9 00		lda #$00
	000DDA 8D 27 02		sta $0227
	000DDD 27 5F		rmb 2,$5F
000DDF	000DDF 60		rts

000DE0	000DE0 A5 4C		lda $4C
	000DE2 29 03		and #$03
	000DE4 48		pha
	000DE5 89 80		add #$80
	000DE7 8D 76 04		sta $0476
	000DEA 8D 77 04		sta $0477
	000DED 68		pla
	000DEE E2 31 01 20 01	bar $0131,$20,$000df4
	000DF3 60		rts

000DF4	000DF4 F2 52 01 01 3B	bas $0152,$01,$000e34
	000DF9 3F 9B 09		bbr 3,$9B,$000e05
	000DFC 4F 61 35		bbr 4,$61,$000e34
	000DFF 1F 61 0C		bbr 1,$61,$000e0e
	000E02 4C C6 49		jmp $49C6

000E05	000E05 4F 61 2C		bbr 4,$61,$000e34
	000E08 A5 69		lda $69
	000E0A 29 07		and #$07
	000E0C D0 26		bne $000e34
000E0E	000E0E A5 4C		lda $4C
	000E10 29 0C		and #$0C
	000E12 4A		lsr a
	000E13 4A		lsr a
	000E14 F0 1B		beq $000e31
	000E16 C9 02		cmp #$02
	000E18 F0 0F		beq $000e29
	000E1A C9 03		cmp #$03
	000E1C D0 04		bne $000e22
	000E1E A9 00		lda #$00
	000E20 80 0F		bra $000e31

000E22	000E22 1F 61 04		bbr 1,$61,$000e29
	000E25 A9 00		lda #$00
	000E27 80 08		bra $000e31

000E29	000E29 A5 4C		lda $4C
	000E2B 29 03		and #$03
	000E2D D0 02		bne $000e31
	000E2F A9 01		lda #$01
000E31	000E31 20 B8 FC		jsr $FCB8
000E34	000E34 60		rts

000E35	000E35 A5 4A		lda $4A
	000E37 D0 29		bne $000e62
	000E39 9F 61 2C		bbs 1,$61,$000e68
	000E3C 20 41 FD		jsr $FD41
	000E3F A5 4E		lda $4E
	000E41 29 0B		and #$0B
	000E43 C9 08		cmp #$08
	000E45 F0 03		beq $000e4a
	000E47 5F 4B 05		bbr 5,$4B,$000e4f
000E4A	000E4A 20 2F FD		jsr $FD2F
	000E4D 80 03		bra $000e52

000E4F	000E4F 20 2C FD		jsr $FD2C
000E52	000E52 A5 4E		lda $4E
	000E54 29 0B		and #$0B
	000E56 C9 08		cmp #$08
	000E58 F0 03		beq $000e5d
	000E5A 6F 4B 05		bbr 6,$4B,$000e62
000E5D	000E5D 20 23 FD		jsr $FD23
	000E60 80 06		bra $000e68

000E62	000E62 AF 4A 03		bbs 2,$4A,$000e68
	000E65 20 20 FD		jsr $FD20
000E68	000E68 60		rts

;;;

000E69		08 00 34 00

	000E6D 0A		asl a
	000E6E A8		tay
	000E6F B9 69 0E		lda $0E69,y
	000E72 85 40		sta $40
	000E74 B9 6A 0E		lda $0E6A,y
	000E77 85 41		sta $41
	000E79 A2 00		ldx #$00
000E7B	000E7B BD C5 0F		lda $0FC5,x
	000E7E DA		phx
	000E7F 20 7B 10		jsr $107B
	000E82 FA		plx
	000E83 90 03		bcc $000e88
	000E85 4C 0A 0F		jmp $0F0A

000E88	000E88 20 8E 0A		jsr $0A8E
	000E8B 81 44		sta ($44)
	000E8D E8		inx
	000E8E E0 1D		cpx #$1D
	000E90 D0 E9		bne $000e7b
	000E92 20 8E 0A		jsr $0A8E
	000E95 8D 34 01		sta $0134
	000E98 E8		inx
	000E99 20 8E 0A		jsr $0A8E
	000E9C 8D 3C 01		sta $013C
	000E9F E8		inx
	000EA0 20 8E 0A		jsr $0A8E
	000EA3 8D 35 01		sta $0135
	000EA6 E8		inx
	000EA7 20 8E 0A		jsr $0A8E
	000EAA 8D 36 01		sta $0136
	000EAD E8		inx
	000EAE 20 8E 0A		jsr $0A8E
	000EB1 8D 37 01		sta $0137
	000EB4 E8		inx
	000EB5 DA		phx
	000EB6 20 7A 54		jsr $547A
	000EB9 8D 3B 01		sta $013B
	000EBC FA		plx
	000EBD 20 8E 0A		jsr $0A8E
	000EC0 8D 4C 01		sta $014C
	000EC3 E8		inx
	000EC4 20 8E 0A		jsr $0A8E
	000EC7 8D CA 04		sta $04CA		;Cx9 CRC	control area
	000ECA E8		inx
	000ECB 20 8E 0A		jsr $0A8E
	000ECE 8D 52 01		sta $0152
	000ED1 E8		inx
	000ED2 20 8E 0A		jsr $0A8E
	000ED5 8D 54 01		sta $0154
	000ED8 E8		inx
	000ED9 20 8E 0A		jsr $0A8E
	000EDC 8D 55 01		sta $0155
	000EDF E8		inx
	000EE0 20 8E 0A		jsr $0A8E
	000EE3 8D 56 01		sta $0156
	000EE6 E8		inx
	000EE7 20 8E 0A		jsr $0A8E
	000EEA 8D BB 00		sta $00BB
	000EED E8		inx
	000EEE 20 8E 0A		jsr $0A8E
	000EF1 8D 5A 01		sta $015A
	000EF4 AD 5A 04		lda $045A
	000EF7 C9 FF		cmp #$FF
	000EF9 D0 0E		bne $000f09
	000EFB 20 8E 0A		jsr $0A8E
	000EFE 8D 5B 04		sta $045B
	000F01 E8		inx
	000F02 20 8E 0A		jsr $0A8E
	000F05 8D 5F 04		sta $045F
	000F08 E8		inx
000F09	000F09 60		rts

000F0A	000F0A 80 FE		bra $000f0a

;;; --- `AT&W'

000F0C	000F0C 48		pha
	000F0D A5 69		lda $69
	000F0F 29 30		and #$30'0'
	000F11 4A		lsr a
	000F12 4A		lsr a
	000F13 4A		lsr a
	000F14 4A		lsr a
	000F15 20 AF 11		jsr $11AF
	000F18 68		pla
	000F19 0A		asl a
	000F1A A8		tay
	000F1B B9 69 0E		lda $0E69,y
	000F1E 85 42		sta $42
	000F20 B9 6A 0E		lda $0E6A,y
	000F23 85 43		sta $43
	000F25 A2 00		ldx #$00
000F27	000F27 BD C5 0F		lda $0FC5,x
	000F2A DA		phx
	000F2B 20 7B 10		jsr $107B
	000F2E FA		plx
	000F2F B0 D9		bcs $000f0a
	000F31 A1 44		lda ($44)
	000F33 20 B3 0A		jsr $0AB3
	000F36 E8		inx
	000F37 E0 1D		cpx #$1D
	000F39 D0 EC		bne $000f27
	000F3B AD 34 01		lda $0134
	000F3E 20 B3 0A		jsr $0AB3
	000F41 E8		inx
	000F42 AD 3C 01		lda $013C
	000F45 20 B3 0A		jsr $0AB3
	000F48 E8		inx
	000F49 AD 35 01		lda $0135
	000F4C 20 B3 0A		jsr $0AB3
	000F4F E8		inx
	000F50 AD 36 01		lda $0136
	000F53 20 B3 0A		jsr $0AB3
	000F56 E8		inx
	000F57 AD 37 01		lda $0137
	000F5A 20 B3 0A		jsr $0AB3
	000F5D E8		inx
	000F5E AD 4C 01		lda $014C
	000F61 20 B3 0A		jsr $0AB3
	000F64 E8		inx
	000F65 AD CA 04		lda $04CA		;Cx9 CRC	control area
	000F68 20 B3 0A		jsr $0AB3
	000F6B E8		inx
	000F6C AD 52 01		lda $0152
	000F6F 20 B3 0A		jsr $0AB3
	000F72 E8		inx
	000F73 AD 54 01		lda $0154
	000F76 20 B3 0A		jsr $0AB3
	000F79 E8		inx
	000F7A AD 55 01		lda $0155
	000F7D 20 B3 0A		jsr $0AB3
	000F80 E8		inx
	000F81 AD 56 01		lda $0156
	000F84 20 B3 0A		jsr $0AB3
	000F87 E8		inx
	000F88 AD BB 00		lda $00BB
	000F8B 20 B3 0A		jsr $0AB3
	000F8E E8		inx
	000F8F AD 5A 01		lda $015A
	000F92 20 B3 0A		jsr $0AB3
	000F95 E8		inx
	000F96 AD 5B 04		lda $045B
	000F99 20 B3 0A		jsr $0AB3
	000F9C E8		inx
	000F9D AD 5F 04		lda $045F
	000FA0 20 B3 0A		jsr $0AB3
	000FA3 60		rts

000FA4	000FA4 DA		phx
	000FA5 0A		asl a
	000FA6 AA		tax
	000FA7 BD 69 0E		lda $0E69,x
	000FAA 85 40		sta $40
	000FAC BD 6A 0E		lda $0E6A,x
	000FAF 85 41		sta $41
	000FB1 A2 00		ldx #$00
	000FB3 98		tya
	000FB4 A2 1D		ldx #$1D
000FB6	000FB6 CA		dex
	000FB7 30 0A		bmi $000fc3
	000FB9 DD C5 0F		cmp $0FC5,x
	000FBC D0 F8		bne $000fb6
	000FBE 20 8E 0A		jsr $0A8E
	000FC1 FA		plx
	000FC2 60		rts

000FC3	000FC3 80 FE		bra $000fc3

;;;

000FC5		00 02 06 07 08 09 0A 0B
		0C 0E 12 15 16 17 18 1B
		1C 1F 24 25 27 28 29 2E
		30 5F C8 C9 CA

;;;

000FE2		00 02 03 04 05 06 07 08
		09 0A 0B 0C 12 13 14 18
		19 1A 1D 1E 20 21 24 25
		26 2E 30 52 5B 5C 5F C9
		CA D2 01 0D 0F 10 11 15
		16 17 1B 1C 1F 27 28 29
		56 C8

;;;

001015		06 01	08 01	09 01	0A 01
		0B 01	0C 01	0D 01	0E 01
		0F 01	10 01	11 01	12 01
		16 01	17 01	18 01	19 01
		1A 01	1B 01	1C 01	1D 01
		1E 01	1F 01	51 00	52 00
		20 01	21 01	22 01	23 01
		25 01	26 01	56 00	28 01
		29 01	2A 01	07 01	13 01
		49 00	14 01	4A 00	15 01
		4B 00	4C 00	4D 00	4E 00
		4F 00	50 00	53 00	54 00
		55 00

	001077 24 01		bit $01			;Cx9	port B (output only)
	001079 27 01		rmb 2,$01		;Cx9	port B (output only)

00107B	00107B A2 33		ldx #$33'3'
00107D	00107D CA		dex
	00107E 30 20		bmi $0010a0
	001080 DD E2 0F		cmp $0FE2,x
	001083 D0 F8		bne $00107d
	001085 DA		phx
	001086 48		pha
	001087 8A		txa
	001088 0A		asl a
	001089 AA		tax
	00108A BD 15 10		lda $1015,x
	00108D 85 44		sta $44
	00108F E8		inx
	001090 BD 15 10		lda $1015,x
	001093 85 45		sta $45
	001095 68		pla
	001096 FA		plx
	001097 E0 22		cpx #$22'"'
	001099 B0 01		bcs $00109c
	00109B 60		rts

00109C	00109C A2 00		ldx #$00
	00109E 18		clc
	00109F 60		rts

0010A0	0010A0 38		sec
	0010A1 60		rts

0010A2	0010A2 88		dey
	0010A3 30 0F		bmi $0010b4
	0010A5 18		clc
	0010A6 A5 40		lda $40
	0010A8 69 23		adc #$23'#'
	0010AA 85 40		sta $40
	0010AC A5 41		lda $41
	0010AE 69 00		adc #$00
	0010B0 85 41		sta $41
	0010B2 80 EE		bra $0010a2

0010B4	0010B4 60		rts

0010B5	0010B5 B2 60 40		sti #$60'`',$40
	0010B8 B2 00 41		sti #$00,$41
	0010BB A8		tay
	0010BC 20 A2 10		jsr $10A2
	0010BF A2 00		ldx #$00
0010C1	0010C1 20 8E 0A		jsr $0A8E
	0010C4 C9 FF		cmp #$FF
	0010C6 F0 07		beq $0010cf
	0010C8 91 42		sta ($42),x
	0010CA E8		inx
	0010CB E0 23		cpx #$23'#'
	0010CD 90 F2		bcc $0010c1
0010CF	0010CF A9 0D		lda #$0D
	0010D1 91 42		sta ($42),x
	0010D3 E8		inx
	0010D4 4C 92 2E		jmp $2E92

0010D7	0010D7 B2 60 42		sti #$60'`',$42
	0010DA B2 00 43		sti #$00,$43
	0010DD A5 40		lda $40
	0010DF 48		pha
	0010E0 A5 41		lda $41
	0010E2 48		pha
	0010E3 A5 42		lda $42
	0010E5 85 40		sta $40
	0010E7 A5 43		lda $43
	0010E9 85 41		sta $41
	0010EB 20 A2 10		jsr $10A2
	0010EE A5 40		lda $40
	0010F0 85 42		sta $42
	0010F2 A5 41		lda $41
	0010F4 85 43		sta $43
	0010F6 A2 00		ldx #$00
	0010F8 68		pla
	0010F9 85 41		sta $41
	0010FB 68		pla
	0010FC 85 40		sta $40
0010FE	0010FE A1 44		lda ($44)
	001100 C9 0D		cmp #$0D
	001102 F0 1C		beq $001120
	001104 A0 1B		ldy #$1B
001106	001106 88		dey
	001107 30 0D		bmi $001116
	001109 D9 2B 11		cmp $112B,y
	00110C D0 F8		bne $001106
	00110E 20 B3 0A		jsr $0AB3
	001111 E8		inx
	001112 E0 24		cpx #$24'$'
	001114 F0 0A		beq $001120
001116	001116 E6 44		inc $44
	001118 D0 02		bne $00111c
	00111A E6 45		inc $45
00111C	00111C 80 E0		bra $0010fe

00111E	00111E 86 40		stx $40
001120	001120 E0 24		cpx #$24'$'
	001122 F0 05		beq $001129
	001124 A9 FF		lda #$FF
	001126 20 B3 0A		jsr $0AB3
001129	001129 18		clc
	00112A 60		rts

;;;

00112B		30 31 32 33 34 35 36 37
		38 39 41 42 43 44 50 52
		54 57 3A 26 23 2A 40 2C
		21 3B 5E

	001146 B2 04 42         sti #$04,$42
	001149 B2 00 43		sti #$00,$43
00114C	00114C 5F 68 16		bbr 5,$68,$001165
	00114F A2 00		ldx #$00
	001151 4C B3 0A		jmp $0AB3

001154	001154 AD 25 01		lda $0125
	001157 B2 04 40		sti #$04,$40
	00115A B2 00 41		sti #$00,$41
00115D	00115D 5F 68 05		bbr 5,$68,$001165
	001160 A2 00		ldx #$00
	001162 20 8E 0A		jsr $0A8E
001165	001165 60		rts

001166	001166 B2 05 42		sti #$05,$42
	001169 B2 00 43		sti #$00,$43
	00116C 80 DE		bra $00114c

00116E	00116E AD 26 01		lda $0126
	001171 B2 05 40		sti #$05,$40
	001174 B2 00 41		sti #$00,$41
	001177 80 E4		bra $00115d

001179	001179 A9 00		lda #$00
	00117B B2 03 40		sti #$03,$40
	00117E B2 00 41		sti #$00,$41
	001181 80 DA		bra $00115d

001183	001183 B2 03 42		sti #$03,$42
	001186 B2 00 43		sti #$00,$43
	001189 80 C1		bra $00114c

00118B	00118B A9 00		lda #$00
00118D	00118D B2 07 40		sti #$07,$40
	001190 B2 00 41		sti #$00,$41
	001193 20 5D 11		jsr $115D
	001196 29 01		and #$01
	001198 60		rts

;;; --- `AT&Y'

001199	001199 B2 07 42		sti #$07,$42
	00119C B2 00 43		sti #$00,$43
	00119F 80 AB		bra $00114c

0011A1	0011A1 A9 00		lda #$00
	0011A3 B2 06 40		sti #$06,$40
	0011A6 B2 00 41		sti #$00,$41
	0011A9 20 5D 11		jsr $115D
	0011AC 29 03		and #$03
	0011AE 60		rts

0011AF	0011AF B2 06 42		sti #$06,$42
	0011B2 B2 00 43		sti #$00,$43
	0011B5 80 95		bra $00114c

0011B7	0011B7 A0 01		ldy #$01
	0011B9 20 58 12		jsr $1258
	0011BC A9 01		lda #$01
	0011BE 20 0C 0F		jsr $0F0C
	0011C1 A0 00		ldy #$00
	0011C3 20 58 12		jsr $1258
	0011C6 A9 00		lda #$00
	0011C8 20 0C 0F		jsr $0F0C
	0011CB AD 97 02		lda $0297
	0011CE C9 00		cmp #$00
	0011D0 F0 07		beq $0011d9
	0011D2 20 90 6B		jsr $6B90
	0011D5 90 02		bcc $0011d9
	0011D7 A9 00		lda #$00
0011D9	0011D9 20 83 11		jsr $1183
	0011DC A9 00		lda #$00
	0011DE 20 99 11		jsr $1199
	0011E1 B2 01 42		sti #$01,$42
	0011E4 B2 00 43		sti #$00,$43
	0011E7 A9 A5		lda #$A5
	0011E9 20 4F 11		jsr $114F
	0011EC B2 02 42		sti #$02,$42
	0011EF B2 00 43		sti #$00,$43
	0011F2 AD 91 14		lda $1491
	0011F5 F2 2E 01 01 02	bas $012E,$01,$0011fc
	0011FA 89 01		add #$01
0011FC	0011FC 20 4F 11		jsr $114F
	0011FF 20 29 12		jsr $1229
	001202 20 16 12		jsr $1216
	001205 AD 25 01		lda $0125
	001208 20 46 11		jsr $1146
	00120B AD 26 01		lda $0126
	00120E 20 66 11		jsr $1166
	001211 A9 00		lda #$00
	001213 4C AF 11		jmp $11AF

001216	001216 B2 F3 42		sti #$F3,$42
	001219 B2 00 43		sti #$00,$43
	00121C A2 00		ldx #$00
	00121E A9 20		lda #$20' '
001220	001220 20 B3 0A		jsr $0AB3
	001223 E8		inx
	001224 E0 08		cpx #$08
	001226 90 F8		bcc $001220
	001228 60		rts

001229	001229 B2 60 42		sti #$60'`',$42
	00122C B2 00 43		sti #$00,$43
	00122F B2 23 44		sti #$23'#',$44
	001232 B2 00 45		sti #$00,$45
	001235 A0 04		ldy #$04
001237	001237 A9 FF		lda #$FF
	001239 5A		phy
	00123A 20 4F 11		jsr $114F
	00123D 18		clc
	00123E A5 42		lda $42
	001240 65 44		adc $44
	001242 85 42		sta $42
	001244 A5 43		lda $43
	001246 65 45		adc $45
	001248 85 43		sta $43
	00124A 7A		ply
	00124B 88		dey
	00124C D0 E9		bne $001237
	00124E 60		rts

00124F	00124F 92
	001250 14

	001251 C5 14		cmp $14			;Cx9 Timer B Mode
	001253 A9 00		lda #$00
	001255 8D 88 04		sta $0488		;Cx9 CRC	control area
	001258 98		tya
	001259 0A		asl a
	00125A A8		tay
	00125B B9 4F 12		lda $124F,y
	00125E 85 46		sta $46
	001260 B9 50 12		lda $1250,y
	001263 85 47		sta $47
	001265 A2 33		ldx #$33'3'
001267	001267 CA		dex
	001268 30 1B		bmi $001285
	00126A B1 46		lda ($46),x
	00126C 48		pha
	00126D DA		phx
	00126E 8A		txa
	00126F C9 22		cmp #$22'"'
	001271 90 07		bcc $00127a
	001273 38		sec
	001274 E9 22		sbc #$22'"'
	001276 AA		tax
	001277 BD 76 15		lda $1576,x
00127A	00127A 20 7B 10		jsr $107B
00127D	00127D B0 FE		bcs $00127d
	00127F FA		plx
	001280 68		pla
	001281 81 44		sta ($44)
	001283 80 E2		bra $001267

001285	001285 A7 8C		smb 2,$8C
	001287 6A		ror a
	001288 B0 02		bcs $00128c
	00128A 27 8C		rmb 2,$8C
00128C	00128C A9 00		lda #$00
	00128E 85 70		sta $70
	001290 8D C3 03		sta $03C3
	001293 8D C4 03		sta $03C4
	001296 8D B9 00		sta $00B9
	001299 8D BA 00		sta $00BA
	00129C 8D 84 01		sta $0184
	00129F 0A		asl a
	0012A0 0A		asl a
	0012A1 0A		asl a
	0012A2 0A		asl a
	0012A3 48		pha
	0012A4 A9 CF		lda #$CF
	0012A6 25 69		and $69
	0012A8 85 69		sta $69
	0012AA 68		pla
	0012AB 05 69		ora $69
	0012AD 85 69		sta $69
	0012AF 20 E6 69		jsr $69E6
	0012B2 A9 00		lda #$00
	0012B4 8D 34 01		sta $0134
	0012B7 F2 2E 01 01 1B	bas $012E,$01,$0012d7
	0012BC A9 0A		lda #$0A
	0012BE 8D 3B 01		sta $013B
	0012C1 A9 05		lda #$05
	0012C3 8D 35 01		sta $0135
	0012C6 D2 01 3C 01	sba $01,$013C
	0012CA A9 00		lda #$00
	0012CC 8D 36 01		sta $0136
	0012CF A9 08		lda #$08
	0012D1 8D 37 01		sta $0137
	0012D4 4C F5 12		jmp $12F5

0012D7	0012D7 A9 0B		lda #$0B
	0012D9 8D 3B 01		sta $013B
	0012DC A9 06		lda #$06
	0012DE 8D 35 01		sta $0135
	0012E1 D2 01 3C 01	sba $01,$013C
	0012E5 48		pha
	0012E6 C2 02 3C 01	rba $02,$013C
	0012EA 68		pla
	0012EB A9 00		lda #$00
	0012ED 8D 36 01		sta $0136
	0012F0 A9 10		lda #$10
	0012F2 8D 37 01		sta $0137
	0012F5 20 86 56		jsr $5686
	0012F8 20 75 14		jsr $1475
	0012FB C2 01 4C 01	rba $01,$014C
	0012FF AD 25 01		lda $0125
	001302 0A		asl a
	001303 48		pha
	001304 A9 C1		lda #$C1
	001306 2D 4C 01		and $014C
	001309 8D 4C 01		sta $014C
	00130C 68		pla
	00130D 0D 4C 01		ora $014C
	001310 8D 4C 01		sta $014C
	001313 A9 00		lda #$00
	001315 8D CA 04		sta $04CA		;Cx9 CRC	control area
	001318 C2 08 67 01	rba $08,$0167
	00131C A9 6E		lda #$6E'n'
	00131E 8D 4B 02		sta $024B
	001321 A9 E4		lda #$E4
	001323 8D 4C 02		sta $024C
	001326 A9 00		lda #$00
	001328 8D 52 01		sta $0152
	00132B 57 2B		rmb 5,$2B		;Cx9 SP RAM B
	00132D D2 02 52 01	sba $02,$0152
	001331 D2 04 52 01	sba $04,$0152
	001335 A9 04		lda #$04
	001337 8D 54 01		sta $0154
	00133A A9 08		lda #$08
	00133C 8D 55 01		sta $0155
	00133F 20 46 55		jsr $5546
	001342 A9 00		lda #$00
	001344 8D 56 01		sta $0156
	001347 F2 2E 01 01 07	bas $012E,$01,$001353
	00134C A9 01		lda #$01
	00134E 8D BB 00		sta $00BB
	001351 80 05		bra $001358

001353	001353 A9 02		lda #$02
	001355 8D BB 00		sta $00BB
001358	001358 A9 00		lda #$00
	00135A 8D 5A 01		sta $015A
	00135D D2 01 5A 01	sba $01,$015A
	001361 A9 03		lda #$03
	001363 8D 81 04		sta $0481		;Cx9 CRC	result hi/initialize
	001366 A9 00		lda #$00
	001368 8D 82 04		sta $0482		;Cx9 CRC	control area
	00136B A9 02		lda #$02
	00136D 8D 83 04		sta $0483		;Cx9 CRC	control area
	001370 A9 00		lda #$00
	001372 8D 84 04		sta $0484		;Cx9 CRC	control area
	001375 8D 85 04		sta $0485		;Cx9 CRC	control area
	001378 A9 40		lda #$40'@'
	00137A 8D 86 04		sta $0486		;Cx9 CRC	control area
	00137D A9 FF		lda #$FF
	00137F 8D 87 04		sta $0487		;Cx9 CRC	control area
	001382 A9 00		lda #$00
	001384 8D 97 9A		sta $9A97
	001387 8D 98 9A		sta $9A98
	00138A A9 00		lda #$00
	00138C 85 81		sta $81
	00138E 57 82		rmb 5,$82
	001390 77 98		rmb 7,98
	001392 17 6F		rmb 1,$6F
	001394 48		pha
	001395 C2 10 5C 01	rba $10,$015C
	001399 68		pla
	00139A 67 81		rmb 6,$81
	00139C 77 64		rmb 7,64
	00139E A5 53		lda $53
	0013A0 29 07		and #$07
	0013A2 8D B9 03		sta $03B9
	0013A5 A9 00		lda #$00
	0013A7 85 A2		sta $A2
	0013A9 48		pha
	0013AA A9 F0		lda #$F0
	0013AC 25 9B		and $9B
	0013AE 85 9B		sta $9B
	0013B0 68		pla
	0013B1 05 9B		ora $9B
	0013B3 85 9B		sta $9B
	0013B5 AD 12 06		lda $0612		;DPi configuration (CONF)
	0013B8 C9 14		cmp #$14
	0013BA D0 05		bne $0013c1
	0013BC A9 01		lda #$01
	0013BE 8D 79 04		sta $0479
0013C1	0013C1 A5 4C		lda $4C
	0013C3 29 03		and #$03
	0013C5 89 80		add #$80
	0013C7 8D 76 04		sta $0476
	0013CA 80 06		bra $0013d2

0013CC	0013CC A9 C0		lda #$C0
	0013CE 09 30		ora #$30'0'
	0013D0 85 05		sta $05			;Cx9	port B select (R/W)
0013D2	0013D2 A9 00		lda #$00
	0013D4 8D 70 86		sta $8670
	0013D7 8D 78 04		sta $0478
	0013DA 85 9A		sta $9A
	0013DC 85 9B		sta $9B
	0013DE 85 9C		sta $9C
	0013E0 85 9D		sta $9D
	0013E2 A2 03		ldx #$03
	0013E4 20 85 46		jsr $4685
	0013E7 A9 3F		lda #$3F'?'
	0013E9 85 9F		sta $9F
	0013EB 85 A0		sta $A0
	0013ED 85 A1		sta $A1
	0013EF A9 37		lda #$37'7'
	0013F1 8D 65 86		sta $8665
	0013F4 A9 0A		lda #$0A
	0013F6 48		pha
	0013F7 A9 C0		lda #$C0
	0013F9 25 9D		and $9D
	0013FB 85 9D		sta $9D
	0013FD 68		pla
	0013FE 05 9D		ora $9D
	001400 85 9D		sta $9D
	001402 A9 46		lda #$46'F'
	001404 8D 66 86		sta $8666
	001407 A9 64		lda #$64'd'
	001409 8D 67 86		sta $8667
	00140C A9 04		lda #$04
	00140E 0A		asl a
	00140F 0A		asl a
	001410 0A		asl a
	001411 48		pha
	001412 A9 87		lda #$87
	001414 25 9E		and $9E
	001416 85 9E		sta $9E
	001418 68		pla
	001419 05 9E		ora $9E
	00141B 85 9E		sta $9E
	00141D A9 00		lda #$00
	00141F 48		pha
	001420 A9 FC		lda #$FC
	001422 25 9E		and $9E
	001424 85 9E		sta $9E
	001426 68		pla
	001427 05 9E		ora $9E
	001429 85 9E		sta $9E
	00142B 27 9E		rmb 2,$9E
	00142D A0 05		ldy #$05
	00142F F0 0C		beq $00143d
	001431 88		dey
001432	001432 B9 9D 00		lda $009D,y
	001435 99 92		sta $92,y
	001437 02		mpy
	001438 88		dey
	001439 C0 FF		cpy #$FF
	00143B D0 F5		bne $001432
00143D	00143D A9 00		lda #$00
	00143F 20 45 50		jsr $5045
	001442 A9 0A		lda #$0A
	001444 8D 7D 04		sta $047D
	001447 A9 02		lda #$02
	001449 8D 7B 04		sta $047B
	00144C 60		rts

00144D	00144D 6C 46 00		jmp ($0046)

001450		00 00

;;;

001452	001452 01 02		ora ($02)		;Cx9	port C (bidirectional)

;;; blink AA

001454	001454 AD 06 01		lda $0106{s0}
	001457 F0 05		beq $00145e
	001459 67 01		rmb 6,$01
	00145B 47 02		rmb 4,$02		;! AA on
	00145D 60		rts

00145E	00145E E7 01		smb 6,$01
	001460 C7 02		smb 4,$02		;! AA off
	001462 60		rts

;;;

001463	001463 3F 65 0B		bbr 3,$65,$001471
	001466 B2 70 1E		sti #$70'p',$1E		;Cx9	bank switch register 6 (R/W)
	001469 BD 00 DF		lda $DF00,x		;! RAM, 0f00
	00146C B2 B2 1E		sti #$B2,$1E		;Cx9	bank switch register 6 (R/W)
	00146F 80 03		bra $001474

001471	001471 BD F8 14		lda $14F8,x
001474	001474 60		rts

001475	001475 A5 52		lda $52
	001477 29 0F		and #$0F
	001479 F0 08		beq $001483
	00147B A5 50		lda $50
	00147D 29 02		and #$02
	00147F 4A		lsr a
	001480 20 82 16		jsr $1682
001483	001483 17 50		rmb 1,$50
	001485 E2 3C 01 01 02	bar $013C,$01,$00148c
	00148A 97 50		smb 1,$50
00148C	00148C 60		rts

00148D		E7 00 42 00 65 02 00 2B
		0D 0A 08 04 32 02 06 0E
		5F 32 00 8A 00 00 00 00
		00 00 34 76 36 00 05 01
		09 00 00 00 C2 11 13 07
		00 14 03 68 C3 8A 07 80
		00 0A 0A 00 00 32 00 0D
		02 00 2B 0D 0A 08 04 32
		02 06 0E 5F 32 00 8A 00
		00 00 00 00 00 34 76 36
		00 05 01 09 00 00 00 C2
		11 13 07 00 14 03 A8 C3
		8A 07 80 00 0A 0A 00 00
		32 00 0D

0014F8		F9 15
	0014FA F5 12
	0014FC 05 24
	0014FE 05 24
	001500 F7 05
	001502 F7 07
	001504 00
	001505 15 02
	001507 15 06
	001509 0E 02 0C
	00150C 05 2D
	00150E FA
	00150F 2C 07 20
	001512 02
	001513 1B
	001514 00
	001515 1B
	001516 05 20
	001518 F7 1F
	00151A F7 1F
	00151C FA
	00151D 12
	00151E 0B
	00151F 15 FA
	001521 12
	001522 02
	001523 11 F9
	001525 12
	001526 07 24
	001528 F9 13 06
	00152B 12
	00152C F4
	00152D 14
	00152E 02
	00152F 10 01
	001531 1F FA 1F
	001534 50 07
	001536 00
	001537 16 10
	001539 2B
	00153A 20 16 21
00153D	00153D 02
	00153E 22
	00153F 04
	001540 23
	001541 05 25
	001543 08
	001544 26 0A
	001546 27 0E
	001548 28
	001549 0F 29 10
	00154C 2A
	00154D 0B
00154E	00154E 00
	00154F 01 00
	001551 03
	001552 00
001553	001553 06 00
	001555 07 00
	001557 09 00
	001559 0C 00 0D
00155C	00155C 00
	00155D 14
	00155E 00
	00155F 15 00
	001561 1E 00 28
	001564 00
	001565 29 00
	001567 2A
	001568 00
	001569 2C 00 2D
	00156C 00
	00156D 2E 00 00
	001570 00
	001571 00
	001572 00
	001573 00
	001574 00
	001575 00
	001576 24 25
	001578 26 27		rol $27			;Cx9 SP RAM 7
	00157A 28		plp
	00157B 29 2E		and #$2E'.'
	00157D 30 52		bmi $0015d1
	00157F 56 5B		lsr $5B,x
	001581 5C		???			;undocumented opcode
	001582 5F C8 C9		bbr 5,$C8,$00154e
	001585 CA		dex
	001586 D2

001587	001587 7F 72 01		bbr 7,$72,$00158b
	00158A 60		rts

;;; something shuld be in ($A7) - compare it against those tables...

00158B	00158B B2 00 A9		sti #$00,$A9
__1	00158E 20 A1 15		jsr __4
__2	001591 20 8B 2D		jsr $2D8B		;! comare
	001594 2F 57 07		bbr 2,$57,__3
	001597 7F 61 F4		bbr 7,$61,__1
	00159A 77 61		rmb 7,$61
	00159C 80 F3		bra __2

__3	00159E 4C 2D 0C		jmp $0C2D

__4	0015A1 B2 B2 46		sti #$B2,$46		;! 0015B2
	0015A4 B2 15 47		sti #$15,$47
	0015A7 B2 D7 42		sti #$D7,$42		;! 0015D7
	0015AA B2 15 43		sti #$15,$43
	0015AD A9 25		lda #$25'%'		;! 37.
	0015AF 85 44		sta $44
	0015B1 60		rts

0015B2	0015B2	.ascii /\r!=?ABCDEFHILMNOPQSTVWXYZ"-)@:%&\*#+$/

		0D 21 3D 3F 41		/\r!=?A/
		42 43 44 45 46		/BCDEF/
		48 49 4C 4D 4E		/HILMN/
		4F 50 51 53 54		/OPQST/
		56 57 58 59 5A		/VWXYZ/
		22 2D 29 40 3A		/"-)@:/
		25 26 5C 2A 23		/%$\*#/
		2B 24			/+$/

; count: 37
; type == FF	- call adr
; type == 55    - another table
; any other - mask

		type adr flag

0015D7		FF 6B 16 00	\r
		FF 6B 1A 00	!
		FF F5 16 00	=
		FF 6C 17 00	?
		FF 7C 17 00	A
		BF 4E 06 01	B	?	.1......
		FF A8 17 01	C
		FF AD 17 00	D
		FD 49 01 01	E	?	......1.
		FF 84 18 13	F	nop?
		FF 85 18 01	H
		FF 1D 19 07	I
		FC 4C 00 03	L	?	......11
		F3 4C 02 03	M	?	....11..
		FF 82 16 01	N
		FF 25 1A 01	O
		FF 48 1A 00	P
		FB 49 02 01	Q	?	.....1..
		FF 4B 1A 00	S
		FF 68 1A 00	T
		F7 49 03 01	V	?       ....1...
		F3 50 02 02	W	?	....11..
		FF 6E 1A 04	X
		7F 4B 07 01	Y	?	1.......
		FF 83 1A 01	Z
		55 E3 1A 01	"	d!
		55 E8 1A 08	-	d!
		FF 5D 1D 00	)
		FF 93 1D 00	@
		FF BC 1D 00	:
		55 4C 2A 09	%	d!
		55 BD 1F 12	&	d!
		55 62 29 08	\	d!
		55 F3 2C 06	*	d!
		FF 4E 1F 00	#
		FF E5 1D 00	+
		55 65 2D 00	$	d?

;;; --- `AT'

00166B	00166B 3F 6E 02		bbr 3,$6E,$001670
	00166C 80 03		bra $001673
	001670 2F 6E 04		bbr 2,$6E,$001677
	001673 37 6E		rmb 3,$6E
	001675 27 6E		rmb 2,$6E
001677	001677 20 94 E2		jsr $E294
	00167A 20 B1 EE		jsr $EEB1
	00167D 27 57		rmb 2,$57
	00167F B7 8C		smb 3,$8C
	001681 60		rts

;;; --- `ATN'

001682	001682 F0 04		beq $001688
	001684 97 50		smb 1,$50
	001686 80 02		bra $00168a

001688	001688 17 50		rmb 1,$50
00168A	00168A A5 52		lda $52
	00168C 29 0F		and #$0F
	00168E C9 0D		cmp #$0D
	001690 B0 3B		bcs $0016cd
	001692 AA		tax
	001693 BD CE 16		lda $16CE,x
	001696 C9 00		cmp #$00
	001698 D0 05		bne $00169f
	00169A 6F 4E 02		bbr 6,$4E,$00169f
	00169D A9 40		lda #$40'@'
00169F	00169F 8D 3B 01		sta $013B
	0016A2 BD DB 16		lda $16DB,x
	0016A5 D0 05		bne $0016ac
	0016A7 6F 4E 02		bbr 6,$4E,$0016ac
	0016AA A9 07		lda #$07
0016AC	0016AC 8D 35 01		sta $0135
	0016AF BD E8 16		lda $16E8,x
	0016B2 8D 37 01		sta $0137
	0016B5 9F 50 09		bbs 1,$50,$0016c1
	0016B8 8D 36 01		sta $0136
	0016BB C2 01 3C 01	rba $01,$013C
	0016BF 80 09		bra $0016ca

0016C1	0016C1 A9 00		lda #$00
	0016C3 8D 36 01		sta $0136
	0016C6 D2 01 3C 01	sba $01,$013C
0016CA	0016CA 20 E0 56		jsr $56E0
0016CD	0016CD 60		rts

;;;

0016CE		0B 00 00 00 0A 01 02 03
		0A 0A 0A 0A 0A

0016DB 		06 00 00 00 05 01 02 03
		05 05 05 05 05

0019E8		10 00 00 00 08 02 03 02
		04 06 07 08 05

;;; --- `AT='

0016F5	0016F5 AD 8F 03		lda $038F
	0016F8 C9 5B		cmp #$5B
	0016FA D0 18		bne $001714
	0016FC 20 08 17		jsr $1708
	0016FF EF 7C 11		bbs 6,$7C,$001713
	001702 8D 25 01		sta $0125
	001705 4C 46 11		jmp $1146

001708	001708 20 5D 1A		jsr $1A5D{A7->40}
	00170B 20 AC 2E		jsr $2EAC
	00170E 48		pha
	00170F 20 54 1A		jsr $1A54{40->A7}
	001712 68		pla
001713	001713 60		rts

001714	001714 C9 5C		cmp #$5C'\'
	001716 D0 0C		bne $001724
	001718 20 08 17		jsr $1708
	00171B EF 7C F5		bbs 6,$7C,$001713
	00171E 8D 26 01		sta $0126
	001721 4C 66 11		jmp $1166

001724	001724 20 7B 10		jsr $107B
	001727 90 03		bcc $00172c
	001729 4C 16 2E		jmp $2E16

00172C	00172C F0 3B		beq $001769
	00172E AD 8F 03		lda $038F
	001731 C9 03		cmp #$03
	001733 D0 0B		bne $001740
	001735 20 08 17		jsr $1708
	001738 C9 80		cmp #$80
	00173A 90 1D		bcc $001759
	00173C A9 7F		lda #$7F
	00173E 80 19		bra $001759

001740	001740 AD 8F 03		lda $038F
	001743 C9 05		cmp #$05
	001745 D0 0F		bne $001756
	001747 20 08 17		jsr $1708
	00174A C9 21		cmp #$21'!'
	00174C 90 0B		bcc $001759
	00174E C9 7F		cmp #$7F
	001750 F0 07		beq $001759
	001752 A9 20		lda #$20' '
	001754 80 03		bra $001759

001756	001756 20 08 17		jsr $1708
001759	001759 81 44		sta ($44)
	00175B 20 EA 69		jsr $69EA
	00175E AD 8F 03		lda $038F
	001761 C9 25		cmp #$25'%'
	001763 D0 03		bne $001768
	001765 4C 8A 16		jmp $168A

001768	001768 60		rts

001769	001769 4C 08 17		jmp $1708

;;; --- `AT?'

00176C	00176C AD 8F 03		lda $038F
	00176F 20 7B 10		jsr $107B
	001772 90 03		bcc $001777
	001774 4C 16 2E		jmp $2E16

001777	001777 A1 44		lda ($44)
	001779 4C 97 E2		jmp $E297

;;; --- `ATA'

00177C	00177C 20 48 F3		jsr $F348{lda46D.1}
	00177F D0 FB		bne $00177c
	001781 F2 31 01 20 1F	bas $0131,$20,$0017a5
	001786 7F 7B 08		bbr 7,$7B,$001791
	001789 E2 07 06 02 03	bar $0607,$02,$001791	;DPi RA
	00178E 20 C6 5F		jsr $5FC6
001791	001791 A5 4A		lda $4A
	001793 D0 10		bne $0017a5
	001795 A5 69		lda $69
	001797 29 07		and #$07
	001799 D0 03		bne $00179e
	00179B 9F 61 07		bbs 1,$61,$0017a5
00179E	00179E 77 49		rmb 7,$49
	0017A0 A9 41		lda #$41'A'
	0017A2 4C 65 18		jmp $1865

0017A5	0017A5 4C 16 2E		jmp $2E16		;! ERROR

;;; --- `ATC'

0017A8	0017A8 C9 01		cmp #$01
	0017AA D0 61		bne $00180d
	0017AC 60		rts

;;; --- `ATD'

0017AD	0017AD BF 9B 07		bbs 3,$9B,$0017b7
	0017B0 7F 67 04		bbr 7,$67,$0017b7
	0017B3 D2 01 67 01	sba $01,$0167
0017B7	0017B7 E2 78 01 01 06	bar $0178,$01,$0017c2
	0017BC 48		pha
	0017BD C2 01 09 06	rba $01,$0609		;DPi DTA
	0017C1 68		pla
0017C2	0017C2 20 0E E1		jsr $E10E
	0017C5 90 21		bcc $0017e8
	0017C7 F2 78 01 01 09	bas $0178,$01,$0017d5
	0017CC E2 68 01 01 17	bar $0168,$01,$0017e8
	0017D1 D2 80 68 01	sba $80,$0168
0017D5	0017D5 20 5D 1A		jsr $1A5D{A7->40}
0017D8	0017D8 C9 3B		cmp #$3B';'
	0017DA F0 09		beq $0017e5
	0017DC C9 0D		cmp #$0D
	0017DE F0 08		beq $0017e8
	0017E0 20 45 1F		jsr $1F45
	0017E3 80 F3		bra $0017d8

0017E5	0017E5 4C 6B 16		jmp $166B

0017E8	0017E8 E2 31 01 20 13	bar $0131,$20,$001800
	0017ED 20 5D 1A		jsr $1A5D{A7->40}
0017F0	0017F0 C9 3B		cmp #$3B';'
	0017F2 F0 09		beq $0017fd
	0017F4 C9 0D		cmp #$0D
	0017F6 F0 15		beq $00180d
	0017F8 20 45 1F		jsr $1F45
	0017FB 80 F3		bra $0017f0

0017FD	0017FD 4F 07 0D		bbr 4,$07,$00180d	;Cx9	port E (R/W)
001800	001800 A5 4A		lda $4A
	001802 D0 09		bne $00180d
	001804 A5 69		lda $69
	001806 29 07		and #$07
	001808 D0 06		bne $001810
	00180A 1F 61 03		bbr 1,$61,$001810
00180D	00180D 4C 16 2E		jmp $2E16

001810	001810 B2 88 42		sti #$88,$42
	001813 B2 04 43		sti #$04,$43
	001816 20 5D 1A		jsr $1A5D{A7->40}
	001819 A2 00		ldx #$00
	00181B B1 40		lda ($40),x
	00181D C9 0D		cmp #$0D
	00181F F0 2D		beq $00184e
	001821 C9 4C		cmp #$4C'L'
	001823 F0 0D		beq $001832
	001825 A5 40		lda $40
	001827 85 A5		sta $A5
	001829 A5 41		lda $41
	00182B 85 A6		sta $A6
	00182D 20 79 2E		jsr $2E79
	001830 80 18		bra $00184a

001832	001832 B2 88 40		sti #$88,$40
	001835 B2 04 41		sti #$04,$41
	001838 A5 40		lda $40
	00183A 85 A5		sta $A5
	00183C A5 41		lda $41
	00183E 85 A6		sta $A6
	001840 A1 40		lda ($40)
	001842 D0 03		bne $001847
	001844 4C 6B 16		jmp $166B

001847	001847 20 A2 2E		jsr $2EA2
00184A	00184A A9 44		lda #$44'D'
	00184C 80 02		bra $001850

00184E	00184E A9 4F		lda #$4F'O'
001850	001850 F2 78 01 01 05	bas $0178,$01,$00185a
	001855 E2 68 01 01 02	bar $0168,$01,$00185c
00185A	00185A A9 4F		lda #$4F'O'
00185C	00185C F7 49		smb 7,$49
	00185E 17 5C		rmb 1,$5C
	001860 BF 9B 02		bbs 3,$9B,$001865
	001863 77 5B		rmb 7,5B

001865	001865 85 AC		sta $AC
	001867 C9 41		cmp #$41'A'
	001869 D0 14		bne $00187f
	00186B F2 68 01 01 03	bas $0168,$01,$001873
	001870 4F 61 0C		bbr 4,$61,$00187f
001873	001873 E2 5C 01 20 07	bar $015C,$20,$00187f
	001878 27 57		rmb 2,$57
	00187A 37 57		rmb 3,$57
	00187C 4C 07 33		jmp $3307

00187F	00187F B7 57		smb 3,$57
	001881 27 57		rmb 2,$57
	001883 60		rts

;;; --- `ATF'

001884	001884 60		rts

;;; --- `ATH'

001885	001885 F0 03		beq $00188a
	001887 4C 07 19		jmp $1907

00188A	00188A 3F 9B 10		bbr 3,$9B,$00189d
	00188D A0 05		ldy #$05
	00188F F0 0C		beq $00189d
	001891 88		dey
001892	001892 B9 9D 00		lda $009D,y
	001895 99 92		sta $92,y
	001897 02		mpy
	001898 88		dey
	001899 C0 FF		cpy #$FF
	00189B D0 F5		bne $001892
00189D	00189D A9 00		lda #$00
	00189F 48		pha
	0018A0 A9 C0		lda #$C0
	0018A2 25 9A		and $9A
	0018A4 85 9A		sta $9A
	0018A6 68		pla
	0018A7 05 9A		ora $9A
	0018A9 85 9A		sta $9A
	0018AB 6F 9B 29		bbr 6,$9B,$0018d7
	0018AE 67 9B		rmb 6,$9B
	0018B0 4F 61 06		bbr 4,$61,$0018b9
	0018B3 3F 9B 03		bbr 3,$9B,$0018b9
	0018B6 8F 57 1E		bbs 0,$57,$0018d7
0018B9	0018B9 A9 00		lda #$00
	0018BB 48		pha
	0018BC A9 F8		lda #$F8
	0018BE 25 69		and $69
	0018C0 85 69		sta $69
	0018C2 68		pla
	0018C3 05 69		ora $69
	0018C5 85 69		sta $69
	0018C7 A9 00		lda #$00
	0018C9 48		pha
	0018CA A9 F0		lda #$F0
	0018CC 25 9B		and $9B
	0018CE 85 9B		sta $9B
	0018D0 68		pla
	0018D1 05 9B		ora $9B
	0018D3 85 9B		sta $9B
	0018D5 80 0B		bra $0018e2

0018D7	0018D7 CF 61 08		bbs 4,$61,$0018e2
	0018DA B7 57		smb 3,$57
	0018DC 20 9F E0		jsr $E09F
	0018DF 37 57		rmb 3,$57
	0018E1 60		rts

0018E2	0018E2 9F 62 05		bbs 1,$62,$0018ea
	0018E5 A9 FE		lda #$FE
	0018E7 8D 61 86		sta $8661
0018EA	0018EA 97 65		smb 1,$65
	0018EC 27 57		rmb 2,$57
	0018EE EF 57 06		bbs 6,$57,$0018f7
	0018F1 B2 48 AC		sti #$48'H',$AC
	0018F4 B7 57		smb 3,$57
0018F6	0018F6 60		rts

0018F7	0018F7 B7 68		smb 3,$68
	0018F9 AD 20 01		lda $0120
	0018FC 8D 24 02		sta $0224
	0018FF A9 00		lda #$00
	001901 8D 25 02		sta $0225
	001904 17 5F		rmb 1,$5F
	001906 60		rts

001907	001907 8F 7D 08		bbs 0,$7D,$001912
	00190A D2 80 73 01	sba $80,$0173
	00190E A5 4A		lda $4A
	001910 F0 03		beq $001915
001912	001912 4C 16 2E		jmp $2E16

001915	001915 9F 61 DE		bbs 1,$61,$0018f6
	001918 A9 4B		lda #$4B'K'
	00191A 4C 65 18		jmp $1865

;;;; --- `ATI'

00191D	00191D C9 00		cmp #$00
	00191F D0 22		bne $001943
	001921 3F 49 03		bbr 3,$49,$001927
	001924 20 14 FE		jsr $FE14{out_crlf}
001927	001927 B2 D3 40		sti #$D3,$40
	00192A B2 5E 41		sti #$5E'^',$41
	00192D E2 2F 01 02 0B	bar $012F,$02,$00193d
	001932 F2 2E 01 01 06	bas $012E,$01,$00193d
	001937 B2 C1 40		sti #$C1,$40
	00193A B2 5E 41		sti #$5E'^',$41
00193D	00193D 20 91 E2		jsr $E291
	001940 4C 14 FE		jmp $FE14{out_crlf}

001943	001943 C9 01		cmp #$01
	001945 D0 06		bne $00194d
	001947 AD BE FF		lda $FFBE
	00194A 4C 97 E2		jmp $E297

00194D	00194D C9 02		cmp #$02
	00194F D0 33		bne $001984
	001951 AD BE FF		lda $FFBE
	001954 C9 FF		cmp #$FF
	001956 D0 07		bne $00195f
	001958 AD BF FF		lda $FFBF
	00195B C9 FF		cmp #$FF
	00195D F0 11		beq $001970
00195F	00195F 20 BE 19		jsr $19BE
	001962 AD BE FF		lda $FFBE
	001965 C5 44		cmp $44
	001967 D0 18		bne $001981
	001969 AD BF FF		lda $FFBF
	00196C C5 45		cmp $45
	00196E D0 11		bne $001981
001970	001970 A5 49		lda $49
	001972 48		pha
	001973 B7 49		smb 3,$49
	001975 27 49		rmb 2,$49
	001977 20 94 E2		jsr $E294
	00197A 68		pla
	00197B 85 49		sta $49
	00197D B2 00 A9		sti #$00,$A9
	001980 60		rts

001981	001981 4C 16 2E		jmp $2E16

001984	001984 C9 03		cmp #$03
	001986 D0 17		bne $00199f
	001988 A9 00		lda #$00
	00198A 20 A0 E2		jsr $E2A0
	00198D 8F 81 03		bbs 0,$81,$001993
	001990 1F 62 09		bbr 1,$62,$00199c
001993	001993 B2 DF 40		sti #$DF,$40
	001996 B2 5E 41		sti #$5E'^',$41
	001999 20 91 E2		jsr $E291
00199C	00199C 4C CE 27		jmp $27CE

00199F	00199F C9 04		cmp #$04
	0019A1 D0 03		bne $0019a6
	0019A3 4C A3 E2		jmp $E2A3

0019A6	0019A6 C9 05		cmp #$05
	0019A8 D0 06		bne $0019b0
	0019AA AD 97 02		lda $0297
	0019AD 4C 97 E2		jmp $E297

0019B0	0019B0 C9 06		cmp #$06
	0019B2 D0 03		bne $0019b7
	0019B4 4C F5 2E		jmp $2EF5

0019B7	0019B7 20 78 6B		jsr $6B78
	0019BA 20 97 E2		jsr $E297
	0019BD 60		rts

0019BE	0019BE 22		psh
	0019BF 08		php
	0019C0 78		sei
	0019C1 A5 1A		lda $1A			;Cx9	bank switch register 2 (R/W)
	0019C3 A6 40		ldx $40
	0019C5 A4 41		ldy $41
	0019C7 22		psh
	0019C8 A9 00		lda #$00
	0019CA 85 44		sta $44
	0019CC A9 00		lda #$00
	0019CE 85 45		sta $45
	0019D0 A0 00		ldy #$00
0019D2	0019D2 98		tya
	0019D3 09 70		ora #$70'p'
	0019D5 85 1A		sta $1A			;Cx9	bank switch register 2 (R/W)
	0019D7 B2 FF 40		sti #$FF,$40
	0019DA B2 3F 41		sti #$3F'?',$41
0019DD	0019DD E6 40		inc $40
	0019DF D0 02		bne $0019e3
	0019E1 E6 41		inc $41
0019E3	0019E3 C0 07		cpy #$07
	0019E5 D0 18		bne $0019ff
	0019E7 A5 41		lda $41
	0019E9 C9 5F		cmp #$5F'_'
	0019EB D0 12		bne $0019ff
	0019ED A5 40		lda $40
	0019EF C9 BE		cmp #$BE
	0019F1 D0 0C		bne $0019ff
	0019F3 E6 40		inc $40
	0019F5 D0 02		bne $0019f9
	0019F7 E6 41		inc $41
0019F9	0019F9 E6 40		inc $40
	0019FB D0 02		bne $0019ff
	0019FD E6 41		inc $41
0019FF	0019FF A1 40		lda ($40)
	001A01 18		clc
	001A02 65 44		adc $44
	001A04 85 44		sta $44
	001A06 90 02		bcc $001a0a
	001A08 E6 45		inc $45
001A0A	001A0A A5 40		lda $40
	001A0C C9 FF		cmp #$FF
	001A0E D0 CD		bne $0019dd
	001A10 A5 41		lda $41
	001A12 C9 5F		cmp #$5F'_'
	001A14 D0 C7		bne $0019dd
	001A16 C8		iny
	001A17 C0 10		cpy #$10
	001A19 90 B7		bcc $0019d2
	001A1B 32		pul
	001A1C 85 1A		sta $1A			;Cx9	bank switch register 2 (R/W)
	001A1E 86 40		stx $40
	001A20 84 41		sty $41
	001A22 28		plp
	001A23 32		pul
	001A24 60		rts

;;; --- `ATO'

001A25	001A25 27 57		rmb 2,$57
	001A27 4F 61 1B		bbr 4,$61,$001a45
	001A2A D0 0B		bne $001a37
	001A2C A5 4A		lda $4A
	001A2E D0 15		bne $001a45
001A30	001A30 B2 4F AC		sti #$4F'O',$AC
	001A33 B7 57		smb 3,$57
	001A35 80 0D		bra $001a44

001A37	001A37 A5 4A		lda $4A
	001A39 D0 0A		bne $001a45
	001A3B 20 99 F9		jsr $F999
	001A3E C9 03		cmp #$03
	001A40 90 EE		bcc $001a30
	001A42 E7 68		smb 6,$68
001A44	001A44 60		rts

001A45	001A45 4C 16 2E		jmp $2E16

;;; --- `ATP'

001A48	001A48 D7 49		smb 5,$49
	001A4A 60		rts

;;; --- `ATS'

001A4B	001A4B 20 5D 1A		jsr $1A5D{A7->40}
	001A4E 20 AC 2E		jsr $2EAC
	001A51 8D 8F 03		sta $038F
001A54	001A54 A5 40		lda $40
	001A56 85 A7		sta $A7
	001A58 A5 41		lda $41
	001A5A 85 A8		sta $A8
	001A5C 60		rts

;;; movew $A7,$40
;;; moveb ($40),a

001A5D	001A5D A5 A7		lda $A7
	001A5F 85 40		sta $40
	001A61 A5 A8		lda $A8
	001A63 85 41		sta $41
	001A65 A1 40		lda ($40)
	001A67 60		rts

;;; --- `ATT'

001A68	001A68 57 49		rmb 5,$49
	001A6A 60		rts

;;; --- `AT!'

001A6B	001A6B 4C EC 4A		jmp $4AEC

;;; --- `ATX'

001A6E	001A6E F0 02		beq $001a72
	001A70 89 03		add #$03
001A72	001A72 0A		asl a
	001A73 0A		asl a
	001A74 0A		asl a
	001A75 0A		asl a
	001A76 48		pha
	001A77 A9 8F		lda #$8F
	001A79 25 4C		and $4C
	001A7B 85 4C		sta $4C
	001A7D 68		pla
	001A7E 05 4C		ora $4C
	001A80 85 4C		sta $4C
	001A82 60		rts

;;; --- `ATZ'

001A83	001A83 8D 5A 04		sta $045A
	001A86 B2 FF A9		sti #$FF,$A9
	001A89 A9 00		lda #$00
	001A8B 8D 88 04		sta $0488		;Cx9 CRC	control area
	001A8E 57 66		rmb 5,$66
	001A90 E2 31 01 20 03	bar $0131,$20,$001a98
	001A95 4C D7 E1		jmp $E1D7

001A98	001A98 A5 4A		lda $4A
	001A9A F0 03		beq $001a9f
	001A9C 20 A5 E0		jsr $E0A5
001A9F	001A9F 4F 61 2B		bbr 4,$61,$001acd
	001AA2 9F 62 05		bbs 1,$62,$001aaa
	001AA5 A9 FE		lda #$FE
	001AA7 8D 61 86		sta $8661
001AAA	001AAA 20 8A 18		jsr $188A
	001AAD A9 48		lda #$48'H'
	001AAF 20 65 18		jsr $1865
001AB2	001AB2 3F 57 03		bbr 3,$57,$001ab8
	001AB5 20 3B 02		jsr $023B
001AB8	001AB8 0F 57 03		bbr 0,$57,$001abe
	001ABB 20 32 02		jsr $0232
001ABE	001ABE 6F 57 03		bbr 6,$57,$001ac4
	001AC1 20 41 02		jsr $0241
001AC4	001AC4 5F 57 03		bbr 5,$57,$001aca
	001AC7 20 3E 02		jsr $023E
001ACA	001ACA 9F 61 E5		bbs 1,$61,$001ab2
001ACD	001ACD 27 57		rmb 2,$57
	001ACF 07 64		rmb 0,$64
	001AD1 27 63		rmb 2,$63
	001AD3 47 68		rmb 4,$68
	001AD5 D7 5A		smb 5,$5A
	001AD7 97 57		smb 1,$57
	001AD9 A9 00		lda #$00
	001ADB 85 A9		sta $A9
	001ADD 4C 29 E1		jmp $E129

001AE0	001AE0 4C 16 2E		jmp $2E16

;;; --- `AT"'

001AE3	3F		'?'
001AE4	FF 2C 2A 01

;;; --- `AT-'

	.ascii /ABCKMQUS/

001AE8	41 42 43 4B 4D 51 55 53

001AF0	FF 10 1B 00	A
	FF CB 1C 00	B
	FF 32 1D 03	C
	FF 50 1D 02	K
	FF D6 1C 01	M
	7F 55 07 01	Q	?
	FF 2A 1D 07	U
	FF 54 1B 00	S

;;; --- `AT-A'

001B10	001B10 20 5D 1A		jsr $1A5D{A7->40}
001B13	001B13 C9 38		cmp #$38'8'
	001B15 D0 3A		bne $001b51
	001B17 20 45 1F		jsr $1F45
	001B1A C9 43		cmp #$43'C'
001B1C	001B1C D0 33		bne $001b51
	001B1E 20 45 1F		jsr $1F45
	001B21 C9 3F		cmp #$3F'?'
	001B23 D0 12		bne $001b37
	001B25 20 45 1F		jsr $1F45
	001B28 20 54 1A		jsr $1A54{40->A7}
	001B2B 20 14 FE		jsr $FE14{out_crlf}
	001B2E AD 98 9A		lda $9A98
	001B31 20 BB E2		jsr $E2BB
	001B34 4C 14 FE		jmp $FE14{out_crlf}

001B37	001B37 C9 3D		cmp #$3D'='
	001B39 D0 16		bne $001b51
	001B3B 20 45 1F		jsr $1F45
	001B3E 20 00 4A		jsr $4A00
	001B41 B0 0E		bcs $001b51
	001B43 8D 98 9A		sta $9A98
	001B46 A9 00		lda #$00
	001B48 8D 97 9A		sta $9A97
	001B4B 97 5C		smb 1,$5C
	001B4D 20 54 1A		jsr $1A54{40->A7}
	001B50 60		rts

001B51	001B51 4C 16 2E		jmp $2E16

;;; --- `AT-S'

001B54	001B54 20 5D 1A		jsr $1A5D{A7->40}
	001B57 C9 44		cmp #$44'D'
	001B59 D0 38		bne $001b93
	001B5B 20 45 1F		jsr $1F45
	001B5E C9 52		cmp #$52'R'
	001B60 D0 31		bne $001b93
	001B62 20 45 1F		jsr $1F45
	001B65 C9 3F		cmp #$3F'?'
	001B67 D0 0C		bne $001b75
	001B69 20 45 1F		jsr $1F45
	001B6C 20 54 1A		jsr $1A54{40->A7}
	001B6F AD 34 01		lda $0134
	001B72 4C EB 5A		jmp $5AEB

001B75	001B75 C9 3D		cmp #$3D'='
	001B77 D0 17		bne $001b90
	001B79 20 45 1F		jsr $1F45
	001B7C C9 30		cmp #$30'0'
	001B7E 90 10		bcc $001b90
	001B80 C9 38		cmp #$38'8'
	001B82 B0 0C		bcs $001b90
	001B84 29 07		and #$07
	001B86 8D 34 01		sta $0134
	001B89 20 45 1F		jsr $1F45
	001B8C 20 54 1A		jsr $1A54{40->A7}
	001B8F 60		rts

001B90	001B90 4C 16 2E		jmp $2E16

001B93	001B93 C9 45		cmp #$45'E'
	001B95 F0 03		beq $001b9a
	001B97 4C 1B 1C		jmp $1C1B

001B9A	001B9A 20 45 1F		jsr $1F45
	001B9D C9 43		cmp #$43'C'
	001B9F F0 03		beq $001ba4
	001BA1 4C 1B 1C		jmp $1C1B

001BA4	001BA4 20 45 1F		jsr $1F45
	001BA7 C9 3F		cmp #$3F'?'
	001BA9 F0 4C		beq $001bf7
	001BAB C9 3D		cmp #$3D'='
	001BAD D0 69		bne $001c18
	001BAF 20 45 1F		jsr $1F45
	001BB2 20 AC 2E		jsr $2EAC
	001BB5 B0 19		bcs $001bd0
	001BB7 D0 06		bne $001bbf
	001BB9 C2 01 4C 01	rba $01,$014C
	001BBD 80 08		bra $001bc7

001BBF	001BBF C9 01		cmp #$01
	001BC1 D0 55		bne $001c18
	001BC3 D2 01 4C 01	sba $01,$014C
001BC7	001BC7 A1 40		lda ($40)
	001BC9 C9 2C		cmp #$2C','
	001BCB F0 09		beq $001bd6
001BCD	001BCD 4C 54 1A		jmp $1A54{40->A7}

001BD0	001BD0 A1 40		lda ($40)
	001BD2 C9 2C		cmp #$2C','
	001BD4 D0 42		bne $001c18
001BD6	001BD6 20 45 1F		jsr $1F45
	001BD9 20 AC 2E		jsr $2EAC
	001BDC B0 3A		bcs $001c18
	001BDE 30 38		bmi $001c18
	001BE0 C9 1F		cmp #$1F
	001BE2 B0 34		bcs $001c18
	001BE4 0A		asl a
	001BE5 48		pha
	001BE6 A9 C1		lda #$C1
	001BE8 2D 4C 01		and $014C
	001BEB 8D 4C 01		sta $014C
	001BEE 68		pla
	001BEF 0D 4C 01		ora $014C
	001BF2 8D 4C 01		sta $014C
	001BF5 80 D6		bra $001bcd

001BF7	001BF7 20 14 FE		jsr $FE14{out_crlf}
	001BFA A9 01		lda #$01
	001BFC F2 4C 01 01 02	bas $014C,$01,$001c03
	001C01 A9 00		lda #$00
001C03	001C03 20 3F 5A		jsr $5A3F
	001C06 AD 4C 01		lda $014C
	001C09 29 3E		and #$3E'>'
	001C0B 4A		lsr a
	001C0C 20 45 5A		jsr $5A45
	001C0F 4C 12 1C		jmp $1C12

001C12	001C12 20 45 1F		jsr $1F45
	001C15 4C 54 1A		jmp $1A54{40->A7}

001C18	001C18 4C 16 2E		jmp $2E16

001C1B	001C1B 27 86		rmb 2,$86
	001C1D A1 40		lda ($40)
	001C1F C9 4D		cmp #$4D'M'
	001C21 D0 66		bne $001c89
	001C23 20 45 1F		jsr $1F45
	001C26 C9 53		cmp #$53'S'
	001C28 D0 2C		bne $001c56
	001C2A 20 45 1F		jsr $1F45
	001C2D C9 3F		cmp #$3F'?'
	001C2F D0 07		bne $001c38
	001C31 A7 86		smb 2,$86
	001C33 20 45 1F		jsr $1F45
	001C36 80 18		bra $001c50

001C38	001C38 C9 3D		cmp #$3D'='
	001C3A D0 4A		bne $001c86
	001C3C 20 45 1F		jsr $1F45
	001C3F C9 3F		cmp #$3F'?'
	001C41 D0 0D		bne $001c50
	001C43 20 45 1F		jsr $1F45
	001C46 20 54 1A		jsr $1A54{40->A7}
	001C49 A9 47		lda #$47'G'
	001C4B 85 44		sta $44
	001C4D 4C 0F 5B		jmp $5B0F

001C50	001C50 20 54 1A		jsr $1A54{40->A7}
	001C53 4C FC 5C		jmp $5CFC

001C56	001C56 C9 43		cmp #$43'C'
	001C58 D0 2F		bne $001c89
	001C5A 20 45 1F		jsr $1F45
	001C5D C9 3F		cmp #$3F'?'
	001C5F D0 07		bne $001c68
	001C61 A7 86		smb 2,$86
	001C63 20 45 1F		jsr $1F45
	001C66 80 18		bra $001c80

001C68	001C68 C9 3D		cmp #$3D'='
	001C6A D0 1A		bne $001c86
	001C6C 20 45 1F		jsr $1F45
	001C6F C9 3F		cmp #$3F'?'
	001C71 D0 0D		bne $001c80
	001C73 20 45 1F		jsr $1F45
	001C76 20 54 1A		jsr $1A54{40->A7}
	001C79 A9 48		lda #$48'H'
	001C7B 85 44		sta $44
	001C7D 4C 0F 5B		jmp $5B0F

001C80	001C80 20 54 1A		jsr $1A54{40->A7}
	001C83 4C 36 5E		jmp $5E36

001C86	001C86 4C 16 2E		jmp $2E16

001C89	001C89 A1 40		lda ($40)
	001C8B C9 51		cmp #$51'Q'
	001C8D D0 36		bne $001cc5
	001C8F 20 45 1F		jsr $1F45
	001C92 C9 53		cmp #$53'S'
	001C94 D0 2F		bne $001cc5
	001C96 20 45 1F		jsr $1F45
	001C99 C9 3F		cmp #$3F'?'
	001C9B D0 07		bne $001ca4
	001C9D A7 86		smb 2,$86
	001C9F 20 45 1F		jsr $1F45
	001CA2 80 18		bra $001cbc

001CA4	001CA4 C9 3D		cmp #$3D'='
	001CA6 D0 1A		bne $001cc2
	001CA8 20 45 1F		jsr $1F45
	001CAB C9 3F		cmp #$3F'?'
	001CAD D0 0D		bne $001cbc
	001CAF 20 45 1F		jsr $1F45
	001CB2 20 54 1A		jsr $1A54{40->A7}
	001CB5 A9 49		lda #$49'I'
	001CB7 85 44		sta $44
	001CB9 4C 0F 5B		jmp $5B0F

001CBC	001CBC 20 54 1A		jsr $1A54{40->A7}
	001CBF 4C 9B 5E		jmp $5E9B
001CC2	001CC2 4C 16 2E		jmp $2E16
001CC5	001CC5 4C 47 E4		jmp $E447
001CC8	001CC8 4C 16 2E		jmp $2E16

;;; --- `AT-B'

001CCB	001CCB F2 84 01 40 03	bas $0184,$40,$001cd3
	001CD0 D7 89		smb 5,$89
	001CD2 60		rts

001CD3	001CD3 4C 16 2E		jmp $2E16

;;; --- `AT-M'

001CD6	001CD6 F2 84 01 40 F8	bas $0184,$40,$001cd3
	001CDB 20 14 FE		jsr $FE14{out_crlf}
	001CDE AD 72 9A		lda $9A72
	001CE1 85 41		sta $41
	001CE3 20 B8 E2		jsr $E2B8
	001CE6 A9 20		lda #$20' '
	001CE8 20 05 FE		jsr $FE05{out}
	001CEB AD 3E 9A		lda $9A3E
	001CEE 85 41		sta $41
	001CF0 20 B8 E2		jsr $E2B8
	001CF3 A9 20		lda #$20' '
	001CF5 20 05 FE		jsr $FE05{out}
	001CF8 AD 42 9A		lda $9A42
	001CFB 85 41		sta $41
	001CFD 20 B8 E2		jsr $E2B8
	001D00 A9 20		lda #$20' '
	001D02 20 05 FE		jsr $FE05{out}
	001D05 AD 41 9A		lda $9A41
	001D08 85 41		sta $41
	001D0A 20 B8 E2		jsr $E2B8
	001D0D A9 20		lda #$20' '
	001D0F 20 05 FE		jsr $FE05{out}
	001D12 AD 71 9A		lda $9A71
	001D15 85 41		sta $41
	001D17 20 B8 E2		jsr $E2B8
	001D1A A9 20		lda #$20' '
	001D1C 20 05 FE		jsr $FE05{out}
	001D1F AD 70 9A		lda $9A70
	001D22 85 41		sta $41
	001D24 20 B8 E2		jsr $E2B8
	001D27 4C 14 FE		jmp $FE14{out_crlf}

;;; --- `AT-U'

001D2A	001D2A F2 84 01 40 A4	bas $0184,$40,$001cd3
	001D2F C7 89		smb 4,$89
	001D31 60		rts

;;; --- `AT-C'

001D32	001D32 48		pha
	001D33 C2 20 84 01	rba $20,$0184
	001D37 D2 40 84 01	sba $40,$0184
	001D3B 68		pla
	001D3C 48		pha
	001D3D 29 01		and #$01
	001D3F F0 04		beq $001d45
	001D41 D2 20 84 01	sba $20,$0184
001D45	001D45 68		pla
	001D46 29 02		and #$02
	001D48 F0 01		beq $001d4b
	001D4A 60		rts

001D4B	001D4B C2 40 84 01	rba $40,$0184
	001D4F 60		rts

;;; --- `AT-K'

001D50	001D50 48		pha
	001D51 A9 FC		lda #$FC
	001D53 25 54		and $54
	001D55 85 54		sta $54
	001D57 68		pla
	001D58 05 54		ora $54
	001D5A 85 54		sta $54
	001D5C 60		rts

;;; --- `AT)'

001D5D	001D5D 20 5D 1A		jsr $1A5D{A7->40}
	001D60 C9 4D		cmp #$4D'M'
	001D62 D0 2C		bne $001d90
	001D64 F2 84 01 40 27	bas $0184,$40,$001d90
	001D69 27 54		rmb 2,$54
	001D6B 48		pha
	001D6C C2 40 28 01	rba $40,$0128
	001D70 68		pla
	001D71 20 45 1F		jsr $1F45
	001D74 20 AC 2E		jsr $2EAC
	001D77 F0 14		beq $001d8d
	001D79 C9 02		cmp #$02
	001D7B F0 08		beq $001d85
	001D7D C9 03		cmp #$03
	001D7F B0 0F		bcs $001d90
	001D81 A7 54		smb 2,$54
	001D83 80 08		bra $001d8d

001D85	001D85 A7 54		smb 2,$54
	001D87 48		pha
	001D88 D2 40 28 01	sba $40,$0128
	001D8C 68		pla
001D8D	001D8D 4C 54 1A		jmp $1A54{40->A7}

001D90	001D90 4C 16 2E		jmp $2E16

;;; --- `AT@'

001D93	001D93 20 5D 1A		jsr $1A5D{A7->40}
	001D96 C9 4D		cmp #$4D'M'
	001D98 D0 F6		bne $001d90
	001D9A F2 84 01 40 F1	bas $0184,$40,$001d90
	001D9F 20 45 1F		jsr $1F45
	001DA2 20 AC 2E		jsr $2EAC
	001DA5 C9 1F		cmp #$1F
	001DA7 B0 E7		bcs $001d90
	001DA9 48		pha
	001DAA A9 E0		lda #$E0
	001DAC 2D 28 01		and $0128
	001DAF 8D 28 01		sta $0128
	001DB2 68		pla
	001DB3 0D 28 01		ora $0128
	001DB6 8D 28 01		sta $0128
	001DB9 4C 54 1A		jmp $1A54{40->A7}

;;; --- `AT:'

001DBC	001DBC 20 5D 1A		jsr $1A5D{A7->40}
	001DBF C9 45		cmp #$45'E'
	001DC1 D0 CD		bne $001d90
	001DC3 F2 84 01 40 C8	bas $0184,$40,$001d90
	001DC8 20 45 1F		jsr $1F45
	001DCB 20 AC 2E		jsr $2EAC
	001DCE D0 08		bne $001dd8
	001DD0 48		pha
	001DD1 C2 20 28 01	rba $20,$0128
	001DD5 68		pla
	001DD6 80 0A		bra $001de2

001DD8	001DD8 C9 02		cmp #$02
	001DDA B0 B4		bcs $001d90
	001DDC 48		pha
	001DDD D2 20 28 01	sba $20,$0128
	001DE1 68		pla
001DE2	001DE2 4C 54 1A		jmp $1A54{40->A7}

;;; --- `AT+'

001DE5	001DE5 A1 A7		lda ($A7)
	001DE7 C9 4D		cmp #$4D'M'
	001DE9 F0 1D		beq $001e08
	001DEB C9 48		cmp #$48'H'
	001DED F0 1F		beq $001e0e
	001DEF C9 49		cmp #$49'I'
	001DF1 F0 15		beq $001e08
	001DF3 C9 45		cmp #$45'E'
	001DF5 F0 11		beq $001e08
	001DF7 C9 41		cmp #$41'A'
	001DF9 F0 0D		beq $001e08
	001DFB F2 2F 01 02 05	bas $012F,$02,$001e05
	001E00 E2 2E 01 02 06	bar $012E,$02,$001e0b
001E05	001E05 BF 48 03		bbs 3,$48,$001e0b
001E08	001E08 4C 14 4E		jmp $4E14

001E0B	001E0B 4C 16 2E		jmp $2E16

001E0E	001E0E E6 A7		inc $A7
	001E10 D0 02		bne $001e14
	001E12 E6 A8		inc $A8
001E14	001E14 A1 A7		lda ($A7)
	001E16 C9 3F		cmp #$3F'?'
	001E18 D0 03		bne $001e1d
	001E1A 4C E4 1E		jmp $1EE4

001E1D	001E1D 20 08 17		jsr $1708
	001E20 B0 2A		bcs $001e4c
	001E22 C9 00		cmp #$00
	001E24 F0 04		beq $001e2a
	001E26 C9 08		cmp #$08
	001E28 D0 23		bne $001e4d
001E2A	001E2A A9 00		lda #$00
	001E2C 85 81		sta $81
	001E2E 57 82		rmb 5,$82
	001E30 77 98		rmb 7,98
	001E32 17 6F		rmb 1,$6F
	001E34 C2 10 5C 01	rba $10,$015C
	001E38 47 98		rmb 4,$98
	001E3A FF 64 0F		bbs 7,$64,$001e4c
	001E3D AD B9 03		lda $03B9
	001E40 48		pha
	001E41 A9 F8		lda #$F8
	001E43 25 53		and $53
	001E45 85 53		sta $53
	001E47 68		pla
	001E48 05 53		ora $53
	001E4A 85 53		sta $53
001E4C	001E4C 60		rts

001E4D	001E4D C9 04		cmp #$04
	001E4F B0 2C		bcs $001e7d
	001E51 87 81		smb 0,$81
	001E53 77 98		rmb 7,98
	001E55 C9 02		cmp #$02
	001E57 90 0A		bcc $001e63
	001E59 D0 04		bne $001e5f
	001E5B F7 81		smb 7,$81
	001E5D 80 04		bra $001e63

001E5F	001E5F D7 82		smb 5,$82
	001E61 77 81		rmb 7,81
001E63	001E63 FF 64 E6		bbs 7,$64,$001e4c
	001E66 A5 53		lda $53
	001E68 29 07		and #$07
	001E6A 8D B9 03		sta $03B9
	001E6D A9 03		lda #$03
	001E6F 48		pha
	001E70 A9 F8		lda #$F8
	001E72 25 53		and $53
	001E74 85 53		sta $53
	001E76 68		pla
	001E77 05 53		ora $53
	001E79 85 53		sta $53
	001E7B 80 CF		bra $001e4c

001E7D	001E7D C9 09		cmp #$09
	001E7F 90 60		bcc $001ee1
	001E81 C9 0C		cmp #$0C
	001E83 90 45		bcc $001eca
	001E85 C9 10		cmp #$10
	001E87 F0 32		beq $001ebb
	001E89 C9 11		cmp #$11
	001E8B D0 19		bne $001ea6
	001E8D 48		pha
	001E8E C2 10 5C 01	rba $10,$015C
	001E92 68		pla
	001E93 C7 98		smb 4,$98
	001E95 48		pha
	001E96 D2 01 74 01	sba $01,$0174
	001E9A 68		pla
	001E9B 87 81		smb 0,$81
	001E9D F7 98		smb 7,$98
	001E9F A2 01		ldx #$01
	001EA1 8E CA 04		stx $04CA		;Cx9 CRC	control area
	001EA4 80 28		bra $001ece

001EA6	001EA6 C9 44		cmp #$44'D'
	001EA8 D0 37		bne $001ee1
	001EAA E2 2E 01 40 32	bar $012E,$40,$001ee1
	001EAF 48		pha
	001EB0 D2 10 5C 01	sba $10,$015C
	001EB4 68		pla
	001EB5 77 98		rmb 7,98
	001EB7 47 98		rmb 4,$98
	001EB9 80 13		bra $001ece

001EBB	001EBB E2 2E 01 40 21	bar $012E,$40,$001ee1
	001EC0 48		pha
	001EC1 C2 10 5C 01	rba $10,$015C
	001EC5 68		pla
	001EC6 47 98		rmb 4,$98
	001EC8 97 6F		smb 1,$6F
001ECA	001ECA 87 81		smb 0,$81
	001ECC F7 98		smb 7,$98
001ECE	001ECE 77 81		rmb 7,81
	001ED0 57 82		rmb 5,$82
	001ED2 C9 0A		cmp #$0A
	001ED4 90 8D		bcc $001e63
	001ED6 D0 04		bne $001edc
	001ED8 F7 81		smb 7,$81
	001EDA 80 87		bra $001e63

001EDC	001EDC D7 82		smb 5,$82
	001EDE 4C 63 1E		jmp $1E63

001EE1	001EE1 4C 0B 1E		jmp $1E0B

001EE4	001EE4 20 14 FE		jsr $FE14{out_crlf}
	001EE7 A9 30		lda #$30'0'
	001EE9 F2 5C 01 10 22	bas $015C,$10,$001f10
	001EEE CF 98 2D		bbs 4,$98,$001f1e
	001EF1 0F 81 0F		bbr 0,$81,$001f03
	001EF4 FF 98 30		bbs 7,$98,$001f27
	001EF7 A9 33		lda #$33'3'
	001EF9 DF 82 07		bbs 5,$82,$001f03
	001EFC A9 32		lda #$32'2'
	001EFE FF 81 02		bbs 7,$81,$001f03
	001F01 A9 31		lda #$31'1'
001F03	001F03 20 05 FE		jsr $FE05{out}
	001F06 20 14 FE		jsr $FE14{out_crlf}
	001F09 E6 A7		inc $A7
	001F0B D0 02		bne $001f0f
	001F0D E6 A8		inc $A8
001F0F	001F0F 60		rts

001F10	001F10 A9 33		lda #$33'3'
	001F12 20 05 FE		jsr $FE05{out}
	001F15 A9 32		lda #$32'2'
	001F17 20 05 FE		jsr $FE05{out}
	001F1A A9 34		lda #$34'4'
	001F1C 80 E5		bra $001f03

001F1E	001F1E A9 31		lda #$31'1'
	001F20 20 05 FE		jsr $FE05{out}
	001F23 A9 37		lda #$37'7'
	001F25 80 DC		bra $001f03

001F27	001F27 9F 6F 0F		bbs 1,$6F,$001f39
	001F2A A9 31		lda #$31'1'
	001F2C DF 82 0C		bbs 5,$82,$001f3b
	001F2F A9 30		lda #$30'0'
	001F31 FF 81 07		bbs 7,$81,$001f3b
	001F34 A9 39		lda #$39'9'
	001F36 4C 03 1F		jmp $1F03

001F39	001F39 A9 36		lda #$36'6'
001F3B	001F3B 48		pha
	001F3C A9 31		lda #$31'1'
	001F3E 20 05 FE		jsr $FE05{out}
	001F41 68		pla
	001F42 4C 03 1F		jmp $1F03

;;; return next char pointed by ($40)

001F45	001F45 E6 40		inc $40
	001F47 D0 02		bne $001f4b
	001F49 E6 41		inc $41
001F4B	001F4B A1 40		lda ($40)
	001F4D 60		rts

;;; --- `AT#'

001F4E	001F4E 20 5D 1A		jsr $1A5D{A7->40}		; $a7,$a8 -> $40,$41, lda ($40)
	001F51 C9 43		cmp #$43'C'
	001F53 F0 03		beq $001f58
	001F55 4C 7E 1F		jmp $1F7E

;;; CID?

001F58	001F58 20 45 1F		jsr $1F45{($40)++}
	001F5B C9 49		cmp #$49'I'
	001F5D D0 1F		bne $001f7e
	001F5F 20 45 1F		jsr $1F45{($40)++}
	001F62 C9 44		cmp #$44'D'
	001F64 D0 18		bne $001f7e
	001F66 20 45 1F		jsr $1F45{($40)++}
	001F69 C9 3F		cmp #$3F'?'
	001F6B D0 14		bne $001f81
	001F6D 20 45 1F		jsr $1F45{($40)++}
	001F70 20 54 1A		jsr $1A54{40->A7}
	001F73 A5 50		lda $50
	001F75 29 30		and #$30'0'
	001F77 4A		lsr a
	001F78 4A		lsr a
	001F79 4A		lsr a
	001F7A 4A		lsr a
	001F7B 4C EB 5A		jmp $5AEB

001F7E	001F7E 4C B7 1F		jmp $1FB7

001F81	001F81 C9 3D		cmp #$3D'='
	001F83 D0 35		bne $001fba
	001F85 20 45 1F		jsr $1F45{($40)++}
	001F88 C9 3F		cmp #$3F'?'
	001F8A D0 0D		bne $001f99
	001F8C 20 45 1F		jsr $1F45{($40)++}
	001F8F 20 54 1A		jsr $1A54{40->A7}		;! $A7 = $40
	001F92 A9 02		lda #$02
	001F94 85 44		sta $44
	001F96 4C 0F 5B		jmp $5B0F

001F99	001F99 C9 33		cmp #$33'3'
	001F9B 90 03		bcc $001fa0		;! a > '3'
	001F9D 4C 16 2E		jmp $2E16

001FA0	001FA0 20 AC 2E		jsr $2EAC
	001FA3 0A		asl a
	001FA4 0A		asl a
	001FA5 0A		asl a
	001FA6 0A		asl a
	001FA7 48		pha
	001FA8 A9 CF		lda #$CF
	001FAA 25 50		and $50
	001FAC 85 50		sta $50
	001FAE 68		pla
	001FAF 05 50		ora $50
	001FB1 85 50		sta $50
	001FB3 20 54 1A		jsr $1A54{40->A7}
	001FB6 60		rts

001FB7	001FB7 4C 5A 3C		jmp $3C5A

001FBA	001FBA 4C 16 2E		jmp $2E16

;;; --- `AT&'

001FBD	43 44 46 47 4A
	4B 4C 4D 50 51
	52 53 54 56 57
	58 59 5A

	DF 4B 05 01	C	?
	E7 4B 03 03	D	?
	FF 17 20 01	F
	FF 3C 20 02	G
	FE 4B 00 01	J	?
	FF 54 20 06	K
	FB 4E 02 00	L	?
	FF 6E 20 03	M
	FF A7 20 03	P
	FF 6E 20 06	Q
	FB 4B 02 01	R	?
	BF 4B 06 01	S	?
	FF (C1 20 08)	T

; --- page break - continued at 004000

002000	002000 08 00
002002	002002 00		brk
	002003 00		brk
	002004 00		brk
	002005 00		brk
	002006 00		brk
	002007 66 61		ror $61
	002009 00		brk
	00200A 8F 14 02		bbs 0,$14,$00200f	;Cx9 Timer B Mode
	00200D B7 58		smb 3,$58
00200F	00200F 02		mpy
	002010 33		plw
	002011 59 02 CA		eor $CA02,y
	002014 61 02		adc ($02)		;Cx9	port C (bidirectional)
002016	002016 AA		tax
	002017 5E 02 04		lsr $0402,x
	00201A 63		???			;undocumented opcode
	00201B FF 59 F1		bbs 7,$59,$00200f
	00201E FF FF FF		bbs 7,$FF,$002020
	002021 02		mpy
	002022 BE 5B FF		lda $FF5B,y
	002025 BE FF FF		lda $FFFF,y
	002028 FF FF 02		bbs 7,$FF,$00202d
	00202B AC 31 FF		ldy $FF31
	00202E FF FF FF		bbs 7,$FF,$002030
	002031 FF FF FF		bbs 7,$FF,$002033
	002034 FF FF

	002036 0B 87 15		; 001587 (compare)
	002039 0B AC 2E		; 002EAC (get number after atX)
	00203C 0B 83 1A		; 001A83 (atz)
	00203F 0B 16 2E		; 004E16 (ERROR?)
	002042 0B 6B 16		; 00166B (at)
	002045 0B 82 16		; 001682 (atn)
	002048 0B B6 09		; 0009B6
	00204B 0B B5 10		; 0010B5
	00204E 0B 8B 11		; 00118B
	002051 0B AD 0C		; 000CAD
	002054 0B 88 0A		; 000A88
	002057 0B B3 0A		; 000AB3
	00205A 0B 8E 0A		; 000A8E
	00205D 0B F8 09		; 0009F8
	002060 0B 63 14		; 001463
	002063 0B 54 14		; 001454 - blink AA
	002066 0B 0E 0B		; 000B0E
	002069 0B 79 11
	00206C 0B 83 11
	00206F 0B 7B 10
	002072 0B 6A 32
	002075 0B 07 33
	002078 0B 1E 34
	002081 0B BB 2F
	00207E 0B 18 3C
	002081 0B B0 2F
	002084 0B F5 38
	002087 0B FA 37
	00208A 0B FE 35
	00208D 0B 91 70
	002090 0B 0E 72

	002093 1B FB 51
	002096 1B 12 53
	002099 1B F4 51
	00209C 1B 8C 51
	00209F 1B 2D 51
	0020A2 1B D4 4C
	0020A5 1B 4F 4D
	0020A8 1B 3E 51
	0020AB 1B 3C 4D
	0020AE 1B F9 50
	0020B1 1B 65 51
	0020B4 1B EA 50
	0020B7 1B 50 50
	0020BA 1B 2F 50
	0020BD 1B 37 50
	0020C0 1B 40 1B
	0020C3 1B 27 0D
	0020C6 1B 79 28
	0020C9 1B 1C 1E
	0020CC 1B 31 23
	0020CF 1B 47 12
	0020D2 1B D5 1A
	0020D5 1B F5 15
	0020D8 1B 67 23
	0020DB 1B E1 25
	0020DE 1B 0A 29
	0020E1 1B 49 0F
	0020E4 1B 83 23
	0020E7 1B A9 23
	0020EA 1B F9 27
	0020ED 1B A1 27
	0020F0 1B 4F 29
	0020F3 1B D6 2A
	0020F6 1B 83 29
	0020F9 1B E6 2A
	0020FC 1B 9A 29
	0020FF 1B BE 29
	002102 1B 32 2B
	002105 1B 4C 29
	002108 1B C6 2B
	00210B 1B 01 26
	00210E 1B 2B 2C
	002111 1B B9 18
	002114 1B 95 40
	002117 1B 9D 40
	00211A 1B 9B 2E
	00211D 1B 55 2C
	002120 1B 44 2C
	002123 1B 92 0A
	002126 1B 22 0C
	002129 1B B6 09
	00212C 1B C8 0A
	00212F 1B C2 34
	002132 1B E7 34	
	002135 1B 9D 37
	002138 1B E4 37
	00213B 1B 56 38
	00213E 1B 96 3A
	002141 1B EE 39
	002144 1B 29 38
	002147 1B 23 39
	00214A 1B 1D 3D
	00214D 1B 3C 3D
	002050 1B 25 37
	002053 1B 26 37
	002156 1B 42 35
	002158 1B 6F 3D
	00215C 1B AC 3D
	00215F 1B 73 3A
	002162 1B F3 3C
	002165 1B 07 45
	002168 1B 8D 45
	00216B 1B 85 44
	00216E 1B C4 48
	002171 1B 85 44
	002174 1B C9 47
	002177 1B 0A 45
	00217A 1B 48 48
	00217D 1B 24 48

	002180 1B 87 47		; 00E787? - nop?
	002183 1B 1B 46
	002186 1B 1B 46
	002189 1B 1C 46
	00218C 1B 82 48		; 00E882 -
	00218F 1B
	002190 13 49
	002192 1B
	002193 B2 49
	002195 1B
	002196 D9 49
	002198 1B
	002199 52 4A
	00219B 1B
	00219C 2B 4A
	00219E 1B
	00219F 61 49
	0021A1 1B
	0021A2 88 49
	0021A4 1B
	0021A5 38 48
	0021A7 1B
	0021A8 7C 4A
	0021AA 1B
	0021AB F7 48
	0021AD 1B
	0021AE DB 44
	0021B0 1B
	0021B1 C2 44
	0021D3 1B
	0021D4 09 48
	0021B6 1B
	0021B7 AB 48
	0021B9 1B
	0021BA 3A 49
	0021BC 1B
	0021BD F0 46
	0021BF 1B
	0021C0 19 4C
	0021C2 1B
	0021C3 0A 48
	0021C5 1B
	0021C6 A5 44
	0021C8 1B
	0021C9 3D 47
	0021CB 1B
	0021CC 18 4C
	0021CE 1B
	0021CF 57 47
	0021CH 1B
	0021D2 1D 46
	0021D4 1B
	0021D5 70 43
	0021D7 1B
	0021D8 0C 21
	0021DA 1B
	0021DB E0 47
	0021DD 1B
	0021DE AE 4B
	0021E0 1B
	0021E1 08 4C
	0021E3 1B
	0021E4 95 54
	0021E6 1B
	0021E7 24 44
	0021E9 1B 6C 45		;
	0021EC 1B
	0021ED 95 44
	0021EF 1B
	0021F0 18 44
	0021F2 1B
	0021F3 70 4C

	0021F5 0B		jsb 0			;indirect $FFE0
	0021F6 6C 4D
	0021F8 0B
	0021F9 C7 4D
	0021FB 0B		jsb 0			;indirect $FFE0
	0021FC EC 4A
	0021FE 0B
	0021FF 67 44

	002201 0B F9 44

	002294 0B 5A 3C

	002207 0B		jsb 0			;indirect $FFE0
	002208 34 4A
	00220A 0B		jsb 0			;indirect $FFE0
	00220B C6 49
	00220D 0B		jsb 0			;indirect $FFE0
	00220E 85 46
	002210 0B		jsb 0			;indirect $FFE0
	002211 00 4A
	002213 0B		jsb 0			;indirect $FFE0
	002214 19 4D 0B
	002217 EA 48
	002219 0B		jsb 0			;indirect $FFE0
	00221A FD 5A
	00221C 0B
	00221D 01 5B
	00221F 0B		jsb 0			;indirect $FFE0
	002220 14 4E
	002222 0B
	002223 0F 5B
	002225 0B		jsb 0			;indirect $FFE0
	002226 DF 5A
	002228 0B 
	002229 EB 5A
	00222B 0B		jsb 0			;indirect $FFE0
	00222C 26 4F
	00222E 0B		jsb 0			;indirect $FFE0
	00222F EB 4E
	002231 0B
	002232 B7 5B
	002234 0B		jsb 0			;indirect $FFE0
	002235 18 50
	002237 0B
	002238 45 50
	00223A 0B		jsb 0			;indirect $FFE0
	00223B 86 56
	00223D 0B		jsb 0			;indirect $FFE0
	00223E E0 56
	002240 0B		jsb 0			;indirect $FFE0
	002241 D3 55
	002243 0B
	002244 F4 54
	002246 0B		jsb 0			;indirect $FFE0
	002247 7A 54
	002249 0B		jsb 0			;indirect $FFE0
	00224A E6 56
	00224C 0B		jsb 0			;indirect $FFE0
	00224D 95 56
	00224F 0B		jsb 0			;indirect $FFE0
	002250 3F 5A
	002252 0B
	002253 45 5A
	002255 0B		jsb 0			;indirect $FFE0
	002256 DD 55
	002258 0B
	002259 67 56
	00225B 0B		jsb 0			;indirect $FFE0
	00225C 46 55
	00225E 0B		jsb 0			;indirect $FFE0
	00225F FC 5C
	002261 0B		jsb 0			;indirect $FFE0
	002262 9B 5E
	002264 0B
	002265 36 5E

	002267 0B 4E 5F		; 007F4E - cid?

	00226A 0B
	00226B C6 5F

	00226D 0B
	00226E 4B 5F		; 007F4B - jump $181 - caller id

	002270 0B
	002271 48 5F
	002273 0B
	002274 5F 70
	002276 0B
	002277 8D 6F
	002279 0B
	00227A CB 6B
	00227C 0B		jsb 0			;indirect $FFE0
	00227D 96 6D
	00227F 0B		jsb 0			;indirect $FFE0
	002280 75 6A
	002282 0B		jsb 0			;indirect $FFE0
	002283 B8 6B
	002285 0B		jsb 0			;indirect $FFE0
	002286 90 6B
	002288 0B		jsb 0			;indirect $FFE0
	002289 E6 69
	00228B 0B		jsb 0			;indirect $FFE0
	00228C EA 69
	00228E 0B
	00228F 78 6B
	002291 2B		jsb 2			;indirect $FFE4
	002292 AA 5B
	002294 2B 8C 5C
	002297 2B
	002298 90 5E
	00229A 2B		jsb 2			;indirect $FFE4
	00229B 0F 5F
	00229D 2B	
	00229E 52 60
	0022A0 2B		jsb 2			;indirect $FFE4
	0022A1 FF 5E
	0022A3 2B
	0022A4 B8 61
	0022A6 2B
	0022A7 C4 59
	0022A9 2B		jsb 2			;indirect $FFE4
	0022AA DF 59
	0022AC 2B
	0022AD 3F 5A
	0022AF 2B
	0022B0 32  60
	0022B2 2B		jsb 2			;indirect $FFE4
	0022B3 AC 5C
	0022B5 2B
	0022B6 43 61
	0022B8 2B
	0022B9 E2 60
	0022BB 2B
	0022BC 22 61
	0022BE 2B		jsb 2			;indirect $FFE4
	0022BF 8A 61
	0022C1 2B	
	0022C2 A7 5B
	0022C4 2B		jsb 2			;indirect $FFE4
	0022C5 38 61
	0022C7 2B
	0022C8 4C 61
	0022CA 2B
	0022CB 0A 66
	0022CD 2B
	0022CE 9A 13
	0022D0 2B		jsb 2			;indirect $FFE4
	0022D1 8B 13
	0022D3 2B		jsb 2			;indirect $FFE4
0022D4	0022D4 67 13
	0022D6 2B		jsb 2			;indirect $FFE4
	0022D7 D9 15
	0022D9 2B
	0022DA 10 13
	0022DC 2B		jsb 2			;indirect $FFE4
	0022DD 82 16
	0022DF 2B
	0022E0 5D 1D
	0022E2 2B
	0022E3 EF 1C
	0022E5 2B
	0022E6 D9 16
	0022E8 2B
	0022E9 2E 18
	0022EB 2B
	0022EC 9E 19
	0022EE 2B
	0022EF B1 55
	0022F1 2B
	0022F2 D3 52
	0022F4 2B		jsb 2			;indirect $FFE4
	0022F5 B3 52
	0022F7 2B		jsb 2			;indirect $FFE4
0022F8	0022F8 22 1F
	0022FA 2B
	0022FB F7 2B
	0022FD 2B		jsb 2			;indirect $FFE4
	0022FE FA 2B
	002300 2B		jsb 2			;indirect $FFE4
	002301 FD 1D

	002303 2B D6 1D		; 011DD6 (ring?)

	002306 2B		jsb 2			;indirect $FFE4
	002307 EF 1D		;

	002309 2B
	00230A D9 23
	00230C 2B
	00230D 3A 2C
	00230B 2B
	00230C A4 2D
	00230E 2B
	00230F 87 30
	002311 2B
	002316 20 46
	002318 2B
	002319 B9 40
	00231B 2B
	00231C 0A 32
	00231E 2B		jsb 2			;indirect $FFE4
00231F	00231F 31 34
	002321 2B		jsb 2			;indirect $FFE4
	002322 A2 2F
	002324 2B		jsb 2			;indirect $FFE4
	002325 B8 2F
	002327 2B
	002328 48 2F
	00232A 2B
	00232B EB 2F
	00232D 2B
	00232E 86 2E
	002330 2B
	002331 B7 2E
	002333 2B
	002334 10 2F
	002336 2B
	002337 39 2F
	002339 2B
	00233A 78 2F
	00233C 2B
	00233D 30 32
	00233F 2B		jsb 2			;indirect $FFE4
	002340 E5 47
	002342 2B		jsb 2			;indirect $FFE4
	002343 84 48
	002345 2B		jsb 2			;indirect $FFE4
	002346 6A 42
	002348 2B		jsb 2			;indirect $FFE4
	002349 7E 42
	00234B 2B	
	00234C B6 42
	00234E 2B		jsb 2			;indirect $FFE4
	00234F EF 42
	002350 2B
	002352 E2 4D
	002354 2B
	002355 25 1C
	002357 2B		jsb 2			;indirect $FFE4
	002358 E4 71
	00235A 2B		jsb 2			;indirect $FFE4
	00235B EA 71
	00235D 2B
	00235E 07 72
	002360 2B		jsb 2			;indirect $FFE4
	002361 56 73
	002363 2B		jsb 2			;indirect $FFE4
	002364 29 6C
	002366 2B		jsb 2			;indirect $FFE4
	002367 A3 6B

	002369 2B 38 74		; 017438

	00236C 2B
	00236D EF 74
	00236F 2B
	002370 E7 6C
	002372 2B		jsb 2			;indirect $FFE4
002373	002373 F8 71
	002375 2B
	002376 50 71
	002378 2B		jsb 2			;indirect $FFE4
	002379 5A 76
	00237B 2B
	00237C 7C 76
	00237E 2B
00237F	00237F 35 77
	002381 2B		jsb 2			;indirect $FFE4
	002382 80 7C
002384	002384 2B		jsb 2			;indirect $FFE4
	002385 0E 7C
	002387 2B
	002388 DF 7B
	002390 2B
	00238B 8C 76
	00238D 2B
	00238E 30 7C
	002390 2B		jsb 2			;indirect $FFE4
	002391 B6 7C
	002393 2B		jsb 2			;indirect $FFE4
	002394 F5 7A
	002396 2B		jsb 2			;indirect $FFE4
	002397 79 7A
	002399 2B
	00239A 48 7B
	00239C 2B		jsb 2			;indirect $FFE4
	00239D 44 76
	00239F 2B
	0023A0 BA 7B
	0023A2 2B		jsb 2			;indirect $FFE4
	0023A3 60 7D
	0023A5 3B
	0023A6 1A 28
	0023A8 3B		jsb 3			;indirect $FFE6
	0023A9 95 28
	0023AB 3B		jsb 3			;indirect $FFE6
	0023AC 7B 2B
	0023AE 3B		jsb 3			;indirect $FFE6
	0023AF 69 2F
	0023B1 3B		jsb 3			;indirect $FFE6
	0023B2 34 30
0023B3	0023B2 3B
	0023B5 A9 30
	0023B7 3B		jsb 3			;indirect $FFE6
	0023B8 10 31
	0023BA 3B		jsb 3			;indirect $FFE6
	0023BB 1B 31
	0023BD 3B
	0023BE 27 31
	0023C0 3B		jsb 3			;indirect $FFE6
	0023C1 38 31
	0023C3 3B
	0023C4 3A 31
	0023C6 3B
	0023C7 5E 31
	0023C9 3B
	0023CA 7B 31
	0023CC 3B
	0023CD 7B 31
	0023CF 3B
	0023D0 4A 30
	0023D2 3B 6C 31		; 001B16C
	0023D5 3B
	0023D6 8F 31
	0023D8 3B
	0023D9 7C 31
	0023DB 3B
	0023DC 9E 31
	0023DE 3B
	0023DF E0 31
	0023E1 3B		jsb 3			;indirect $FFE6
	0023E2 50 32

	0023E4 3B		jsb 3			;indirect $FFE6
	0023E5 96 32		; 00B2

	0023E7 3B		jsb 3			;indirect $FFE6
	0023E8 9B 32
	0023EA 3B		jsb 3			;indirect $FFE6
0023EB	0023EB 52 32
	0023ED 3B B0 31		; 001B1B0

0023F0	0023F0 3B		jsb 3			;indirect $FFE6
	0023F1 A4 31		; 001B1A4

	0023F3 3B		jsb 3			;indirect $FFE6
	0023F4 C6 31
	0023F6 3B		jsb 3			;indirect $FFE6
	0023F7 D3 31
	0023F9 3B
	0023FA 6B 31
	0023FC 3B
	0023FD 05 30
	0023FF 3B		jsb 3			;indirect $FFE6
002400	002400 C5 32
002402	002402 3B		jsb 3			;indirect $FFE6
	002403 B4 32
	002405 3B		jsb 3			;indirect $FFE6
	002406 47 4F
	002408 3B		jsb 3			;indirect $FFE6
	002409 77 4F
	00240B 3B		jsb 3			;indirect $FFE6
00240C	00240C 5D 3F
	00240E 3B
	00240F AB 46
	002411 3B
	002412 C5 55
002414	002414 3B		jsb 3			;indirect $FFE6
	002415 1E 27
	002417 3B
	002418 21 27
	00241A 3B		jsb 3			;indirect $FFE6
	00241B 21 27
	00241D 3B		jsb 3			;indirect $FFE6
	00241E 21 27
	002420 3B		jsb 3			;indirect $FFE6
002421	002421 21 27
	002423 3B		jsb 3			;indirect $FFE6
	002424 21 27
	002426 3B		jsb 3			;indirect $FFE6
	002427 B2 27
	002429 3B
	00242A D6 27
	00242C 3B		jsb 3			;indirect $FFE6
	00242D 19 28
	00242F 3B
	002430 45 2D
	002432 3B		jsb 3			;indirect $FFE6
	002433 09 2F
	002435 3B		jsb 3			;indirect $FFE6
	002436 CE 2D
	002438 3B
	002439 64 2E
	00243B 3B		jsb 3			;indirect $FFE6
	00243C 25 2C
	00243E 3B		jsb 3			;indirect $FFE6
	00243F 61 2C
	002441 3B		jsb 3			;indirect $FFE6
	002442 05 2D
	002444 3B		jsb 3			;indirect $FFE6
	002445 DD 15
	002447 3B
	002448 1C 1F
	00244A 3B
	00244B B6 09
	00244D 3B
	00244E 21 16
	002450 3B		jsb 3			;indirect $FFE6
	002451 7E 0F
	002453 3B
	002454 B4 19
	002456 3B		jsb 3			;indirect $FFE6
	002457 97 20

	002459 3B
	00245A 9F 0B		18B9F - ?

	00245C 3B
	00245D 8C 1C
	00245F 3B
	002460 CE 18
	002462 3B
	002463 69 1E
	002465 3B		jsb 3			;indirect $FFE6
	002466 85 1A
	002468 3B		jsb 3			;indirect $FFE6
	002469 85 21
	00246B 3B		jsb 3			;indirect $FFE6
	00246C 96 25
	00246E 3B		jsb 3			;indirect $FFE6
	00246F 2A 25
	002471 3B
	002472 0B 26
	002474 3B
	002475 DD 26
	002477 3B
	002478 F9 4E

;;; IRQ handler

	00247A 78		sei
	00247B A2 FF		ldx #$FF
	00247D 9A		txs
	00247E D8		cld
	00247F B2 00 32		sti #$00,$32		;Cx9	host control register
	002482 B2 C0 00		sti #$C0,$00		;Cx9	port A (bidirectional)
	002485 B2 FF 01		sti #$FF,$01		;Cx9	port B (output only)
	002488 B2 4F 07		sti #$4F'O',$07		;Cx9	port E (R/W)
	00248B A9 C0		lda #$C0
	00248D 8D 00 02		sta $0200
	002490 85 04		sta $04			;Cx9	port D & direction control
	002492 B2 C0 05		sti #$C0,$05		;Cx9	port B select (R/W)
	002495 B2 7F 06		sti #$7F,$06		;Cx9	port C direction (W)
002498	002498 B2 10 03		sti #$10,$03		;Cx9	port A direction (R/O)
	00249B A9 6F		lda #$6F'o'
	00249D 8D 01 02		sta $0201
	0024A0 85 08		sta $08			;Cx9	mask option & port E dir'n
	0024A2 B2 83 3B		sti #$83,$3B		;Cx9	serial line control register
	0024A5 B2 C0 3A		sti #$C0,$3A		;Cx9	serial mode register
	0024A8 B2 0F 3F		sti #$0F,$3F		;Cx9 SIN (TxD) divider latch (R)
	0024AB B2 0F 3E		sti #$0F,$3E		;Cx9 SOUT (RxD) divider latch (R)
	0024AE B2 00 0B		sti #$00,$0B		;Cx9 Clear External Interrupt
	0024B1 B2 03 0A		sti #$03,$0A		;Cx9 External Interrupt Register
	0024B4 B2 00 09		sti #$00,$09		;Cx9 Low Power Register (LPR)
	0024B7 B2 55 33		sti #$55'U',$33		;Cx9	chip select fast/slow

	0024BA B2 70 18		sti #$70'p',$18		;Cx9	bank switch register 0 (R/W)
	0024BD B2 71 19		sti #$71'q',$19		;Cx9	bank switch register 1 (R/W)
	0024C0 B2 72 1A		sti #$72'r',$1A		;Cx9	bank switch register 2 (R/W)
	0024C3 B2 73 1B		sti #$73's',$1B		;Cx9	bank switch register 3 (R/W)
	0024C6 B2 77 1F		sti #$77'w',$1F		;Cx9	bank switch register 7 (R/W)
	0024C9 B2 B0 1C		sti #$B0,$1C		;Cx9	bank switch register 4 (R/W)
	0024CC B2 B1 1D		sti #$B1,$1D		;Cx9	bank switch register 5 (R/W)
	0024CF B2 B2 1E		sti #$B2,$1E		;Cx9	bank switch register 6 (R/W)

; <MMU>
;
;	0111 0000	0000	ROM 0000	78	10000		7C	18000
;	0111 0001	2000	ROM 2000	79	12000		7D	1A000
;	0111 0010	4000	ROM 4000	7A	14000		7E	1C000
;	0111 0011	6000	ROM 6000	7B	16000		7F	1E000
;	1011 0000	8000	ram 0000
;	1011 0001	a000	ram 2000
;	1011 0010	c000	ram 4000
;	0111 0111	e000	ROM e000

	0024D2 A2 FF		ldx #$FF
	0024D4 9A		txs
	0024D5 A9 FF		lda #$FF
	0024D7 8D 5A 04		sta $045A
	0024DA 20 90 E0		jsr $E090
	0024DD 20 26 E1		jsr $E126
	0024E0 A2 32		ldx #$32'2'
	0024E2 20 B6 F2		jsr $F2B6
	0024E5 A9 FF		lda #$FF
	0024E7 8D 5A 04		sta $045A
	0024EA A9 C0		lda #$C0
	0024EC 8D 00 02		sta $0200
	0024EF A9 6F		lda #$6F'o'
	0024F1 8D 01 02		sta $0201
	0024F4 B2 10 99		sti #$10,$99
	0024F7 20 26 E1		jsr $E126
	0024FA 20 F4 FC		jsr $FCF4
	0024FD AC 74 01		ldy $0174
	002500 22		psh
	002501 20 2C E1		jsr $E12C
	002504 32		pul
	002505 8C 74 01		sty $0174
	002508 A9 FF		lda #$FF
	00250A 85 A9		sta $A9
	00250C 4C 29 E1		jmp $E129

00250F	00250F 60		rts

002510	002510 C0 03		cpy #$03
	002512 D0 05		bne $002519
	002514 20 82 E5		jsr $E582
	002517 80 15		bra $00252e

002519	002519 C0 02		cpy #$02
	00251B D0 05		bne $002522
	00251D 20 6C E5		jsr $E56C
	002520 80 0C		bra $00252e

002522	002522 C0 01		cpy #$01
	002524 D0 05		bne $00252b
	002526 20 59 E5		jsr $E559
	002529 80 03		bra $00252e

00252B	00252B 20 43 E5		jsr $E543
00252E	00252E DF 6B 04		bbs 5,$6B,$002535
	002531 B1 46		lda ($46),x
	002533 80 02		bra $002537

002535	002535 91 46		sta ($46),x
002537	002537 4C 43 E5		jmp $E543

00253A	00253A 08		php
	00253B 48		pha
	00253C 78		sei
	00253D 33		plw
	00253E DB		pli
	00253F 9B		lii
	002540 20 8F E5		jsr $E58F
	002543 B2 70 18		sti #$70'p',$18		;Cx9	bank switch register 0 (R/W)
	002546 B2 71 19		sti #$71'q',$19		;Cx9	bank switch register 1 (R/W)
	002549 B2 72 1A		sti #$72'r',$1A		;Cx9	bank switch register 2 (R/W)
	00254C B2 73 1B		sti #$73's',$1B		;Cx9	bank switch register 3 (R/W)
	00254F 60		rts

002550	002550 08		php
	002551 48		pha
	002552 78		sei
	002553 33		plw
	002554 DB		pli
	002555 9B		lii
	002556 20 8F E5		jsr $E58F
	002559 B2 74 18		sti #$74't',$18		;Cx9	bank switch register 0 (R/W)
	00255C B2 75 19		sti #$75'u',$19		;Cx9	bank switch register 1 (R/W)
	00255F B2 76 1A		sti #$76'v',$1A		;Cx9	bank switch register 2 (R/W)
	002562 60		rts

002563	002563 08		php
	002564 48		pha
	002565 78		sei
	002566 33		plw
	002567 DB		pli
	002568 9B		lii
	002569 20 8F E5		jsr $E58F
	00256C B2 78 18		sti #$78'x',$18		;Cx9	bank switch register 0 (R/W)
	00256F B2 79 19		sti #$79'y',$19		;Cx9	bank switch register 1 (R/W)
	002572 B2 7A 1A		sti #$7A'z',$1A		;Cx9	bank switch register 2 (R/W)
	002575 B2 7B 1B		sti #$7B'{',$1B		;Cx9	bank switch register 3 (R/W)
	002578 60		rts

002579	002579 08		php
	00257A 48		pha
	00257B 78		sei
	00257C 33		plw
	00257D DB		pli
	00257E 9B		lii
	00257F 20 8F E5		jsr $E58F
	002582 B2 7C 18		sti #$7C'|',$18		;Cx9	bank switch register 0 (R/W)
	002585 B2 7D 19		sti #$7D'}',$19		;Cx9	bank switch register 1 (R/W)
	002588 B2 7E 1A		sti #$7E'~',$1A		;Cx9	bank switch register 2 (R/W)
	00258B B2 7F 1B		sti #$7F,$1B		;Cx9	bank switch register 3 (R/W)
	00258E 60		rts

00258F	00258F B2 70 18		sti #$70'p',$18		;Cx9	bank switch register 0 (R/W)
	002592 B2 71 19		sti #$71'q',$19		;Cx9	bank switch register 1 (R/W)
	002595 B2 72 1A		sti #$72'r',$1A		;Cx9	bank switch register 2 (R/W)
	002598 B2 73 1B		sti #$73's',$1B		;Cx9	bank switch register 3 (R/W)
	00259B CB		phi
	00259C 23		phw
	00259D 68		pla
	00259E 40		rti

	00259F 08		php
	0025A0 48		pha
	0025A1 78		sei
	0025A2 33		plw
	0025A3 DB		pli
	0025A4 9B		lii
	0025A5 20 F4 E5		jsr $E5F4
	0025A8 B2 70 18		sti #$70'p',$18		;Cx9	bank switch register 0 (R/W)
	0025AB B2 71 19		sti #$71'q',$19		;Cx9	bank switch register 1 (R/W)
	0025AE B2 72 1A		sti #$72'r',$1A		;Cx9	bank switch register 2 (R/W)
	0025B1 B2 73 1B		sti #$73's',$1B		;Cx9	bank switch register 3 (R/W)
	0025B4 60		rts

0025B5	0025B5 08		php
	0025B6 48		pha
	0025B7 78		sei
	0025B8 33		plw
	0025B9 DB		pli
	0025BA 9B		lii
	0025BB 20 F4 E5		jsr $E5F4
	0025BE B2 74 18		sti #$74't',$18		;Cx9	bank switch register 0 (R/W)
	0025C1 B2 75 19		sti #$75'u',$19		;Cx9	bank switch register 1 (R/W)
	0025C4 B2 76 1A		sti #$76'v',$1A		;Cx9	bank switch register 2 (R/W)
	0025C7 60		rts

0025C8	0025C8 08		php
	0025C9 48		pha
	0025CA 78		sei
	0025CB 33		plw
	0025CC DB		pli
	0025CD 9B		lii
	0025CE 20 F4 E5		jsr $E5F4
	0025D1 B2 78 18		sti #$78'x',$18		;Cx9	bank switch register 0 (R/W)
	0025D4 B2 79 19		sti #$79'y',$19		;Cx9	bank switch register 1 (R/W)
	0025D7 B2 7A 1A		sti #$7A'z',$1A		;Cx9	bank switch register 2 (R/W)
	0025DA B2 7B 1B		sti #$7B'{',$1B		;Cx9	bank switch register 3 (R/W)
	0025DD 60		rts

0025DE	0025DE 08		php
	0025DF 48		pha
	0025E0 78		sei
	0025E1 33		plw
	0025E2 DB		pli
	0025E3 9B		lii
	0025E4 20 F4 E5		jsr $E5F4
	0025E7 B2 7C 18		sti #$7C'|',$18		;Cx9	bank switch register 0 (R/W)
	0025EA B2 7D 19		sti #$7D'}',$19		;Cx9	bank switch register 1 (R/W)
	0025ED B2 7E 1A		sti #$7E'~',$1A		;Cx9	bank switch register 2 (R/W)
	0025F0 B2 7F 1B		sti #$7F,$1B		;Cx9	bank switch register 3 (R/W)
	0025F3 60		rts

0025F4	0025F4 B2 74 18		sti #$74't',$18		;Cx9	bank switch register 0 (R/W)
	0025F7 B2 75 19		sti #$75'u',$19		;Cx9	bank switch register 1 (R/W)
	0025FA B2 76 1A		sti #$76'v',$1A		;Cx9	bank switch register 2 (R/W)
	0025FD CB		phi
	0025FE 23		phw
	0025FF 68		pla
	002600 40		rti

	002601 08		php
	002602 48		pha
	002603 78		sei
	002604 33		plw
	002605 DB		pli
	002606 9B		lii
	002607 20 56 E6		jsr $E656
	00260A B2 70 18		sti #$70'p',$18		;Cx9	bank switch register 0 (R/W)
	00260D B2 71 19		sti #$71'q',$19		;Cx9	bank switch register 1 (R/W)
	002610 B2 72 1A		sti #$72'r',$1A		;Cx9	bank switch register 2 (R/W)
	002613 B2 73 1B		sti #$73's',$1B		;Cx9	bank switch register 3 (R/W)
	002616 60		rts

002617	002617 08		php
	002618 48		pha
	002619 78		sei
	00261A 33		plw
	00261B DB		pli
	00261C 9B		lii
	00261D 20 56 E6		jsr $E656
	002620 B2 74 18		sti #$74't',$18		;Cx9	bank switch register 0 (R/W)
	002623 B2 75 19		sti #$75'u',$19		;Cx9	bank switch register 1 (R/W)
	002626 B2 76 1A		sti #$76'v',$1A		;Cx9	bank switch register 2 (R/W)
	002629 60		rts

00262A	00262A 08		php
	00262B 48		pha
	00262C 78		sei
	00262D 33		plw
	00262E DB		pli
	00262F 9B		lii
	002630 20 56 E6		jsr $E656
	002633 B2 78 18		sti #$78'x',$18		;Cx9	bank switch register 0 (R/W)
	002636 B2 79 19		sti #$79'y',$19		;Cx9	bank switch register 1 (R/W)
	002639 B2 7A 1A		sti #$7A'z',$1A		;Cx9	bank switch register 2 (R/W)
	00263C B2 7B 1B		sti #$7B'{',$1B		;Cx9	bank switch register 3 (R/W)
	00263F 60		rts

002640	002640 08		php
	002641 48		pha
	002642 78		sei
	002643 33		plw
	002644 DB		pli
	002645 9B		lii
	002646 20 56 E6		jsr $E656
	002649 B2 7C 18		sti #$7C'|',$18		;Cx9	bank switch register 0 (R/W)
	00264C B2 7D 19		sti #$7D'}',$19		;Cx9	bank switch register 1 (R/W)
	00264F B2 7E 1A		sti #$7E'~',$1A		;Cx9	bank switch register 2 (R/W)
	002652 B2 7F 1B		sti #$7F,$1B		;Cx9	bank switch register 3 (R/W)
	002655 60		rts

002656	002656 B2 78 18		sti #$78'x',$18		;Cx9	bank switch register 0 (R/W)
	002659 B2 79 19		sti #$79'y',$19		;Cx9	bank switch register 1 (R/W)
	00265C B2 7A 1A		sti #$7A'z',$1A		;Cx9	bank switch register 2 (R/W)
	00265F B2 7B 1B		sti #$7B'{',$1B		;Cx9	bank switch register 3 (R/W)
	002662 CB		phi
	002663 23		phw
	002664 68		pla
	002665 40		rti

	002666 08		php
	002667 48		pha
	002668 78		sei
	002669 33		plw
	00266A DB		pli
	00266B 9B		lii
	00266C 20 BB E6		jsr $E6BB
	00266F B2 70 18		sti #$70'p',$18		;Cx9	bank switch register 0 (R/W)
	002672 B2 71 19		sti #$71'q',$19		;Cx9	bank switch register 1 (R/W)
	002675 B2 72 1A		sti #$72'r',$1A		;Cx9	bank switch register 2 (R/W)
	002678 B2 73 1B		sti #$73's',$1B		;Cx9	bank switch register 3 (R/W)
	00267B 60		rts

00267C	00267C 08		php
	00267D 48		pha
	00267E 78		sei
	00267F 33		plw
	002680 DB		pli
	002681 9B		lii
	002682 20 BB E6		jsr $E6BB
	002685 B2 74 18		sti #$74't',$18		;Cx9	bank switch register 0 (R/W)
	002688 B2 75 19		sti #$75'u',$19		;Cx9	bank switch register 1 (R/W)
	00268B B2 76 1A		sti #$76'v',$1A		;Cx9	bank switch register 2 (R/W)
	00268E 60		rts

00268F	00268F 08		php
	002690 48		pha
	002691 78		sei
	002692 33		plw
	002693 DB		pli
	002694 9B		lii
	002695 20 BB E6		jsr $E6BB
	002698 B2 78 18		sti #$78'x',$18		;Cx9	bank switch register 0 (R/W)
	00269B B2 79 19		sti #$79'y',$19		;Cx9	bank switch register 1 (R/W)
	00269E B2 7A 1A		sti #$7A'z',$1A		;Cx9	bank switch register 2 (R/W)
	0026A1 B2 7B 1B		sti #$7B'{',$1B		;Cx9	bank switch register 3 (R/W)
	0026A4 60		rts

0026A5	0026A5 08		php
	0026A6 48		pha
	0026A7 78		sei
	0026A8 33		plw
	0026A9 DB		pli
	0026AA 9B		lii
	0026AB 20 BB E6		jsr $E6BB
	0026AE B2 7C 18		sti #$7C'|',$18		;Cx9	bank switch register 0 (R/W)
	0026B1 B2 7D 19		sti #$7D'}',$19		;Cx9	bank switch register 1 (R/W)
	0026B4 B2 7E 1A		sti #$7E'~',$1A		;Cx9	bank switch register 2 (R/W)
	0026B7 B2 7F 1B		sti #$7F,$1B		;Cx9	bank switch register 3 (R/W)
	0026BA 60		rts

0026BB	0026BB B2 7C 18		sti #$7C'|',$18		;Cx9	bank switch register 0 (R/W)
	0026BE B2 7D 19		sti #$7D'}',$19		;Cx9	bank switch register 1 (R/W)
	0026C1 B2 7E 1A		sti #$7E'~',$1A		;Cx9	bank switch register 2 (R/W)
	0026C4 B2 7F 1B		sti #$7F,$1B		;Cx9	bank switch register 3 (R/W)
	0026C7 CB		phi
	0026C8 23		phw
	0026C9 68		pla
	0026CA 40		rti
	0026CB 8D BF 03		sta $03BF
	0026CE 68		pla
	0026CF 48		pha
	0026D0 29 10		and #$10
	0026D2 F0 03		beq $0026d7
	0026D4 4C 7A E4		jmp $E47A

0026D7	0026D7 AD BF 03		lda $03BF
	0026DA 4C 7A E4		jmp $E47A

0026DD	0026DD 22		psh
	0026DE A5 40		lda $40
	0026E0 A6 41		ldx $41
	0026E2 A4 42		ldy $42
	0026E4 22		psh
	0026E5 EF 6E 0C		bbs 6,$6E,$0026f4
	0026E8 A5 43		lda $43
	0026EA A6 44		ldx $44
	0026EC A4 45		ldy $45
	0026EE 22		psh
	0026EF A5 46		lda $46
	0026F1 A6 47		ldx $47
	0026F3 22		psh
0026F4	0026F4 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	0026F6 BF 61 03		bbs 3,$61,$0026fc
	0026F9 07 39		rmb 0,$39		;Cx9	serial interrupt enable
	0026FB 58		cli
0026FC	0026FC 57 0B		rmb 5,$0B		;Cx9 Clear External Interrupt
	0026FE F2 04 06 10 1E	bas $0604,$10,$002721	;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	002703 0F 3C 03		bbr 0,$3C,$002709	;Cx9	serial status register
	002706 20 68 02		jsr $0268
002709	002709 E2 1E 06 40 06	bar $061E,$40,$002714	;DPi RDBIA
	00270E 4F 59 03		bbr 4,$59,$002714
	002711 20 71 02		jsr $0271
002714	002714 E2 1E 06 80 64	bar $061E,$80,$00277d	;DPi TDBIA
	002719 3F 59 03		bbr 3,$59,$00271f
	00271C 20 6E 02		jsr $026E
00271F	00271F 80 DB		bra $0026fc

002721	002721 0F 3C 03		bbr 0,$3C,$002727	;Cx9	serial status register
	002724 20 68 02		jsr $0268
002727	002727 E2 1E 06 20 12	bar $061E,$20,$00273e	;DPi TDBIE
	00272C E2 0D 06 02 0D	bar $060D,$02,$00273e	;DPi TXFNF
	002731 E2 1E 06 80 05	bar $061E,$80,$00273b	;DPi TDBIA
	002736 20 6E 02		jsr $026E
	002739 80 E6		bra $002721

00273B	00273B 20 6E 02		jsr $026E
00273E	00273E F2 0C 06 02 05	bas $060C,$02,$002748	;DPi RXFNE
	002743 E2 1E 06 40 0F	bar $061E,$40,$002757	;DPi RDBIA
002748	002748 0F 3C 03		bbr 0,$3C,$00274e	;Cx9	serial status register
	00274B 20 68 02		jsr $0268
00274E	00274E 20 71 02		jsr $0271
	002751 0F 3C 03		bbr 0,$3C,$002757	;Cx9	serial status register
	002754 20 68 02		jsr $0268
002757	002757 1F 39 0B		bbr 1,$39,$002765	;Cx9	serial interrupt enable
	00275A 3F 64 08		bbr 3,$64,$002765
	00275D 5F 3C 05		bbr 5,$3C,$002765	;Cx9	serial status register
	002760 20 65 02		jsr $0265
	002763 80 BC		bra $002721

002765	002765 F2 0C 06 02 B7	bas $060C,$02,$002721	;DPi AADET/ACDET/CADET/CCDET/SDET
	00276A E2 1E 06 20 05	bar $061E,$20,$002774	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	00276F F2 0D 06 02 AD	bas $060D,$02,$002721	;DPi P2DET/PNDET/S1DET/SCR1/U1DET
002774	002774 BF 9B 06		bbs 3,$9B,$00277d
	002777 C2 08 1F 06	rba $08,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	00277B 80 3D		bra $0027ba

00277D	00277D E2 1F 06 80 2D	bar $061F,$80,$0027af	;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	002782 C2 08 1F 06	rba $08,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	002786 1F 58 1D		bbr 1,$58,$0027a6
	002789 E2 0C 06 20 02	bar $060C,$20,$002790	;DPi AADET/ACDET/CADET/CCDET/SDET
	00278E F7 6D		smb 7,$6D
002790	002790 E2 0C 06 04 11	bar $060C,$04,$0027a6	;DPi AADET/ACDET/CADET/CCDET/SDET
	002795 A9 37		lda #$37'7'
	002797 8D 08 02		sta $0208
	00279A A9 00		lda #$00
	00279C 8D 09 02		sta $0209
	00279F 37 5D		rmb 3,$5D
	0027A1 A7 70		smb 2,$70
	0027A3 4C FC E6		jmp $E6FC

0027A6	0027A6 5F 59 03		bbr 5,$59,$0027ac
	0027A9 20 74 02		jsr $0274
0027AC	0027AC 4C FC E6		jmp $E6FC

0027AF	0027AF 4F 59 08		bbr 4,$59,$0027ba
	0027B2 E2 1E 06 40 03	bar $061E,$40,$0027ba	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	0027B7 4C FC E6		jmp $E6FC

0027BA	0027BA 78		sei
	0027BB A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
	0027BD 87 39		smb 0,$39		;Cx9	serial interrupt enable
	0027BF 6F 6E 0C		bbr 6,$6E,$0027ce
	0027C2 20 E4 FD		jsr $FDE4
	0027C5 32		pul
	0027C6 85 40		sta $40
	0027C8 86 41		stx $41
	0027CA 84 42		sty $42
	0027CC 32		pul
	0027CD 40		rti
0027CE	0027CE 32		pul
	0027CF 85 46		sta $46
	0027D1 86 47		stx $47
	0027D3 32		pul
	0027D4 85 43		sta $43
	0027D6 86 44		stx $44
	0027D8 84 45		sty $45
	0027DA 32		pul
	0027DB 85 40		sta $40
	0027DD 86 41		stx $41
	0027DF 84 42		sty $42
	0027E1 20 E4 FD		jsr $FDE4
	0027E4 32		pul
	0027E5 40		rti
	0027E6 67 0B		rmb 6,$0B		;Cx9 Clear External Interrupt
	0027E8 40		rti
	0027E9 22		psh
	0027EA 7F 14 43		bbr 7,$14,$002830	;Cx9 Timer B Mode
	0027ED A5 17		lda $17			;Cx9 TBS, TBUL, Clear, Download
	0027EF 67 14		rmb 6,$14		;Cx9 Timer B Mode
	0027F1 6F 66 07		bbr 6,$66,$0027fb
	0027F4 2F 00 04		bbr 2,$00,$0027fb	;Cx9	port A (bidirectional)
	0027F7 E7 3A		smb 6,$3A		;Cx9	serial mode register
	0027F9 67 66		rmb 6,$66
0027FB	0027FB EE CC 00		inc $00CC
	0027FE D0 08		bne $002808
	002800 EE CD 00		inc $00CD
	002803 D0 03		bne $002808
	002805 EE CE 00		inc $00CE
002808	002808 AD 33 01		lda $0133
	00280B F0 03		beq $002810
	00280D CE 33 01		dec $0133
002810	002810 58		cli
	002811 78		sei
	002812 E2 31 01 20 03	bar $0131,$20,$00281a
	002817 AF 88 0C		bbs 2,$88,$002826
00281A	00281A BF 9B 03		bbs 3,$9B,$002820
	00281D EF 9B 03		bbs 6,$9B,$002823
002820	002820 CF 61 03		bbs 4,$61,$002826
002823	002823 20 50 F2		jsr $F250
002826	002826 58		cli
	002827 78		sei
	002828 E7 14		smb 6,$14		;Cx9 Timer B Mode
	00282A 0F 5C 03		bbr 0,$5C,$002830
	00282D 20 8F 02		jsr $028F
002830	002830 32		pul
	002831 40		rti
	002832 1F 6D 0E		bbr 1,$6D,$002843
	002835 0F 6D 04		bbr 0,$6D,$00283c
	002838 57 3D		rmb 5,$3D		;Cx9	serial form register
	00283A 80 07		bra $002843

00283C	00283C 48		pha
	00283D AD 5F 04		lda $045F
	002840 85 3B		sta $3B			;Cx9	serial line control register
	002842 68		pla
002843	002843 E2 04 06 10 0B	bar $0604,$10,$002853	;DPi FIFOEN
	002848 E2 1E 06 80 06	bar $061E,$80,$002853	;DPi TDBIA
	00284D 3F 61 03		bbr 3,$61,$002853
	002850 4C DD E6		jmp $E6DD

002853	002853 0F 3C 37		bbr 0,$3C,$00288d	;Cx9	serial status register
	002856 22		psh
	002857 EF 6E 13		bbs 6,$6E,$00286d
	00285A A5 40		lda $40
	00285C A6 41		ldx $41
	00285E A4 42		ldy $42
	002860 22		psh
	002861 A5 43		lda $43
	002863 A6 44		ldx $44
	002865 A4 45		ldy $45
	002867 22		psh
	002868 A5 46		lda $46
	00286A A6 47		ldx $47
	00286C 22		psh
00286D	00286D 1F 59 03		bbr 1,$59,$002873
	002870 20 68 02		jsr $0268
002873	002873 EF 6E 13		bbs 6,$6E,$002889
	002876 32		pul
	002877 85 46		sta $46
	002879 86 47		stx $47
	00287B 32		pul
	00287C 85 43		sta $43
	00287E 86 44		stx $44
	002880 84 45		sty $45
	002882 32		pul
	002883 85 40		sta $40
	002885 86 41		stx $41
	002887 84 42		sty $42
002889	002889 32		pul
	00288A 20 E4 FD		jsr $FDE4
00288D	00288D 37 0B		rmb 3,$0B		;Cx9 Clear External Interrupt
	00288F 40		rti
	002890 6F 10 06		bbr 6,$10,$002899	;Cx9 Timer A Mode
	002893 7F 10 03		bbr 7,$10,$002899	;Cx9 Timer A Mode
	002896 4C 77 02		jmp $0277

002899	002899 22		psh
	00289A 7F 39 0C		bbr 7,$39,$0028a9	;Cx9	serial interrupt enable
	00289D 4F 3C 09		bbr 4,$3C,$0028a9	;Cx9	serial status register
	0028A0 EF 66 06		bbs 6,$66,$0028a9
	0028A3 3F 61 03		bbr 3,$61,$0028a9
	0028A6 20 D9 E2		jsr $E2D9
0028A9	0028A9 85 3C		sta $3C			;Cx9	serial status register
	0028AB 32		pul
	0028AC 40		rti
	0028AD E2 04 06 10 0B	bar $0604,$10,$0028bd	;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	0028B2 E2 1E 06 80 06	bar $061E,$80,$0028bd	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	0028B7 3F 61 03		bbr 3,$61,$0028bd
	0028BA 4C DD E6		jmp $E6DD

0028BD	0028BD 1F 39 3A		bbr 1,$39,$0028fa	;Cx9	serial interrupt enable
	0028C0 5F 3C 37		bbr 5,$3C,$0028fa	;Cx9	serial status register
	0028C3 22		psh
	0028C4 EF 6E 13		bbs 6,$6E,$0028da
	0028C7 A5 40		lda $40
	0028C9 A6 41		ldx $41
	0028CB A4 42		ldy $42
	0028CD 22		psh
	0028CE A5 43		lda $43
	0028D0 A6 44		ldx $44
	0028D2 A4 45		ldy $45
	0028D4 22		psh
	0028D5 A5 46		lda $46
	0028D7 A6 47		ldx $47
	0028D9 22		psh
0028DA	0028DA 0F 59 03		bbr 0,$59,$0028e0
	0028DD 20 65 02		jsr $0265
0028E0	0028E0 EF 6E 13		bbs 6,$6E,$0028f6
	0028E3 32		pul
	0028E4 85 46		sta $46
	0028E6 86 47		stx $47
	0028E8 32		pul
	0028E9 85 43		sta $43
	0028EB 86 44		stx $44
	0028ED 84 45		sty $45
	0028EF 32		pul
	0028F0 85 40		sta $40
	0028F2 86 41		stx $41
	0028F4 84 42		sty $42
0028F6	0028F6 32		pul
	0028F7 20 E4 FD		jsr $FDE4
0028FA	0028FA 40		rti

;;; timer interrupt?

;;; 00E8FB <- ($0290)

	0028FB A9 34		lda #$34'4'		;! -> E934
	0028FD 8D 90 02		sta $0290
	002900 A9 E9		lda #$E9
	002902 8D 91 02		sta $0291
	002905 8F 5D 14		bbs 0,$5D,$00291c
	002908 AD 02 02		lda $0202
	00290B D0 0C		bne $002919
	00290D AD 03 02		lda $0203
	002910 D0 04		bne $002916
	002912 87 5D		smb 0,$5D
	002914 80 06		bra $00291c

002916	002916 CE 03 02		dec $0203
002919	002919 CE 02 02		dec $0202
00291C	00291C 8F 60 14		bbs 0,$60,$002933	;! 9A8E -- $60.0
	00291F AD 8E 9A		lda $9A8E
	002922 D0 0C		bne $002930
	002924 AD 8F 9A		lda $9A8F
	002927 D0 04		bne $00292d
	002929 87 60		smb 0,$60
	00292B 80 06		bra $002933

00292D	00292D CE 8F 9A		dec $9A8F
002930	002930 CE 8E 9A		dec $9A8E
002933	002933 60		rts

;;; 00E934 <- ($0290)

002934	002934 A9 6D		lda #$6D		;! -> E96D
	002936 8D 90 02		sta $0290
	002939 A9 E9		lda #$E9
	00293B 8D 91 02		sta $0291
	00293E 9F 5D 14		bbs 1,$5D,$002955
	002941 AD 04 02		lda $0204
	002944 D0 0C		bne $002952
	002946 AD 05 02		lda $0205
	002949 D0 04		bne $00294f
	00294B 97 5D		smb 1,$5D
	00294D 80 06		bra $002955

00294F	00294F CE 05 02		dec $0205
002952	002952 CE 04 02		dec $0204
002955	002955 9F 60 14		bbs 1,$60,$00296c
	002958 AD 90 9A		lda $9A90
	00295B D0 0C		bne $002969
	00295D AD 91 9A		lda $9A91
	002960 D0 04		bne $002966
	002962 97 60		smb 1,$60
	002964 80 06		bra $00296c

002966	002966 CE 91 9A		dec $9A91
002969	002969 CE 90 9A		dec $9A90
00296C	00296C 60		rts

;;; 00E96D <- ($0290)

00296D	00296D A9 A6		lda #$A6		;! -> E9A6
	00296F 8D 90 02		sta $0290
	002972 A9 E9		lda #$E9
	002974 8D 91 02		sta $0291
	002977 AF 5D 14		bbs 2,$5D,$00298e
	00297A AD 06 02		lda $0206
	00297D D0 0C		bne $00298b
	00297F AD 07 02		lda $0207
	002982 D0 04		bne $002988
	002984 A7 5D		smb 2,$5D
	002986 80 06		bra $00298e

002988	002988 CE 07 02		dec $0207
00298B	00298B CE 06 02		dec $0206
00298E	00298E AF 60 14		bbs 2,$60,$0029a5
	002991 AD 92 9A		lda $9A92
	002994 D0 0C		bne $0029a2
	002996 AD 93 9A		lda $9A93
	002999 D0 04		bne $00299f
	00299B A7 60		smb 2,$60
	00299D 80 06		bra $0029a5

00299F	00299F CE 93 9A		dec $9A93
0029A2	0029A2 CE 92 9A		dec $9A92
0029A5	0029A5 60		rts

;;; 00E9A6 <- ($0290)

0029A6	0029A6 A9 DF		lda #$DF
	0029A8 8D 90 02		sta $0290
	0029AB A9 E9		lda #$E9
	0029AD 8D 91 02		sta $0291
	0029B0 BF 5D 14		bbs 3,$5D,$0029c7
	0029B3 AD 08 02		lda $0208
	0029B6 D0 0C		bne $0029c4
	0029B8 AD 09 02		lda $0209
	0029BB D0 04		bne $0029c1
	0029BD B7 5D		smb 3,$5D
	0029BF 80 06		bra $0029c7

0029C1	0029C1 CE 09 02		dec $0209
0029C4	0029C4 CE 08 02		dec $0208
0029C7	0029C7 BF 60 14		bbs 3,$60,$0029de
	0029CA AD 94 9A		lda $9A94
	0029CD D0 0C		bne $0029db
	0029CF AD 95 9A		lda $9A95
	0029D2 D0 04		bne $0029d8
	0029D4 B7 60		smb 3,$60
	0029D6 80 06		bra $0029de

0029D8	0029D8 CE 95 9A		dec $9A95
0029DB	0029DB CE 94 9A		dec $9A94
0029DE	0029DE 60		rts

;;; 00E9DF <- ($0290)

0029DF	0029DF A9 01		lda #$01
	0029E1 8D 90 02		sta $0290
	0029E4 A9 EA		lda #$EA
	0029E6 8D 91 02		sta $0291
	0029E9 CF 5D 14		bbs 4,$5D,$002a00
	0029EC AD 0A 02		lda $020A
	0029EF D0 0C		bne $0029fd
	0029F1 AD 0B 02		lda $020B
	0029F4 D0 04		bne $0029fa
	0029F6 C7 5D		smb 4,$5D
	0029F8 80 06		bra $002a00

0029FA	0029FA CE 0B 02		dec $020B
0029FD	0029FD CE 0A 02		dec $020A
002A00	002A00 60		rts

;;; 00EA01 <- ($0290)

002A01	002A01 A9 23		lda #$23
	002A03 8D 90 02		sta $0290
	002A06 A9 EA		lda #$EA
	002A08 8D 91 02		sta $0291
	002A0B DF 5D 14		bbs 5,$5D,$002a22
	002A0E AD 0C 02		lda $020C
	002A11 D0 0C		bne $002a1f
	002A13 AD 0D 02		lda $020D
	002A16 D0 04		bne $002a1c
	002A18 D7 5D		smb 5,$5D
	002A1A 80 06		bra $002a22

002A1C	002A1C CE 0D 02		dec $020D
002A1F	002A1F CE 0C 02		dec $020C
002A22	002A22 60		rts

;;; 00EA23 <- ($0290)

002A23	002A23 A9 45		lda #$45'E'
	002A25 8D 90 02		sta $0290
	002A28 A9 EA		lda #$EA
	002A2A 8D 91 02		sta $0291
	002A2D EF 5D 14		bbs 6,$5D,$002a44
	002A30 AD 0E 02		lda $020E
	002A33 D0 0C		bne $002a41
	002A35 AD 0F 02		lda $020F
	002A38 D0 04		bne $002a3e
	002A3A E7 5D		smb 6,$5D
	002A3C 80 06		bra $002a44

002A3E	002A3E CE 0F 02		dec $020F
002A41	002A41 CE 0E 02		dec $020E
002A44	002A44 60		rts

;;; 00EA45 <- ($0290)

002A45	002A45 A9 67		lda #$67'g'
	002A47 8D 90 02		sta $0290
	002A4A A9 EA		lda #$EA
	002A4C 8D 91 02		sta $0291
	002A4F FF 5D 14		bbs 7,$5D,$002a66
	002A52 AD 10 02		lda $0210
	002A55 D0 0C		bne $002a63
	002A57 AD 11 02		lda $0211
	002A5A D0 04		bne $002a60
	002A5C F7 5D		smb 7,$5D
	002A5E 80 06		bra $002a66

002A60	002A60 CE 11 02		dec $0211
002A63	002A63 CE 10 02		dec $0210
002A66	002A66 60		rts

;;; 00EA67 <- ($0290)

002A67	002A67 A9 89		lda #$89
	002A69 8D 90 02		sta $0290
	002A6C A9 EA		lda #$EA
	002A6E 8D 91 02		sta $0291
	002A71 8F 5E 14		bbs 0,$5E,$002a88
	002A74 AD 12 02		lda $0212
	002A77 D0 0C		bne $002a85
	002A79 AD 13 02		lda $0213
	002A7C D0 04		bne $002a82
	002A7E 87 5E		smb 0,$5E
	002A80 80 06		bra $002a88

002A82	002A82 CE 13 02		dec $0213
002A85	002A85 CE 12 02		dec $0212
002A88	002A88 60		rts

;;; 00EA89 <- ($0290)

002A89	002A89 A9 FB		lda #$FB		;! -> E8FB
	002A8B 8D 90 02		sta $0290
	002A8E A9 E8		lda #$E8
	002A90 8D 91 02		sta $0291
	002A93 9F 5E 14		bbs 1,$5E,$002aaa
	002A96 AD 14 02		lda $0214
	002A99 D0 0C		bne $002aa7
	002A9B AD 15 02		lda $0215
	002A9E D0 04		bne $002aa4
	002AA0 97 5E		smb 1,$5E
	002AA2 80 06		bra $002aaa

002AA4	002AA4 CE 15 02		dec $0215
002AA7	002AA7 CE 14 02		dec $0214
002AAA	002AAA 0F 67 03		bbr 0,$67,$002ab0
	002AAD 4C 5B EB		jmp $EB5B		;! rts?


002AB0	002AB0 87 67		smb 0,$67
	002AB2 58		cli
	002AB3 A5 40		lda $40
	002AB5 A6 41		ldx $41
	002AB7 A4 42		ldy $42
	002AB9 22		psh
	002ABA A5 43		lda $43
	002ABC A6 44		ldx $44
	002ABE A4 45		ldy $45
	002AC0 22		psh
	002AC1 A5 46		lda $46
	002AC3 A6 47		ldx $47
	002AC5 22		psh
	002AC6 EE 7C 03		inc $037C
	002AC9 A5 1B		lda $1B			;Cx9	bank switch register 3 (R/W)
	002ACB 48		pha
	002ACC A5 1A		lda $1A			;Cx9	bank switch register 2 (R/W)
	002ACE 48		pha
	002ACF A5 19		lda $19			;Cx9	bank switch register 1 (R/W)
	002AD1 48		pha
	002AD2 A5 18		lda $18			;Cx9	bank switch register 0 (R/W)
	002AD4 48		pha
	002AD5 20 6C E5		jsr $E56C
	002AD8 2F 59 03		bbr 2,$59,$002ade
	002ADB 20 6B 02		jsr $026B
002ADE	002ADE 4F 5B 03		bbr 4,$5B,$002ae4
	002AE1 20 8C 02		jsr $028C
002AE4	002AE4 3F 5B 03		bbr 3,$5B,$002aea
	002AE7 20 89 02		jsr $0289
002AEA	002AEA 2F 5B 03		bbr 2,$5B,$002af0
	002AED 20 86 02		jsr $0286
002AF0	002AF0 5F 5A 03		bbr 5,$5A,$002af6
	002AF3 20 7A 02		jsr $027A
002AF6	002AF6 6F 5A 03		bbr 6,$5A,$002afc
	002AF9 20 7D 02		jsr $027D
002AFC	002AFC 20 99 E0		jsr $E099
	002AFF EF 57 2A		bbs 6,$57,$002b2c
	002B02 7F 65 03		bbr 7,$65,$002b08
	002B05 7F 4B 24		bbr 7,$4B,$002b2c
002B08	002B08 20 52 F5		jsr $F552
	002B0B B0 12		bcs $002b1f
	002B0D 7F 65 05		bbr 7,$65,$002b15
	002B10 DF 00 0C		bbs 5,$00,$002b1f	;Cx9	port A (bidirectional)
	002B13 80 05		bra $002b1a

002B15	002B15 E2 0E 06 40 05	bar $060E,$40,$002b1f	;DPi BRKD
002B1A	002B1A EE 84 03		inc $0384
	002B1D 80 0D		bra $002b2c

002B1F	002B1F AD 84 03		lda $0384
	002B22 F0 08		beq $002b2c
	002B24 8D 86 03		sta $0386
	002B27 A9 00		lda #$00
	002B29 8D 84 03		sta $0384
002B2C	002B2C 68		pla
	002B2D 85 18		sta $18			;Cx9	bank switch register 0 (R/W)
	002B2F 68		pla
	002B30 85 19		sta $19			;Cx9	bank switch register 1 (R/W)
	002B32 68		pla
	002B33 85 1A		sta $1A			;Cx9	bank switch register 2 (R/W)
	002B35 68		pla
	002B36 85 1B		sta $1B			;Cx9	bank switch register 3 (R/W)
	002B38 EE CF 00		inc $00CF
	002B3B D0 08		bne $002b45
	002B3D EE D0 00		inc $00D0
	002B40 D0 03		bne $002b45
	002B42 EE D1 00		inc $00D1
002B45	002B45 32		pul
	002B46 85 46		sta $46
	002B48 86 47		stx $47
	002B4A 32		pul
	002B4B 85 43		sta $43
	002B4D 86 44		stx $44
	002B4F 84 45		sty $45
	002B51 32		pul
	002B52 85 40		sta $40
	002B54 86 41		stx $41
	002B56 84 42		sty $42
	002B58 78		sei
	002B59 07 67		rmb 0,$67
	002B5B 60		rts


;;; 00EB5C - get the rest of AT command

002B5C	002B5C 0F 69 0C		bbr 0,$69,$002b6b
	002B5F A9 05		lda #$05
	002B61 8D 30 02		sta $0230
	002B64 A9 00		lda #$00
	002B66 8D 31 02		sta $0231
	002B69 77 5F		rmb 7,$5F
002B6B	002B6B 20 6D EF		jsr $EF6D       ; store something to $230,231
	002B6E AD 7E 03		lda $037E
	002B71 D0 26		bne $002b99
	002B73 AD 5F 04		lda $045F
	002B76 85 3B		sta $3B			;Cx9	serial line control register
	002B78 A5 3B		lda $3B			;Cx9	serial line control register
	002B7A 29 18		and #$18
	002B7C 4A		lsr a
	002B7D 4A		lsr a
	002B7E 4A		lsr a
	002B7F 49 03		eor #$03
	002B81 C9 01		cmp #$01
	002B83 D0 02		bne $002b87
	002B85 A9 03		lda #$03
002B87	002B87 0A		asl a
	002B88 0A		asl a
	002B89 0A		asl a
	002B8A 0A		asl a
	002B8B 48		pha
	002B8C A9 CF		lda #$CF
	002B8E 25 4D		and $4D
	002B90 85 4D		sta $4D
	002B92 68		pla
	002B93 05 4D		ora $4D
	002B95 85 4D		sta $4D
	002B97 17 6D		rmb 1,$6D
002B99	002B99 20 01 FE		jsr $FE01{in}
	002B9C B7 8C		smb 3,$8C
	002B9E B0 32		bcs $002bd2
	002BA0 29 7F		and #$7F
	002BA2 CD 09 01		cmp $0109		;! S3 - <cr>
	002BA5 F0 42		beq $002be9
	002BA7 C9 7F		cmp #$7F		;!?
	002BA9 F0 05		beq $002bb0
	002BAB CD 0B 01		cmp $010B		;! backspace?
	002BAE D0 25		bne $002bd5

002BB0	002BB0 AE 7E 03		ldx $037E		;! len
	002BB3 F0 1D		beq $002bd2
	002BB5 CE 7E 03		dec $037E		;! len--
	002BB8 AD 0B 01		lda $010B		;! backspace
	002BBB 1F 49 14		bbr 1,$49,$002bd2
	002BBE 07 39		rmb 0,$39
	002BC0 58		cli
	002BC1 20 05 FE		jsr $FE05{out}
	002BC4 A9 20		lda #$20' '
	002BC6 20 05 FE		jsr $FE05{out}
	002BC9 AD 0B 01		lda $010B		;! backspace
	002BCC 20 05 FE		jsr $FE05{out}
	002BCF 87 39		smb 0,$39
	002BD1 78		sei
002BD2	002BD2 F7 6B		smb 7,$6B
	002BD4 60		rts

002BD5	002BD5 C9 18		cmp #$18		;! Ctrl+X
	002BD7 D0 10		bne $002be9
	002BD9 A9 00		lda #$00
	002BDB 8D 7E 03		sta $037E
	002BDE 1F 49 15		bbr 1,$49,$002bf6
	002BE1 A9 18		lda #$18
	002BE3 20 05 FE		jsr $FE05{out}
	002BE6 4C F6 EB		jmp $EBF6		;! clear command and send <cr>

002BE9	002BE9 48		pha
	002BEA 1F 49 03		bbr 1,$49,$002bf0
	002BED 20 05 FE		jsr $FE05{out}
002BF0	002BF0 68		pla
	002BF1 CD 09 01		cmp $0109		;! <cr>?
	002BF4 D0 1E		bne $002c14
				;-------- CR ----------
002BF6	002BF6 A9 0D		lda #$0D
	002BF8 8D 0A 02		sta $020A
	002BFB A9 00		lda #$00
	002BFD 8D 0B 02		sta $020B
	002C00 47 5D		rmb 4,$5D
	002C02 A7 57		smb 2,$57
				;----------------------
	002C04 A9 0D		lda #$0D
	002C06 48		pha
	002C07 A9 3C		lda #$3C'<'		;! EC3C
	002C09 8D 69 02		sta $0269
	002C0C A9 EC		lda #$EC
	002C0E 8D 6A 02		sta $026A
	002C11 68		pla
	002C12 80 0E		bra $002c22

002C14	002C14 C9 20		cmp #$20' '
	002C16 90 BA		bcc $002bd2
	002C18 C9 61		cmp #$61'a'
	002C1A 90 06		bcc $002c22
	002C1C C9 7B		cmp #$7B'{'
	002C1E B0 02		bcs $002c22
	002C20 29 5F		and #$5F'_'

002C22	002C22 AE 7E 03		ldx $037E
	002C25 91 A7		sta ($A7),x
	002C27 E0 40		cpx #$40'@'
	002C29 D0 0B		bne $002c36
	002C2B C9 0D		cmp #$0D
	002C2D F0 07		beq $002c36
	002C2F C9 00		cmp #$00
	002C31 F0 03		beq $002c36
	002C33 4C B8 EB		jmp $EBB8

002C36	002C36 EE 7E 03		inc $037E
	002C39 4C D2 EB		jmp $EBD2		;! smb 7,$6b; rts

;;; EC3C - (vector goes to $269) get and echo character

002C3C	002C3C 20 01 FE		jsr $FE01{in}
	002C3F B7 8C		smb 3,$8C
	002C41 CF 5D 08		bbs 4,$5D,$002c4c
	002C44 1F 49 0D		bbr 1,$49,$002c54
	002C47 20 05 FE		jsr $FE05{out}
	002C4A 80 08		bra $002c54

002C4C	002C4C BF 6A 03		bbs 3,$6A,$002c52
	002C4F 8F 62 02		bbs 0,$62,$002c54
002C52	002C52 A7 62		smb 2,$62
002C54	002C54 60		rts

;;;

002C55	002C55 22		psh
	002C56 A5 40		lda $40
	002C58 48		pha
	002C59 A5 41		lda $41
	002C5B 48		pha
	002C5C A5 13		lda $13			;Cx9 TAS, TAUL, Clear, Download
002C5E	002C5E 2F 00 FD		bbr 2,$00,$002c5e	;Cx9	port A (bidirectional)
	002C61 FF 10 1F		bbs 7,$10,$002c83	;Cx9 Timer A Mode
	002C64 38		sec
	002C65 A9 00		lda #$00
	002C67 E5 11		sbc $11			;Cx9 TALC, TAUC-TAS, TALL
	002C69 85 40		sta $40
	002C6B A9 00		lda #$00
	002C6D E5 13		sbc $13			;Cx9 TAS, TAUL, Clear, Download
	002C6F 85 41		sta $41
	002C71 D0 3E		bne $002cb1
	002C73 A2 00		ldx #$00
	002C75 A5 40		lda $40
	002C77 4A		lsr a
	002C78 4A		lsr a
	002C79 64 40		add $40
	002C7B 90 01		bcc $002c7e
	002C7D E8		inx
002C7E	002C7E 38		sec
	002C7F E9 3E		sbc #$3E'>'
	002C81 80 4E		bra $002cd1

002C83	002C83 B2 00 10		sti #$00,$10		;Cx9 Timer A Mode
	002C86 A7 10		smb 2,$10		;Cx9 Timer A Mode
	002C88 A5 13		lda $13			;Cx9 TAS, TAUL, Clear, Download
	002C8A AD A1 F1		lda $F1A1
	002C8D 85 40		sta $40
	002C8F AD A2 F1		lda $F1A2
	002C92 85 41		sta $41
	002C94 4A		lsr a
	002C95 08		php
	002C96 64 41		add $41
	002C98 28		plp
	002C99 AA		tax
	002C9A A5 40		lda $40
	002C9C 6A		ror a
	002C9D 64 40		add $40
	002C9F 90 01		bcc $002ca2
	002CA1 E8		inx
002CA2	002CA2 38		sec
	002CA3 E9 4F		sbc #$4F'O'
	002CA5 B0 01		bcs $002ca8
	002CA7 CA		dex
002CA8	002CA8 85 11		sta $11			;Cx9 TALC, TAUC-TAS, TALL
	002CAA 86 13		stx $13			;Cx9 TAS, TAUL, Clear, Download
	002CAC A2 08		ldx #$08
	002CAE 4C F4 EC		jmp $ECF4

002CB1	002CB1 C9 AA		cmp #$AA
	002CB3 90 0B		bcc $002cc0
	002CB5 B2 00 10		sti #$00,$10		;Cx9 Timer A Mode
	002CB8 B2 FF 11		sti #$FF,$11		;Cx9 TALC, TAUC-TAS, TALL
	002CBB B2 FF 13		sti #$FF,$13		;Cx9 TAS, TAUL, Clear, Download
	002CBE 80 1B		bra $002cdb

002CC0	002CC0 4A		lsr a
	002CC1 08		php
	002CC2 64 41		add $41
	002CC4 28		plp
	002CC5 AA		tax
	002CC6 A5 40		lda $40
	002CC8 6A		ror a
	002CC9 64 40		add $40
	002CCB 90 01		bcc $002cce
	002CCD E8		inx
002CCE	002CCE 38		sec
	002CCF E9 4F		sbc #$4F'O'
002CD1	002CD1 B0 01		bcs $002cd4
	002CD3 CA		dex
002CD4	002CD4 B2 00 10		sti #$00,$10		;Cx9 Timer A Mode
	002CD7 85 11		sta $11			;Cx9 TALC, TAUC-TAS, TALL
	002CD9 86 13		stx $13			;Cx9 TAS, TAUL, Clear, Download
002CDB	002CDB A2 7C		ldx #$7C'|'
002CDD	002CDD BD 9B F1		lda $F19B,x
	002CE0 CA		dex
	002CE1 C5 41		cmp $41
	002CE3 F0 08		beq $002ced
	002CE5 B0 0D		bcs $002cf4
002CE7	002CE7 CA		dex
	002CE8 CA		dex
	002CE9 CA		dex
	002CEA CA		dex
	002CEB 80 F0		bra $002cdd

002CED	002CED BD 9B F1		lda $F19B,x
	002CF0 C5 40		cmp $40
	002CF2 90 F3		bcc $002ce7
002CF4	002CF4 E8		inx
	002CF5 97 6D		smb 1,$6D
	002CF7 87 6D		smb 0,$6D
	002CF9 E0 7C		cpx #$7C'|'
	002CFB F0 28		beq $002d25
	002CFD E0 77		cpx #$77'w'
	002CFF F0 24		beq $002d25
	002D01 17 6D		rmb 1,$6D
	002D03 E0 6D		cpx #$6D'm'
	002D05 90 04		bcc $002d0b
	002D07 A2 6D		ldx #$6D'm'
	002D09 80 1A		bra $002d25

002D0B	002D0B E0 5E		cpx #$5E'^'
	002D0D 90 04		bcc $002d13
	002D0F A2 5E		ldx #$5E'^'
	002D11 80 12		bra $002d25

002D13	002D13 E0 54		cpx #$54'T'
	002D15 90 04		bcc $002d1b
	002D17 A2 54		ldx #$54'T'
	002D19 80 0A		bra $002d25

002D1B	002D1B E0 45		cpx #$45'E'
	002D1D B0 06		bcs $002d25
	002D1F E0 3B		cpx #$3B';'
	002D21 90 02		bcc $002d25
	002D23 A2 3B		ldx #$3B';'
002D25	002D25 CA		dex
	002D26 CA		dex
	002D27 BD 9B F1		lda $F19B,x
	002D2A 85 12		sta $12			;Cx9 TAS (R), TAUL (W)
	002D2C CA		dex
	002D2D BD 9B F1		lda $F19B,x
	002D30 85 11		sta $11			;Cx9 TALC, TAUC-TAS, TALL
	002D32 CA		dex
	002D33 BC 9B F1		ldy $F19B,x
002D36	002D36 7F 10 FD		bbr 7,$10,$002d36	;Cx9 Timer A Mode
	002D39 A5 13		lda $13			;Cx9 TAS, TAUL, Clear, Download
	002D3B A2 01		ldx #$01
	002D3D BD 77 F0		lda $F077,x
	002D40 2F 00 03		bbr 2,$00,$002d46	;Cx9	port A (bidirectional)
	002D43 BD E7 F0		lda $F0E7,x
002D46	002D46 84 75		sty $75
	002D48 C0 FF		cpy #$FF
	002D4A F0 67		beq $002db3
	002D4C CC 5D 04		cpy $045D
	002D4F F0 08		beq $002d59
	002D51 48		pha
	002D52 98		tya
	002D53 20 6D FD		jsr $FD6D
	002D56 68		pla
	002D57 87 66		smb 0,$66
002D59	002D59 AA		tax
	002D5A 17 66		rmb 1,$66
002D5C	002D5C FF 10 1B		bbs 7,$10,$002d7a	;Cx9 Timer A Mode
	002D5F 0F 66 0C		bbr 0,$66,$002d6e
	002D62 AF 00 F7		bbs 2,$00,$002d5c	;Cx9	port A (bidirectional)
	002D65 9F 66 4B		bbs 1,$66,$002db3
	002D68 97 66		smb 1,$66
	002D6A 07 66		rmb 0,$66
	002D6C 80 EE		bra $002d5c

002D6E	002D6E 2F 00 EB		bbr 2,$00,$002d5c	;Cx9	port A (bidirectional)
	002D71 9F 66 3F		bbs 1,$66,$002db3
	002D74 97 66		smb 1,$66
	002D76 87 66		smb 0,$66
	002D78 80 E2		bra $002d5c

002D7A	002D7A 17 66		rmb 1,$66
	002D7C A5 13		lda $13			;Cx9 TAS, TAUL, Clear, Download
	002D7E BD E7 F0		lda $F0E7,x
	002D81 AF 00 03		bbs 2,$00,$002d87	;Cx9	port A (bidirectional)
	002D84 BD 77 F0		lda $F077,x
002D87	002D87 C9 66		cmp #$66'f'
	002D89 F0 28		beq $002db3
	002D8B 90 CC		bcc $002d59
	002D8D E7 3A		smb 6,$3A		;Cx9	serial mode register
	002D8F 8D 7B 03		sta $037B
	002D92 C9 68		cmp #$68'h'
	002D94 F0 04		beq $002d9a
	002D96 C9 6E		cmp #$6E'n'
	002D98 D0 03		bne $002d9d
002D9A	002D9A B2 06 3B		sti #$06,$3B		;Cx9	serial line control register
002D9D	002D9D A9 DE		lda #$DE
	002D9F 8D 69 02		sta $0269
	002DA2 A9 ED		lda #$ED
	002DA4 8D 6A 02		sta $026A
	002DA7 A5 38		lda $38			;Cx9	serial I/O buffers
	002DA9 87 39		smb 0,$39		;Cx9	serial interrupt enable
002DAB	002DAB 68		pla
	002DAC 85 41		sta $41
	002DAE 68		pla
	002DAF 85 40		sta $40
	002DB1 32		pul
	002DB2 40		rti

002DB3	002DB3 17 6D		rmb 1,$6D
	002DB5 2F 6E 05		bbr 2,$6E,$002dbd
	002DB8 20 AD EF		jsr $EFAD
	002DBB 80 EE		bra $002dab

002DBD	002DBD 2F 00 FD		bbr 2,$00,$002dbd	;Cx9	port A (bidirectional)
	002DC0 B2 03 10		sti #$03,$10		;Cx9 Timer A Mode
	002DC3 C7 3D		smb 4,$3D		;Cx9	serial form register
	002DC5 B2 00 11		sti #$00,$11		;Cx9 TALC, TAUC-TAS, TALL
	002DC8 B2 00 13		sti #$00,$13		;Cx9 TAS, TAUL, Clear, Download
	002DCB B2 FF 11		sti #$FF,$11		;Cx9 TALC, TAUC-TAS, TALL
	002DCE B2 FF 12		sti #$FF,$12		;Cx9 TAS (R), TAUL (W)
	002DD1 E7 10		smb 6,$10		;Cx9 Timer A Mode
	002DD3 AD 5D 04		lda $045D
	002DD6 20 6D FD		jsr $FD6D
	002DD9 B2 03 3B		sti #$03,$3B		;Cx9	serial line control register
	002DDC 80 CD		bra $002dab

;;; 00EDDE - another routine called from ($269)

002DDE	002DDE A5 38		lda $38			;Cx9	serial I/O buffers
	002DE0 85 A4		sta $A4
	002DE2 A6 75		ldx $75
	002DE4 07 6D		rmb 0,$6D
	002DE6 EC 5D 04		cpx $045D
	002DE9 F0 0F		beq $002dfa
	002DEB E0 12		cpx #$12
	002DED F0 0B		beq $002dfa
	002DEF E0 11		cpx #$11
	002DF1 F0 07		beq $002dfa
	002DF3 E0 09		cpx #$09
	002DF5 F0 03		beq $002dfa
002DF7	002DF7 2F 00 FD		bbr 2,$00,$002df7	;Cx9	port A (bidirectional)
002DFA	002DFA 57 3D		rmb 5,$3D		;Cx9	serial form register
	002DFC E7 00		smb 6,$00		;Cx9	port A (bidirectional)
	002DFE AE 7B 03		ldx $037B
	002E01 E0 68		cpx #$68'h'
	002E03 F0 04		beq $002e09
	002E05 E0 6E		cpx #$6E'n'
	002E07 D0 04		bne $002e0d
002E09	002E09 A0 08		ldy #$08
	002E0B 80 02		bra $002e0f

002E0D	002E0D A0 09		ldy #$09
002E0F	002E0F 88		dey
	002E10 F0 09		beq $002e1b
	002E12 46 A4		lsr $A4
	002E14 90 08		bcc $002e1e
002E16	002E16 BD E7 F0		lda $F0E7,x
	002E19 80 06		bra $002e21

002E1B	002E1B 3F 3C F8		bbr 3,$3C,$002e16	;Cx9	serial status register
002E1E	002E1E BD 77 F0		lda $F077,x
002E21	002E21 AA		tax
	002E22 C9 66		cmp #$66'f'
	002E24 F0 55		beq $002e7b
	002E26 90 E7		bcc $002e0f
	002E28 C9 70		cmp #$70'p'
	002E2A F0 5A		beq $002e86
	002E2C B0 0F		bcs $002e3d
	002E2E 2F 6E 03		bbr 2,$6E,$002e34
	002E31 4C AD EF		jmp $EFAD

002E34	002E34 8D 7B 03		sta $037B
	002E37 1F 49 02		bbr 1,$49,$002e3c
	002E3A D7 3D		smb 5,$3D		;Cx9	serial form register
002E3C	002E3C 60		rts

002E3D	002E3D 29 1F		and #$1F
	002E3F 8D 5F 04		sta $045F
	002E42 17 59		rmb 1,$59
	002E44 A9 5C		lda #$5C'\'
	002E46 8D 69 02		sta $0269
	002E49 A9 EB		lda #$EB
	002E4B 8D 6A 02		sta $026A
	002E4E 97 59		smb 1,$59
	002E50 27 6E		rmb 2,$6E
	002E52 27 57		rmb 2,$57
002E54	002E54 58		cli
	002E55 A5 75		lda $75
	002E57 8D 5B 04		sta $045B
	002E5A 38		sec
	002E5B E9 02		sbc #$02
	002E5D C9 08		cmp #$08
	002E5F 90 02		bcc $002e63
	002E61 A9 07		lda #$07
002E63	002E63 0A		asl a
	002E64 48		pha
	002E65 A9 F1		lda #$F1
	002E67 25 4D		and $4D
	002E69 85 4D		sta $4D
	002E6B 68		pla
	002E6C 05 4D		ora $4D
	002E6E 85 4D		sta $4D
	002E70 A9 55		lda #$55'U'
	002E72 8D 78 02		sta $0278
	002E75 A9 EC		lda #$EC
	002E77 8D 79 02		sta $0279
	002E7A 60		rts

002E7B	002E7B 17 6D		rmb 1,$6D
	002E7D 2F 6E 03		bbr 2,$6E,$002e83
	002E80 4C AD EF		jmp $EFAD

002E83	002E83 4C B1 EE		jmp $EEB1

002E86	002E86 17 6D		rmb 1,$6D
	002E88 2F 6E 03		bbr 2,$6E,$002e8e
	002E8B 4C AD EF		jmp $EFAD

002E8E	002E8E AD 5F 04		lda $045F
	002E91 85 3B		sta $3B			;Cx9	serial line control register
	002E93 A9 01		lda #$01
	002E95 8D 0A 02		sta $020A
	002E98 A9 00		lda #$00
	002E9A 8D 0B 02		sta $020B
	002E9D 47 5D		rmb 4,$5D
	002E9F A7 57		smb 2,$57
	002EA1 17 59		rmb 1,$59
	002EA3 A9 3C		lda #$3C'<'
	002EA5 8D 69 02		sta $0269
	002EA8 A9 EC		lda #$EC
	002EAA 8D 6A 02		sta $026A
	002EAD 97 59		smb 1,$59
	002EAF 80 A3		bra $002e54

002EB1	002EB1 A9 0F		lda #$0F
	002EB3 8D 78 02		sta $0278
	002EB6 A9 E5		lda #$E5
	002EB8 8D 79 02		sta $0279
	002EBB 67 3D		rmb 6,$3D		;Cx9	serial form register
	002EBD 1F 61 11		bbr 1,$61,$002ed1
	002EC0 7F 65 0B		bbr 7,$65,$002ece
	002EC3 F2 11 06 80 06	bas $0611,$80,$002ece	;DPi BRKS
	002EC8 DF 4A 03		bbs 5,$4A,$002ece
	002ECB 20 E0 F3		jsr $F3E0
002ECE	002ECE 20 EB F3		jsr $F3EB
002ED1	002ED1 A5 9A		lda $9A
	002ED3 29 3F		and #$3F'?'
	002ED5 F0 25		beq $002efc
	002ED7 20 1E FE		jsr $FE1E
	002EDA 20 81 EF		jsr $EF81
	002EDD B2 03 3B		sti #$03,$3B		;Cx9	serial line control register
	002EE0 A9 03		lda #$03
	002EE2 8D 5F 04		sta $045F
	002EE5 27 62		rmb 2,$62
	002EE7 20 61 EF		jsr $EF61
	002EEA 20 D4 FD		jsr $FDD4{ssti}
	002EED 17 59		rmb 1,$59
	002EEF A9 B9		lda #$B9
	002EF1 8D 69 02		sta $0269
	002EF4 A9 EF		lda #$EF
	002EF6 8D 6A 02		sta $026A
	002EF9 97 59		smb 1,$59
	002EFB 60		rts

002EFC	002EFC 27 62		rmb 2,$62
	002EFE 07 39		rmb 0,$39		;Cx9	serial interrupt enable
	002F00 17 39		rmb 1,$39		;Cx9	serial interrupt enable
	002F02 37 64		rmb 3,$64
	002F04 67 10		rmb 6,$10		;Cx9 Timer A Mode
	002F06 20 61 EF		jsr $EF61
	002F09 17 59		rmb 1,$59
	002F0B A9 5C		lda #$5C'\'
	002F0D 8D 69 02		sta $0269
	002F10 A9 EB		lda #$EB
	002F12 8D 6A 02		sta $026A
	002F15 97 59		smb 1,$59
	002F17 58		cli
	002F18 67 3A		rmb 6,$3A		;Cx9	serial mode register
	002F1A A9 1E		lda #$1E
	002F1C 8D 02 02		sta $0202
	002F1F A9 00		lda #$00
	002F21 8D 03 02		sta $0203
	002F24 07 5D		rmb 0,$5D
002F26	002F26 EF 3C 03		bbs 6,$3C,$002f2c	;Cx9	serial status register
	002F29 0F 5D FA		bbr 0,$5D,$002f26
002F2C	002F2C 1F 49 02		bbr 1,$49,$002f31
	002F2F D7 3D		smb 5,$3D		;Cx9	serial form register
002F31	002F31 AD 5D 04		lda $045D
	002F34 20 6D FD		jsr $FD6D
	002F37 B2 03 3B		sti #$03,$3B		;Cx9	serial line control register
002F3A	002F3A 2F 00 FD		bbr 2,$00,$002f3a	;Cx9	port A (bidirectional)
	002F3D 27 10		rmb 2,$10		;Cx9 Timer A Mode
	002F3F B2 03 10		sti #$03,$10		;Cx9 Timer A Mode
	002F42 C7 3D		smb 4,$3D		;Cx9	serial form register
	002F44 B2 00 11		sti #$00,$11		;Cx9 TALC, TAUC-TAS, TALL
	002F47 B2 00 13		sti #$00,$13		;Cx9 TAS, TAUL, Clear, Download
	002F4A B2 FF 11		sti #$FF,$11		;Cx9 TALC, TAUC-TAS, TALL
	002F4D B2 FF 12		sti #$FF,$12		;Cx9 TAS (R), TAUL (W)
	002F50 07 5A		rmb 0,$5A
	002F52 A9 55		lda #$55'U'
	002F54 8D 78 02		sta $0278
	002F57 A9 EC		lda #$EC
	002F59 8D 79 02		sta $0279
	002F5C 87 5A		smb 0,$5A
	002F5E E7 10		smb 6,$10		;Cx9 Timer A Mode
	002F60 60		rts

002F61	002F61 B2 19 A7		sti #$19,$A7
	002F64 B2 04 A8		sti #$04,$A8
	002F67 A9 00		lda #$00
	002F69 8D 7E 03		sta $037E
	002F6C 60		rts

002F6D	002F6D A5 9A		lda $9A
	002F6F 29 3F		and #$3F'?'
	002F71 F0 0D		beq $002f80
	002F73 AD 1D 01		lda $011D
	002F76 8D 30 02		sta $0230
	002F79 A9 00		lda #$00
	002F7B 8D 31 02		sta $0231
	002F7E 77 5F		rmb 7,5F
002F80	002F80 60		rts

;;; 00EF81 - ???

002F81	002F81 47 39		rmb 4,$39		;Cx9	serial interrupt enable
	002F83 67 10		rmb 6,$10		;Cx9 Timer A Mode
	002F85 07 39		rmb 0,$39		;Cx9	serial interrupt enable
	002F87 57 3D		rmb 5,$3D		;Cx9	serial form register
	002F89 AD 5B 04		lda $045B
	002F8C 20 6D FD		jsr $FD6D
	002F8F AD 5F 04		lda $045F
	002F92 85 3B		sta $3B			;Cx9	serial line control register
	002F94 B2 C0 3A		sti #$C0,$3A		;Cx9	serial mode register
	002F97 27 57		rmb 2,$57
	002F99 20 61 EF		jsr $EF61	;! #$419->$A7, #0->$37E
	002F9C 17 59		rmb 1,$59
	002F9E A9 3C		lda #$3C'<'	;! #$EC3C->$269
	002FA0 8D 69 02		sta $0269
	002FA3 A9 EC		lda #$EC
	002FA5 8D 6A 02		sta $026A
	002FA8 97 59		smb 1,$59
	002FAA 87 39		smb 0,$39		;Cx9	serial interrupt enable
	002FAC 60		rts

002FAD	002FAD 20 81 EF		jsr $EF81
	002FB0 A9 4F		lda #$4F'O'
	002FB2 85 AC		sta $AC
	002FB4 B7 57		smb 3,$57
	002FB6 27 6E		rmb 2,$6E
	002FB8 60		rts

;;; 00EFB9 - check if 1st char is 'A', called from ($0269)

002FB9	002FB9 0F 69 0C		bbr 0,$69,$002fc8
	002FBC A9 05		lda #$05
	002FBE 8D 30 02		sta $0230
	002FC1 A9 00		lda #$00
	002FC3 8D 31 02		sta $0231
	002FC6 77 5F		rmb 7,5F
002FC8	002FC8 20 6D EF		jsr $EF6D
	002FCB 20 D7 FD		jsr $FDD7{scli}
	002FCE 58		cli
	002FCF 20 01 FE		jsr $FE01{in}
	002FD2 B7 8C		smb 3,$8C
	002FD4 B0 1E		bcs $002ff4
	002FD6 1F 49 03		bbr 1,$49,$002fdc
	002FD9 20 05 FE		jsr $FE05{out}
002FDC	002FDC C9 61		cmp #$61'a'
	002FDE F0 04		beq $002fe4
	002FE0 C9 41		cmp #$41'A'
	002FE2 D0 10		bne $002ff4
002FE4	002FE4 17 59		rmb 1,$59
	002FE6 A9 FD		lda #$FD
	002FE8 8D 69 02		sta $0269
	002FEB A9 EF		lda #$EF
	002FED 8D 6A 02		sta $026A
	002FF0 97 59		smb 1,$59
	002FF2 80 06		bra $002ffa

002FF4	002FF4 2F 6E 03		bbr 2,$6E,$002ffa
	002FF7 4C AD EF		jmp $EFAD

002FFA	002FFA 4C D4 FD		jmp $FDD4{ssti}

;;; 00EFFD - 1st char was 'A', called from ($0269)

002FFD	002FFD 0F 69 0C		bbr 0,$69,$00300c
	003000 A9 05		lda #$05
	003002 8D 30 02		sta $0230
	003005 A9 00		lda #$00
	003007 8D 31 02		sta $0231
	00300A 77 5F		rmb 7,5F
00300C	00300C 20 6D EF		jsr $EF6D
	00300F 20 D7 FD		jsr $FDD7{scli}
	003012 58		cli
	003013 20 01 FE		jsr $FE01{in}
	003016 B7 8C		smb 3,$8C
	003018 B0 54		bcs $00306e
	00301A 1F 49 03		bbr 1,$49,$003020
	00301D 20 05 FE		jsr $FE05{out}
003020	003020 27 57		rmb 2,$57
	003022 C9 2F		cmp #$2F		;! repeat last command
	003024 D0 18		bne $00303e
	003026 2F 6E 03		bbr 2,$6E,$00302c
	003029 4C AD EF		jmp $EFAD

00302C	00302C 17 59		rmb 1,$59
	00302E A9 3C		lda #$3C
	003030 8D 69 02		sta $0269
	003033 A9 EC		lda #$EC
	003035 8D 6A 02		sta $026A
	003038 97 59		smb 1,$59
	00303A A7 57		smb 2,$57
	00303C 80 36		bra $003074

00303E	00303E C9 74		cmp #$74't'
	003040 F0 04		beq $003046
	003042 C9 54		cmp #$54'T'
	003044 D0 12		bne $003058
003046	003046 17 59		rmb 1,$59		;! got "AT"
	003048 A9 5C		lda #$5C                ;! EB5C -> $269
	00304A 8D 69 02		sta $0269
	00304D A9 EB		lda #$EB
	00304F 8D 6A 02		sta $026A
	003052 97 59		smb 1,$59
	003054 27 6E		rmb 2,$6E
	003056 80 1C		bra $003074

003058	003058 2F 6E 03		bbr 2,$6E,$00305e
	00305B 4C AD EF		jmp $EFAD

00305E	00305E 17 59		rmb 1,$59
	003060 A9 B9		lda #$B9
	003062 8D 69 02		sta $0269
	003065 A9 EF		lda #$EF
	003067 8D 6A 02		sta $026A
	00306A 97 59		smb 1,$59
	00306C 80 06		bra $003074

00306E	00306E 2F 6E 03		bbr 2,$6E,$003074
	003071 4C AD EF		jmp $EFAD

003074	003074 4C D4 FD		jmp $FDD4{ssti}

003077	003077 40		rti
	003078 02		mpy
	003079 03		tip
	00307A 04		???			;undocumented opcode
	00307B 05 20		ora $20			;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	00307D 62		taw
	00307E 0F 09 5E		bbr 0,$09,$0030df	;Cx9 Low Power Register (LPR)
	003081 0B		jsb 0			;indirect $FFE0
	003082 60		rts

003083	003083 61 62		adc ($62)
	003085 7A		ply
	003086 67 11		rmb 6,$11		;Cx9 TALC, TAUC-TAS, TALL
	003088 5E 13 60		lsr $6013,x
	00308B 61 62		adc ($62)
	00308D 17 7B		rmb 1,$7B
	00308F 19 5E 1B		ora $1B5E,y
	003092 60		rts

003093	003093 61 62		adc ($62)
	003095 1F 7B 62		bbr 1,$7B,$0030fa
	003098 29 23		and #$23'#'
	00309A 5E 25 60		lsr $6025,x
	00309D 27 62		rmb 2,$62
	00309F 8A		txa
	0030A0 6A		ror a
	0030A1 2B		jsb 2			;indirect $FFE4
	0030A2 5E 2D 60		lsr $602D,x
	0030A5 2F 62 31		bbr 2,$62,$0030d9
	0030A8 8B		nxt
	0030A9 33		plw
	0030AA 5E 35 60		lsr $6035,x
	0030AD 37 62		rmb 3,$62
	0030AF 39 7B 02		and $027B,y
	0030B2 5E 5F 3E		lsr $3E5F,x
	0030B5 61 70		adc ($70)
	0030B7 5E 5F 43		lsr $435F,x
	0030BA 44		???			;undocumented opcode
	0030BB 45 4D		eor $4D
	0030BD 40		rti
	0030BE 48		pha
	0030BF 5F 4A 4B		bbr 5,$4A,$00310d
	0030C2 4C 7A 6D		jmp $6D7A

0030C5	0030C5 40		rti
	0030C6 50 5F		bvc $003127
	0030C8 52		clw
	0030C9 53		???			;undocumented opcode
	0030CA 54		???			;undocumented opcode
	0030CB 55 7B		eor $7B,x
	0030CD 40		rti
	0030CE 58		cli
	0030CF 5F 5A 5B		bbr 5,$5A,$00312d
	0030D2 5C		???			;undocumented opcode
	0030D3 5D 66 5F		eor $5F66,x
	0030D6 60		rts

0030D7	0030D7 61 62		adc ($62)
0030D9	0030D9 63		???			;undocumented opcode
	0030DA 66 65		ror $65
	0030DC 5E 66 18		lsr $1866,x
0030DF	0030DF 22		psh
	0030E0 2A		rol a
	0030E1 32		pul
	0030E2 46 4E		lsr $4E
	0030E4 56 08		lsr $08,x		;Cx9	mask option & port E dir'n
	0030E6 10 01		bpl $0030e9
	0030E8 40		rti
0030E9	0030E9 5E 5F 60		lsr $605F,x
	0030EC 06 07		asl $07			;Cx9	port E (R/W)
	0030EE 6E 40 0A		ror $0A40
	0030F1 5F 0C 0D		bbr 5,$0C,$003101	;Cx9 PTG B Mode (R/W)
	0030F4 0E 86 6F		asl $6F86
	0030F7 40		rti
	0030F8 12		mpa
	0030F9 5F 14 15		bbr 5,$14,$003111	;Cx9 Timer B Mode
	0030FC 16 8A		asl $8A,x
	0030FE 83		???			;undocumented opcode
	0030FF 40		rti
	003100 1A		neg a
003101	003101 5F 1C 1D		bbr 5,$1C,$003121	;Cx9	bank switch register 4 (R/W)
	003104 1E 63 8B		asl $8B63,x
	003107 21 68		and ($68)
	003109 40		rti
	00310A 24 5F		bit $5F
	00310C 26 61		rol $61
	00310E 28		plp
	00310F 86 69		stx $69
003111	003111 40		rti
	003112 2C 5F 2E		bit $2E5F
	003115 61 30		adc ($30)		;C39	only : FIFO status register
	003117 7A		ply
	003118 83		???			;undocumented opcode
	003119 40		rti
	00311A 34		???			;undocumented opcode
	00311B 5F 36 61		bbr 5,$36,$00317f	;Cx9 PAUL, PAB-PALL
	00311E 38		sec
	00311F 63		???			;undocumented opcode
	003120 7B		jsb 7			;indirect $FFEE
003121	003121 3B		jsb 3			;indirect $FFE6
	003122 3C		???			;undocumented opcode
	003123 3D 60 3F		and $3F60,x
	003126 62		taw
003127	003127 5E 42 60		lsr $6042,x
	00312A 61 62		adc ($62)
	00312C 6B		jsb 6			;indirect $FFEC
00312D	00312D 47 5E		rmb 4,$5E
	00312F 49 60		eor #$60'`'
	003131 61 62		adc ($62)
	003133 86 6C		stx $6C
	003135 4F 5E 51		bbr 4,$5E,$003189
	003138 60		rts

003139	003139 61 62		adc ($62)
	00313B 8A		txa
	00313C 83		???			;undocumented opcode
	00313D 57 5E		rmb 5,$5E
	00313F 59 60 61		eor $6160,y
	003142 62		taw
	003143 63		???			;undocumented opcode
	003144 8B		nxt
	003145 5F 60 61		bbr 5,$60,$0031a9
	003148 62		taw
	003149 63		???			;undocumented opcode
	00314A 66 40		ror $40
	00314C 41 66		eor ($66)
	00314E 3A		asr a
	00314F 3A		asr a
	003150 3A		asr a
	003151 3A		asr a
	003152 01 01		ora ($01)		;Cx9	port B (output only)
	003154 01 3A		ora ($3A)		;Cx9	serial mode register
	003156 3A		asr a
	003157 F7 00		smb 7,$00		;Cx9	port A (bidirectional)
	003159 FE 13 13		inc $1313,x
	00315C 00		brk
	00315D 25 00		and $00			;Cx9	port A (bidirectional)
	00315F 49 00		eor #$00
	003161 91 00		sta ($00),x		;Cx9	port A (bidirectional)
	003163 21 01		and ($01)		;Cx9	port B (output only)
	003165 41 02		eor ($02)		;Cx9	port C (bidirectional)
	003167 81 04		sta ($04)		;Cx9	port D & direction control
	003169 01 09		ora ($09)		;Cx9 Low Power Register (LPR)
	00316B 02		mpy
	00316C 12		mpa
	00316D 03		tip
	00316E 24 1B		bit $1B			;Cx9	bank switch register 3 (R/W)
	003170 00		brk
	003171 21 00		and ($00)		;Cx9	port A (bidirectional)
	003173 61 03		adc ($03)		;Cx9	port A direction (R/O)
	003175 C1 06		cmp ($06)		;Cx9	port C direction (W)
	003177 41 0B		eor ($0B)		;Cx9 Clear External Interrupt
	003179 81 0D		sta ($0D)		;Cx9 PBB (R/W)
	00317B 0D 00 04		ora $0400
	00317E 36 03		rol $03,x		;Cx9	port A direction (R/O)
	003180 24 01		bit $01			;Cx9	port B (output only)
	003182 00		brk
	003183 01 00		ora ($00)		;Cx9	port A (bidirectional)
	003185 C1 0F		cmp ($0F)		;Cx9 PBUL PBB-PBLL Clear Download
	003187 42		rnd
	003188 14		???			;undocumented opcode
003189	003189 82		???			;undocumented opcode
	00318A 16 22		asl $22,x		;Cx9 SP RAM 2
	00318C 19 02 1B		ora $1B02,y
	00318F 82		???			;undocumented opcode
	003190 13		lab a
	003191 42		rnd
	003192 1D 03 27		ora $2703,x
	003195 04		???			;undocumented opcode
	003196 30 84		bmi $00311c
	003198 3A		asr a
	003199 05 48		ora $48
	00319B FF FF FF		bbs 7,$FF,$00319d
	00319E FF FF 02		bbs 7,$FF,$0031a3
	0031A1 AA		tax
	0031A2 0A		asl a
0031A3	0031A3 FF FF 03		bbs 7,$FF,$0031a9
	0031A6 A0 AA		ldy #$AA
	0031A8 C0 CC		cpy #$CC
	0031AA 04		???			;undocumented opcode
	0031AB 50 55		bvc $003202
	0031AD 60		rts

0031AE	0031AE 66 05		ror $05			;Cx9	port B select (R/W)
	0031B0 A8		tay
	0031B1 2A		rol a
	0031B2 30 33		bmi $0031e7
	0031B4 06 54		asl $54
	0031B6 15 98		ora $98,x
	0031B8 19 0D 38		ora $380D,y
	0031BB 0E FF 0F		asl $0FFF
	0031BE 07 AA		rmb 0,$AA
	0031C0 0A		asl a
	0031C1 30 0C		bmi $0031cf
	0031C3 0E 88 08		asl $0888
	0031C6 7A		ply
	0031C7 09 0F		ora #$0F
	0031C9 1C		???			;undocumented opcode
	0031CA 07 C1		rmb 0,$C1
	0031CC 07 15		rmb 0,$15		;Cx9 TBLC, TBUC-TBS, TBLL
	0031CE 18		clc
0031CF	0031CF 06 90		asl $90
	0031D1 06 08		asl $08			;Cx9	mask option & port E dir'n
	0031D3 55 05		eor $05,x		;Cx9	port B select (R/W)
	0031D5 B0 05		bcs $0031dc
	0031D7 1A		neg a
	0031D8 EC 04 A0		cpx $A004
	0031DB 05 16		ora $16			;Cx9 TBS (R), TBUL (W)
	0031DD BD 04 04		lda $0404,x
	0031E0 05 17		ora $17			;Cx9 TBS, TBUL, Clear, Download
	0031E2 44		???			;undocumented opcode
	0031E3 04		???			;undocumented opcode
	0031E4 7D 04 18		adc $1804,x
0031E7	0031E7 E0 03		cpx #$03
	0031E9 10 04		bpl $0031ef
	0031EB 19 8E 03		ora $038E,y
	0031EE B5 03		lda $03,x		;Cx9	port A direction (R/O)
	0031F0 1B		jsb 1			;indirect $FFE2
	0031F1 48		pha
	0031F2 03		tip
	0031F3 A5 03		lda $03			;Cx9	port A direction (R/O)
	0031F5 09 AA		ora #$AA
	0031F7 02		mpy
	0031F8 0C 03 1C		jpi ($1C03)
	0031FB 76 02		ror $02,x		;Cx9	port C (bidirectional)
	0031FD D0 02		bne $003201
	0031FF 1D FF 01		ora $01FF,x
003202	003202 49 02		eor #$02
	003204 11 C7		ora ($C7),x
	003206 01 22		ora ($22)		;Cx9 SP RAM 2
	003208 02		mpy
	003209 1E A4 01		asl $01A4,x
	00320C F8		sed
	00320D 01 12		ora ($12)		;Cx9 TAS (R), TAUL (W)
	00320F E3		???			;undocumented opcode
	003210 00		brk
	003211 2F 01 1F		bbr 2,$01,$003233	;Cx9	port B (output only)
	003214 71 00		adc ($00),x		;Cx9	port A (bidirectional)
	003216 97 00		smb 1,$00		;Cx9	port A (bidirectional)
	003218 60		rts

003219	003219 66 71		ror $71
	00321B A3		???			;undocumented opcode
	00321C 40		rti
	00321D 00		brk
	00321E 19 00 0C		ora $0C00,y
	003221 28		plp
	003222 05 47		ora $47
	003224 02		mpy
	003225 28		plp
	003226 00		brk
	003227 47 00		rmb 4,$00		;Cx9	port A (bidirectional)
	003229 31 00		and ($00),x		;Cx9	port A (bidirectional)
	00322B 09 01		ora #$01
	00322D 33		plw
	00322E FF 00 FF		bbs 7,$00,$003230	;Cx9	port A (bidirectional)
	003231 63		???			;undocumented opcode
	003232 FF 5F FF		bbs 7,$5F,$003234
	003235 57 FF		rmb 5,$FF
	003237 51 FF		eor ($FF),x
	003239 4D FF 47		eor $47FF
	00323C FF 42 40		bbs 7,$42,$00327f
	00323F 00		brk
	003240 19 00 0C		ora $0C00,y
	003243 28		plp
	003244 05 47		ora $47
	003246 02		mpy
	003247 28		plp
	003248 00		brk
	003249 47 00		rmb 4,$00		;Cx9	port A (bidirectional)
	00324B 3D 00 00		and $0000,x		;Cx9	port A (bidirectional)
	00324E 01 33		ora ($33)		;Cx9	chip select fast/slow
	003250 AD 6D 04		lda $046D
	003253 29 02		and #$02
	003255 D0 2E		bne $003285
	003257 0F 00 36		bbr 0,$00,$003290	;Cx9	port A (bidirectional)
	00325A AD 6D 04		lda $046D
	00325D 09 02		ora #$02
	00325F 8D 6D 04		sta $046D
	003262 AD 6E 04		lda $046E
	003265 CD DB 02		cmp $02DB
	003268 90 0C		bcc $003276
	00326A CD D9 02		cmp $02D9
	00326D B0 07		bcs $003276
	00326F AD 6D 04		lda $046D
	003272 09 01		ora #$01
	003274 80 05		bra $00327b

003276	003276 AD 6D 04		lda $046D
	003279 29 FE		and #$FE
00327B	00327B 8D 6D 04		sta $046D
	00327E A9 00		lda #$00
	003280 8D 6E 04		sta $046E
	003283 80 0B		bra $003290

003285	003285 8F 00 08		bbs 0,$00,$003290	;Cx9	port A (bidirectional)
	003288 AD 6D 04		lda $046D
	00328B 29 FD		and #$FD
	00328D 8D 6D 04		sta $046D
003290	003290 EE 6E 04		inc $046E
	003293 D0 05		bne $00329a
	003295 A9 FF		lda #$FF
	003297 8D 6E 04		sta $046E
00329A	00329A AD 6E 04		lda $046E
	00329D CD D9 02		cmp $02D9
	0032A0 90 08		bcc $0032aa
	0032A2 AD 6D 04		lda $046D
	0032A5 29 FE		and #$FE
	0032A7 8D 6D 04		sta $046D
0032AA	0032AA 60		rts

;;; 00F2AB - ???

0032AB	0032AB 5A		phy
	0032AC A0 0A		ldy #$0A
0032AE	0032AE 20 B6 F2		jsr $F2B6
	0032B1 88		dey
	0032B2 D0 FA		bne $0032ae
	0032B4 7A		ply
	0032B5 60		rts

0032B6	0032B6 5A		phy
	0032B7 A0 64		ldy #$64'd'
	0032B9 80 03		bra $0032be

0032BB	0032BB 5A		phy
	0032BC A0 0A		ldy #$0A
0032BE	0032BE 20 C6 F2		jsr $F2C6
	0032C1 88		dey
	0032C2 D0 FA		bne $0032be
	0032C4 7A		ply
	0032C5 60		rts

0032C6	0032C6 DA		phx
	0032C7 5A		phy
0032C8	0032C8 AC 1B F2		ldy $F21B
0032CB	0032CB 80 00		bra $0032cd

0032CD	0032CD 88		dey
	0032CE D0 FB		bne $0032cb
	0032D0 CA		dex
	0032D1 D0 F5		bne $0032c8
	0032D3 7A		ply
	0032D4 FA		plx
	0032D5 60		rts

0032D6	0032D6 20 48 F3		jsr $F348{lda46D.1}
	0032D9 F0 5C		beq $003337
	0032DB EE 81 03		inc $0381
	0032DE AD 81 03		lda $0381
	0032E1 AC 34 01		ldy $0134
	0032E4 C0 00		cpy #$00
	0032E6 F0 26		beq $00330e
	0032E8 C9 32		cmp #$32'2'
	0032EA 90 0A		bcc $0032f6
	0032EC C9 58		cmp #$58'X'
	0032EE 90 0E		bcc $0032fe
	0032F0 C9 6B		cmp #$6B'k'
	0032F2 90 12		bcc $003306
	0032F4 80 18		bra $00330e

0032F6	0032F6 20 48 F3		jsr $F348{lda46D.1}
	0032F9 D0 01		bne $0032fc
	0032FB 60		rts

0032FC	0032FC 80 10		bra $00330e

0032FE	0032FE 20 48 F3		jsr $F348{lda46D.1}
	003301 D0 01		bne $003304
	003303 60		rts

003304	003304 80 08		bra $00330e

003306	003306 20 48 F3		jsr $F348{lda46D.1}
	003309 D0 01		bne $00330c
	00330B 60		rts

00330C	00330C 80 04		bra $003312

00330E	00330E A2 32		ldx #$32'2'
	003310 80 02		bra $003314

003312	003312 A2 46		ldx #$46'F'
003314	003314 8E 80 03		stx $0380
	003317 AD 81 03		lda $0381
	00331A CD DD 02		cmp $02DD
	00331D 90 23		bcc $003342
	00331F A7 61		smb 2,$61
	003321 C9 00		cmp #$00
	003323 D0 03		bne $003328
	003325 CE 81 03		dec $0381
003328	003328 AD 06 01		lda $0106{s0}
	00332B F0 05		beq $003332
	00332D E7 01		smb 6,$01		;Cx9	port B (output only)
	00332F C7 02		smb 4,$02		;Cx9	port C (bidirectional)
	003331 60		rts

;;; AA on

003332	003332 67 01		rmb 6,$01		;Cx9	port B (output only)
	003334 47 02		rmb 4,$02		;Cx9	port C (bidirectional)
	003336 60		rts

003337	003337 3F 57 02		bbr 3,$57,$00333c
	00333A 27 61		rmb 2,$61
00333C	00333C A9 00		lda #$00
	00333E 8D 81 03		sta $0381
	003341 60		rts

003342	003342 3F 57 02		bbr 3,$57,$003347
	003345 27 61		rmb 2,$61
003347	003347 60		rts

003348	003348 AD 6D 04		lda $046D
	00334B 29 01		and #$01
	00334D 60		rts

00334E	00334E 60		rts

00334F	00334F A0 60		ldy #$60'`'
	003351 62		taw
	003352 82		???			;undocumented opcode
	003353 84 71		sty $71
	003355 78		sei
	003356 75 74		adc $74,x
	003358 72		twa
	003359 76 A1		ror $A1,x
	00335B A4 44		ldy $44
	00335D 45 46		eor $46
	00335F 47 48		rmb 4,$48
	003361 49 4A		eor #$4A'J'
	003363 4B		jsb 4			;indirect $FFE8
	003364 4C AA C1		jmp $C1AA

003367	003367 C2 C3 C4 C5	rba $C3,$C5C4
	00336B C6 C7		dec $C7
	00336D C8		iny
	00336E C9 CA		cmp #$CA
	003370 CB		phi
	003371 CC CD CE		cpy $CECD
	003374 A8		tay
	003375 01 02		ora ($02)		;Cx9	port C (bidirectional)
	003377 12		mpa
	003378 14		???			;undocumented opcode
	003379 B8		clv
	00337A B8		clv
	00337B B4 B4		ldy $B4,x
	00337D B2 B2 B1		sti #$B2,$B1
	003380 B1 11		lda ($11),x		;Cx9 TALC, TAUC-TAS, TALL

;;; 00F382 - DTMF on

003382	003382 D2 20 09 06	sba $20,$0609		;DPi DTMF
	003386 60		rts

;;; 00F382 - DTMF off

003387	003387 C2 20 09 06	rba $20,$0609		;DPi DTMF
	00338B 60		rts

00338C	00338C 20 F9 F8		jsr $F8F9{news?}
	00338F D0 02		bne $003393
	003391 80 F9		bra $00338c

003393	003393 A9 B0		lda #$B0
	003395 49 FF		eor #$FF
	003397 8D CC 00		sta $00CC
00339A	00339A AD CC 00		lda $00CC
	00339D D0 FB		bne $00339a		;! delay?
	00339F D7 49		smb 5,$49
	0033A1 60		rts

0033A2	0033A2 D2 10 09 06	sba $10,$0609		;DPi ORG
	0033A6 4C 77 FA		jmp $FA77{newc_w}

0033A9	0033A9 C2 10 09 06	rba $10,$0609		;DPi ORG
	0033AD 4C 77 FA		jmp $FA77{newc_w}

0033B0	0033B0 D2 04 09 06	sba $04,$0609		;DPi DATA
	0033B4 60		rts

0033B5	0033B5 8F 6B 04		bbs 0,$6B,$0033bc
	0033B8 C2 04 09 06	rba $04,$0609		;DPi DATA
0033BC	0033BC 60		rts

0033BD	0033BD D2 10 04 06	sba $10,$0604		;DPi FIFOEN
	0033C1 60		rts

0033C2	0033C2 C2 10 04 06	rba $10,$0604		;DPi FIFOEN
	0033C6 60		rts

0033C7	0033C7 C2 20 15 06	rba $20,$0615		;DPi RDWK
	0033CB D2 10 15 06	sba $10,$0615		;DPi HWRWK
	0033CF C2 40 15 06	rba $40,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	0033D3 D2 80 15 06	sba $80,$0615		;DPi SLEEP
	0033D7 20 81 FA		jsr $FA81
	0033DA 60		rts

0033DB	0033DB C2 80 15 06	rba $80,$0615		;DPi SLEEP
	0033DF 60		rts

0033E0	0033E0 C2 80 08 06	rba $80,$0608		;DPi ASYN
	0033E4 60		rts

0033E5	0033E5 D2 80 08 06	sba $80,$0608		;DPi ASYN
	0033E9 80 41		bra $00342c

0033EB	0033EB D2 40 08 06	sba $40,$0608		;DPi TPDM
	0033EF 60		rts

0033F0	0033F0 C2 40 08 06	rba $40,$0608		;DPi TPDM
	0033F4 60		rts

0033F5	0033F5 D2 10 06 06	sba $10,$0606		;DPi HDLC
	0033F9 C0 00		cpy #$00
	0033FB D0 22		bne $00341f
0033FD	0033FD 20 2A F9		jsr $F92A
	003400 F0 FB		beq $0033fd
	003402 A2 02		ldx #$02
	003404 20 BB F2		jsr $F2BB
	003407 A9 39		lda #$39'9'
	003409 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00340C A9 80		lda #$80
	00340E 20 9C FC		jsr $FC9C{meaddh_w}
	003411 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	003414 09 02		ora #$02
	003416 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	003419 A9 A0		lda #$A0
	00341B 20 9C FC		jsr $FC9C{meaddh_w}
	00341E 60		rts

00341F	00341F A9 A6		lda #$A6
	003421 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	003424 8C 18 06		sty $0618		;DPi memory access data LSB (MEDAL)
	003427 A9 A2		lda #$A2
	003429 4C 9C FC		jmp $FC9C{meaddh_w}

00342C	00342C E2 06 06 10 04	bar $0606,$10,$003435	;DPi HDLC
	003431 C2 10 06 06	rba $10,$0606		;DPi HDLC
003435	003435 60		rts

;;; 000F436

003436	003436 A9 05		lda #$05
	003438 8D 02 02		sta $0202
	00343B A9 00		lda #$00
	00343D 8D 03 02		sta $0203
	003440 07 5D		rmb 0,$5D
003442	003442 8F 5D 05		bbs 0,$5D,$00344a
	003445 E2 1E 06 08 F8	bar $061E,$08,$003442	;DPi wait for TDBE of timeout
00344A	00344A 20 E0 F3		jsr $F3E0		; ASYN = 0
	00344D 20 F5 F3		jsr $F3F5		; TPDM = 0
	003450 60		rts

003451	003451 18		clc
	003452 60		rts

003453	003453 D2 04 15 06	sba $04,$0615		;DPi RREN
	003457 60		rts

003458	003458 D2 20 03 06	sba $20,$0603		;DPi SRCEN
	00345C 60		rts

00345D	00345D D2 04 1E 06	sba $04,$061E		;DPi TDBIE
	003461 60		rts

003462	003462 C2 04 1E 06	rba $04,$061E		;DPi TDBIE
	003466 60		rts

003467	003467 1F 6C 03		bbr 1,$6C,$00346d
	00346A E7 6D		smb 6,$6D
	00346C 60		rts

00346D	00346D D2 20 1E 06	sba $20,$061E		;DPi TDBIE
	003471 60		rts

003472	003472 67 6D		rmb 6,$6D
	003474 C2 20 1E 06	rba $20,$061E		;DPi TDBIE
	003478 60		rts

;;; Leased line

003479	003479 D2 08 09 06	sba $08,$0609		;DPi LL
	00347D 4C 77 FA		jmp $FA77{newc_w}

003480	003480 C2 08 09 06	rba $08,$0609		;DPi LL
	003484 4C 77 FA		jmp $FA77{newc_w}

003487	003487 D2 80 09 06	sba $80,$0609		;DPi NV25
	00348B 60		rts

00348C	00348C C2 80 09 06	rba $80,$0609		;DPi NV25
	003490 60		rts

003491	003491 D2 80 07 06	sba $80,$0607		;DPi RDLE
	003495 60		rts

003496	003496 C2 80 07 06	rba $80,$0607		;DPi RDLE
	00349A 60		rts

00349B	00349B D2 40 07 06	sba $40,$0607		;DPi RDL
	00349F 60		rts

0034A0	0034A0 C2 40 07 06	rba $40,$0607		;DPi RDL
	0034A4 60		rts

0034A5	0034A5 AD 0F 06		lda $060F		;DPi V54DT
	0034A8 29 01		and #$01
	0034AA 60		rts

0034AB	0034AB AD 0F 06		lda $060F		;DPi RTSDT
	0034AE 29 02		and #$02
	0034B0 60		rts

0034B1	0034B1 C2 01 0F 06	rba $01,$060F		;DPi V54DT
	0034B5 60		rts

0034B6	0034B6 D2 10 08 06	sba $10,$0608		;DPi V54T
	0034BA 60		rts

0034BB	0034BB D2 08 08 06	sba $08,$0608		;DPi V54A
	0034BF 60		rts

0034C0	0034C0 38		sec
	0034C1 D2 04 08 06	sba $04,$0608		;DPi V54P
	0034C5 60		rts

0034C6	0034C6 D2 04 02 06	sba $04,$0602		;DPi V54TE
	0034CA 60		rts

0034CB	0034CB C2 04 02 06	rba $04,$0602		;DPi V54TE
	0034CF 60		rts

0034D0	0034D0 D2 02 02 06	sba $02,$0602		;DPi V54AE
	0034D4 60		rts

0034D5	0034D5 C2 02 02 06	rba $02,$0602		;DPi V54AE
	0034D9 60		rts

0034DA	0034DA D2 01 02 06	sba $01,$0602		;DPi V54PE
	0034DE 60		rts

0034DF	0034DF C2 01 02 06	rba $01,$0602		;DPi V54PE
	0034E3 60		rts

0034E4	0034E4 C2 02 09 06	rba $02,$0609		;DPi RRTSE
	0034E8 60		rts

0034E9	0034E9 C2 08 02 06	rba $08,$0602		;DPi RTSDE
	0034ED 60		rts

0034EE	0034EE D2 01 09 06	sba $01,$0609		;DPi DTR
	0034F2 60		rts

0034F3	0034F3 C2 01 09 06	rba $01,$0609		;DPi DTR
	0034F7 60		rts

0034F8	0034F8 C2 80 02 06	rba $80,$0602		;DPi TDE
	0034FC 60		rts

0034FD	0034FD D2 20 07 06	sba $20,$0607		;DPi L2ACT
	003501 60		rts

003502	003502 C2 20 07 06	rba $20,$0607		;DPi L2ACT
	003506 60		rts

003507	003507 D2 02 15 06	sba $02,$0615		;DPi EXL3
	00350B D2 08 07 06	sba $08,$0607		;DPi L3ACT
	00350F 20 77 FA		jsr $FA77{newc_w}
	003512 20 B0 F3		jsr $F3B0
	003515 20 C0 FA		jsr $FAC0
	003518 A2 06		ldx #$06
00351A	00351A 20 F3 F8		jsr $F8F3
	00351D D0 0A		bne $003529
	00351F DA		phx
	003520 A2 02		ldx #$02
	003522 20 BB F2		jsr $F2BB
	003525 FA		plx
	003526 CA		dex
	003527 D0 F1		bne $00351a
003529	003529 60		rts

00352A	00352A 20 F3 F4		jsr $F4F3{dtroff}
	00352D 20 48 F5		jsr $F548{rtsoff}
	003530 20 B5 F3		jsr $F3B5
	003533 C2 08 07 06	rba $08,$0607		;DPi L3ACT
	003537 C2 02 15 06	rba $02,$0615		;DPi EXL3
	00353B 4C 77 FA		jmp $FA77{newc_w}

00353E	00353E D2 02 15 06	sba $02,$0615		;DPi EXL3
	003542 60		rts

;;; 00F543 - RTS on

003543	003543 D2 01 08 06	sba $01,$0608		;DPi RTS
	003547 60		rts

;;; 00F548 - RTS off

003548	003548 C2 01 08 06	rba $01,$0608		;DPi RTS
	00354C 60		rts

00354D	00354D D2 02 08 06	sba $02,$0608		;DPi RTRN
	003551 60		rts

003552	003552 AD 12 06		lda $0612		;DPi configuration (CONF)
	003555 C9 60		cmp #$60'`'
	003557 F0 08		beq $003561
	003559 29 F0		and #$F0
	00355B C9 A0		cmp #$A0
	00355D F0 02		beq $003561
	00355F 18		clc
	003560 60		rts

003561	003561 38		sec
	003562 60		rts

003563	003563 48		pha
	003564 AD 12 06		lda $0612		;DPi configuration (CONF)
	003567 C9 71		cmp #$71'q'
	003569 90 08		bcc $003573
	00356B C9 79		cmp #$79'y'
	00356D B0 03		bcs $003572
	00356F 38		sec
	003570 80 01		bra $003573

003572	003572 18		clc
003573	003573 68		pla
	003574 60		rts

003575	003575 60		rts

003576	003576 48		pha
	003577 AD 12 06		lda $0612		;DPi configuration (CONF)
	00357A C9 C0		cmp #$C0
	00357C 90 08		bcc $003586
	00357E C9 CF		cmp #$CF
	003580 B0 03		bcs $003585
	003582 38		sec
	003583 80 01		bra $003586

003585	003585 18		clc
003586	003586 68		pla
	003587 60		rts

003588	003588 20 63 F5		jsr $F563
	00358B B0 03		bcs $003590
	00358D 20 76 F5		jsr $F576
003590	003590 60		rts

003591	003591 60		rts

;;;

003592	003592 AA		tax
	003593 20 D2 E3		jsr $E3D2
	003596 D0 01		bne $003599
	003598 60		rts

003599	003599 8A		txa
	00359A 85 41		sta $41
	00359C AD 71 03		lda $0371
	00359F 64 41		add $41
	0035A1 8D 72 9A		sta $9A72
	0035A4 30 08		bmi $0035ae
	0035A6 C9 21		cmp #$21'!'
	0035A8 90 06		bcc $0035b0
	0035AA A9 21		lda #$21'!'
	0035AC 80 02		bra $0035b0

0035AE	0035AE A9 00		lda #$00
0035B0	0035B0 85 41		sta $41
	0035B2 38		sec
	0035B3 E9 0F		sbc #$0F
	0035B5 F0 08		beq $0035bf
	0035B7 90 06		bcc $0035bf
	0035B9 0A		asl a
	0035BA AA		tax
	0035BB A9 0F		lda #$0F
	0035BD 80 04		bra $0035c3

0035BF	0035BF A2 00		ldx #$00
	0035C1 A5 41		lda $41
0035C3	0035C3 0A		asl a
	0035C4 0A		asl a
	0035C5 0A		asl a
	0035C6 0A		asl a
	0035C7 48		pha
	0035C8 A9 0F		lda #$0F
	0035CA 2D 13 06		and $0613		;DPi TLVL/RTH/TXCLK
	0035CD 8D 13 06		sta $0613		;DPi TLVL/RTH/TXCLK
	0035D0 68		pla
	0035D1 0D 13 06		ora $0613		;DPi TLVL/RTH/TXCLK
	0035D4 8D 13 06		sta $0613		;DPi TLVL/RTH/TXCLK
	0035D7 BD E4 F5		lda $F5E4,x
	0035DA 85 40		sta $40
	0035DC BD E5 F5		lda $F5E5,x
	0035DF 85 41		sta $41
	0035E1 4C 7D E1		jmp $E17D

0035E4	0035E4 00		brk
	0035E5 40		rti
	0035E6 0A		asl a
	0035E7 39 D6 32		and $32D6,y
	0035EA 4E 2D 61		lsr $612D
	0035ED 28		plp
	0035EE FD 23 13		sbc $1323,x
	0035F1 20 96 1C		jsr $1C96
	0035F4 7A		ply
	0035F5 19 B5 16		ora $16B5,y
	0035F8 3D 14 09		and $0914,x
	0035FB 12		mpa
	0035FC 13		lab a
	0035FD 10 53		bpl $003652
	0035FF 0E C5 0C		asl $0CC5
	003602 61 0B		adc ($0B)		;Cx9 Clear External Interrupt
	003604 24 0A		bit $0A			;Cx9 External Interrupt Register
	003606 0A		asl a
	003607 09 0E		ora #$0E
	003609 08		php
	00360A A5 52		lda $52
	00360C 29 0F		and #$0F
	00360E 60		rts

00360F	00360F 00		brk
	003610 04		???			;undocumented opcode
	003611 08		php
	003612 0C AA 20		jpi ($20AA)
	003615 D2 E3 D0 01	sba $E3,$01D0
	003619 60		rts

00361A	00361A 8A		txa
	00361B A8		tay
	00361C AD 13 06		lda $0613		;DPi TLVL/RTH/TXCLK
	00361F 29 F3		and #$F3
	003621 19 0F F6		ora $F60F,y
	003624 8D 13 06		sta $0613		;DPi TLVL/RTH/TXCLK
	003627 4C 77 FA		jmp $FA77{newc_w}

00362A	00362A 20 D2 E3		jsr $E3D2
	00362D F0 01		beq $003630
	00362F 60		rts

003630	003630 F2 13 06 08 04	bas $0613,$08,$003639	;DPi TLVL/RTH/TXCLK
	003635 D2 08 13 06	sba $08,$0613		;DPi TLVL/RTH/TXCLK
003639	003639 60		rts

00363A	00363A 20 D2 E3		jsr $E3D2
	00363D F0 01		beq $003640
	00363F 60		rts

003640	003640 E2 13 06 08 04	bar $0613,$08,$003649	;DPi TLVL/RTH/TXCLK
	003645 C2 08 13 06	rba $08,$0613		;DPi TLVL/RTH/TXCLK
003649	003649 60		rts

00364A	00364A 00		brk
	00364B 02		mpy
	00364C 03		tip
	00364D 00		brk
	00364E AA		tax
	00364F 20 D2 E3		jsr $E3D2
003652	003652 D0 01		bne $003655
	003654 60		rts

003655	003655 8A		txa
	003656 A8		tay
	003657 AD 13 06		lda $0613		;DPi TLVL/RTH/TXCLK
	00365A 29 FC		and #$FC
	00365C 19 4A F6		ora $F64A,y
	00365F 8D 13 06		sta $0613		;DPi TLVL/RTH/TXCLK
	003662 60		rts

003663	003663 AD 13 06		lda $0613		;DPi TLVL/RTH/TXCLK
	003666 29 03		and #$03
	003668 60		rts

003669	003669 B2 01 45		sti #$01,$45
	00366C B2 0D 44		sti #$0D,$44
	00366F 20 F0 E3		jsr $E3F0
	003672 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	003675 09 40		ora #$40'@'
	003677 85 40		sta $40
	003679 A9 00		lda #$00
	00367B 85 47		sta $47
	00367D A5 40		lda $40
	00367F 85 46		sta $46
	003681 A9 01		lda #$01
	003683 85 45		sta $45
	003685 A9 0D		lda #$0D
	003687 85 44		sta $44
	003689 20 ED E3		jsr $E3ED
	00368C A9 00		lda #$00
	00368E 0A		asl a
	00368F 0A		asl a
	003690 48		pha
	003691 A9 F3		lda #$F3
	003693 2D 13 06		and $0613		;DPi TLVL/RTH/TXCLK
	003696 8D 13 06		sta $0613		;DPi TLVL/RTH/TXCLK
	003699 68		pla
	00369A 0D 13 06		ora $0613		;DPi TLVL/RTH/TXCLK
	00369D 8D 13 06		sta $0613		;DPi TLVL/RTH/TXCLK
	0036A0 AD 72 03		lda $0372
	0036A3 85 40		sta $40
	0036A5 A9 00		lda #$00
	0036A7 85 47		sta $47
	0036A9 A5 40		lda $40
	0036AB 85 46		sta $46
	0036AD A9 01		lda #$01
	0036AF 85 45		sta $45
	0036B1 A9 39		lda #$39'9'
	0036B3 85 44		sta $44
	0036B5 20 ED E3		jsr $E3ED
	0036B8 60		rts

0036B9	0036B9 00		brk
	0036BA 03		tip
	0036BB 02		mpy
	0036BC 01 A8		ora ($A8)
	0036BE AD 03 06		lda $0603		;DPi EPT/SEPT/SRCEN/RLSDE/ARC/SDIS
	0036C1 29 FC		and #$FC
	0036C3 19 B9 F6		ora $F6B9,y
	0036C6 8D 03 06		sta $0603		;DPi EPT/SEPT/SRCEN/RLSDE/ARC/SDIS
	0036C9 60		rts

0036CA	0036CA CF 4A 03		bbs 4,$4A,$0036d0
	0036CD 5F 4A 30		bbr 5,$4A,$003700
0036D0	0036D0 20 8D F9		jsr $F98D
	0036D3 C9 04		cmp #$04
	0036D5 90 29		bcc $003700
	0036D7 20 B6 F4		jsr $F4B6
	0036DA A9 02		lda #$02
	0036DC 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0036DF A9 00		lda #$00
	0036E1 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	0036E4 A9 0F		lda #$0F
	0036E6 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0036E9 20 9A FC		jsr $FC9A
	0036EC A9 10		lda #$10
	0036EE 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0036F1 A9 00		lda #$00
	0036F3 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	0036F6 A9 0F		lda #$0F
	0036F8 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0036FB A9 AB		lda #$AB
	0036FD 20 9C FC		jsr $FC9C{meaddh_w}
003700	003700 C2 02 02 06	rba $02,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003704 C2 04 02 06	rba $04,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003708 20 AB E0		jsr $E0AB
	00370B C2 40 07 06	rba $40,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	00370F C2 20 07 06	rba $20,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	003713 CF 61 03		bbs 4,$61,$003719
	003716 20 2A F5		jsr $F52A
003719	003719 C2 02 0B 06	rba $02,$060B		;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	00371D 18		clc
	00371E 60		rts

;;; CONF = 81

00371F	00371F 20 48 F5		jsr $F548{rtsoff}
	003722 A9 81		lda #$81
	003724 20 2B F8		jsr $F82B
	003727 20 77 FA		jsr $FA77{newc_w}
	00372A A9 04		lda #$04
	00372C 49 FF		eor #$FF
	00372E 8D CC 00		sta $00CC
003731	003731 AD CC 00		lda $00CC
	003734 D0 FB		bne $003731
	003736 60		rts

003737	003737 A9 80		lda #$80
	003739 4C 2B F8		jmp $F82B

00373C	00373C F2 3C 01 01 10	bas $013C,$01,$003751
	003741 AE 3B 01		ldx $013B
	003744 E0 02		cpx #$02
	003746 D0 0A		bne $003752
	003748 AE 39 01		ldx $0139
	00374B E0 03		cpx #$03
	00374D B0 02		bcs $003751
	00374F A9 82		lda #$82
003751	003751 60		rts

003752	003752 E0 01		cpx #$01
	003754 D0 FB		bne $003751
	003756 A9 52		lda #$52'R'
	003758 60		rts

003759	003759 48		pha
	00375A D2 20 04 06	sba $20,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	00375E 20 2C FB		jsr $FB2C
	003761 68		pla
	003762 A8		tay
	003763 48		pha
	003764 B9 4E F3		lda $F34E,y
	003767 C9 AA		cmp #$AA
	003769 F0 09		beq $003774
	00376B 29 F0		and #$F0
	00376D C9 A0		cmp #$A0
	00376F D0 03		bne $003774
	003771 20 2D FB		jsr $FB2D
003774	003774 A5 69		lda $69
	003776 29 07		and #$07
	003778 F0 1C		beq $003796
	00377A D2 80 03 06	sba $80,$0603		;DPi EPT/SEPT/SRCEN/RLSDE/ARC/SDIS
	00377E C2 01 04 06	rba $01,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	003782 B9 4E F3		lda $F34E,y
	003785 29 F0		and #$F0
	003787 C9 B0		cmp #$B0
	003789 D0 0B		bne $003796
	00378B 87 6B		smb 0,$6B
	00378D 98		tya
	00378E 29 01		and #$01
	003790 D0 04		bne $003796
	003792 D2 01 04 06	sba $01,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
003796	003796 B9 4E F3		lda $F34E,y
	003799 C9 A8		cmp #$A8
	00379B D0 1B		bne $0037b8
	00379D AD 12 06		lda $0612		;DPi configuration (CONF)
	0037A0 C9 01		cmp #$01
	0037A2 D0 14		bne $0037b8
	0037A4 A9 07		lda #$07
	0037A6 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	0037A9 A9 00		lda #$00
	0037AB 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0037AE A9 08		lda #$08
	0037B0 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0037B3 A9 AC		lda #$AC
	0037B5 20 9C FC		jsr $FC9C{meaddh_w}
0037B8	0037B8 B9 4E F3		lda $F34E,y
	0037BB 20 3C F7		jsr $F73C
	0037BE 20 2B F8		jsr $F82B
	0037C1 A5 69		lda $69
	0037C3 29 07		and #$07
	0037C5 D0 0A		bne $0037d1
	0037C7 AD 2A 01		lda $012A
	0037CA 29 07		and #$07
	0037CC 85 40		sta $40
	0037CE 20 D1 E1		jsr $E1D1
0037D1	0037D1 20 BF E1		jsr $E1BF
	0037D4 68		pla
	0037D5 B9 4E F3		lda $F34E,y
	0037D8 C9 01		cmp #$01
	0037DA D0 04		bne $0037e0
	0037DC C2 40 04 06	rba $40,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
0037E0	0037E0 60		rts

0037E1	0037E1 48		pha
	0037E2 20 55 E2		jsr $E255
	0037E5 20 19 F8		jsr $F819
	0037E8 A2 01		ldx #$01
0037EA	0037EA DD BF F9		cmp $F9BF,x
	0037ED F0 06		beq $0037f5
	0037EF E8		inx
	0037F0 E8		inx
	0037F1 E0 37		cpx #$37'7'
	0037F3 D0 F5		bne $0037ea
0037F5	0037F5 CA		dex
	0037F6 BD BF F9		lda $F9BF,x
	0037F9 C9 C1		cmp #$C1
	0037FB D0 07		bne $003804
	0037FD A9 00		lda #$00
	0037FF 20 0C F8		jsr $F80C
	003802 A9 C1		lda #$C1
003804	003804 20 3C F7		jsr $F73C
	003807 20 2B F8		jsr $F82B
	00380A 68		pla
	00380B 60		rts

00380C	00380C 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00380F A9 E3		lda #$E3
	003811 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	003814 A9 A2		lda #$A2
	003816 4C 9C FC		jmp $FC9C{meaddh_w}

003819	003819 C9 05		cmp #$05
	00381B 90 0D		bcc $00382a
	00381D C9 09		cmp #$09
	00381F B0 09		bcs $00382a
	003821 38		sec
	003822 E9 01		sbc #$01
	003824 C9 04		cmp #$04
	003826 D0 02		bne $00382a
	003828 A9 08		lda #$08
00382A	00382A 60		rts

00382B	00382B 8D 12 06		sta $0612		;DPi configuration (CONF)
	00382E 20 77 FA		jsr $FA77{newc_w}
	003831 B9 4E F3		lda $F34E,y
	003834 29 F0		and #$F0
	003836 C9 10		cmp #$10
	003838 D0 2B		bne $003865
	00383A 4C 94 F8		jmp $F894

00383D	00383D A9 00		lda #$00
	00383F 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	003842 A9 0C		lda #$0C
	003844 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	003847 A9 1C		lda #$1C
	003849 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00384C A9 AA		lda #$AA
	00384E 20 9C FC		jsr $FC9C{meaddh_w}
	003851 A9 00		lda #$00
	003853 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	003856 A9 12		lda #$12
	003858 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00385B A9 1D		lda #$1D
	00385D 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	003860 A9 AA		lda #$AA
	003862 4C 9C FC		jmp $FC9C{meaddh_w}

003865	003865 AD 12 06		lda $0612		;DPi configuration (CONF)
	003868 C9 62		cmp #$62'b'
	00386A D0 28		bne $003894
	00386C A9 24		lda #$24'$'
	00386E FF 49 02		bbs 7,$49,$003873
	003871 A9 27		lda #$27'''
003873	003873 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	003876 A9 36		lda #$36'6'
	003878 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00387B A9 A1		lda #$A1
	00387D 20 9C FC		jsr $FC9C{meaddh_w}
	003880 A9 0E		lda #$0E
	003882 FF 49 02		bbs 7,$49,$003887
	003885 A9 0F		lda #$0F
003887	003887 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00388A A9 37		lda #$37'7'
	00388C 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00388F A9 A1		lda #$A1
	003891 4C 9C FC		jmp $FC9C{meaddh_w}

003894	003894 F2 4D 01 01 05	bas $014D,$01,$00389e
	003899 E2 4C 01 01 09	bar $014C,$01,$0038a7
00389E	00389E A5 69		lda $69
	0038A0 29 07		and #$07
	0038A2 F0 03		beq $0038a7
	0038A4 20 53 E1		jsr $E153
0038A7	0038A7 60		rts

0038A8	0038A8 AD 12 06		lda $0612		;DPi configuration (CONF)
	0038AB 60		rts

0038AC	0038AC 8D 12 06		sta $0612		;DPi configuration (CONF)
	0038AF D2 08 03 06	sba $08,$0603		;DPi EPT/SEPT/SRCEN/RLSDE/ARC/SDIS
	0038B3 60		rts

0038B4	0038B4 A9 3A		lda #$3A':'
	0038B6 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0038B9 A9 80		lda #$80
	0038BB 20 9C FC		jsr $FC9C{meaddh_w}
	0038BE AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	0038C1 29 7F		and #$7F
0038C3	0038C3 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0038C6 A9 3A		lda #$3A':'
	0038C8 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0038CB A9 A0		lda #$A0
	0038CD 4C 9C FC		jmp $FC9C{meaddh_w}

0038D0	0038D0 A9 3A		lda #$3A':'
	0038D2 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0038D5 A9 80		lda #$80
	0038D7 20 9C FC		jsr $FC9C{meaddh_w}
	0038DA AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	0038DD 09 80		ora #$80
	0038DF 80 E2		bra $0038c3

0038E1	0038E1 D2 10 05 06	sba $10,$0605		;DPi TXSQ
	0038E5 D2 40 05 06	sba $40,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	0038E9 60		rts

0038EA	0038EA C2 10 05 06	rba $10,$0605		;DPi TXSQ
	0038EE C2 40 05 06	rba $40,$0605		;DPi ECSQ
	0038F2 60		rts

0038F3	0038F3 AD 0F 06		lda $060F		;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	0038F6 29 80		and #$80
	0038F8 60		rts

;;; 00F8F9 - ring indicator

0038F9	0038F9 AD 1E 06		lda $061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	0038FC 29 08		and #$08
	0038FE 60		rts

0038FF	0038FF AD 0F 06		lda $060F		;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	003902 29 04		and #$04
	003904 60		rts

003905	003905 AD 0D 06		lda $060D		;DPi P2DET/PNDET/S1DET/SCR1/U1DET
	003908 29 20		and #$20
	00390A 60		rts

00390B	00390B AD 0D 06		lda $060D		;DPi P2DET/PNDET/S1DET/SCR1/U1DET
	00390E 29 10		and #$10
	003910 60		rts

003911	003911 AD 08 06		lda $0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	003914 29 02		and #$02
	003916 60		rts

003917	003917 AD 0E 06		lda $060E		;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	00391A 29 80		and #$80
	00391C D0 05		bne $003923
	00391E AD 0E 06		lda $060E		;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	003921 29 20		and #$20' '
003923	003923 60		rts

003924	003924 AD 0F 06		lda $060F		;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	003927 29 10		and #$10
	003929 60		rts

00392A	00392A AD 0A 06		lda $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	00392D 29 02		and #$02
	00392F 60		rts

003930	003930 AD 0B 06		lda $060B		;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	003933 29 80		and #$80
	003935 60		rts

003936	003936 AD 0B 06		lda $060B		;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	003939 29 40		and #$40'@'
	00393B 60		rts

00393C	00393C AD 0B 06		lda $060B		;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	00393F 29 20		and #$20' '
	003941 60		rts

003942	003942 AD 0B 06		lda $060B		;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	003945 29 E0		and #$E0
	003947 4A		lsr a
	003948 4A		lsr a
	003949 4A		lsr a
	00394A 4A		lsr a
	00394B 4A		lsr a
	00394C 60		rts

00394D	00394D AD 0C 06		lda $060C		;DPi AADET/ACDET/CADET/CCDET/SDET
	003950 29 F0		and #$F0
	003952 4A		lsr a
	003953 4A		lsr a
	003954 4A		lsr a
	003955 4A		lsr a
	003956 60		rts

003957	003957 AD 0C 06		lda $060C		;DPi AADET/ACDET/CADET/CCDET/SDET
	00395A 29 40		and #$40'@'
	00395C 60		rts

00395D	00395D AD 0C 06		lda $060C		;DPi AADET/ACDET/CADET/CCDET/SDET
	003960 29 20		and #$20' '
	003962 60		rts

003963	003963 AD 0C 06		lda $060C		;DPi AADET/ACDET/CADET/CCDET/SDET
	003966 29 80		and #$80
	003968 60		rts

003969	003969 AD 0C 06		lda $060C		;DPi AADET/ACDET/CADET/CCDET/SDET
	00396C 29 10		and #$10
	00396E 60		rts

00396F	00396F AD 0D 06		lda $060D		;DPi P2DET/PNDET/S1DET/SCR1/U1DET
	003972 29 40		and #$40'@'
	003974 60		rts

003975	003975 4C 30 F9		jmp $F930

003978	003978 4C 3C F9		jmp $F93C

00397B	00397B AD 09 06		lda $0609		;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00397E 29 10		and #$10
	003980 60		rts

003981	003981 AD 0F 06		lda $060F		;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	003984 29 20		and #$20
	003986 60		rts

003987	003987 AD 0C 06		lda $060C		;DPi AADET/ACDET/CADET/CCDET/SDET
	00398A 29 01		and #$01
	00398C 60		rts

00398D	00398D 20 99 F9		jsr $F999
	003990 20 76 F5		jsr $F576
	003993 B0 01		bcs $003996
	003995 60		rts

003996	003996 89 06		add #$06
	003998 60		rts

003999	003999 20 76 F5		jsr $F576
	00399C B0 06		bcs $0039a4
	00399E 20 F7 F9		jsr $F9F7
	0039A1 F0 01		beq $0039a4
	0039A3 60		rts

0039A4	0039A4 DA		phx
	0039A5 AD 12 06		lda $0612		;DPi configuration (CONF)
	0039A8 20 AD F9		jsr $F9AD
	0039AB FA		plx
	0039AC 60		rts

0039AD	0039AD A2 00		ldx #$00
0039AF	0039AF DD BF F9		cmp $F9BF,x
	0039B2 F0 06		beq $0039ba
	0039B4 E8		inx
	0039B5 E8		inx
	0039B6 E0 36		cpx #$36'6'
	0039B8 D0 F5		bne $0039af
0039BA	0039BA E8		inx
	0039BB BD BF F9		lda $F9BF,x
	0039BE 60		rts

0039BF	0039BF CE 10 CD		dec $CD10
	0039C2 0F CC 0E		bbr 0,$CC,$0039d3
	0039C5 CB		phi
	0039C6 0D CA 0C		ora $0CCA
	0039C9 C9 0B		cmp #$0B
	0039CB C8		iny
	0039CC 0A		asl a
	0039CD C7 09		smb 4,$09		;Cx9 Low Power Register (LPR)
	0039CF C3		???			;undocumented opcode
	0039D0 08		php
	0039D1 C6 07		dec $07			;Cx9	port E (R/W)
0039D3	0039D3 C5 06		cmp $06			;Cx9	port C direction (W)
	0039D5 C4 05		cpy $05			;Cx9	port B select (R/W)
	0039D7 C2 04 C1 03	rba $04,$03C1
	0039DB 76 07		ror $07,x		;Cx9	port E (R/W)
	0039DD 72		twa
	0039DE 06 74		asl $74
	0039E0 05 75		ora $75
	0039E2 05 78		ora $78
	0039E4 08		php
	0039E5 71 04		adc ($04),x		;Cx9	port D & direction control
	0039E7 84 03		sty $03			;Cx9	port A direction (R/O)
	0039E9 82		???			;undocumented opcode
	0039EA 02		mpy
	0039EB 52		clw
	0039EC 02		mpy
	0039ED 51 01		eor ($01),x		;Cx9	port B (output only)
	0039EF 62		taw
	0039F0 02		mpy
	0039F1 A1 02		lda ($02)		;Cx9	port C (bidirectional)
	0039F3 A4 02		ldy $02			;Cx9	port C (bidirectional)
	0039F5 A0 00		ldy #$00
	0039F7 AD 0E 06		lda $060E		;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	0039FA 29 1F		and #$1F
	0039FC 60		rts

0039FD	0039FD A9 E4		lda #$E4
	0039FF 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	003A02 A9 82		lda #$82
	003A04 20 9C FC		jsr $FC9C{meaddh_w}
	003A07 AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	003A0A 09 C0		ora #$C0
	003A0C 20 AD F9		jsr $F9AD
	003A0F A8		tay
	003A10 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	003A13 09 C0		ora #$C0
	003A15 20 AD F9		jsr $F9AD
	003A18 AA		tax
	003A19 60		rts

003A1A	003A1A 20 FD F9		jsr $F9FD
	003A1D 8A		txa
	003A1E 89 06		add #$06
	003A20 AA		tax
	003A21 98		tya
	003A22 89 06		add #$06
	003A24 A8		tay
	003A25 E2 2A 01 08 13	bar $012A,$08,$003a3d
	003A2A A9 09		lda #$09
	003A2C 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	003A2F A9 82		lda #$82
	003A31 20 9C FC		jsr $FC9C{meaddh_w}
	003A34 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	003A37 29 80		and #$80
	003A39 F0 02		beq $003a3d
	003A3B 38		sec
	003A3C 60		rts

003A3D	003A3D 18		clc
	003A3E 60		rts

003A3F	003A3F AD 0A 06		lda $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	003A42 29 38		and #$38'8'
003A44	003A44 4A		lsr a
	003A45 4A		lsr a
	003A46 4A		lsr a
	003A47 E2 0E 06 40 02	bar $060E,$40,$003a4e	;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	003A4C 09 08		ora #$08
003A4E	003A4E D0 05		bne $003a55
	003A50 18		clc
	003A51 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	003A54 60		rts

003A55	003A55 48		pha
	003A56 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	003A59 85 40		sta $40
	003A5B 68		pla
	003A5C 38		sec
	003A5D 60		rts

003A5E	003A5E E2 1E 06 08 FB	bar $061E,$08,$003a5e	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	003A63 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	003A66 60		rts

003A67	003A67 AD 0A 06		lda $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	003A6A 29 02		and #$02
	003A6C 60		rts

003A6D	003A6D D2 80 11 06	sba $80,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	003A71 60		rts

003A72	003A72 C2 80 11 06	rba $80,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	003A76 60		rts

;;; 00FA77 - new conf and wait

003A77	003A77 D2 01 1F 06	sba $01,$061F		;DPi NEWC
003A7B	003A7B F2 1F 06 01 FB	bas $061F,$01,$003a7b	;DPi NEWC
	003A80 60		rts

003A81	003A81 D2 01 1F 06	sba $01,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	003A85 60		rts

003A86	003A86 00		brk
	003A87 01 02		ora ($02)		;Cx9	port C (bidirectional)
	003A89 03		tip
	003A8A A8		tay
	003A8B AD 06 06		lda $0606		;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
	003A8E 29 FC		and #$FC
	003A90 19 86 FA		ora $FA86,y
	003A93 8D 06 06		sta $0606		;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
	003A96 60		rts

003A97	003A97 00 C0 40 80

;;; 00FA9B - set volume 'a' ?

003A9B	003A9B A8		tay
003A9C	003A9C AD 01 06		lda $0601		;DPi VOLUME/VPAUSE/CELULR/xXHF/RXP
	003A9F 29 3F		and #$3F'?'
	003AA1 19 97 FA		ora $FA97,y
	003AA4 8D 01 06		sta $0601		;DPi VOLUME/VPAUSE/CELULR/xXHF/RXP
	003AA7 60		rts

003AA8	003AA8 40 20 60 00

;;; 00FAAC

003AAC	003AAC A8		tay
	003AAD AD 11 06		lda $0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	003AB0 29 9F		and #$9F
	003AB2 19 A8 FA		ora $FAA8,y
	003AB5 8D 11 06		sta $0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	003AB8 60		rts

003AB9	003AB9 C2 08 06 06	rba $08,$0606		;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
	003ABD 4C E5 F3		jmp $F3E5

003AC0	003AC0 20 EE F4		jsr $F4EE
	003AC3 4C 43 F5		jmp $F543{rtson}

003AC6	003AC6 AD 5C 03		lda $035C
	003AC9 8D 2A 02		sta $022A
	003ACC A9 00		lda #$00
	003ACE 8D 2B 02		sta $022B
	003AD1 47 5F		rmb 4,$5F
	003AD3 60		rts

003AD4	003AD4 A2 10		ldx #$10
	003AD6 A5 69		lda $69
	003AD8 29 07		and #$07
	003ADA F0 02		beq $003ade
	003ADC A2 11		ldx #$11
003ADE	003ADE 8A		txa
	003ADF 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	003AE2 60		rts

003AE3	003AE3 3F 9B 0C		bbr 3,$9B,$003af2
	003AE6 A5 9D		lda $9D
	003AE8 29 C0		and #$C0
	003AEA 4A		lsr a
	003AEB 4A		lsr a
	003AEC 4A		lsr a
	003AED 4A		lsr a
	003AEE 4A		lsr a
	003AEF 4A		lsr a
	003AF0 D0 05		bne $003af7
003AF2	003AF2 D2 80 02 06	sba $80,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003AF6 60		rts

003AF7	003AF7 C2 80 02 06	rba $80,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003AFB 60		rts

003AFC	003AFC D2 20 02 06	sba $20,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003B00 60		rts

003B01	003B01 C2 20 02 06	rba $20,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003B05 60		rts

003B06	003B06 D2 10 02 06	sba $10,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003B0A 60		rts

003B0B	003B0B C2 10 02 06	rba $10,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003B0F 60		rts

003B10	003B10 D2 04 0A 06	sba $04,$060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	003B14 60		rts

003B15	003B15 C2 04 0A 06	rba $04,$060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	003B19 60		rts

003B1A	003B1A AD 0A 06		lda $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	003B1D 29 04		and #$04
	003B1F 60		rts

003B20	003B20 D2 80 02 06	sba $80,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003B24 60		rts

003B25	003B25 C2 80 02 06	rba $80,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003B29 60		rts

003B2A	003B2A 60		rts

003B2B	003B2B 60		rts

003B2C	003B2C 60		rts

003B2D	003B2D C2 08 05 06	rba $08,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	003B31 60		rts

003B32	003B32 A9 00		lda #$00
	003B34 29 F7		and #$F7
	003B36 29 EF		and #$EF
	003B38 29 DF		and #$DF
	003B3A 8D 0A 06		sta $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	003B3D 60		rts

003B3E	003B3E C2 20 01 06	rba $20,$0601		;DPi VOLUME/VPAUSE/CELULR/xXHF/RXP
	003B42 60		rts

003B43	003B43 D2 10 11 06	sba $10,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	003B47 60		rts

003B48	003B48 C2 10 11 06	rba $10,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	003B4C 60		rts

003B4D	003B4D D2 08 11 06	sba $08,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	003B51 60		rts

003B52	003B52 C2 08 11 06	rba $08,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	003B56 60		rts

003B57	003B57 D2 08 02 06	sba $08,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003B5B 60		rts

003B5C	003B5C C2 08 02 06	rba $08,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003B60 60		rts

003B61	003B61 D2 04 02 06	sba $04,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003B65 60		rts

003B66	003B66 C2 04 02 06	rba $04,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003B6A 60		rts

003B6B	003B6B 00		brk
	003B6C 00		brk
	003B6D 00		brk
	003B6E 01 02		ora ($02)		;Cx9	port C (bidirectional)
	003B70 00		brk
	003B71 00		brk
	003B72 00		brk
	003B73 01 02		ora ($02)		;Cx9	port C (bidirectional)
	003B75 48		pha
	003B76 A8		tay
	003B77 AD 02 06		lda $0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003B7A 29 FC		and #$FC
	003B7C 19 6B FB		ora $FB6B,y
	003B7F 8D 02 06		sta $0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	003B82 68		pla
	003B83 A8		tay
	003B84 AD 06 06		lda $0606		;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
	003B87 29 FC		and #$FC
	003B89 19 70 FB		ora $FB70,y
	003B8C 8D 06 06		sta $0606		;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
	003B8F 60		rts

003B90	003B90 AD 1B 06		lda $061B		;DPi EDET/DTDET/OTS/DTMFD/DTMF	code
	003B93 29 40		and #$40'@'
	003B95 60		rts

003B96	003B96			.ascii /0123457089*#ABCD/

;;; 00FBA6

00FBA6	003BA6 AD 1B 06		lda $061B		;DPi EDET/DTDET/OTS/DTMFD/DTMF	code
	003BA9 29 0F		and #$0F
	003BAB AA		tax
	003BAC BD 96 FB		lda $FB96,x
	003BAF 60		rts

;;;

003BB0	003BB0 AD 1F 06		lda $061F		;DPi NSIE/NCIE/NEWC
	003BB3 09 10		ora #$10		; +NSIE
	003BB5 09 08		ora #$08		; +NCIS
	003BB7 29 FE		and #$FE		; -NEWC
	003BB9 8D 1F 06		sta $061F
	003BBC 60		rts

;;; 00FBBD NSIE=0 NEWS=1

003BBD	003BBD AD 1F 06		lda $061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	003BC0 29 EF		and #$EF
	003BC2 09 08		ora #$08
	003BC4 29 FE		and #$FE
	003BC6 8D 1F 06		sta $061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
003BC9	003BC9 60		rts

003BCA	003BCA AD 0B 06		lda $060B		;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	003BCD 29 18		and #$18
	003BCF 4A		lsr a
	003BD0 4A		lsr a
	003BD1 4A		lsr a
	003BD2 60		rts

003BD3	003BD3 E2 52 01 01 05	bar $0152,$01,$003bdd
	003BD8 E2 52 01 20 0F	bar $0152,$20,$003bec
003BDD	003BDD B2 0A 45		sti #$0A,$45
	003BE0 B2 00 44		sti #$00,$44
	003BE3 20 F0 E3		jsr $E3F0
	003BE6 AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	003BE9 8D B5 03		sta $03B5
003BEC	003BEC 60		rts

003BED	003BED B2 00 45		sti #$00,$45
	003BF0 B2 B5 44		sti #$B5,$44
	003BF3 20 F0 E3		jsr $E3F0
	003BF6 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	003BF9 29 40		and #$40'@'
	003BFB F0 02		beq $003bff
	003BFD 38		sec
	003BFE 60		rts

003BFF	003BFF 18		clc
	003C00 60		rts

003C01	003C01 F2 0F 06 04 09	bas $060F,$04,$003c0f	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	003C06 20 F3 F8		jsr $F8F3
	003C09 D0 04		bne $003c0f
	003C0B A9 7F		lda #$7F
	003C0D 80 0C		bra $003c1b

003C0F	003C0F B2 02 45		sti #$02,$45
	003C12 B2 0C 44		sti #$0C,$44
	003C15 20 F0 E3		jsr $E3F0
	003C18 AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
003C1B	003C1B 8D B4 03		sta $03B4
	003C1E 60		rts

003C1F	003C1F B2 00 47		sti #$00,$47
	003C22 B2 14 46		sti #$14,$46
	003C25 B2 02 45		sti #$02,$45
	003C28 B2 70 44		sti #$70'p',$44
	003C2B 20 ED E3		jsr $E3ED
	003C2E B2 00 47		sti #$00,$47
	003C31 B2 00 46		sti #$00,$46
	003C34 B2 02 45		sti #$02,$45
	003C37 B2 71 44		sti #$71'q',$44
	003C3A 20 ED E3		jsr $E3ED
	003C3D 60		rts

003C3E	003C3E E2 52 01 01 0A	bar $0152,$01,$003c4d
	003C43 E2 52 01 40 05	bar $0152,$40,$003c4d
	003C48 20 01 FC		jsr $FC01
	003C4B 80 07		bra $003c54

003C4D	003C4D 80 B2		bra $003c01

003C4F	003C4F F2 30 01 01 AD	bas $0130,$01,$003c01
003C54	003C54 A9 6F		lda #$6F'o'
	003C56 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	003C59 A9 82		lda #$82
	003C5B 20 9C FC		jsr $FC9C{meaddh_w}
	003C5E AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	003C61 E2 52 01 01 11	bar $0152,$01,$003c77
	003C66 18		clc
	003C67 6D B1 03		adc $03B1
	003C6A 8D B1 03		sta $03B1
	003C6D 90 04		bcc $003c73
	003C6F D2 40 53 01	sba $40,$0153
003C73	003C73 EE B2 03		inc $03B2
	003C76 60		rts

003C77	003C77 8D B4 03		sta $03B4
	003C7A 60		rts

003C7B	003C7B 20 76 F5		jsr $F576
	003C7E 90 24		bcc $003ca4
	003C80 A9 04		lda #$04
	003C82 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	003C85 A9 8A		lda #$8A
	003C87 20 9C FC		jsr $FC9C{meaddh_w}
	003C8A AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	003C8D AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	003C90 89 02		add #$02
	003C92 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	003C95 A9 05		lda #$05
	003C97 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	003C9A A9 AA		lda #$AA

;;; 00FC9C - write MEADDH

003C9C	003C9C 8D 1D 06		sta $061D		;DPi MEACC/MEMW/MEMCR/addr bits 8-11
003C9F	003C9F F2 1D 06 80 FB	bas $061D,$80,$003c9f	;DPi MEACC/MEMW/MEMCR/addr bits 8-11
003CA4	003CA4 60		rts

003CA5	003CA5 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	003CA8 48		pha
	003CA9 20 30 E3		jsr $E330
	003CAC A5 B2		lda $B2
	003CAE C9 01		cmp #$01
	003CB0 D0 04		bne $003cb6
	003CB2 A5 B1		lda $B1
	003CB4 C9 00		cmp #$00
003CB6	003CB6 68		pla
	003CB7 60		rts

003CB8	003CB8 4C 9B FA		jmp $FA9B

003CBB	003CBB A9 00		lda #$00
	003CBD 85 14		sta $14			;Cx9 Timer B Mode
	003CBF AD 18 F2		lda $F218
	003CC2 85 15		sta $15			;Cx9 TBLC, TBUC-TBS, TBLL
	003CC4 AD 19 F2		lda $F219
	003CC7 85 17		sta $17			;Cx9 TBS, TBUL, Clear, Download
	003CC9 E7 14		smb 6,$14		;Cx9 Timer B Mode
	003CCB 60		rts

003CCC	003CCC 48		pha
	003CCD BF 61 18		bbs 3,$61,$003ce8
	003CD0 AD 5B 04		lda $045B
	003CD3 C9 06		cmp #$06
	003CD5 90 0C		bcc $003ce3
	003CD7 C9 0A		cmp #$0A
	003CD9 90 14		bcc $003cef
	003CDB C9 0D		cmp #$0D
	003CDD 90 04		bcc $003ce3
	003CDF C9 10		cmp #$10
	003CE1 D0 0C		bne $003cef
003CE3	003CE3 20 3B FD		jsr $FD3B
	003CE6 68		pla
	003CE7 60		rts

003CE8	003CE8 20 99 F9		jsr $F999
	003CEB C9 04		cmp #$04
	003CED 90 F4		bcc $003ce3
003CEF	003CEF 20 38 FD		jsr $FD38
	003CF2 68		pla
	003CF3 60		rts

003CF4	003CF4 20 D7 FD		jsr $FDD7{scli}
	003CF7 20 DF FD		jsr $FDDF
	003CFA 27 10		rmb 2,$10		;Cx9 Timer A Mode
	003CFC 07 34		rmb 0,$34		;Cx9 PTG A	mode
	003CFE 17 34		rmb 1,$34		;Cx9 PTG A	mode
	003D00 67 34		rmb 6,$34		;Cx9 PTG A	mode
	003D02 07 0C		rmb 0,$0C		;Cx9 PTG B Mode (R/W)
	003D04 17 0C		rmb 1,$0C		;Cx9 PTG B Mode (R/W)
	003D06 67 0C		rmb 6,$0C		;Cx9 PTG B Mode (R/W)
	003D08 57 3A		rmb 5,$3A		;Cx9	serial mode register
	003D0A AD 5B 04		lda $045B
	003D0D 20 6D FD		jsr $FD6D
	003D10 AD 5F 04		lda $045F
	003D13 85 3B		sta $3B			;Cx9	serial line control register
	003D15 E7 3A		smb 6,$3A		;Cx9	serial mode register
	003D17 A5 38		lda $38			;Cx9	serial I/O buffers
	003D19 F7 3A		smb 7,$3A		;Cx9	serial mode register
	003D1B 67 10		rmb 6,$10		;Cx9 Timer A Mode
	003D1D 4C BB FC		jmp $FCBB

003D20	003D20 07 02		rmb 0,$02		;Cx9	port C (bidirectional)
	003D22 60		rts

003D23	003D23 87 02		smb 0,$02		;Cx9	port C (bidirectional)
	003D25 60		rts

003D26	003D26 17 02		rmb 1,$02		;Cx9	port C (bidirectional)
	003D28 60		rts

003D29	003D29 97 02		smb 1,$02		;Cx9	port C (bidirectional)
	003D2B 60		rts

003D2C	003D2C 27 02		rmb 2,$02		;Cx9	port C (bidirectional)
	003D2E 60		rts

003D2F	003D2F A7 02		smb 2,$02		;Cx9	port C (bidirectional)
	003D31 60		rts

003D32	003D32 57 02		rmb 5,$02		;Cx9	port C (bidirectional)
	003D34 60		rts

003D35	003D35 D7 02		smb 5,$02		;Cx9	port C (bidirectional)
	003D37 60		rts

003D38	003D38 37 02		rmb 3,$02		;Cx9	port C (bidirectional)
	003D3A 60		rts

003D3B	003D3B B7 02		smb 3,$02		;Cx9	port C (bidirectional)
	003D3D 60		rts

003D3E	003D3E 67 02		rmb 6,$02		;Cx9	port C (bidirectional)
	003D40 60		rts

003D41	003D41 E7 02		smb 6,$02		;Cx9	port C (bidirectional)
	003D43 60		rts

003D44	003D44 C9 01		cmp #$01
	003D46 B0 04		bcs $003d4c
	003D48 F7 3A		smb 7,$3A		;Cx9	serial mode register
	003D4A 80 06		bra $003d52

003D4C	003D4C C9 02		cmp #$02
	003D4E D0 06		bne $003d56
	003D50 77 3A		rmb 7,3A		;Cx9	serial mode register
003D52	003D52 67 3D		rmb 6,$3D		;Cx9	serial form register
	003D54 80 09		bra $003d5f

003D56	003D56 F7 3A		smb 7,$3A		;Cx9	serial mode register
	003D58 E7 3D		smb 6,$3D		;Cx9	serial form register
	003D5A 0F 62 02		bbr 0,$62,$003d5f
	003D5D D7 07		smb 5,$07		;Cx9	port E (R/W)
003D5F	003D5F 60		rts

003D60	003D60 CF 03 02		bbs 4,$03,$003d65	;Cx9	port A direction (R/O)
	003D63 38		sec
	003D64 60		rts

003D65	003D65 18		clc
	003D66 60		rts

003D67	003D67 18		clc
	003D68 EF 03 01		bbs 6,$03,$003d6c	;Cx9	port A direction (R/O)
	003D6B 38		sec
003D6C	003D6C 60		rts

003D6D	003D6D 27 3D		rmb 2,$3D		;Cx9	serial form register
	003D6F C9 1F		cmp #$1F
	003D71 F0 04		beq $003d77
	003D73 C9 12		cmp #$12
	003D75 D0 02		bne $003d79
003D77	003D77 A7 3D		smb 2,$3D		;Cx9	serial form register
003D79	003D79 0A		asl a
	003D7A A8		tay
	003D7B AA		tax
003D7C	003D7C 5A		phy
	003D7D AD 5B 04		lda $045B
	003D80 A8		tay
	003D81 9F 62 06		bbs 1,$62,$003d8a
	003D84 B9 B4 FD		lda $FDB4,y
	003D87 8D 0D 86		sta $860D
003D8A	003D8A 7A		ply
	003D8B B9 5B F1		lda $F15B,y
	003D8E 85 35		sta $35			;Cx9 PAB
	003D90 B9 5C F1		lda $F15C,y
	003D93 85 37		sta $37			;Cx9 PAUL PAB-PALL clear download
	003D95 BD 5B F1		lda $F15B,x
	003D98 85 0D		sta $0D			;Cx9 PBB (R/W)
	003D9A BD 5C F1		lda $F15C,x
	003D9D 85 0F		sta $0F			;Cx9 PBUL PBB-PBLL Clear Download
	003D9F B2 0F 3E		sti #$0F,$3E		;Cx9 SOUT (RxD) divider latch (R)
	003DA2 B2 0F 3F		sti #$0F,$3F		;Cx9 SIN (TxD) divider latch (R)
	003DA5 B2 00 34		sti #$00,$34		;Cx9 PTG A	mode
	003DA8 B2 00 0C		sti #$00,$0C		;Cx9 PTG B Mode (R/W)
	003DAB 60		rts

003DAC	003DAC 98		tya
	003DAD 0A		asl a
	003DAE A8		tay
	003DAF 8A		txa
	003DB0 0A		asl a
	003DB1 AA		tax
	003DB2 80 C8		bra $003d7c

003DB4	003DB4 1E 1E 1E		asl $1E1E,x
	003DB7 1E 1E 10		asl $101E,x
	003DBA 08		php
	003DBB 04		???			;undocumented opcode
	003DBC 03		tip
	003DBD 02		mpy
	003DBE 1E 1E 0C		asl $0C1E,x
	003DC1 06 03		asl $03			;Cx9	port A direction (R/O)
	003DC3 03		tip
	003DC4 1E 02 02		asl $0202,x
	003DC7 1E 1E 03		asl $031E,x
	003DCA 02		mpy
	003DCB 02		mpy
	003DCC 02		mpy
	003DCD 02		mpy
	003DCE 02		mpy
	003DCF 02		mpy
	003DD0 02		mpy
	003DD1 02		mpy
	003DD2 02		mpy
	003DD3 02		mpy

;;; 00FDD4 - serial interrupt enable

003DD4	003DD4 87 39		smb 0,$39		;Cx9	serial interrupt enable
	003DD6 60		rts

;;; 00FDD7 - serial interrupt disable

003DD7	003DD7 07 39		rmb 0,$39		;Cx9	serial interrupt enable
	003DD9 60		rts

003DDA	003DDA 97 39		smb 1,$39		;Cx9	serial interrupt enable
	003DDC B7 64		smb 3,$64
	003DDE 60		rts

003DDF	003DDF 17 39		rmb 1,$39		;Cx9	serial interrupt enable
	003DE1 37 64		rmb 3,$64
	003DE3 60		rts

003DE4	003DE4 17 39		rmb 1,$39		;Cx9	serial interrupt enable
	003DE6 3F 64 02		bbr 3,$64,$003deb
	003DE9 97 39		smb 1,$39		;Cx9	serial interrupt enable
003DEB	003DEB 60		rts

003DEC	003DEC A7 39		smb 2,$39		;Cx9	serial interrupt enable
	003DEE 60		rts

003DEF	003DEF 27 39		rmb 2,$39		;Cx9	serial interrupt enable
	003DF1 60		rts

003DF2	003DF2 F7 6B		smb 7,$6B
	003DF4 18		clc
	003DF5 B2 00 41		sti #$00,$41
	003DF8 0F 3C 05		bbr 0,$3C,$003e00	;Cx9	serial status register
	003DFB 20 01 FE		jsr $FE01{in}
	003DFE 85 41		sta $41
003E00	003E00 60		rts

;;; receive char from serial

003E01	003E01 A5 38		lda $38			;Cx9	serial I/O buffers
	003E03 18		clc
	003E04 60		rts

;;; send char to serial

003E05	003E05 F7 6B		smb 7,$6B
003E07	003E07 5F 3C FD		bbr 5,$3C,$003e07	;Cx9	serial status register
	003E0A 85 38		sta $38			;Cx9	serial I/O buffers
	003E0C 60		rts

003E0D	003E0D AD 09 01		lda $0109
	003E10 4C 05 FE		jmp $FE05{out}

003E13	003E13 60		rts

003E14	003E14 20 0D FE		jsr $FE0D{cr}
	003E17 AD 0A 01		lda $010A
	003E1A 4C 05 FE		jmp $FE05{out}

003E1D	003E1D 60		rts

003E1E	003E1E 7F 3A 06		bbr 7,$3A,$003e27	;Cx9	serial mode register
003E21	003E21 5F 3C FD		bbr 5,$3C,$003e21	;Cx9	serial status register
003E24	003E24 6F 3C FD		bbr 6,$3C,$003e24	;Cx9	serial status register
003E27	003E27 60		rts

003E28	003E28 77 3A		rmb 7,3A		;Cx9	serial mode register
	003E2A 67 00		rmb 6,$00		;Cx9	port A (bidirectional)
	003E2C 60		rts

003E2D	003E2D E7 00		smb 6,$00		;Cx9	port A (bidirectional)
	003E2F F7 3A		smb 7,$3A		;Cx9	serial mode register
	003E31 60		rts

003E32	003E32 60		rts

003E33	003E33 00		brk
	003E34 00		brk
	003E35 00		brk
	003E36 00		brk
	003E37 00		brk
	003E38 00		brk
	003E39 00		brk
	003E3A 00		brk
	003E3B 00		brk
	003E3C 00		brk
	003E3D 00		brk
	003E3E 00		brk
	003E3F 00		brk
	003E40 00		brk
	003E41 00		brk
	003E42 00		brk
	003E43 00		brk
	003E44 00		brk
	003E45 00		brk
	003E46 00		brk
	003E47 00		brk
	003E48 00		brk
	003E49 00		brk
	003E4A 00		brk
	003E4B 00		brk
	003E4C 00		brk
	003E4D 00		brk
	003E4E 00		brk
	003E4F 00		brk
	003E50 00		brk
	003E51 00		brk
	003E52 00		brk
	003E53 00		brk
	003E54 00		brk
	003E55 00		brk
	003E56 00		brk
	003E57 00		brk
	003E58 00		brk
	003E59 00		brk
	003E5A 00		brk
	003E5B 00		brk
	003E5C 00		brk
	003E5D 00		brk
	003E5E 00		brk
	003E5F 00		brk
	003E60 00		brk
	003E61 00		brk
	003E62 00		brk
	003E63 00		brk
	003E64 00		brk
	003E65 00		brk
	003E66 00		brk
	003E67 00		brk
	003E68 00		brk
	003E69 00		brk
	003E6A 00		brk
	003E6B 00		brk
	003E6C 00		brk
	003E6D 00		brk
	003E6E 00		brk
	003E6F 00		brk
	003E70 00		brk
	003E71 00		brk
	003E72 00		brk
	003E73 00		brk
	003E74 00		brk
	003E75 00		brk
	003E76 00		brk
	003E77 00		brk
	003E78 00		brk
	003E79 00		brk
	003E7A 00		brk
	003E7B 00		brk
	003E7C 00		brk
	003E7D 00		brk
	003E7E 00		brk
	003E7F 00		brk
	003E80 00		brk
	003E81 00		brk
	003E82 00		brk
	003E83 00		brk
	003E84 00		brk
	003E85 00		brk
	003E86 00		brk
	003E87 00		brk
	003E88 00		brk
	003E89 00		brk
	003E8A 00		brk
	003E8B 00		brk
	003E8C 00		brk
	003E8D 00		brk
	003E8E 00		brk
	003E8F 00		brk
	003E90 00		brk
	003E91 00		brk
	003E92 00		brk
	003E93 00		brk
	003E94 00		brk
	003E95 00		brk
	003E96 00		brk
	003E97 00		brk
	003E98 00		brk
	003E99 00		brk
	003E9A 00		brk
	003E9B 00		brk
	003E9C 00		brk
	003E9D 00		brk
	003E9E 00		brk
	003E9F 00		brk
	003EA0 00		brk
	003EA1 00		brk
	003EA2 00		brk
	003EA3 00		brk
	003EA4 00		brk
	003EA5 00		brk
	003EA6 00		brk
	003EA7 00		brk
	003EA8 00		brk
	003EA9 00		brk
	003EAA 00		brk
	003EAB 00		brk
	003EAC 00		brk
	003EAD 00		brk
	003EAE 00		brk
	003EAF 00		brk
	003EB0 00		brk
	003EB1 00		brk
	003EB2 00		brk
	003EB3 00		brk
	003EB4 00		brk
	003EB5 00		brk
	003EB6 00		brk
	003EB7 00		brk
	003EB8 00		brk
	003EB9 00		brk
	003EBA 00		brk
	003EBB 00		brk
	003EBC 00		brk
	003EBD 00		brk
	003EBE 00		brk
	003EBF 00		brk
	003EC0 00		brk
	003EC1 00		brk
	003EC2 00		brk
	003EC3 00		brk
	003EC4 00		brk
	003EC5 00		brk
	003EC6 00		brk
	003EC7 00		brk
	003EC8 00		brk
	003EC9 00		brk
	003ECA 00		brk
	003ECB 00		brk
	003ECC 00		brk
	003ECD 00		brk
	003ECE 00		brk
	003ECF 00		brk
	003ED0 00		brk
	003ED1 00		brk
	003ED2 00		brk
	003ED3 00		brk
	003ED4 00		brk
	003ED5 00		brk
	003ED6 00		brk
	003ED7 00		brk
	003ED8 00		brk
	003ED9 00		brk
	003EDA 00		brk
	003EDB 00		brk
	003EDC 00		brk
	003EDD 00		brk
	003EDE 00		brk
	003EDF 00		brk
	003EE0 00		brk
	003EE1 00		brk
	003EE2 00		brk
	003EE3 00		brk
	003EE4 00		brk
	003EE5 00		brk
	003EE6 00		brk
	003EE7 00		brk
	003EE8 00		brk
	003EE9 00		brk
	003EEA 00		brk
	003EEB 00		brk
	003EEC 00		brk
	003EED 00		brk
	003EEE 00		brk
	003EEF 00		brk
	003EF0 00		brk
	003EF1 00		brk
	003EF2 00		brk
	003EF3 00		brk
	003EF4 00		brk
	003EF5 00		brk
	003EF6 00		brk
	003EF7 00		brk
	003EF8 00		brk
	003EF9 00		brk
	003EFA 00		brk
	003EFB 00		brk
	003EFC 00		brk
	003EFD 00		brk
	003EFE 00		brk
	003EFF 00		brk
	003F00 00		brk
	003F01 00		brk
	003F02 00		brk
	003F03 00		brk
	003F04 00		brk
	003F05 00		brk
	003F06 00		brk
	003F07 00		brk
	003F08 00		brk
	003F09 00		brk
	003F0A 00		brk
	003F0B 00		brk
	003F0C 00		brk
	003F0D 00		brk
	003F0E 00		brk
	003F0F 00		brk
	003F10 00		brk
	003F11 00		brk
	003F12 00		brk
	003F13 00		brk
	003F14 00		brk
	003F15 00		brk
	003F16 00		brk
	003F17 00		brk
	003F18 00		brk
	003F19 00		brk
	003F1A 00		brk
	003F1B 00		brk
	003F1C 00		brk
	003F1D 00		brk
	003F1E 00		brk
	003F1F 00		brk
	003F20 00		brk
	003F21 00		brk
	003F22 00		brk
	003F23 00		brk
	003F24 00		brk
	003F25 00		brk
	003F26 00		brk
	003F27 00		brk
	003F28 00		brk
	003F29 00		brk
	003F2A 00		brk
	003F2B 00		brk
	003F2C 00		brk
	003F2D 00		brk
	003F2E 00		brk
	003F2F 00		brk
	003F30 00		brk
	003F31 00		brk
	003F32 00		brk
	003F33 00		brk
	003F34 00		brk
	003F35 00		brk
	003F36 00		brk
	003F37 00		brk
	003F38 00		brk
	003F39 00		brk
	003F3A 00		brk
	003F3B 00		brk
	003F3C 00		brk
	003F3D 00		brk
	003F3E 00		brk
	003F3F 00		brk
	003F40 00		brk
	003F41 00		brk
	003F42 00		brk
	003F43 00		brk
	003F44 00		brk
	003F45 00		brk
	003F46 00		brk
	003F47 00		brk
	003F48 00		brk
	003F49 00		brk
	003F4A 00		brk
	003F4B 00		brk
	003F4C 00		brk
	003F4D 00		brk
	003F4E 00		brk
	003F4F 00		brk
	003F50 00		brk
	003F51 00		brk
	003F52 00		brk
	003F53 00		brk
	003F54 00		brk
	003F55 00		brk
	003F56 00		brk
	003F57 00		brk
	003F58 00		brk
	003F59 00		brk
	003F5A 00		brk
	003F5B 00		brk
	003F5C 00		brk
	003F5D 00		brk
	003F5E 00		brk
	003F5F 00		brk
	003F60 00		brk
	003F61 00		brk
	003F62 00		brk
	003F63 00		brk
	003F64 00		brk
	003F65 00		brk
	003F66 00		brk
	003F67 00		brk
	003F68 00		brk
	003F69 00		brk
	003F6A 00		brk
	003F6B 00		brk
	003F6C 00		brk
	003F6D 00		brk
	003F6E 00		brk
	003F6F 00		brk
	003F70 00		brk
	003F71 00		brk
	003F72 00		brk
	003F73 00		brk
	003F74 00		brk
	003F75 00		brk
	003F76 00		brk
	003F77 00		brk
	003F78 00		brk
	003F79 00		brk
	003F7A 00		brk
	003F7B 00		brk
	003F7C 00		brk
	003F7D 00		brk
	003F7E 00		brk
	003F7F 00		brk
	003F80 00		brk
	003F81 00		brk
	003F82 00		brk
	003F83 00		brk
	003F84 00		brk
	003F85 00		brk
	003F86 00		brk
	003F87 00		brk
	003F88 00		brk
	003F89 00		brk
	003F8A 00		brk
	003F8B 00		brk
	003F8C 00		brk
	003F8D 00		brk
	003F8E 00		brk
	003F8F 00		brk
	003F90 00		brk
	003F91 00		brk
	003F92 00		brk
	003F93 00		brk
	003F94 00		brk
	003F95 00		brk
	003F96 00		brk
	003F97 00		brk
	003F98 00		brk
	003F99 00		brk
	003F9A 00		brk
	003F9B 00		brk
	003F9C 00		brk
	003F9D 00		brk
	003F9E 00		brk
	003F9F 00		brk
	003FA0 00		brk
	003FA1 00		brk
	003FA2 00		brk
	003FA3 00		brk
	003FA4 00		brk
	003FA5 00		brk
	003FA6 00		brk
	003FA7 00		brk
	003FA8 00		brk
	003FA9 00		brk
	003FAA 00		brk
	003FAB 00		brk
	003FAC 00		brk
	003FAD 00		brk
	003FAE 00		brk
	003FAF 00		brk
	003FB0 00		brk
	003FB1 00		brk
	003FB2 00		brk
	003FB3 00		brk
	003FB4 00		brk
	003FB5 00		brk
	003FB6 00		brk
	003FB7 00		brk
	003FB8 00		brk
	003FB9 00		brk
	003FBA 00		brk
	003FBB 00		brk
	003FBC 00		brk
	003FBD 00		brk
	003FBE FF FF 55		bbs 7,$FF,$004016
	003FC1 00		brk
	003FC2 00		brk
	003FC3 00		brk
	003FC4 00		brk
	003FC5 00		brk
	003FC6 00		brk
	003FC7 00		brk
	003FC8 00		brk
	003FC9 00		brk
	003FCA 00		brk
	003FCB 00		brk
	003FCC 00		brk
	003FCD 00		brk
	003FCE 00		brk
	003FCF 00		brk
	003FD0 00		brk
	003FD1 00		brk
	003FD2 00		brk
	003FD3 00		brk
	003FD4 00		brk
	003FD5 00		brk
	003FD6 00		brk
	003FD7 00		brk
	003FD8 00		brk
	003FD9 00		brk
	003FDA 00		brk
	003FDB 00		brk
	003FDC 00		brk
	003FDD 00		brk
	003FDE 00		brk
	003FDF 00		brk
	003FE0 AA		tax
	003FE1 09 AD		ora #$AD
	003FE3 09 B0		ora #$B0
	003FE5 09 B3		ora #$B3
	003FE7 09 00		ora #$00
	003FE9 00		brk
	003FEA 00		brk
	003FEB 00		brk
	003FEC 00		brk
	003FED 00		brk
	003FEE 00		brk
	003FEF 00		brk
	003FF0 AD E8 90		lda $90E8
	003FF3 E8		inx
	003FF4 32		pul
	003FF5 E8		inx
	003FF6 E9 E7		sbc #$E7
	003FF8 E6 E7		inc $E7
	003FFA DD E6 CB		cmp $CBE6,x
	003FFD E6
	003FFE 7A E4		;! IRQ vector

--- page break - begins at 001FFF

;;; --- `AT%' - continued

004000	(FF) C1 20 08	T
	FF 53 21 01	V
	FF 19 29 01	W
	CF 4E 04 02	X	?
	FF 1C 29 01	Y
	FF 1F 29 00	Z

;;; --- `AT&F'

004017	004017 1F 61 03		bbr 1,$61,$00401d
	00401A 4C 16 2E		jmp $2E16

00401D	00401D A8		tay
	00401E A5 A8		lda $A8
	004020 48		pha
	004021 A5 A7		lda $A7
	004023 48		pha
	004024 20 1E 0C		jsr $0C1E
	004027 9F 62 03		bbs 1,$62,$00402d
	00402A 20 68 E4		jsr $E468
00402D	00402D A9 00		lda #$00
	00402F 85 81		sta $81
	004031 57 82		rmb 5,$82
004033	004033 77 98		rmb 7,98
	004035 68		pla
	004036 85 A7		sta $A7
	004038 68		pla
	004039 85 A8		sta $A8
00403B	00403B 60		rts

;;; --- `AT&G'

00403C	00403C 2F 7C 02		bbr 2,$7C,$004041
	00403F A9 02		lda #$02
004041	004041 0A		asl a
	004042 0A		asl a
	004043 0A		asl a
	004044 0A		asl a
	004045 0A		asl a
	004046 0A		asl a
	004047 48		pha
	004048 A9 3F		lda #$3F'?'
	00404A 25 4D		and $4D
	00404C 85 4D		sta $4D
	00404E 68		pla
	00404F 05 4D		ora $4D
	004051 85 4D		sta $4D
	004053 60		rts

;;; --- `AT&K' --- `AT&Q'

004054	004054 C9 01		cmp #$01
	004056 F0 13		beq $00406b
	004058 C9 02		cmp #$02
	00405A F0 0F		beq $00406b
	00405C 48		pha
	00405D A9 F8		lda #$F8
	00405F 25 53		and $53
	004061 85 53		sta $53
	004063 68		pla
	004064 05 53		ora $53
	004066 85 53		sta $53
	004068 F7 64		smb 7,$64
	00406A 60		rts

00406B	00406B 4C 16 2E		jmp $2E16

;;; --- `AT&M'

00406E	00406E C9 04		cmp #$04
	004070 90 18		bcc $00408a
	004072 D0 12		bne $004086
	004074 AA		tax
	004075 A5 08		lda $08			;Cx9	mask option & port E dir'n
	004077 29 C0		and #$C0
	004079 C9 80		cmp #$80
	00407B F0 03		beq $004080
	00407D 8A		txa
	00407E 80 06		bra $004086

004080	004080 80 15		bra $004097

004082	004082 A9 01		lda #$01
	004084 80 04		bra $00408a

004086	004086 29 03		and #$03
	004088 09 08		ora #$08
00408A	00408A 1F 61 0D		bbr 1,$61,$00409a
	00408D 85 40		sta $40
	00408F A5 4E		lda $4E
	004091 29 0B		and #$0B
	004093 C5 40		cmp $40
	004095 F0 0F		beq $0040a6
004097	004097 4C 16 2E		jmp $2E16

00409A	00409A 48		pha
	00409B A9 F4		lda #$F4
	00409D 25 4E		and $4E
	00409F 85 4E		sta $4E
	0040A1 68		pla
	0040A2 05 4E		ora $4E
	0040A4 85 4E		sta $4E
0040A6	0040A6 60		rts

;;; --- `AT&P'

0040A7	0040A7 4F 7C 14		bbr 4,$7C,$0040be
	0040AA C9 04		cmp #$04
	0040AC B0 10		bcs $0040be
	0040AE 0A		asl a
	0040AF 0A		asl a
	0040B0 0A		asl a
	0040B1 48		pha
	0040B2 A9 E7		lda #$E7
	0040B4 25 4F		and $4F
	0040B6 85 4F		sta $4F
	0040B8 68		pla
	0040B9 05 4F		ora $4F
	0040BB 85 4F		sta $4F
	0040BD 60		rts

0040BE	0040BE 4C 16 2E		jmp $2E16

;;; --- `AT&T'

0040C1	0040C1 9F 64 3D		bbs 1,$64,$004101
	0040C4 BF 62 3A		bbs 3,$62,$004101
	0040C7 8F 62 37		bbs 0,$62,$004101
	0040CA EF 57 34		bbs 6,$57,$004101
	0040CD DF 63 31		bbs 5,$63,$004101
	0040D0 C9 04		cmp #$04
	0040D2 F0 50		beq $004124
	0040D4 C9 05		cmp #$05
	0040D6 F0 4C		beq $004124
	0040D8 C9 02		cmp #$02
	0040DA F0 25		beq $004101
	0040DC C9 03		cmp #$03
	0040DE F0 08		beq $0040e8
	0040E0 C9 06		cmp #$06
	0040E2 F0 04		beq $0040e8
	0040E4 C9 07		cmp #$07
	0040E6 D0 08		bne $0040f0
0040E8	0040E8 1F 61 16		bbr 1,$61,$004101
	0040EB 20 3B 21		jsr $213B
	0040EE B0 11		bcs $004101
0040F0	0040F0 AA		tax
	0040F1 A5 69		lda $69
	0040F3 29 07		and #$07
	0040F5 D0 0A		bne $004101
	0040F7 A5 4E		lda $4E
	0040F9 29 0B		and #$0B
	0040FB F0 07		beq $004104
	0040FD C9 0A		cmp #$0A
	0040FF F0 03		beq $004104
004101	004101 4C 16 2E		jmp $2E16

004104	004104 AD 5B 04		lda $045B
	004107 C9 02		cmp #$02
	004109 90 F6		bcc $004101
	00410B C9 0A		cmp #$0A
	00410D 90 14		bcc $004123
	00410F C9 0D		cmp #$0D
	004111 90 EE		bcc $004101
	004113 C9 10		cmp #$10
	004115 90 0C		bcc $004123
	004117 C9 11		cmp #$11
	004119 90 E6		bcc $004101
	00411B C9 13		cmp #$13
	00411D 90 04		bcc $004123
	00411F C9 15		cmp #$15
	004121 90 DE		bcc $004101
004123	004123 8A		txa
004124	004124 8D B0 03		sta $03B0
	004127 20 54 1A		jsr $1A54{40->A7}
	00412A 20 A2 E0		jsr $E0A2
	00412D AD B0 03		lda $03B0
	004130 C9 01		cmp #$01
	004132 F0 04		beq $004138
	004134 C9 06		cmp #$06
	004136 D0 02		bne $00413a
004138	004138 27 57		rmb 2,$57
00413A	00413A 60		rts

00413B	00413B AA		tax
	00413C A9 3F		lda #$3F'?'
	00413E 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	004141 A9 81		lda #$81
	004143 20 9C FC		jsr $FC9C{meaddh_w}
	004146 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	004149 29 40		and #$40'@'
	00414B D0 03		bne $004150
	00414D 8A		txa
	00414E 18		clc
	00414F 60		rts

004150	004150 8A		txa
	004151 38		sec
	004152 60		rts

;;; --- `AT&V'

004153	004153 C9 01		cmp #$01
	004155 F0 03		beq $00415a
	004157 4C 75 22		jmp $2275

00415A	00415A AD 24 01		lda $0124
	00415D C9 14		cmp #$14
	00415F F0 0A		beq $00416b
	004161 AD 7B 01		lda $017B
	004164 C9 FE		cmp #$FE
	004166 D0 03		bne $00416b
	004168 4C 16 2E		jmp $2E16

00416B	00416B 20 CE 27		jsr $27CE
	00416E A9 53		lda #$53'S'
	004170 85 A4		sta $A4
	004172 A9 23		lda #$23'#'
	004174 20 DA 27		jsr $27DA
	004177 AD 24 01		lda $0124
	00417A 0A		asl a
	00417B AA		tax
	00417C BD 9D 24		lda $249D,x
	00417F 85 A4		sta $A4
	004181 BD 9E 24		lda $249E,x
	004184 20 DA 27		jsr $27DA
	004187 20 CE 27		jsr $27CE
	00418A AD 24 01		lda $0124
	00418D C9 14		cmp #$14
	00418F D0 01		bne $004192
	004191 60		rts

004192	004192 A9 71		lda #$71'q'
	004194 85 A4		sta $A4
	004196 A9 23		lda #$23'#'
	004198 20 DA 27		jsr $27DA
	00419B AD 7B 01		lda $017B
	00419E 20 3A 23		jsr $233A
	0041A1 A9 8F		lda #$8F
	0041A3 85 A4		sta $A4
	0041A5 A9 23		lda #$23'#'
	0041A7 20 DA 27		jsr $27DA
	0041AA AD 7D 01		lda $017D
	0041AD 20 3A 23		jsr $233A
	0041B0 A9 AD		lda #$AD
	0041B2 85 A4		sta $A4
	0041B4 A9 23		lda #$23'#'
	0041B6 20 DA 27		jsr $27DA
	0041B9 AD 7C 01		lda $017C
	0041BC 20 3A 23		jsr $233A
	0041BF A9 CB		lda #$CB
	0041C1 85 A4		sta $A4
	0041C3 A9 23		lda #$23'#'
	0041C5 20 DA 27		jsr $27DA
	0041C8 AD 7E 01		lda $017E
	0041CB 20 3A 23		jsr $233A
	0041CE A9 E9		lda #$E9
	0041D0 85 A4		sta $A4
	0041D2 A9 23		lda #$23'#'
	0041D4 20 DA 27		jsr $27DA
	0041D7 A2 00		ldx #$00
	0041D9 A5 AA		lda $AA
	0041DB C9 46		cmp #$46'F'
	0041DD F0 0E		beq $0041ed
	0041DF A2 02		ldx #$02
	0041E1 C9 50		cmp #$50'P'
	0041E3 F0 08		beq $0041ed
	0041E5 A2 04		ldx #$04
	0041E7 C9 51		cmp #$51'Q'
	0041E9 F0 02		beq $0041ed
	0041EB A2 06		ldx #$06
0041ED	0041ED BD 14 26		lda $2614,x
	0041F0 85 A4		sta $A4
	0041F2 BD 15 26		lda $2615,x
	0041F5 20 DA 27		jsr $27DA
	0041F8 20 CE 27		jsr $27CE
	0041FB A9 07		lda #$07
	0041FD 85 A4		sta $A4
	0041FF A9 24		lda #$24'$'
	004201 20 DA 27		jsr $27DA
	004204 A2 00		ldx #$00
	004206 A5 AA		lda $AA
	004208 C9 46		cmp #$46'F'
	00420A F0 0E		beq $00421a
	00420C A5 AB		lda $AB
	00420E C9 45		cmp #$45'E'
	004210 F0 08		beq $00421a
	004212 A2 02		ldx #$02
	004214 C9 42		cmp #$42'B'
	004216 F0 02		beq $00421a
	004218 A2 04		ldx #$04
00421A	00421A BD 33 26		lda $2633,x
	00421D 85 A4		sta $A4
	00421F BD 34 26		lda $2634,x
	004222 20 DA 27		jsr $27DA
	004225 20 CE 27		jsr $27CE
	004228 A9 25		lda #$25'%'
	00422A 85 A4		sta $A4
	00422C A9 24		lda #$24'$'
	00422E 20 DA 27		jsr $27DA
	004231 AD B4 03		lda $03B4
	004234 85 41		sta $41
	004236 20 B8 E2		jsr $E2B8
	004239 20 CE 27		jsr $27CE
	00423C A9 43		lda #$43'C'
	00423E 85 A4		sta $A4
	004240 A9 24		lda #$24'$'
	004242 20 DA 27		jsr $27DA
	004245 AD B5 03		lda $03B5
	004248 20 77 E1		jsr $E177
	00424B 20 B8 E2		jsr $E2B8
	00424E 20 CE 27		jsr $27CE
	004251 A9 61		lda #$61'a'
	004253 85 A4		sta $A4
	004255 A9 24		lda #$24'$'
	004257 20 DA 27		jsr $27DA
	00425A AD 90 87		lda $8790
	00425D 20 BB E2		jsr $E2BB
	004260 20 CE 27		jsr $27CE
	004263 A9 7F		lda #$7F
	004265 85 A4		sta $A4
	004267 A9 24		lda #$24'$'
	004269 20 DA 27		jsr $27DA
	00426C AD 91 87		lda $8791
	00426F 20 BB E2		jsr $E2BB
	004272 4C CE 27		jmp $27CE

004275	004275 20 EA 69		jsr $69EA
	004278 A9 FF		lda #$FF
	00427A 8D C0 03		sta $03C0
	00427D 20 CE 27		jsr $27CE
	004280 A9 53		lda #$53'S'
	004282 85 A4		sta $A4
	004284 A9 28		lda #$28'('
	004286 20 DA 27		jsr $27DA
	004289 20 CE 27		jsr $27CE
	00428C A9 7B		lda #$7B'{'
	00428E 8D 62 04		sta $0462
	004291 A9 28		lda #$28'('
	004293 8D 63 04		sta $0463
	004296 20 D3 26		jsr $26D3
	004299 A9 63		lda #$63'c'
	00429B 8D 62 04		sta $0462
	00429E A9 28		lda #$28'('
	0042A0 8D 63 04		sta $0463
	0042A3 20 6C 26		jsr $266C
	0042A6 DF 68 01		bbs 5,$68,$0042aa
	0042A9 60		rts

0042AA	0042AA 20 CE 27		jsr $27CE
	0042AD A9 00		lda #$00
	0042AF 8D C0 03		sta $03C0
	0042B2 20 1E 28		jsr $281E
	0042B5 A9 C9		lda #$C9
	0042B7 85 A4		sta $A4
	0042B9 A9 28		lda #$28'('
	0042BB 20 DA 27		jsr $27DA
	0042BE 20 45 26		jsr $2645
	0042C1 20 CE 27		jsr $27CE
	0042C4 A9 01		lda #$01
	0042C6 8D C0 03		sta $03C0
	0042C9 20 1E 28		jsr $281E
	0042CC A9 DB		lda #$DB
	0042CE 85 A4		sta $A4
	0042D0 A9 28		lda #$28'('
	0042D2 20 DA 27		jsr $27DA
	0042D5 20 45 26		jsr $2645
	0042D8 20 CE 27		jsr $27CE
	0042DB A9 06		lda #$06
	0042DD 85 A4		sta $A4
	0042DF A9 29		lda #$29')'
	0042E1 20 DA 27		jsr $27DA
	0042E4 A0 00		ldy #$00
	0042E6 20 EC 22		jsr $22EC
	0042E9 4C CE 27		jmp $27CE

0042EC	0042EC 84 47		sty $47
0042EE	0042EE 20 CE 27		jsr $27CE
0042F1	0042F1 98		tya
	0042F2 48		pha
	0042F3 09 30		ora #$30'0'
	0042F5 20 05 FE		jsr $FE05{out}
	0042F8 A9 3D		lda #$3D'='
	0042FA 20 05 FE		jsr $FE05{out}
	0042FD B2 C9 42		sti #$C9,$42
	004300 B2 03 43		sti #$03,$43
	004303 98		tya
	004304 48		pha
	004305 20 B5 10		jsr $10B5
	004308 A9 C9		lda #$C9
	00430A 85 A4		sta $A4
	00430C A9 03		lda #$03
	00430E 20 DA 27		jsr $27DA
	004311 7A		ply
	004312 C8		iny
	004313 A5 47		lda $47
	004315 F0 05		beq $00431c
	004317 68		pla
	004318 C0 08		cpy #$08
	00431A 80 03		bra $00431f

00431C	00431C 68		pla
	00431D C0 04		cpy #$04
00431F	00431F B0 18		bcs $004339
	004321 C0 02		cpy #$02
	004323 F0 C9		beq $0042ee
	004325 C0 04		cpy #$04
	004327 F0 C5		beq $0042ee
	004329 C0 06		cpy #$06
	00432B F0 C1		beq $0042ee
	00432D A9 20		lda #$20' '
00432F	00432F 20 05 FE		jsr $FE05{out}
	004332 E8		inx
	004333 E0 26		cpx #$26'&'
	004335 90 F8		bcc $00432f
	004337 80 B8		bra $0042f1

004339	004339 60		rts

00433A	00433A 0A		asl a
	00433B AA		tax
	00433C BD 90 25		lda $2590,x
	00433F 85 A4		sta $A4
	004341 BD 91 25		lda $2591,x
	004344 20 DA 27		jsr $27DA
	004347 A9 0F		lda #$0F
	004349 85 A4		sta $A4
	00434B A9 26		lda #$26'&'
	00434D 20 DA 27		jsr $27DA
	004350 4C CE 27		jmp $27CE

004353	004353			.asciz /TERMINATION REASON.......... /
	004371			.asciz /LAST TX data rate........... /
	00438F			.asciz /HIGHEST RX data rate........ /
	0043AD			.asciz /LAST RX data rate........... /
	0043CB			.asciz /HIGHEST RX data rate........ /
	0043E9			.asciz /Error correction PROTOCOL... /
	004407			.asciz /Data COMPRESSION............ /
	004425			.asciz /Line QUALITY................ /
	004443			.asciz /Receive LEVEL............... /
	004461			.asciz /Highest SPX Receive State... /
	00447F			.asciz /Highest SPX Transmit State.. /

	00449D C7 24		smb 4,$24		;Cx9 SP RAM 4
	00449F C7 24		smb 4,$24		;Cx9 SP RAM 4
	0044A1 C7 24		smb 4,$24		;Cx9 SP RAM 4
	0044A3 C7 24		smb 4,$24		;Cx9 SP RAM 4
	0044A5 D5 24		cmp $24,x		;Cx9 SP RAM 4
	0044A7 E2 24 E2 24 F6	bar $E224,$24,$0044a2
	0044AC 24 F6		bit $F6
	0044AE 24 F6		bit $F6
	0044B0 24 F6		bit $F6
	0044B2 24 F6		bit $F6
	0044B4 24 0C		bit $0C			;Cx9 PTG B Mode (R/W)
	0044B6 25 1C		and $1C			;Cx9	bank switch register 4 (R/W)
	0044B8 25 F6		and $F6
	0044BA 24 36		bit $36			;Cx9 PAUL, PAB-PALL
	0044BC 25 3F		and $3F			;Cx9 SIN (TxD) divider latch (R)
	0044BE 25 4E		and $4E
	0044C0 25 61		and $61
	0044C2 25 75		and $75
0044C4	0044C4 25 86		and $86
	0044C6 25

	0044C7			.asciz /LOCAL REQUEST/
	0044D5			.asciz /CARRIER LOSS/
	0044E2			.asciz /NO ERROR CORRECTION/
	0044F6			.asciz /INCOMPATIBLE PROTOCOL/
	00450C			.asciz /LINK DISCONNECT/
	00451C			.asciz /EXCESSIVE RETRANSMISSIONS/
	004536			.asciz /DTR LOSS/
	00453F			.asciz /GSTN CLEARDOWN/
	00454E			.asciz /INACTIVITY TIMEOUT/
	004561			.asciz /INCOMPATIBLE SPEEDS/
	004575			.asciz /BREAK DISCONNECT/
	004586			.asciz /KEY ABORT/

	004590 B2 25 B6		sti #$25'%',$B6
	004593 25 BA		and $BA
	004595 25 BF		and $BF
	004597 25 C4		and $C4
	004599 25 C9		and $C9
00459B	00459B 25 CE		and $CE
	00459D 25 D3		and $D3
	00459F 25 D9		and $D9
	0045A1 25 DF		and $DF
	0045A3 25 E5		and $E5
	0045A5 25 EB		and $EB
	0045A7 25 F1		and $F1
	0045A9 25 F7		and $F7
	0045AB 25 FD		and $FD
	0045AD 25 03		and $03			;Cx9	port A direction (R/O)
	0045AF 26 09		rol $09			;Cx9 Low Power Register (LPR)
	0045B1 26
	0045B2			.asciz /300/
	0045B6			.asciz /600/
	0045BA			.asciz /1200/
	0045BF			.asciz /2400/
	0045C4			.asciz /4800/
	0045C9			.asciz /7200/
	0045CE			.asciz /9600/
	0045D3			.asciz /12000/
	0045D9			.asciz /14400/
	0045DF			.asciz /16800/
	0045E5			.asciz /19200/
	0045EB			.asciz /21600/
	0045F1			.asciz /24000/
	0045F7			.asciz /26400/
	0045FD			.asciz /28800/
	004603			.asciz /31200/
	004609			.asciz /33600/

	00460F			.asciz / BPS/

004614	004614 1C		???			;undocumented opcode
	004615 26 21		rol $21			;Cx9 SP RAM 1
	004617 26 25		rol $25			;Cx9 SP RAM 5
	004619 26 2E		rol $2E			;Cx9 SP RAM E
	00461B 26

	00461C			.asciz /NONE/
	004621			.asciz /MNP/
	004625			.asciz /CELLULAR/
	00462E			.asciz /LAPM/

	004633 1C		eor $1C00
	004634 26 39		rol $39			;Cx9	serial interrupt enable
	004636 26 3E		rol $3E			;Cx9 SOUT (RxD) divider latch (R)
004638	004638 26

	004639			.asciz /MNP5/
	00463E			.asciz /V42bis/

	004645 20 CE 27		jsr $27CE
	004648 A9 7B		lda #$7B'{'
	00464A 8D 62 04		sta $0462
	00464D A9 28		lda #$28'('
	00464F 8D 63 04		sta $0463
	004652 A9 C9		lda #$C9
	004654 8D 64 04		sta $0464
	004657 A9 03		lda #$03
	004659 8D 65 04		sta $0465
	00465C 20 D3 26		jsr $26D3
	00465F A9 ED		lda #$ED
	004661 8D 62 04		sta $0462
	004664 A9 28		lda #$28'('
	004666 8D 63 04		sta $0463
	004669 4C 6C 26		jmp $266C

00466C	00466C A0 0A		ldy #$0A
	00466E A2 FF		ldx #$FF
004670	004670 E8		inx
	004671 AD 62 04		lda $0462
	004674 85 A4		sta $A4
	004676 AD 63 04		lda $0463
	004679 85 A5		sta $A5
	00467B B1 A4		lda ($A4),x
	00467D C9 FF		cmp #$FF
	00467F D0 08		bne $004689
	004681 C0 0A		cpy #$0A
	004683 F0 03		beq $004688
	004685 20 CE 27		jsr $27CE
004688	004688 60		rts

004689	004689 C9 80		cmp #$80
	00468B B0 E3		bcs $004670
	00468D DA		phx
	00468E 48		pha
	00468F A9 53		lda #$53'S'
	004691 20 05 FE		jsr $FE05{out}
	004694 68		pla
	004695 29 7F		and #$7F
	004697 48		pha
	004698 20 FC 27		jsr $27FC
	00469B A9 3A		lda #$3A':'
	00469D 20 05 FE		jsr $FE05{out}
	0046A0 AD C0 03		lda $03C0
	0046A3 30 12		bmi $0046b7
	0046A5 68		pla
	0046A6 AD 64 04		lda $0464
	0046A9 85 A4		sta $A4
	0046AB AD 65 04		lda $0465
	0046AE 85 A5		sta $A5
	0046B0 68		pla
	0046B1 48		pha
	0046B2 AA		tax
	0046B3 B1 A4		lda ($A4),x
	0046B5 80 06		bra $0046bd

0046B7	0046B7 68		pla
	0046B8 20 7B 10		jsr $107B
	0046BB A1 44		lda ($44)
0046BD	0046BD 20 EE 27		jsr $27EE
	0046C0 88		dey
	0046C1 D0 07		bne $0046ca
	0046C3 A0 0A		ldy #$0A
	0046C5 20 CE 27		jsr $27CE
	0046C8 80 05		bra $0046cf

0046CA	0046CA A9 20		lda #$20' '
	0046CC 20 05 FE		jsr $FE05{out}
0046CF	0046CF FA		plx
	0046D0 4C 70 26		jmp $2670

0046D3	0046D3 A2 FF		ldx #$FF
0046D5	0046D5 AD 62 04		lda $0462
	0046D8 85 A4		sta $A4
	0046DA AD 63 04		lda $0463
	0046DD 85 A5		sta $A5
	0046DF A0 00		ldy #$00
	0046E1 8C 69 04		sty $0469
0046E4	0046E4 E8		inx
	0046E5 B1 A4		lda ($A4),x
	0046E7 30 24		bmi $00470d
	0046E9 99 68		sta $68,y
	0046EB 04		???			;undocumented opcode
	0046EC C0 01		cpy #$01
	0046EE F0 08		beq $0046f8
	0046F0 C9 50		cmp #$50'P'
	0046F2 F0 F0		beq $0046e4
	0046F4 C9 54		cmp #$54'T'
	0046F6 F0 EC		beq $0046e4
0046F8	0046F8 C8		iny
	0046F9 20 05 FE		jsr $FE05{out}
	0046FC AD 69 04		lda $0469
	0046FF C9 59		cmp #$59'Y'
	004701 D0 E1		bne $0046e4
	004703 20 8B 11		jsr $118B
	004706 89 30		add #$30'0'
	004708 20 05 FE		jsr $FE05{out}
	00470B 80 12		bra $00471f

00470D	00470D 20 22 27		jsr $2722
	004710 AD 69 04		lda $0469
	004713 C9 58		cmp #$58'X'
	004715 D0 BE		bne $0046d5
	004717 AD C0 03		lda $03C0
	00471A 10 03		bpl $00471f
	00471C DF 68 B6		bbs 5,$68,$0046d5
00471F	00471F 4C CE 27		jmp $27CE

004722	004722 48		pha
	004723 29 03		and #$03
	004725 8D 67 04		sta $0467
	004728 68		pla
	004729 4A		lsr a
	00472A 4A		lsr a
	00472B 29 07		and #$07
	00472D 8D 66 04		sta $0466
	004730 E8		inx
	004731 B1 A4		lda ($A4),x
	004733 DA		phx
	004734 AA		tax
	004735 AD C0 03		lda $03C0
	004738 30 2A		bmi $004764
	00473A AD 64 04		lda $0464
	00473D 85 A4		sta $A4
	00473F AD 65 04		lda $0465
	004742 85 A5		sta $A5
	004744 86 44		stx $44
	004746 A2 FF		ldx #$FF
004748	004748 E8		inx
	004749 BD ED 28		lda $28ED,x
	00474C C9 FF		cmp #$FF
	00474E F0 0A		beq $00475a
	004750 29 7F		and #$7F
	004752 C5 44		cmp $44
	004754 D0 F2		bne $004748
	004756 B1 A4		lda ($A4),x
	004758 80 10		bra $00476a

00475A	00475A 68		pla
	00475B 68		pla
	00475C 68		pla
	00475D 68		pla
	00475E 68		pla
	00475F 68		pla
	004760 68		pla
	004761 4C 16 2E		jmp $2E16

004764	004764 8A		txa
	004765 20 7B 10		jsr $107B
	004768 A1 44		lda ($44)
00476A	00476A AE 66 04		ldx $0466
	00476D F0 09		beq $004778
	00476F BC 48 28		ldy $2848,x
	004772 02		mpy
	004773 84 A4		sty $A4
	004775 26 A4		rol $A4
	004777 2A		rol a
004778	004778 AC 68 04		ldy $0468
	00477B C0 50		cpy #$50'P'
	00477D D0 06		bne $004785
	00477F 29 01		and #$01
	004781 D0 0C		bne $00478f
	004783 FA		plx
	004784 60		rts

004785	004785 C0 54		cpy #$54'T'
	004787 D0 09		bne $004792
	004789 29 01		and #$01
	00478B F0 02		beq $00478f
	00478D FA		plx
	00478E 60		rts

00478F	00478F 98		tya
	004790 80 33		bra $0047c5

004792	004792 C0 58		cpy #$58'X'
	004794 D0 08		bne $00479e
	004796 29 07		and #$07
	004798 F0 29		beq $0047c3
	00479A 89 FD		add #$FD
	00479C 80 25		bra $0047c3

00479E	00479E AC 69 04		ldy $0469
	0047A1 C0 51		cpy #$51'Q'
	0047A3 D0 0B		bne $0047b0
	0047A5 85 40		sta $40
	0047A7 29 03		and #$03
	0047A9 3F 40 17		bbr 3,$40,$0047c3
	0047AC 09 04		ora #$04
	0047AE 80 13		bra $0047c3

0047B0	0047B0 C0 54		cpy #$54'T'
	0047B2 D0 09		bne $0047bd
	0047B4 29 01		and #$01
	0047B6 49 FF		eor #$FF
	0047B8 18		clc
	0047B9 69 06		adc #$06
	0047BB 80 06		bra $0047c3

0047BD	0047BD AE 67 04		ldx $0467
	0047C0 3D 4F 28		and $284F,x
0047C3	0047C3 89 30		add #$30'0'
0047C5	0047C5 20 05 FE		jsr $FE05{out}
	0047C8 A9 20		lda #$20' '
	0047CA FA		plx
	0047CB 4C 05 FE		jmp $FE05{out}

0047CE	0047CE AD 09 01		lda $0109
	0047D1 20 05 FE		jsr $FE05{out}
	0047D4 AD 0A 01		lda $010A
	0047D7 4C 05 FE		jmp $FE05{out}

0047DA	0047DA 85 A5		sta $A5
0047DC	0047DC A1 A4		lda ($A4)
	0047DE C9 20		cmp #$20' '
	0047E0 B0 01		bcs $0047e3
	0047E2 60		rts

0047E3	0047E3 20 05 FE		jsr $FE05{out}
	0047E6 E6 A4		inc $A4
	0047E8 D0 F2		bne $0047dc
	0047EA E6 A5		inc $A5
	0047EC 80 EE		bra $0047dc

0047EE	0047EE A2 00		ldx #$00
0047F0	0047F0 89 9C		add #$9C
	0047F2 90 03		bcc $0047f7
	0047F4 E8		inx
	0047F5 80 F9		bra $0047f0

0047F7	0047F7 89 64		add #$64'd'
	0047F9 20 15 28		jsr $2815
	0047FC B2 0A A4		sti #$0A,$A4
	0047FF A2 00		ldx #$00
004801	004801 38		sec
	004802 E5 A4		sbc $A4
	004804 90 03		bcc $004809
	004806 E8		inx
	004807 80 F8		bra $004801

004809	004809 65 A4		adc $A4
	00480B 20 15 28		jsr $2815
	00480E AA		tax
	00480F BD 39 28		lda $2839,x
	004812 4C 05 FE		jmp $FE05{out}

004815	004815 48		pha
004816	004816 BD 39 28		lda $2839,x
	004819 20 05 FE		jsr $FE05{out}
	00481C 68		pla
	00481D 60		rts

00481E	00481E A2 FF		ldx #$FF
004820	004820 E8		inx
004821	004821 BD ED 28		lda $28ED,x
	004824 C9 FF		cmp #$FF
	004826 D0 01		bne $004829
	004828 60		rts

004829	004829 DA		phx
	00482A 29 7F		and #$7F
	00482C A8		tay
	00482D AD C0 03		lda $03C0
	004830 20 A4 0F		jsr $0FA4
	004833 FA		plx
	004834 9D C9		sta $C9,x
	004836 03		tip
	004837 80 E7		bra $004820

004839	004839			.ascii /0123456789ABCDEF@/

	00484A 20 10 08		jsr $0810
	00484D 04		???			;undocumented opcode
	00484E 02		mpy
	00484F 01 01		ora ($01)		;Cx9	port B (output only)
	004851 03		tip
	004852 07

	004853			.asciz /ACTIVE PROFILE:/

	004863 00		brk
	004864 01 02		ora ($02)		;Cx9	port C (bidirectional)
	004866 03		tip
	004867 04		???			;undocumented opcode
	004868 05 06		ora $06			;Cx9	port C direction (W)
	00486A 07 08		rmb 0,$08		;Cx9	mask option & port E dir'n
00486C	00486C 09 0A		ora #$0A
	00486E 0B		jsb 0			;indirect $FFE0
	00486F 0C 12 19		jpi ($1912)
	004872 1A		neg a
	004873 24 25		bit $25			;Cx9 SP RAM 5
	004875 26 2C		rol $2C			;Cx9 SP RAM C
	004877 2E 30 5F		rol $5F30
	00487A FF 42 99		bbs 7,$42,$004816
	00487D 1B		jsb 1			;indirect $FFE2
	00487E 45 85		eor $85
	004880 0E 4C 82		asl $824C
	004883 16 4D		asl $4D,x
	004885 8A		txa
	004886 16 4E		asl $4E,x
	004888 85 1F		sta $1F			;Cx9	bank switch register 7 (R/W)
	00488A 50 95		bvc $004821
	00488C 0E 51 89		asl $8951
	00488F 0E 54 95		asl $9554
	004892 0E 56 8D		asl $8D56
	004895 0E 57 8A		asl $8A57
	004898 1F 58 93		bbr 1,$58,$00482e
	00489B 16 59		asl $59,x
	00489D 9D 15		sta $15,x		;Cx9 TBLC, TBUC-TBS, TBLL
	00489F 26 43		rol $43
	0048A1 95 15		sta $15,x		;Cx9 TBLC, TBUC-TBS, TBLL
	0048A3 26 44		rol $44
	0048A5 8E 15 26		stx $2615
0048A8	0048A8 47 9A		rmb 4,$9A
	0048AA 17 26		rmb 1,$26		;Cx9 SP RAM 6
	0048AC 4A		lsr a
	0048AD 81 15		sta ($15)		;Cx9 TBLC, TBUC-TBS, TBLL
	0048AF 26 4B		rol $4B
	0048B1 83		???			;undocumented opcode
	0048B2 27 26		rmb 2,$26		;Cx9 SP RAM 6
	0048B4 51 82		eor ($82),x
	0048B6 1B		jsb 1			;indirect $FFE2
	0048B7 26 52		rol $52
	0048B9 89 15		add #$15
	0048BB 26 53		rol $53
	0048BD 99 15		sta $15,y		;Cx9 TBLC, TBUC-TBS, TBLL
	0048BF 26 54		rol $54
	0048C1 81 17		sta ($17)		;Cx9 TBS, TBUL, Clear, Download
	0048C3 26 58		rol $58
	0048C5 92		???			;undocumented opcode
	0048C6 1B		jsb 1			;indirect $FFE2
	0048C7 26 59		rol $59

	0048C9			.asciz /STORED PROFILE 0:/
	0048DB			.asciz /STORED PROFILE 1:/

	0048ED 00		brk
	0048EE 02		mpy
	0048EF 06 07		asl $07			;Cx9	port E (R/W)
	0048F1 08		php
	0048F2 09 0A		ora #$0A
	0048F4 0B		jsb 0			;indirect $FFE0
	0048F5 0C 8E 12		jpi ($128E)
	0048F8 95 96		sta $96,x
	0048FA 97 9B		smb 1,$9B
	0048FC 9C		???			;undocumented opcode
	0048FD 9F 24 25		bbs 1,$24,$004925	;Cx9 SP RAM 4
	004900 A7 28		smb 2,$28		;Cx9 SP RAM 8
	004902 29 2E		and #$2E'.'
	004904 5F FF

	004906			.asciz /TELEPHONE NUMBERS:/

;;; --- `AT&W'

004919	004919 4C 0C 0F		jmp $0F0C

;;; --- `AT&Y'

00491C	00491C 4C 99 11		jmp $1199

;;; --- `AT&Z'

00491F	00491F 20 5D 1A		jsr $1A5D{A7->40}
	004922 20 AC 2E		jsr $2EAC
004925	004925 48		pha
	004926 A1 40		lda ($40)
	004928 C9 3D		cmp #$3D'='
	00492A D0 0B		bne $004937
	00492C 20 45 1F		jsr $1F45
	00492F 68		pla
004930	004930 C9 04		cmp #$04
	004932 90 09		bcc $00493d
004934	004934 4C 16 2E		jmp $2E16

004937	004937 68		pla
	004938 20 5D 1A		jsr $1A5D{A7->40}
	00493B A9 00		lda #$00
00493D	00493D A8		tay
	00493E A5 40		lda $40
	004940 85 44		sta $44
	004942 A5 41		lda $41
	004944 85 45		sta $45
	004946 20 51 29		jsr $2951
	004949 B0 E9		bcs $004934
	00494B 20 D7 10		jsr $10D7
	00494E 4C 6B 16		jmp $166B

004951	004951 A2 00		ldx #$00
004953	004953 B1 44		lda ($44),x
	004955 C9 0D		cmp #$0D
	004957 F0 07		beq $004960
	004959 E0 22		cpx #$22'"'
00495B	00495B F0 04		beq $004961
	00495D E8		inx
	00495E 80 F3		bra $004953

004960	004960 18		clc
004961	004961 60		rts

;;; --- `AT\'

004962	41 42 47 4A 4B
	4C 4E 56

00496A	3F 54 06 03	A	?
	FF 8A 29 09	B
	F7 55 03 01	G	?
	DF 55 05 01	J	?
	C7 54 03 05	K	?
	EF 55 04 01	L	?
	FF D0 29 05	N
	FE 50 00 01	V	?

;;; --- `AT\B'

00498A	00498A EF 57 39		bbs 6,$57,???
	00498D AA		tax
	00498E A5 69		lda $69
	004990 29 07		and #$07
	004992 D0 06		bne $00499a
	004994 1F 61 32		bbr 1,$61,$0049c9
	004997 8A		txa
	004998 D0 03		bne $00499d
00499A	00499A 4C 16 2E		jmp $2E16

00499D	00499D 0A		asl a
	00499E 85 40		sta $40
	0049A0 0A		asl a
	0049A1 0A		asl a
	0049A2 18		clc
	0049A3 65 40		adc $40
	0049A5 8D 93 03		sta $0393
	0049A8 A5 54		lda $54
	0049AA 29 38		and #$38'8'
	0049AC 4A		lsr a
	0049AD 4A		lsr a
0049AE	0049AE 4A		lsr a
	0049AF F0 12		beq $0049c3
	0049B1 C9 01		cmp #$01
	0049B3 F0 0E		beq $0049c3
	0049B5 C9 02		cmp #$02
	0049B7 90 0A		bcc $0049c3
	0049B9 C9 04		cmp #$04
	0049BB 90 03		bcc $0049c0
	0049BD 4C CD E2		jmp $E2CD

0049C0	0049C0 4C D0 E2		jmp $E2D0

0049C3	0049C3 4C D3 E2		jmp $E2D3

0049C6	0049C6 F7 62		smb 7,$62
	0049C8 60		rts

0049C9	0049C9 A9 03		lda #$03
	0049CB 85 A9		sta $A9
	0049CD 4C 6B 16		jmp $166B

;;; --- `AT\N'

0049D0	0049D0 C9 02		cmp #$02
	0049D2 90 41		bcc $004a15
	0049D4 AA		tax
	0049D5 A9 09		lda #$09
	0049D7 48		pha
	0049D8 A9 F4		lda #$F4
	0049DA 25 4E		and $4E
	0049DC 85 4E		sta $4E
	0049DE 68		pla
	0049DF 05 4E		ora $4E
	0049E1 85 4E		sta $4E
	0049E3 8A		txa
	0049E4 C9 02		cmp #$02
	0049E6 D0 06		bne $0049ee
	0049E8 A9 04		lda #$04
	0049EA 85 51		sta $51
	0049EC 80 15		bra $004a03

0049EE	0049EE C9 03		cmp #$03
	0049F0 D0 06		bne $0049f8
	0049F2 A9 07		lda #$07
	0049F4 85 51		sta $51
	0049F6 80 0B		bra $004a03

0049F8	0049F8 C9 04		cmp #$04
	0049FA D0 0E		bne $004a0a
	0049FC A9 00		lda #$00
	0049FE 8D 22 01		sta $0122
	004A01 80 28		bra $004a2b

004A03	004A03 A9 07		lda #$07
	004A05 8D 22 01		sta $0122
	004A08 80 21		bra $004a2b

004A0A	004A0A A9 80		lda #$80
	004A0C 8D 22 01		sta $0122
	004A0F A9 04		lda #$04
	004A11 85 51		sta $51
	004A13 80 16		bra $004a2b

004A15	004A15 C9 00		cmp #$00
	004A17 D0 04		bne $004a1d
	004A19 A9 0A		lda #$0A
	004A1B 80 02		bra $004a1f

004A1D	004A1D A9 00		lda #$00
004A1F	004A1F 48		pha
	004A20 A9 F4		lda #$F4
	004A22 25 4E		and $4E
	004A24 85 4E		sta $4E
	004A26 68		pla
	004A27 05 4E		ora $4E
	004A29 85 4E		sta $4E
004A2B	004A2B 60		rts

;;; --- `AT"?'

004A2C	004A2C 5F 68 1A		bbr 5,$68,$004a49
	004A2F 20 14 FE		jsr $FE14{out_crlf}
	004A32 A2 00		ldx #$00
	004A34 B2 F3 40		sti #$F3,$40
	004A37 B2 00 41		sti #$00,$41
004A3A	004A3A 20 8E 0A		jsr $0A8E
	004A3D 20 05 FE		jsr $FE05{out}
	004A40 E8		inx
	004A41 E0 08		cpx #$08
	004A43 90 F5		bcc $004a3a
	004A45 20 14 FE		jsr $FE14{out_crlf}
	004A48 60		rts

004A49	004A49 4C 16 2E		jmp $2E16

;;; --- `AT%'

004A4C	43 45 4C 51 54
	25 21 37 38

004A54	FF 79 2A 03	C
	FF 96 2A 03	E
	FF B3 2A 00	L
	FF C9 2A 01	Q
	FF 61 2B 00	T
	FF BE 2B 03	%
	FF D5 2B 00	!
	FF 13 2C 00	7
	FF 83 2C 00	8

;;; --- `AT%C'

004A79	004A79 A8		tay
	004A7A 48		pha
	004A7B A9 FC		lda #$FC
	004A7D 25 55		and $55
	004A7F 85 55		sta $55
	004A81 68		pla
004A82	004A82 05 55		ora $55
	004A84 85 55		sta $55
004A86	004A86 A9 88		lda #$88
	004A88 8D 21 01		sta $0121
	004A8B 98		tya
	004A8C C9 02		cmp #$02
004A8E	004A8E 90 05		bcc $004a95
	004A90 A9 8A		lda #$8A
	004A92 8D 21 01		sta $0121
004A95	004A95 60		rts

;;; --- `AT%E'

004A96	004A96 C9 02		cmp #$02
	004A98 D0 04		bne $004a9e
	004A9A A9 10		lda #$10
	004A9C 80 06		bra $004aa4

004A9E	004A9E C9 03		cmp #$03
004AA0	004AA0 D0 02		bne $004aa4
	004AA2 A9 11		lda #$11
004AA4	004AA4 0A		asl a
	004AA5 0A		asl a
	004AA6 48		pha
	004AA7 A9 BB		lda #$BB
	004AA9 25 55		and $55
	004AAB 85 55		sta $55
	004AAD 68		pla
	004AAE 05 55		ora $55
	004AB0 85 55		sta $55
	004AB2 60		rts

;;; --- `AT%L'

004AB3	004AB3 1F 61 10		bbr 1,$61,$004ac6
	004AB6 20 14 FE		jsr $FE14{out_crlf}
	004AB9 A9 00		lda #$00
	004ABB 85 43		sta $43
	004ABD 20 65 E1		jsr $E165
	004AC0 20 B8 E2		jsr $E2B8
	004AC3 4C 14 FE		jmp $FE14{out_crlf}

004AC6	004AC6 4C 16 2E		jmp $2E16

;;; --- `AT%Q'

004AC9	004AC9 1F 61 60		bbr 1,$61,$004b2c
	004ACC D0 17		bne $004ae5
	004ACE 20 52 F5		jsr $F552
	004AD1 B0 59		bcs $004b2c
	004AD3 20 14 FE		jsr $FE14{out_crlf}
	004AD6 A9 00		lda #$00
	004AD8 85 43		sta $43
	004ADA 20 01 FC		jsr $FC01
	004ADD 85 41		sta $41
	004ADF 20 B8 E2		jsr $E2B8
	004AE2 4C 14 FE		jmp $FE14{out_crlf}

004AE5	004AE5 20 76 F5		jsr $F576
	004AE8 90 42		bcc $004b2c
	004AEA 20 14 FE		jsr $FE14{out_crlf}
	004AED 20 2F 2B		jsr $2B2F
	004AF0 85 41		sta $41
	004AF2 20 B8 E2		jsr $E2B8
	004AF5 A9 20		lda #$20' '
	004AF7 20 05 FE		jsr $FE05{out}
	004AFA 20 38 2B		jsr $2B38
	004AFD 85 41		sta $41
	004AFF 20 B8 E2		jsr $E2B8
	004B02 A9 20		lda #$20' '
	004B04 20 05 FE		jsr $FE05{out}
	004B07 20 41 2B		jsr $2B41
	004B0A 85 41		sta $41
	004B0C 20 B8 E2		jsr $E2B8
	004B0F A9 20		lda #$20' '
	004B11 20 05 FE		jsr $FE05{out}
	004B14 20 4A 2B		jsr $2B4A
	004B17 85 41		sta $41
	004B19 20 B8 E2		jsr $E2B8
	004B1C A9 20		lda #$20' '
	004B1E 20 05 FE		jsr $FE05{out}
	004B21 20 53 2B		jsr $2B53
	004B24 85 41		sta $41
	004B26 20 B8 E2		jsr $E2B8
	004B29 4C 14 FE		jmp $FE14{out_crlf}

004B2C	004B2C 4C 16 2E		jmp $2E16

004B2F	004B2F A9 E3		lda #$E3
	004B31 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	004B34 A9 82		lda #$82
	004B36 80 22		bra $004b5a

004B38	004B38 A9 1E		lda #$1E
	004B3A 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	004B3D A9 81		lda #$81
	004B3F 80 19		bra $004b5a

004B41	004B41 A9 1D		lda #$1D
	004B43 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	004B46 A9 81		lda #$81
	004B48 80 10		bra $004b5a

004B4A	004B4A A9 E2		lda #$E2
	004B4C 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	004B4F A9 80		lda #$80
	004B51 80 07		bra $004b5a

004B53	004B53 A9 44		lda #$44'D'
	004B55 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	004B58 A9 8B		lda #$8B
004B5A	004B5A 20 9C FC		jsr $FC9C{meaddh_w}
	004B5D AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	004B60 60		rts

;;; --- `AT%T'

004B61	004B61 1F 61 03		bbr 1,$61,$004b67
004B64	004B64 4C 16 2E		jmp $2E16

004B67	004B67 EF 7C FA		bbs 6,$7C,$004b64
	004B6A A1 A7		lda ($A7)
	004B6C E6 A7		inc $A7
	004B6E D0 02		bne $004b72
	004B70 E6 A8		inc $A8
004B72	004B72 C9 43		cmp #$43'C'
	004B74 D0 0F		bne $004b85
	004B76 A1 A7		lda ($A7)
	004B78 C9 42		cmp #$42'B'
	004B7A D0 E8		bne $004b64
	004B7C E6 A7		inc $A7
	004B7E D0 02		bne $004b82
	004B80 E6 A8		inc $A8
004B82	004B82 4C 8D 6F		jmp $6F8D

004B85	004B85 C9 4C		cmp #$4C'L'
	004B87 D0 25		bne $004bae
	004B89 20 08 17		jsr $1708
	004B8C 20 92 F5		jsr $F592
	004B8F AD D0 02		lda $02D0
	004B92 85 40		sta $40
	004B94 AD D1 02		lda $02D1
	004B97 85 41		sta $41
	004B99 AD D2 02		lda $02D2
	004B9C 85 42		sta $42
	004B9E AD D3 02		lda $02D3
	004BA1 85 43		sta $43
	004BA3 20 BC E1		jsr $E1BC
	004BA6 C7 61		smb 4,$61
	004BA8 AD 42 03		lda $0342
	004BAB 4C DE E3		jmp $E3DE

004BAE	004BAE C9 48		cmp #$48'H'
	004BB0 D0 B2		bne $004b64
	004BB2 20 08 17		jsr $1708
	004BB5 C9 01		cmp #$01
	004BB7 D0 AB		bne $004b64
	004BB9 87 7F		smb 0,$7F
	004BBB 4C 15 19		jmp $1915

;;; --- `AT%%'

004BBE	004BBE D0 02		bne $004bc2
	004BC0 A9 03		lda #$03
004BC2	004BC2 0A		asl a
	004BC3 0A		asl a
	004BC4 0A		asl a
	004BC5 0A		asl a
	004BC6 0A		asl a
	004BC7 0A		asl a
	004BC8 48		pha
	004BC9 A9 3F		lda #$3F'?'
	004BCB 25 50		and $50
	004BCD 85 50		sta $50
	004BCF 68		pla
	004BD0 05 50		ora $50
	004BD2 85 50		sta $50
	004BD4 60		rts

;;; --- `AT%!'

004BD5	004BD5 A2 00		ldx #$00
	004BD7 B2 06 43		sti #$06,$43
	004BDA 20 FE 2B		jsr $2BFE
	004BDD 85 42		sta $42
	004BDF B1 A7		lda ($A7),x
	004BE1 C9 0D		cmp #$0D
	004BE3 F0 0E		beq $004bf3
	004BE5 20 FE 2B		jsr $2BFE
	004BE8 21 42		and ($42)
	004BEA 85 41		sta $41
	004BEC 20 FE 2B		jsr $2BFE
	004BEF 05 41		ora $41
	004BF1 81 42		sta ($42)
004BF3	004BF3 20 14 FE		jsr $FE14{out_crlf}
	004BF6 A1 42		lda ($42)
	004BF8 20 BB E2		jsr $E2BB
	004BFB 4C 6B 16		jmp $166B

004BFE	004BFE B1 A7		lda ($A7),x
	004C00 20 C7 E2		jsr $E2C7
	004C03 0A		asl a
	004C04 0A		asl a
	004C05 0A		asl a
	004C06 0A		asl a
	004C07 E8		inx
	004C08 85 40		sta $40
	004C0A B1 A7		lda ($A7),x
	004C0C 20 C7 E2		jsr $E2C7
	004C0F 05 40		ora $40
	004C11 E8		inx
	004C12 60		rts

;;; --- `AT%7'

004C13	004C13 5F 68 38		bbr 5,$68,$004c4e
	004C16 20 5D 1A		jsr $1A5D{A7->40}
	004C19 A2 00		ldx #$00
	004C1B B2 08 42		sti #$08,$42
	004C1E 20 66 2C		jsr $2C66
	004C21 B0 2B		bcs $004c4e
	004C23 20 51 2C		jsr $2C51
	004C26 B0 26		bcs $004c4e
	004C28 B2 F3 42		sti #$F3,$42
	004C2B B2 00 43		sti #$00,$43
	004C2E A2 00		ldx #$00
004C30	004C30 B1 40		lda ($40),x
	004C32 20 B3 0A		jsr $0AB3
	004C35 E8		inx
	004C36 E0 08		cpx #$08
	004C38 90 F6		bcc $004c30
	004C3A 18		clc
	004C3B A5 40		lda $40
	004C3D 69 10		adc #$10
	004C3F 85 40		sta $40
	004C41 A5 41		lda $41
	004C43 69 00		adc #$00
	004C45 85 41		sta $41
	004C47 20 54 1A		jsr $1A54{40->A7}
	004C4A 20 D2 2C		jsr $2CD2
	004C4D 60		rts

004C4E	004C4E 4C 16 2E		jmp $2E16

004C51	004C51 A2 00		ldx #$00
004C53	004C53 DA		phx
	004C54 8A		txa
	004C55 64 42		add $42
	004C57 AA		tax
	004C58 B1 40		lda ($40),x
	004C5A FA		plx
	004C5B D1 40		cmp ($40),x
	004C5D D0 22		bne $004c81
	004C5F E8		inx
	004C60 E4 42		cpx $42
	004C62 90 EF		bcc $004c53
	004C64 80 19		bra $004c7f

004C66	004C66 B1 40		lda ($40),x
	004C68 C9 30		cmp #$30'0'
	004C6A 90 15		bcc $004c81
	004C6C C9 3A		cmp #$3A':'
	004C6E B0 02		bcs $004c72
	004C70 80 0D		bra $004c7f

004C72	004C72 C9 41		cmp #$41'A'
	004C74 90 0B		bcc $004c81
	004C76 C9 47		cmp #$47'G'
	004C78 B0 07		bcs $004c81
	004C7A E8		inx
	004C7B E4 42		cpx $42
	004C7D 90 E7		bcc $004c66
004C7F	004C7F 18		clc
	004C80 60		rts

004C81	004C81 38		sec
	004C82 60		rts

;;; --- `AT%8'

004C83	004C83 5F 68 49		bbr 5,$68,$004ccf
	004C86 20 5D 1A		jsr $1A5D{A7->40}
	004C89 A2 00		ldx #$00
004C8B	004C8B B1 40		lda ($40),x
	004C8D C9 41		cmp #$41'A'
	004C8F 90 3E		bcc $004ccf
	004C91 C9 5B		cmp #$5B'['
	004C93 B0 3A		bcs $004ccf
	004C95 E8		inx
	004C96 E0 03		cpx #$03
	004C98 90 F1		bcc $004c8b
	004C9A B2 07 42		sti #$07,$42
	004C9D 20 66 2C		jsr $2C66
	004CA0 B0 2D		bcs $004ccf
	004CA2 20 51 2C		jsr $2C51
	004CA5 B0 28		bcs $004ccf
	004CA7 B2 EC 42		sti #$EC,$42
	004CAA B2 00 43		sti #$00,$43
	004CAD A2 00		ldx #$00
004CAF	004CAF B1 40		lda ($40),x
	004CB1 F0 1C		beq $004ccf
	004CB3 20 B3 0A		jsr $0AB3
	004CB6 E8		inx
	004CB7 E0 07		cpx #$07
	004CB9 90 F4		bcc $004caf
	004CBB 18		clc
	004CBC A5 40		lda $40
	004CBE 69 0E		adc #$0E
	004CC0 85 40		sta $40
	004CC2 A5 41		lda $41
	004CC4 69 00		adc #$00
	004CC6 85 41		sta $41
	004CC8 20 54 1A		jsr $1A54{40->A7}
	004CCB 20 D2 2C		jsr $2CD2
	004CCE 60		rts

004CCF	004CCF 4C 16 2E		jmp $2E16

004CD2	004CD2 A2 00		ldx #$00
	004CD4 86 EE		stx $EE
	004CD6 B2 EC 40		sti #$EC,$40
	004CD9 B2 00 41		sti #$00,$41
004CDC	004CDC 20 8E 0A		jsr $0A8E
	004CDF 64 EE		add $EE
	004CE1 85 EE		sta $EE
	004CE3 E8		inx
	004CE4 E0 0F		cpx #$0F
	004CE6 90 F4		bcc $004cdc
	004CE8 B2 EC 42		sti #$EC,$42
	004CEB B2 00 43		sti #$00,$43
	004CEE 1A		neg a
	004CEF 20 B3 0A		jsr $0AB3
	004CF2 60		rts

;;; --- `AT*'

004CF3	42 44 2A 48 4E 5A

	FF 14 2D 00	B
	FF 20 2D 00	D
	FF 11 2D 05	*
	3F 4F 06 02	H	?
	FF 2C 2D 00	N
	FF 65 2D 01	Z

;;; --- `AT**'

004D11	004D11 4C 56 2D		jmp $2D56

;;; --- `AT*B'

004D14	004D14 A9 FF		lda #$FF
	004D16 8D 97 03		sta $0397
	004D19 20 5F 70		jsr $705F
	004D1C 20 14 FE		jsr $FE14{out_crlf}
	004D1F 60		rts

;;; --- `AT*D'

004D20	004D20 A9 01		lda #$01
	004D22 8D 97 03		sta $0397
	004D25 20 5F 70		jsr $705F
	004D28 20 14 FE		jsr $FE14{out_crlf}
	004D2B 60		rts

;;; --- `AT*N'

004D2C	004D2C 9F 62 24		bbs 1,$62,$004d53
	004D2F 20 5D 1A		jsr $1A5D{A7->40}
	004D32 C9 43		cmp #$43'C'
	004D34 D0 1D		bne $004d53
	004D36 20 45 1F		jsr $1F45
004D39	004D39 20 AC 2E		jsr $2EAC
	004D3C 48		pha
004D3D	004D3D 20 54 1A		jsr $1A54{40->A7}
	004D40 68		pla
	004D41 C9 00		cmp #$00
	004D43 D0 05		bne $004d4a
	004D45 A9 FF		lda #$FF
	004D47 4C 83 11		jmp $1183

004D4A	004D4A 20 90 6B		jsr $6B90
	004D4D B0 04		bcs $004d53
	004D4F 20 83 11		jsr $1183
	004D52 60		rts

004D53	004D53 4C 16 2E		jmp $2E16

;;; --- `AT**'

004D56	004D56 9F 61 09		bbs 1,$61,$004d62
	004D59 B2 52 A9		sti #$52'R',$A9
	004D5C 20 94 E2		jsr $E294		; 015C8C - print a mesage
	004D5F 20 91 70		jsr $7091
004D62	004D62 4C 16 2E		jmp $2E16

;;; --- `AT*Z'

004D65	004D65 6F 7E 03		bbr 6,$7E,$004d6b
	004D68 8D 40 03		sta $0340
004D6B	004D6B 60		rts

;;; if option in comparision table is non-zero...

004D6C	004D6C 48		pha
	004D6D 20 5D 1A		jsr $1A5D{A7->40}
	004D70 20 AC 2E		jsr $2EAC		;! get digit
	004D73 AA		tax			;! digit -> x?
	004D74 20 54 1A		jsr $1A54{40->A7}
	004D77 8A		txa
	004D78 FA		plx
	004D79 E0 FF		cpx #$FF
	004D7B D0 04		bne $004d81
	004D7D 29 FF		and #$FF
	004D7F 18		clc
	004D80 60		rts

004D81	004D81 E8		inx
	004D82 86 45		stx $45
	004D84 C5 45		cmp $45
	004D86 B0 02		bcs $004d8a
	004D88 48		pha
	004D89 68		pla
004D8A	004D8A 60		rts

;;; some comparision between ($A7) and ($46)
; length of table - $44
; another table - $42

004D8B	004D8B A2 00		ldx #$00
__1	004D8D B1 A7		lda ($A7),x		;! lda ($A7)++,x
	004D8F A8		tay
	004D90 E6 A7		inc $A7
	004D92 D0 02		bne __2
	004D94 E6 A8		inc $A8
__2	004D96 98		tya
	004D97 C9 20		cmp #$20' '		;! skip leading spaces
	004D99 F0 F2		beq __1
	004D9B A2 00		ldx #$00
__3	004D9D D1 46		cmp ($46),x
	004D9F D0 3E		bne __7			;! if(x++ <= $44) go __3; else 2E16
	004DA1 8A		txa
	004DA2 0A		asl a
	004DA3 0A		asl a
	004DA4 AA		tax
	004DA5 B1 42		lda ($42),x		;! type
	004DA7 C9 55		cmp #$55'U'
	004DA9 F0 04		beq __4
	004DAB C9 FF		cmp #$FF
	004DAD D0 38		bne __9
__4	004DAF 48		pha			;! if $42[x] == 55 | FF
	004DB0 E8		inx
	004DB1 B1 42		lda ($42),x
	004DB3 85 46		sta $46
	004DB5 E8		inx
	004DB6 B1 42		lda ($42),x
	004DB8 85 47		sta $47
	004DBA E8		inx
	004DBB 68		pla
	004DBC C9 FF		cmp #$FF
	004DBE D0 0C		bne __6
	004DC0 B1 42		lda ($42),x
	004DC2 F0 05		beq __5
	004DC4 20 6C 2D		jsr $2D6C		;! option non-zero
	004DC7 B0 1B		bcs __8
__5	004DC9 6C 46 00		jmp ($0046)		;! call it!

__6	004DCC B1 42		lda ($42),x		;! (46) has table address
	004DCE F7 61		smb 7,$61
	004DD0 85 44		sta $44			;! option - length
	004DD2 A5 46		lda $46
	004DD4 64 44		add $44
	004DD6 85 42		sta $42
	004DD8 A5 47		lda $47
	004DDA 69 00		adc #$00
	004DDC 85 43		sta $43			;! (42) = addr + option
	004DDE 60		rts

__7	004DDF E8		inx
	004DE0 E4 44		cpx $44
	004DE2 D0 B9		bne __3
__8	004DE4 4C 16 2E		jmp $2E16

	; code wasn't call or another table

__9	004DE7 85 46		sta $46
	004DE9 E8		inx
	004DEA B1 42		lda ($42),x
	004DEC 48		pha
	004DED E8		inx
	004DEE B1 42		lda ($42),x
	004DF0 48		pha
	004DF1 E8		inx
	004DF2 B1 42		lda ($42),x
	004DF4 20 6C 2D		jsr $2D6C
	004DF7 90 04		bcc __10
	004DF9 68		pla
	004DFA 68		pla
	004DFB 80 E7		bra __8

__10	004DFD FA		plx
__11	004DFE CA		dex
	004DFF 30 03		bmi __12
	004E01 0A		asl a
	004E02 80 FA		bra __11

__12	004E04 7A		ply
	004E05 48		pha
	004E06 B9 00 00		lda $0000,y		;Cx9	port A (bidirectional)
	004E09 25 46		and $46
	004E0B 99 00		sta $00,y		;Cx9	port A (bidirectional)
	004E0D 00		brk
	004E0E 68		pla
	004E0F 19 00 00		ora $0000,y		;Cx9	port A (bidirectional)
	004E12 99 00		sta $00,y		;Cx9	port A (bidirectional)
	004E14 00		brk
	004E15 60		rts

;;; 002E16 - comparison failed

004E16	004E16 3F 6E 0E		bbr 3,$6E,$004e27
	004E19 20 81 EF		jsr $EF81
	004E1C A9 4F		lda #$4F'O'
	004E1E 85 AC		sta $AC
	004E20 B7 57		smb 3,$57
	004E22 37 6E		rmb 3,$6E
	004E24 27 6E		rmb 2,$6E
	004E26 60		rts

004E27	004E27 B2 04 A9		sti #$04,$A9
	004E2A 4C 6B 16		jmp $166B

004E2D	004E2D A2 00		ldx #$00
	004E2F 20 5D 1A		jsr $1A5D{A7->40}
	004E32 A5 40		lda $40
	004E34 85 42		sta $42
	004E36 A5 41		lda $41
	004E38 85 43		sta $43
	004E3A B1 40		lda ($40),x
	004E3C C9 0D		cmp #$0D
	004E3E F0 1D		beq $004e5d
	004E40 C9 3A		cmp #$3A':'
	004E42 F0 19		beq $004e5d
	004E44 C9 20		cmp #$20' '
	004E46 F0 0C		beq $004e54
	004E48 D1 42		cmp ($42),x
	004E4A F0 02		beq $004e4e
	004E4C 91 42		sta ($42),x
004E4E	004E4E E6 42		inc $42
	004E50 D0 02		bne $004e54
	004E52 E6 43		inc $43
004E54	004E54 E6 40		inc $40
	004E56 D0 02		bne $004e5a
	004E58 E6 41		inc $41
004E5A	004E5A 4C 3A 2E		jmp $2E3A

004E5D	004E5D D1 42		cmp ($42),x
	004E5F F0 02		beq $004e63
	004E61 91 42		sta ($42),x
004E63	004E63 C9 0D		cmp #$0D
	004E65 F0 11		beq $004e78
	004E67 E6 40		inc $40
	004E69 D0 02		bne $004e6d
	004E6B E6 41		inc $41
004E6D	004E6D E6 42		inc $42
	004E6F D0 02		bne $004e73
	004E71 E6 43		inc $43
004E73	004E73 B1 40		lda ($40),x
	004E75 4C 5D 2E		jmp $2E5D

004E78	004E78 60		rts

004E79	004E79 A2 00		ldx #$00
004E7B	004E7B B1 40		lda ($40),x
	004E7D D0 01		bne $004e80
	004E7F 60		rts

004E80	004E80 91 42		sta ($42),x
	004E82 E6 40		inc $40
	004E84 D0 02		bne $004e88
	004E86 E6 41		inc $41
004E88	004E88 E6 42		inc $42
	004E8A D0 02		bne $004e8e
	004E8C E6 43		inc $43
004E8E	004E8E C9 0D		cmp #$0D
	004E90 D0 E9		bne $004e7b
	004E92 A9 0A		lda #$0A
	004E94 91 42		sta ($42),x
	004E96 E6 42		inc $42
	004E98 D0 02		bne $004e9c
	004E9A E6 43		inc $43
004E9C	004E9C A9 00		lda #$00
	004E9E 91 42		sta ($42),x
	004EA0 60		rts

004EA1	004EA1 60		rts

004EA2	004EA2 AF 49 06		bbs 2,$49,$004eab
	004EA5 20 14 FE		jsr $FE14{out_crlf}
	004EA8 4C 91 E2		jmp $E291

004EAB	004EAB 60		rts

;;; 002EAC - get digit after ATx command

004EAC	004EAC B2 00 43		sti #$00,$43
	004EAF A2 00		ldx #$00
__1	004EB1 B1 40		lda ($40),x
	004EB3 C9 20		cmp #$20' '
	004EB5 F0 1B		beq __2
	004EB7 20 EB 2E		jsr $2EEB{isdigit}
	004EBA B0 16		bcs __2
	004EBC 29 0F		and #$0F
	004EBE 85 42		sta $42
	004EC0 A5 43		lda $43
	004EC2 0A		asl a
	004EC3 0A		asl a
	004EC4 18		clc
	004EC5 65 43		adc $43
	004EC7 18		clc
	004EC8 0A		asl a
	004EC9 18		clc
	004ECA 65 42		adc $42
	004ECC 85 43		sta $43
	004ECE E8		inx
	004ECF 4C B1 2E		jmp __1

__2	004ED2 86 42		stx $42
	004ED4 18		clc
	004ED5 A5 40		lda $40
	004ED7 65 42		adc $42
	004ED9 85 40		sta $40
	004EDB A5 41		lda $41
	004EDD 69 00		adc #$00
	004EDF 85 41		sta $41
	004EE1 8A		txa
	004EE2 D0 01		bne __3
	004EE4 38		sec
__3	004EE5 8D 38 01		sta $0138
	004EE8 A5 43		lda $43
	004EEA 60		rts

;;; 002EEB - isdigit()

004EEB	004EEB C9 30		cmp #$30'0'
	004EED 90 04		bcc $004ef3
	004EEF C9 3A		cmp #$3A':'
	004EF1 90 01		bcc $004ef4
004EF3	004EF3 38		sec
004EF4	004EF4 60		rts

004EF5	004EF5 20 CE 27		jsr $27CE
	004EF8 A9 8E		lda #$8E
	004EFA 85 A4		sta $A4
	004EFC A9 2F		lda #$2F'/'
	004EFE 20 DA 27		jsr $27DA
	004F01 E2 2E 01 04 0E	bar $012E,$04,$004f14
	004F06 E2 2E 01 10 09	bar $012E,$10,$004f14
	004F0B A9 91		lda #$91
	004F0D 85 A4		sta $A4
	004F0F A9 2F		lda #$2F'/'
	004F11 20 DA 27		jsr $27DA
004F14	004F14 E2 2E 01 01 0B	bar $012E,$01,$004f24
	004F19 A9 AC		lda #$AC
	004F1B 85 A4		sta $A4
	004F1D A9 2F		lda #$2F'/'
	004F1F 20 DA 27		jsr $27DA
	004F22 80 09		bra $004f2d

004F24	004F24 A9 A8		lda #$A8
	004F26 85 A4		sta $A4
	004F28 A9 2F		lda #$2F'/'
	004F2A 20 DA 27		jsr $27DA
004F2D	004F2D F2 2F 01 02 17	bas $012F,$02,$004f49
	004F32 AD 2D 01		lda $012D
	004F35 29 03		and #$03
	004F37 D0 08		bne $004f41
	004F39 A9 93		lda #$93
	004F3B 85 A4		sta $A4
	004F3D A9 2F		lda #$2F'/'
	004F3F 80 10		bra $004f51

004F41	004F41 A9 97		lda #$97
	004F43 85 A4		sta $A4
	004F45 A9 2F		lda #$2F'/'
	004F47 80 08		bra $004f51

004F49	004F49 A9 9B		lda #$9B
	004F4B 85 A4		sta $A4
	004F4D A9 2F		lda #$2F'/'
	004F4F 80 00		bra $004f51

004F51	004F51 20 DA 27		jsr $27DA
	004F54 F2 2F 01 02 10	bas $012F,$02,$004f69
	004F59 E2 2E 01 01 0B	bar $012E,$01,$004f69
	004F5E A9 A1		lda #$A1
	004F60 85 A4		sta $A4
	004F62 A9 2F		lda #$2F'/'
	004F64 20 DA 27		jsr $27DA
	004F67 80 13		bra $004f7c

004F69	004F69 F2 2F 01 02 0E	bas $012F,$02,$004f7c
	004F6E F2 2E 01 02 09	bas $012E,$02,$004f7c
	004F73 A9 A5		lda #$A5
	004F75 85 A4		sta $A4
	004F77 A9 2F		lda #$2F'/'
	004F79 20 DA 27		jsr $27DA
004F7C	004F7C A9 01		lda #$01
	004F7E 20 A0 E2		jsr $E2A0
	004F81 B2 71 40		sti #$71'q',$40
	004F84 B2 04 41		sti #$04,$41
	004F87 20 91 E2		jsr $E291
	004F8A 20 CE 27		jsr $27CE
	004F8D 60		rts

004F8E	004F8E 52		clw
	004F8F 43		???			;undocumented opcode
	004F90 00		brk
	004F91 56 00		lsr $00,x		;Cx9	port A (bidirectional)
	004F93 44		???			;undocumented opcode
	004F94 50 4C		bvc $004fe2
	004F96 00		brk
	004F97 44		???			;undocumented opcode
	004F98 50 69		bvc $005003
	004F9A 00		brk
	004F9B 44		???			;undocumented opcode
	004F9C 50 46		bvc $004fe4
	004F9E 53		???			;undocumented opcode
	004F9F 50 00		bvc $004fa1
004FA1	004FA1 2D 4C 4C		and $4C4C
	004FA4 00		brk
	004FA5 2D 44 00		and $0044
	004FA8 31 34		and ($34),x		;Cx9 PTG A	mode
	004FAA 34		???			;undocumented opcode
	004FAB 00		brk
	004FAC 33		plw
	004FAD 33		plw
	004FAE 36 00		rol $00,x		;Cx9	port A (bidirectional)

004FB0	004FB0 6C C1 00		jmp ($00C1)

004FB3	004FB3 20 22 21		jsr $2122
	004FB6 23		phw
	004FB7 24 31		bit $31			;C39	only : FIFO int enable reg
	004FB9 33		plw
	004FBA 34		???			;undocumented opcode

004FBB	004FBB A9 04		lda #$04
	004FBD 8D 86 01		sta $0186
	004FC0 D2 04 5C 01	sba $04,$015C
	004FC4 D2 02 5C 01	sba $02,$015C
	004FC8 C2 08 71 01	rba $08,$0171
	004FCC C2 01 5B 01	rba $01,$015B
	004FD0 C2 02 5B 01	rba $02,$015B
	004FD4 C2 04 5B 01	rba $04,$015B
	004FD8 20 4C 3C		jsr $3C4C
	004FDB 20 D2 E3		jsr $E3D2
	004FDE F0 26		beq $005006
	004FE0 A5 69		lda $69
004FE2	004FE2 29 07		and #$07
004FE4	004FE4 D0 3D		bne $005023
	004FE6 A5 9B		lda $9B
	004FE8 29 0F		and #$0F
	004FEA D0 37		bne $005023
	004FEC E2 68 01 01 0A	bar $0168,$01,$004ffb
	004FF1 F2 5C 01 08 05	bas $015C,$08,$004ffb
	004FF6 20 32 3C		jsr $3C32
	004FF9 80 0B		bra $005006

004FFB	004FFB FF 49 05		bbs 7,$49,$005003
	004FFE 20 24 30		jsr $3024
	005001 80 03		bra $005006

005003	005003 20 3C 30		jsr $303C		;>>503C
005006	005006 20 FE 3B		jsr $3BFE		;! turn on MF tone detector
	005009 AD 12 06		lda $0612		;DPi configuration (CONF)
	00500C C9 AA		cmp #$AA
	00500E F0 05		beq $005015
	005010 20 F8 30		jsr $30F8
	005013 80 03		bra $005018

005015	005015 20 0D 31		jsr $310D
005018	005018 A9 0C		lda #$0C
	00501A 20 92 F5		jsr $F592
	00501D 20 2D FB		jsr $FB2D
	005020 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	005022 60		rts

005023	005023 60		rts

;;; CONF = A8

005024	005024 20 B0 F3		jsr $F3B0		;! DATA = 1
	005027 A9 A8		lda #$A8		;! V.21 channel 2
	005029 CD 12 06		cmp $0612		;DPi configuration (CONF)
	00502C F0 06		beq $005034
	00502E 8D 12 06		sta $0612		;DPi configuration (CONF)
	005031 20 77 FA		jsr $FA77{newc_w}
005034	005034 20 EB F3		jsr $F3EB		;! TPDM = 1
	005037 A0 01		ldy #$01
	005039 4C 36 F4		jmp $F436		; do some datapump magic...

00503C	00503C 20 B0 F3		jsr $F3B0
	00503F A9 81		lda #$81
	005041 CD 12 06		cmp $0612		;DPi configuration (CONF)
	005044 F0 06		beq $00504c
	005046 8D 12 06		sta $0612		;DPi configuration (CONF)
	005049 4C 77 FA		jmp $FA77{newc_w}

00504C	00504C 60		rts

00504D	00504D 20 A2 F3		jsr $F3A2
	005050 A9 D8		lda #$D8
	005052 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	005055 A9 22		lda #$22'"'
	005057 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00505A A9 54		lda #$54'T'
	00505C 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00505F A9 AA		lda #$AA
	005061 20 9C FC		jsr $FC9C{meaddh_w}
	005064 A9 F5		lda #$F5
	005066 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	005069 A9 29		lda #$29')'
	00506B 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00506E A9 54		lda #$54'T'
	005070 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	005073 A9 AB		lda #$AB
	005075 20 9C FC		jsr $FC9C{meaddh_w}
	005078 A9 08		lda #$08
	00507A 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00507D A9 25		lda #$25'%'
	00507F 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	005082 A9 55		lda #$55'U'
	005084 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	005087 A9 AB		lda #$AB
	005089 20 9C FC		jsr $FC9C{meaddh_w}
	00508C 80 53		bra $0050e1

;;;

00508E	00508E 20 A9 F3		jsr $F3A9               ; ORG = 0
	005091 A9 66		lda #$66'f'
	005093 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	005096 A9 26		lda #$26'&'
	005098 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)

	00509B A9 08		lda #$08
	00509D 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0050A0 A9 AB		lda #$AB
	0050A2 20 9C FC		jsr $FC9C{meaddh_w}	; -> B08
	0050A5 A9 08		lda #$08
	0050A7 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0050AA A9 25		lda #$25'%'
	0050AC 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)

	0050AF A9 1A		lda #$1A
	0050B1 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0050B4 A9 AA		lda #$AA
	0050B6 20 9C FC		jsr $FC9C{meaddh_w}	; -> A1A
	0050B9 A9 08		lda #$08
	0050BB 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0050BE A9 25		lda #$25'%'
	0050C0 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)

	0050C3 A9 15		lda #$15
	0050C5 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0050C8 A9 AA		lda #$AA
	0050CA 20 9C FC		jsr $FC9C{meaddh_w}	; -> A15
	0050CD A9 E0		lda #$E0
	0050CF 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0050D2 A9 24		lda #$24'$'
	0050D4 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)

	0050D7 A9 55		lda #$55'U'
	0050D9 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0050DC A9 AB		lda #$AB
	0050DE 20 9C FC		jsr $FC9C{meaddh_w}	; -> B55

0050E1	0050E1 A9 43		lda #$43'C'
	0050E3 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0050E6 A9 80		lda #$80
	0050E8 20 9C FC		jsr $FC9C{meaddh_w}	; -> 043

	0050EB AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	0050EE 29 7F		and #$7F
	0050F0 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0050F3 A9 A0		lda #$A0
	0050F5 4C 9C FC		jmp $FC9C{meaddh_w}

0050F8	0050F8 A9 8E		lda #$8E
	0050FA 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0050FD A9 43		lda #$43'C'
	0050FF 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	005102 A9 84		lda #$84
	005104 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	005107 A9 AA		lda #$AA
	005109 20 9C FC		jsr $FC9C{meaddh_w}	; 438E -> A84 (1900Hz?)
	00510C 60		rts


00510D	00510D A9 AA		lda #$AA
	00510F 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	005112 A9 32		lda #$32
	005114 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	005117 A9 84		lda #$84
	005119 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00511C A9 AA		lda #$AA
	00511E 20 9C FC		jsr $FC9C{meaddh_w}	; 32AA -> A84 (1424Hz?)
	005121 60		rts

005122	005122 A9 8E		lda #$8E
	005124 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	005127 A9 43		lda #$43'C'
	005129 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00512C A9 4C		lda #$4C'L'
	00512E 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	005131 A9 A9		lda #$A9
	005133 20 9C FC		jsr $FC9C{meaddh_w}
	005136 60		rts

005137	005137 A9 00		lda #$00
	005139 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00513C A9 51		lda #$51'Q'
	00513E 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	005141 A9 A3		lda #$A3
	005143 20 9C FC		jsr $FC9C{meaddh_w}
	005146 A9 07		lda #$07
	005148 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00514B A9 52		lda #$52'R'
	00514D 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	005150 A9 A3		lda #$A3
	005152 20 9C FC		jsr $FC9C{meaddh_w}
	005155 60		rts

005156	005156 A9 80		lda #$80
	005158 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00515B A9 53		lda #$53'S'
	00515D 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	005160 A9 A3		lda #$A3
	005162 20 9C FC		jsr $FC9C{meaddh_w}
	005165 A9 01		lda #$01
	005167 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00516A A9 54		lda #$54'T'
	00516C 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00516F A9 A3		lda #$A3
	005171 20 9C FC		jsr $FC9C{meaddh_w}
	005174 60		rts

005175	005175 A9 30		lda #$30'0'
	005177 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00517A A9 0A		lda #$0A
	00517C 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00517F A9 4C		lda #$4C'L'
	005181 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	005184 A9 A8		lda #$A8
	005186 20 9C FC		jsr $FC9C{meaddh_w}
	005189 60		rts

00518A	00518A A9 25		lda #$25'%'
	00518C 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00518F A9 02		lda #$02
	005191 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	005194 A9 4C		lda #$4C'L'
	005196 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	005199 A9 A8		lda #$A8
	00519B 20 9C FC		jsr $FC9C{meaddh_w}
	00519E 60		rts

00519F	00519F 20 F9 F8		jsr $F8F9{news?}
	0051A2 F0 FB		beq $00519f
	0051A4 AE 6C 87		ldx $876C
	0051A7 8E 10 06		stx $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	0051AA E0 34		cpx #$34'4'
	0051AC D0 03		bne $0051b1
	0051AE 20 43 F5		jsr $F543{rtson}
0051B1	0051B1 20 2B 32		jsr $322B
	0051B4 A8		tay
	0051B5 29 F0		and #$F0
	0051B7 C9 40		cmp #$40'@'
	0051B9 D0 0F		bne $0051ca
	0051BB E2 68 01 01 05	bar $0168,$01,$0051c5
	0051C0 20 56 31		jsr $3156
	0051C3 80 EC		bra $0051b1

0051C5	0051C5 20 37 31		jsr $3137
	0051C8 80 E7		bra $0051b1

0051CA	0051CA C9 30		cmp #$30'0'
	0051CC D0 E3		bne $0051b1
	0051CE 98		tya
	0051CF 89 0C		add #$0C
	0051D1 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0051D4 A9 4D		lda #$4D'M'
	0051D6 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0051D9 A9 A0		lda #$A0
	0051DB 20 9C FC		jsr $FC9C{meaddh_w}
0051DE	0051DE 20 2B 32		jsr $322B
	0051E1 F2 5B 01 01 0C	bas $015B,$01,$0051f2
	0051E6 29 F0		and #$F0
	0051E8 C9 00		cmp #$00
	0051EA D0 F2		bne $0051de
	0051EC D2 01 5B 01	sba $01,$015B
	0051F0 80 EC		bra $0051de

0051F2	0051F2 A8		tay
	0051F3 29 F0		and #$F0
	0051F5 C9 20		cmp #$20' '
	0051F7 D0 E5		bne $0051de
	0051F9 98		tya
	0051FA E9 10		sbc #$10
	0051FC 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0051FF A9 4D		lda #$4D'M'
	005201 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	005204 A9 A0		lda #$A0
	005206 20 9C FC		jsr $FC9C{meaddh_w}
	005209 C2 01 5B 01	rba $01,$015B
	00520D E0 23		cpx #$23'#'
	00520F F0 04		beq $005215
	005211 E0 33		cpx #$33'3'
	005213 D0 03		bne $005218
005215	005215 20 22 31		jsr $3122
005218	005218 E2 68 01 01 05	bar $0168,$01,$005222
	00521D 20 8A 31		jsr $318A
	005220 80 03		bra $005225

005222	005222 20 75 31		jsr $3175
005225	005225 A2 32		ldx #$32'2'
	005227 20 B6 F2		jsr $F2B6
	00522A 60		rts

00522B	00522B A9 4D		lda #$4D'M'
	00522D 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	005230 A9 80		lda #$80
	005232 20 9C FC		jsr $FC9C{meaddh_w}
	005235 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	005238 60		rts

005239	005239 EF 5E 0C		bbs 6,$5E,$005248
	00523C E2 0F 06 80 F8	bar $060F,$80,$005239	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	005241 A2 04		ldx #$04
	005243 20 B6 F2		jsr $F2B6
	005246 38		sec
	005247 60		rts

005248	005248 18		clc
	005249 60		rts

00524A	00524A 77 6E		rmb 7,6E
	00524C C2 20 5B 01	rba $20,$015B
	005250 A9 00		lda #$00
	005252 8D 01 84		sta $8401
	005255 47 59		rmb 4,$59
	005257 A9 84		lda #$84
	005259 8D 72 02		sta $0272
	00525C A9 E0		lda #$E0
	00525E 8D 73 02		sta $0273
	005261 C7 59		smb 4,$59
	005263 D2 04 1E 06	sba $04,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	005267 A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
	005269 60		rts

00526A	00526A A9 81		lda #$81
	00526C 8D BD 00		sta $00BD
	00526F A9 E0		lda #$E0
	005271 8D BE 00		sta $00BE
	005274 A9 87		lda #$87
	005276 8D C1 00		sta $00C1
	005279 A9 32		lda #$32'2'
	00527B 8D C2 00		sta $00C2
	00527E C2 04 5B 01	rba $04,$015B
	005282 A9 00		lda #$00
	005284 8D 85 01		sta $0185
	005287 20 8E 38		jsr $388E
	00528A F2 5B 01 02 03	bas $015B,$02,$005292
	00528F 4C 06 33		jmp $3306

005292	005292 C2 02 5B 01	rba $02,$015B
	005296 C2 08 5C 01	rba $08,$015C
	00529A 20 93 36		jsr $3693
	00529D 20 D2 E3		jsr $E3D2
	0052A0 F0 05		beq $0052a7
	0052A2 E2 68 01 01 4F	bar $0168,$01,$0052f6
0052A7	0052A7 A9 58		lda #$58'X'
	0052A9 8D 71 87		sta $8771
	0052AC A9 35		lda #$35'5'
	0052AE 8D 72 87		sta $8772
	0052B1 A9 02		lda #$02
	0052B3 8D 6E 87		sta $876E
	0052B6 AD 6D 87		lda $876D
	0052B9 C9 23		cmp #$23'#'
	0052BB F0 15		beq $0052d2
	0052BD 48		pha
	0052BE A9 01		lda #$01
	0052C0 8D 6E 87		sta $876E
	0052C3 A9 BA		lda #$BA
	0052C5 8D 71 87		sta $8771
	0052C8 A9 33		lda #$33'3'
	0052CA 8D 72 87		sta $8772
	0052CD 68		pla
	0052CE C9 21		cmp #$21'!'
	0052D0 D0 34		bne $005306
0052D2	0052D2 D2 20 5C 01	sba $20,$015C
	0052D6 B2 02 A9		sti #$02,$A9
	0052D9 20 94 E2		jsr $E294
	0052DC 20 0E E1		jsr $E10E
	0052DF B0 06		bcs $0052e7
	0052E1 A9 00		lda #$00
	0052E3 8D 85 01		sta $0185
	0052E6 60		rts

;;; ***

0052E7	0052E7 EE 85 01		inc $0185
	0052EA AD 06 01		lda $0106{s0}
	0052ED F0 17		beq $005306
	0052EF CD 85 01		cmp $0185
	0052F2 F0 13		beq $005307
	0052F4 80 10		bra $005306

0052F6	0052F6 A9 33		lda #$33'3'
	0052F8 8D 6C 87		sta $876C
	0052FB AD 6D 87		lda $876D
	0052FE C9 22		cmp #$22'"'
	005300 F0 05		beq $005307
	005302 C9 20		cmp #$20' '
	005304 F0 01		beq $005307
005306	005306 60		rts

;;; 003307 - AT LAST!!! go off hook

005307	005307 C2 20 5C 01	rba $20,$015C
	00530B 20 81 EF		jsr $EF81
	00530E AD 47 03		lda $0347
	005311 20 DE E3		jsr $E3DE		; -> 01B1E0
	005314 A2 01		ldx #$01
	005316 20 AB F2		jsr $F2AB		;? busy-loop delay?
	005319 20 F3 F4		jsr $F4F3{dtroff}
	00531C 20 48 F5		jsr $F548{rtsoff}
	00531F A9 81		lda #$81
	005321 8D BD 00		sta $00BD
	005324 A9 E0		lda #$E0
	005326 8D BE 00		sta $00BE
	005329 E2 68 01 01 1A	bar $0168,$01,$005348
	00532E 77 5B		rmb 7,$5B
	005330 20 18 3C		jsr $3C18		;! MF tone detector off
	005333 20 24 30		jsr $3024		;! CONF = a8
	005336 20 8E 30		jsr $308E		;! set some DSP memory cells
	005339 A9 32		lda #$32'2'
	00533B 8D 1E 02		sta $021E
	00533E A9 00		lda #$00
	005340 8D 1F 02		sta $021F
	005343 67 5E		rmb 6,$5E
	005345 4C 80 37		jmp $3780

005348	005348 20 24 30		jsr $3024
	00534B 20 9F 31		jsr $319F
	00534E A9 6B		lda #$6B'k'
	005350 8D C1 00		sta $00C1
	005353 A9 33		lda #$33'3'
	005355 8D C2 00		sta $00C2
	005358 20 8E 30		jsr $308E
	00535B 20 4A 32		jsr $324A
	00535E A9 32		lda #$32'2'
	005360 8D 1E 02		sta $021E
	005363 A9 00		lda #$00
	005365 8D 1F 02		sta $021F
	005368 67 5E		rmb 6,$5E
	00536A 60		rts

00536B	00536B EF 5E 48		bbs 6,$5E,$0053b6
	00536E 20 E6 38		jsr $38E6
	005371 90 46		bcc $0053b9
	005373 FF 6E 40		bbs 7,$6E,$0053b6
	005376 A9 BA		lda #$BA
	005378 8D 71 87		sta $8771
	00537B A9 33		lda #$33'3'
	00537D 8D 72 87		sta $8772
	005380 A9 01		lda #$01
	005382 8D 6E 87		sta $876E
	005385 AD 6F 87		lda $876F
	005388 C9 02		cmp #$02
	00538A F0 16		beq $0053a2
	00538C A9 0C		lda #$0C
	00538E 8D 71 87		sta $8771
	005391 A9 34		lda #$34'4'
	005393 8D 72 87		sta $8772
	005396 A9 02		lda #$02
	005398 8D 6E 87		sta $876E
	00539B AD 6F 87		lda $876F
	00539E C9 03		cmp #$03
	0053A0 D0 14		bne $0053b6
0053A2	0053A2 A2 03		ldx #$03
	0053A4 20 AB F2		jsr $F2AB
	0053A7 A9 32		lda #$32'2'
	0053A9 8D 1E 02		sta $021E
	0053AC A9 00		lda #$00
	0053AE 8D 1F 02		sta $021F
	0053B1 67 5E		rmb 6,$5E
	0053B3 4C 80 37		jmp $3780

0053B6	0053B6 4C 6C 37		jmp $376C

0053B9	0053B9 60		rts

0053BA	0053BA EF 5E 48		bbs 6,$5E,$005405
	0053BD E2 5C 01 02 38	bar $015C,$02,$0053fa
	0053C2 D2 40 5B 01	sba $40,$015B
	0053C6 20 E6 38		jsr $38E6
	0053C9 90 3D		bcc $005408
	0053CB FF 6E 37		bbs 7,$6E,$005405
	0053CE AD 6F 87		lda $876F
	0053D1 C9 04		cmp #$04
	0053D3 C2 40 5B 01	rba $40,$015B
	0053D7 F0 21		beq $0053fa
	0053D9 C9 05		cmp #$05
	0053DB F0 1D		beq $0053fa
	0053DD C9 08		cmp #$08
	0053DF F0 24		beq $005405
	0053E1 C9 09		cmp #$09
	0053E3 F0 08		beq $0053ed
	0053E5 C9 0A		cmp #$0A
	0053E7 F0 0F		beq $0053f8
	0053E9 C9 0B		cmp #$0B
	0053EB D0 18		bne $005405
0053ED	0053ED C2 08 71 01	rba $08,$0171
	0053F1 17 6F		rmb 1,$6F
	0053F3 A9 04		lda #$04
	0053F5 8D 86 01		sta $0186
0053F8	0053F8 80 0B		bra $005405

0053FA	0053FA A2 01		ldx #$01
	0053FC 20 AB F2		jsr $F2AB
	0053FF 20 A2 F3		jsr $F3A2
	005402 4C FA 35		jmp $35FA

005405	005405 4C 6C 37		jmp $376C

005408	005408 DF 78 EF		bbs 5,$78,$0053fa
	00540B 60		rts

00540C	00540C A9 BA		lda #$BA
	00540E 8D 71 87		sta $8771
	005411 A9 33		lda #$33'3'
	005413 8D 72 87		sta $8772
	005416 A9 01		lda #$01
	005418 8D 6E 87		sta $876E
	00541B 4C 80 37		jmp $3780

00541E	00541E 20 93 36		jsr $3693
	005421 D2 08 5C 01	sba $08,$015C
	005425 A9 81		lda #$81
	005427 8D BD 00		sta $00BD
	00542A A9 E0		lda #$E0
	00542C 8D BE 00		sta $00BE
	00542F A9 14		lda #$14
	005431 8D C1 00		sta $00C1
	005434 A9 35		lda #$35'5'
	005436 8D C2 00		sta $00C2
	005439 37 57		rmb 3,$57
	00543B A2 02		ldx #$02
	00543D 20 AB F2		jsr $F2AB
	005440 A9 22		lda #$22'"'
	005442 8D 6C 87		sta $876C
	005445 E2 68 01 01 12	bar $0168,$01,$00545c
	00544A 20 7B 34		jsr $347B
	00544D A9 9D		lda #$9D
	00544F 8D C1 00		sta $00C1
	005452 A9 34		lda #$34'4'
	005454 8D C2 00		sta $00C2
	005457 A9 23		lda #$23'#'
	005459 8D 6C 87		sta $876C
00545C	00545C 20 9F 31		jsr $319F
	00545F 20 F8 30		jsr $30F8
	005462 A9 32		lda #$32'2'
	005464 8D 1E 02		sta $021E
	005467 A9 00		lda #$00
	005469 8D 1F 02		sta $021F
	00546C 67 5E		rmb 6,$5E
	00546E A9 96		lda #$96
	005470 8D 04 02		sta $0204
	005473 A9 00		lda #$00
	005475 8D 05 02		sta $0205
	005478 17 5D		rmb 1,$5D
	00547A 60		rts

00547B	00547B 20 F3 F4		jsr $F4F3{dtroff}
	00547E 20 48 F5		jsr $F548{rtsoff}
	005481 20 24 30		jsr $3024
	005484 20 4D 30		jsr $304D
	005487 20 4A 32		jsr $324A
	00548A A9 64		lda #$64'd'
	00548C 8D 18 02		sta $0218
	00548F A9 00		lda #$00
	005491 8D 19 02		sta $0219
	005494 37 5E		rmb 3,$5E
	005496 B7 57		smb 3,$57
	005498 C2 80 5B 01	rba $80,$015B
	00549C 60		rts

00549D	00549D BF 5E 0C		bbs 3,$5E,$0054ac
	0054A0 20 E6 38		jsr $38E6
	0054A3 90 25		bcc $0054ca
	0054A5 AD 6F 87		lda $876F
	0054A8 C9 02		cmp #$02
	0054AA F0 4A		beq $0054f6
0054AC	0054AC A2 02		ldx #$02
	0054AE 20 AB F2		jsr $F2AB
	0054B1 48		pha
	0054B2 C2 10 52 01	rba $10,$0152
	0054B6 68		pla
	0054B7 A2 03		ldx #$03
	0054B9 86 77		stx $77
	0054BB 37 76		rmb 3,$76
	0054BD A9 32		lda #$32'2'
	0054BF 8D 1E 02		sta $021E
	0054C2 A9 00		lda #$00
	0054C4 8D 1F 02		sta $021F
	0054C7 67 5E		rmb 6,$5E
	0054C9 60		rts

0054CA	0054CA 1F 5D 28		bbr 1,$5D,$0054f5
	0054CD F2 5B 01 80 06	bas $015B,$80,$0054d8
	0054D2 D2 80 5B 01	sba $80,$015B
	0054D6 80 11		bra $0054e9

0054D8	0054D8 A9 23		lda #$23'#'
	0054DA 8D 6C 87		sta $876C
	0054DD 20 9F 31		jsr $319F
	0054E0 A2 02		ldx #$02
	0054E2 20 AB F2		jsr $F2AB
	0054E5 C2 80 5B 01	rba $80,$015B
0054E9	0054E9 A9 C8		lda #$C8
	0054EB 8D 04 02		sta $0204
	0054EE A9 00		lda #$00
	0054F0 8D 05 02		sta $0205
	0054F3 17 5D		rmb 1,$5D
0054F5	0054F5 60		rts

0054F6	0054F6 A9 32		lda #$32'2'
	0054F8 8D 1E 02		sta $021E
	0054FB A9 00		lda #$00
	0054FD 8D 1F 02		sta $021F
	005500 67 5E		rmb 6,$5E
	005502 A9 BA		lda #$BA
	005504 8D 71 87		sta $8771
	005507 A9 33		lda #$33'3'
	005509 8D 72 87		sta $8772
	00550C A9 01		lda #$01
	00550E 8D 6E 87		sta $876E
	005511 4C 80 37		jmp $3780

005514	005514 EF 5E 3D		bbs 6,$5E,$005554
	005517 20 8E 38		jsr $388E
	00551A E2 5B 01 02 38	bar $015B,$02,$005557
	00551F C2 02 5B 01	rba $02,$015B
	005523 AD 6D 87		lda $876D
	005526 C9 33		cmp #$33'3'
	005528 F0 04		beq $00552e
	00552A C9 23		cmp #$23'#'
	00552C D0 29		bne $005557
00552E	00552E A9 58		lda #$58'X'
	005530 8D 71 87		sta $8771
	005533 A9 35		lda #$35'5'
	005535 8D 72 87		sta $8772
	005538 A2 01		ldx #$01
	00553A 20 AB F2		jsr $F2AB
	00553D A9 32		lda #$32'2'
	00553F 8D 1E 02		sta $021E
	005542 A9 00		lda #$00
	005544 8D 1F 02		sta $021F
	005547 67 5E		rmb 6,$5E
	005549 20 4D 30		jsr $304D
	00554C A9 02		lda #$02
	00554E 8D 6E 87		sta $876E
	005551 4C 80 37		jmp $3780

005554	005554 4C FE 35		jmp $35FE

005557	005557 60		rts

005558	005558 EF 5E 43		bbs 6,$5E,$00559e
	00555B 20 E6 38		jsr $38E6
	00555E 90 41		bcc $0055a1
	005560 FF 6E 3B		bbs 7,$6E,$00559e
	005563 AD 6F 87		lda $876F
	005566 C9 01		cmp #$01
	005568 F0 03		beq $00556d
	00556A 4C FE 35		jmp $35FE

00556D	00556D A9 FA		lda #$FA
	00556F 8D 71 87		sta $8771
	005572 A9 35		lda #$35'5'
	005574 8D 72 87		sta $8772
	005577 D2 04 5B 01	sba $04,$015B
	00557B A2 01		ldx #$01
	00557D 20 AB F2		jsr $F2AB
	005580 A9 32		lda #$32'2'
	005582 8D 1E 02		sta $021E
	005585 A9 00		lda #$00
	005587 8D 1F 02		sta $021F
	00558A 67 5E		rmb 6,$5E
	00558C A9 04		lda #$04
	00558E 8D 6E 87		sta $876E
	005591 E2 5C 01 04 05	bar $015C,$04,$00559b
	005596 A9 09		lda #$09
	005598 8D 6E 87		sta $876E
00559B	00559B 4C 80 37		jmp $3780

00559E	00559E 4C 6C 37		jmp $376C

0055A1	0055A1 60		rts

0055A2	0055A2 E2 1E 06 20 01	bar $061E,$20,$0055a8	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	0055A7 60		rts

0055A8	0055A8 E2 0A 06 02 FB	bar $060A,$02,$0055a8	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	0055AD A9 04		lda #$04
	0055AF 8D 04 02		sta $0204
	0055B2 A9 00		lda #$00
	0055B4 8D 05 02		sta $0205
	0055B7 17 5D		rmb 1,$5D
0055B9	0055B9 1F 5D FD		bbr 1,$5D,$0055b9
	0055BC 20 DA 3B		jsr $3BDA
	0055BF AD 6E 87		lda $876E
	0055C2 C9 04		cmp #$04
	0055C4 D0 06		bne $0055cc
	0055C6 20 A9 F3		jsr $F3A9
	0055C9 B2 41 AC		sti #$41'A',$AC
0055CC	0055CC AD 71 87		lda $8771
	0055CF 8D C1 00		sta $00C1
	0055D2 AD 72 87		lda $8772
	0055D5 8D C2 00		sta $00C2
	0055D8 F2 5B 01 04 14	bas $015B,$04,$0055f1
	0055DD D2 10 05 06	sba $10,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	0055E1 E2 5C 01 08 05	bar $015C,$08,$0055eb
	0055E6 20 4D 30		jsr $304D
	0055E9 80 03		bra $0055ee

0055EB	0055EB 20 8E 30		jsr $308E
0055EE	0055EE 4C 4A 32		jmp $324A

0055F1	0055F1 A2 01		ldx #$01
	0055F3 20 AB F2		jsr $F2AB
	0055F6 20 A9 F3		jsr $F3A9
	0055F9 60		rts

0055FA	0055FA D2 04 5B 01	sba $04,$015B
	0055FE A2 01		ldx #$01
	005600 20 AB F2		jsr $F2AB
	005603 A9 76		lda #$76'v'
	005605 8D 12 06		sta $0612		;DPi configuration (CONF)
	005608 20 77 FA		jsr $FA77{newc_w}
	00560B C2 10 05 06	rba $10,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	00560F C2 10 06 06	rba $10,$0606		;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
	005613 C2 04 1E 06	rba $04,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	005617 C2 04 09 06	rba $04,$0609		;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00561B FF 49 04		bbs 7,$49,$005622
	00561E D2 04 09 06	sba $04,$0609		;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
005622	005622 20 2C FB		jsr $FB2C
	005625 D2 80 08 06	sba $80,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	005629 D2 40 08 06	sba $40,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	00562D F2 5B 01 04 0D	bas $015B,$04,$00563f
	005632 D2 10 09 06	sba $10,$0609		;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	005636 F2 5C 01 40 04	bas $015C,$40,$00563f
	00563B C2 10 09 06	rba $10,$0609		;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
00563F	00563F A9 00		lda #$00
	005641 8D 01 84		sta $8401
	005644 A9 00		lda #$00
	005646 8D 01 82		sta $8201
	005649 A9 00		lda #$00
	00564B 8D 6F 87		sta $876F
	00564E A9 00		lda #$00
	005650 8D 6E 87		sta $876E
	005653 20 E9 3B		jsr $3BE9
	005656 20 18 3C		jsr $3C18		;! tone tetectors off
	005659 20 DA 3B		jsr $3BDA
	00565C AD 25 01		lda $0125
	00565F 20 92 F5		jsr $F592
	005662 48		pha
	005663 C2 10 52 01	rba $10,$0152
	005667 68		pla
	005668 47 59		rmb 4,$59
	00566A A9 89		lda #$89
	00566C 8D 72 02		sta $0272
	00566F A9 09		lda #$09
	005671 8D 73 02		sta $0273
	005674 C7 59		smb 4,$59
	005676 37 59		rmb 3,$59
	005678 A9 68		lda #$68'h'
	00567A 8D 6F 02		sta $026F
	00567D A9 09		lda #$09
	00567F 8D 70 02		sta $0270
	005682 B7 59		smb 3,$59
	005684 37 57		rmb 3,$57
	005686 A9 C3		lda #$C3
	005688 8D 3C 02		sta $023C
	00568B A9 E0		lda #$E0
	00568D 8D 3D 02		sta $023D
	005690 B7 57		smb 3,$57
	005692 60		rts

005693	005693 20 24 37		jsr $3724
	005696 20 42 37		jsr $3742
	005699 A5 4E		lda $4E
	00569B 29 0B		and #$0B
	00569D AA		tax
	00569E A9 80		lda #$80
	0056A0 E0 00		cpx #$00
	0056A2 F0 06		beq $0056aa
	0056A4 E0 0A		cpx #$0A
	0056A6 F0 02		beq $0056aa
	0056A8 09 02		ora #$02
0056AA	0056AA 1F 55 02		bbr 1,$55,$0056af
	0056AD 09 04		ora #$04
0056AF	0056AF 8D 7F 87		sta $877F
	0056B2 8D 88 87		sta $8788
	0056B5 8D 7B 87		sta $877B
	0056B8 8D 84 87		sta $8784
	0056BB AE 3B 01		ldx $013B
	0056BE BD 1B 37		lda $371B,x
	0056C1 E0 0A		cpx #$0A
	0056C3 B0 12		bcs $0056d7
	0056C5 29 CF		and #$CF
	0056C7 8D 7D 87		sta $877D
	0056CA 8D 86 87		sta $8786
	0056CD A9 80		lda #$80
	0056CF 8D 7C 87		sta $877C
	0056D2 8D 85 87		sta $8785
	0056D5 80 0A		bra $0056e1

0056D7	0056D7 29 B0		and #$B0
	0056D9 8D 7C 87		sta $877C
	0056DC A9 CF		lda #$CF
	0056DE 8D 7D 87		sta $877D
0056E1	0056E1 A9 C0		lda #$C0
	0056E3 8D 81 87		sta $8781
	0056E6 8D 8A 87		sta $878A
	0056E9 8D 80 87		sta $8780
	0056EC AD 7A 87		lda $877A
	0056EF AA		tax
	0056F0 29 04		and #$04
	0056F2 F0 06		beq $0056fa
	0056F4 A9 84		lda #$84
	0056F6 8D 83 87		sta $8783
	0056F9 60		rts

0056FA	0056FA 8A		txa
	0056FB 29 02		and #$02
	0056FD F0 16		beq $005715
	0056FF A9 82		lda #$82
	005701 8D 83 87		sta $8783
	005704 AD 7E 87		lda $877E
	005707 29 01		and #$01
	005709 F0 04		beq $00570f
	00570B A9 89		lda #$89
	00570D 80 02		bra $005711

00570F	00570F A9 82		lda #$82
005711	005711 8D 87 87		sta $8787
	005714 60		rts

005715	005715 A9 81		lda #$81
	005717 8D 83 87		sta $8783
	00571A 60		rts

00571B	00571B C8		iny
	00571C CC CE C0		cpy $C0CE
	00571F CF EF FF		bbs 4,$EF,$005721
	005722 C0 C0		cpy #$C0
	005724 A9 81		lda #$81
	005726 F2 52 01 01 0A	bas $0152,$01,$005735
	00572B AE CA 04		ldx $04CA		;Cx9 CRC	control area
	00572E F0 07		beq $005737
	005730 E2 74 01 01 02	bar $0174,$01,$005737
005735	005735 09 02		ora #$02
005737	005737 E2 5C 01 10 02	bar $015C,$10,$00573e
	00573C 09 04		ora #$04
00573E	00573E 8D 7A 87		sta $877A
	005741 60		rts

005742	005742 A0 80		ldy #$80
	005744 A9 89		lda #$89
	005746 E2 52 01 01 0D	bar $0152,$01,$005758
	00574B A0 9A		ldy #$9A
	00574D AE BB 00		ldx $00BB
	005750 E0 02		cpx #$02
	005752 F0 04		beq $005758
	005754 A0 82		ldy #$82
	005756 29 FE		and #$FE
005758	005758 8D 79 87		sta $8779
	00575B 98		tya
	00575C AE CA 04		ldx $04CA		;Cx9 CRC	control area
	00575F F0 07		beq $005768
	005761 E2 74 01 01 02	bar $0174,$01,$005768
	005766 09 09		ora #$09
005768	005768 8D 7E 87		sta $877E
	00576B 60		rts

00576C	00576C A2 01		ldx #$01
	00576E 20 AB F2		jsr $F2AB
	005771 A9 FE		lda #$FE
	005773 8D 71 87		sta $8771
	005776 A9 35		lda #$35'5'
	005778 8D 72 87		sta $8772
	00577B A9 08		lda #$08
	00577D 8D 6E 87		sta $876E
	005780 A2 01		ldx #$01
	005782 AD 6E 87		lda $876E
	005785 09 10		ora #$10
	005787 9D 01		sta $8201,x
	00578A AD 6E 87		lda $876E
	00578D C9 01		cmp #$01
	00578F F0 0B		beq $00579c
	005791 C9 02		cmp #$02
	005793 F0 0F		beq $0057a4
	005795 C9 03		cmp #$03
	005797 F0 0B		beq $0057a4
	005799 4C EC 37		jmp $37EC

00579C	00579C B2 82 E0		sti #$82,$E0
	00579F B2 87 E1		sti #$87,$E1
	0057A2 80 06		bra $0057aa

0057A4	0057A4 B2 79 E0		sti #$79'y',$E0
	0057A7 B2 87 E1		sti #$87,$E1
0057AA	0057AA 20 C5 3B		jsr $3BC5
	0057AD A9 80		lda #$80
	0057AF E8		inx
	0057B0 9D 01		sta $8201,x
	0057B3 A9 80		lda #$80
	0057B5 E8		inx
	0057B6 9D 01		sta $8201,x
	0057B9 20 C5 3B		jsr $3BC5
	0057BC A0 00		ldy #$00
	0057BE 4A		lsr a
	0057BF 48		pha
	0057C0 B0 0B		bcs $0057cd
	0057C2 EE E0 00		inc $00E0
	0057C5 EE E0 00		inc $00E0
	0057C8 EE E0 00		inc $00E0
	0057CB 80 03		bra $0057d0

0057CD	0057CD 20 CF 3B		jsr $3BCF
0057D0	0057D0 68		pla
	0057D1 A0 00		ldy #$00
	0057D3 4A		lsr a
	0057D4 48		pha
	0057D5 B0 0B		bcs $0057e2
	0057D7 EE E0 00		inc $00E0
	0057DA EE E0 00		inc $00E0
	0057DD EE E0 00		inc $00E0
	0057E0 80 03		bra $0057e5

0057E2	0057E2 20 CF 3B		jsr $3BCF
0057E5	0057E5 68		pla
	0057E6 4A		lsr a
	0057E7 90 03		bcc $0057ec
	0057E9 20 C5 3B		jsr $3BC5
0057EC	0057EC 8E 01 82		stx $8201
	0057EF A9 1F		lda #$1F
	0057F1 8D C1 00		sta $00C1
	0057F4 A9 38		lda #$38'8'
	0057F6 8D C2 00		sta $00C2
	0057F9 60		rts

0057FA	0057FA AE 75 87		ldx $8775
	0057FD E8		inx
	0057FE EC 01 82		cpx $8201
	005801 D0 09		bne $00580c
	005803 20 0C 38		jsr $380C
	005806 C2 20 1E 06	rba $20,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	00580A 80 12		bra $00581e

00580C	00580C 8E 75 87		stx $8775
	00580F BD 01 82		lda $8201,x
	005812 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	005815 E0 01		cpx #$01
	005817 D0 05		bne $00581e
005819	005819 F2 0A 06 02 FB	bas $060A,$02,$005819	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
00581E	00581E 60		rts

00581F	00581F E2 0F 06 80 01	bar $060F,$80,$005825	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	005824 60		rts

005825	005825 A9 0A		lda #$0A
	005827 8D 04 02		sta $0204
	00582A A9 00		lda #$00
	00582C 8D 05 02		sta $0205
	00582F 17 5D		rmb 1,$5D
005831	005831 1F 5D FD		bbr 1,$5D,$005831
	005834 C2 10 05 06	rba $10,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	005838 20 2C F4		jsr $F42C
	00583B 20 43 F5		jsr $F543{rtson}
00583E	00583E 20 81 F9		jsr $F981
	005841 F0 FB		beq $00583e
	005843 A9 0A		lda #$0A
	005845 8D 04 02		sta $0204
	005848 A9 00		lda #$00
	00584A 8D 05 02		sta $0205
	00584D 17 5D		rmb 1,$5D
00584F	00584F 1F 5D FD		bbr 1,$5D,$00584f
	005852 D2 10 06 06	sba $10,$0606		;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
005856	005856 E2 0A 06 02 FB	bar $060A,$02,$005856	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	00585B A9 09		lda #$09
	00585D 8D 04 02		sta $0204
	005860 A9 00		lda #$00
	005862 8D 05 02		sta $0205
	005865 17 5D		rmb 1,$5D
005867	005867 1F 5D FD		bbr 1,$5D,$005867
	00586A A9 00		lda #$00
	00586C 8D 75 87		sta $8775
	00586F 37 59		rmb 3,$59
	005871 A9 87		lda #$87
	005873 8D 6F 02		sta $026F
	005876 A9 E0		lda #$E0
	005878 8D 70 02		sta $0270
	00587B B7 59		smb 3,$59
	00587D D2 20 1E 06	sba $20,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	005881 A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
	005883 A9 A2		lda #$A2
	005885 8D C1 00		sta $00C1
	005888 A9 35		lda #$35'5'
	00588A 8D C2 00		sta $00C2
	00588D 60		rts

00588E	00588E F2 5B 01 01 29	bas $015B,$01,$0058bc
	005893 AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	005896 1F 68 0B		bbr 1,$68,$0058a4
	005899 C9 80		cmp #$80
	00589B D0 07		bne $0058a4
	00589D A9 FF		lda #$FF
	00589F 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	0058A2 80 41		bra $0058e5

0058A4	0058A4 C9 E0		cmp #$E0
	0058A6 D0 3D		bne $0058e5
	0058A8 A9 05		lda #$05
	0058AA 8D 18 02		sta $0218
	0058AD A9 00		lda #$00
	0058AF 8D 19 02		sta $0219
	0058B2 37 5E		rmb 3,$5E
	0058B4 48		pha
	0058B5 D2 01 5B 01	sba $01,$015B
	0058B9 68		pla
	0058BA 80 29		bra $0058e5

0058BC	0058BC BF 5E 22		bbs 3,$5E,$0058e1
	0058BF AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	0058C2 C9 E0		cmp #$E0
	0058C4 F0 1F		beq $0058e5
	0058C6 A2 00		ldx #$00
0058C8	0058C8 DD B3 2F		cmp $2FB3,x
	0058CB F0 07		beq $0058d4
	0058CD E8		inx
	0058CE E0 08		cpx #$08
	0058D0 D0 F6		bne $0058c8
	0058D2 80 11		bra $0058e5

0058D4	0058D4 8D 6D 87		sta $876D
	0058D7 C2 01 5B 01	rba $01,$015B
	0058DB D2 02 5B 01	sba $02,$015B
	0058DF 80 04		bra $0058e5

0058E1	0058E1 C2 01 5B 01	rba $01,$015B
0058E5	0058E5 60		rts

0058E6	0058E6 F2 1E 06 04 08	bas $061E,$04,$0058f3	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	0058EB 20 DA 3B		jsr $3BDA
	0058EE 20 5F 39		jsr $395F
	0058F1 38		sec
	0058F2 60		rts

0058F3	0058F3 18		clc
	0058F4 60		rts

0058F5	0058F5 AD 0A 06		lda $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	0058F8 AE 00 06		ldx $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	0058FB A8		tay
	0058FC 29 39		and #$39'9'
	0058FE F0 13		beq $005913
	005900 4A		lsr a
	005901 B0 34		bcs $005937
	005903 E2 5B 01 20 2E	bar $015B,$20,$005936
	005908 AE 01 84		ldx $8401
	00590B D0 1D		bne $00592a
	00590D C2 20 5B 01	rba $20,$015B
	005911 80 23		bra $005936

005913	005913 FF 6E 20		bbs 7,$6E,$005936
	005916 E2 5B 01 20 1B	bar $015B,$20,$005936
	00591B 8A		txa
	00591C AE 01 84		ldx $8401
	00591F E0 40		cpx #$40'@'
	005921 B0 07		bcs $00592a
	005923 9D 02		sta $8402,x
	006925 EE 01 84		inc $8401
	005929 60		rts

00592A	00592A F7 6E		smb 7,$6E
	00592C A9 00		lda #$00
	00592E 8D 74 87		sta $8774
	005931 A9 00		lda #$00
	005933 8D 01 84		sta $8401
005936	005936 60		rts

005937	005937 F2 5B 01 20 15	bas $015B,$20,$005951
	00593C D2 20 5B 01	sba $20,$015B
	005940 77 6E		rmb 7,6E
	005942 80 1A		bra $00595e

005944	005944 A9 00		lda #$00
	005946 8D 01 84		sta $8401
	005949 F7 6E		smb 7,$6E
	00594B C2 20 5B 01	rba $20,$015B
	00594F 80 0D		bra $00595e

005951	005951 AE 01 84		ldx $8401
	005954 F0 08		beq $00595e
	005956 C2 04 1E 06	rba $04,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	00595A C2 20 5B 01	rba $20,$015B
00595E	00595E 60		rts

00595F	00595F B2 01 DE		sti #$01,$DE
	005962 B2 84 DF		sti #$84,$DF
	005965 20 BF 3B		jsr $3BBF
	005968 29 0F		and #$0F
	00596A 8D 6F 87		sta $876F
	00596D C9 06		cmp #$06
	00596F F0 08		beq $005979
	005971 C9 07		cmp #$07
	005973 F0 04		beq $005979
	005975 C9 0C		cmp #$0C
	005977 90 03		bcc $00597c
005979	005979 4C 24 3B		jmp $3B24

00597C	00597C AD 6F 87		lda $876F
	00597F 29 0C		and #$0C
	005981 F0 01		beq $005984
	005983 60		rts

005984	005984 20 BF 3B		jsr $3BBF
	005987 A8		tay
	005988 2D 79 87		and $8779
	00598B 4A		lsr a
	00598C D2 01 5C 01	sba $01,$015C
	005990 AD 79 87		lda $8779
	005993 B0 08		bcs $00599d
	005995 48		pha
	005996 C2 01 5C 01	rba $01,$015C
	00599A 68		pla
	00599B 29 FE		and #$FE
00599D	00599D 8D 82 87		sta $8782
	0059A0 AD 6F 87		lda $876F
	0059A3 C9 01		cmp #$01
	0059A5 D0 0B		bne $0059b2
	0059A7 98		tya
	0059A8 29 08		and #$08
	0059AA F0 06		beq $0059b2
	0059AC 48		pha
	0059AD D2 02 5C 01	sba $02,$015C
	0059B1 68		pla
0059B2	0059B2 98		tya
	0059B3 0A		asl a
	0059B4 B0 07		bcs $0059bd
	0059B6 A2 00		ldx #$00
	0059B8 20 42 3B		jsr $3B42
	0059BB B0 BC		bcs $005979
0059BD	0059BD A2 00		ldx #$00
	0059BF 20 51 3B		jsr $3B51
	0059C2 B0 B5		bcs $005979
	0059C4 20 BF 3B		jsr $3BBF
	0059C7 0A		asl a
	0059C8 B0 07		bcs $0059d1
	0059CA A2 00		ldx #$00
	0059CC 20 42 3B		jsr $3B42
	0059CF B0 A8		bcs $005979
0059D1	0059D1 20 BF 3B		jsr $3BBF
	0059D4 8D 77 87		sta $8777
	0059D7 2D 7A 87		and $877A
	0059DA 8D 83 87		sta $8783
	0059DD AD 77 87		lda $8777
	0059E0 0A		asl a
	0059E1 B0 08		bcs $0059eb
	0059E3 20 51 3B		jsr $3B51
	0059E6 90 03		bcc $0059eb
	0059E8 4C 24 3B		jmp $3B24

0059EB	0059EB A2 00		ldx #$00
	0059ED A9 01		lda #$01
	0059EF 85 40		sta $40
0059F1	0059F1 E0 80		cpx #$80
	0059F3 D0 01		bne $0059f6
	0059F5 60		rts

0059F6	0059F6 4E 77 87		lsr $8777
	0059F9 90 08		bcc $005a03
	0059FB 20 31 3B		jsr $3B31
	0059FE 90 03		bcc $005a03
	005A00 4C 24 3B		jmp $3B24

005A03	005A03 06 40		asl $40
	005A05 A6 40		ldx $40
	005A07 80 E8		bra $0059f1

005A09	005A09 C2 04 5C 01	rba $04,$015C
	005A0D A2 00		ldx #$00
005A0F	005A0F 20 BF 3B		jsr $3BBF
	005A12 48		pha
	005A13 3D 7B 87		and $877B,x
	005A16 9D 84 87		sta $8784,x
	005A18 9D		!!!
	005A1A 5D 01 68		eor $6801,x
	005A1D 0A		asl a
	005A1E 08		php
	005A1F 0A		asl a
	005A20 90 06		bcc $005a28
	005A22 28		plp
	005A23 B0 0E		bcs $005a33
	005A25 4C 90 3B		jmp $3B90

005A28	005A28 E8		inx
	005A29 28		plp
	005A2A E0 03		cpx #$03
	005A2C 90 E1		bcc $005a0f
	005A2E A2 00		ldx #$00
	005A30 4C 78 3B		jmp $3B78

005A33	005A33 18		clc
	005A34 60		rts

005A35	005A35 20 BF 3B		jsr $3BBF
	005A38 8D 78 87		sta $8778
	005A3B 2D 7E 87		and $877E
	005A3E 8D 87 87		sta $8787
	005A41 4A		lsr a
	005A42 90 0A		bcc $005a4e
	005A44 48		pha
	005A45 D2 08 71 01	sba $08,$0171
	005A49 C2 04 5C 01	rba $04,$015C
	005A4D 68		pla
005A4E	005A4E 4A		lsr a
	005A4F B0 04		bcs $005a55
	005A51 A0 04		ldy #$04
	005A53 80 15		bra $005a6a

005A55	005A55 48		pha
	005A56 C2 04 5C 01	rba $04,$015C
	005A5A 68		pla
	005A5B A0 01		ldy #$01
	005A5D 4A		lsr a
	005A5E 4A		lsr a
	005A5F 90 09		bcc $005a6a
	005A61 AC BB 00		ldy $00BB
	005A64 C0 02		cpy #$02
	005A66 D0 02		bne $005a6a
	005A68 A0 02		ldy #$02
005A6A	005A6A 8C 86 01		sty $0186
	005A6D AD 78 87		lda $8778
	005A70 0A		asl a
	005A71 08		php
	005A72 0A		asl a
	005A73 B0 2E		bcs $005aa3
	005A75 28		plp
	005A76 A2 00		ldx #$00
005A78	005A78 20 BF 3B		jsr $3BBF
	005A7B 8D 78 87		sta $8778
	005A7E 3D 7F 87		and $877F,x
	005A81 9D 88		sta $88,x
	005A83 87 E0		smb 0,$E0
	005A85 01 D0		ora ($D0)
	005A87 02		mpy
	005A88 29 C3		and #$C3
	005A8A 9D 5D		sta $5D,x
	005A8C 01 AD		ora ($AD)
	005A8E 78		sei
	005A8F 87 0A		smb 0,$0A		;Cx9 External Interrupt Register
	005A91 08		php
	005A92 0A		asl a
	005A93 B0 0E		bcs $005aa3
	005A95 28		plp
	005A96 E8		inx
	005A97 E0 02		cpx #$02
	005A99 90 DD		bcc $005a78
	005A9B A2 00		ldx #$00
	005A9D 20 78 3B		jsr $3B78
	005AA0 90 0C		bcc $005aae
	005AA2 60		rts

005AA3	005AA3 28		plp
	005AA4 B0 08		bcs $005aae
	005AA6 A2 00		ldx #$00
	005AA8 20 90 3B		jsr $3B90
	005AAB 90 01		bcc $005aae
	005AAD 60		rts

005AAE	005AAE E2 71 01 08 0F	bar $0171,$08,$005ac2
	005AB3 AD 87 87		lda $8787
	005AB6 29 C9		and #$C9
	005AB8 8D 87 87		sta $8787
	005ABB A9 04		lda #$04
	005ABD 8D 86 01		sta $0186
	005AC0 80 0E		bra $005ad0

005AC2	005AC2 AD 86 01		lda $0186
	005AC5 C9 04		cmp #$04
	005AC7 D0 07		bne $005ad0
	005AC9 AD 83 87		lda $8783
	005ACC 29 81		and #$81
	005ACE 80 05		bra $005ad5

005AD0	005AD0 AD 83 87		lda $8783
	005AD3 29 82		and #$82
005AD5	005AD5 8D 83 87		sta $8783
	005AD8 80 00		bra $005ada

005ADA	005ADA 18		clc
	005ADB 60		rts

005ADC	005ADC E2 5C 01 10 19	bar $015C,$10,$005afa
	005AE1 A9 04		lda #$04
	005AE3 8D 86 01		sta $0186
	005AE6 C2 08 71 01	rba $08,$0171
	005AEA C2 04 5C 01	rba $04,$015C
	005AEE 97 6F		smb 1,$6F
	005AF0 87 81		smb 0,$81
	005AF2 AD 7A 87		lda $877A
	005AF5 29 C4		and #$C4
	005AF7 8D 83 87		sta $8783
005AFA	005AFA 20 BF 3B		jsr $3BBF
	005AFD 0A		asl a
	005AFE 08		php
	005AFF 0A		asl a
	005B00 B0 03		bcs $005b05
	005B02 28		plp
005B03	005B03 38		sec
	005B04 60		rts

005B05	005B05 28		plp
	005B06 B0 07		bcs $005b0f
	005B08 A2 00		ldx #$00
	005B0A 20 78 3B		jsr $3B78
	005B0D B0 F4		bcs $005b03
005B0F	005B0F 18		clc
	005B10 60		rts

005B11	005B11 AD 6F 87		lda $876F
	005B14 C9 01		cmp #$01
	005B16 D0 04		bne $005b1c
	005B18 D2 04 5C 01	sba $04,$015C
005B1C	005B1C A2 00		ldx #$00
	005B1E 20 78 3B		jsr $3B78
	005B21 B0 01		bcs $005b24
	005B23 60		rts

005B24	005B24 A9 00		lda #$00
	005B26 8D 01 84		sta $8401
	005B29 F7 6E		smb 7,$6E
	005B2B 9F 6F 02		bbs 1,$6F,$005b30
	005B2E 77 98		rmb 7,98
005B30	005B30 60		rts

005B31	005B31 7C 34 3B		jmp $3B34,x

005B34	005B34 09 3A		ora #$3A':'
	005B36 35 3A		and $3A,x		;Cx9	serial mode register
	005B38 DC		???			;undocumented opcode
	005B39 3A		asr a
	005B3A 11 3B		ora ($3B),x		;Cx9	serial line control register
	005B3C 11 3B		ora ($3B),x		;Cx9	serial line control register
	005B3E 11 3B		ora ($3B),x		;Cx9	serial line control register
	005B40 11 3B		ora ($3B),x		;Cx9	serial line control register
005B42	005B42 20 BF 3B		jsr $3BBF
	005B45 0A		asl a
	005B46 B0 07		bcs $005b4f
	005B48 E8		inx
	005B49 E0 03		cpx #$03
	005B4B 90 F5		bcc $005b42
	005B4D 38		sec
	005B4E 60		rts

005B4F	005B4F 18		clc
	005B50 60		rts

005B51	005B51 20 BF 3B		jsr $3BBF
	005B54 85 45		sta $45
	005B56 0A		asl a
	005B57 90 17		bcc $005b70
	005B59 A2 00		ldx #$00
	005B5B A9 01		lda #$01
	005B5D 85 41		sta $41
005B5F	005B5F E0 80		cpx #$80
	005B61 D0 02		bne $005b65
	005B63 18		clc
	005B64 60		rts

005B65	005B65 46 45		lsr $45
	005B67 90 09		bcc $005b72
	005B69 A2 00		ldx #$00
	005B6B 20 78 3B		jsr $3B78
	005B6E 90 02		bcc $005b72
005B70	005B70 38		sec
	005B71 60		rts

005B72	005B72 06 41		asl $41
	005B74 A6 41		ldx $41
	005B76 80 E7		bra $005b5f

005B78	005B78 20 BF 3B		jsr $3BBF
	005B7B E8		inx
	005B7C 0A		asl a
	005B7D 08		php
	005B7E 0A		asl a
	005B7F B0 07		bcs $005b88
	005B81 28		plp
	005B82 E0 03		cpx #$03
	005B84 90 F2		bcc $005b78
	005B86 38		sec
	005B87 60		rts

005B88	005B88 28		plp
	005B89 B0 03		bcs $005b8e
	005B8B 4C 90 3B		jmp $3B90

005B8E	005B8E 18		clc
	005B8F 60		rts

005B90	005B90 20 BF 3B		jsr $3BBF
	005B93 85 46		sta $46
	005B95 0A		asl a
	005B96 08		php
	005B97 0A		asl a
	005B98 90 20		bcc $005bba
	005B9A 28		plp
	005B9B 90 1E		bcc $005bbb
	005B9D A2 00		ldx #$00
	005B9F A9 01		lda #$01
	005BA1 85 42		sta $42
005BA3	005BA3 E0 40		cpx #$40'@'
	005BA5 F0 16		beq $005bbd
	005BA7 46 46		lsr $46
	005BA9 90 09		bcc $005bb4
	005BAB DA		phx
	005BAC A2 00		ldx #$00
	005BAE 20 78 3B		jsr $3B78
	005BB1 FA		plx
	005BB2 B0 07		bcs $005bbb
005BB4	005BB4 06 42		asl $42
	005BB6 A6 42		ldx $42
	005BB8 80 E9		bra $005ba3

005BBA	005BBA 28		plp
005BBB	005BBB 38		sec
	005BBC 60		rts

005BBD	005BBD 18		clc
	005BBE 60		rts

005BBF	005BBF EE DE 00		inc $00DE
	005BC2 A1 DE		lda ($DE)
	005BC4 60		rts

005BC5	005BC5 A1 E0		lda ($E0)
	005BC7 EE E0 00		inc $00E0
	005BCA E8		inx
	005BCB 9D 01		sta $01,x		;Cx9	port B (output only)
	005BCD 82		???			;undocumented opcode
	005BCE 60		rts

005BCF	005BCF 48		pha
005BD0	005BD0 20 C5 3B		jsr $3BC5
	005BD3 C8		iny
	005BD4 C0 03		cpy #$03
	005BD6 90 F8		bcc $005bd0
	005BD8 68		pla
	005BD9 60		rts

005BDA	005BDA 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	005BDC C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	005BE0 C2 20 1E 06	rba $20,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	005BE4 C2 01 08 06	rba $01,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	005BE8 60		rts

005BE9	005BE9 A9 00		lda #$00
	005BEB 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	005BEE A9 00		lda #$00
	005BF0 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	005BF3 A9 46		lda #$46'F'
	005BF5 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	005BF8 A9 A2		lda #$A2
	005BFA 20 9C FC		jsr $FC9C{meaddh_w}
	005BFD 60		rts

;;; turn on MF tones detector

005BFE	005BFE A9 39		lda #$39		;! DSP RAM location 439
	005C00 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	005C03 A9 84		lda #$84
	005C05 20 9C FC		jsr $FC9C{meaddh_w}
	005C08 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	005C0B 09 01		ora #$01	;! enable V.8bis tone detectors
	005C0D 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	005C10 A9 A4		lda #$A4
	005C12 20 9C FC		jsr $FC9C{meaddh_w}
	005C15 4C 77 FA		jmp $FA77{newc_w}

;;; 003C18 turn off MF tones detector

005C18	005C18 A9 39		lda #$39'9'
	005C1A 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	005C1D A9 84		lda #$84
	005C1F 20 9C FC		jsr $FC9C{meaddh_w}
	005C22 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	005C25 29 FE		and #$FE
	005C27 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	005C2A A9 A4		lda #$A4
	005C2C 20 9C FC		jsr $FC9C{meaddh_w}
	005C2F 4C 77 FA		jmp $FA77{newc_w}

005C32	005C32 20 B0 F3		jsr $F3B0
	005C35 A9 06		lda #$06
	005C37 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	005C3A A9 83		lda #$83
	005C3C 20 9C FC		jsr $FC9C{meaddh_w}
	005C3F AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	005C42 09 20		ora #$20' '
	005C44 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	005C47 A9 A3		lda #$A3
	005C49 4C 9C FC		jmp $FC9C{meaddh_w}

005C4C	005C4C D2 40 5C 01	sba $40,$015C
	005C50 F2 09 06 10 04	bas $0609,$10,$005c59	;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	005C55 C2 40 5C 01	rba $40,$015C
005C59	005C59 60		rts

;;; 3C5A - just understood that it wasn't "CID"

005C5A	005C5A 77 61		rmb 7,$61
	005C5C 37 86		rmb 3,$86
	005C5E 27 86		rmb 2,$86
	005C60 B2 F6 42		sti #$F6,$42		;! string table
	005C63 B2 3C 43		sti #$3C,$43
	005C66 A2 FF		ldx #$FF
005C68	005C68 E8		inx
	005C69 A5 A7		lda $A7
	005C6B 85 40		sta $40
	005C6D A5 A8		lda $A8
	005C6F 85 41		sta $41
	005C71 20 EB 4E		jsr $4EEB
	005C74 F0 07		beq $005c7d
	005C76 A1 42		lda ($42)
	005C78 D0 EE		bne $005c68
	005C7A 4C 16 2E		jmp $2E16

005C7D	005C7D A5 40		lda $40
	005C7F 85 A7		sta $A7
	005C81 A5 41		lda $41
	005C83 85 A8		sta $A8
	005C85 B2 62 42		sti #$62'b',$42		;! jump table
	005C88 B2 3D 43		sti #$3D'=',$43
	005C8B 8A		txa
	005C8C 0A		asl a
	005C8D 0A		asl a
	005C8E AA		tax
	005C8F B1 42		lda ($42),x
	005C91 85 40		sta $40
	005C93 E8		inx
	005C94 B1 42		lda ($42),x
	005C96 85 41		sta $41
	005C98 E8		inx
	005C99 B1 42		lda ($42),x
	005C9B 85 44		sta $44
	005C9D E8		inx
	005C9E B1 42		lda ($42),x
	005CA0 C9 FF		cmp #$FF
	005CA2 D0 08		bne $005cac
	005CA4 BF 86 49		bbs 3,$86,$005cf0
	005CA7 AF 86 46		bbs 2,$86,$005cf0
	005CAA 80 34		bra $005ce0

005CAC	005CAC 8F 47 41		bbs 0,$47,$005cf0
	005CAF C9 FE		cmp #$FE
	005CB1 D0 08		bne $005cbb
	005CB3 AF 86 2A		bbs 2,$86,$005ce0
	005CB6 3F 86 37		bbr 3,$86,$005cf0
	005CB9 80 0A		bra $005cc5

005CBB	005CBB C9 FD		cmp #$FD
	005CBD D0 0B		bne $005cca
	005CBF BF 86 2E		bbs 3,$86,$005cf0
	005CC2 2F 86 2B		bbr 2,$86,$005cf0
005CC5	005CC5 A5 44		lda $44
	005CC7 4C 0F 5B		jmp $5B0F

005CCA	005CCA AF 86 13		bbs 2,$86,$005ce0
	005CCD 3F 86 03		bbr 3,$86,$005cd3
	005CD0 4C 0F 5B		jmp $5B0F

005CD3	005CD3 A6 44		ldx $44
	005CD5 E0 00		cpx #$00
	005CD7 F0 07		beq $005ce0
	005CD9 E8		inx
	005CDA 8A		txa
	005CDB 20 DF 5A		jsr $5ADF
	005CDE B0 10		bcs $005cf0
005CE0	005CE0 20 F3 3C		jsr $3CF3
	005CE3 A1 A7		lda ($A7)
	005CE5 C9 3B		cmp #$3B';'
	005CE7 D0 06		bne $005cef
	005CE9 E6 A7		inc $A7
	005CEB D0 02		bne $005cef
	005CED E6 A8		inc $A8
005CEF	005CEF 60		rts

005CF0	005CF0 4C 16 2E		jmp $2E16

005CF3	005CF3 6C 40 00		jmp ($0040)

005CF6	005CF6			.asciz /BDR/		1
	005CFA			.asciz /CLS/
	005CFE			.asciz /FPP/
	005D02			.asciz /MDL/
	005D06			.asciz /MFR/
	005D0A			.asciz /REV/
	005D0E			.asciz /SPK/
	005D12			.asciz /VBS/
	005D16			.asciz /VCI/
	005D1A			.asciz /VBT/
	005D1E			.asciz /VTM/
	005D22			.asciz /VTD/
	005D26			.asciz /VTS/
	005D2A			.asciz /VLS/
	005D2E			.asciz /VRX/
	005D32			.asciz /VRA/
	005D36			.asciz /VRN/
	005D40			.asciz /VSS/
	005D3E			.asciz /VSD/
	005D42			.asciz /VSP/
	005D46			.asciz /VSR/
	005D4A			.asciz /VTX/
	005D4E			.asciz /VGR/
	005D52			.asciz /VBQ/
	005D56			.asciz /VSK/
	005D5A			.asciz /VGT/
	005D5E			.asciz /TL/             27
	005D61 00               brk

005D62	CE 3D 00 2C             BDR
	26 3E 08 2D             CLS
	5F 3F 00 00             FPP
	EB 4A 17 FD             MDL	//
	EB 4A 16 FD             MFR	//
	EB 4A 19 FD             REV	/V2.200F6-V3/
	89 40 00 3F             SPK
	F9 41 08 2E             VBS
	EB 4A 34 FD             VCI	//
	33 42 28 35             VBT
	4A 42 0A 3B             VTM
	85 42 00 39             VTD
	D2 42 00 FF             VTS
	FF 45 09 3E             VLS
	68 3F 00 FF             VRX
	85 3F 00 0A             VRA
	95 3F 00 0A             VRN
	A5 3F 03 03             VSS
	BC 3F 01 01             VSD
	D3 3F 00 0A             VSP
	E3 3F 00 36             VSR
	67 40 00 FF             VTX
	5F 3F 00 00             VGR
	EB 4A 38 FD             VBQ	//
	72 42 00 3A             VSK
	C5 4A 83 3D             VGT
	A5 4A 00 FF             TL

;;; --- `AT#BDR'

005DCE	005DCE AF 86 3C		bbs 2,$86,$005e0d
	005DD1 20 DF 5A		jsr $5ADF
	005DD4 C9 00		cmp #$00
	005DD6 D0 0D		bne $005de5
	005DD8 48		pha
	005DD9 A9 C0		lda #$C0
	005DDB 25 9A		and $9A
005DDD	005DDD 85 9A		sta $9A
	005DDF 68		pla
	005DE0 05 9A		ora $9A
	005DE2 85 9A		sta $9A
	005DE4 60		rts

005DE5	005DE5 85 40		sta $40
	005DE7 A0 00		ldy #$00
005DE9	005DE9 B9 14 3E		lda $3E14,y
005DEC	005DEC 30 1C		bmi $005e0a
	005DEE C5 40		cmp $40
	005DF0 F0 03		beq $005df5
	005DF2 C8		iny
	005DF3 80 F4		bra $005de9

005DF5	005DF5 48		pha
	005DF6 A9 C0		lda #$C0
	005DF8 25 9A		and $9A
	005DFA 85 9A		sta $9A
	005DFC 68		pla
	005DFD 05 9A		ora $9A
	005DFF 85 9A		sta $9A
	005E01 B9 1D 3E		lda $3E1D,y
	005E04 8D 5B 04		sta $045B
	005E07 4C 6D EF		jmp $EF6D

005E0A	005E0A 4C 16 2E		jmp $2E16

005E0D	005E0D A5 9A		lda $9A
	005E0F 29 3F		and #$3F'?'
	005E11 4C EB 5A		jmp $5AEB

005E14	005E14 01 02		ora ($02)		;Cx9	port C (bidirectional)
	005E16 03		tip
	005E17 04		???			;undocumented opcode
	005E18 08		php
	005E19 10 18		bpl $005e33
	005E1B 30 FF		bmi $005e1c
	005E1D 05 06		ora $06			;Cx9	port C direction (W)
	005E1F 0D 07 08		ora $0807
	005E22 09 11		ora #$11
	005E24 12		mpa
	005E25 1F

;;; --- `AT#CLS'

005E36	005E36 2F 86 07		bbr 2,$86,$005e30
	005E29 A5 9B		lda $9B
	005E2B 29 0F		and #$0F
	005E2D 4C EB 5A		jmp $5AEB

005E30	005E30 85 47		sta $47
	005E32 A5 9B		lda $9B
	005E34 29 0F		and #$0F
	005E36 C5 47		cmp $47
	005E38 D0 01		bne $005e3b
	005E3A 60		rts

005E3B	005E3B A5 47		lda $47
	005E3D C9 10		cmp #$10
	005E3F F0 14		beq $005e55
	005E41 C9 08		cmp #$08
	005E43 D0 04		bne $005e49
	005E45 48		pha
	005E46 68		pla
	005E47 80 0C		bra $005e55

005E49	005E49 C9 01		cmp #$01
	005E4B BF 48 02		bbs 3,$48,$005e50
	005E4E C9 02		cmp #$02
005E50	005E50 90 03		bcc $005e55
	005E52 4C 16 2E		jmp $2E16

005E55	005E55 48		pha
	005E56 A9 00		lda #$00
	005E58 48		pha
	005E59 A9 F8		lda #$F8
	005E5B 25 69		and $69
	005E5D 85 69		sta $69
	005E5F 68		pla
	005E60 05 69		ora $69
	005E62 85 69		sta $69
	005E64 E2 31 01 20 1A	bar $0131,$20,$005e83
	005E69 C2 20 31 01	rba $20,$0131
	005E6D 2F 88 13		bbr 2,$88,$005e83
	005E70 AD 70 86		lda $8670
	005E73 C9 05		cmp #$05
	005E75 F0 08		beq $005e7f
	005E77 C9 06		cmp #$06
	005E79 F0 04		beq $005e7f
	005E7B C9 00		cmp #$00
	005E7D D0 04		bne $005e83
005E7F	005E7F 87 57		smb 0,$57
	005E81 80 02		bra $005e85

005E83	005E83 07 57		rmb 0,$57
005E85	005E85 68		pla
	005E86 AA		tax
	005E87 48		pha
	005E88 A9 F0		lda #$F0
	005E8A 25 9B		and $9B
	005E8C 85 9B		sta $9B
	005E8E 68		pla
	005E8F 05 9B		ora $9B
	005E91 85 9B		sta $9B
	005E93 BF 9B 12		bbs 3,$9B,$005ea8
	005E96 8A		txa
	005E97 48		pha
	005E98 A9 F8		lda #$F8
	005E9A 25 69		and $69
	005E9C 85 69		sta $69
	005E9E 68		pla
	005E9F 05 69		ora $69
	005EA1 85 69		sta $69
	005EA3 20 EA F8		jsr $F8EA
	005EA6 80 3C		bra $005ee4

005EA8	005EA8 A0 05		ldy #$05
	005EAA F0 0C		beq $005eb8
	005EAC 88		dey
005EAD	005EAD B9 92 02		lda $0292,y
	005EB0 99 9D		sta $9D,y
	005EB2 00		brk
	005EB3 88		dey
	005EB4 C0 FF		cpy #$FF
	005EB6 D0 F5		bne $005ead
005EB8	005EB8 A5 9E		lda $9E
	005EBA 29 78		and #$78'x'
	005EBC 4A		lsr a
	005EBD 4A		lsr a
	005EBE 4A		lsr a
	005EBF C9 05		cmp #$05
	005EC1 90 0A		bcc $005ecd
	005EC3 C7 9B		smb 4,$9B
	005EC5 C9 08		cmp #$08
	005EC7 F0 02		beq $005ecb
	005EC9 47 9B		rmb 4,$9B
005ECB	005ECB F7 9B		smb 7,$9B
005ECD	005ECD D7 9C		smb 5,$9C
	005ECF 17 9C		rmb 1,$9C
	005ED1 CF 07 02		bbs 4,$07,$005ed6	;Cx9	port E (R/W)
	005ED4 97 9C		smb 1,$9C
005ED6	005ED6 E7 9B		smb 6,$9B
	005ED8 A9 D4		lda #$D4
	005EDA 8D D7 00		sta $00D7
	005EDD A9 6B		lda #$6B'k'
	005EDF 8D D8 00		sta $00D8
	005EE2 80 10		bra $005ef4

005EE4	005EE4 A0 05		ldy #$05
	005EE6 F0 0C		beq $005ef4
	005EE8 88		dey
005EE9	005EE9 B9 9D 00		lda $009D,y
	005EEC 99 92		sta $92,y
	005EEE 02		mpy
	005EEF 88		dey
	005EF0 C0 FF		cpy #$FF
	005EF2 D0 F5		bne $005ee9
005EF4	005EF4 4F 61 25		bbr 4,$61,$005f1c
	005EF7 97 65		smb 1,$65
	005EF9 A9 FE		lda #$FE
	005EFB 8D 61 86		sta $8661
	005EFE 20 C9 E0		jsr $E0C9
	005F01 AD 70 86		lda $8670
	005F04 F0 10		beq $005f16
	005F06 C9 09		cmp #$09
	005F08 F0 04		beq $005f0e
	005F0A C9 04		cmp #$04
	005F0C B0 08		bcs $005f16
005F0E	005F0E AD 41 03		lda $0341
	005F11 20 DE E3		jsr $E3DE
	005F14 80 06		bra $005f1c

005F16	005F16 AD 42 03		lda $0342
	005F19 20 DE E3		jsr $E3DE
005F1C	005F1C FF 64 20		bbs 7,$64,$005f3f
	005F1F A5 9B		lda $9B
	005F21 29 0F		and #$0F
	005F23 F0 0B		beq $005f30
	005F25 A5 53		lda $53
	005F27 29 07		and #$07
	005F29 8D B9 03		sta $03B9
	005F2C A9 06		lda #$06
	005F2E 80 03		bra $005f33

005F30	005F30 AD B9 03		lda $03B9
005F33	005F33 48		pha
	005F34 A9 F8		lda #$F8
	005F36 25 53		and $53
	005F38 85 53		sta $53
	005F3A 68		pla
	005F3B 05 53		ora $53
	005F3D 85 53		sta $53
005F3F	005F3F 60		rts

005F40	005F40 AF 86 11		bbs 2,$86,$005f54
	005F43 0A		asl a
	005F44 0A		asl a
	005F45 0A		asl a
	005F46 0A		asl a
	005F47 48		pha
	005F48 A9 CF		lda #$CF
	005F4A 25 50		and $50
	005F4C 85 50		sta $50
	005F4E 68		pla
	005F4F 05 50		ora $50
	005F51 85 50		sta $50
	005F53 60		rts

005F54	005F54 A5 50		lda $50
	005F56 29 30		and #$30'0'
	005F58 4A		lsr a
	005F59 4A		lsr a
	005F5A 4A		lsr a
	005F5B 4A		lsr a
	005F5C 4C EB 5A		jmp $5AEB

;;; --- `AT#FPP' `AT#VGR'

005F5F	005F5F AF 86 01		bbs 2,$86,$005f63
	005F62 60		rts

005F63	005F63 A9 00		lda #$00
	005F65 4C EB 5A		jmp $5AEB

;;; --- `AT#VRX'

005F68	005F68 E2 2E 01 04 0E	bar $012E,$04,$005f7b
	005F6D E2 2E 01 10 09	bar $012E,$10,$005f7b
	005F72 0F 57 06		bbr 0,$57,$005f7b
	005F75 1F 61 03		bbr 1,$61,$005f7b
	005F78 8F 47 03		bbs 0,$47,$005f7e
005F7B	005F7B 4C 16 2E		jmp $2E16

005F7E	005F7E 07 85		rmb 0,$85
	005F80 A9 41		lda #$41'A'
	005F82 4C 81 40		jmp $4081

;;; --- `AT#VRA'

005F85	005F85 AF 86 07		bbs 2,$86,$005f8f
	005F88 20 DF 5A		jsr $5ADF
	005F8B 8D 66 86		sta $8666
	005F8E 60		rts

005F8F	005F8F AD 66 86		lda $8666
	005F92 4C EB 5A		jmp $5AEB

;;; --- `AT#VRN'

005F95	005F95 AF 86 07		bbs 2,$86,$005f9f
	005F98 20 DF 5A		jsr $5ADF
	005F9B 8D 67 86		sta $8667
	005F9E 60		rts

005F9F	005F9F AD 67 86		lda $8667
	005FA2 4C EB 5A		jmp $5AEB

;;; --- `AT#VSS'

005FA5	005FA5 AF 86 0D		bbs 2,$86,$005fb5
	005FA8 48		pha
	005FA9 A9 FC		lda #$FC
	005FAB 25 9E		and $9E
	005FAD 85 9E		sta $9E
	005FAF 68		pla
	005FB0 05 9E		ora $9E
	005FB2 85 9E		sta $9E
	005FB4 60		rts

005FB5	005FB5 A5 9E		lda $9E
	005FB7 29 03		and #$03
	005FB9 4C EB 5A		jmp $5AEB

;;; --- `AT#VSD'

005FBC	005FBC AF 86 0B		bbs 2,$86,$005fca
	005FBF A7 9E		smb 2,$9E
	005FC1 6A		ror a
	005FC2 B0 02		bcs $005fc6
	005FC4 27 9E		rmb 2,$9E
005FC6	005FC6 60		rts

005FC7	005FC7 4C 16 2E		jmp $2E16

005FCA	005FCA A5 9E		lda $9E
	005FCC 29 04		and #$04
	005FCE 4A		lsr a
	005FCF 4A		lsr a
	005FD0 4C EB 5A		jmp $5AEB

;;; --- `AT#VSP'

005FD3	005FD3 AF 86 07		bbs 2,$86,$005fdd
	005FD6 20 DF 5A		jsr $5ADF
	005FD9 8D 65 86		sta $8665
	005FDC 60		rts

005FDD	005FDD AD 65 86		lda $8665
	005FE0 4C EB 5A		jmp $5AEB

;;; --- `AT#VSR'

005FE3	005FE3 AF 86 3C		bbs 2,$86,$006022
	005FE6 B2 29 42		sti #$29')',$42
	005FE9 B2 40 43		sti #$40'@',$43
	005FEC A2 FF		ldx #$FF
005FEE	005FEE E8		inx
	005FEF A5 A7		lda $A7
	005FF1 85 40		sta $40
	005FF3 A5 A8		lda $A8
	005FF5 85 41		sta $41
	005FF7 20 3B 40		jsr $403B
	005FFA F0 07		beq $006003
	005FFC A1 42		lda ($42)
	005FFE D0 EE		bne $005fee
	006000 4C 16 2E		jmp $2E16

006003	006003 A5 40		lda $40
	006005 85 A7		sta $A7
	006007 A5 41		lda $41
	006009 85 A8		sta $A8
	00600B 8A		txa
	00600C 0A		asl a
	00600D 0A		asl a
	00600E 0A		asl a
	00600F 0A		asl a
	006010 0A		asl a
	006011 0A		asl a
	006012 48		pha
	006013 A9 3F		lda #$3F'?'
	006015 25 9D		and $9D
	006017 85 9D		sta $9D
	006019 68		pla
	00601A 05 9D		ora $9D
	00601C 85 9D		sta $9D
	00601E 4C 7A E1		jmp $E17A

006021	006021 60		rts

006022	006022 4C CA E2		jmp $E2CA

006025	006025 29 40		and #$40'@'
	006027 2E 40 37		rol $3740
	00602A 32		pul
	00602B 30 30		bmi $00605d
	00602D 00		brk
	00602E 31 31		and ($31),x		;C39	only : FIFO int enable reg
	006030 30 32		bmi $006064
	006032 35 00		and $00,x		;Cx9	port A (bidirectional)
	006034 00		brk
	006035 37 32		rmb 3,$32		;Cx9	host control register
	006037 30 30		bmi $006069
	006039 00		brk
	00603A 00		brk
00603B	00603B A1 42		lda ($42)
	00603D D0 03		bne $006042
	00603F A9 00		lda #$00
	006041 60		rts

006042	006042 C1 40		cmp ($40)
	006044 D0 0E		bne $006054
	006046 E6 40		inc $40
	006048 D0 02		bne $00604c
	00604A E6 41		inc $41
00604C	00604C E6 42		inc $42
	00604E D0 02		bne $006052
	006050 E6 43		inc $43
006052	006052 80 E7		bra $00603b

006054	006054 E6 42		inc $42
	006056 D0 02		bne $00605a
	006058 E6 43		inc $43
00605A	00605A A1 42		lda ($42)
	00605C D0 F6		bne $006054
	00605E E6 42		inc $42
	006060 D0 02		bne $006064
	006062 E6 43		inc $43
006064	006064 A9 01		lda #$01
	006066 60		rts

;;; --- `AT#VTX'

006067	006067 E2 2E 01 04 0E	bar $012E,$04,$00607a
	00606C E2 2E 01 10 09	bar $012E,$10,$00607a
	006071 0F 57 06		bbr 0,$57,$00607a
	006074 1F 61 03		bbr 1,$61,$00607a
	006077 8F 47 03		bbs 0,$47,$00607d
00607A	00607A 4C 16 2E		jmp $2E16

00607D	00607D 87 85		smb 0,$85
	00607F A9 44		lda #$44'D'
	006081 8D DD 00		sta $00DD
	006084 B7 61		smb 3,$61
	006086 27 57		rmb 2,$57
	006088 60		rts

;;; --- `AT#SPK'

006089	006089 AF 86 02		bbs 2,$86,$00608e
	00608C 80 18		bra $0060a6

00608E	00608E 20 14 FE		jsr $FE14{out_crlf}
	006091 AD 7E 04		lda $047E
	006094 29 03		and #$03
	006096 20 3F 5A		jsr $5A3F
	006099 AD 7D 04		lda $047D
	00609C 20 3F 5A		jsr $5A3F
	00609F AD 7B 04		lda $047B
	0060A2 20 45 5A		jsr $5A45
	0060A5 60		rts

0060A6	0060A6 E2 52 01 01 05	bar $0152,$01,$0060b0
	0060AB F2 52 01 40 1B	bas $0152,$40,$0060cb
0060B0	0060B0 AD 79 04		lda $0479
	0060B3 D0 03		bne $0060b8
	0060B5 4C 16 2E		jmp $2E16

0060B8	0060B8 AD 70 86		lda $8670
	0060BB C9 05		cmp #$05
	0060BD F0 0C		beq $0060cb
	0060BF C9 06		cmp #$06
	0060C1 F0 03		beq $0060c6
	0060C3 4C 16 2E		jmp $2E16

0060C6	0060C6 F2 31 01 20 00	bas $0131,$20,$0060cb
0060CB	0060CB A5 A7		lda $A7
	0060CD 85 40		sta $40
	0060CF A5 A8		lda $A8
	0060D1 85 41		sta $41
	0060D3 A1 40		lda ($40)
	0060D5 C9 2C		cmp #$2C','
	0060D7 F0 62		beq $00613b
	0060D9 20 AC 2E		jsr $2EAC
	0060DC B0 04		bcs $0060e2
	0060DE C9 03		cmp #$03
	0060E0 90 03		bcc $0060e5
0060E2	0060E2 4C C3 41		jmp $41C3

0060E5	0060E5 8D 7E 04		sta $047E
	0060E8 E2 52 01 01 2D	bar $0152,$01,$00611a
	0060ED E2 52 01 40 28	bar $0152,$40,$00611a
	0060F2 48		pha
	0060F3 20 AE 4D		jsr $4DAE
	0060F6 68		pla
	0060F7 C9 02		cmp #$02
	0060F9 D0 0C		bne $006107
	0060FB A2 06		ldx #$06
	0060FD 20 6C 4D		jsr $4D6C
	006100 A9 00		lda #$00
	006102 20 9B FA		jsr $FA9B
	006105 80 2B		bra $006132

006107	006107 C9 01		cmp #$01
	006109 D0 0A		bne $006115
	00610B 20 AE 4D		jsr $4DAE
	00610E A9 02		lda #$02
	006110 20 9B FA		jsr $FA9B
	006113 80 1D		bra $006132

006115	006115 20 95 4D		jsr $4D95
	006118 80 18		bra $006132

00611A	00611A C9 02		cmp #$02
	00611C D0 05		bne $006123
	00611E 20 71 47		jsr $4771
	006121 80 0F		bra $006132

006123	006123 AE 70 86		ldx $8670
	006126 E0 05		cpx #$05
	006128 F0 05		beq $00612f
	00612A 20 C3 E3		jsr $E3C3
	00612D 80 03		bra $006132

00612F	00612F 20 C6 41		jsr $41C6
006132	006132 A1 40		lda ($40)
	006134 C9 2C		cmp #$2C','
	006136 F0 03		beq $00613b
	006138 4C 16 2E		jmp $2E16

00613B	00613B E6 40		inc $40
	00613D D0 02		bne $006141
	00613F E6 41		inc $41
006141	006141 A1 40		lda ($40)
	006143 C9 2C		cmp #$2C','
	006145 D0 02		bne $006149
	006147 80 25		bra $00616e

006149	006149 20 AC 2E		jsr $2EAC
	00614C B0 75		bcs $0061c3
	00614E C9 11		cmp #$11
	006150 B0 71		bcs $0061c3
	006152 8D 7D 04		sta $047D
	006155 E2 52 01 01 0E	bar $0152,$01,$006168
	00615A E2 52 01 40 09	bar $0152,$40,$006168
	00615F 8D 80 04		sta $0480		;Cx9 CRC	result low/input buffer
	006162 AE 80 04		ldx $0480		;Cx9 CRC	result low/input buffer
	006165 20 C7 4D		jsr $4DC7
006168	006168 A1 40		lda ($40)
	00616A C9 2C		cmp #$2C','
	00616C D0 55		bne $0061c3
00616E	00616E E6 40		inc $40
	006170 D0 02		bne $006174
	006172 E6 41		inc $41
006174	006174 A1 40		lda ($40)
	006176 C9 2C		cmp #$2C','
	006178 D0 08		bne $006182
	00617A E6 40		inc $40
	00617C D0 02		bne $006180
	00617E E6 41		inc $41
006180	006180 80 3E		bra $0061c0

006182	006182 20 AC 2E		jsr $2EAC
	006185 B0 3C		bcs $0061c3
	006187 C9 03		cmp #$03
	006189 D0 02		bne $00618d
	00618B A9 02		lda #$02
00618D	00618D C9 04		cmp #$04
	00618F B0 32		bcs $0061c3
	006191 E2 52 01 01 0F	bar $0152,$01,$0061a5
	006196 E2 52 01 40 0A	bar $0152,$40,$0061a5
	00619B 0A		asl a
	00619C 8D 7F 04		sta $047F
	00619F AA		tax
	0061A0 20 6C 4D		jsr $4D6C
	0061A3 80 1B		bra $0061c0

0061A5	0061A5 8D 7B 04		sta $047B
	0061A8 C9 03		cmp #$03
	0061AA D0 14		bne $0061c0
	0061AC A9 20		lda #$20' '
	0061AE 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	0061B1 A9 00		lda #$00
	0061B3 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0061B6 A9 06		lda #$06
	0061B8 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0061BB A9 A9		lda #$A9
	0061BD 20 9C FC		jsr $FC9C{meaddh_w}
0061C0	0061C0 4C DC 45		jmp $45DC

0061C3	0061C3 4C 16 2E		jmp $2E16

0061C6	0061C6 C9 00		cmp #$00
	0061C8 D0 16		bne $0061e0
	0061CA B2 03 45		sti #$03,$45
	0061CD B2 E1 44		sti #$E1,$44
	0061D0 20 F0 E3		jsr $E3F0
	0061D3 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	0061D6 09 08		ora #$08
	0061D8 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0061DB A9 A3		lda #$A3
	0061DD 4C 9C FC		jmp $FC9C{meaddh_w}

0061E0	0061E0 20 EA F8		jsr $F8EA
	0061E3 B2 03 45		sti #$03,$45
	0061E6 B2 E1 44		sti #$E1,$44
	0061E9 20 F0 E3		jsr $E3F0
	0061EC AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	0061EF 29 F7		and #$F7
	0061F1 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0061F4 A9 A3		lda #$A3
	0061F6 4C 9C FC		jmp $FC9C{meaddh_w}

;;; --- `AT#VBS'

0061F9	0061F9 AF 86 2D		bbs 2,$86,$006229
	0061FC 47 9B		rmb 4,$9B
	0061FE 77 9B		rmb 7,9B
	006200 C9 03		cmp #$03
	006202 F0 04		beq $006208
	006204 C9 02		cmp #$02
	006206 B0 03		bcs $00620b
006208	006208 4C 16 2E		jmp $2E16

00620B	00620B C9 05		cmp #$05
	00620D B0 02		bcs $006211
	00620F 80 08		bra $006219

006211	006211 C7 9B		smb 4,$9B
	006213 C9 08		cmp #$08
	006215 D0 F1		bne $006208
	006217 F7 9B		smb 7,$9B
006219	006219 0A		asl a
	00621A 0A		asl a
	00621B 0A		asl a
	00621C 48		pha
	00621D A9 87		lda #$87
	00621F 25 9E		and $9E
	006221 85 9E		sta $9E
	006223 68		pla
	006224 05 9E		ora $9E
	006226 85 9E		sta $9E
	006228 60		rts

006229	006229 A5 9E		lda $9E
	00622B 29 78		and #$78'x'
	00622D 4A		lsr a
	00622E 4A		lsr a
	00622F 4A		lsr a
	006230 4C EB 5A		jmp $5AEB

;;; --- `AT#VBT'

006233	006233 AF 86 0D		bbs 2,$86,$006243
	006236 48		pha
	006237 A9 C0		lda #$C0
	006239 25 9D		and $9D
	00623B 85 9D		sta $9D
	00623D 68		pla
	00623E 05 9D		ora $9D
	006240 85 9D		sta $9D
	006242 60		rts

006243	006243 A5 9D		lda $9D
	006245 29 3F		and #$3F'?'
	006247 4C EB 5A		jmp $5AEB

;;; --- `AT#VTM'

00624A	00624A AF 86 1F		bbs 2,$86,$00626c
	00624D A8		tay
	00624E C0 00		cpy #$00
	006250 F0 16		beq $006268
	006252 C0 0A		cpy #$0A
	006254 F0 03		beq $006259
006256	006256 4C 16 2E		jmp $2E16

006259	006259 A5 9E		lda $9E
	00625B 29 78		and #$78'x'
	00625D 4A		lsr a
	00625E 4A		lsr a
	00625F 4A		lsr a
	006260 C9 03		cmp #$03
	006262 F0 F2		beq $006256
	006264 C9 08		cmp #$08
	006266 B0 EE		bcs $006256
006268	006268 8C 78 04		sty $0478
	00626B 60		rts

00626C	00626C AD 78 04		lda $0478
	00626F 4C EB 5A		jmp $5AEB

;;; --- `AT#VSK'

006272	006272 AF 86 0B		bbs 2,$86,$006280
	006275 20 DF 5A		jsr $5ADF
	006278 C9 FF		cmp #$FF
	00627A F0 03		beq $00627f
	00627C 20 16 2E		jsr $2E16
00627F	00627F 60		rts

006280	006280 A9 FF		lda #$FF
	006282 4C EB 5A		jmp $5AEB

;;; --- `AT#VTD'

006285	006285 AF 86 35		bbs 2,$86,$0062bd
	006288 A5 A7		lda $A7
	00628A 85 40		sta $40
	00628C A5 A8		lda $A8
	00628E 85 41		sta $41
	006290 20 00 4A		jsr $4A00
	006293 B0 25		bcs $0062ba
	006295 85 9F		sta $9F
	006297 E6 40		inc $40
	006299 D0 02		bne $00629d
	00629B E6 41		inc $41
00629D	00629D 20 00 4A		jsr $4A00
	0062A0 B0 18		bcs $0062ba
	0062A2 85 A0		sta $A0
	0062A4 E6 40		inc $40
	0062A6 D0 02		bne $0062aa
	0062A8 E6 41		inc $41
0062AA	0062AA 20 00 4A		jsr $4A00
	0062AD B0 0B		bcs $0062ba
	0062AF 85 A1		sta $A1
	0062B1 A5 40		lda $40
	0062B3 85 A7		sta $A7
	0062B5 A5 41		lda $41
	0062B7 85 A8		sta $A8
	0062B9 60		rts

0062BA	0062BA 4C 16 2E		jmp $2E16

0062BD	0062BD 20 14 FE		jsr $FE14{out_crlf}
	0062C0 A5 9F		lda $9F
	0062C2 20 44 4A		jsr $4A44
	0062C5 A5 A0		lda $A0
	0062C7 20 44 4A		jsr $4A44
	0062CA A5 A1		lda $A1
	0062CC 20 BB E2		jsr $E2BB
	0062CF 4C 14 FE		jmp $FE14{out_crlf}

;;; --- `AT#VTS'

0062D2	0062D2 20 E1 F8		jsr $F8E1		;! set dome bits in $0605
	0062D5 20 48 F5		jsr $F548{rtsoff}
	0062D8 20 8C E1		jsr $E18C		; -> E882 (#40 -> 27C and some magic)
	0062DB AD 70 86		lda $8670		;! voice line
	0062DE F0 13		beq $0062f3
	0062E0 C9 01		cmp #$01
	0062E2 F0 0F		beq $0062f3
	0062E4 C9 03		cmp #$03
	0062E6 F0 0B		beq $0062f3
	0062E8 C9 06		cmp #$06
	0062EA F0 07		beq $0062f3
	0062EC A5 4C		lda $4C
	0062EE 29 03		and #$03                ; volume
	0062F0 20 B8 FC		jsr $FCB8		;! set volume
0062F3	0062F3 A2 00		ldx #$00
	0062F5 A0 00		ldy #$00
	0062F7 A9 00		lda #$00
	0062F9 8D 6A 86		sta $866A
	0062FC 8D 6B 86		sta $866B
	0062FF 8D 6C 86		sta $866C
	006302 8D 6D 86		sta $866D
	006305 A5 9D		lda $9D
	006307 29 3F		and #$3F'?'
	006309 8D 68 86		sta $8668
	00630C A9 2A		lda #$2A'*'
	00630E 8D 69 86		sta $8669
	006311 A9 00		lda #$00
	006313 E2 13 06 04 02	bar $0613,$04,$00631a	;DPi RTH:0
	006318 A9 01		lda #$01
00631A	00631A 48		pha
	00631B 48		pha
	00631C D2 04 13 06	sba $04,$0613		;DPi RTH:0
	006320 68		pla
	006321 20 44 43		jsr $4344		;! parse argumets after =
	006324 20 E1 F8		jsr $F8E1		;! +TXSQ +
	006327 20 69 E3		jsr $E369		;! 017438 - set some DSP RAM locations
	00632A AD 70 86		lda $8670
	00632D C9 05		cmp #$05
	00632F 90 07		bcc $006338
	006331 C9 08		cmp #$08
	006333 B0 03		bcs $006338
	006335 20 EA F8		jsr $F8EA		;! TXSQ ECSQ
006338	006338 68		pla
	006339 D0 06		bne $006341
	00633B 48		pha
	00633C C2 04 13 06	rba $04,$0613		;DPi RTH:0
	006340 68		pla
006341	006341 4C C6 49		jmp $49C6

; parse arguments after VTS=

006344	006344 A5 A7		lda $A7
	006346 85 40		sta $40
	006348 A5 A8		lda $A8
	00634A 85 41		sta $41
	00634C A5 40		lda $40
	00634E D0 02		bne $006352
	006350 C6 41		dec $41
006352	006352 C6 40		dec $40
	006354 E6 40		inc $40
	006356 D0 02		bne $00635a
	006358 E6 41		inc $41
00635A	00635A A1 40		lda ($40)
	00635C C9 5B		cmp #$5B'['
	00635E D0 03		bne $006363
	006360 4C 23 45		jmp $4523

006363	006363 C9 21		cmp #$21'!'		; flash
	006365 D0 62		bne $0063c9
	006367 AD 1C 01		lda $011C{s29}
	00636A F0 5A		beq $0063c6
	00636C 8D 14 02		sta $0214
	00636F A9 00		lda #$00
	006371 8D 15 02		sta $0215
	006374 17 5E		rmb 1,$5E
	006376 A9 00		lda #$00
	006378 85 47		sta $47
	00637A E2 07 06 02 02	bar $0607,$02,$006381	;DPi RA
	00637F 87 47		smb 0,$47
006381	006381 E2 04 06 80 02	bar $0604,$80,$006388	;DPi RB
	006386 97 47		smb 1,$47
006388	006388 A5 47		lda $47
	00638A 48		pha
	00638B AD 44 03		lda $0344
	00638E 20 DE E3		jsr $E3DE
006391	006391 1F 5E FD		bbr 1,$5E,$006391
	006394 AD 42 03		lda $0342
	006397 20 DE E3		jsr $E3DE		;! FFE6
	00639A A9 14		lda #$14
	00639C 8D 14 02		sta $0214
	00639F A9 00		lda #$00
	0063A1 8D 15 02		sta $0215
	0063A4 17 5E		rmb 1,$5E
0063A6	0063A6 1F 5E FD		bbr 1,$5E,$0063a6       ;! just a delay
	0063A9 68		pla
	0063AA 85 47		sta $47
	0063AC 8F 47 06		bbs 0,$47,$0063b5
	0063AF C2 02 07 06	rba $02,$0607		;DPi RA
	0063B3 80 04		bra $0063b9

0063B5	0063B5 D2 02 07 06	sba $02,$0607		;DPi RA
0063B9	0063B9 9F 47 06		bbs 1,$47,$0063c2
	0063BC C2 80 04 06	rba $80,$0604		;DPi RB
	0063C0 80 04		bra $0063c6

0063C2	0063C2 D2 80 04 06	sba $80,$0604		;DPi RB
0063C6	0063C6 4C CD 45		jmp $45CD

;;;

0063C9	0063C9 C9 7B		cmp #$7B'{'
	0063CB F0 18		beq $0063e5
	0063CD 20 29 44		jsr $4429
	0063D0 90 03		bcc $0063d5
	0063D2 4C 16 2E		jmp $2E16

0063D5	0063D5 8D 69 86		sta $8669
	0063D8 A5 9D		lda $9D
	0063DA 29 3F		and #$3F'?'
	0063DC 8D 68 86		sta $8668
	0063DF 20 3E 44		jsr $443E
	0063E2 4C CD 45		jmp $45CD

0063E5	0063E5 20 EB 43		jsr $43EB
	0063E8 4C CD 45		jmp $45CD

0063EB	0063EB E6 40		inc $40
	0063ED D0 02		bne $0063f1
	0063EF E6 41		inc $41
0063F1	0063F1 A1 40		lda ($40)
	0063F3 C9 2C		cmp #$2C','
	0063F5 D0 02		bne $0063f9
	0063F7 80 10		bra $006409

0063F9	0063F9 20 29 44		jsr $4429
	0063FC 90 02		bcc $006400
	0063FE 80 26		bra $006426

006400	006400 8D 69 86		sta $8669
	006403 E6 40		inc $40
	006405 D0 02		bne $006409
	006407 E6 41		inc $41
006409	006409 E6 40		inc $40
	00640B D0 02		bne $00640f
	00640D E6 41		inc $41
00640F	00640F A1 40		lda ($40)
	006411 C9 7D		cmp #$7D'}'
	006413 D0 02		bne $006417
	006415 80 0C		bra $006423

006417	006417 20 AC 2E		jsr $2EAC
	00641A B0 0A		bcs $006426
	00641C C9 29		cmp #$29')'
	00641E B0 06		bcs $006426
	006420 8D 68 86		sta $8668
006423	006423 4C 3E 44		jmp $443E

006426	006426 4C 16 2E		jmp $2E16

006429	006429 C9 23		cmp #$23'#'
	00642B F0 0F		beq $00643c
	00642D C9 2A		cmp #$2A'*'
	00642F F0 0B		beq $00643c
	006431 20 34 4A		jsr $4A34
	006434 B0 04		bcs $00643a
	006436 C9 45		cmp #$45'E'
	006438 90 02		bcc $00643c
00643A	00643A 38		sec
	00643B 60		rts

00643C	00643C 18		clc
	00643D 60		rts

00643E	00643E AD 69 86		lda $8669
	006441 C9 30		cmp #$30'0'
	006443 90 09		bcc $00644e
	006445 C9 3A		cmp #$3A':'
	006447 B0 10		bcs $006459
	006449 38		sec
	00644A E9 30		sbc #$30'0'
	00644C 80 16		bra $006464

00644E	00644E AA		tax
	00644F A9 0A		lda #$0A
	006451 E0 2A		cpx #$2A'*'
	006453 F0 0F		beq $006464
	006455 A9 0B		lda #$0B
	006457 80 0B		bra $006464

006459	006459 AA		tax
	00645A A9 0F		lda #$0F
	00645C E0 44		cpx #$44'D'
	00645E F0 04		beq $006464
	006460 8A		txa
	006461 38		sec
	006462 E9 35		sbc #$35'5'
006464	006464 8D 69 86		sta $8669
	006467 A5 40		lda $40
	006469 A6 41		ldx $41
	00646B A4 42		ldy $42
	00646D 22		psh
	00646E A5 43		lda $43
	006470 A6 44		ldx $44
	006472 A4 45		ldy $45
	006474 22		psh
	006475 A5 46		lda $46
	006477 A6 47		ldx $47
	006479 22		psh
	00647A AD 68 86		lda $8668
	00647D D0 06		bne $006485
	00647F 20 E1 E0		jsr $E0E1
	006482 4C B9 44		jmp $44B9

006485	006485 A2 08		ldx #$08
	006487 20 D2 E3		jsr $E3D2
	00648A D0 00		bne $00648c
00648C	00648C A9 00		lda #$00
	00648E 48		pha
	00648F 48		pha
	006490 78		sei
	006491 33		plw
	006492 AD 68 86		lda $8668
006495	006495 A0 1E		ldy #$1E
	006497 12		mpa
	006498 CA		dex
	006499 D0 FA		bne $006495
	00649B 23		phw
	00649C 58		cli
	00649D 68		pla
	00649E 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0064A1 A9 18		lda #$18
	0064A3 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0064A6 A9 A2		lda #$A2		; $0218 - DTMF tone duration
	0064A8 20 9C FC		jsr $FC9C{meaddh_w}
	0064AB 68		pla
	0064AC 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0064AF A9 DB		lda #$DB
	0064B1 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0064B4 A9 A2		lda #$A2
	0064B6 20 9C FC		jsr $FC9C{meaddh_w}		; $02DB - DTMF tone duration
	0064B9 20 D2 E3		jsr $E3D2
	0064BC F0 05		beq $0064c3
	0064BE 80 03		bra $0064c3

0064C0	0064C0 20 1F F7		jsr $F71F		;! CONF=81
0064C3	0064C3 20 82 F3		jsr $F382		;! DTMF on
	0064C6 20 77 FA		jsr $FA77{newc_w}	;! new CONF
	0064C9 AD D4 02		lda $02D4
	0064CC 85 40		sta $40
	0064CE AD D5 02		lda $02D5
	0064D1 85 41		sta $41
	0064D3 AD D6 02		lda $02D6
	0064D6 85 42		sta $42
	0064D8 AD D7 02		lda $02D7
	0064DB 85 43		sta $43
	0064DD 20 BC E1		jsr $E1BC
	0064E0 32		pul
	0064E1 85 46		sta $46
	0064E3 86 47		stx $47
	0064E5 32		pul
	0064E6 85 43		sta $43
	0064E8 86 44		stx $44
	0064EA 84 45		sty $45
	0064EC 32		pul
	0064ED 85 40		sta $40
	0064EF 86 41		stx $41
	0064F1 84 42		sty $42
	0064F3 AD 69 86		lda $8669
	0064F6 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	0064F9 20 BD FB		jsr $FBBD		;! NSIE = 0, NEWS = 1
	0064FC 20 EA F8		jsr $F8EA		;! ECSQ = TXSQ = 0
	0064FF 20 43 F5		jsr $F543{rtson}	;! RTS = 1
	006502 AD 68 86		lda $8668		;! beep length?
	006505 F0 0D		beq $006514
	006507 8D 1A 02		sta $021A
	00650A A9 00		lda #$00
	00650C 8D 1B 02		sta $021B
	00650F 47 5E		rmb 4,$5E
006511	006511 4F 5E FD		bbr 4,$5E,$006511	;! delay
006514	006514 20 F9 F8		jsr $F8F9{news?}
	006517 F0 FB		beq $006514
	006519 20 48 F5		jsr $F548{rtsoff}
	00651C C2 08 1F 06	rba $08,$061F		;DPi NEWS
	006520 4C B0 FB		jmp $FBB0		; reset some bits and return

;;; got at#vts=[

006523	006523 E6 40		inc $40
	006525 D0 02		bne $006529
	006527 E6 41		inc $41
006529	006529 A1 40		lda ($40)
	00652B C9 2C		cmp #$2C','
	00652D D0 02		bne $006531
	00652F 80 33		bra $006564

006531	006531 20 4C 4A		jsr $4A4C
	006534 90 03		bcc $006539
	006536 4C 16 2E		jmp $2E16

006539	006539 A5 44		lda $44
	00653B 05 45		ora $45
	00653D F0 1B		beq $00655a
	00653F A5 45		lda $45
	006541 C9 00		cmp #$00
	006543 D0 04		bne $006549
	006545 A5 44		lda $44
	006547 C9 C8		cmp #$C8
006549	006549 B0 03		bcs $00654e
	00654B 4C CA 45		jmp $45CA

00654E	00654E A5 45		lda $45
	006550 C9 0B		cmp #$0B
	006552 D0 04		bne $006558
	006554 A5 44		lda $44
	006556 C9 B9		cmp #$B9
006558	006558 B0 70		bcs $0065ca
00655A	00655A A5 44		lda $44
	00655C 8D 6A 86		sta $866A
	00655F A5 45		lda $45
	006561 8D 6B 86		sta $866B
006564	006564 E6 40		inc $40
	006566 D0 02		bne $00656a
	006568 E6 41		inc $41
00656A	00656A A1 40		lda ($40)
	00656C C9 2C		cmp #$2C','
	00656E D0 02		bne $006572
	006570 80 2D		bra $00659f

006572	006572 20 4C 4A		jsr $4A4C
	006575 B0 53		bcs $0065ca
	006577 A5 44		lda $44
	006579 05 45		ora $45
	00657B F0 18		beq $006595
	00657D A5 45		lda $45
	00657F C9 00		cmp #$00
	006581 D0 04		bne $006587
	006583 A5 44		lda $44
	006585 C9 C8		cmp #$C8
006587	006587 90 41		bcc $0065ca
	006589 A5 45		lda $45
	00658B C9 0B		cmp #$0B
	00658D D0 04		bne $006593
	00658F A5 44		lda $44
	006591 C9 B9		cmp #$B9
006593	006593 B0 35		bcs $0065ca
006595	006595 A5 44		lda $44
	006597 8D 6C 86		sta $866C
	00659A A5 45		lda $45
	00659C 8D 6D 86		sta $866D
00659F	00659F E6 40		inc $40
	0065A1 D0 02		bne $0065a5
	0065A3 E6 41		inc $41
0065A5	0065A5 A1 40		lda ($40)
	0065A7 C9 5D		cmp #$5D']'
	0065A9 D0 02		bne $0065ad
	0065AB 80 0C		bra $0065b9

0065AD	0065AD 20 AC 2E		jsr $2EAC
	0065B0 B0 18		bcs $0065ca
	0065B2 C9 29		cmp #$29')'
	0065B4 B0 14		bcs $0065ca
	0065B6 8D 68 86		sta $8668
0065B9	0065B9 20 D2 E3		jsr $E3D2		;! CONF = #$AC?
	0065BC F0 07		beq $0065c5
	0065BE 80 05		bra $0065c5

0065C0	0065C0 A9 83		lda #$83		;! CONF = #$83 (dual tone generation)
	0065C2 20 2B F8		jsr $F82B
0065C5	0065C5 20 3E 44		jsr $443E
	0065C8 80 03		bra $0065cd

0065CA	0065CA 4C 16 2E		jmp $2E16

0065CD	0065CD E6 40		inc $40
	0065CF D0 02		bne $0065d3
	0065D1 E6 41		inc $41
0065D3	0065D3 A1 40		lda ($40)
	0065D5 C9 2C		cmp #$2C','
	0065D7 D0 03		bne $0065dc
	0065D9 4C 54 43		jmp $4354

0065DC	0065DC A5 40		lda $40
	0065DE 85 A7		sta $A7
	0065E0 A5 41		lda $41
	0065E2 85 A8		sta $A8
	0065E4 60		rts

0065E5	50 48	0
	6B 49	1
	84 49	2
	97 49	3
	50 48	4
	75 48	5
	8F 48	6
	9F 48	7
	B8 48	8
	AD 49	9

0065F9	0065F9 AD 70 86		lda $8670
	0065FC 4C EB 5A		jmp $5AEB

;;; --- `AT#VLS'

0065FF	0065FF AF 86 F7		bbs 2,$86,$0065f9
	006602 AE 70 86		ldx $8670
	006605 86 47		stx $47
	006607 8D 70 86		sta $8670
	00660A 4F 61 0F		bbr 4,$61,$00661c
	00660D EC 70 86		cpx $8670
	006610 F0 0A		beq $00661c
	006612 F2 52 01 01 05	bas $0152,$01,$00661c
	006617 A9 00		lda #$00
	006619 20 B8 FC		jsr $FCB8
00661C	00661C AD 70 86		lda $8670
	00661F E2 31 01 20 06	bar $0131,$20,$00662a
	006624 2F 88 03		bbr 2,$88,$00662a
	006627 4C CE 48		jmp $48CE

00662A	00662A C9 06		cmp #$06
	00662C D0 0F		bne $00663d
	00662E 20 D2 E3		jsr $E3D2
	006631 F0 1D		beq $006650
	006633 3F 9B 1A		bbr 3,$9B,$006650
	006636 A9 81		lda #$81
	006638 20 2B F8		jsr $F82B
	00663B 80 13		bra $006650

00663D	00663D 20 D2 E3		jsr $E3D2
	006640 D0 0E		bne $006650
	006642 A9 81		lda #$81
	006644 20 2B F8		jsr $F82B
	006647 A5 47		lda $47
	006649 48		pha
	00664A 20 63 E3		jsr $E363
	00664D 68		pla
	00664E 85 47		sta $47
006650	006650 AD 70 86		lda $8670
	006653 20 EA 48		jsr $48EA
	006656 AD 70 86		lda $8670
	006659 BF 9B 06		bbs 3,$9B,$006662
	00665C B0 01		bcs $00665f
	00665E 60		rts

00665F	00665F 4C 48 48		jmp $4848

006662	006662 0A		asl a
	006663 AA		tax
	006664 BD E5 45		lda $45E5,x
	006667 85 40		sta $40
	006669 BD E6 45		lda $45E6,x
	00666C 85 41		sta $41
	00666E 6C 40 00		jmp ($0040)

006671	006671 AD 48 03		lda $0348
	006674 29 10		and #$10
	006676 D0 06		bne $00667e
	006678 D2 02 07 06	sba $02,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	00667C 80 04		bra $006682

00667E	00667E C2 02 07 06	rba $02,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
006682	006682 A2 03		ldx #$03
	006684 60		rts

006685	006685 AD 70 86		lda $8670
	006688 0A		asl a
	006689 AA		tax
	00668A BD 97 46		lda $4697,x
	00668D 85 40		sta $40
	00668F BD 98 46		lda $4698,x
	006692 85 41		sta $41
	006694 6C 40 00		jmp ($0040)

006697	AB 46	0
	B8 46	1
	C8 46	2
	D5 46	3
	E7 46	4
	F4 46	5
	04 47	6
	07 47	7
	3B 47	8
	38 47	9

;;; ... 2.0

0066AB	0066AB A9		lda #$11
	0066AD 20 DE 47		jsr $47DE
	0066AE A9 13            lda #$13
	0066B2 20 EC 47		jsr $47EC
	0066B5 4C 98 47		jmp $4798

;;; ... 2.1

0066B8	0066B8 5F 48 F0		bbr 5,$48,$0066ab
	0066BB A9 11		lda #$11
	0066BD 20 DE 47		jsr $47DE
	0066C0 A9 49		lda #$49'I'
	0066C2 20 EC 47		jsr $47EC
	0066C5 4C A7 47		jmp $47A7

;;; ... 2.2

0066C8	0066C8 A9 22		lda #$22'"'
	0066CA 20 DE 47		jsr $47DE
	0066CD A9 1B		lda #$1B
	0066CF 20 EC 47		jsr $47EC
	0066D2 4C 98 47		jmp $4798

;;; ... 2.3

0066D5	0066D5 A9 22		lda #$22'"'
	0066D7 20 DE 47		jsr $47DE
	0066DA A9 8F		lda #$8F
	0066DC 20 EC 47		jsr $47EC
	0066DF 20 AA 47		jsr $47AA
	0066E2 A9 03		lda #$03
	0066E4 4C C6 E3		jmp $E3C6

;;; ... 2.4

0066E7	0066E7 A9 11		lda #$11
	0066E9 20 DE 47		jsr $47DE
	0066EC A9 13		lda #$13
	0066EE 20 EC 47		jsr $47EC
	0066F1 4C 98 47		jmp $4798

;;; ... 2.5

0066F4	0066F4 A9 92		lda #$92
	0066F6 20 DE 47		jsr $47DE
	0066F9 A9 13		lda #$13
	0066FB 20 EC 47		jsr $47EC
	0066FE 20 98 47		jsr $4798
	006701 4C EA F8		jmp $F8EA

;;; ... 2.6

006704	006704 4C EA F8		jmp $F8EA

;;; ... 2.7

006707	006707 A9 12		lda #$12
	006709 EF 48 02		bbs 6,$48,$00670e
	00670C A9 92		lda #$92
00670E	00670E 20 DE 47		jsr $47DE
	006711 A9 23		lda #$23'#'
	006713 EF 48 02		bbs 6,$48,$006718
	006716 A9 13		lda #$13
006718	006718 20 EC 47		jsr $47EC
	00671B 20 9B 47		jsr $479B
	00671E D2 01 14 06	sba $01,$0614		;DPi handshake abort code (ABCODE)
	006722 D2 02 14 06	sba $02,$0614		;DPi handshake abort code (ABCODE)
	006726 B2 05 47		sti #$05,$47
	006729 B2 40 46		sti #$40'@',$46
	00672C B2 0B 45		sti #$0B,$45
	00672F B2 6B 44		sti #$6B'k',$44
	006732 20 ED E3		jsr $E3ED
	006735 4C EA F8		jmp $F8EA

;;; ... 2.9

006738	006738 DF 48 10		bbs 5,$48,$00674b

;;; ... 2.8

00673B	00673B A9 92		lda #$92
	00673D 20 DE 47		jsr $47DE
	006740 A9 13		lda #$13
	006742 20 EC 47		jsr $47EC
	006745 20 98 47		jsr $4798
	006748 4C EA F8		jmp $F8EA

00674B	00674B A9 29		lda #$29')'
	00674D 20 DE 47		jsr $47DE
	006750 A9 4C		lda #$4C'L'
	006752 20 EC 47		jsr $47EC
	006755 20 A7 47		jsr $47A7
	006758 B2 03 45		sti #$03,$45
	00675B B2 D2 44		sti #$D2,$44
	00675E 20 F0 E3		jsr $E3F0
	006761 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	006764 29 FD		and #$FD
	006766 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	006769 A9 A3		lda #$A3
	00676B 20 9C FC		jsr $FC9C{meaddh_w}
	00676E 4C EA F8		jmp $F8EA

006771	006771 D2 04 04 06	sba $04,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	006775 C2 02 04 06	rba $02,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	006779 A9 22		lda #$22'"'
	00677B 20 DE 47		jsr $47DE
	00677E A9 97		lda #$97
	006780 20 EC 47		jsr $47EC
	006783 20 FA 47		jsr $47FA
	006786 09 01		ora #$01
	006788 20 09 48		jsr $4809
	00678B 20 B6 47		jsr $47B6
	00678E A9 03		lda #$03
	006790 20 C6 E3		jsr $E3C6
	006793 F7 67		smb 7,$67
	006795 4C EA F8		jmp $F8EA

006798	006798 4C 9B 47		jmp $479B

00679B	00679B 20 FA 47		jsr $47FA
	00679E 09 04		ora #$04
	0067A0 20 09 48		jsr $4809
	0067A3 20 B6 47		jsr $47B6
	0067A6 60		rts

0067A7	0067A7 4C AA 47		jmp $47AA

0067AA	0067AA 20 FA 47		jsr $47FA
	0067AD 09 0B		ora #$0B
	0067AF 20 09 48		jsr $4809
	0067B2 20 B6 47		jsr $47B6
	0067B5 60		rts

0067B6	0067B6 3F 9B 24		bbr 3,$9B,$0067dd
	0067B9 1F 61 21		bbr 1,$61,$0067dd
	0067BC A9 00		lda #$00
	0067BE 20 B8 FC		jsr $FCB8
	0067C1 20 E1 F8		jsr $F8E1
	0067C4 A9 AC		lda #$AC
	0067C6 8D 12 06		sta $0612		;DPi configuration (CONF)
	0067C9 20 48 FB		jsr $FB48
	0067CC 20 4D FB		jsr $FB4D
	0067CF 20 77 FA		jsr $FA77{newc_w}
	0067D2 A2 64		ldx #$64'd'
	0067D4 20 BB F2		jsr $F2BB
	0067D7 D2 20 14 06	sba $20,$0614		;DPi handshake abort code (ABCODE)
	0067DB 77 67		rmb 7,67
0067DD	0067DD 60		rts

0067DE	0067DE 85 46		sta $46
	0067E0 B2 00 47		sti #$00,$47
	0067E3 B2 03 45		sti #$03,$45
	0067E6 B2 E0 44		sti #$E0,$44
	0067E9 4C ED E3		jmp $E3ED

0067EC	0067EC 85 46		sta $46
	0067EE B2 00 47		sti #$00,$47
	0067F1 B2 03 45		sti #$03,$45
	0067F4 B2 E1 44		sti #$E1,$44
	0067F7 4C ED E3		jmp $E3ED

0067FA	0067FA B2 04 45		sti #$04,$45
	0067FD B2 3E 44		sti #$3E'>',$44
	006800 20 F0 E3		jsr $E3F0
	006803 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	006806 29 F0		and #$F0
	006808 60		rts

006809	006809 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00680C A9 A4		lda #$A4
	00680E 4C 9C FC		jmp $FC9C{meaddh_w}

006811	006811 20 85 46		jsr $4685
	006814 4C F3 E3		jmp $E3F3

006817	006817 27 57		rmb 2,$57
	006819 A9 D4		lda #$D4
	00681B 8D D7 00		sta $00D7
	00681E A9 6B		lda #$6B'k'
	006820 8D D8 00		sta $00D8
	006823 60		rts

006824	006824 CF 07 17		bbs 4,$07,$00683e	;Cx9	port E (R/W)
	006827 20 D8 E0		jsr $E0D8
	00682A A9 0A		lda #$0A
	00682C 8D 0E 02		sta $020E
	00682F A9 00		lda #$00
	006831 8D 0F 02		sta $020F
	006834 67 5D		rmb 6,$5D
006836	006836 6F 5D FD		bbr 6,$5D,$006836
	006839 CF 07 02		bbs 4,$07,$00683e	;Cx9	port E (R/W)
	00683C 18		clc
	00683D 60		rts

00683E	00683E B2 48 AC		sti #$48'H',$AC
	006841 B7 57		smb 3,$57
	006843 20 16 2E		jsr $2E16
	006846 38		sec
	006847 60		rts

006848	006848 A9 00		lda #$00
	00684A 8D 70 86		sta $8670
	00684D 4C 16 2E		jmp $2E16

;;; ... 1.0 1.4

006850	006850 A5 47		lda $47
	006852 F0 1B		beq $00686f
	006854 C9 09		cmp #$09
	006856 F0 04		beq $00685c
	006858 C9 04		cmp #$04
	00685A B0 13		bcs $00686f
00685C	00685C 07 57		rmb 0,$57
	00685E A9 D4		lda #$D4
	006860 8D D7 00		sta $00D7
	006863 A9 6B		lda #$6B'k'
	006865 8D D8 00		sta $00D8
	006868 97 65		smb 1,$65
	00686A 20 C9 E0		jsr $E0C9
	00686D 47 61		rmb 4,$61
00686F	00686F 20 71 46		jsr $4671
	006872 4C 11 48		jmp $4811

;;; ... 1.5

006875	006875 20 71 46		jsr $4671
	006878 A5 4C		lda $4C
	00687A 29 03		and #$03
	00687C 49 03		eor #$03
	00687E 8D 7C 04		sta $047C
	006881 8D 7D 04		sta $047D
	006884 4F 61 05		bbr 4,$61,$00688c
	006887 A2 02		ldx #$02
	006889 20 85 46		jsr $4685
00688C	00688C 4C F3 E3		jmp $E3F3

;;; ... 1.6 AT#VLS=6?

00688F	00688F AD 79 04		lda $0479
	006892 F0 B4		beq $006848
	006894 20 71 46		jsr $4671
	006897 4F 61 02		bbr 4,$61,$00689c
	00689A A2 02		ldx #$02
00689C	00689C 4C 11 48		jmp $4811

;;; ... 1.7

00689F	00689F AD 48 03		lda $0348
	0068A2 29 10		and #$10
	0068A4 D0 06		bne $0068ac
	0068A6 D2 02 07 06	sba $02,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	0068AA 80 04		bra $0068b0

0068AC	0068AC C2 02 07 06	rba $02,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
0068B0	0068B0 20 F6 E3		jsr $E3F6
	0068B3 A2 01		ldx #$01
	0068B5 4C 85 46		jmp $4685

;;; ... 1.8

0068B8	0068B8 AD 48 03		lda $0348
	0068BB 29 10		and #$10
	0068BD D0 06		bne $0068c5
	0068BF C2 02 07 06	rba $02,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	0068C3 80 04		bra $0068c9

0068C5	0068C5 D2 02 07 06	sba $02,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
0068C9	0068C9 A2 03		ldx #$03
	0068CB 4C 11 48		jmp $4811

0068CE	0068CE C9 00		cmp #$00
	0068D0 F0 15		beq $0068e7
	0068D2 C9 05		cmp #$05
	0068D4 F0 0C		beq $0068e2
	0068D6 C9 06		cmp #$06
	0068D8 D0 05		bne $0068df
	0068DA AD 79 04		lda $0479
	0068DD D0 08		bne $0068e7
0068DF	0068DF 4C 48 48		jmp $4848

0068E2	0068E2 AD 79 04		lda $0479
	0068E5 D0 F8		bne $0068df
0068E7	0068E7 4C 62 E4		jmp $E462

0068EA	0068EA C2 02 68 01	rba $02,$0168
	0068EE C2 10 6B 01	rba $10,$016B
	0068F2 C2 08 6A 01	rba $08,$016A
	0068F6 AD 70 86		lda $8670
	0068F9 C9 00		cmp #$00
	0068FB D0 15		bne $006912
	0068FD C2 10 53 01	rba $10,$0153
	006901 D2 08 53 01	sba $08,$0153
	006905 E2 52 01 40 06	bar $0152,$40,$006910
	00690A 20 14 E1		jsr $E114
	00690D 20 AE 4D		jsr $4DAE
006910	006910 80 46		bra $006958

006912	006912 C9 05		cmp #$05
	006914 D0 1E		bne $006934
	006916 D2 02 68 01	sba $02,$0168
	00691A C2 08 53 01	rba $08,$0153
	00691E C2 10 53 01	rba $10,$0153
	006922 E2 52 01 40 0B	bar $0152,$40,$006932
	006927 20 14 E1		jsr $E114
	00692A E2 67 01 04 25	bar $0167,$04,$006954
	00692F 20 F3 E0		jsr $E0F3
006932	006932 80 20		bra $006954

006934	006934 C9 06		cmp #$06
	006936 D0 22		bne $00695a
	006938 C2 08 53 01	rba $08,$0153
	00693C D2 10 68 01	sba $10,$0168
	006940 E2 52 01 40 0B	bar $0152,$40,$006950
	006945 20 14 E1		jsr $E114
	006948 E2 67 01 04 07	bar $0167,$04,$006954
	00694D 20 F3 E0		jsr $E0F3
006950	006950 D2 10 6B 01	sba $10,$016B
006954	006954 D2 08 6A 01	sba $08,$016A
006958	006958 18		clc
	006959 60		rts

00695A	00695A BF 9B FB		bbs 3,$9B,$006958
	00695D 38		sec
	00695E 60		rts

00695F	00695F AD 48 03		lda $0348
	006962 4C DE E3		jmp $E3DE

006965	006965 AD 48 03		lda $0348
	006968 4C DE E3		jmp $E3DE

;;; ... 1.1

00696B	00696B 20 17 48		jsr $4817
	00696E 8F 57 06		bbs 0,$57,$006977
	006971 20 24 48		jsr $4824
	006974 90 01		bcc $006977
	006976 60		rts

006977	006977 87 57		smb 0,$57
	006979 20 5F 49		jsr $495F
	00697C 20 F6 E3		jsr $E3F6
	00697F A2 03		ldx #$03
	006981 4C 85 46		jmp $4685

;;; ... 1.2

006984	006984 20 17 48		jsr $4817
	006987 8F 57 03		bbs 0,$57,$00698d
	00698A 20 D8 E0		jsr $E0D8
00698D	00698D 87 57		smb 0,$57
	00698F 20 65 49		jsr $4965
	006992 A2 03		ldx #$03
	006994 4C 11 48		jmp $4811

;;; ... 1.3

006997	006997 20 17 48		jsr $4817
	00699A 8F 57 03		bbs 0,$57,$0069a0
	00699D 20 D8 E0		jsr $E0D8
0069A0	0069A0 87 57		smb 0,$57
	0069A2 20 5F 49		jsr $495F
	0069A5 20 F6 E3		jsr $E3F6
	0069A8 A2 00		ldx #$00
	0069AA 4C 85 46		jmp $4685

;;; ... 1.9

0069AD	0069AD 20 17 48		jsr $4817
	0069B0 8F 57 06		bbs 0,$57,$0069b9
	0069B3 20 24 48		jsr $4824
	0069B6 90 01		bcc $0069b9
	0069B8 60		rts

0069B9	0069B9 87 57		smb 0,$57
	0069BB 20 65 49		jsr $4965
	0069BE 20 F6 E3		jsr $E3F6
	0069C1 A2 01		ldx #$01
	0069C3 4C 85 46		jmp $4685

; VTS continue

0069C6	0069C6 AD 70 86		lda $8670
	0069C9 C9 02		cmp #$02
	0069CB F0 29		beq $0069f6		; volume
	0069CD C9 04		cmp #$04
	0069CF F0 25		beq $0069f6		; volume
	0069D1 C9 05		cmp #$05
	0069D3 F0 21		beq $0069f6		; volume
	0069D5 C9 06		cmp #$06
	0069D7 D0 07		bne $0069e0
	0069D9 20 D2 E3		jsr $E3D2		; CONF = AC?
	0069DC D0 18		bne $0069f6		; volume
	0069DE 80 11		bra $0069f1

0069E0	0069E0 C9 07		cmp #$07
	0069E2 F0 12		beq $0069f6		; volume
	0069E4 C9 08		cmp #$08
	0069E6 F0 0E		beq $0069f6		; volume
	0069E8 C9 09		cmp #$09
	0069EA F0 0A		beq $0069f6		; volume
	0069EC 08		php
	0069ED A9 00		lda #$00
	0069EF 80 0A		bra $0069fb

0069F1	0069F1 08		php
	0069F2 A9 03		lda #$03
	0069F4 80 05		bra $0069fb

0069F6	0069F6 08		php
	0069F7 A5 4C		lda $4C
	0069F9 29 03		and #$03		;! volume
0069FB	0069FB 20 B8 FC		jsr $FCB8		;! set it
	0069FE 28		plp
	0069FF 60		rts

006A00	006A00 B2 00 43		sti #$00,$43
	006A03 A2 00		ldx #$00
006A05	006A05 B1 40		lda ($40),x
	006A07 20 34 4A		jsr $4A34
	006A0A B0 12		bcs $006a1e
	006A0C 20 C7 E2		jsr $E2C7
	006A0F 85 42		sta $42
	006A11 A5 43		lda $43
	006A13 0A		asl a
	006A14 0A		asl a
	006A15 0A		asl a
	006A16 0A		asl a
	006A17 05 42		ora $42
	006A19 85 43		sta $43
	006A1B E8		inx
	006A1C 80 E7		bra $006a05

006A1E	006A1E 86 42		stx $42
	006A20 18		clc
	006A21 A5 40		lda $40
	006A23 65 42		adc $42
	006A25 85 40		sta $40
	006A27 A5 41		lda $41
	006A29 69 00		adc #$00
	006A2B 85 41		sta $41
	006A2D 8A		txa
	006A2E D0 01		bne $006a31
	006A30 38		sec
006A31	006A31 A5 43		lda $43
	006A33 60		rts

006A34	006A34 C9 41		cmp #$41'A'
	006A36 90 03		bcc $006a3b
	006A38 C9 47		cmp #$47'G'
	006A3A 60		rts

006A3B	006A3B C9 30		cmp #$30'0'
	006A3D 90 03		bcc $006a42
	006A3F C9 3A		cmp #$3A':'
	006A41 60		rts

006A42	006A42 38		sec
	006A43 60		rts

006A44	006A44 20 BB E2		jsr $E2BB
	006A47 A9 2C		lda #$2C','
	006A49 4C 05 FE		jmp $FE05{out}

006A4C	006A4C B2 00 44		sti #$00,$44
	006A4F B2 00 45		sti #$00,$45
	006A52 A2 00		ldx #$00
006A54	006A54 B1 40		lda ($40),x
	006A56 C9 20		cmp #$20' '
	006A58 D0 03		bne $006a5d
	006A5A E8		inx
	006A5B 80 F7		bra $006a54

006A5D	006A5D C9 30		cmp #$30'0'
	006A5F 90 30		bcc $006a91
	006A61 C9 3A		cmp #$3A':'
	006A63 B0 2C		bcs $006a91
	006A65 29 0F		and #$0F
	006A67 85 42		sta $42
	006A69 A5 45		lda $45
	006A6B 85 43		sta $43
	006A6D A5 44		lda $44
	006A6F 0A		asl a
	006A70 26 45		rol $45
	006A72 0A		asl a
	006A73 26 45		rol $45
	006A75 64 44		add $44
	006A77 85 44		sta $44
	006A79 A5 45		lda $45
	006A7B 65 43		adc $43
	006A7D 85 45		sta $45
	006A7F A5 44		lda $44
	006A81 0A		asl a
	006A82 26 45		rol $45
	006A84 64 42		add $42
	006A86 85 44		sta $44
	006A88 A5 45		lda $45
	006A8A 69 00		adc #$00
	006A8C 85 45		sta $45
	006A8E E8		inx
	006A8F 80 C3		bra $006a54

006A91	006A91 86 42		stx $42
	006A93 18		clc
	006A94 A5 40		lda $40
	006A96 65 42		adc $42
	006A98 85 40		sta $40
	006A9A A5 41		lda $41
	006A9C 69 00		adc #$00
	006A9E 85 41		sta $41
	006AA0 8A		txa
	006AA1 D0 01		bne $006aa4
	006AA3 38		sec
006AA4	006AA4 60		rts

;;; --- `AT#TL'

006AA5	006AA5 20 AC 4A		jsr $4AAC
	006AA8 60		rts

006AA9	006AA9 4C 16 2E		jmp $2E16

006AAC	006AAC A5 A7		lda $A7
	006AAE 85 40		sta $40
	006AB0 A5 A8		lda $A8
	006AB2 85 41		sta $41
	006AB4 20 E5 4C		jsr $4CE5
	006AB7 90 03		bcc $006abc
	006AB9 4C 16 2E		jmp $2E16

006ABC	006ABC A5 40		lda $40
	006ABE 85 A7		sta $A7
	006AC0 A5 41		lda $41
	006AC2 85 A8		sta $A8
	006AC4 60		rts

;;; --- `AT#VGT'

006AC5	006AC5 AF 86 1D		bbs 2,$86,$006ae5
	006AC8 C9 80		cmp #$80
	006ACA B0 03		bcs $006acf
	006ACC 4C 16 2E		jmp $2E16

006ACF	006ACF 8D 76 04		sta $0476
	006AD2 8D 77 04		sta $0477
	006AD5 38		sec
	006AD6 E9 80		sbc #$80
	006AD8 48		pha
	006AD9 A9 FC		lda #$FC
	006ADB 25 4C		and $4C
	006ADD 85 4C		sta $4C
	006ADF 68		pla
	006AE0 05 4C		ora $4C
	006AE2 85 4C		sta $4C
	006AE4 60		rts

006AE5	006AE5 AD 76 04		lda $0476
	006AE8 4C EB 5A		jmp $5AEB

006AEB	006AEB 60		rts

006AEC	006AEC 07 68		rmb 0,$68
	006AEE 47 6B		rmb 4,$6B
	006AF0 A5 A7		lda $A7
	006AF2 85 40		sta $40
	006AF4 A5 A8		lda $A8
	006AF6 85 41		sta $41
	006AF8 20 E5 4C		jsr $4CE5
	006AFB A2 00		ldx #$00
	006AFD A0 00		ldy #$00
006AFF	006AFF B1 40		lda ($40),x
	006B01 C9 0D		cmp #$0D
	006B03 F0 42		beq $006b47
	006B05 C9 43		cmp #$43'C'
	006B07 F0 71		beq $006b7a
	006B09 C9 53		cmp #$53'S'
	006B0B D0 03		bne $006b10
	006B0D 4C BE 4B		jmp $4BBE

006B10	006B10 C9 4D		cmp #$4D'M'
	006B12 D0 03		bne $006b17
	006B14 4C E3 4B		jmp $4BE3

006B17	006B17 C9 42		cmp #$42'B'
	006B19 F0 1B		beq $006b36
	006B1B C9 44		cmp #$44'D'
	006B1D D0 0B		bne $006b2a
	006B1F C7 6B		smb 4,$6B
	006B21 48		pha
	006B22 C2 08 1F 06	rba $08,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	006B26 68		pla
	006B27 4C E3 4B		jmp $4BE3

006B2A	006B2A C9 45		cmp #$45'E'
	006B2C D0 05		bne $006b33
	006B2E 87 68		smb 0,$68
	006B30 E8		inx
	006B31 80 CC		bra $006aff

006B33	006B33 4C 6B 16		jmp $166B

006B36	006B36 E6 40		inc $40
	006B38 D0 02		bne $006b3c
	006B3A E6 41		inc $41
006B3C	006B3C 20 AC 2E		jsr $2EAC
	006B3F B0 F2		bcs $006b33
	006B41 A8		tay
	006B42 A2 00		ldx #$00
	006B44 4C FF 4A		jmp $4AFF

006B47	006B47 20 14 FE		jsr $FE14{out_crlf}
	006B4A 20 85 4C		jsr $4C85
006B4D	006B4D 20 72 4C		jsr $4C72
	006B50 DA		phx
	006B51 20 BB E2		jsr $E2BB
	006B54 A9 20		lda #$20' '
	006B56 20 05 FE		jsr $FE05{out}
	006B59 FA		plx
	006B5A E8		inx
	006B5B E0 08		cpx #$08
	006B5D D0 EE		bne $006b4d
	006B5F 18		clc
	006B60 A5 46		lda $46
	006B62 69 08		adc #$08
	006B64 85 46		sta $46
	006B66 A5 47		lda $47
	006B68 69 00		adc #$00
	006B6A 85 47		sta $47
006B6C	006B6C 20 DF 4C		jsr $4CDF
	006B6F A5 41		lda $41
	006B71 F0 F9		beq $006b6c
	006B73 C9 0D		cmp #$0D
	006B75 F0 D0		beq $006b47
	006B77 4C B8 4B		jmp $4BB8

006B7A	006B7A 20 14 FE		jsr $FE14{out_crlf}
006B7D	006B7D 20 85 4C		jsr $4C85
006B80	006B80 20 72 4C		jsr $4C72
	006B83 DA		phx
	006B84 20 BB E2		jsr $E2BB
	006B87 A9 20		lda #$20' '
	006B89 20 05 FE		jsr $FE05{out}
	006B8C FA		plx
	006B8D E8		inx
	006B8E E0 08		cpx #$08
	006B90 D0 EE		bne $006b80
	006B92 20 DF 4C		jsr $4CDF
	006B95 A6 41		ldx $41
	006B97 D0 0E		bne $006ba7
	006B99 A2 00		ldx #$00
006B9B	006B9B A9 08		lda #$08
	006B9D 20 05 FE		jsr $FE05{out}
	006BA0 E8		inx
	006BA1 E0 1E		cpx #$1E
	006BA3 F0 D8		beq $006b7d
	006BA5 80 F4		bra $006b9b

006BA7	006BA7 18		clc
	006BA8 A5 46		lda $46
	006BAA 69 08		adc #$08
	006BAC 85 46		sta $46
	006BAE A5 47		lda $47
	006BB0 69 00		adc #$00
	006BB2 85 47		sta $47
	006BB4 E0 0D		cpx #$0D
	006BB6 F0 C2		beq $006b7a
006BB8	006BB8 20 D4 FD		jsr $FDD4{ssti}
	006BBB 4C 6B 16		jmp $166B

006BBE	006BBE 20 14 FE		jsr $FE14{out_crlf}
	006BC1 20 85 4C		jsr $4C85
	006BC4 20 72 4C		jsr $4C72
	006BC7 85 45		sta $45
	006BC9 20 BB E2		jsr $E2BB
	006BCC A9 20		lda #$20' '
	006BCE 20 05 FE		jsr $FE05{out}
006BD1	006BD1 20 DF 4C		jsr $4CDF
	006BD4 A6 41		ldx $41
	006BD6 D0 E0		bne $006bb8
	006BD8 A2 00		ldx #$00
	006BDA 20 72 4C		jsr $4C72
	006BDD C5 45		cmp $45
	006BDF F0 F0		beq $006bd1
	006BE1 80 DB		bra $006bbe

006BE3	006BE3 20 14 FE		jsr $FE14{out_crlf}
	006BE6 20 85 4C		jsr $4C85
	006BE9 20 72 4C		jsr $4C72
	006BEC 20 BB E2		jsr $E2BB
	006BEF 4F 6B 04		bbr 4,$6B,$006bf6
	006BF2 98		tya
	006BF3 20 BB E2		jsr $E2BB
006BF6	006BF6 A9 20		lda #$20' '
	006BF8 20 05 FE		jsr $FE05{out}
006BFB	006BFB 20 DF 4C		jsr $4CDF
	006BFE A5 41		lda $41
	006C00 F0 F9		beq $006bfb
	006C02 C9 0D		cmp #$0D
	006C04 F0 1A		beq $006c20
	006C06 C9 20		cmp #$20' '
	006C08 F0 AE		beq $006bb8
	006C0A 20 C3 4C		jsr $4CC3
	006C0D 4F 6B 0D		bbr 4,$6B,$006c1d
	006C10 48		pha
006C11	006C11 20 DF 4C		jsr $4CDF
	006C14 A5 41		lda $41
	006C16 F0 F9		beq $006c11
	006C18 20 C3 4C		jsr $4CC3
	006C1B A8		tay
	006C1C 68		pla
006C1D	006C1D 20 A1 4C		jsr $4CA1
006C20	006C20 E6 46		inc $46
	006C22 D0 02		bne $006c26
	006C24 E6 47		inc $47
006C26	006C26 80 BB		bra $006be3

006C28	006C28 48		pha
	006C29 C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	006C2D 68		pla
	006C2E A5 46		lda $46
	006C30 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	006C33 A5 47		lda $47
	006C35 29 0F		and #$0F
	006C37 09 80		ora #$80
	006C39 8D 1D 06		sta $061D		;DPi MEACC/MEMW/MEMCR/addr bits 8-11
006C3C	006C3C F2 1D 06 80 FB	bas $061D,$80,$006c3c	;DPi MEACC/MEMW/MEMCR/addr bits 8-11
	006C41 AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	006C44 AC 18 06		ldy $0618		;DPi memory access data LSB (MEDAL)
	006C47 48		pha
	006C48 C2 08 1F 06	rba $08,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	006C4C 68		pla
	006C4D 60		rts

006C4E	006C4E 48		pha
	006C4F C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	006C53 68		pla
	006C54 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	006C57 8C 18 06		sty $0618		;DPi memory access data LSB (MEDAL)
	006C5A 48		pha
	006C5B D2 20 1D 06	sba $20,$061D		;DPi MEACC/MEMW/MEMCR/addr bits 8-11
	006C5F 68		pla
	006C60 48		pha
	006C61 D2 80 1D 06	sba $80,$061D		;DPi MEACC/MEMW/MEMCR/addr bits 8-11
	006C65 68		pla
006C66	006C66 F2 1D 06 80 FB	bas $061D,$80,$006c66	;DPi MEACC/MEMW/MEMCR/addr bits 8-11
	006C6B 48		pha
	006C6C C2 08 1F 06	rba $08,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	006C70 68		pla
	006C71 60		rts

006C72	006C72 CF 6B B3		bbs 4,$6B,$006c28
	006C75 0F 68 24		bbr 0,$68,$006c9c
	006C78 A5 46		lda $46
	006C7A 85 40		sta $40
	006C7C A5 47		lda $47
	006C7E 85 41		sta $41
	006C80 A2 00		ldx #$00
	006C82 4C 8E 0A		jmp $0A8E

006C85	006C85 A5 47		lda $47
	006C87 20 BB E2		jsr $E2BB
	006C8A A5 46		lda $46
	006C8C 20 BB E2		jsr $E2BB
	006C8F A9 3A		lda #$3A':'
	006C91 20 05 FE		jsr $FE05{out}
	006C94 A9 20		lda #$20' '
	006C96 20 05 FE		jsr $FE05{out}
	006C99 A2 00		ldx #$00
	006C9B 60		rts

006C9C	006C9C 57 6B		rmb 5,$6B
006C9E	006C9E 4C 10 E5		jmp $E510

006CA1	006CA1 CF 6B AA		bbs 4,$6B,$006c4e
	006CA4 0F 68 18		bbr 0,$68,$006cbf
	006CA7 48		pha
	006CA8 A5 46		lda $46
	006CAA 85 42		sta $42
	006CAC A5 47		lda $47
	006CAE 85 43		sta $43
	006CB0 68		pla
	006CB1 A2 00		ldx #$00
	006CB3 20 B3 0A		jsr $0AB3
	006CB6 A5 42		lda $42
	006CB8 85 46		sta $46
	006CBA A5 43		lda $43
	006CBC 85 47		sta $47
	006CBE 60		rts

006CBF	006CBF D7 6B		smb 5,$6B
	006CC1 80 DB		bra $006c9e

006CC3	006CC3 20 05 FE		jsr $FE05{out}
	006CC6 20 C7 E2		jsr $E2C7
	006CC9 0A		asl a
	006CCA 0A		asl a
	006CCB 0A		asl a
	006CCC 0A		asl a
	006CCD 85 42		sta $42
006CCF	006CCF 20 DF 4C		jsr $4CDF
	006CD2 A5 41		lda $41
	006CD4 F0 F9		beq $006ccf
	006CD6 20 05 FE		jsr $FE05{out}
	006CD9 20 C7 E2		jsr $E2C7
	006CDC 05 42		ora $42
	006CDE 60		rts

006CDF	006CDF 20 D7 FD		jsr $FDD7{scli}
	006CE2 4C F2 FD		jmp $FDF2

006CE5	006CE5 B2 00 43		sti #$00,$43
	006CE8 A2 00		ldx #$00
	006CEA 20 04 4D		jsr $4D04
	006CED 85 47		sta $47
	006CEF 20 04 4D		jsr $4D04
	006CF2 85 46		sta $46
	006CF4 86 42		stx $42
	006CF6 18		clc
	006CF7 A5 40		lda $40
	006CF9 65 42		adc $42
	006CFB 85 40		sta $40
	006CFD A5 41		lda $41
	006CFF 69 00		adc #$00
	006D01 85 41		sta $41
	006D03 60		rts

006D04	006D04 B1 40		lda ($40),x
	006D06 20 C7 E2		jsr $E2C7
	006D09 0A		asl a
	006D0A 0A		asl a
	006D0B 0A		asl a
	006D0C 0A		asl a
	006D0D E8		inx
	006D0E 85 42		sta $42
	006D10 B1 40		lda ($40),x
	006D12 20 C7 E2		jsr $E2C7
	006D15 05 42		ora $42
	006D17 E8		inx
	006D18 60		rts

006D19	006D19 85 40		sta $40
	006D1B 29 80		and #$80
	006D1D C9 80		cmp #$80
	006D1F F0 03		beq $006d24
	006D21 4C 65 E4		jmp $E465

006D24	006D24 A5 40		lda $40
	006D26 29 40		and #$40'@'
	006D28 F0 15		beq $006d3f
	006D2A C9 40		cmp #$40'@'
	006D2C F0 03		beq $006d31
	006D2E 4C 65 E4		jmp $E465

006D31	006D31 20 4D 4D		jsr $4D4D
	006D34 20 5A 4D		jsr $4D5A
	006D37 A2 0A		ldx #$0A
	006D39 20 BB F2		jsr $F2BB
	006D3C 4C 63 4D		jmp $4D63

006D3F	006D3F 20 4D 4D		jsr $4D4D
	006D42 20 63 4D		jsr $4D63
	006D45 A2 05		ldx #$05
	006D47 20 BB F2		jsr $F2BB
	006D4A 4C 5A 4D		jmp $4D5A

006D4D	006D4D CF 40 05		bbs 4,$40,$006d55
	006D50 C2 02 07 06	rba $02,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	006D54 60		rts

006D55	006D55 D2 02 07 06	sba $02,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	006D59 60		rts

006D5A	006D5A DF 40 03		bbs 5,$40,$006d60
	006D5D 4C F3 E3		jmp $E3F3

006D60	006D60 4C F6 E3		jmp $E3F6

006D63	006D63 8F 40 03		bbs 0,$40,$006d69
	006D66 07 07		rmb 0,$07		;Cx9	port E (R/W)
	006D68 60		rts

006D69	006D69 87 07		smb 0,$07		;Cx9	port E (R/W)
	006D6B 60		rts

006D6C	006D6C F2 53 01 08 23	bas $0153,$08,$006d94
	006D71 A9 D3		lda #$D3
	006D73 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	006D76 A9 83		lda #$83
	006D78 20 9C FC		jsr $FC9C{meaddh_w}
	006D7B AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	006D7E 29 F9		and #$F9
	006D80 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	006D83 8A		txa
	006D84 0D 18 06		ora $0618		;DPi memory access data LSB (MEDAL)
	006D87 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	006D8A A9 D3		lda #$D3
	006D8C 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	006D8F A9 A3		lda #$A3
	006D91 20 9C FC		jsr $FC9C{meaddh_w}
006D94	006D94 60		rts

006D95	006D95 D2 20 53 01	sba $20,$0153
	006D99 A9 00		lda #$00
	006D9B 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	006D9E A9 05		lda #$05
	006DA0 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	006DA3 A9 B3		lda #$B3
	006DA5 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	006DA8 A9 AB		lda #$AB
	006DAA 20 9C FC		jsr $FC9C{meaddh_w}
	006DAD 60		rts

006DAE	006DAE C2 20 53 01	rba $20,$0153
	006DB2 A9 00		lda #$00
	006DB4 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	006DB7 A9 00		lda #$00
	006DB9 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	006DBC A9 B3		lda #$B3
	006DBE 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	006DC1 A9 AB		lda #$AB
	006DC3 20 9C FC		jsr $FC9C{meaddh_w}
	006DC6 60		rts

006DC7	006DC7 A9 00		lda #$00
	006DC9 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	006DCC F2 52 01 20 10	bas $0152,$20,$006de1
	006DD1 BD F2 4D		lda $4DF2,x
	006DD4 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	006DD7 A9 90		lda #$90
	006DD9 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	006DDC A9 A9		lda #$A9
	006DDE 20 9C FC		jsr $FC9C{meaddh_w}
006DE1	006DE1 BD 03 4E		lda $4E03,x
	006DE4 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	006DE7 A9 B9		lda #$B9
	006DE9 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	006DEC A9 AA		lda #$AA
	006DEE 20 9C FC		jsr $FC9C{meaddh_w}
	006DF1 60		rts

006DF2	00 FC FA F7 F4
	F2 F0 EC EA E7
	E4 E2 E0 DC DA
	D8 96

006E03	006E03 2A		stx $2A,y		;Cx9 SP RAM A
	006E04 28		plp
	006E05 25 22		and $22			;Cx9 SP RAM 2
	006E07 20 1D 1A		jsr $1A1D
	006E0A 17 15		rmb 1,$15		;Cx9 TBLC, TBUC-TBS, TBLL
	006E0C 12		mpa
	006E0D 0F 0D 0A		bbr 0,$0D,$006e1a	;Cx9 PBB (R/W)
	006E10 07 05		rmb 0,$05		;Cx9	port B select (R/W)
	006E12 02		mpy
	006E13 B0 77		bcs $006e8c
	006E15 61 37		adc ($37)		;Cx9 PAUL PAB-PALL clear download
	006E17 86 27		stx $27			;Cx9 SP RAM 7
	006E19 86 A1		stx $A1
	006E1B A7 C9		smb 2,$C9
	006E1D 49 F0		eor #$F0
	006E1F 12		mpa
	006E20 C9 45		cmp #$45'E'
	006E22 D0 02		bne $006e26
	006E24 80 12		bra $006e38

006E26	006E26 C9 41		cmp #$41'A'
	006E28 F0 08		beq $006e32
	006E2A C9 46		cmp #$46'F'
	006E2C F0 04		beq $006e32
	006E2E C9 4D		cmp #$4D'M'
	006E30 D0 2D		bne $006e5f
006E32	006E32 E6 A7		inc $A7
	006E34 D0 02		bne $006e38
	006E36 E6 A8		inc $A8
006E38	006E38 E2 31 01 20 08	bar $0131,$20,$006e45
	006E3D B2 89 42		sti #$89,$42
	006E40 B2 5B 43		sti #$5B'[',$43
	006E43 80 06		bra $006e4b

006E45	006E45 B2 73 42		sti #$73's',$42
	006E48 B2 4F 43		sti #$4F'O',$43
006E4B	006E4B A2 FF		ldx #$FF
006E4D	006E4D E8		inx
	006E4E A5 A7		lda $A7
	006E50 85 40		sta $40
	006E52 A5 A8		lda $A8
	006E54 85 41		sta $41
	006E56 20 EB 4E		jsr $4EEB
	006E59 F0 07		beq $006e62
	006E5B A1 42		lda ($42)
	006E5D D0 EE		bne $006e4d
006E5F	006E5F 4C 16 2E		jmp $2E16

006E62	006E62 A5 40		lda $40
	006E64 85 A7		sta $A7
	006E66 A5 41		lda $41
	006E68 85 A8		sta $A8
	006E6A E2 31 01 20 08	bar $0131,$20,$006e77
	006E6F B2 9F 42		sti #$9F,$42
	006E72 B2 5B 43		sti #$5B'[',$43
	006E75 80 06		bra $006e7d

006E77	006E77 B2 BC 42		sti #$BC,$42
	006E7A B2 4F 43		sti #$4F'O',$43
006E7D	006E7D 8A		txa
	006E7E 0A		asl a
	006E7F 0A		asl a
	006E80 AA		tax
	006E81 B1 42		lda ($42),x
	006E83 85 40		sta $40
	006E85 E8		inx
	006E86 B1 42		lda ($42),x
	006E88 85 41		sta $41
	006E8A E8		inx
	006E8B B1 42		lda ($42),x
	006E8D 85 44		sta $44
	006E8F E8		inx
	006E90 B1 42		lda ($42),x
	006E92 C9 FF		cmp #$FF
	006E94 D0 0B		bne $006ea1
	006E96 BF 86 C6		bbs 3,$86,$006e5f
	006E99 AF 86 C3		bbs 2,$86,$006e5f
	006E9C 1F 61 C0		bbr 1,$61,$006e5f
	006E9F 80 37		bra $006ed8

006EA1	006EA1 8F 47 BB		bbs 0,$47,$006e5f
	006EA4 C9 FE		cmp #$FE
	006EA6 D0 08		bne $006eb0
	006EA8 AF 86 2D		bbs 2,$86,$006ed8
	006EAB 3F 86 B1		bbr 3,$86,$006e5f
	006EAE 80 0A		bra $006eba

006EB0	006EB0 C9 FD		cmp #$FD
	006EB2 D0 0B		bne $006ebf
	006EB4 BF 86 A8		bbs 3,$86,$006e5f
	006EB7 2F 86 A5		bbr 2,$86,$006e5f
006EBA	006EBA A5 44		lda $44
	006EBC 4C 0F 5B		jmp $5B0F

006EBF	006EBF AF 86 16		bbs 2,$86,$006ed8
	006EC2 3F 86 03		bbr 3,$86,$006ec8
	006EC5 4C 0F 5B		jmp $5B0F

006EC8	006EC8 A6 44		ldx $44
	006ECA E0 00		cpx #$00
	006ECC F0 0A		beq $006ed8
	006ECE E8		inx
	006ECF 8A		txa
	006ED0 20 DF 5A		jsr $5ADF
	006ED3 90 03		bcc $006ed8
	006ED5 4C 5F 4E		jmp $4E5F

006ED8	006ED8 20 E8 4E		jsr $4EE8
	006EDB A1 A7		lda ($A7)
	006EDD C9 3B		cmp #$3B';'
	006EDF D0 06		bne $006ee7
	006EE1 E6 A7		inc $A7
	006EE3 D0 02		bne $006ee7
	006EE5 E6 A8		inc $A8
006EE7	006EE7 60		rts

006EE8	006EE8 6C 40 00		jmp ($0040)

006EEB	006EEB A1 42		lda ($42)
	006EED D0 12		bne $006f01
	006EEF A1 40		lda ($40)
	006EF1 C9 41		cmp #$41'A'
	006EF3 90 04		bcc $006ef9
	006EF5 C9 5B		cmp #$5B'['
	006EF7 90 24		bcc $006f1d
006EF9	006EF9 20 26 4F		jsr $4F26
	006EFC A9 00		lda #$00
	006EFE 4C 25 4F		jmp $4F25

006F01	006F01 C1 40		cmp ($40)
	006F03 D0 0E		bne $006f13
	006F05 E6 40		inc $40
	006F07 D0 02		bne $006f0b
	006F09 E6 41		inc $41
006F0B	006F0B E6 42		inc $42
	006F0D D0 02		bne $006f11
	006F0F E6 43		inc $43
006F11	006F11 80 D8		bra $006eeb

006F13	006F13 E6 42		inc $42
	006F15 D0 02		bne $006f19
	006F17 E6 43		inc $43
006F19	006F19 A1 42		lda ($42)
	006F1B D0 F6		bne $006f13
006F1D	006F1D E6 42		inc $42
	006F1F D0 02		bne $006f23
	006F21 E6 43		inc $43
006F23	006F23 A9 01		lda #$01
	006F25 60		rts

006F26	006F26 A1 40		lda ($40)
	006F28 E6 40		inc $40
	006F2A D0 02		bne $006f2e
	006F2C E6 41		inc $41
006F2E	006F2E C9 3F		cmp #$3F'?'
	006F30 F0 07		beq $006f39
	006F32 C9 3D		cmp #$3D'='
	006F34 F0 07		beq $006f3d
	006F36 87 47		smb 0,$47
	006F38 60		rts

006F39	006F39 A7 86		smb 2,$86
	006F3B 80 10		bra $006f4d

006F3D	006F3D A1 40		lda ($40)
	006F3F C9 3F		cmp #$3F'?'
	006F41 F0 02		beq $006f45
	006F43 80 08		bra $006f4d

006F45	006F45 E6 40		inc $40
	006F47 D0 02		bne $006f4b
	006F49 E6 41		inc $41
006F4B	006F4B B7 86		smb 3,$86
006F4D	006F4D 07 47		rmb 0,$47
	006F4F 60		rts

006F50	006F50 54		???			;undocumented opcode
	006F51 4F 02 02		bbr 4,$02,$006f56	;Cx9	port C (bidirectional)
	006F54 AF 86 11		bbs 2,$86,$006f68
	006F57 0A		asl a
	006F58 0A		asl a
	006F59 0A		asl a
	006F5A 0A		asl a
	006F5B 48		pha
	006F5C A9 CF		lda #$CF
	006F5E 25 50		and $50
	006F60 85 50		sta $50
	006F62 68		pla
	006F63 05 50		ora $50
	006F65 85 50		sta $50
	006F67 60		rts

006F68	006F68 A5 50		lda $50
	006F6A 29 30		and #$30'0'
	006F6C 4A		lsr a
	006F6D 4A		lsr a
	006F6E 4A		lsr a
	006F6F 4A		lsr a
	006F70 4C EB 5A		jmp $5AEB

006F73	006F73			.asciz /CLASS/
	006F79			.asciz /AE/
	006F7C			.asciz /AA/
	006F7F			.asciz /RH/
	006F82			.asciz /RM/
	006F85			.asciz /RS/
	006F88			.asciz /TH/
	006F8B			.asciz /TM/
	006F8E			.asciz /TS/
	006F91			.asciz /AR/
	006F94			.asciz /CL/
	006F97			.asciz /DD/
	006F9A			.asciz /IT/
	006F9D			.asciz /MI/
	006FA0			.asciz /MM/
	006FA3			.asciz /MR/
	006FA6			.asciz /LO/
	006FA9			.asciz /PR/
	006FAC			.asciz /S/
	006FAE			.asciz /ES/
	006FB1			.asciz /ESA/
	006FB5			.asciz /TF/
	006FB8			.asciz /8E/

	006FBB 00		brk
	006FBC 18		clc
	006FBD 50 50		bvc $00700f
	006FBF 45 20		eor $20			;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	006FC1 5A		phy
	006FC2 01 01		ora ($01)		;Cx9	port B (output only)
	006FC4 20 5A 01		jsr $015A
	006FC7 01 66		ora ($66)
	006FC9 51 92		eor ($92),x
	006FCB 0F 7C 51		bbr 0,$7C,$00701f
	006FCE 92		???			;undocumented opcode
	006FCF 0F DD 51		bbr 0,$DD,$007023
	006FD2 00		brk
	006FD3 0A		asl a
	006FD4 EF 51 92		bbs 6,$51,$006f69
	006FD7 0F 06 52		bbr 0,$06,$00702c	;Cx9	port C direction (W)
	006FDA 92		???			;undocumented opcode
	006FDB 0F 1D 52		bbr 0,$1D,$007030	;Cx9	bank switch register 5 (R/W)
	006FDE 00		brk
	006FDF 0A		asl a
	006FE0 4F 52 01		bbr 4,$52,$006fe4
	006FE3 01 64		ora ($64)
	006FE5 52		clw
	006FE6 00		brk
	006FE7 0A		asl a
	006FE8 8B		nxt
	006FE9 52		clw
	006FEA 01 01		ora ($01)		;Cx9	port B (output only)
	006FEC A0 52		ldy #$52'R'
	006FEE 00		brk
	006FEF 42		rnd
	006FF0 F7 5B		smb 7,$5B
	006FF2 16 FD		asl $FD,x
	006FF4 F7 5B		smb 7,$5B
	006FF6 17 FD		rmb 1,$FD
	006FF8 F7 5B		smb 7,$5B
	006FFA 19 FD B7		ora $B7FD,y
006FFD	006FFD 5B		jsb 5			;indirect $FFEA
	006FFE 03		tip
	006FFF 41 F8		eor ($F8)
	007001 5B		jsb 5			;indirect $FFEA
	007002 00		brk
	007003 40		rti
	007004 15 53		ora $53,x
	007006 00		brk
	007007 46 2B		lsr $2B			;Cx9 SP RAM B
	007009 57 00		rmb 5,$00		;Cx9	port A (bidirectional)
	00700B 12		mpa
	00700C A2 57		ldx #$57'W'
	00700E 00		brk
00700F	00700F 13		lab a
	007010 A2 58		ldx #$58'X'
	007012 00		brk
	007013 43		???			;undocumented opcode
	007014 27 59		rmb 2,$59
	007016 00		brk
	007017 02		mpy
	007018 2F 86 2A		bbr 2,$86,$007045
	00701B E2 31 01 20 05	bar $0131,$20,$007025
	007020 A9 50		lda #$50'P'
	007022 4C EB 5A		jmp $5AEB

007025	007025 A5 69		lda $69
	007027 29 07		and #$07
	007029 C9 05		cmp #$05
	00702B D0 15		bne $007042
	00702D 20 14 FE		jsr $FE14{out_crlf}
007030	007030 A9 31		lda #$31'1'
	007032 20 05 FE		jsr $FE05{out}
	007035 A9 2E		lda #$2E'.'
	007037 20 05 FE		jsr $FE05{out}
	00703A A9 30		lda #$30'0'
	00703C 20 05 FE		jsr $FE05{out}
	00703F 4C 14 FE		jmp $FE14{out_crlf}

007042	007042 4C EB 5A		jmp $5AEB

007045	007045 C9 50		cmp #$50'P'
	007047 D0 18		bne $007061
	007049 E2 2E 01 04 3C	bar $012E,$04,$00708a
	00704E E2 2E 01 10 37	bar $012E,$10,$00708a
	007053 9F 62 34		bbs 1,$62,$00708a
	007056 D2 20 31 01	sba $20,$0131
	00705A 20 56 E4		jsr $E456
	00705D A9 00		lda #$00
	00705F 80 4A		bra $0070ab

007061	007061 48		pha
	007062 C2 04 32 01	rba $04,$0132
	007066 E2 31 01 20 08	bar $0131,$20,$007073
	00706B D2 04 32 01	sba $04,$0132
	00706F C2 20 31 01	rba $20,$0131
007073	007073 68		pla
	007074 F2 2F 01 02 09	bas $012F,$02,$007082
	007079 C9 00		cmp #$00
	00707B F0 05		beq $007082
	00707D E2 2E 01 02 08	bar $012E,$02,$00708a
007082	007082 C9 01		cmp #$01
	007084 F0 07		beq $00708d
	007086 C9 00		cmp #$00
	007088 F0 21		beq $0070ab
00708A	00708A 4C 16 2E		jmp $2E16

00708D	00708D A1 A7		lda ($A7)
	00708F C9 2E		cmp #$2E'.'
	007091 D0 16		bne $0070a9
	007093 E6 A7		inc $A7
	007095 D0 02		bne $007099
	007097 E6 A8		inc $A8
007099	007099 A1 A7		lda ($A7)
	00709B E6 A7		inc $A7
	00709D D0 02		bne $0070a1
	00709F E6 A8		inc $A8
0070A1	0070A1 C9 30		cmp #$30'0'
	0070A3 D0 E5		bne $00708a
	0070A5 A9 05		lda #$05
	0070A7 80 02		bra $0070ab

0070A9	0070A9 A9 01		lda #$01
0070AB	0070AB 48		pha
	0070AC A9 F8		lda #$F8
	0070AE 25 69		and $69
	0070B0 85 69		sta $69
	0070B2 68		pla
	0070B3 05 69		ora $69
	0070B5 85 69		sta $69
	0070B7 A9 00		lda #$00
	0070B9 8D DC 00		sta $00DC
	0070BC A5 9B		lda $9B
	0070BE 29 0F		and #$0F
	0070C0 48		pha
	0070C1 A5 69		lda $69
	0070C3 29 07		and #$07
	0070C5 48		pha
	0070C6 A9 F0		lda #$F0
	0070C8 25 9B		and $9B
	0070CA 85 9B		sta $9B
	0070CC 68		pla
	0070CD 05 9B		ora $9B
	0070CF 85 9B		sta $9B
	0070D1 A0 05		ldy #$05
	0070D3 F0 0C		beq $0070e1
	0070D5 88		dey
0070D6	0070D6 B9 9D 00		lda $009D,y
	0070D9 99 92		sta $92,y
	0070DB 02		mpy
	0070DC 88		dey
	0070DD C0 FF		cpy #$FF
	0070DF D0 F5		bne $0070d6
0070E1	0070E1 07 57		rmb 0,$57
	0070E3 68		pla
	0070E4 C9 08		cmp #$08
	0070E6 D0 23		bne $00710b
	0070E8 4F 61 20		bbr 4,$61,$00710b
	0070EB 97 65		smb 1,$65
	0070ED 20 C9 E0		jsr $E0C9
	0070F0 AD 70 86		lda $8670
	0070F3 F0 10		beq $007105
	0070F5 C9 09		cmp #$09
	0070F7 F0 04		beq $0070fd
	0070F9 C9 04		cmp #$04
	0070FB B0 08		bcs $007105
0070FD	0070FD AD 41 03		lda $0341
	007100 20 DE E3		jsr $E3DE
	007103 80 06		bra $00710b

007105	007105 AD 42 03		lda $0342
	007108 20 DE E3		jsr $E3DE
00710B	00710B 67 9B		rmb 6,$9B
	00710D A5 69		lda $69
	00710F 29 07		and #$07
	007111 D0 10		bne $007123
	007113 A9 00		lda #$00
	007115 48		pha
	007116 A9 C0		lda #$C0
	007118 25 9A		and $9A
	00711A 85 9A		sta $9A
	00711C 68		pla
	00711D 05 9A		ora $9A
	00711F 85 9A		sta $9A
	007121 80 12		bra $007135

007123	007123 C9 05		cmp #$05
	007125 D0 0E		bne $007135
	007127 A9 A2		lda #$A2
	007129 8D 48 02		sta $0248
	00712C A9 E3		lda #$E3
	00712E 8D 49 02		sta $0249
	007131 F7 57		smb 7,$57
	007133 80 02		bra $007137

007135	007135 77 57		rmb 7,57
007137	007137 FF 64 20		bbs 7,$64,$00715a
	00713A A5 69		lda $69
	00713C 29 07		and #$07
	00713E F0 0B		beq $00714b
	007140 A5 53		lda $53
	007142 29 07		and #$07
	007144 8D B9 03		sta $03B9
	007147 A9 06		lda #$06
	007149 80 03		bra $00714e

00714B	00714B AD B9 03		lda $03B9
00714E	00714E 48		pha
	00714F A9 F8		lda #$F8
	007151 25 53		and $53
	007153 85 53		sta $53
	007155 68		pla
	007156 05 53		ora $53
	007158 85 53		sta $53
00715A	00715A E2 32 01 04 06	bar $0132,$04,$007165
	00715F 6F 57 03		bbr 6,$57,$007165
	007162 20 41 02		jsr $0241
007165	007165 60		rts

007166	007166 20 32 52		jsr $5232
	007169 90 03		bcc $00716e
	00716B 4C 16 2E		jmp $2E16

00716E	00716E 3F 7F 05		bbr 3,$7F,$007176
	007171 0F 85 02		bbr 0,$85,$007176
	007174 77 8A		rmb 7,8A
007176	007176 07 85		rmb 0,$85
	007178 E7 8A		smb 6,$8A
	00717A 80 14		bra $007190

00717C	00717C 20 32 52		jsr $5232
	00717F 90 03		bcc $007184
	007181 4C 16 2E		jmp $2E16

007184	007184 3F 7F 05		bbr 3,$7F,$00718c
	007187 0F 85 02		bbr 0,$85,$00718c
	00718A F7 8A		smb 7,$8A
00718C	00718C 07 85		rmb 0,$85
	00718E 67 8A		rmb 6,$8A
007190	007190 AF 86 32		bbs 2,$86,$0071c5
	007193 A2 0D		ldx #$0D
007195	007195 DD B8 51		cmp $51B8,x
	007198 F0 08		beq $0071a2
	00719A CA		dex
	00719B 30 02		bmi $00719f
	00719D 80 F6		bra $007195

00719F	00719F 4C 16 2E		jmp $2E16

0071A2	0071A2 8A		txa
	0071A3 48		pha
	0071A4 A9 F0		lda #$F0
	0071A6 25 84		and $84
	0071A8 85 84		sta $84
	0071AA 68		pla
	0071AB 05 84		ora $84
	0071AD 85 84		sta $84
	0071AF A9 46		lda #$46'F'
	0071B1 85 AC		sta $AC
	0071B3 B7 57		smb 3,$57
	0071B5 27 57		rmb 2,$57
	0071B7 60		rts

0071B8	0071B8 03		tip
	0071B9 18		clc
	0071BA 30 48		bmi $007204
	0071BC 60		rts

0071BD	0071BD 49 4A		eor #$4A'J'
	0071BF 61 62		adc ($62)
	0071C1 79 7A 91		adc $917A,y
	0071C4 92		???			;undocumented opcode
0071C5	0071C5 20 14 FE		jsr $FE14{out_crlf}
	0071C8 A5 84		lda $84
	0071CA 29 0F		and #$0F
	0071CC AA		tax
	0071CD A9 30		lda #$30'0'
	0071CF 85 43		sta $43
	0071D1 BD B8 51		lda $51B8,x
	0071D4 85 41		sta $41
	0071D6 20 B8 E2		jsr $E2B8
	0071D9 20 14 FE		jsr $FE14{out_crlf}
	0071DC 60		rts

0071DD	0071DD 20 95 5A		jsr $5A95
	0071E0 20 32 52		jsr $5232
	0071E3 90 03		bcc $0071e8
	0071E5 4C 16 2E		jmp $2E16

0071E8	0071E8 C7 86		smb 4,$86
	0071EA 07 85		rmb 0,$85
	0071EC 4C 2C 52		jmp $522C

0071EF	0071EF 20 32 52		jsr $5232
	0071F2 90 03		bcc $0071f7
	0071F4 4C 16 2E		jmp $2E16

0071F7	0071F7 3F 7F 05		bbr 3,$7F,$0071ff
	0071FA 8F 85 02		bbs 0,$85,$0071ff
	0071FD 77 8A		rmb 7,8A
0071FF	0071FF 87 85		smb 0,$85
	007201 E7 8A		smb 6,$8A
	007203 4C 90 51		jmp $5190

007206	007206 20 32 52		jsr $5232
	007209 90 03		bcc $00720e
	00720B 4C 16 2E		jmp $2E16

00720E	00720E 3F 7F 05		bbr 3,$7F,$007216
	007211 8F 85 02		bbs 0,$85,$007216
	007214 F7 8A		smb 7,$8A
007216	007216 87 85		smb 0,$85
	007218 67 8A		rmb 6,$8A
	00721A 4C 90 51		jmp $5190

00721D	00721D 20 95 5A		jsr $5A95
	007220 20 32 52		jsr $5232
	007223 90 03		bcc $007228
	007225 4C 16 2E		jmp $2E16

007228	007228 C7 86		smb 4,$86
	00722A 87 85		smb 0,$85
	00722C 8D D9 00		sta $00D9
	00722F 4C AF 51		jmp $51AF

007232	007232 AA		tax
	007233 BF 86 14		bbs 3,$86,$00724a
	007236 AF 86 11		bbs 2,$86,$00724a
	007239 A5 69		lda $69
	00723B 29 07		and #$07
	00723D F0 0E		beq $00724d
	00723F C9 01		cmp #$01
	007241 F0 04		beq $007247
	007243 C9 05		cmp #$05
	007245 D0 03		bne $00724a
007247	007247 1F 61 03		bbr 1,$61,$00724d
00724A	00724A 8A		txa
	00724B 18		clc
	00724C 60		rts

00724D	00724D 38		sec
	00724E 60		rts

00724F	00724F AF 86 08		bbs 2,$86,$00725a
	007252 C7 8C		smb 4,$8C
	007254 6A		ror a
	007255 B0 02		bcs $007259
	007257 47 8C		rmb 4,$8C
007259	007259 60		rts

00725A	00725A A9 00		lda #$00
	00725C 4F 8C 02		bbr 4,$8C,$007261
	00725F A9 01		lda #$01
007261	007261 4C EB 5A		jmp $5AEB

007264	007264 AF 86 1E		bbs 2,$86,$007285
	007267 A5 A7		lda $A7
	007269 85 40		sta $40
	00726B A5 A8		lda $A8
	00726D 85 41		sta $41
	00726F DA		phx
	007270 20 AC 2E		jsr $2EAC
	007273 FA		plx
	007274 B0 0C		bcs $007282
	007276 8D 8C 87		sta $878C
	007279 A5 40		lda $40
	00727B 85 A7		sta $A7
	00727D A5 41		lda $41
	00727F 85 A8		sta $A8
	007281 60		rts

007282	007282 4C 16 2E		jmp $2E16

007285	007285 AD 8C 87		lda $878C
	007288 4C EB 5A		jmp $5AEB

00728B	00728B AF 86 08		bbs 2,$86,$007296
	00728E 87 8C		smb 0,$8C
	007290 6A		ror a
	007291 B0 02		bcs $007295
	007293 07 8C		rmb 0,$8C
007295	007295 60		rts

007296	007296 A9 00		lda #$00
	007298 0F 8C 02		bbr 0,$8C,$00729d
	00729B A9 01		lda #$01
00729D	00729D 4C EB 5A		jmp $5AEB

0072A0	0072A0 AF 86 4B		bbs 2,$86,$0072ee
	0072A3 A5 A7		lda $A7
	0072A5 85 40		sta $40
	0072A7 A5 A8		lda $A8
	0072A9 85 41		sta $41
	0072AB 20 AC 2E		jsr $2EAC
	0072AE B0 33		bcs $0072e3
	0072B0 A8		tay
	0072B1 A5 40		lda $40
	0072B3 85 A7		sta $A7
	0072B5 A5 41		lda $41
	0072B7 85 A8		sta $A8
	0072B9 A1 A7		lda ($A7)
	0072BB C9 2C		cmp #$2C','
	0072BD D0 2C		bne $0072eb
	0072BF E6 A7		inc $A7
	0072C1 D0 02		bne $0072c5
	0072C3 E6 A8		inc $A8
0072C5	0072C5 A1 A7		lda ($A7)
	0072C7 A7 8C		smb 2,$8C
	0072C9 6A		ror a
	0072CA B0 02		bcs $0072ce
	0072CC 27 8C		rmb 2,$8C
0072CE	0072CE E6 A7		inc $A7
	0072D0 D0 02		bne $0072d4
	0072D2 E6 A8		inc $A8
0072D4	0072D4 98		tya
	0072D5 8D 1D 01		sta $011D
	0072D8 8D 28 02		sta $0228
	0072DB A9 00		lda #$00
	0072DD 8D 29 02		sta $0229
	0072E0 37 5F		rmb 3,$5F
	0072E2 60		rts

0072E3	0072E3 A5 40		lda $40
	0072E5 85 A7		sta $A7
	0072E7 A5 41		lda $41
	0072E9 85 A8		sta $A8
0072EB	0072EB 4C 16 2E		jmp $2E16

0072EE	0072EE 20 14 FE		jsr $FE14{out_crlf}
	0072F1 AD 1D 01		lda $011D
	0072F4 85 41		sta $41
	0072F6 A9 30		lda #$30'0'
	0072F8 85 43		sta $43
	0072FA 20 B8 E2		jsr $E2B8
	0072FD A9 2C		lda #$2C','
	0072FF 20 05 FE		jsr $FE05{out}
	007302 A9 00		lda #$00
	007304 2F 8C 02		bbr 2,$8C,$007309
	007307 A9 01		lda #$01
007309	007309 85 41		sta $41
	00730B A9 30		lda #$30'0'
	00730D 85 43		sta $43
	00730F 20 B8 E2		jsr $E2B8
	007312 4C 14 FE		jmp $FE14{out_crlf}

007315	007315 AF 86 08		bbs 2,$86,$007320
	007318 20 F5 53		jsr $53F5
	00731B 90 2C		bcc $007349
	00731D 4C 16 2E		jmp $2E16

007320	007320 20 14 FE		jsr $FE14{out_crlf}
	007323 AD 3B 01		lda $013B
	007326 20 3F 5A		jsr $5A3F
	007329 F2 3C 01 01 04	bas $013C,$01,$007332
	00732E A9 00		lda #$00
	007330 80 02		bra $007334

007332	007332 A9 01		lda #$01
007334	007334 20 3F 5A		jsr $5A3F
	007337 AE 36 01		ldx $0136
	00733A 20 C1 53		jsr $53C1
	00733D 20 83 5A		jsr $5A83
	007340 AE 37 01		ldx $0137
	007343 20 C1 53		jsr $53C1
	007346 4C 14 FE		jmp $FE14{out_crlf}

007349	007349 A2 00		ldx #$00
	00734B BD C4 00		lda $00C4,x
	00734E C9 FF		cmp #$FF
	007350 F0 26		beq $007378
	007352 48		pha
	007353 A2 08		ldx #$08
007355	007355 DD 85 54		cmp $5485,x
	007358 F0 09		beq $007363
	00735A CA		dex
	00735B 30 02		bmi $00735f
	00735D 80 F6		bra $007355

00735F	00735F 68		pla
007360	007360 4C 16 2E		jmp $2E16

007363	007363 68		pla
	007364 F2 2E 01 01 08	bas $012E,$01,$007371
	007369 C9 0B		cmp #$0B
	00736B F0 F3		beq $007360
	00736D C9 4A		cmp #$4A'J'
	00736F F0 EF		beq $007360
007371	007371 8D 3B 01		sta $013B
	007374 8A		txa
	007375 8D 35 01		sta $0135
007378	007378 A2 01		ldx #$01
	00737A BD C4 00		lda $00C4,x
	00737D C9 FF		cmp #$FF
	00737F F0 16		beq $007397
	007381 C9 00		cmp #$00
	007383 F0 0A		beq $00738f
	007385 48		pha
	007386 D2 01 3C 01	sba $01,$013C
	00738A 68		pla
	00738B 97 50		smb 1,$50
	00738D 80 08		bra $007397

00738F	00738F 48		pha
	007390 C2 01 3C 01	rba $01,$013C
	007394 68		pla
	007395 17 50		rmb 1,$50
007397	007397 A2 02		ldx #$02
	007399 BD C4 00		lda $00C4,x
	00739C C9 FF		cmp #$FF
	00739E F0 0F		beq $0073af
	0073A0 20 E1 53		jsr $53E1
	0073A3 F2 2E 01 01 04	bas $012E,$01,$0073ac
	0073A8 C9 09		cmp #$09
	0073AA B0 B4		bcs $007360
0073AC	0073AC 8D 36 01		sta $0136
0073AF	0073AF A2 03		ldx #$03
	0073B1 BD C4 00		lda $00C4,x
	0073B4 C9 FF		cmp #$FF
	0073B6 F0 06		beq $0073be
	0073B8 20 E1 53		jsr $53E1
	0073BB 8D 37 01		sta $0137
0073BE	0073BE 4C 86 56		jmp $5686

0073C1	0073C1 E0 0D		cpx #$0D
	0073C3 90 0B		bcc $0073d0
	0073C5 A9 32		lda #$32'2'
	0073C7 E0 0F		cpx #$0F
	0073C9 90 02		bcc $0073cd
	0073CB A9 33		lda #$33'3'
0073CD	0073CD 20 05 FE		jsr $FE05{out}
0073D0	0073D0 BD 9F 54		lda $549F,x
	0073D3 20 45 5A		jsr $5A45
	0073D6 A9 30		lda #$30'0'
	0073D8 20 05 FE		jsr $FE05{out}
	0073DB A9 30		lda #$30'0'
	0073DD 20 05 FE		jsr $FE05{out}
	0073E0 60		rts

0073E1	0073E1 BD C4 00		lda $00C4,x
	0073E4 A2 10		ldx #$10
0073E6	0073E6 DD 8E 54		cmp $548E,x
	0073E9 F0 08		beq $0073f3
	0073EB CA		dex
	0073EC 30 02		bmi $0073f0
	0073EE 80 F6		bra $0073e6

0073F0	0073F0 4C 16 2E		jmp $2E16

0073F3	0073F3 8A		txa
	0073F4 60		rts

0073F5	0073F5 A2 00		ldx #$00
	0073F7 A9 FF		lda #$FF
0073F9	0073F9 9D C4		sta $C4,x
	0073FB 00		brk
	0073FC E8		inx
	0073FD E0 05		cpx #$05
	0073FF 90 F8		bcc $0073f9
	007401 A2 00		ldx #$00
007403	007403 A5 A7		lda $A7
	007405 85 40		sta $40
	007407 A5 A8		lda $A8
	007409 85 41		sta $41
	00740B DA		phx
	00740C 20 AC 2E		jsr $2EAC
	00740F FA		plx
	007410 B0 19		bcs $00742b
	007412 E0 02		cpx #$02
	007414 90 0F		bcc $007425
	007416 A0 10		ldy #$10
007418	007418 D9 8E 54		cmp $548E,y
	00741B F0 28		beq $007445
	00741D 88		dey
	00741E 30 02		bmi $007422
	007420 80 F6		bra $007418

007422	007422 4C 16 2E		jmp $2E16

007425	007425 DD 81 54		cmp $5481,x
	007428 90 1B		bcc $007445
	00742A 60		rts

00742B	00742B A5 40		lda $40
	00742D 85 A7		sta $A7
	00742F A5 41		lda $41
	007431 85 A8		sta $A8
	007433 A1 A7		lda ($A7)
	007435 C9 2C		cmp #$2C','
	007437 F0 1C		beq $007455
	007439 C9 20		cmp #$20' '
	00743B D0 3B		bne $007478
00743D	00743D E6 A7		inc $A7
	00743F D0 02		bne $007443
	007441 E6 A8		inc $A8
007443	007443 80 BE		bra $007403

007445	007445 9D C4		sta $C4,x
	007447 00		brk
007448	007448 E6 A7		inc $A7
	00744A D0 02		bne $00744e
	00744C E6 A8		inc $A8
00744E	00744E CE 38 01		dec $0138
007451	007451 D0 F5		bne $007448
	007453 80 AE		bra $007403

007455	007455 E8		inx
	007456 E0 02		cpx #$02
	007458 90 E3		bcc $00743d
	00745A E0 04		cpx #$04
	00745C F0 07		beq $007465
	00745E 20 B0 54		jsr $54B0
	007461 E0 04		cpx #$04
	007463 90 D8		bcc $00743d
007465	007465 E6 A7		inc $A7
	007467 D0 02		bne $00746b
	007469 E6 A8		inc $A8
00746B	00746B A1 A7		lda ($A7)
	00746D 29 01		and #$01
	00746F 9D C4		sta $C4,x
	007471 00		brk
	007472 E6 A7		inc $A7
	007474 D0 02		bne $007478
	007476 E6 A8		inc $A8
007478	007478 18		clc
	007479 60		rts

00747A	00747A AE 35 01		ldx $0135
	00747D BD 85 54		lda $5485,x
	007480 60		rts

007481	007481 4B		jsb 4			;indirect $FFE8
	007482 02		mpy
	007483 FF FF 00		bbs 7,$FF,$007486
007486	007486 01 02		ora ($02)		;Cx9	port C (bidirectional)
	007488 03		tip
	007489 09 0A		ora #$0A
	00748B 0B		jsb 0			;indirect $FFE0
	00748C 40		rti
	00748D 45 03		eor $03			;Cx9	port A direction (R/O)
	00748F 06 0C		asl $0C			;Cx9 PTG B Mode (R/W)
	007491 18		clc
	007492 30 48		bmi $0074dc
	007494 60		rts

007495	007495 78		sei
	007496 90 A8		bcc $007440
	007498 C0 D8		cpy #$D8
	00749A F0 08		beq $0074a4
	00749C 20 38 50		jsr $5038
	00749F 03		tip
	0074A0 06 0C		asl $0C			;Cx9 PTG B Mode (R/W)
	0074A2 18		clc
	0074A3 30 48		bmi $0074ed
	0074A5 60		rts

0074A6	0074A6 78		sei
	0074A7 90 A8		bcc $007451
	0074A9 C0 D8		cpy #$D8
	0074AB F0 40		beq $0074ed
	0074AD 58		cli
	0074AE 0C 24 A9		jpi ($A924)
	0074B1 00		brk
	0074B2 85 43		sta $43
	0074B4 A5 A7		lda $A7
	0074B6 85 40		sta $40
	0074B8 A5 A8		lda $A8
	0074BA 85 41		sta $41
0074BC	0074BC E6 40		inc $40
	0074BE D0 02		bne $0074c2
	0074C0 E6 41		inc $41
0074C2	0074C2 A1 40		lda ($40)
	0074C4 C9 30		cmp #$30'0'
	0074C6 90 1E		bcc $0074e6
	0074C8 C9 3A		cmp #$3A':'
	0074CA B0 1A		bcs $0074e6
	0074CC C9 0D		cmp #$0D
	0074CE F0 16		beq $0074e6
	0074D0 C9 2C		cmp #$2C','
	0074D2 F0 12		beq $0074e6
	0074D4 C9 30		cmp #$30'0'
	0074D6 D0 E4		bne $0074bc
	0074D8 A5 43		lda $43
	0074DA C9 02		cmp #$02
0074DC	0074DC F0 09		beq $0074e7
	0074DE A9 20		lda #$20' '
	0074E0 81 40		sta ($40)
	0074E2 E6 43		inc $43
	0074E4 80 D6		bra $0074bc

0074E6	0074E6 60		rts

0074E7	0074E7 A9 20		lda #$20' '
	0074E9 81 40		sta ($40)
	0074EB C6 40		dec $40
0074ED	0074ED C6 40		dec $40
	0074EF A9 30		lda #$30'0'
	0074F1 81 40		sta ($40)
	0074F3 60		rts

0074F4	0074F4 C9 05		cmp #$05
	0074F6 90 0C		bcc $007504
	0074F8 C9 09		cmp #$09
	0074FA B0 08		bcs $007504
	0074FC 89 01		add #$01
	0074FE C9 09		cmp #$09
	007500 D0 02		bne $007504
	007502 A9 05		lda #$05
007504	007504 60		rts

007505	007505 01 03		ora ($03)		;Cx9	port A direction (R/O)
	007507 07 0F		rmb 0,$0F		;Cx9 PBUL PBB-PBLL Clear Download
	007509 1F 3F 7F		bbr 1,$3F,$00758b	;Cx9 SIN (TxD) divider latch (R)
	00750C FF FF FF		bbs 7,$FF,$00750e
	00750F FF FF FF		bbs 7,$FF,$007511
	007512 FF 00 00		bbs 7,$00,$007515	;Cx9	port A (bidirectional)
007515	007515 00		brk
	007516 00		brk
	007517 00		brk
	007518 00		brk
	007519 00		brk
	00751A 00		brk
	00751B 01 03		ora ($03)		;Cx9	port A direction (R/O)
	00751D 07 0F		rmb 0,$0F		;Cx9 PBUL PBB-PBLL Clear Download
	00751F 1F 3F 00		bbr 1,$3F,$007522	;Cx9 SIN (TxD) divider latch (R)
007522	007522 40		rti
	007523 40		rti
	007524 60		rts

007525	007525 68		pla
	007526 68		pla
	007527 68		pla
	007528 68		pla
	007529 68		pla
	00752A 68		pla
	00752B 68		pla
	00752C 68		pla
	00752D 68		pla
	00752E 68		pla
	00752F 04		???			;undocumented opcode
	007530 04		???			;undocumented opcode
	007531 06 06		asl $06			;Cx9	port C direction (W)
	007533 06 06		asl $06			;Cx9	port C direction (W)
	007535 06 06		asl $06			;Cx9	port C direction (W)
	007537 06 06		asl $06			;Cx9	port C direction (W)
	007539 06 06		asl $06			;Cx9	port C direction (W)
	00753B 06 00		asl $00			;Cx9	port A (bidirectional)
	00753D 40		rti
	00753E 40		rti
	00753F 60		rts

007540	007540 68		pla
	007541 04		???			;undocumented opcode
	007542 04		???			;undocumented opcode
	007543 06 06		asl $06			;Cx9	port C direction (W)
	007545 06 20		asl $20			;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	007547 B2 55 4C		sti #$55'U',$4C
	00754A 4C 55 AD		jmp $AD55

00754D	00754D BB		ini
	00754E 00		brk
	00754F C9 00		cmp #$00
	007551 F0 4F		beq $0075a2
	007553 AE 55 01		ldx $0155
	007556 E0 07		cpx #$07
	007558 90 02		bcc $00755c
	00755A A2 06		ldx #$06
00755C	00755C BD 38 55		lda $5538,x
	00755F 8D 38 01		sta $0138
	007562 AE 54 01		ldx $0154
	007565 E0 04		cpx #$04
	007567 B0 04		bcs $00756d
	007569 A9 00		lda #$00
	00756B 80 08		bra $007575

00756D	00756D BD 37 55		lda $5537,x
	007570 49 FF		eor #$FF
	007572 2D 38 01		and $0138
007575	007575 09 11		ora #$11
	007577 8D 57 01		sta $0157
	00757A AE 55 01		ldx $0155
	00757D E0 06		cpx #$06
	00757F 90 02		bcc $007583
	007581 A2 06		ldx #$06
007583	007583 BD 3D 55		lda $553D,x
	007586 8D 38 01		sta $0138
	007589 AE 54 01		ldx $0154
	00758C E0 04		cpx #$04
	00758E B0 04		bcs $007594
	007590 A9 00		lda #$00
	007592 80 08		bra $00759c

007594	007594 BD 3C 55		lda $553C,x
	007597 49 FF		eor #$FF
	007599 2D 38 01		and $0138
00759C	00759C 09 09		ora #$09
	00759E 8D 58 01		sta $0158
	0075A1 60		rts

0075A2	0075A2 A9 11		lda #$11
	0075A4 8D 57 01		sta $0157
	0075A7 A2 04		ldx #$04
	0075A9 BD 3D 55		lda $553D,x
	0075AC 09 09		ora #$09
	0075AE 8D 58 01		sta $0158
	0075B1 60		rts

0075B2	0075B2 60		rts

0075B3	0075B3 00		brk
	0075B4 00		brk
	0075B5 00		brk
	0075B6 01 02		ora ($02)		;Cx9	port C (bidirectional)
	0075B8 03		tip
	0075B9 04		???			;undocumented opcode
	0075BA 06 0A		asl $0A			;Cx9 External Interrupt Register
	0075BC 10 00		bpl $0075be
0075BE	0075BE 00		brk
	0075BF 03		tip
	0075C0 05 07		ora $07			;Cx9	port E (R/W)
	0075C2 08		php
	0075C3 00		brk
	0075C4 10 10		bpl $0075d6
	0075C6 10 10		bpl $0075d8
	0075C8 09 0B		ora #$0B
	0075CA 0C 0D 0E		jpi ($0E0D)
	0075CD 0A		asl a
	0075CE 0F 10 10		bbr 0,$10,$0075e1	;Cx9 Timer A Mode
	0075D1 10 10		bpl $0075e3
	0075D3 AE 5B 04		ldx $045B
0075D6	0075D6 BD B3 55		lda $55B3,x
	0075D9 CD 36 01		cmp $0136
	0075DC 60		rts

0075DD	0075DD 7F 49 14		bbr 7,$49,$0075f4
	0075E0 A5 4E		lda $4E
	0075E2 29 0B		and #$0B
	0075E4 C9 08		cmp #$08
	0075E6 F0 0C		beq $0075f4
	0075E8 AD 5B 04		lda $045B
	0075EB AA		tax
	0075EC BD B3 55		lda $55B3,x
	0075EF CD 37 01		cmp $0137
	0075F2 90 2F		bcc $007623
0075F4	0075F4 AD 37 01		lda $0137
	0075F7 E2 52 01 01 27	bar $0152,$01,$007623
	0075FC AE BB 00		ldx $00BB
	0075FF E0 02		cpx #$02
	007601 F0 13		beq $007616
	007603 E0 01		cpx #$01
	007605 D0 1C		bne $007623
	007607 AD 55 01		lda $0155
	00760A C9 06		cmp #$06
	00760C B0 04		bcs $007612
	00760E 89 02		add #$02
	007610 80 11		bra $007623

007612	007612 A9 08		lda #$08
	007614 80 0D		bra $007623

007616	007616 AD 55 01		lda $0155
	007619 C9 08		cmp #$08
	00761B B0 04		bcs $007621
	00761D 89 06		add #$06
	00761F 80 02		bra $007623

007621	007621 A9 0E		lda #$0E
007623	007623 A2 00		ldx #$00
	007625 AD 3B 01		lda $013B
007628	007628 DD 48 56		cmp $5648,x
	00762B F0 06		beq $007633
	00762D E8		inx
	00762E E8		inx
	00762F E0 16		cpx #$16
	007631 D0 F5		bne $007628
007633	007633 E8		inx
	007634 AD 37 01		lda $0137
	007637 DD 48 56		cmp $5648,x
	00763A B0 02		bcs $00763e
	00763C 80 06		bra $007644

00763E	00763E BD 48 56		lda $5648,x
	007641 8D 37 01		sta $0137
007644	007644 8D 39 01		sta $0139
	007647 60		rts

007648	007648 00		brk
	007649 00		brk
	00764A 01 02		ora ($02)		;Cx9	port C (bidirectional)
	00764C 02		mpy
	00764D 03		tip
	00764E 03		tip
	00764F 02		mpy
	007650 09 06		ora #$06
	007652 0A		asl a
	007653 08		php
	007654 0B		jsb 0			;indirect $FFE0
	007655 10 40		bpl $007697
	007657 00		brk
	007658 45 02		eor $02			;Cx9	port C (bidirectional)
	00765A 4A		lsr a
	00765B 0E 38 1E		asl $1E38
	00765E 00		brk
	00765F 00		brk
	007660 AD 36 01		lda $0136
	007663 8D 3A 01		sta $013A
	007666 60		rts

007667	007667 7F 49 18		bbr 7,$49,$007682
	00766A 9F 50 15		bbs 1,$50,$007682
	00766D A5 4E		lda $4E
	00766F 29 0B		and #$0B
	007671 C9 08		cmp #$08
	007673 F0 0D		beq $007682
	007675 AD 5B 04		lda $045B
	007678 AA		tax
	007679 BD B3 55		lda $55B3,x
	00767C 8D 36 01		sta $0136
	00767F 8D 37 01		sta $0137
007682	007682 8D 39 01		sta $0139
	007685 60		rts

007686	007686 20 8F 56		jsr $568F
	007689 20 D5 56		jsr $56D5
	00768C 4C E0 56		jmp $56E0

00768F	00768F 20 60 56		jsr $5660
	007692 20 DD 55		jsr $55DD
	007695 AA		tax
	007696 E0 03		cpx #$03
	007698 90 30		bcc $0076ca
	00769A AC 3A 01		ldy $013A
	00769D BD 02 55		lda $5502,x
	0076A0 8D 38 01		sta $0138
	0076A3 C0 04		cpy #$04
	0076A5 90 08		bcc $0076af
	0076A7 B9 01 55		lda $5501,y
	0076AA 49 FF		eor #$FF
	0076AC 2D 38 01		and $0138
0076AF	0076AF 8D 3D 01		sta $013D
	0076B2 BD 10 55		lda $5510,x
	0076B5 8D 38 01		sta $0138
	0076B8 C0 04		cpy #$04
	0076BA 90 08		bcc $0076c4
	0076BC B9 0F 55		lda $550F,y
	0076BF 49 FF		eor #$FF
	0076C1 2D 38 01		and $0138
0076C4	0076C4 29 3F		and #$3F'?'
	0076C6 8D 3E 01		sta $013E
	0076C9 60		rts

0076CA	0076CA A9 00		lda #$00
	0076CC 8D 3D 01		sta $013D
	0076CF A9 00		lda #$00
	0076D1 8D 3E 01		sta $013E
	0076D4 60		rts

0076D5	0076D5 A9 85		lda #$85
	0076D7 8D 3F 01		sta $013F
	0076DA A9 88		lda #$88
	0076DC 8D 40 01		sta $0140
	0076DF 60		rts

0076E0	0076E0 20 60 56		jsr $5660
	0076E3 20 DD 55		jsr $55DD
	0076E6 AA		tax
	0076E7 E0 04		cpx #$04
	0076E9 90 35		bcc $007720
	0076EB BD 1D 55		lda $551D,x
	0076EE 8D 38 01		sta $0138
	0076F1 AC 3A 01		ldy $013A
	0076F4 C0 05		cpy #$05
	0076F6 90 08		bcc $007700
	0076F8 B9 1C 55		lda $551C,y
	0076FB 49 FF		eor #$FF
	0076FD 2D 38 01		and $0138
007700	007700 09 91		ora #$91
	007702 8D 41 01		sta $0141
	007705 BD 2B 55		lda $552B,x
	007708 8D 38 01		sta $0138
	00770B AC 3A 01		ldy $013A
	00770E C0 05		cpy #$05
	007710 90 08		bcc $00771a
	007712 B9 2A 55		lda $552A,y
	007715 49 FF		eor #$FF
	007717 2D 38 01		and $0138
00771A	00771A 09 09		ora #$09
	00771C 8D 42 01		sta $0142
	00771F 60		rts

007720	007720 A9 91		lda #$91
	007722 8D 41 01		sta $0141
	007725 A9 09		lda #$09
	007727 8D 42 01		sta $0142
	00772A 60		rts

00772B	00772B AF 86 5C		bbs 2,$86,$00778a
	00772E A5 A7		lda $A7
	007730 85 40		sta $40
	007732 A5 A8		lda $A8
	007734 85 41		sta $41
	007736 A1 40		lda ($40)
	007738 C9 2C		cmp #$2C','
	00773A F0 12		beq $00774e
	00773C 20 AC 2E		jsr $2EAC
	00773F B0 3D		bcs $00777e
	007741 C9 08		cmp #$08
	007743 B0 42		bcs $007787
	007745 8D 81 04		sta $0481		;Cx9 CRC	result hi/initialize
	007748 A1 40		lda ($40)
	00774A C9 2C		cmp #$2C','
	00774C D0 30		bne $00777e
00774E	00774E E6 40		inc $40
	007750 D0 02		bne $007754
	007752 E6 41		inc $41
007754	007754 A1 40		lda ($40)
	007756 C9 2C		cmp #$2C','
	007758 F0 12		beq $00776c
	00775A 20 AC 2E		jsr $2EAC
	00775D B0 1F		bcs $00777e
	00775F C9 05		cmp #$05
	007761 B0 24		bcs $007787
	007763 8D 82 04		sta $0482		;Cx9 CRC	control area
	007766 A1 40		lda ($40)
	007768 C9 2C		cmp #$2C','
	00776A D0 12		bne $00777e
00776C	00776C E6 40		inc $40
	00776E D0 02		bne $007772
	007770 E6 41		inc $41
007772	007772 20 AC 2E		jsr $2EAC
	007775 B0 07		bcs $00777e
	007777 C9 0A		cmp #$0A
	007779 B0 0C		bcs $007787
	00777B 8D 83 04		sta $0483		;Cx9 CRC	control area
00777E	00777E A5 40		lda $40
	007780 85 A7		sta $A7
	007782 A5 41		lda $41
	007784 85 A8		sta $A8
	007786 60		rts

007787	007787 4C 16 2E		jmp $2E16

00778A	00778A 20 14 FE		jsr $FE14{out_crlf}
	00778D AD 81 04		lda $0481		;Cx9 CRC	result hi/initialize
	007790 20 3F 5A		jsr $5A3F
	007793 AD 82 04		lda $0482		;Cx9 CRC	control area
	007796 20 3F 5A		jsr $5A3F
	007799 AD 83 04		lda $0483		;Cx9 CRC	control area
	00779C 20 45 5A		jsr $5A45
	00779F 4C 14 FE		jmp $FE14{out_crlf}

0077A2	0077A2 2F 86 29		bbr 2,$86,$0077ce
	0077A5 20 14 FE		jsr $FE14{out_crlf}
	0077A8 A9 00		lda #$00
	0077AA 20 3F 5A		jsr $5A3F
	0077AD A9 00		lda #$00
	0077AF 20 3F 5A		jsr $5A3F
	0077B2 AD 84 04		lda $0484		;Cx9 CRC	control area
	0077B5 20 3F 5A		jsr $5A3F
	0077B8 20 83 5A		jsr $5A83
	0077BB AD 85 04		lda $0485		;Cx9 CRC	control area
	0077BE 20 3F 5A		jsr $5A3F
	0077C1 A9 00		lda #$00
	0077C3 20 3F 5A		jsr $5A3F
	0077C6 A9 FF		lda #$FF
	0077C8 20 3F 5A		jsr $5A3F
	0077CB 4C 14 FE		jmp $FE14{out_crlf}

0077CE	0077CE A5 A7		lda $A7
	0077D0 85 40		sta $40
	0077D2 A5 A8		lda $A8
	0077D4 85 41		sta $41
	0077D6 A1 40		lda ($40)
	0077D8 C9 2C		cmp #$2C','
	0077DA F0 0F		beq $0077eb
	0077DC 20 AC 2E		jsr $2EAC
	0077DF B0 43		bcs $007824
	0077E1 C9 01		cmp #$01
	0077E3 B0 59		bcs $00783e
	0077E5 A1 40		lda ($40)
	0077E7 C9 2C		cmp #$2C','
	0077E9 D0 39		bne $007824
0077EB	0077EB E6 40		inc $40
	0077ED D0 02		bne $0077f1
	0077EF E6 41		inc $41
0077F1	0077F1 A1 40		lda ($40)
	0077F3 C9 2C		cmp #$2C','
	0077F5 F0 0F		beq $007806
	0077F7 20 AC 2E		jsr $2EAC
	0077FA B0 28		bcs $007824
	0077FC C9 01		cmp #$01
	0077FE B0 3E		bcs $00783e
	007800 A1 40		lda ($40)
	007802 C9 2C		cmp #$2C','
	007804 D0 1E		bne $007824
007806	007806 E6 40		inc $40
	007808 D0 02		bne $00780c
	00780A E6 41		inc $41
00780C	00780C A1 40		lda ($40)
	00780E C9 2C		cmp #$2C','
	007810 F0 1B		beq $00782d
	007812 20 AC 2E		jsr $2EAC
	007815 B0 0D		bcs $007824
	007817 C9 02		cmp #$02
	007819 B0 23		bcs $00783e
	00781B 8D 84 04		sta $0484		;Cx9 CRC	control area
	00781E A1 40		lda ($40)
	007820 C9 2C		cmp #$2C','
	007822 F0 09		beq $00782d
007824	007824 A5 40		lda $40
	007826 85 A7		sta $A7
	007828 A5 41		lda $41
	00782A 85 A8		sta $A8
	00782C 60		rts

00782D	00782D E6 40		inc $40
	00782F D0 02		bne $007833
	007831 E6 41		inc $41
007833	007833 A1 40		lda ($40)
	007835 C9 2C		cmp #$2C','
	007837 F0 08		beq $007841
	007839 20 AC 2E		jsr $2EAC
	00783C B0 E6		bcs $007824
00783E	00783E 4C 16 2E		jmp $2E16

007841	007841 E6 40		inc $40
	007843 D0 02		bne $007847
	007845 E6 41		inc $41
007847	007847 A1 40		lda ($40)
	007849 C9 2C		cmp #$2C','
	00784B F0 12		beq $00785f
	00784D 20 AC 2E		jsr $2EAC
	007850 B0 D2		bcs $007824
	007852 C9 02		cmp #$02
	007854 B0 E8		bcs $00783e
	007856 8D 85 04		sta $0485		;Cx9 CRC	control area
	007859 A1 40		lda ($40)
	00785B C9 2C		cmp #$2C','
	00785D D0 C5		bne $007824
00785F	00785F E6 40		inc $40
	007861 D0 02		bne $007865
	007863 E6 41		inc $41
007865	007865 A1 40		lda ($40)
	007867 C9 2C		cmp #$2C','
	007869 F0 0F		beq $00787a
	00786B 20 AC 2E		jsr $2EAC
	00786E B0 B4		bcs $007824
	007870 C9 01		cmp #$01
	007872 B0 CA		bcs $00783e
	007874 A1 40		lda ($40)
	007876 C9 2C		cmp #$2C','
	007878 D0 AA		bne $007824
00787A	00787A E6 40		inc $40
	00787C D0 02		bne $007880
	00787E E6 41		inc $41
007880	007880 A1 40		lda ($40)
	007882 C9 2C		cmp #$2C','
	007884 F0 0F		beq $007895
	007886 20 AC 2E		jsr $2EAC
	007889 B0 99		bcs $007824
	00788B C9 FF		cmp #$FF
	00788D D0 AF		bne $00783e
	00788F A1 40		lda ($40)
	007891 C9 2C		cmp #$2C','
	007893 D0 8F		bne $007824
007895	007895 E6 40		inc $40
	007897 D0 02		bne $00789b
	007899 E6 41		inc $41
00789B	00789B 20 AC 2E		jsr $2EAC
	00789E B0 84		bcs $007824
	0078A0 80 9C		bra $00783e

0078A2	0078A2 AF 86 6B		bbs 2,$86,$007910
	0078A5 AD 86 04		lda $0486		;Cx9 CRC	control area
	0078A8 48		pha
	0078A9 AD 87 04		lda $0487		;Cx9 CRC	control area
	0078AC 48		pha
	0078AD A5 A7		lda $A7
	0078AF 85 40		sta $40
	0078B1 A5 A8		lda $A8
	0078B3 85 41		sta $41
	0078B5 A1 40		lda ($40)
	0078B7 C9 2C		cmp #$2C','
	0078B9 F0 0E		beq $0078c9
	0078BB 20 AC 2E		jsr $2EAC
	0078BE B0 32		bcs $0078f2
	0078C0 8D 87 04		sta $0487		;Cx9 CRC	control area
	0078C3 A1 40		lda ($40)
	0078C5 C9 2C		cmp #$2C','
	0078C7 D0 29		bne $0078f2
0078C9	0078C9 E6 40		inc $40
	0078CB D0 02		bne $0078cf
	0078CD E6 41		inc $41
0078CF	0078CF A1 40		lda ($40)
	0078D1 C9 2C		cmp #$2C','
	0078D3 F0 0E		beq $0078e3
	0078D5 20 AC 2E		jsr $2EAC
	0078D8 B0 18		bcs $0078f2
	0078DA 8D 86 04		sta $0486		;Cx9 CRC	control area
	0078DD A1 40		lda ($40)
	0078DF C9 2C		cmp #$2C','
	0078E1 D0 0F		bne $0078f2
0078E3	0078E3 E6 40		inc $40
	0078E5 D0 02		bne $0078e9
	0078E7 E6 41		inc $41
0078E9	0078E9 20 AC 2E		jsr $2EAC
	0078EC B0 04		bcs $0078f2
	0078EE C9 00		cmp #$00
	0078F0 D0 13		bne $007905
0078F2	0078F2 AD 86 04		lda $0486		;Cx9 CRC	control area
	0078F5 CD 87 04		cmp $0487		;Cx9 CRC	control area
	0078F8 B0 0B		bcs $007905
	0078FA 68		pla
	0078FB 68		pla
	0078FC A5 40		lda $40
	0078FE 85 A7		sta $A7
	007900 A5 41		lda $41
	007902 85 A8		sta $A8
	007904 60		rts

007905	007905 68		pla
	007906 8D 87 04		sta $0487		;Cx9 CRC	control area
	007909 68		pla
	00790A 8D 86 04		sta $0486		;Cx9 CRC	control area
	00790D 4C 16 2E		jmp $2E16

007910	007910 20 14 FE		jsr $FE14{out_crlf}
	007913 AD 87 04		lda $0487		;Cx9 CRC	control area
	007916 20 3F 5A		jsr $5A3F
	007919 AD 86 04		lda $0486		;Cx9 CRC	control area
	00791C 20 3F 5A		jsr $5A3F
	00791F A9 00		lda #$00
	007921 20 45 5A		jsr $5A45
	007924 4C 14 FE		jmp $FE14{out_crlf}

007927	007927 AF 86 5C		bbs 2,$86,$007986
	00792A 20 B5 59		jsr $59B5
	00792D 90 03		bcc $007932
	00792F 4C 16 2E		jmp $2E16

007932	007932 A2 00		ldx #$00
	007934 BD C4 00		lda $00C4,x
	007937 C9 FF		cmp #$FF
	007939 F0 05		beq $007940
	00793B 29 7F		and #$7F
	00793D 8D 5F 01		sta $015F
007940	007940 A2 01		ldx #$01
	007942 BD C4 00		lda $00C4,x
	007945 C9 FF		cmp #$FF
	007947 F0 02		beq $00794b
	007949 29 3F		and #$3F'?'
00794B	00794B A2 02		ldx #$02
	00794D BD C4 00		lda $00C4,x
	007950 C9 FF		cmp #$FF
	007952 F0 03		beq $007957
	007954 8D 98 9A		sta $9A98
007957	007957 A2 03		ldx #$03
	007959 BD C4 00		lda $00C4,x
	00795C C9 FF		cmp #$FF
	00795E F0 1C		beq $00797c
	007960 48		pha
	007961 D2 01 5A 01	sba $01,$015A
	007965 68		pla
	007966 48		pha
	007967 C2 40 5F 01	rba $40,$015F
	00796B 68		pla
	00796C D0 04		bne $007972
	00796E C2 01 5A 01	rba $01,$015A
007972	007972 C9 01		cmp #$01
	007974 F0 06		beq $00797c
	007976 48		pha
	007977 D2 40 5F 01	sba $40,$015F
	00797B 68		pla
00797C	00797C A2 04		ldx #$04
	00797E BD C4 00		lda $00C4,x
	007981 C9 FF		cmp #$FF
	007983 80 00		bra $007985

007985	007985 60		rts

007986	007986 20 14 FE		jsr $FE14{out_crlf}
	007989 A9 01		lda #$01
	00798B 20 3F 5A		jsr $5A3F
	00798E A9 01		lda #$01
	007990 20 3F 5A		jsr $5A3F
	007993 AD 98 9A		lda $9A98
	007996 20 BB E2		jsr $E2BB
	007999 20 83 5A		jsr $5A83
	00799C A9 01		lda #$01
	00799E F2 5A 01 01 02	bas $015A,$01,$0079a5
	0079A3 A9 00		lda #$00
0079A5	0079A5 20 3F 5A		jsr $5A3F
	0079A8 A9 00		lda #$00
	0079AA 20 3F 5A		jsr $5A3F
	0079AD A9 00		lda #$00
	0079AF 20 45 5A		jsr $5A45
	0079B2 4C 14 FE		jmp $FE14{out_crlf}

0079B5	0079B5 A2 00		ldx #$00
	0079B7 8E 38 01		stx $0138
	0079BA A9 FF		lda #$FF
0079BC	0079BC 9D C4		sta $C4,x
	0079BE 00		brk
	0079BF E8		inx
	0079C0 E0 04		cpx #$04
	0079C2 90 F8		bcc $0079bc
	0079C4 A2 00		ldx #$00
0079C6	0079C6 A5 A7		lda $A7
	0079C8 85 40		sta $40
	0079CA A5 A8		lda $A8
	0079CC 85 41		sta $41
	0079CE E0 02		cpx #$02
0079D0	0079D0 F0 09		beq $0079db
	0079D2 DA		phx
	0079D3 20 AC 2E		jsr $2EAC
	0079D6 FA		plx
	0079D7 B0 22		bcs $0079fb
	0079D9 80 0A		bra $0079e5

0079DB	0079DB DA		phx
	0079DC 20 00 4A		jsr $4A00
	0079DF 8E 38 01		stx $0138
	0079E2 FA		plx
	0079E3 B0 16		bcs $0079fb
0079E5	0079E5 DD 1C 5A		cmp $5A1C,x
	0079E8 90 01		bcc $0079eb
	0079EA 60		rts

0079EB	0079EB 9D C4		sta $C4,x
	0079ED 00		brk
0079EE	0079EE E6 A7		inc $A7
	0079F0 D0 02		bne $0079f4
	0079F2 E6 A8		inc $A8
0079F4	0079F4 CE 38 01		dec $0138
	0079F7 D0 F5		bne $0079ee
	0079F9 80 CB		bra $0079c6

0079FB	0079FB A5 40		lda $40
	0079FD 85 A7		sta $A7
	0079FF A5 41		lda $41
	007A01 85 A8		sta $A8
	007A03 A1 A7		lda ($A7)
	007A05 C9 2C		cmp #$2C','
	007A07 F0 0C		beq $007a15
	007A09 C9 20		cmp #$20' '
	007A0B D0 0D		bne $007a1a
007A0D	007A0D E6 A7		inc $A7
	007A0F D0 02		bne $007a13
	007A11 E6 A8		inc $A8
007A13	007A13 80 B1		bra $0079c6

007A15	007A15 E8		inx
	007A16 E0 04		cpx #$04
	007A18 90 F3		bcc $007a0d
007A1A	007A1A 18		clc
	007A1B 60		rts

007A1C	007A1C 07 06		rmb 0,$06		;Cx9	port C direction (W)
	007A1E FF 03 AF		bbs 7,$03,$0079d0	;Cx9	port A direction (R/O)
	007A21 86 12		stx $12			;Cx9 TAS (R), TAUL (W)
	007A23 0A		asl a
	007A24 0A		asl a
	007A25 0A		asl a
	007A26 0A		asl a
	007A27 0A		asl a
	007A28 48		pha
	007A29 A9 CF		lda #$CF
	007A2B 25 69		and $69
	007A2D 85 69		sta $69
	007A2F 68		pla
	007A30 05 69		ora $69
	007A32 85 69		sta $69
	007A34 60		rts

007A35	007A35 A9 01		lda #$01
	007A37 DF 69 02		bbs 5,$69,$007a3c
	007A3A A9 00		lda #$00
007A3C	007A3C 4C EB 5A		jmp $5AEB

007A3F	007A3F 20 45 5A		jsr $5A45
	007A42 4C 83 5A		jmp $5A83

007A45	007A45 AA		tax
	007A46 A5 40		lda $40
	007A48 48		pha
	007A49 A5 41		lda $41
	007A4B 48		pha
	007A4C A5 42		lda $42
	007A4E 48		pha
	007A4F A5 43		lda $43
	007A51 48		pha
	007A52 A5 44		lda $44
	007A54 48		pha
	007A55 A5 45		lda $45
	007A57 48		pha
	007A58 A5 46		lda $46
	007A5A 48		pha
	007A5B A5 47		lda $47
	007A5D 48		pha
	007A5E 8A		txa
	007A5F 85 41		sta $41
	007A61 A9 30		lda #$30'0'
	007A63 85 43		sta $43
	007A65 20 B8 E2		jsr $E2B8
	007A68 AA		tax
	007A69 68		pla
	007A6A 85 47		sta $47
	007A6C 68		pla
	007A6D 85 46		sta $46
	007A6F 68		pla
	007A70 85 45		sta $45
	007A72 68		pla
	007A73 85 44		sta $44
	007A75 68		pla
	007A76 85 43		sta $43
	007A78 68		pla
	007A79 85 42		sta $42
	007A7B 68		pla
	007A7C 85 41		sta $41
	007A7E 68		pla
	007A7F 85 40		sta $40
	007A81 8A		txa
	007A82 60		rts

007A83	007A83 A5 40		lda $40
	007A85 48		pha
	007A86 A5 41		lda $41
	007A88 48		pha
	007A89 A9 2C		lda #$2C','
	007A8B 20 05 FE		jsr $FE05{out}
	007A8E 68		pla
	007A8F 85 41		sta $41
	007A91 68		pla
	007A92 85 40		sta $40
	007A94 60		rts

007A95	007A95 A5 40		lda $40
	007A97 48		pha
	007A98 A5 41		lda $41
	007A9A 48		pha
	007A9B A5 42		lda $42
	007A9D 48		pha
	007A9E A5 43		lda $43
	007AA0 48		pha
	007AA1 A5 44		lda $44
	007AA3 48		pha
	007AA4 A5 45		lda $45
	007AA6 48		pha
	007AA7 A5 46		lda $46
	007AA9 48		pha
	007AAA A5 47		lda $47
	007AAC 48		pha
	007AAD A5 A7		lda $A7
	007AAF 85 40		sta $40
	007AB1 A5 A8		lda $A8
	007AB3 85 41		sta $41
	007AB5 20 AC 2E		jsr $2EAC
	007AB8 90 02		bcc $007abc
	007ABA A9 00		lda #$00
007ABC	007ABC AA		tax
	007ABD A5 40		lda $40
	007ABF 85 A7		sta $A7
	007AC1 A5 41		lda $41
	007AC3 85 A8		sta $A8
	007AC5 68		pla
	007AC6 85 47		sta $47
	007AC8 68		pla
	007AC9 85 46		sta $46
	007ACB 68		pla
	007ACC 85 45		sta $45
	007ACE 68		pla
	007ACF 85 44		sta $44
	007AD1 68		pla
	007AD2 85 43		sta $43
	007AD4 68		pla
	007AD5 85 42		sta $42
	007AD7 68		pla
	007AD8 85 41		sta $41
	007ADA 68		pla
	007ADB 85 40		sta $40
	007ADD 8A		txa
	007ADE 60		rts

007ADF	007ADF 48		pha
	007AE0 20 95 5A		jsr $5A95
	007AE3 FA		plx
	007AE4 86 46		stx $46
	007AE6 C5 46		cmp $46
	007AE8 48		pha
	007AE9 68		pla
	007AEA 60		rts

007AEB	007AEB 48		pha
	007AEC 20 14 FE		jsr $FE14{out_crlf}
	007AEF 68		pla
	007AF0 85 41		sta $41
	007AF2 A9 30		lda #$30'0'
	007AF4 85 43		sta $43
	007AF6 20 B8 E2		jsr $E2B8
	007AF9 20 14 FE		jsr $FE14{out_crlf}
	007AFC 60		rts

007AFD	007AFD A2 01		ldx #$01
	007AFF 80 10		bra $007b11

007B01	007B01 C9 15		cmp #$15		;! "\0x80"
	007B03 D0 0A		bne $007b0f
	007B05 A9 01		lda #$01
	007B07 85 A9		sta $A9
	007B09 20 94 E2		jsr $E294
	007B0C 4C 1E FE		jmp $FE1E

;;; 005B0F - some code stored in $44

007B0F	007B0F A2 00		ldx #$00
007B11	007B11 C9 FF		cmp #$FF
	007B13 F0 59		beq $007b6e
	007B15 C9 4D		cmp #$4D'M'
	007B17 B0 55		bcs $007b6e
	007B19 E2 2E 01 04 08	bar $012E,$04,$007b26
	007B1E E2 2E 01 10 03	bar $012E,$10,$007b26
	007B23 1F 62 06		bbr 1,$62,$007b2c
007B26	007B26 C9 45		cmp #$45		;! /0,1,1.0,80/
	007B28 D0 02		bne $007b2c
	007B2A A9 01		lda #$01
007B2C	007B2C DA		phx
	007B2D 48		pha
	007B2E B2 14 46		sti #$14,$46
	007B31 B2 FE 47		sti #$FE,$47
	007B34 20 B2 E2		jsr $E2B2
	007B37 68		pla
	007B38 20 6F 5B		jsr $5B6F		;! nop
	007B3B 20 70 5B		jsr $5B70		;! nop
	007B3E 20 71 5B		jsr $5B71
	007B41 0A		asl a
	007B42 AA		tax
	007B43 A5 40		lda $40
	007B45 48		pha
	007B46 A5 41		lda $41
	007B48 48		pha
	007B49 BD 5F 5C		lda $5C5F,x
	007B4C 85 40		sta $40
	007B4E E8		inx
	007B4F BD 5F 5C		lda $5C5F,x
	007B52 85 41		sta $41
	007B54 20 91 E2		jsr $E291
	007B57 68		pla
	007B58 85 41		sta $41
	007B5A 68		pla
	007B5B 85 40		sta $40
	007B5D FA		plx
	007B5E E0 01		cpx #$01
	007B60 F0 09		beq $007b6b
	007B62 B2 14 46		sti #$14,$46
	007B65 B2 FE 47		sti #$FE,$47
	007B68 20 B2 E2		jsr $E2B2
007B6B	007B6B 20 1E FE		jsr $FE1E
007B6E	007B6E 60		rts
007B6F	007B6F 60		rts
007B70	007B70 60		rts

007B71	007B71 F2 2E 01 01 12	bas $012E,$01,$007b88
	007B76 AA		tax
	007B77 C9 46		cmp #$46'F'
	007B79 D0 04		bne $007b7f
	007B7B A9 4B		lda #$4B'K'
	007B7D 80 09		bra $007b88

007B7F	007B7F C9 49		cmp #$49'I'
	007B81 D0 04		bne $007b87
	007B83 A9 4A		lda #$4A'J'
	007B85 80 01		bra $007b88

007B87	007B87 8A		txa
007B88	007B88 60		rts

007B89	007B89 43		???			;undocumented opcode
	007B8A 4C 41 53		jmp $5341

007B8D	007B8D 53		???			;undocumented opcode
	007B8E 00		brk
	007B8F 4C 4F 00		jmp $004F

007B92	007B92 50 52		bvc $007be6
	007B94 00		brk
	007B95 4D 4D 00		eor $004D
	007B98 4D 49 00		eor $0049
	007B9B 4D 52 00		eor $0052
	007B9E 00		brk
	007B9F 18		clc
	007BA0 50 50		bvc $007bf2
	007BA2 45 B7		eor $B7
	007BA4 5B		jsb 5			;indirect $FFEA
	007BA5 02		mpy
	007BA6 41 F8		eor ($F8)
	007BA8 5B		jsb 5			;indirect $FFEA
	007BA9 00		brk
	007BAA 40		rti
	007BAB F7 5B		smb 7,$5B
	007BAD 17 FD		rmb 1,$FD
	007BAF F7 5B		smb 7,$5B
	007BB1 16 FD		asl $FD,x
	007BB3 F7 5B		smb 7,$5B
	007BB5 19 FD AF		ora $AFFD,y
	007BB8 86 23		stx $23			;Cx9 SP RAM 3
	007BBA F0 12		beq $007bce
	007BBC C9 01		cmp #$01
	007BBE D0 04		bne $007bc4
	007BC0 89 03		add #$03
	007BC2 80 0A		bra $007bce

007BC4	007BC4 C9 02		cmp #$02
	007BC6 D0 04		bne $007bcc
	007BC8 89 01		add #$01
	007BCA 80 02		bra $007bce

007BCC	007BCC A9 06		lda #$06
007BCE	007BCE 48		pha
	007BCF A9 F8		lda #$F8
	007BD1 25 53		and $53
	007BD3 85 53		sta $53
	007BD5 68		pla
	007BD6 05 53		ora $53
	007BD8 85 53		sta $53
	007BDA F7 64		smb 7,$64
	007BDC 60		rts

007BDD	007BDD A5 53		lda $53
	007BDF 29 07		and #$07
	007BE1 F0 11		beq $007bf4
	007BE3 C9 06		cmp #$06
	007BE5 D0 04		bne $007beb
	007BE7 A9 03		lda #$03
	007BE9 80 09		bra $007bf4

007BEB	007BEB C9 04		cmp #$04
	007BED D0 02		bne $007bf1
	007BEF E9 02		sbc #$02
007BF1	007BF1 38		sec
007BF2	007BF2 E9 01		sbc #$01
007BF4	007BF4 4C EB 5A		jmp $5AEB

007BF7	007BF7 60		rts

007BF8	007BF8 2F 69 42		bbr 2,$69,$007c3d
	007BFB AF 86 38		bbs 2,$86,$007c36
	007BFE 20 95 5A		jsr $5A95
	007C01 F0 23		beq $007c26
	007C03 A2 05		ldx #$05
	007C05 C9 01		cmp #$01
	007C07 F0 1D		beq $007c26
	007C09 E8		inx
	007C0A C9 02		cmp #$02
	007C0C F0 18		beq $007c26
	007C0E E8		inx
	007C0F C9 04		cmp #$04
	007C11 F0 13		beq $007c26
	007C13 E8		inx
	007C14 C9 08		cmp #$08
	007C16 F0 0E		beq $007c26
	007C18 E8		inx
	007C19 C9 0A		cmp #$0A
	007C1B F0 09		beq $007c26
	007C1D A2 11		ldx #$11
	007C1F C9 12		cmp #$12
	007C21 F0 03		beq $007c26
	007C23 4C 16 2E		jmp $2E16

007C26	007C26 48		pha
	007C27 A9 C0		lda #$C0
	007C29 25 9A		and $9A
	007C2B 85 9A		sta $9A
	007C2D 68		pla
	007C2E 05 9A		ora $9A
	007C30 85 9A		sta $9A
	007C32 8E 5B 04		stx $045B
	007C35 60		rts

007C36	007C36 A5 9A		lda $9A
	007C38 29 3F		and #$3F'?'
	007C3A 4C EB 5A		jmp $5AEB

007C3D	007C3D AF 86 19		bbs 2,$86,$007c59
	007C40 20 95 5A		jsr $5A95
	007C43 F0 08		beq $007c4d
	007C45 C9 04		cmp #$04
	007C47 90 08		bcc $007c51
	007C49 C9 09		cmp #$09
	007C4B B0 04		bcs $007c51
007C4D	007C4D 8D C6 CB		sta $CBC6
	007C50 60		rts

007C51	007C51 A9 82		lda #$82
	007C53 8D C7 CB		sta $CBC7
	007C56 4C 16 2E		jmp $2E16

007C59	007C59 AD C6 CB		lda $CBC6
	007C5C 4C EB 5A		jmp $5AEB

;;; 005C5F - pointer to messages

007C5F	E8 61	EA 61	EE 61	F4 61	F8 61	FC 61	00 62	04 62
	08 62	0C 62	10 62	16 62	1E 62	4B 62	31 62	A1 62
 10	93 62	6F 62	CB 62	DD 62	FD 62	02 63	04 63	19 63
 18	19 63	2E 63	5E 63	66 63	6E 63	76 63	7D 63	83 63
 20	8C 63	95 63	9E 63	A6 63	AE 63	B6 63	BD 63	C4 63
 28	CA 63	D1 63	D9 63	E1 63	DE 64	F3 64	F9 64	FF 64
 30	04 65	0A 65	0F 65	18 65	23 65	34 65	39 65	39 65
 38	44 65	4A 65	53 65	57 65	E9 63	64 65	6C 65	70 65
 40	88 64	7E 64	9A 64	A8 64	BA 64	23 64	ED 63	83 65
 48	B7 65	BD 65	CB 65	D7 65

	007CF7 30
	007CF8 48		pha
	007CF9 60		rts

007CFA	007CFA 78		sei
	007CFB 90 AF		bcc $007cac
	007CFD 86 08		stx $08			;Cx9	mask option & port E dir'n
	007CFF 20 BA 5D		jsr $5DBA
	007D02 90 32		bcc $007d36
	007D04 4C 16 2E		jmp $2E16

007D07	007D07 20 14 FE		jsr $FE14{out_crlf}
	007D0A A9 03		lda #$03
	007D0C DF 2B 09		bbs 5,$2B,$007d18	;Cx9 SP RAM B
	007D0F A9 02		lda #$02
	007D11 F2 52 01 01 02	bas $0152,$01,$007d18
	007D16 A9 00		lda #$00
007D18	007D18 20 3F 5A		jsr $5A3F
	007D1B AE 54 01		ldx $0154
	007D1E 20 C1 53		jsr $53C1
	007D21 20 83 5A		jsr $5A83
	007D24 AE 55 01		ldx $0155
	007D27 20 C1 53		jsr $53C1
	007D2A 20 83 5A		jsr $5A83
	007D2D AD 56 01		lda $0156
	007D30 20 45 5A		jsr $5A45
	007D33 4C 14 FE		jmp $FE14{out_crlf}

007D36	007D36 A2 00		ldx #$00
	007D38 BD C4 00		lda $00C4,x
	007D3B C9 FF		cmp #$FF
	007D3D F0 4E		beq $007d8d
	007D3F A0 00		ldy #$00
	007D41 8C CA 04		sty $04CA		;Cx9 CRC	control area
	007D44 48		pha
	007D45 C2 01 52 01	rba $01,$0152
	007D49 68		pla
	007D4A 48		pha
	007D4B C2 08 67 01	rba $08,$0167
	007D4F 68		pla
	007D50 57 2B		rmb 5,$2B		;Cx9 SP RAM B
	007D52 F0 39		beq $007d8d
	007D54 48		pha
	007D55 D2 08 67 01	sba $08,$0167
	007D59 68		pla
	007D5A C9 01		cmp #$01
	007D5C F0 2C		beq $007d8a
	007D5E C9 03		cmp #$03
	007D60 D0 17		bne $007d79
	007D62 E2 2E 01 04 23	bar $012E,$04,$007d8a
	007D67 E2 74 01 08 0D	bar $0174,$08,$007d79
	007D6C D2 01 52 01	sba $01,$0152
	007D70 A9 01		lda #$01
	007D72 8D CA 04		sta $04CA		;Cx9 CRC	control area
	007D75 D7 2B		smb 5,$2B		;Cx9 SP RAM B
	007D77 80 14		bra $007d8d

007D79	007D79 E2 2E 01 04 06	bar $012E,$04,$007d84
	007D7E D2 01 52 01	sba $01,$0152
	007D82 80 09		bra $007d8d

007D84	007D84 DF 2B 03		bbs 5,$2B,$007d8a	;Cx9 SP RAM B
	007D87 4C 16 2E		jmp $2E16

007D8A	007D8A 4C 16 2E		jmp $2E16

007D8D	007D8D A2 01		ldx #$01
	007D8F BD C4 00		lda $00C4,x
	007D92 C9 FF		cmp #$FF
	007D94 F0 06		beq $007d9c
	007D96 20 E1 53		jsr $53E1
	007D99 8D 54 01		sta $0154
007D9C	007D9C A2 02		ldx #$02
	007D9E BD C4 00		lda $00C4,x
	007DA1 C9 FF		cmp #$FF
	007DA3 F0 06		beq $007dab
	007DA5 20 E1 53		jsr $53E1
	007DA8 8D 55 01		sta $0155
007DAB	007DAB A2 03		ldx #$03
	007DAD BD C4 00		lda $00C4,x
	007DB0 C9 FF		cmp #$FF
	007DB2 F0 03		beq $007db7
	007DB4 8D 56 01		sta $0156
007DB7	007DB7 4C 46 55		jmp $5546

007DBA	007DBA A2 00		ldx #$00
	007DBC A9 FF		lda #$FF
007DBE	007DBE 9D C4		sta $C4,x
	007DC0 00		brk
	007DC1 E8		inx
	007DC2 E0 04		cpx #$04
	007DC4 90 F8		bcc $007dbe
	007DC6 A2 00		ldx #$00
007DC8	007DC8 A5 A7		lda $A7
	007DCA 85 40		sta $40
	007DCC A5 A8		lda $A8
	007DCE 85 41		sta $41
	007DD0 DA		phx
	007DD1 20 AC 2E		jsr $2EAC
	007DD4 FA		plx
	007DD5 B0 1C		bcs $007df3
	007DD7 E0 00		cpx #$00
	007DD9 F0 12		beq $007ded
	007DDB E0 03		cpx #$03
	007DDD F0 0E		beq $007ded
	007DDF A0 04		ldy #$04
007DE1	007DE1 D9 F7 5C		cmp $5CF7,y
	007DE4 F0 27		beq $007e0d
	007DE6 88		dey
	007DE7 30 02		bmi $007deb
	007DE9 80 F6		bra $007de1

007DEB	007DEB 38		sec
	007DEC 60		rts

007DED	007DED DD 31 5E		cmp $5E31,x
	007DF0 90 1B		bcc $007e0d
	007DF2 60		rts

007DF3	007DF3 A5 40		lda $40
	007DF5 85 A7		sta $A7
	007DF7 A5 41		lda $41
	007DF9 85 A8		sta $A8
	007DFB A1 A7		lda ($A7)
	007DFD C9 2C		cmp #$2C','
	007DFF F0 1C		beq $007e1d
	007E01 C9 20		cmp #$20' '
	007E03 D0 25		bne $007e2a
007E05	007E05 E6 A7		inc $A7
	007E07 D0 02		bne $007e0b
	007E09 E6 A8		inc $A8
007E0B	007E0B 80 BB		bra $007dc8

007E0D	007E0D 9D C4		sta $C4,x
	007E0F 00		brk
007E10	007E10 E6 A7		inc $A7
	007E12 D0 02		bne $007e16
	007E14 E6 A8		inc $A8
007E16	007E16 CE 38 01		dec $0138
	007E19 D0 F5		bne $007e10
	007E1B 80 AB		bra $007dc8

007E1D	007E1D E8		inx
	007E1E E0 01		cpx #$01
	007E20 F0 0A		beq $007e2c
	007E22 E0 02		cpx #$02
	007E24 F0 06		beq $007e2c
007E26	007E26 E0 04		cpx #$04
	007E28 90 DB		bcc $007e05
007E2A	007E2A 18		clc
	007E2B 60		rts

007E2C	007E2C 20 B0 54		jsr $54B0
	007E2F 80 F5		bra $007e26

007E31	007E31 04		???			;undocumented opcode
	007E32 FF FF 07		bbs 7,$FF,$007e3c
	007E35 60		rts

007E36	007E36 AF 86 08		bbs 2,$86,$007e41
	007E39 20 67 5E		jsr $5E67
007E3C	007E3C 90 0F		bcc $007e4d
	007E3E 4C 16 2E		jmp $2E16

007E41	007E41 A9 00		lda #$00
	007E43 E2 52 01 02 02	bar $0152,$02,$007e4a
	007E48 A9 01		lda #$01
007E4A	007E4A 4C EB 5A		jmp $5AEB

007E4D	007E4D A2 00		ldx #$00
	007E4F BD C4 00		lda $00C4,x
	007E52 C9 FF		cmp #$FF
	007E54 F0 10		beq $007e66
	007E56 48		pha
	007E57 D2 02 52 01	sba $02,$0152
	007E5B 68		pla
	007E5C C9 00		cmp #$00
	007E5E D0 06		bne $007e66
	007E60 48		pha
	007E61 C2 02 52 01	rba $02,$0152
	007E65 68		pla
007E66	007E66 60		rts

007E67	007E67 A2 00		ldx #$00
	007E69 A9 FF		lda #$FF
	007E6B 9D C4		sta $C4,x
	007E6D 00		brk
	007E6E A2 00		ldx #$00
	007E70 A5 A7		lda $A7
	007E72 85 40		sta $40
	007E74 A5 A8		lda $A8
	007E76 85 41		sta $41
	007E78 DA		phx
	007E79 20 AC 2E		jsr $2EAC
	007E7C FA		plx
	007E7D B0 06		bcs $007e85
	007E7F DD 9A 5E		cmp $5E9A,x
	007E82 90 0B		bcc $007e8f
	007E84 60		rts

007E85	007E85 A5 40		lda $40
	007E87 85 A7		sta $A7
	007E89 A5 41		lda $41
	007E8B 85 A8		sta $A8
	007E8D 80 09		bra $007e98

007E8F	007E8F 9D C4		sta $C4,x
	007E91 00		brk
	007E92 E6 A7		inc $A7
	007E94 D0 02		bne $007e98
	007E96 E6 A8		inc $A8
007E98	007E98 18		clc
	007E99 60		rts

007E9A	007E9A 02		mpy
	007E9B AF 86 08		bbs 2,$86,$007ea6
	007E9E 20 F2 5E		jsr $5EF2
	007EA1 90 1D		bcc $007ec0
	007EA3 4C 16 2E		jmp $2E16

007EA6	007EA6 20 14 FE		jsr $FE14{out_crlf}
	007EA9 AD BB 00		lda $00BB
	007EAC 20 3F 5A		jsr $5A3F
	007EAF F2 52 01 04 04	bas $0152,$04,$007eb8
	007EB4 A9 00		lda #$00
	007EB6 80 02		bra $007eba

007EB8	007EB8 A9 01		lda #$01
007EBA	007EBA 20 45 5A		jsr $5A45
	007EBD 4C 14 FE		jmp $FE14{out_crlf}

007EC0	007EC0 A2 00		ldx #$00
	007EC2 BD C4 00		lda $00C4,x
	007EC5 C9 FF		cmp #$FF
	007EC7 F0 0F		beq $007ed8
	007EC9 F2 2E 01 01 07	bas $012E,$01,$007ed5
	007ECE C9 02		cmp #$02
	007ED0 D0 03		bne $007ed5
	007ED2 4C 16 2E		jmp $2E16

007ED5	007ED5 8D BB 00		sta $00BB
007ED8	007ED8 A2 01		ldx #$01
	007EDA BD C4 00		lda $00C4,x
	007EDD C9 FF		cmp #$FF
	007EDF F0 0E		beq $007eef
	007EE1 48		pha
	007EE2 D2 04 52 01	sba $04,$0152
	007EE6 68		pla
	007EE7 C9 00		cmp #$00
	007EE9 D0 04		bne $007eef
	007EEB C2 04 52 01	rba $04,$0152
007EEF	007EEF 4C 46 55		jmp $5546

007EF2	007EF2 A2 00		ldx #$00
	007EF4 A9 FF		lda #$FF
007EF6	007EF6 9D C4		sta $C4,x
	007EF8 00		brk
	007EF9 E8		inx
	007EFA E0 02		cpx #$02
	007EFC 90 F8		bcc $007ef6
	007EFE A2 00		ldx #$00
007F00	007F00 A5 A7		lda $A7
	007F02 85 40		sta $40
	007F04 A5 A8		lda $A8
	007F06 85 41		sta $41
	007F08 DA		phx
	007F09 20 AC 2E		jsr $2EAC
	007F0C FA		plx
	007F0D B0 06		bcs $007f15
	007F0F DD 46 5F		cmp $5F46,x
	007F12 90 1B		bcc $007f2f
	007F14 60		rts

007F15	007F15 A5 40		lda $40
	007F17 85 A7		sta $A7
	007F19 A5 41		lda $41
	007F1B 85 A8		sta $A8
	007F1D A1 A7		lda ($A7)
	007F1F C9 2C		cmp #$2C','
	007F21 F0 1C		beq $007f3f
	007F23 C9 20		cmp #$20' '
	007F25 D0 1D		bne $007f44
007F27	007F27 E6 A7		inc $A7
	007F29 D0 02		bne $007f2d
	007F2B E6 A8		inc $A8
007F2D	007F2D 80 D1		bra $007f00

007F2F	007F2F 9D C4		sta $C4,x
	007F31 00		brk
007F32	007F32 E6 A7		inc $A7
	007F34 D0 02		bne $007f38
	007F36 E6 A8		inc $A8
007F38	007F38 CE 38 01		dec $0138
	007F3B D0 F5		bne $007f32
	007F3D 80 C1		bra $007f00

007F3F	007F3F E8		inx
	007F40 E0 02		cpx #$02
	007F42 90 E3		bcc $007f27
007F44	007F44 18		clc
	007F45 60		rts

007F46	007F46 03		tip
	007F47 02		mpy

	007F48 6C 7F 01		jmp ($017F)

;;; 005F4B

007F4B	007F4B 6C 81 01		jmp ($0181)

;;; called after RING

007F4E	007F4E 18		clc
	007F4F 20 C8 E1		jsr $E1C8		; 00E73D
	007F52 AD 48 03		lda $0348
	007F55 20 DE E3		jsr $E3DE
	007F58 A9 A1		lda #$A1
	007F5A 8D 12 06		sta $0612		;DPi configuration (CONF)
	007F5D 20 DA E1		jsr $E1DA
	007F60 D2 10 09 06	sba $10,$0609		;DPi ORG
	007F64 D2 10 05 06	sba $10,$0605		;DPi TXSQ
	007F68 D2 01 09 06	sba $01,$0609		;DPi DTR
	007F6C D2 80 08 06	sba $80,$0608		;DPi ASYN
007F70	007F70 D2 40 08 06	sba $40,$0608		;DPi TPDM
	007F74 C2 08 05 06	rba $08,$0605		;DPi CEQ
	007F78 A9 03		lda #$03
	007F7A 20 8A FA		jsr $FA8A
	007F7D D2 04 09 06	sba $04,$0609		;DPi DATA
	007F81 20 77 FA		jsr $FA77{newc_w}
	007F84 47 59		rmb 4,$59
	007F86 A9 70		lda #$70'p'
	007F88 8D 72 02		sta $0272
	007F8B A9 E2		lda #$E2
	007F8D 8D 73 02		sta $0273
	007F90 C7 59		smb 4,$59
	007F92 A9 ED		lda #$ED
	007F94 8D 7F 01		sta $017F
	007F97 A9 5F		lda #$5F'_'
	007F99 8D 80 01		sta $0180
	007F9C D2 04 1E 06	sba $04,$061E		;DPi RDBIE
	007FA0 A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
	007FA2 A9 6D		lda #$6D'm'
	007FA4 8D 3F 02		sta $023F		;! E29D -> jmp ($181)
	007FA7 A9 E2		lda #$E2
	007FA9 8D 40 02		sta $0240
	007FAC A9 C3		lda #$C3
	007FAE 8D 81 01		sta $0181
	007FB1 A9 5F		lda #$5F'_'
	007FB3 8D 82 01		sta $0182
	007FB6 A9 2C		lda #$2C','
	007FB8 8D 0E 02		sta $020E
	007FBB A9 01		lda #$01
	007FBD 8D 0F 02		sta $020F
	007FC0 67 5D		rmb 6,$5D
	007FC2 60		rts

;;; 005FC3? - called from ($181)

007FC3	007FC3 6F 5D 26		bbr 6,$5D,$007fec
007FC6	007FC6 A9 06		lda #$06
	007FC8 8D 3F 02		sta $023F
	007FCB A9 E3		lda #$E3
	007FCD 8D 40 02		sta $0240
	007FD0 20 E4 E3		jsr $E3E4		?
	007FD3 AD 41 03		lda $0341
	007FD6 20 DE E3		jsr $E3DE		?
	007FD9 C2 04 1E 06	rba $04,$061E		;DPi RDBIE
	007FDD 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	007FDF A9 89		lda #$89
	007FE1 8D 72 02		sta $0272
	007FE4 A9 09		lda #$09
	007FE6 8D 73 02		sta $0273
	007FE9 20 AE E3		jsr $E3AE		?
007FEC	007FEC 60		rts

007FED	007FED AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	007FF0 E2 0F 06 80 0E	bar $060F,$80,$008003	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	007FF5 C9 55		cmp #$55'U'
	007FF7 D0 0A		bne $008003
	007FF9 A9 04		lda #$04
	007FFB 8D 7F 01		sta $017F
	007FFE A9 60		lda #$60'`'
	008000 8D 80 01		sta $0180
008003	008003 60		rts

008004	008004 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	008007 C9 55		cmp #$55'U'
	008009 D0 0D		bne $008018
	00800B A9 06		lda #$06
	00800D 8D 08 02		sta $0208
	008010 A9 00		lda #$00
	008012 8D 09 02		sta $0209
	008015 37 5D		rmb 3,$5D
	008017 60		rts

008018	008018 3F 5D 13		bbr 3,$5D,$00802e
	00801B 85 B2		sta $B2
	00801D 8D 01 82		sta $8201
	008020 A9 01		lda #$01
	008022 85 B1		sta $B1
	008024 A9 2F		lda #$2F'/'
	008026 8D 7F 01		sta $017F
	008029 A9 60		lda #$60'`'
	00802B 8D 80 01		sta $0180
00802E	00802E 60		rts

00802F	00802F AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	008032 A6 B1		ldx $B1
	008034 9D 01		sta $8201,x
	008037 18		clc
	008038 65 B2		adc $B2
	00803A 85 B2		sta $B2
	00803C 8A		txa
	00803D 38		sec
	00803E E9 02		sbc #$02
	008040 CD 02 82		cmp $8202
	008043 F0 04		beq $008049
	008045 E8		inx
	008046 86 B1		stx $B1
	008048 60		rts

;;;

008049	008049 A9 58		lda #$58'X'		;! CID printout?
	00804B 8D 81 01		sta $0181
	00804E A9 60		lda #$60'`'
	008050 8D 82 01		sta $0182
	008053 C2 04 1E 06	rba $04,$061E		;DPi RDBIE disable
	008057 60		rts

;;; 006058 - ???

008058	008058 20 C6 5F		jsr $5FC6
	00805B A5 B2		lda $B2
	00805D F0 04		beq $008063
	00805F DF 50 01		bbs 5,$50,$008063
	008062 60		rts

008063	008063 20 81 EF		jsr $EF81
	008066 20 14 FE		jsr $FE14{out_crlf}
	008069 CF 50 0E		bbs 4,$50,$00807a	;! formatted output?
00806C	00806C A2 00		ldx #$00
	00806E A4 B1		ldy $B1
	008070 C8		iny
008071	008071 20 32 61		jsr $6132		;! just print it from 8201, len $B1
008074	008074 20 24 E3		jsr $E324
	008077 4C B1 EE		jmp $EEB1

;;; print out CID information

00807A	00807A AD 01 82		lda $8201
	00807D C9 04		cmp #$04
	00807F F0 11		beq $008092
	008081 C9 80		cmp #$80
	008083 F0 3D		beq $0080c2
	008085 F7 6C		smb 7,$6c
	008087 B2 63 40		sti #$63'c',$40		;! -> "MESG = "
	00808A B2 66 41		sti #$66'f',$41	
	00808D 20 2C 61		jsr $612C
	008090 80 DA		bra $00806c

008092	008092 B2 43 40		sti #$43'C',$40		;! -> "DATE = "
	008095 B2 66 41		sti #$66'f',$41
	008098 20 2C 61		jsr $612C
	00809B A2 02		ldx #$02
	00809D A0 04		ldy #$04
	00809F 20 32 61		jsr $6132
	0080A2 B2 4B 40		sti #$4B'K',$40		;! -> "TIME = "
	0080A5 B2 66 41		sti #$66'f',$41
	0080A8 20 2C 61		jsr $612C
	0080AB A0 04		ldy #$04
	0080AD 20 32 61		jsr $6132
	0080B0 B2 53 40		sti #$53'S',$40		;! -> "NMBR = "
	0080B3 B2 66 41		sti #$66'f',$41
	0080B6 20 2C 61		jsr $612C		;! switch banks?
	0080B9 AD 02 82		lda $8202
	0080BC 38		sec
	0080BD E9 08		sbc #$08
	0080BF A8		tay
	0080C0 80 AF		bra $008071

0080C2	0080C2 A2 02		ldx #$02
0080C4	0080C4 BD 01 82		lda $8201,x
	0080C7 C9 01		cmp #$01
	0080C9 F0 2B		beq $0080f6
	0080CB C9 02		cmp #$02
	0080CD F0 44		beq $008113
	0080CF C9 04		cmp #$04
	0080D1 F0 40		beq $008113
	0080D3 C9 07		cmp #$07
	0080D5 F0 44		beq $00811b
	0080D7 BD 02 82		lda $8202,x
	0080DA A8		tay
	0080DB C8		iny
	0080DC C8		iny
	0080DD F7 6C		smb 7,$6C
	0080DF B2 63 40		sti #$63'c',$40
	0080E2 B2 66 41		sti #$66'f',$41
	0080E5 20 2C 61		jsr $612C
0080E8	0080E8 20 32 61		jsr $6132
	0080EB CA		dex
	0080EC CA		dex
	0080ED EC 02 82		cpx $8202
	0080F0 F0 82		beq $008074
	0080F2 E8		inx
	0080F3 E8		inx
	0080F4 80 CE		bra $0080c4

0080F6	0080F6 B2 43 40		sti #$43'C',$40
	0080F9 B2 66 41		sti #$66'f',$41
	0080FC 20 2C 61		jsr $612C
	0080FF E8		inx
	008100 E8		inx
	008101 A0 04		ldy #$04
	008103 20 32 61		jsr $6132
	008106 B2 4B 40		sti #$4B'K',$40
	008109 B2 66 41		sti #$66'f',$41
	00810C 20 2C 61		jsr $612C
	00810F A0 04		ldy #$04
	008111 80 D5		bra $0080e8

008113	008113 B2 53 40		sti #$53'S',$40
	008116 B2 66 41		sti #$66'f',$41
	008119 80 06		bra $008121

00811B	00811B B2 5B 40		sti #$5B'[',$40
	00811E B2 66 41		sti #$66'f',$41
008121	008121 20 2C 61		jsr $612C
	008124 E8		inx
	008125 BD 01 82		lda $8201,x
	008128 A8		tay
	008129 E8		inx
	00812A 80 BC		bra $0080e8

00812C	00812C DA		phx
	00812D 20 91 E2		jsr $E291
	008130 FA		plx
	008131 60		rts

;;; print string starting at $8201+x, y bytes, as hex or chars

008132	008132 BD 01 82		lda $8201,x
	008135 20 41 61		jsr $6141
	008138 E8		inx
	008139 88		dey
	00813A D0 F6		bne $008132
	00813C 77 6C		rmb 7,6C
	00813E 4C 14 FE		jmp $FE14{out_crlf}

;;; print A as character or hex pair depending on $50.4 and $6c.7

008141	008141 FF 6C 03		bbs 7,$6C,$008147
	008144 CF 50 11		bbs 4,$50,$008158
008147	008147 48		pha
	008148 4A		lsr a
	008149 4A		lsr a
	00814A 4A		lsr a
	00814B 4A		lsr a
	00814C 20 5B 61		jsr $615B
	00814F 20 05 FE		jsr $FE05{out}
	008152 68		pla
	008153 29 0F		and #$0F
	008155 20 5B 61		jsr $615B
008158	008158 4C 05 FE		jmp $FE05{out}

00815B	00815B C9 0A		cmp #$0A
	00815D 90 02		bcc $008161
	00815F 69 06		adc #$06
008161	008161 69 30		adc #$30'0'
	008163 60		rts

008164	008164 10 01		bpl $008167
	008166 16 55		asl $55,x
	008168 53		???			;undocumented opcode
	008169 20 30 31		jsr $3130
	00816C 31 C2		and ($C2),x
	00816E 08		php
	00816F 7C EE C2		jmp $C2EE,x

008172	008172 08		php
	008173 74 C7		add $C7,x
	008175 FE 74 C2		inc $C274,x
	008178 08		php
	008179 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	00817B C2 08 4F CD	rba $08,$CD4F
	00817F 95 64		sta $64,x
	008181 00		brk
	008182 FF 00 05		bbs 7,$00,$00818a	;Cx9	port A (bidirectional)
	008185 00		brk
	008186 02		mpy
	008187 C2 08 7C EE	rba $08,$EE7C
	00818B C2 08 74 C7	rba $08,$C774
	00818F FE 74 C2		inc $C274,x
	008192 08		php
	008193 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	008195 C2 08 4F CD	rba $08,$CD4F
	008199 95 64		sta $64,x
	00819B 00		brk
	00819C FF 00 05		bbs 7,$00,$0081a4	;Cx9	port A (bidirectional)
	00819F A0 0E		ldy #$0E
	0081A1 D0 11		bne $0081b4
	0081A3 1F 22 5B		bbr 1,$22,$008201	;Cx9 SP RAM 2
	0081A6 2B		jsb 2			;indirect $FFE4
	0081A7 0A		asl a
	0081A8 42		rnd
	0081A9 00		brk
	0081AA 0E 00 13		asl $1300
	0081AD 03		tip
	0081AE 01 19		ora ($19)		;Cx9	bank switch register 1 (R/W)
	0081B0 00		brk
	0081B1 46 00		lsr $00			;Cx9	port A (bidirectional)
	0081B3 19 00 46		ora $4600,y
	0081B6 00		brk
	0081B7 03		tip
	0081B8 5A		phy
	0081B9 00		brk
	0081BA 2C 01 22		bit $2201
	0081BD 01 CC		ora ($CC)
	0081BF 01 01		ora ($01)		;Cx9	port B (output only)
	0081C1 16 00		asl $00,x		;Cx9	port A (bidirectional)
	0081C3 1C		???			;undocumented opcode
	0081C4 00		brk
	0081C5 16 00		asl $00,x		;Cx9	port A (bidirectional)
	0081C7 1C		???			;undocumented opcode
	0081C8 00		brk
	0081C9 03		tip
	0081CA 00		brk
	0081CB 00		brk
	0081CC 00		brk
	0081CD 00		brk
	0081CE 00		brk
	0081CF 00		brk
	0081D0 00		brk
	0081D1 00		brk
	0081D2 01 00		ora ($00)		;Cx9	port A (bidirectional)
	0081D4 00		brk
	0081D5 00		brk
	0081D6 00		brk
	0081D7 00		brk
	0081D8 00		brk
	0081D9 00		brk
	0081DA 00		brk
	0081DB 01 00		ora ($00)		;Cx9	port A (bidirectional)
	0081DD 00		brk
	0081DE 00		brk
	0081DF 00		brk
	0081E0 00		brk
	0081E1 00		brk
	0081E2 00		brk
	0081E3 00		brk
	0081E4 01 00		ora ($00)		;Cx9	port A (bidirectional)
	0081E6 00		brk
	0081E7 00		brk
	0081E8 00		brk
	0081E9 00		brk
	0081EA 00		brk
	0081EB 00		brk
	0081EC 00		brk
	0081ED 01 00		ora ($00)		;Cx9	port A (bidirectional)
	0081EF 00		brk
	0081F0 00		brk
	0081F1 00		brk
	0081F2 00		brk
	0081F3 00		brk
	0081F4 00		brk
	0081F5 00		brk
	0081F6 01 00		ora ($00)		;Cx9	port A (bidirectional)
	0081F8 00		brk
	0081F9 00		brk
	0081FA 00		brk
	0081FB 00		brk
	0081FC 00		brk
	0081FD 00		brk
	0081FE 00		brk
	0081FF 01 00		ora ($00)		;Cx9	port A (bidirectional)
008201	008201 00		brk
	008202 00		brk
	008203 00		brk
	008204 00		brk
	008205 00		brk
	008206 00		brk
	008207 00		brk
	008208 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00820A 03		tip
	00820B FD 00 00		sbc $0000,x		;Cx9	port A (bidirectional)
	00820E 55 00		eor $00,x		;Cx9	port A (bidirectional)
	008210 43		???			;undocumented opcode
	008211 40		rti
	008212 40		rti
	008213 41 40		eor ($40)
	008215 40		rti
	008216 40		rti
	008217 53		???			;undocumented opcode
	008218 CB		phi
	008219 DB		pli
	00821A A2 82		ldx #$82
	00821C 32		pul
	00821D DD 00 AD		cmp $AD00,x
	008220 00		brk
	008221 4B		jsb 4			;indirect $FFE8
	008222 2C 01 00		bit $0001		;Cx9	port B (output only)
	008225 00		brk
	008226 00		brk
	008227 00		brk
	008228 00		brk
	008229 00		brk
	00822A 14		???			;undocumented opcode
	00822B 05 00		ora $00			;Cx9	port A (bidirectional)
	00822D 00		brk
	00822E 05 00		ora $00			;Cx9	port A (bidirectional)
	008230 78		sei
	008231 00		brk
	008232 00		brk
	008233 00		brk
	008234 00		brk
	008235 00		brk
	008236 00		brk
	008237 00		brk
	008238 00		brk
	008239 00		brk
	00823A 20 1C 01		jsr $011C
	00823D 00		brk
	00823E 07 00		rmb 0,$00		;Cx9	port A (bidirectional)
	008240 FE 00 03		inc $0300,x
	008243 11 40		ora ($40),x
	008245 00		brk
	008246 00		brk
	008247 FF 00 06		bbs 7,$00,$008250	;Cx9	port A (bidirectional)
	00824A 02		mpy
	00824B FF 02 07		bbs 7,$02,$008255	;Cx9	port C (bidirectional)
	00824E 01 FF		ora ($FF)
008250	008250 32		pul
	008251 08		php
	008252 02		mpy
	008253 FF 02 09		bbs 7,$02,$00825f	;Cx9	port C (bidirectional)
	008256 01 FF		ora ($FF)
	008258 06 0A		asl $0A			;Cx9 External Interrupt Register
	00825A 00		brk
	00825B FF 0E 0B		bbs 7,$0E,$008269	;Cx9 PBUL, PBB	to PBLL
	00825E 32		pul
00825F	00825F FF 5F 1B		bbs 7,$5F,$00827d
	008262 FF 00 49		bbs 7,$00,$0082ae	;Cx9	port A (bidirectional)
	008265 1D 00 FF		ora $FF00,x
	008268 46 5B		lsr $5B
	00826A 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	00826C 0B		jsb 0			;indirect $FFE0
	00826D 5C		???			;undocumented opcode
	00826E 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	008270 0B		jsb 0			;indirect $FFE0
	008271 FF FF FF		bbs 7,$FF,$008273
	008274 FF FF 16		bbs 7,$FF,$00828d

	008277 55 53		.ascii /US 011/

	00827D C2		and ($C2),x
	00827E 08		php
	00827F 7C EE C2		jmp $C2EE,x

008282	008282 08		php
	008283 74 C7		add $C7,x
	008285 FE 74 C2		inc $C274,x
	008288 08		php
	008289 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	00828B C2 08 4F CD	rba $08,$CD4F
	00828F 95 64		sta $64,x
	008291 00		brk
	008292 FF 00 05		bbs 7,$00,$00829a	;Cx9	port A (bidirectional)
	008295 00		brk
	008296 02		mpy
	008297 C2 08 7C EE	rba $08,$EE7C
	00829B C2 08 74 C7	rba $08,$C774
	00829F FE 74 C2		inc $C274,x
	0082A2 08		php
	0082A3 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	0082A5 C2 08 4F CD	rba $08,$CD4F
	0082A9 95 64		sta $64,x
	0082AB 00		brk
	0082AC FF 00 05		bbs 7,$00,$0082b4	;Cx9	port A (bidirectional)
	0082AF A0 0E		ldy #$0E
	0082B1 D0 11		bne $0082c4
	0082B3 1F 22 5B		bbr 1,$22,$008311	;Cx9 SP RAM 2
	0082B6 2B		jsb 2			;indirect $FFE4
	0082B7 0A		asl a
	0082B8 42		rnd
	0082B9 00		brk
	0082BA 0E 00 13		asl $1300
	0082BD 03		tip
	0082BE 01 19		ora ($19)		;Cx9	bank switch register 1 (R/W)
	0082C0 00		brk
	0082C1 46 00		lsr $00			;Cx9	port A (bidirectional)
	0082C3 19 00 46		ora $4600,y
	0082C6 00		brk
	0082C7 03		tip
	0082C8 5A		phy
	0082C9 00		brk
	0082CA 2C 01 22		bit $2201
	0082CD 01 CC		ora ($CC)
	0082CF 01 01		ora ($01)		;Cx9	port B (output only)
	0082D1 16 00		asl $00,x		;Cx9	port A (bidirectional)
	0082D3 1C		???			;undocumented opcode
	0082D4 00		brk
	0082D5 16 00		asl $00,x		;Cx9	port A (bidirectional)
	0082D7 1C		???			;undocumented opcode
	0082D8 00		brk
	0082D9 03		tip
	0082DA 00		brk
	0082DB 00		brk
	0082DC 00		brk
	0082DD 00		brk
	0082DE 00		brk
	0082DF 00		brk
	0082E0 00		brk
	0082E1 00		brk
	0082E2 01 00		ora ($00)		;Cx9	port A (bidirectional)
	0082E4 00		brk
	0082E5 00		brk
	0082E6 00		brk
	0082E7 00		brk
	0082E8 00		brk
	0082E9 00		brk
	0082EA 00		brk
	0082EB 01 00		ora ($00)		;Cx9	port A (bidirectional)
	0082ED 00		brk
	0082EE 00		brk
	0082EF 00		brk
	0082F0 00		brk
	0082F1 00		brk
	0082F2 00		brk
	0082F3 00		brk
	0082F4 01 00		ora ($00)		;Cx9	port A (bidirectional)
	0082F6 00		brk
	0082F7 00		brk
	0082F8 00		brk
	0082F9 00		brk
	0082FA 00		brk
	0082FB 00		brk
	0082FC 00		brk
	0082FD 01 00		ora ($00)		;Cx9	port A (bidirectional)
	0082FF 00		brk
	008300 00		brk
	008301 00		brk
	008302 00		brk
	008303 00		brk
	008304 00		brk
	008305 00		brk
	008306 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008308 00		brk
	008309 00		brk
	00830A 00		brk
	00830B 00		brk
	00830C 00		brk
	00830D 00		brk
	00830E 00		brk
	00830F 01 00		ora ($00)		;Cx9	port A (bidirectional)
008311	008311 00		brk
	008312 00		brk
	008313 00		brk
	008314 00		brk
	008315 00		brk
	008316 00		brk
	008317 00		brk
	008318 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00831A 03		tip
	00831B FD 00 00		sbc $0000,x		;Cx9	port A (bidirectional)
	00831E 55 00		eor $00,x		;Cx9	port A (bidirectional)
	008320 43		???			;undocumented opcode
	008321 40		rti
	008322 40		rti
	008323 41 40		eor ($40)
	008325 40		rti
	008326 40		rti
	008327 53		???			;undocumented opcode
	008328 CB		phi
	008329 DB		pli
	00832A A2 82		ldx #$82
	00832C 32		pul
	00832D DD 00 AD		cmp $AD00,x
	008330 00		brk
	008331 4B		jsb 4			;indirect $FFE8
	008332 2C 01 00		bit $0001		;Cx9	port B (output only)
	008335 00		brk
	008336 00		brk
	008337 00		brk
	008338 00		brk
	008339 00		brk
	00833A 14		???			;undocumented opcode
	00833B 05 00		ora $00			;Cx9	port A (bidirectional)
	00833D 00		brk
	00833E 05 00		ora $00			;Cx9	port A (bidirectional)
	008340 78		sei
	008341 00		brk
	008342 00		brk
	008343 00		brk
	008344 00		brk
	008345 00		brk
	008346 00		brk
	008347 00		brk
	008348 00		brk
	008349 00		brk
	00834A 20 1C 01		jsr $011C
	00834D 00		brk
	00834E 07 00		rmb 0,$00		;Cx9	port A (bidirectional)
	008350 FE 00 03		inc $0300,x
	008353 11 40		ora ($40),x
	008355 00		brk
	008356 00		brk
	008357 FF 00 06		bbs 7,$00,$008360	;Cx9	port A (bidirectional)
	00835A 02		mpy
	00835B FF 02 07		bbs 7,$02,$008365	;Cx9	port C (bidirectional)
	00835E 01 FF		ora ($FF)
008360	008360 32		pul
	008361 08		php
	008362 02		mpy
	008363 FF 02 09		bbs 7,$02,$00836f	;Cx9	port C (bidirectional)
	008366 01 FF		ora ($FF)
	008368 06 0A		asl $0A			;Cx9 External Interrupt Register
	00836A 00		brk
	00836B FF 0E 0B		bbs 7,$0E,$008379	;Cx9 PBUL, PBB	to PBLL
	00836E 32		pul
00836F	00836F FF 5F 1B		bbs 7,$5F,$00838d
	008372 FF 00 49		bbs 7,$00,$0083be	;Cx9	port A (bidirectional)
	008375 1D 00 FF		ora $FF00,x
	008378 46 5B		lsr $5B
	00837A 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	00837C 0B		jsb 0			;indirect $FFE0
	00837D 5C		???			;undocumented opcode
	00837E 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	008380 0B		jsb 0			;indirect $FFE0
	008381 FF FF FF		bbs 7,$FF,$008383
	008384 FF FF 16		bbs 7,$FF,$00839d
	008387 55 53		eor $53,x
	008389 20 30 31		jsr $3130
	00838C 31 C2		and ($C2),x
	00838E 08		php
	00838F 7C EE C2		jmp $C2EE,x

008392	008392 08		php
	008393 74 C7		add $C7,x
	008395 FE 74 C2		inc $C274,x
	008398 08		php
	008399 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	00839B C2 08 4F CD	rba $08,$CD4F
	00839F 95 64		sta $64,x
	0083A1 00		brk
	0083A2 FF 00 05		bbs 7,$00,$0083aa	;Cx9	port A (bidirectional)
	0083A5 00		brk
	0083A6 02		mpy
	0083A7 C2 08 7C EE	rba $08,$EE7C
	0083AB C2 08 74 C7	rba $08,$C774
	0083AF FE 74 C2		inc $C274,x
	0083B2 08		php
	0083B3 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	0083B5 C2 08 4F CD	rba $08,$CD4F
	0083B9 95 64		sta $64,x
	0083BB 00		brk
	0083BC FF 00 05		bbs 7,$00,$0083c4	;Cx9	port A (bidirectional)
	0083BF A0 0E		ldy #$0E
	0083C1 D0 11		bne $0083d4
	0083C3 1F 22 5B		bbr 1,$22,$008421	;Cx9 SP RAM 2
	0083C6 2B		jsb 2			;indirect $FFE4
	0083C7 0A		asl a
	0083C8 42		rnd
	0083C9 00		brk
	0083CA 0E 00 13		asl $1300
	0083CD 03		tip
	0083CE 01 19		ora ($19)		;Cx9	bank switch register 1 (R/W)
	0083D0 00		brk
	0083D1 46 00		lsr $00			;Cx9	port A (bidirectional)
	0083D3 19 00 46		ora $4600,y
	0083D6 00		brk
	0083D7 03		tip
	0083D8 5A		phy
	0083D9 00		brk
	0083DA 2C 01 22		bit $2201
	0083DD 01 CC		ora ($CC)
	0083DF 01 01		ora ($01)		;Cx9	port B (output only)
	0083E1 16 00		asl $00,x		;Cx9	port A (bidirectional)
	0083E3 1C		???			;undocumented opcode
	0083E4 00		brk
	0083E5 16 00		asl $00,x		;Cx9	port A (bidirectional)
	0083E7 1C		???			;undocumented opcode
	0083E8 00		brk
	0083E9 03		tip
	0083EA 00		brk
	0083EB 00		brk
	0083EC 00		brk
	0083ED 00		brk
	0083EE 00		brk
	0083EF 00		brk
	0083F0 00		brk
	0083F1 00		brk
	0083F2 01 00		ora ($00)		;Cx9	port A (bidirectional)
	0083F4 00		brk
	0083F5 00		brk
	0083F6 00		brk
	0083F7 00		brk
	0083F8 00		brk
	0083F9 00		brk
	0083FA 00		brk
	0083FB 01 00		ora ($00)		;Cx9	port A (bidirectional)
	0083FD 00		brk
	0083FE 00		brk
	0083FF 00		brk
	008400 00		brk
	008401 00		brk
	008402 00		brk
	008403 00		brk
	008404 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008406 00		brk
	008407 00		brk
	008408 00		brk
	008409 00		brk
	00840A 00		brk
	00840B 00		brk
	00840C 00		brk
	00840D 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00840F 00		brk
	008410 00		brk
	008411 00		brk
	008412 00		brk
	008413 00		brk
	008414 00		brk
	008415 00		brk
	008416 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008418 00		brk
	008419 00		brk
	00841A 00		brk
	00841B 00		brk
	00841C 00		brk
	00841D 00		brk
	00841E 00		brk
	00841F 01 00		ora ($00)		;Cx9	port A (bidirectional)
008421	008421 00		brk
	008422 00		brk
	008423 00		brk
	008424 00		brk
	008425 00		brk
	008426 00		brk
	008427 00		brk
	008428 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00842A 03		tip
	00842B FD 00 00		sbc $0000,x		;Cx9	port A (bidirectional)
	00842E 55 00		eor $00,x		;Cx9	port A (bidirectional)
	008430 43		???			;undocumented opcode
	008431 40		rti
	008432 40		rti
	008433 41 40		eor ($40)
	008435 40		rti
	008436 40		rti
	008437 53		???			;undocumented opcode
	008438 CB		phi
	008439 DB		pli
	00843A A2 82		ldx #$82
	00843C 32		pul
	00843D DD 00 AD		cmp $AD00,x
	008440 00		brk
	008441 4B		jsb 4			;indirect $FFE8
	008442 2C 01 00		bit $0001		;Cx9	port B (output only)
	008445 00		brk
	008446 00		brk
	008447 00		brk
	008448 00		brk
	008449 00		brk
	00844A 14		???			;undocumented opcode
	00844B 05 00		ora $00			;Cx9	port A (bidirectional)
	00844D 00		brk
	00844E 05 00		ora $00			;Cx9	port A (bidirectional)
	008450 78		sei
	008451 00		brk
	008452 00		brk
	008453 00		brk
	008454 00		brk
	008455 00		brk
	008456 00		brk
	008457 00		brk
	008458 00		brk
	008459 00		brk
	00845A 20 1C 01		jsr $011C
	00845D 00		brk
	00845E 07 00		rmb 0,$00		;Cx9	port A (bidirectional)
	008460 FE 00 03		inc $0300,x
	008463 11 40		ora ($40),x
	008465 00		brk
	008466 00		brk
	008467 FF 00 06		bbs 7,$00,$008470	;Cx9	port A (bidirectional)
	00846A 02		mpy
	00846B FF 02 07		bbs 7,$02,$008475	;Cx9	port C (bidirectional)
	00846E 01 FF		ora ($FF)
008470	008470 32		pul
	008471 08		php
	008472 02		mpy
	008473 FF 02 09		bbs 7,$02,$00847f	;Cx9	port C (bidirectional)
	008476 01 FF		ora ($FF)
	008478 06 0A		asl $0A			;Cx9 External Interrupt Register
	00847A 00		brk
	00847B FF 0E 0B		bbs 7,$0E,$008489	;Cx9 PBUL, PBB	to PBLL
	00847E 32		pul
00847F	00847F FF 5F 1B		bbs 7,$5F,$00849d
	008482 FF 00 49		bbs 7,$00,$0084ce	;Cx9	port A (bidirectional)
	008485 1D 00 FF		ora $FF00,x
	008488 46 5B		lsr $5B
	00848A 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	00848C 0B		jsb 0			;indirect $FFE0
	00848D 5C		???			;undocumented opcode
	00848E 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	008490 0B		jsb 0			;indirect $FFE0
	008491 FF FF FF		bbs 7,$FF,$008493
	008494 FF FF 16		bbs 7,$FF,$0084ad
	008497 55 53		eor $53,x
	008499 20 30 31		jsr $3130
	00849C 31 C2		and ($C2),x
	00849E 08		php
	00849F 7C EE C2		jmp $C2EE,x

0084A2	0084A2 08		php
	0084A3 74 C7		add $C7,x
	0084A5 FE 74 C2		inc $C274,x
	0084A8 08		php
	0084A9 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	0084AB C2 08 4F CD	rba $08,$CD4F
	0084AF 95 64		sta $64,x
	0084B1 00		brk
	0084B2 FF 00 05		bbs 7,$00,$0084ba	;Cx9	port A (bidirectional)
	0084B5 00		brk
	0084B6 02		mpy
	0084B7 C2 08 7C EE	rba $08,$EE7C
	0084BB C2 08 74 C7	rba $08,$C774
	0084BF FE 74 C2		inc $C274,x
	0084C2 08		php
	0084C3 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	0084C5 C2 08 4F CD	rba $08,$CD4F
	0084C9 95 64		sta $64,x
	0084CB 00		brk
	0084CC FF 00 05		bbs 7,$00,$0084d4	;Cx9	port A (bidirectional)
	0084CF A0 0E		ldy #$0E
	0084D1 D0 11		bne $0084e4
	0084D3 1F 22 5B		bbr 1,$22,$008531	;Cx9 SP RAM 2
	0084D6 2B		jsb 2			;indirect $FFE4
	0084D7 0A		asl a
	0084D8 42		rnd
	0084D9 00		brk
	0084DA 0E 00 13		asl $1300
	0084DD 03		tip
	0084DE 01 19		ora ($19)		;Cx9	bank switch register 1 (R/W)
	0084E0 00		brk
	0084E1 46 00		lsr $00			;Cx9	port A (bidirectional)
	0084E3 19 00 46		ora $4600,y
	0084E6 00		brk
	0084E7 03		tip
	0084E8 5A		phy
	0084E9 00		brk
	0084EA 2C 01 22		bit $2201
	0084ED 01 CC		ora ($CC)
	0084EF 01 01		ora ($01)		;Cx9	port B (output only)
	0084F1 16 00		asl $00,x		;Cx9	port A (bidirectional)
	0084F3 1C		???			;undocumented opcode
	0084F4 00		brk
	0084F5 16 00		asl $00,x		;Cx9	port A (bidirectional)
	0084F7 1C		???			;undocumented opcode
	0084F8 00		brk
	0084F9 03		tip
	0084FA 00		brk
	0084FB 00		brk
	0084FC 00		brk
	0084FD 00		brk
	0084FE 00		brk
	0084FF 00		brk
	008500 00		brk
	008501 00		brk
	008502 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008504 00		brk
	008505 00		brk
	008506 00		brk
	008507 00		brk
	008508 00		brk
	008509 00		brk
	00850A 00		brk
	00850B 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00850D 00		brk
	00850E 00		brk
	00850F 00		brk
	008510 00		brk
	008511 00		brk
	008512 00		brk
	008513 00		brk
	008514 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008516 00		brk
	008517 00		brk
	008518 00		brk
	008519 00		brk
	00851A 00		brk
	00851B 00		brk
	00851C 00		brk
	00851D 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00851F 00		brk
	008520 00		brk
	008521 00		brk
	008522 00		brk
	008523 00		brk
	008524 00		brk
	008525 00		brk
	008526 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008528 00		brk
	008529 00		brk
	00852A 00		brk
	00852B 00		brk
	00852C 00		brk
	00852D 00		brk
	00852E 00		brk
	00852F 01 00		ora ($00)		;Cx9	port A (bidirectional)
008531	008531 00		brk
	008532 00		brk
	008533 00		brk
	008534 00		brk
	008535 00		brk
	008536 00		brk
	008537 00		brk
	008538 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00853A 03		tip
	00853B FD 00 00		sbc $0000,x		;Cx9	port A (bidirectional)
	00853E 55 00		eor $00,x		;Cx9	port A (bidirectional)
	008540 43		???			;undocumented opcode
	008541 40		rti
	008542 40		rti
	008543 41 40		eor ($40)
	008545 40		rti
	008546 40		rti
	008547 53		???			;undocumented opcode
	008548 CB		phi
	008549 DB		pli
	00854A A2 82		ldx #$82
	00854C 32		pul
	00854D DD 00 AD		cmp $AD00,x
	008550 00		brk
	008551 4B		jsb 4			;indirect $FFE8
	008552 2C 01 00		bit $0001		;Cx9	port B (output only)
	008555 00		brk
	008556 00		brk
	008557 00		brk
	008558 00		brk
	008559 00		brk
	00855A 14		???			;undocumented opcode
	00855B 05 00		ora $00			;Cx9	port A (bidirectional)
	00855D 00		brk
	00855E 05 00		ora $00			;Cx9	port A (bidirectional)
	008560 78		sei
	008561 00		brk
	008562 00		brk
	008563 00		brk
	008564 00		brk
	008565 00		brk
	008566 00		brk
	008567 00		brk
	008568 00		brk
	008569 00		brk
	00856A 20 1C 01		jsr $011C
	00856D 00		brk
	00856E 07 00		rmb 0,$00		;Cx9	port A (bidirectional)
	008570 FE 00 03		inc $0300,x
	008573 11 40		ora ($40),x
	008575 00		brk
	008576 00		brk
	008577 FF 00 06		bbs 7,$00,$008580	;Cx9	port A (bidirectional)
	00857A 02		mpy
	00857B FF 02 07		bbs 7,$02,$008585	;Cx9	port C (bidirectional)
	00857E 01 FF		ora ($FF)
008580	008580 32		pul
	008581 08		php
	008582 02		mpy
	008583 FF 02 09		bbs 7,$02,$00858f	;Cx9	port C (bidirectional)
	008586 01 FF		ora ($FF)
	008588 06 0A		asl $0A			;Cx9 External Interrupt Register
	00858A 00		brk
	00858B FF 0E 0B		bbs 7,$0E,$008599	;Cx9 PBUL, PBB	to PBLL
	00858E 32		pul
00858F	00858F FF 5F 1B		bbs 7,$5F,$0085ad
	008592 FF 00 49		bbs 7,$00,$0085de	;Cx9	port A (bidirectional)
	008595 1D 00 FF		ora $FF00,x
	008598 46 5B		lsr $5B
	00859A 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	00859C 0B		jsb 0			;indirect $FFE0
	00859D 5C		???			;undocumented opcode
	00859E 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	0085A0 0B		jsb 0			;indirect $FFE0
	0085A1 FF FF FF		bbs 7,$FF,$0085a3
	0085A4 FF FF 16		bbs 7,$FF,$0085bd
	0085A7 55 53		eor $53,x
	0085A9 20 30 31		jsr $3130
	0085AC 31 C2		and ($C2),x
	0085AE 08		php
	0085AF 7C EE C2		jmp $C2EE,x

0085B2	0085B2 08		php
	0085B3 74 C7		add $C7,x
	0085B5 FE 74 C2		inc $C274,x
	0085B8 08		php
	0085B9 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	0085BB C2 08 4F CD	rba $08,$CD4F
	0085BF 95 64		sta $64,x
	0085C1 00		brk
	0085C2 FF 00 05		bbs 7,$00,$0085ca	;Cx9	port A (bidirectional)
	0085C5 00		brk
	0085C6 02		mpy
	0085C7 C2 08 7C EE	rba $08,$EE7C
	0085CB C2 08 74 C7	rba $08,$C774
	0085CF FE 74 C2		inc $C274,x
	0085D2 08		php
	0085D3 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	0085D5 C2 08 4F CD	rba $08,$CD4F
	0085D9 95 64		sta $64,x
	0085DB 00		brk
	0085DC FF 00 05		bbs 7,$00,$0085e4	;Cx9	port A (bidirectional)
	0085DF A0 0E		ldy #$0E
	0085E1 D0 11		bne $0085f4
	0085E3 1F 22 5B		bbr 1,$22,$008641	;Cx9 SP RAM 2
	0085E6 2B		jsb 2			;indirect $FFE4
	0085E7 0A		asl a
	0085E8 42		rnd
	0085E9 00		brk
	0085EA 0E 00 13		asl $1300
	0085ED 03		tip
	0085EE 01 19		ora ($19)		;Cx9	bank switch register 1 (R/W)
	0085F0 00		brk
	0085F1 46 00		lsr $00			;Cx9	port A (bidirectional)
	0085F3 19 00 46		ora $4600,y
	0085F6 00		brk
	0085F7 03		tip
	0085F8 5A		phy
	0085F9 00		brk
	0085FA 2C 01 22		bit $2201
	0085FD 01 CC		ora ($CC)
	0085FF 01 01		ora ($01)		;Cx9	port B (output only)
	008601 16 00		asl $00,x		;Cx9	port A (bidirectional)
	008603 1C		???			;undocumented opcode
	008604 00		brk
	008605 16 00		asl $00,x		;Cx9	port A (bidirectional)
	008607 1C		???			;undocumented opcode
	008608 00		brk
	008609 03		tip
	00860A 00		brk
	00860B 00		brk
	00860C 00		brk
	00860D 00		brk
	00860E 00		brk
	00860F 00		brk
	008610 00		brk
	008611 00		brk
	008612 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008614 00		brk
	008615 00		brk
	008616 00		brk
	008617 00		brk
	008618 00		brk
	008619 00		brk
	00861A 00		brk
	00861B 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00861D 00		brk
	00861E 00		brk
	00861F 00		brk
	008620 00		brk
	008621 00		brk
	008622 00		brk
	008623 00		brk
	008624 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008626 00		brk
	008627 00		brk
	008628 00		brk
	008629 00		brk
	00862A 00		brk
	00862B 00		brk
	00862C 00		brk
	00862D 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00862F 00		brk
	008630 00		brk
	008631 00		brk
	008632 00		brk
	008633 00		brk
	008634 00		brk
	008635 00		brk
	008636 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008638 00		brk
	008639 00		brk
	00863A 00		brk
	00863B 00		brk
	00863C 00		brk
	00863D 00		brk
	00863E 00		brk
	00863F 01 00		ora ($00)		;Cx9	port A (bidirectional)
008641	008641 00		brk
	008642 00		brk
	008643 00		brk
	008644 00		brk
	008645 00		brk
	008646 00		brk
	008647 00		brk
	008648 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00864A 03		tip
	00864B FD 00 00		sbc $0000,x		;Cx9	port A (bidirectional)
	00864E 55 00		eor $00,x		;Cx9	port A (bidirectional)
	008650 43		???			;undocumented opcode
	008651 40		rti
	008652 40		rti
	008653 41 40		eor ($40)
	008655 40		rti
	008656 40		rti
	008657 53		???			;undocumented opcode
	008658 CB		phi
	008659 DB		pli
	00865A A2 82		ldx #$82
	00865C 32		pul
	00865D DD 00 AD		cmp $AD00,x
	008660 00		brk
	008661 4B		jsb 4			;indirect $FFE8
	008662 2C 01 00		bit $0001		;Cx9	port B (output only)
	008665 00		brk
	008666 00		brk
	008667 00		brk
	008668 00		brk
	008669 00		brk
	00866A 14		???			;undocumented opcode
	00866B 05 00		ora $00			;Cx9	port A (bidirectional)
	00866D 00		brk
	00866E 05 00		ora $00			;Cx9	port A (bidirectional)
	008670 78		sei
	008671 00		brk
	008672 00		brk
	008673 00		brk
	008674 00		brk
	008675 00		brk
	008676 00		brk
	008677 00		brk
	008678 00		brk
	008679 00		brk
	00867A 20 1C 01		jsr $011C
	00867D 00		brk
	00867E 07 00		rmb 0,$00		;Cx9	port A (bidirectional)
	008680 FE 00 03		inc $0300,x
	008683 11 40		ora ($40),x
	008685 00		brk
	008686 00		brk
	008687 FF 00 06		bbs 7,$00,$008690	;Cx9	port A (bidirectional)
	00868A 02		mpy
	00868B FF 02 07		bbs 7,$02,$008695	;Cx9	port C (bidirectional)
	00868E 01 FF		ora ($FF)
008690	008690 32		pul
	008691 08		php
	008692 02		mpy
	008693 FF 02 09		bbs 7,$02,$00869f	;Cx9	port C (bidirectional)
	008696 01 FF		ora ($FF)
	008698 06 0A		asl $0A			;Cx9 External Interrupt Register
	00869A 00		brk
	00869B FF 0E 0B		bbs 7,$0E,$0086a9	;Cx9 PBUL, PBB	to PBLL
	00869E 32		pul
00869F	00869F FF 5F 1B		bbs 7,$5F,$0086bd
	0086A2 FF 00 49		bbs 7,$00,$0086ee	;Cx9	port A (bidirectional)
	0086A5 1D 00 FF		ora $FF00,x
	0086A8 46 5B		lsr $5B
	0086AA 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	0086AC 0B		jsb 0			;indirect $FFE0
	0086AD 5C		???			;undocumented opcode
	0086AE 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	0086B0 0B		jsb 0			;indirect $FFE0
	0086B1 FF FF FF		bbs 7,$FF,$0086b3
	0086B4 FF FF 16		bbs 7,$FF,$0086cd
	0086B7 55 53		eor $53,x
	0086B9 20 30 31		jsr $3130
	0086BC 31 C2		and ($C2),x
	0086BE 08		php
	0086BF 7C EE C2		jmp $C2EE,x

0086C2	0086C2 08		php
	0086C3 74 C7		add $C7,x
	0086C5 FE 74 C2		inc $C274,x
	0086C8 08		php
	0086C9 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	0086CB C2 08 4F CD	rba $08,$CD4F
	0086CF 95 64		sta $64,x
	0086D1 00		brk
	0086D2 FF 00 05		bbs 7,$00,$0086da	;Cx9	port A (bidirectional)
	0086D5 00		brk
	0086D6 02		mpy
	0086D7 C2 08 7C EE	rba $08,$EE7C
	0086DB C2 08 74 C7	rba $08,$C774
	0086DF FE 74 C2		inc $C274,x
	0086E2 08		php
	0086E3 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	0086E5 C2 08 4F CD	rba $08,$CD4F
	0086E9 95 64		sta $64,x
	0086EB 00		brk
	0086EC FF 00 05		bbs 7,$00,$0086f4	;Cx9	port A (bidirectional)
	0086EF A0 0E		ldy #$0E
	0086F1 D0 11		bne $008704
	0086F3 1F 22 5B		bbr 1,$22,$008751	;Cx9 SP RAM 2
	0086F6 2B		jsb 2			;indirect $FFE4
	0086F7 0A		asl a
	0086F8 42		rnd
	0086F9 00		brk
	0086FA 0E 00 13		asl $1300
	0086FD 03		tip
	0086FE 01 19		ora ($19)		;Cx9	bank switch register 1 (R/W)
	008700 00		brk
	008701 46 00		lsr $00			;Cx9	port A (bidirectional)
	008703 19 00 46		ora $4600,y
	008706 00		brk
	008707 03		tip
	008708 5A		phy
	008709 00		brk
	00870A 2C 01 22		bit $2201
	00870D 01 CC		ora ($CC)
	00870F 01 01		ora ($01)		;Cx9	port B (output only)
	008711 16 00		asl $00,x		;Cx9	port A (bidirectional)
	008713 1C		???			;undocumented opcode
	008714 00		brk
	008715 16 00		asl $00,x		;Cx9	port A (bidirectional)
	008717 1C		???			;undocumented opcode
	008718 00		brk
	008719 03		tip
	00871A 00		brk
	00871B 00		brk
	00871C 00		brk
	00871D 00		brk
	00871E 00		brk
	00871F 00		brk
	008720 00		brk
	008721 00		brk
	008722 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008724 00		brk
	008725 00		brk
	008726 00		brk
	008727 00		brk
	008728 00		brk
	008729 00		brk
	00872A 00		brk
	00872B 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00872D 00		brk
	00872E 00		brk
	00872F 00		brk
	008730 00		brk
	008731 00		brk
	008732 00		brk
	008733 00		brk
	008734 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008736 00		brk
	008737 00		brk
	008738 00		brk
	008739 00		brk
	00873A 00		brk
	00873B 00		brk
	00873C 00		brk
	00873D 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00873F 00		brk
	008740 00		brk
	008741 00		brk
	008742 00		brk
	008743 00		brk
	008744 00		brk
	008745 00		brk
	008746 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008748 00		brk
	008749 00		brk
	00874A 00		brk
	00874B 00		brk
	00874C 00		brk
	00874D 00		brk
	00874E 00		brk
	00874F 01 00		ora ($00)		;Cx9	port A (bidirectional)
008751	008751 00		brk
	008752 00		brk
	008753 00		brk
	008754 00		brk
	008755 00		brk
	008756 00		brk
	008757 00		brk
	008758 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00875A 03		tip
	00875B FD 00 00		sbc $0000,x		;Cx9	port A (bidirectional)
	00875E 55 00		eor $00,x		;Cx9	port A (bidirectional)
	008760 43		???			;undocumented opcode
	008761 40		rti
	008762 40		rti
	008763 41 40		eor ($40)
	008765 40		rti
	008766 40		rti
	008767 53		???			;undocumented opcode
	008768 CB		phi
	008769 DB		pli
	00876A A2 82		ldx #$82
	00876C 32		pul
	00876D DD 00 AD		cmp $AD00,x
	008770 00		brk
	008771 4B		jsb 4			;indirect $FFE8
	008772 2C 01 00		bit $0001		;Cx9	port B (output only)
	008775 00		brk
	008776 00		brk
	008777 00		brk
	008778 00		brk
	008779 00		brk
	00877A 14		???			;undocumented opcode
	00877B 05 00		ora $00			;Cx9	port A (bidirectional)
	00877D 00		brk
	00877E 05 00		ora $00			;Cx9	port A (bidirectional)
	008780 78		sei
	008781 00		brk
	008782 00		brk
	008783 00		brk
	008784 00		brk
	008785 00		brk
	008786 00		brk
	008787 00		brk
	008788 00		brk
	008789 00		brk
	00878A 20 1C 01		jsr $011C
	00878D 00		brk
	00878E 07 00		rmb 0,$00		;Cx9	port A (bidirectional)
	008790 FE 00 03		inc $0300,x
	008793 11 40		ora ($40),x
	008795 00		brk
	008796 00		brk
	008797 FF 00 06		bbs 7,$00,$0087a0	;Cx9	port A (bidirectional)
	00879A 02		mpy
	00879B FF 02 07		bbs 7,$02,$0087a5	;Cx9	port C (bidirectional)
	00879E 01 FF		ora ($FF)
0087A0	0087A0 32		pul
	0087A1 08		php
	0087A2 02		mpy
	0087A3 FF 02 09		bbs 7,$02,$0087af	;Cx9	port C (bidirectional)
	0087A6 01 FF		ora ($FF)
	0087A8 06 0A		asl $0A			;Cx9 External Interrupt Register
	0087AA 00		brk
	0087AB FF 0E 0B		bbs 7,$0E,$0087b9	;Cx9 PBUL, PBB	to PBLL
	0087AE 32		pul
0087AF	0087AF FF 5F 1B		bbs 7,$5F,$0087cd
	0087B2 FF 00 49		bbs 7,$00,$0087fe	;Cx9	port A (bidirectional)
	0087B5 1D 00 FF		ora $FF00,x
	0087B8 46 5B		lsr $5B
	0087BA 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	0087BC 0B		jsb 0			;indirect $FFE0
	0087BD 5C		???			;undocumented opcode
	0087BE 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	0087C0 0B		jsb 0			;indirect $FFE0
	0087C1 FF FF FF		bbs 7,$FF,$0087c3
	0087C4 FF FF 16		bbs 7,$FF,$0087dd
	0087C7 55 53		eor $53,x
	0087C9 20 30 31		jsr $3130
	0087CC 31 C2		and ($C2),x
	0087CE 08		php
	0087CF 7C EE C2		jmp $C2EE,x

0087D2	0087D2 08		php
	0087D3 74 C7		add $C7,x
	0087D5 FE 74 C2		inc $C274,x
	0087D8 08		php
	0087D9 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	0087DB C2 08 4F CD	rba $08,$CD4F
	0087DF 95 64		sta $64,x
	0087E1 00		brk
	0087E2 FF 00 05		bbs 7,$00,$0087ea	;Cx9	port A (bidirectional)
	0087E5 00		brk
	0087E6 02		mpy
	0087E7 C2 08 7C EE	rba $08,$EE7C
	0087EB C2 08 74 C7	rba $08,$C774
	0087EF FE 74 C2		inc $C274,x
	0087F2 08		php
	0087F3 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	0087F5 C2 08 4F CD	rba $08,$CD4F
	0087F9 95 64		sta $64,x
	0087FB 00		brk
	0087FC FF 00 05		bbs 7,$00,$008804	;Cx9	port A (bidirectional)
	0087FF A0 0E		ldy #$0E
	008801 D0 11		bne $008814
	008803 1F 22 5B		bbr 1,$22,$008861	;Cx9 SP RAM 2
	008806 2B		jsb 2			;indirect $FFE4
	008807 0A		asl a
	008808 42		rnd
	008809 00		brk
	00880A 0E 00 13		asl $1300
	00880D 03		tip
	00880E 01 19		ora ($19)		;Cx9	bank switch register 1 (R/W)
	008810 00		brk
	008811 46 00		lsr $00			;Cx9	port A (bidirectional)
	008813 19 00 46		ora $4600,y
	008816 00		brk
	008817 03		tip
	008818 5A		phy
	008819 00		brk
	00881A 2C 01 22		bit $2201
	00881D 01 CC		ora ($CC)
	00881F 01 01		ora ($01)		;Cx9	port B (output only)
	008821 16 00		asl $00,x		;Cx9	port A (bidirectional)
	008823 1C		???			;undocumented opcode
	008824 00		brk
	008825 16 00		asl $00,x		;Cx9	port A (bidirectional)
	008827 1C		???			;undocumented opcode
	008828 00		brk
	008829 03		tip
	00882A 00		brk
	00882B 00		brk
	00882C 00		brk
	00882D 00		brk
	00882E 00		brk
	00882F 00		brk
	008830 00		brk
	008831 00		brk
	008832 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008834 00		brk
	008835 00		brk
	008836 00		brk
	008837 00		brk
	008838 00		brk
	008839 00		brk
	00883A 00		brk
	00883B 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00883D 00		brk
	00883E 00		brk
	00883F 00		brk
	008840 00		brk
	008841 00		brk
	008842 00		brk
	008843 00		brk
	008844 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008846 00		brk
	008847 00		brk
	008848 00		brk
	008849 00		brk
	00884A 00		brk
	00884B 00		brk
	00884C 00		brk
	00884D 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00884F 00		brk
	008850 00		brk
	008851 00		brk
	008852 00		brk
	008853 00		brk
	008854 00		brk
	008855 00		brk
	008856 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008858 00		brk
	008859 00		brk
	00885A 00		brk
	00885B 00		brk
	00885C 00		brk
	00885D 00		brk
	00885E 00		brk
	00885F 01 00		ora ($00)		;Cx9	port A (bidirectional)
008861	008861 00		brk
	008862 00		brk
	008863 00		brk
	008864 00		brk
	008865 00		brk
	008866 00		brk
	008867 00		brk
	008868 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00886A 03		tip
	00886B FD 00 00		sbc $0000,x		;Cx9	port A (bidirectional)
	00886E 55 00		eor $00,x		;Cx9	port A (bidirectional)
	008870 43		???			;undocumented opcode
	008871 40		rti
	008872 40		rti
	008873 41 40		eor ($40)
	008875 40		rti
	008876 40		rti
	008877 53		???			;undocumented opcode
	008878 CB		phi
	008879 DB		pli
	00887A A2 82		ldx #$82
	00887C 32		pul
	00887D DD 00 AD		cmp $AD00,x
	008880 00		brk
	008881 4B		jsb 4			;indirect $FFE8
	008882 2C 01 00		bit $0001		;Cx9	port B (output only)
	008885 00		brk
	008886 00		brk
	008887 00		brk
	008888 00		brk
	008889 00		brk
	00888A 14		???			;undocumented opcode
	00888B 05 00		ora $00			;Cx9	port A (bidirectional)
	00888D 00		brk
	00888E 05 00		ora $00			;Cx9	port A (bidirectional)
	008890 78		sei
	008891 00		brk
	008892 00		brk
	008893 00		brk
	008894 00		brk
	008895 00		brk
	008896 00		brk
	008897 00		brk
	008898 00		brk
	008899 00		brk
	00889A 20 1C 01		jsr $011C
	00889D 00		brk
	00889E 07 00		rmb 0,$00		;Cx9	port A (bidirectional)
	0088A0 FE 00 03		inc $0300,x
	0088A3 11 40		ora ($40),x
	0088A5 00		brk
	0088A6 00		brk
	0088A7 FF 00 06		bbs 7,$00,$0088b0	;Cx9	port A (bidirectional)
	0088AA 02		mpy
	0088AB FF 02 07		bbs 7,$02,$0088b5	;Cx9	port C (bidirectional)
	0088AE 01 FF		ora ($FF)
0088B0	0088B0 32		pul
	0088B1 08		php
	0088B2 02		mpy
	0088B3 FF 02 09		bbs 7,$02,$0088bf	;Cx9	port C (bidirectional)
	0088B6 01 FF		ora ($FF)
	0088B8 06 0A		asl $0A			;Cx9 External Interrupt Register
	0088BA 00		brk
	0088BB FF 0E 0B		bbs 7,$0E,$0088c9	;Cx9 PBUL, PBB	to PBLL
	0088BE 32		pul
0088BF	0088BF FF 5F 1B		bbs 7,$5F,$0088dd
	0088C2 FF 00 49		bbs 7,$00,$00890e	;Cx9	port A (bidirectional)
	0088C5 1D 00 FF		ora $FF00,x
	0088C8 46 5B		lsr $5B
	0088CA 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	0088CC 0B		jsb 0			;indirect $FFE0
	0088CD 5C		???			;undocumented opcode
	0088CE 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	0088D0 0B		jsb 0			;indirect $FFE0
	0088D1 FF FF FF		bbs 7,$FF,$0088d3
	0088D4 FF FF 16		bbs 7,$FF,$0088ed
	0088D7 55 53		eor $53,x
	0088D9 20 30 31		jsr $3130
	0088DC 31 C2		and ($C2),x
	0088DE 08		php
	0088DF 7C EE C2		jmp $C2EE,x

0088E2	0088E2 08		php
	0088E3 74 C7		add $C7,x
	0088E5 FE 74 C2		inc $C274,x
	0088E8 08		php
	0088E9 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	0088EB C2 08 4F CD	rba $08,$CD4F
	0088EF 95 64		sta $64,x
	0088F1 00		brk
	0088F2 FF 00 05		bbs 7,$00,$0088fa	;Cx9	port A (bidirectional)
	0088F5 00		brk
	0088F6 02		mpy
	0088F7 C2 08 7C EE	rba $08,$EE7C
	0088FB C2 08 74 C7	rba $08,$C774
	0088FF FE 74 C2		inc $C274,x
	008902 08		php
	008903 84 11		sty $11			;Cx9 TALC, TAUC-TAS, TALL
	008905 C2 08 4F CD	rba $08,$CD4F
	008909 95 64		sta $64,x
	00890B 00		brk
	00890C FF 00 05		bbs 7,$00,$008914	;Cx9	port A (bidirectional)
	00890F A0 0E		ldy #$0E
	008911 D0 11		bne $008924
	008913 1F 22 5B		bbr 1,$22,$008971	;Cx9 SP RAM 2
	008916 2B		jsb 2			;indirect $FFE4
	008917 0A		asl a
	008918 42		rnd
	008919 00		brk
	00891A 0E 00 13		asl $1300
	00891D 03		tip
	00891E 01 19		ora ($19)		;Cx9	bank switch register 1 (R/W)
	008920 00		brk
	008921 46 00		lsr $00			;Cx9	port A (bidirectional)
	008923 19 00 46		ora $4600,y
	008926 00		brk
	008927 03		tip
	008928 5A		phy
	008929 00		brk
	00892A 2C 01 22		bit $2201
	00892D 01 CC		ora ($CC)
	00892F 01 01		ora ($01)		;Cx9	port B (output only)
	008931 16 00		asl $00,x		;Cx9	port A (bidirectional)
	008933 1C		???			;undocumented opcode
	008934 00		brk
	008935 16 00		asl $00,x		;Cx9	port A (bidirectional)
	008937 1C		???			;undocumented opcode
	008938 00		brk
	008939 03		tip
	00893A 00		brk
	00893B 00		brk
	00893C 00		brk
	00893D 00		brk
	00893E 00		brk
	00893F 00		brk
	008940 00		brk
	008941 00		brk
	008942 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008944 00		brk
	008945 00		brk
	008946 00		brk
	008947 00		brk
	008948 00		brk
	008949 00		brk
	00894A 00		brk
	00894B 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00894D 00		brk
	00894E 00		brk
	00894F 00		brk
	008950 00		brk
	008951 00		brk
	008952 00		brk
	008953 00		brk
	008954 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008956 00		brk
	008957 00		brk
	008958 00		brk
	008959 00		brk
	00895A 00		brk
	00895B 00		brk
	00895C 00		brk
	00895D 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00895F 00		brk
	008960 00		brk
	008961 00		brk
	008962 00		brk
	008963 00		brk
	008964 00		brk
	008965 00		brk
	008966 01 00		ora ($00)		;Cx9	port A (bidirectional)
	008968 00		brk
	008969 00		brk
	00896A 00		brk
	00896B 00		brk
	00896C 00		brk
	00896D 00		brk
	00896E 00		brk
	00896F 01 00		ora ($00)		;Cx9	port A (bidirectional)
008971	008971 00		brk
	008972 00		brk
	008973 00		brk
	008974 00		brk
	008975 00		brk
	008976 00		brk
	008977 00		brk
	008978 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00897A 03		tip
	00897B FD 00 00		sbc $0000,x		;Cx9	port A (bidirectional)
	00897E 55 00		eor $00,x		;Cx9	port A (bidirectional)
	008980 43		???			;undocumented opcode
	008981 40		rti
	008982 40		rti
	008983 41 40		eor ($40)
	008985 40		rti
	008986 40		rti
008987	008987 53		???			;undocumented opcode
	008988 CB		phi
	008989 DB		pli
	00898A A2 82		ldx #$82
	00898C 32		pul
	00898D DD 00 AD		cmp $AD00,x
	008990 00		brk
	008991 4B		jsb 4			;indirect $FFE8
	008992 2C 01 00		bit $0001		;Cx9	port B (output only)
	008995 00		brk
	008996 00		brk
	008997 00		brk
	008998 00		brk
	008999 00		brk
	00899A 14		???			;undocumented opcode
	00899B 05 00		ora $00			;Cx9	port A (bidirectional)
	00899D 00		brk
	00899E 05 00		ora $00			;Cx9	port A (bidirectional)
	0089A0 78		sei
	0089A1 00		brk
	0089A2 00		brk
	0089A3 00		brk
	0089A4 00		brk
	0089A5 00		brk
	0089A6 00		brk
	0089A7 00		brk
	0089A8 00		brk
	0089A9 00		brk
	0089AA 20 1C 01		jsr $011C
	0089AD 00		brk
	0089AE 07 00		rmb 0,$00		;Cx9	port A (bidirectional)
	0089B0 FE 00 03		inc $0300,x
	0089B3 11 40		ora ($40),x
	0089B5 00		brk
	0089B6 00		brk
	0089B7 FF 00 06		bbs 7,$00,$0089c0	;Cx9	port A (bidirectional)
	0089BA 02		mpy
	0089BB FF 02 07		bbs 7,$02,$0089c5	;Cx9	port C (bidirectional)
	0089BE 01 FF		ora ($FF)
0089C0	0089C0 32		pul
	0089C1 08		php
	0089C2 02		mpy
	0089C3 FF 02 09		bbs 7,$02,$0089cf	;Cx9	port C (bidirectional)
	0089C6 01 FF		ora ($FF)
	0089C8 06 0A		asl $0A			;Cx9 External Interrupt Register
	0089CA 00		brk
	0089CB FF 0E 0B		bbs 7,$0E,$0089d9	;Cx9 PBUL, PBB	to PBLL
	0089CE 32		pul
0089CF	0089CF FF 5F 1B		bbs 7,$5F,$0089ed
	0089D2 FF 00 49		bbs 7,$00,$008a1e	;Cx9	port A (bidirectional)
	0089D5 1D 00 FF		ora $FF00,x
	0089D8 46 5B		lsr $5B
	0089DA 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	0089DC 0B		jsb 0			;indirect $FFE0
	0089DD 5C		???			;undocumented opcode
	0089DE 06 0F		asl $0F			;Cx9 PBUL PBB-PBLL Clear Download
	0089E0 0B		jsb 0			;indirect $FFE0
	0089E1 FF FF FF		bbs 7,$FF,$0089e3
	0089E4 FF FF A0		bbs 7,$FF,$008987
	0089E7 01 80		ora ($80)
	0089E9 02		mpy
	0089EA A0 00		ldy #$00
	0089EC A2 00		ldx #$00
0089EE	0089EE BD 6E 6A		lda $6A6E,x
	0089F1 CD 97 02		cmp $0297
	0089F4 F0 07		beq $0089fd
	0089F6 C9 FF		cmp #$FF
	0089F8 F0 0F		beq $008a09
	0089FA E8		inx
	0089FB 80 F1		bra $0089ee

0089FD	0089FD AD 06 01		lda $0106{s0}
	008A00 C9 01		cmp #$01
	008A02 D0 05		bne $008a09
	008A04 A9 02		lda #$02
	008A06 8D 06 01		sta $0106{s0}
008A09	008A09 AD 6B 04		lda $046B
	008A0C 85 40		sta $40
	008A0E AD 6C 04		lda $046C
	008A11 85 41		sta $41
	008A13 A2 00		ldx #$00
	008A15 3F 65 04		bbr 3,$65,$008a1c
	008A18 78		sei
	008A19 B2 70 1E		sti #$70'p',$1E		;Cx9	bank switch register 6 (R/W)
008A1C	008A1C B1 40		lda ($40),x
008A1E	008A1E C9 FF		cmp #$FF
	008A20 F0 31		beq $008a53
	008A22 DA		phx
	008A23 20 7B 10		jsr $107B
	008A26 B0 2A		bcs $008a52
	008A28 F0 31		beq $008a5b
	008A2A FA		plx
	008A2B E8		inx
	008A2C C0 00		cpy #$00
	008A2E D0 15		bne $008a45
	008A30 B1 40		lda ($40),x
	008A32 C1 44		cmp ($44)
	008A34 90 02		bcc $008a38
	008A36 81 44		sta ($44)
008A38	008A38 E8		inx
	008A39 B1 40		lda ($40),x
	008A3B C1 44		cmp ($44)
	008A3D B0 02		bcs $008a41
	008A3F 81 44		sta ($44)
008A41	008A41 E8		inx
	008A42 E8		inx
	008A43 80 D7		bra $008a1c

008A45	008A45 E8		inx
	008A46 E8		inx
	008A47 B1 40		lda ($40),x
	008A49 E8		inx
	008A4A C9 FF		cmp #$FF
	008A4C F0 CE		beq $008a1c
	008A4E 81 44		sta ($44)
	008A50 80 CA		bra $008a1c

008A52	008A52 FA		plx
008A53	008A53 3F 65 04		bbr 3,$65,$008a5a
	008A56 B2 B2 1E		sti #$B2,$1E		;Cx9	bank switch register 6 (R/W)
	008A59 58		cli
008A5A	008A5A 60		rts

008A5B	008A5B FA		plx
	008A5C E8		inx
	008A5D C0 00		cpy #$00
	008A5F D0 E4		bne $008a45
	008A61 A1 44		lda ($44)
	008A63 31 40		and ($40),x
	008A65 E8		inx
	008A66 11 40		ora ($40),x
	008A68 81 44		sta ($44)
	008A6A E8		inx
	008A6B E8		inx
	008A6C 80 AE		bra $008a1c

008A6E	008A6E 28		plp
	008A6F 02		mpy
	008A70 05 30		ora $30			;C39	only : FIFO status register
	008A72 2F 0F FF		bbr 2,$0F,$008a74	;Cx9 PBUL PBB-PBLL Clear Download
	008A75 20 B6 09		jsr $09B6
	008A78 20 79 11		jsr $1179
	008A7B AA		tax
	008A7C A9 00		lda #$00
	008A7E E0 FF		cpx #$FF
	008A80 D0 0D		bne $008a8f
	008A82 20 45 6B		jsr $6B45
	008A85 C9 00		cmp #$00
	008A87 D0 04		bne $008a8d
	008A89 E0 FF		cpx #$FF
	008A8B D0 02		bne $008a8f
008A8D	008A8D A2 00		ldx #$00
008A8F	008A8F 1F 62 04		bbr 1,$62,$008a96
	008A92 A9 00		lda #$00
	008A94 A2 00		ldx #$00
008A96	008A96 48		pha
	008A97 8A		txa
	008A98 20 9D 6A		jsr $6A9D
	008A9B 68		pla
	008A9C 60		rts

008A9D	008A9D 1F 62 04		bbr 1,$62,$008aa4
	008AA0 C9 01		cmp #$01
	008AA2 80 02		bra $008aa6

008AA4	008AA4 C9 08		cmp #$08
008AA6	008AA6 90 02		bcc $008aaa
	008AA8 A9 00		lda #$00
008AAA	008AAA 0A		asl a
	008AAB A8		tay
	008AAC 3F 65 0B		bbr 3,$65,$008aba
	008AAF B2 70 1E		sti #$70'p',$1E		;Cx9	bank switch register 6 (R/W)
	008AB2 B2 02 40		sti #$02,$40
	008AB5 B2 C0 41		sti #$C0,$41
	008AB8 80 0A		bra $008ac4

008ABA	008ABA B9 BB 6B		lda $6BBB,y
	008ABD 85 40		sta $40
	008ABF B9 BC 6B		lda $6BBC,y
	008AC2 85 41		sta $41
008AC4	008AC4 A1 40		lda ($40)
	008AC6 F0 E2		beq $008aaa
	008AC8 A5 40		lda $40
	008ACA 48		pha
	008ACB A5 41		lda $41
	008ACD 48		pha
	008ACE 18		clc
	008ACF A5 40		lda $40
	008AD1 69 DF		adc #$DF
	008AD3 85 40		sta $40
	008AD5 A5 41		lda $41
	008AD7 69 00		adc #$00
	008AD9 85 41		sta $41
	008ADB A5 40		lda $40
	008ADD 8D 6B 04		sta $046B
	008AE0 A5 41		lda $41
	008AE2 8D 6C 04		sta $046C
	008AE5 A2 DE		ldx #$DE
	008AE7 68		pla
	008AE8 85 41		sta $41
	008AEA 68		pla
	008AEB 85 40		sta $40
	008AED B1 40		lda ($40),x
	008AEF 85 7D		sta $7D
	008AF1 CA		dex
	008AF2 B1 40		lda ($40),x
	008AF4 85 7C		sta $7C
	008AF6 CA		dex
	008AF7 B1 40		lda ($40),x
	008AF9 85 7B		sta $7B
	008AFB CA		dex
	008AFC A1 40		lda ($40)
	008AFE CD 97 02		cmp $0297
	008B01 F0 3B		beq $008b3e
	008B03 1F 62 0D		bbr 1,$62,$008b13
	008B06 BF 65 05		bbs 3,$65,$008b0e
	008B09 B2 77 1C		sti #$77'w',$1C		;Cx9	bank switch register 4 (R/W)
	008B0C 80 0F		bra $008b1d

008B0E	008B0E B2 70 1C		sti #$70'p',$1C		;Cx9	bank switch register 4 (R/W)
	008B11 80 0A		bra $008b1d

008B13	008B13 B1 40		lda ($40),x
	008B15 9D 97		sta $97,x
	008B17 02		mpy
	008B18 CA		dex
	008B19 E0 FF		cpx #$FF
	008B1B D0 F6		bne $008b13
008B1D	008B1D B2 00 7E		sti #$00,$7E
	008B20 AD 97 02		lda $0297
	008B23 C9 0B		cmp #$0B
	008B25 D0 02		bne $008b29
	008B27 E7 7E		smb 6,$7E
008B29	008B29 C9 02		cmp #$02
	008B2B D0 02		bne $008b2f
	008B2D B7 7E		smb 3,$7E
008B2F	008B2F C9 06		cmp #$06
	008B31 D0 02		bne $008b35
	008B33 87 7E		smb 0,$7E
008B35	008B35 C9 0F		cmp #$0F
	008B37 D0 02		bne $008b3b
	008B39 C7 7E		smb 4,$7E
008B3B	008B3B 20 E6 69		jsr $69E6
008B3E	008B3E 3F 65 03		bbr 3,$65,$008b44
	008B41 B2 B2 1E		sti #$B2,$1E		;Cx9	bank switch register 6 (R/W)
008B44	008B44 60		rts

008B45	008B45 20 78 6B		jsr $6B78
	008B48 A2 00		ldx #$00
008B4A	008B4A DD 36 15		cmp $1536,x
	008B4D F0 18		beq $008b67
	008B4F E8		inx
	008B50 E8		inx
	008B51 E0 40		cpx #$40'@'
	008B53 D0 F5		bne $008b4a
	008B55 A2 FF		ldx #$FF
	008B57 C9 FF		cmp #$FF
	008B59 F0 1A		beq $008b75
	008B5B 29 1F		and #$1F
	008B5D C9 1F		cmp #$1F
	008B5F A9 02		lda #$02
	008B61 D0 14		bne $008b77
	008B63 A9 01		lda #$01
	008B65 80 10		bra $008b77

008B67	008B67 E8		inx
	008B68 BD 36 15		lda $1536,x
	008B6B 20 90 6B		jsr $6B90
	008B6E 90 04		bcc $008b74
	008B70 A9 03		lda #$03
	008B72 80 03		bra $008b77

008B74	008B74 AA		tax
008B75	008B75 A9 00		lda #$00
008B77	008B77 60		rts

008B78	008B78 A9 00		lda #$00
	008B7A 17 07		rmb 1,$07		;Cx9	port E (R/W)
	008B7C 97 07		smb 1,$07		;Cx9	port E (R/W)
	008B7E A2 08		ldx #$08
	008B80 A9 00		lda #$00
008B82	008B82 18		clc
	008B83 7F 07 01		bbr 7,$07,$008b87	;Cx9	port E (R/W)
	008B86 38		sec
008B87	008B87 2A		rol a
	008B88 67 07		rmb 6,$07		;Cx9	port E (R/W)
	008B8A E7 07		smb 6,$07		;Cx9	port E (R/W)
	008B8C CA		dex
	008B8D D0 F3		bne $008b82
	008B8F 60		rts

008B90	008B90 85 42		sta $42
	008B92 F0 1F		beq $008bb3
	008B94 A0 00		ldy #$00
008B96	008B96 98		tya
	008B97 0A		asl a
	008B98 AA		tax
	008B99 BD BB 6B		lda $6BBB,x
	008B9C 85 46		sta $46
	008B9E BD BC 6B		lda $6BBC,x
	008BA1 85 47		sta $47
	008BA3 A2 00		ldx #$00
	008BA5 B1 46		lda ($46),x
	008BA7 C5 42		cmp $42
	008BA9 F0 0A		beq $008bb5
	008BAB C8		iny
	008BAC 9F 62 04		bbs 1,$62,$008bb3
	008BAF C0 08		cpy #$08
	008BB1 D0 E3		bne $008b96
008BB3	008BB3 38		sec
	008BB4 60		rts

008BB5	008BB5 98		tya
	008BB6 18		clc
	008BB7 60		rts

008BB8	008BB8 A1 40		lda ($40)
	008BBA 60		rts

008BBB	008BBB 66 61		ror $61
	008BBD 76 62		ror $62,x
	008BBF 86 63		stx $63
	008BC1 96 64		stx $64,y
	008BC3 A6 65		ldx $65
	008BC5 B6 66		ldx $66,y
	008BC7 C6 67		dec $67
	008BC9 D6 68		dec $68,x
	008BCB 20 1E 6E		jsr $6E1E
	008BCE 20 FF 6F		jsr $6FFF
	008BD1 D0 19		bne $008bec
	008BD3 20 8B 6E		jsr $6E8B
	008BD6 AD 98 03		lda $0398
	008BD9 D0 08		bne $008be3
	008BDB 20 E0 6F		jsr $6FE0
	008BDE AD 98 03		lda $0398
	008BE1 F0 07		beq $008bea
008BE3	008BE3 29 80		and #$80
	008BE5 D0 06		bne $008bed
	008BE7 A9 00		lda #$00
	008BE9 60		rts

008BEA	008BEA A9 FF		lda #$FF
008BEC	008BEC 60		rts

008BED	008BED 20 09 6F		jsr $6F09
	008BF0 A2 00		ldx #$00
	008BF2 B1 40		lda ($40),x
	008BF4 29 0F		and #$0F
	008BF6 C9 01		cmp #$01
	008BF8 D0 02		bne $008bfc
	008BFA 80 17		bra $008c13

008BFC	008BFC C9 02		cmp #$02
	008BFE D0 02		bne $008c02
	008C00 80 3C		bra $008c3e

008C02	008C02 C9 03		cmp #$03
	008C04 D0 03		bne $008c09
	008C06 4C 7C 6C		jmp $6C7C

008C09	008C09 C9 04		cmp #$04
	008C0B D0 03		bne $008c10
	008C0D 4C 05 6D		jmp $6D05

008C10	008C10 A9 00		lda #$00
	008C12 60		rts

008C13	008C13 20 09 6F		jsr $6F09
	008C16 A2 0D		ldx #$0D
	008C18 AD 63 03		lda $0363
	008C1B 85 42		sta $42
	008C1D AD 64 03		lda $0364
	008C20 85 43		sta $43
	008C22 A5 43		lda $43
	008C24 C9 FF		cmp #$FF
	008C26 D0 04		bne $008c2c
	008C28 A5 42		lda $42
	008C2A C9 FF		cmp #$FF
008C2C	008C2C F0 0D		beq $008c3b
	008C2E 20 4E 6F		jsr $6F4E
	008C31 90 05		bcc $008c38
	008C33 20 C0 6F		jsr $6FC0
	008C36 F0 05		beq $008c3d
008C38	008C38 A9 01		lda #$01
	008C3A 60		rts

008C3B	008C3B A9 FF		lda #$FF
008C3D	008C3D 60		rts

008C3E	008C3E 20 09 6F		jsr $6F09
	008C41 A2 0A		ldx #$0A
	008C43 AD 69 03		lda $0369
	008C46 85 42		sta $42
	008C48 AD 6A 03		lda $036A
	008C4B 85 43		sta $43
	008C4D 20 4E 6F		jsr $6F4E
	008C50 A2 01		ldx #$01
	008C52 90 07		bcc $008c5b
	008C54 AD 70 03		lda $0370
	008C57 91 40		sta ($40),x
	008C59 80 1B		bra $008c76

008C5B	008C5B B1 40		lda ($40),x
	008C5D CD 70 03		cmp $0370
	008C60 B0 14		bcs $008c76
	008C62 A2 0D		ldx #$0D
	008C64 AD 65 03		lda $0365
	008C67 85 42		sta $42
	008C69 AD 66 03		lda $0366
	008C6C 85 43		sta $43
	008C6E 20 4E 6F		jsr $6F4E
	008C71 90 06		bcc $008c79
	008C73 A9 00		lda #$00
	008C75 60		rts

008C76	008C76 A9 FF		lda #$FF
	008C78 60		rts

008C79	008C79 A9 01		lda #$01
	008C7B 60		rts

008C7C	008C7C 20 09 6F		jsr $6F09
008C7F	008C7F A2 0A		ldx #$0A
	008C81 AD 6B 03		lda $036B
	008C84 85 42		sta $42
	008C86 AD 6C 03		lda $036C
	008C89 85 43		sta $43
	008C8B 20 4E 6F		jsr $6F4E
	008C8E 90 04		bcc $008c94
	008C90 20 C0 6F		jsr $6FC0
	008C93 60		rts

008C94	008C94 A2 01		ldx #$01
	008C96 B1 40		lda ($40),x
	008C98 CD 6F 03		cmp $036F
	008C9B B0 4C		bcs $008ce9
	008C9D A2 0D		ldx #$0D
	008C9F AD 67 03		lda $0367
	008CA2 85 42		sta $42
	008CA4 AD 68 03		lda $0368
	008CA7 85 43		sta $43
	008CA9 20 4E 6F		jsr $6F4E
	008CAC 90 09		bcc $008cb7
	008CAE A2 01		ldx #$01
	008CB0 AD 6F 03		lda $036F
	008CB3 91 40		sta ($40),x
	008CB5 80 C8		bra $008c7f

008CB7	008CB7 A2 01		ldx #$01
	008CB9 B1 40		lda ($40),x
	008CBB CD 6D 03		cmp $036D
	008CBE F0 02		beq $008cc2
	008CC0 B0 13		bcs $008cd5
008CC2	008CC2 A2 0D		ldx #$0D
	008CC4 AD 5F 03		lda $035F
	008CC7 85 42		sta $42
	008CC9 AD 60 03		lda $0360
	008CCC 85 43		sta $43
	008CCE 20 4E 6F		jsr $6F4E
	008CD1 90 2F		bcc $008d02
	008CD3 80 11		bra $008ce6

008CD5	008CD5 A2 0D		ldx #$0D
	008CD7 AD 61 03		lda $0361
	008CDA 85 42		sta $42
	008CDC AD 62 03		lda $0362
	008CDF 85 43		sta $43
	008CE1 20 4E 6F		jsr $6F4E
	008CE4 90 1C		bcc $008d02
008CE6	008CE6 A9 00		lda #$00
	008CE8 60		rts

008CE9	008CE9 AD 6B 03		lda $036B
	008CEC 85 42		sta $42
	008CEE AD 6C 03		lda $036C
	008CF1 85 43		sta $43
	008CF3 A5 43		lda $43
	008CF5 C9 FF		cmp #$FF
	008CF7 D0 04		bne $008cfd
	008CF9 A5 42		lda $42
	008CFB C9 FF		cmp #$FF
008CFD	008CFD D0 03		bne $008d02
	008CFF A9 FF		lda #$FF
	008D01 60		rts

008D02	008D02 A9 01		lda #$01
	008D04 60		rts

008D05	008D05 20 09 6F		jsr $6F09
	008D08 A2 01		ldx #$01
	008D0A B1 40		lda ($40),x
	008D0C CD 6F 03		cmp $036F
	008D0F B0 5E		bcs $008d6f
	008D11 CD 6D 03		cmp $036D
	008D14 F0 02		beq $008d18
	008D16 B0 2E		bcs $008d46
008D18	008D18 A2 0D		ldx #$0D
	008D1A AD 5F 03		lda $035F
	008D1D 85 42		sta $42
	008D1F AD 60 03		lda $0360
	008D22 85 43		sta $43
	008D24 20 4E 6F		jsr $6F4E
	008D27 90 6A		bcc $008d93
	008D29 AD 97 02		lda $0297
	008D2C C9 2B		cmp #$2B'+'
	008D2E D0 14		bne $008d44
	008D30 A2 0A		ldx #$0A
	008D32 AD 61 03		lda $0361
	008D35 85 42		sta $42
	008D37 AD 62 03		lda $0362
	008D3A 85 43		sta $43
	008D3C 20 4E 6F		jsr $6F4E
	008D3F 90 03		bcc $008d44
	008D41 20 C0 6F		jsr $6FC0
008D44	008D44 80 26		bra $008d6c

008D46	008D46 AD 97 02		lda $0297
	008D49 C9 2B		cmp #$2B'+'
	008D4B D0 04		bne $008d51
	008D4D A2 0A		ldx #$0A
	008D4F 80 02		bra $008d53

008D51	008D51 A2 0D		ldx #$0D
008D53	008D53 AD 61 03		lda $0361
	008D56 85 42		sta $42
	008D58 AD 62 03		lda $0362
	008D5B 85 43		sta $43
	008D5D 20 4E 6F		jsr $6F4E
	008D60 90 31		bcc $008d93
	008D62 AD 97 02		lda $0297
	008D65 C9 2B		cmp #$2B'+'
	008D67 D0 03		bne $008d6c
	008D69 20 C0 6F		jsr $6FC0
008D6C	008D6C A9 00		lda #$00
	008D6E 60		rts

008D6F	008D6F AD 6B 03		lda $036B
	008D72 85 42		sta $42
	008D74 AD 6C 03		lda $036C
	008D77 85 43		sta $43
	008D79 A5 43		lda $43
	008D7B C9 FF		cmp #$FF
	008D7D D0 04		bne $008d83
	008D7F A5 42		lda $42
	008D81 C9 FF		cmp #$FF
008D83	008D83 D0 03		bne $008d88
	008D85 A9 FF		lda #$FF
	008D87 60		rts

008D88	008D88 A2 0D		ldx #$0D
	008D8A 20 4E 6F		jsr $6F4E
	008D8D 90 04		bcc $008d93
	008D8F 20 C0 6F		jsr $6FC0
	008D92 60		rts

008D93	008D93 A9 01		lda #$01
	008D95 60		rts

008D96	008D96 5F 78 19		bbr 5,$78,$008db2
	008D99 57 78		rmb 5,$78
	008D9B 1F 7C 03		bbr 1,$7C,$008da1
	008D9E 20 8D 6F		jsr $6F8D
008DA1	008DA1 20 D3 6F		jsr $6FD3
	008DA4 AD 98 03		lda $0398
	008DA7 29 80		and #$80
	008DA9 F0 06		beq $008db1
	008DAB 20 09 6F		jsr $6F09
	008DAE 20 C0 6F		jsr $6FC0
008DB1	008DB1 60		rts

008DB2	008DB2 AD 96 03		lda $0396
	008DB5 29 40		and #$40'@'
	008DB7 F0 0F		beq $008dc8
	008DB9 B2 EA 40		sti #$EA,$40
	008DBC B2 9A 41		sti #$9A,$41
	008DBF A2 00		ldx #$00
	008DC1 B1 40		lda ($40),x
	008DC3 20 E6 6D		jsr $6DE6
	008DC6 80 0D		bra $008dd5

008DC8	008DC8 AD 55 03		lda $0355
	008DCB 29 40		and #$40'@'
	008DCD F0 06		beq $008dd5
	008DCF 0F 7A 03		bbr 0,$7A,$008dd5
	008DD2 20 D3 6F		jsr $6FD3
008DD5	008DD5 AD 96 03		lda $0396
	008DD8 29 0F		and #$0F
	008DDA F0 D5		beq $008db1
	008DDC 20 09 6F		jsr $6F09
	008DDF AD 98 03		lda $0398
	008DE2 29 40		and #$40'@'
	008DE4 49 40		eor #$40'@'
	008DE6 D0 1A		bne $008e02
	008DE8 A0 00		ldy #$00
	008DEA A2 02		ldx #$02
008DEC	008DEC B9 A6 03		lda $03A6,y
	008DEF 91 40		sta ($40),x
	008DF1 E8		inx
	008DF2 C8		iny
	008DF3 C0 08		cpy #$08
	008DF5 D0 F5		bne $008dec
	008DF7 A2 01		ldx #$01
	008DF9 A9 00		lda #$00
	008DFB 91 40		sta ($40),x
	008DFD A2 0A		ldx #$0A
	008DFF 20 40 6F		jsr $6F40
008E02	008E02 A2 00		ldx #$00
	008E04 B1 40		lda ($40),x
	008E06 29 80		and #$80
	008E08 D0 05		bne $008e0f
	008E0A AD 96 03		lda $0396
	008E0D 91 40		sta ($40),x
008E0F	008E0F A2 01		ldx #$01
	008E11 B1 40		lda ($40),x
	008E13 A8		tay
	008E14 C8		iny
	008E15 98		tya
	008E16 91 40		sta ($40),x
	008E18 A2 0D		ldx #$0D
	008E1A 20 40 6F		jsr $6F40
	008E1D 60		rts

008E1E	008E1E A0 00		ldy #$00
	008E20 B2 00 40		sti #$00,$40
	008E23 A9 FF		lda #$FF
008E25	008E25 99 A6		sta $A6,y
	008E27 03		tip
	008E28 C8		iny
	008E29 C0 08		cpy #$08
	008E2B 90 F8		bcc $008e25
	008E2D A2 00		ldx #$00
	008E2F A9 00		lda #$00
	008E31 85 40		sta $40
	008E33 85 41		sta $41
	008E35 85 42		sta $42
008E37	008E37 B1 A5		lda ($A5),x
	008E39 C9 0D		cmp #$0D
	008E3B F0 09		beq $008e46
	008E3D C9 3B		cmp #$3B';'
	008E3F F0 05		beq $008e46
	008E41 E8		inx
	008E42 E0 14		cpx #$14
	008E44 D0 F1		bne $008e37
008E46	008E46 86 42		stx $42
008E48	008E48 A6 42		ldx $42
	008E4A B1 A5		lda ($A5),x
	008E4C C9 30		cmp #$30'0'
	008E4E 90 32		bcc $008e82
	008E50 C9 3A		cmp #$3A':'
	008E52 B0 2E		bcs $008e82
	008E54 38		sec
	008E55 E9 30		sbc #$30'0'
	008E57 A6 40		ldx $40
	008E59 D0 15		bne $008e70
	008E5B 38		sec
	008E5C 2A		rol a
	008E5D 38		sec
	008E5E 2A		rol a
	008E5F 38		sec
	008E60 2A		rol a
	008E61 38		sec
	008E62 2A		rol a
	008E63 A4 41		ldy $41
	008E65 99 A6		sta $A6,y
	008E67 03		tip
	008E68 A9 FF		lda #$FF
	008E6A 45 40		eor $40
	008E6C 85 40		sta $40
	008E6E 80 12		bra $008e82

008E70	008E70 A4 41		ldy $41
	008E72 09 F0		ora #$F0
	008E74 39 A6 03		and $03A6,y
	008E77 99 A6		sta $A6,y
	008E79 03		tip
	008E7A A9 FF		lda #$FF
	008E7C 45 40		eor $40
	008E7E 85 40		sta $40
	008E80 E6 41		inc $41
008E82	008E82 A5 42		lda $42
	008E84 F0 04		beq $008e8a
	008E86 C6 42		dec $42
	008E88 80 BE		bra $008e48

008E8A	008E8A 60		rts

008E8B	008E8B A9 00		lda #$00
	008E8D 8D 98 03		sta $0398
	008E90 85 42		sta $42
	008E92 85 43		sta $43
	008E94 B2 9A 40		sti #$9A,$40
	008E97 B2 9A 41		sti #$9A,$41
008E9A	008E9A A5 42		lda $42
	008E9C C9 06		cmp #$06
	008E9E B0 59		bcs $008ef9
	008EA0 A2 00		ldx #$00
	008EA2 B1 40		lda ($40),x
	008EA4 D0 1F		bne $008ec5
	008EA6 AD 98 03		lda $0398
	008EA9 29 40		and #$40'@'
	008EAB D0 07		bne $008eb4
	008EAD A5 42		lda $42
	008EAF 09 40		ora #$40'@'
	008EB1 8D 98 03		sta $0398
008EB4	008EB4 18		clc
	008EB5 A5 40		lda $40
	008EB7 69 10		adc #$10
	008EB9 85 40		sta $40
	008EBB A5 41		lda $41
	008EBD 69 00		adc #$00
	008EBF 85 41		sta $41
	008EC1 E6 42		inc $42
	008EC3 80 D5		bra $008e9a

008EC5	008EC5 E6 43		inc $43
	008EC7 A0 00		ldy #$00
	008EC9 A2 02		ldx #$02
008ECB	008ECB C0 08		cpy #$08
	008ECD B0 0B		bcs $008eda
	008ECF B9 A6 03		lda $03A6,y
	008ED2 D1 40		cmp ($40),x
	008ED4 D0 04		bne $008eda
	008ED6 C8		iny
	008ED7 E8		inx
	008ED8 D0 F1		bne $008ecb
008EDA	008EDA C0 08		cpy #$08
	008EDC B0 11		bcs $008eef
	008EDE E6 42		inc $42
	008EE0 18		clc
	008EE1 A5 40		lda $40
	008EE3 69 10		adc #$10
	008EE5 85 40		sta $40
	008EE7 A5 41		lda $41
	008EE9 69 00		adc #$00
	008EEB 85 41		sta $41
	008EED 80 AB		bra $008e9a

008EEF	008EEF A5 42		lda $42
	008EF1 09 80		ora #$80
	008EF3 8D 98 03		sta $0398
	008EF6 B2 06 42		sti #$06,$42
008EF9	008EF9 A5 43		lda $43
	008EFB D0 0B		bne $008f08
	008EFD A9 00		lda #$00
	008EFF 8D FA 9A		sta $9AFA
	008F02 8D FB 9A		sta $9AFB
	008F05 8D FC 9A		sta $9AFC
008F08	008F08 60		rts

008F09	008F09 B2 00 40		sti #$00,$40
	008F0C B2 00 41		sti #$00,$41
	008F0F B2 10 42		sti #$10,$42
	008F12 AD 98 03		lda $0398
	008F15 29 3F		and #$3F'?'
	008F17 F0 19		beq $008f32
	008F19 85 43		sta $43
	008F1B A0 08		ldy #$08
	008F1D A9 00		lda #$00
008F1F	008F1F 0A		asl a
	008F20 26 41		rol $41
	008F22 06 43		asl $43
	008F24 90 07		bcc $008f2d
	008F26 18		clc
	008F27 65 42		adc $42
	008F29 90 02		bcc $008f2d
	008F2B E6 41		inc $41
008F2D	008F2D 88		dey
	008F2E D0 EF		bne $008f1f
	008F30 85 40		sta $40
008F32	008F32 18		clc
	008F33 A5 40		lda $40
	008F35 69 9A		adc #$9A
	008F37 85 40		sta $40
	008F39 A5 41		lda $41
	008F3B 69 9A		adc #$9A
	008F3D 85 41		sta $41
	008F3F 60		rts

008F40	008F40 A0 00		ldy #$00
008F42	008F42 B9 FA 9A		lda $9AFA,y
	008F45 91 40		sta ($40),x
	008F47 C8		iny
	008F48 E8		inx
	008F49 C0 03		cpy #$03
	008F4B D0 F5		bne $008f42
	008F4D 60		rts

008F4E	008F4E 38		sec
	008F4F A0 00		ldy #$00
	008F51 08		php
008F52	008F52 28		plp
	008F53 B9 FA 9A		lda $9AFA,y
	008F56 F1 40		sbc ($40),x
	008F58 99 44		sta $44,y
	008F5A 00		brk
	008F5B 08		php
	008F5C C8		iny
	008F5D E8		inx
	008F5E 98		tya
	008F5F C9 03		cmp #$03
	008F61 90 EF		bcc $008f52
	008F63 28		plp
	008F64 38		sec
	008F65 A5 46		lda $46
	008F67 D0 23		bne $008f8c
	008F69 A5 45		lda $45
	008F6B C5 43		cmp $43
	008F6D D0 04		bne $008f73
	008F6F A5 44		lda $44
	008F71 C5 42		cmp $42
008F73	008F73 08		php
	008F74 38		sec
	008F75 A5 42		lda $42
	008F77 E5 44		sbc $44
	008F79 85 42		sta $42
	008F7B A5 43		lda $43
	008F7D E5 45		sbc $45
	008F7F 85 43		sta $43
	008F81 A5 42		lda $42
	008F83 8D 99 03		sta $0399
	008F86 A5 43		lda $43
	008F88 8D 9A 03		sta $039A
	008F8B 28		plp
008F8C	008F8C 60		rts

008F8D	008F8D A9 00		lda #$00
	008F8F 85 42		sta $42
	008F91 B2 9A 40		sti #$9A,$40
	008F94 B2 9A 41		sti #$9A,$41
008F97	008F97 A5 42		lda $42
	008F99 C9 06		cmp #$06
	008F9B B0 17		bcs $008fb4
	008F9D A2 00		ldx #$00
	008F9F A9 00		lda #$00
	008FA1 91 40		sta ($40),x
	008FA3 18		clc
	008FA4 A5 40		lda $40
	008FA6 69 10		adc #$10
	008FA8 85 40		sta $40
	008FAA A5 41		lda $41
	008FAC 69 00		adc #$00
	008FAE 85 41		sta $41
	008FB0 E6 42		inc $42
	008FB2 80 E3		bra $008f97

008FB4	008FB4 A9 00		lda #$00
	008FB6 8D FA 9A		sta $9AFA
	008FB9 8D FB 9A		sta $9AFB
	008FBC 8D FC 9A		sta $9AFC
	008FBF 60		rts

008FC0	008FC0 A9 00		lda #$00
	008FC2 A2 00		ldx #$00
	008FC4 91 40		sta ($40),x
	008FC6 AD 98 03		lda $0398
	008FC9 29 0F		and #$0F
	008FCB 09 40		ora #$40'@'
	008FCD 8D 98 03		sta $0398
	008FD0 A9 00		lda #$00
	008FD2 60		rts

008FD3	008FD3 B2 EA 40		sti #$EA,$40
	008FD6 B2 9A 41		sti #$9A,$41
	008FD9 A2 00		ldx #$00
	008FDB A9 00		lda #$00
	008FDD 91 40		sta ($40),x
	008FDF 60		rts

008FE0	008FE0 A9 00		lda #$00
	008FE2 8D 98 03		sta $0398
008FE5	008FE5 20 ED 6B		jsr $6BED
	008FE8 AD 98 03		lda $0398
	008FEB 29 40		and #$40'@'
	008FED D0 0F		bne $008ffe
	008FEF EE 98 03		inc $0398
	008FF2 AD 98 03		lda $0398
	008FF5 C9 06		cmp #$06
	008FF7 90 EC		bcc $008fe5
	008FF9 A9 00		lda #$00
	008FFB 8D 98 03		sta $0398
008FFE	008FFE 60		rts

008FFF	008FFF B2 EA 40		sti #$EA,$40
	009002 B2 9A 41		sti #$9A,$41
	009005 A2 00		ldx #$00
	009007 B1 40		lda ($40),x
	009009 29 40		and #$40'@'
	00900B F0 4F		beq $00905c
	00900D A2 01		ldx #$01
	00900F B1 40		lda ($40),x
	009011 CD 6E 03		cmp $036E
	009014 90 2A		bcc $009040
	009016 AD 6E 03		lda $036E
	009019 C9 FF		cmp #$FF
	00901B D0 02		bne $00901f
	00901D 80 3A		bra $009059

00901F	00901F AD 6B 03		lda $036B
	009022 85 42		sta $42
	009024 AD 6C 03		lda $036C
	009027 85 43		sta $43
	009029 A5 43		lda $43
	00902B C9 FF		cmp #$FF
	00902D D0 04		bne $009033
	00902F A5 42		lda $42
	009031 C9 FF		cmp #$FF
009033	009033 D0 02		bne $009037
	009035 80 1E		bra $009055

009037	009037 A2 0D		ldx #$0D
	009039 20 4E 6F		jsr $6F4E
	00903C 90 17		bcc $009055
	00903E 80 19		bra $009059

009040	009040 A2 0D		ldx #$0D
	009042 AD 5D 03		lda $035D
	009045 85 42		sta $42
	009047 AD 5E 03		lda $035E
	00904A 85 43		sta $43
	00904C 20 4E 6F		jsr $6F4E
	00904F B0 0B		bcs $00905c
	009051 A9 01		lda #$01
	009053 80 09		bra $00905e

009055	009055 A9 FF		lda #$FF
	009057 80 05		bra $00905e

009059	009059 20 D3 6F		jsr $6FD3
00905C	00905C A9 00		lda #$00
00905E	00905E 60		rts

00905F	00905F A9 00		lda #$00
	009061 8D 98 03		sta $0398
	009064 48		pha
009065	009065 20 09 6F		jsr $6F09
	009068 A2 00		ldx #$00
	00906A B1 40		lda ($40),x
	00906C F0 17		beq $009085
	00906E 20 ED 6B		jsr $6BED
	009071 CD 97 03		cmp $0397
	009074 D0 0F		bne $009085
	009076 A0 44		ldy #$44'D'
	009078 C9 01		cmp #$01
	00907A F0 02		beq $00907e
	00907C A0 46		ldy #$46'F'
00907E	00907E 68		pla
	00907F 89 01		add #$01
	009081 48		pha
	009082 20 9A E2		jsr $E29A
009085	009085 EE 98 03		inc $0398
	009088 AD 98 03		lda $0398
	00908B C9 05		cmp #$05
	00908D 90 D6		bcc $009065
	00908F 68		pla
	009090 60		rts

;;; 007091

009091	009091 78		sei
	009092 20 D7 FD		jsr $FDD7{scli}
	009095 20 EC 71		jsr $71EC
	009098 B2 00 86		sti #$00,$86
	00909B 20 0F 71		jsr $710F
	00909E 9F 86 1F		bbs 1,$86,$0090c0
	0090A1 8F 86 1C		bbs 0,$86,$0090c0
	0090A4 A5 F7		lda $F7
	0090A6 85 47		sta $47
	0090A8 A5 F8		lda $F8
	0090AA 85 46		sta $46
	0090AC 20 F3 71		jsr $71F3
0090AF	0090AF 20 0F 71		jsr $710F
	0090B2 9F 86 0B		bbs 1,$86,$0090c0
	0090B5 8F 86 05		bbs 0,$86,$0090bd
	0090B8 20 F3 71		jsr $71F3
	0090BB 80 F2		bra $0090af

0090BD	0090BD 20 04 71		jsr $7104
0090C0	0090C0 B2 77 1F		sti #$77'w',$1F		;Cx9	bank switch register 7 (R/W)
	0090C3 C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	0090C7 C2 08 1F 06	rba $08,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	0090CB C2 04 1E 06	rba $04,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	0090CF AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	0090D2 C2 20 1E 06	rba $20,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	0090D6 AD 10 06		lda $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	0090D9 A9 20		lda #$20' '
	0090DB 8D 04 06		sta $0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	0090DE A2 00		ldx #$00
0090E0	0090E0 BD F6 70		lda $70F6,x
	0090E3 9D F0		sta $F0,x
	0090E5 01 E8		ora ($E8)
	0090E7 C9 00		cmp #$00
	0090E9 D0 F5		bne $0090e0
	0090EB D2 80 1A 06	sba $80,$061A		;DPi SFRES/RIEN/RION/DMAE/SCOBF
	0090EF D2 01 1F 06	sba $01,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	0090F3 6C FE FF		jmp ($FFFE)

0090F6	0090F6 44		???			;undocumented opcode
	0090F7 53		???			;undocumented opcode
	0090F8 56 44		lsr $44,x
	0090FA 20 44 65		jsr $6544
	0090FD 74 65		add $65,x
	0090FF 63		???			;undocumented opcode
	009100 74 65		add $65,x
	009102 64 00		add $00			;Cx9	port A (bidirectional)
	009104 AE 18 F2		ldx $F218
	009107 AC 19 F2		ldy $F219
	00910A A9 00		lda #$00
	00910C 6C 46 00		jmp ($0046)

00910F	00910F 20 44 71		jsr $7144
	009112 20 51 71		jsr $7151
	009115 20 D1 71		jsr $71D1
	009118 9F 86 28		bbs 1,$86,$009143
	00911B C9 33		cmp #$33'3'
	00911D F0 0C		beq $00912b
	00911F C9 37		cmp #$37'7'
	009121 F0 06		beq $009129
	009123 A0 04		ldy #$04
	009125 20 E7 71		jsr $71E7
	009128 60		rts

009129	009129 87 86		smb 0,$86
00912B	00912B 20 64 71		jsr $7164
	00912E 20 B6 71		jsr $71B6
	009131 20 B6 71		jsr $71B6
	009134 20 78 71		jsr $7178
	009137 20 80 71		jsr $7180
	00913A 9F 86 06		bbs 1,$86,$009143
	00913D 20 8C 71		jsr $718C
	009140 20 A4 71		jsr $71A4
009143	009143 60		rts

009144	009144 B2 00 F5		sti #$00,$F5
	009147 B2 00 F6		sti #$00,$F6
	00914A B2 00 F7		sti #$00,$F7
	00914D B2 00 F8		sti #$00,$F8
	009150 60		rts

009151	009151 9F 86 0F		bbs 1,$86,$009163
	009154 20 D1 71		jsr $71D1
	009157 C9 53		cmp #$53'S'
	009159 F0 08		beq $009163
	00915B C9 1B		cmp #$1B
	00915D F0 04		beq $009163
	00915F C9 03		cmp #$03
	009161 D0 EE		bne $009151
009163	009163 60		rts

009164	009164 20 B6 71		jsr $71B6
	009167 C9 05		cmp #$05
	009169 B0 07		bcs $009172
	00916B A0 06		ldy #$06
	00916D 20 E7 71		jsr $71E7
	009170 A9 05		lda #$05
009172	009172 38		sec
	009173 E9 05		sbc #$05
	009175 85 F5		sta $F5
	009177 60		rts

009178	009178 20 B6 71		jsr $71B6
	00917B 64 F7		add $F7
	00917D 85 F7		sta $F7
	00917F 60		rts

009180	009180 20 B6 71		jsr $71B6
	009183 64 F8		add $F8
	009185 85 F8		sta $F8
	009187 90 02		bcc $00918b
	009189 E6 F7		inc $F7
00918B	00918B 60		rts

00918C	00918C A2 00		ldx #$00
	00918E A4 F5		ldy $F5
	009190 F0 11		beq $0091a3
009192	009192 20 B6 71		jsr $71B6
	009195 9F 86 0B		bbs 1,$86,$0091a3
	009198 95 D5		sta $D5,x
	00919A E8		inx
	00919B 88		dey
	00919C D0 F4		bne $009192
	00919E A9 2E		lda #$2E'.'
	0091A0 20 05 FE		jsr $FE05{out}
0091A3	0091A3 60		rts

0091A4	0091A4 20 B6 71		jsr $71B6
	0091A7 9F 86 0B		bbs 1,$86,$0091b5
	0091AA A5 F6		lda $F6
	0091AC C9 FF		cmp #$FF
	0091AE F0 05		beq $0091b5
	0091B0 A0 08		ldy #$08
	0091B2 20 E7 71		jsr $71E7
0091B5	0091B5 60		rts

0091B6	0091B6 20 CA 71		jsr $71CA
	0091B9 0A		asl a
	0091BA 0A		asl a
	0091BB 0A		asl a
	0091BC 0A		asl a
	0091BD 85 FA		sta $FA
	0091BF 20 CA 71		jsr $71CA
	0091C2 05 FA		ora $FA
	0091C4 48		pha
	0091C5 20 E2 71		jsr $71E2
	0091C8 68		pla
	0091C9 60		rts

0091CA	0091CA 20 D1 71		jsr $71D1
	0091CD 20 D9 71		jsr $71D9
	0091D0 60		rts

0091D1	0091D1 8F 3C 02		bbs 0,$3C,$0091d6	;Cx9	serial status register
	0091D4 80 FB		bra $0091d1

0091D6	0091D6 A5 38		lda $38			;Cx9	serial I/O buffers
	0091D8 60		rts

0091D9	0091D9 C9 41		cmp #$41'A'
	0091DB 90 02		bcc $0091df
	0091DD E9 08		sbc #$08
0091DF	0091DF E9 2F		sbc #$2F'/'
	0091E1 60		rts

0091E2	0091E2 64 F6		add $F6
	0091E4 85 F6		sta $F6
	0091E6 60		rts

0091E7	0091E7 84 F9		sty $F9
	0091E9 97 86		smb 1,$86
	0091EB 60		rts

0091EC	0091EC 5F 4B 03		bbr 5,$4B,$0091f2
	0091EF 20 2C FD		jsr $FD2C
0091F2	0091F2 60		rts

0091F3	0091F3 A2 00		ldx #$00
	0091F5 A4 F5		ldy $F5
	0091F7 F0 10		beq $009209
	0091F9 A5 F7		lda $F7
	0091FB 85 41		sta $41
	0091FD A5 F8		lda $F8
	0091FF 85 40		sta $40
009201	009201 B5 D5		lda $D5,x
	009203 91 40		sta ($40),x
	009205 E8		inx
	009206 88		dey
	009207 D0 F8		bne $009201
009209	009209 60		rts

00920A	00920A 00		brk
	00920B 55 AA		eor $AA,x
	00920D FF B2 48		bbs 7,$B2,$009258
	009210 40		rti
	009211 B2 00 41		sti #$00,$41
	009214 B2 86 42		sti #$86,$42
	009217 B2 01 43		sti #$01,$43
	00921A B2 03 44		sti #$03,$44
	00921D B2 25 46		sti #$25'%',$46
	009220 B2 72 47		sti #$72'r',$47
	009223 80 2C		bra $009251

009225	009225 B2 00 40		sti #$00,$40
	009228 B2 02 41		sti #$02,$41
	00922B B2 CB 42		sti #$CB,$42
	00922E B2 04 43		sti #$04,$43
	009231 B2 03 44		sti #$03,$44
	009234 B2 3C 46		sti #$3C'<',$46
	009237 B2 72 47		sti #$72'r',$47
	00923A 80 15		bra $009251

00923C	00923C B2 01 40		sti #$01,$40
	00923F B2 80 41		sti #$80,$41
	009242 B2 9A 42		sti #$9A,$42
	009245 B2 9A 43		sti #$9A,$43
	009248 B2 88 46		sti #$88,$46
	00924B B2 72 47		sti #$72'r',$47
	00924E B2 03 44		sti #$03,$44
009251	009251 A6 44		ldx $44
009253	009253 BD 0A 72		lda $720A,x
	009256 81 40		sta ($40)
009258	009258 A9 23		lda #$23'#'
	00925A 8D 00 80		sta $8000
	00925D A1 40		lda ($40)
	00925F DD 0A 72		cmp $720A,x
	009262 F0 02		beq $009266
	009264 80 18		bra $00927e

009266	009266 CA		dex
	009267 10 EA		bpl $009253
	009269 E6 40		inc $40
	00926B D0 02		bne $00926f
	00926D E6 41		inc $41
00926F	00926F A5 41		lda $41
	009271 C5 43		cmp $43
	009273 D0 04		bne $009279
	009275 A5 40		lda $40
	009277 C5 42		cmp $42
009279	009279 90 D6		bcc $009251
	00927B 6C 46 00		jmp ($0046)

00927E	00927E 20 35 FD		jsr $FD35
	009281 A9 01		lda #$01
	009283 85 47		sta $47
	009285 4C 23 E1		jmp $E123

009288	009288 A9 00		lda #$00
	00928A 8D 00 80		sta $8000
	00928D 37 65		rmb 3,$65
	00928F 60		rts

009290	009290 00		brk
	009291 00		brk
	009292 00		brk
	009293 00		brk
	009294 00		brk
	009295 00		brk
	009296 00		brk
	009297 00		brk
	009298 00		brk
	009299 00		brk
	00929A 00		brk
	00929B 00		brk
	00929C 00		brk
	00929D 00		brk
	00929E 00		brk
	00929F 00		brk
	0092A0 00		brk
	0092A1 00		brk
	0092A2 00		brk
	0092A3 00		brk
	0092A4 00		brk
	0092A5 00		brk
	0092A6 00		brk
	0092A7 00		brk
	0092A8 00		brk
	0092A9 00		brk
	0092AA 00		brk
	0092AB 00		brk
	0092AC 00		brk
	0092AD 00		brk
	0092AE 00		brk
	0092AF 00		brk
	0092B0 00		brk
	0092B1 00		brk
	0092B2 00		brk
	0092B3 00		brk
	0092B4 00		brk
	0092B5 00		brk
	0092B6 00		brk
	0092B7 00		brk
	0092B8 00		brk
	0092B9 00		brk
	0092BA 00		brk
	0092BB 00		brk
	0092BC 00		brk
	0092BD 00		brk
	0092BE 00		brk
	0092BF 00		brk
	0092C0 00		brk
	0092C1 00		brk
	0092C2 00		brk
	0092C3 00		brk
	0092C4 00		brk
	0092C5 00		brk
	0092C6 00		brk
	0092C7 00		brk
	0092C8 00		brk
	0092C9 00		brk
	0092CA 00		brk
	0092CB 00		brk
	0092CC 00		brk
	0092CD 00		brk
	0092CE 00		brk
	0092CF 00		brk
	0092D0 00		brk
	0092D1 00		brk
	0092D2 00		brk
	0092D3 00		brk
	0092D4 00		brk
	0092D5 00		brk
	0092D6 00		brk
	0092D7 00		brk
	0092D8 00		brk
	0092D9 00		brk
	0092DA 00		brk
	0092DB 00		brk
	0092DC 00		brk
	0092DD 00		brk
	0092DE 00		brk
	0092DF 00		brk
	0092E0 00		brk
	0092E1 00		brk
	0092E2 00		brk
	0092E3 00		brk
	0092E4 00		brk
	0092E5 00		brk
	0092E6 00		brk
	0092E7 00		brk
	0092E8 00		brk
	0092E9 00		brk
	0092EA 00		brk
	0092EB 00		brk
	0092EC 00		brk
	0092ED 00		brk
	0092EE 00		brk
	0092EF 00		brk
	0092F0 00		brk
	0092F1 00		brk
	0092F2 00		brk
	0092F3 00		brk
	0092F4 00		brk
	0092F5 00		brk
	0092F6 00		brk
	0092F7 00		brk
	0092F8 00		brk
	0092F9 00		brk
	0092FA 00		brk
	0092FB 00		brk
	0092FC 00		brk
	0092FD 00		brk
	0092FE 00		brk
	0092FF 00		brk
	009300 00		brk
	009301 00		brk
	009302 00		brk
	009303 00		brk
	009304 00		brk
	009305 00		brk
	009306 00		brk
	009307 00		brk
	009308 00		brk
	009309 00		brk
	00930A 00		brk
	00930B 00		brk
	00930C 00		brk
	00930D 00		brk
	00930E 00		brk
	00930F 00		brk
	009310 00		brk
	009311 00		brk
	009312 00		brk
	009313 00		brk
	009314 00		brk
	009315 00		brk
	009316 00		brk
	009317 00		brk
	009318 00		brk
	009319 00		brk
	00931A 00		brk
	00931B 00		brk
	00931C 00		brk
	00931D 00		brk
	00931E 00		brk
	00931F 00		brk
	009320 00		brk
	009321 00		brk
	009322 00		brk
	009323 00		brk
	009324 00		brk
	009325 00		brk
	009326 00		brk
	009327 00		brk
	009328 00		brk
	009329 00		brk
	00932A 00		brk
	00932B 00		brk
	00932C 00		brk
	00932D 00		brk
	00932E 00		brk
	00932F 00		brk
	009330 00		brk
	009331 00		brk
	009332 00		brk
	009333 00		brk
	009334 00		brk
	009335 00		brk
	009336 00		brk
	009337 00		brk
	009338 00		brk
	009339 00		brk
	00933A 00		brk
	00933B 00		brk
	00933C 00		brk
	00933D 00		brk
	00933E 00		brk
	00933F 00		brk
	009340 00		brk
	009341 00		brk
	009342 00		brk
	009343 00		brk
	009344 00		brk
	009345 00		brk
	009346 00		brk
	009347 00		brk
	009348 00		brk
	009349 00		brk
	00934A 00		brk
	00934B 00		brk
	00934C 00		brk
	00934D 00		brk
	00934E 00		brk
	00934F 00		brk
	009350 00		brk
	009351 00		brk
	009352 00		brk
	009353 00		brk
	009354 00		brk
	009355 00		brk
	009356 00		brk
	009357 00		brk
	009358 00		brk
	009359 00		brk
	00935A 00		brk
	00935B 00		brk
	00935C 00		brk
	00935D 00		brk
	00935E 00		brk
	00935F 00		brk
	009360 00		brk
	009361 00		brk
	009362 00		brk
	009363 00		brk
	009364 00		brk
	009365 00		brk
	009366 00		brk
	009367 00		brk
	009368 00		brk
	009369 00		brk
	00936A 00		brk
	00936B 00		brk
	00936C 00		brk
	00936D 00		brk
	00936E 00		brk
	00936F 00		brk
	009370 00		brk
	009371 00		brk
	009372 00		brk
	009373 00		brk
	009374 00		brk
	009375 00		brk
	009376 00		brk
	009377 00		brk
	009378 00		brk
	009379 00		brk
	00937A 00		brk
	00937B 00		brk
	00937C 00		brk
	00937D 00		brk
	00937E 00		brk
	00937F 00		brk
	009380 00		brk
	009381 00		brk
	009382 00		brk
	009383 00		brk
	009384 00		brk
	009385 00		brk
	009386 00		brk
	009387 00		brk
	009388 00		brk
	009389 00		brk
	00938A 00		brk
	00938B 00		brk
	00938C 00		brk
	00938D 00		brk
	00938E 00		brk
	00938F 00		brk
	009390 00		brk
	009391 00		brk
	009392 00		brk
	009393 00		brk
	009394 00		brk
	009395 00		brk
	009396 00		brk
	009397 00		brk
	009398 00		brk
	009399 00		brk
	00939A 00		brk
	00939B 00		brk
	00939C 00		brk
	00939D 00		brk
	00939E 00		brk
	00939F 00		brk
	0093A0 00		brk
	0093A1 00		brk
	0093A2 00		brk
	0093A3 00		brk
	0093A4 00		brk
	0093A5 00		brk
	0093A6 00		brk
	0093A7 00		brk
	0093A8 00		brk
	0093A9 00		brk
	0093AA 00		brk
	0093AB 00		brk
	0093AC 00		brk
	0093AD 00		brk
	0093AE 00		brk
	0093AF 00		brk
	0093B0 00		brk
	0093B1 00		brk
	0093B2 00		brk
	0093B3 00		brk
	0093B4 00		brk
	0093B5 00		brk
	0093B6 00		brk
	0093B7 00		brk
	0093B8 00		brk
	0093B9 00		brk
	0093BA 00		brk
	0093BB 00		brk
	0093BC 00		brk
	0093BD 00		brk
	0093BE 00		brk
	0093BF 00		brk
	0093C0 00		brk
	0093C1 00		brk
	0093C2 00		brk
	0093C3 00		brk
	0093C4 00		brk
	0093C5 00		brk
	0093C6 00		brk
	0093C7 00		brk
	0093C8 00		brk
	0093C9 00		brk
	0093CA 00		brk
	0093CB 00		brk
	0093CC 00		brk
	0093CD 00		brk
	0093CE 00		brk
	0093CF 00		brk
	0093D0 00		brk
	0093D1 00		brk
	0093D2 00		brk
	0093D3 00		brk
	0093D4 00		brk
	0093D5 00		brk
	0093D6 00		brk
	0093D7 00		brk
	0093D8 00		brk
	0093D9 00		brk
	0093DA 00		brk
	0093DB 00		brk
	0093DC 00		brk
	0093DD 00		brk
	0093DE 00		brk
	0093DF 00		brk
	0093E0 00		brk
	0093E1 00		brk
	0093E2 00		brk
	0093E3 00		brk
	0093E4 00		brk
	0093E5 00		brk
	0093E6 00		brk
	0093E7 00		brk
	0093E8 00		brk
	0093E9 00		brk
	0093EA 00		brk
	0093EB 00		brk
	0093EC 00		brk
	0093ED 00		brk
	0093EE 00		brk
	0093EF 00		brk
	0093F0 00		brk
	0093F1 00		brk
	0093F2 00		brk
	0093F3 00		brk
	0093F4 00		brk
	0093F5 00		brk
	0093F6 00		brk
	0093F7 00		brk
	0093F8 00		brk
	0093F9 00		brk
	0093FA 00		brk
	0093FB 00		brk
	0093FC 00		brk
	0093FD 00		brk
	0093FE 00		brk
	0093FF 00		brk
	009400 00		brk
	009401 00		brk
	009402 00		brk
	009403 00		brk
	009404 00		brk
	009405 00		brk
	009406 00		brk
	009407 00		brk
	009408 00		brk
	009409 00		brk
	00940A 00		brk
	00940B 00		brk
	00940C 00		brk
	00940D 00		brk
	00940E 00		brk
	00940F 00		brk
	009410 00		brk
	009411 00		brk
	009412 00		brk
	009413 00		brk
	009414 00		brk
	009415 00		brk
	009416 00		brk
	009417 00		brk
	009418 00		brk
	009419 00		brk
	00941A 00		brk
	00941B 00		brk
	00941C 00		brk
	00941D 00		brk
	00941E 00		brk
	00941F 00		brk
	009420 00		brk
	009421 00		brk
	009422 00		brk
	009423 00		brk
	009424 00		brk
	009425 00		brk
	009426 00		brk
	009427 00		brk
	009428 00		brk
	009429 00		brk
	00942A 00		brk
	00942B 00		brk
	00942C 00		brk
	00942D 00		brk
	00942E 00		brk
	00942F 00		brk
	009430 00		brk
	009431 00		brk
	009432 00		brk
	009433 00		brk
	009434 00		brk
	009435 00		brk
	009436 00		brk
	009437 00		brk
	009438 00		brk
	009439 00		brk
	00943A 00		brk
	00943B 00		brk
	00943C 00		brk
	00943D 00		brk
	00943E 00		brk
	00943F 00		brk
	009440 00		brk
	009441 00		brk
	009442 00		brk
	009443 00		brk
	009444 00		brk
	009445 00		brk
	009446 00		brk
	009447 00		brk
	009448 00		brk
	009449 00		brk
	00944A 00		brk
	00944B 00		brk
	00944C 00		brk
	00944D 00		brk
	00944E 00		brk
	00944F 00		brk
	009450 00		brk
	009451 00		brk
	009452 00		brk
	009453 00		brk
	009454 00		brk
	009455 00		brk
	009456 00		brk
	009457 00		brk
	009458 00		brk
	009459 00		brk
	00945A 00		brk
	00945B 00		brk
	00945C 00		brk
	00945D 00		brk
	00945E 00		brk
	00945F 00		brk
	009460 00		brk
	009461 00		brk
	009462 00		brk
	009463 00		brk
	009464 00		brk
	009465 00		brk
	009466 00		brk
	009467 00		brk
	009468 00		brk
	009469 00		brk
	00946A 00		brk
	00946B 00		brk
	00946C 00		brk
	00946D 00		brk
	00946E 00		brk
	00946F 00		brk
	009470 00		brk
	009471 00		brk
	009472 00		brk
	009473 00		brk
	009474 00		brk
	009475 00		brk
	009476 00		brk
	009477 00		brk
	009478 00		brk
	009479 00		brk
	00947A 00		brk
	00947B 00		brk
	00947C 00		brk
	00947D 00		brk
	00947E 00		brk
	00947F 00		brk
	009480 00		brk
	009481 00		brk
	009482 00		brk
	009483 00		brk
	009484 00		brk
	009485 00		brk
	009486 00		brk
	009487 00		brk
	009488 00		brk
	009489 00		brk
	00948A 00		brk
	00948B 00		brk
	00948C 00		brk
	00948D 00		brk
	00948E 00		brk
	00948F 00		brk
	009490 00		brk
	009491 00		brk
	009492 00		brk
	009493 00		brk
	009494 00		brk
	009495 00		brk
	009496 00		brk
	009497 00		brk
	009498 00		brk
	009499 00		brk
	00949A 00		brk
	00949B 00		brk
	00949C 00		brk
	00949D 00		brk
	00949E 00		brk
	00949F 00		brk
	0094A0 00		brk
	0094A1 00		brk
	0094A2 00		brk
	0094A3 00		brk
	0094A4 00		brk
	0094A5 00		brk
	0094A6 00		brk
	0094A7 00		brk
	0094A8 00		brk
	0094A9 00		brk
	0094AA 00		brk
	0094AB 00		brk
	0094AC 00		brk
	0094AD 00		brk
	0094AE 00		brk
	0094AF 00		brk
	0094B0 00		brk
	0094B1 00		brk
	0094B2 00		brk
	0094B3 00		brk
	0094B4 00		brk
	0094B5 00		brk
	0094B6 00		brk
	0094B7 00		brk
	0094B8 00		brk
	0094B9 00		brk
	0094BA 00		brk
	0094BB 00		brk
	0094BC 00		brk
	0094BD 00		brk
	0094BE 00		brk
	0094BF 00		brk
	0094C0 00		brk
	0094C1 00		brk
	0094C2 00		brk
	0094C3 00		brk
	0094C4 00		brk
	0094C5 00		brk
	0094C6 00		brk
	0094C7 00		brk
	0094C8 00		brk
	0094C9 00		brk
	0094CA 00		brk
	0094CB 00		brk
	0094CC 00		brk
	0094CD 00		brk
	0094CE 00		brk
	0094CF 00		brk
	0094D0 00		brk
	0094D1 00		brk
	0094D2 00		brk
	0094D3 00		brk
	0094D4 00		brk
	0094D5 00		brk
	0094D6 00		brk
	0094D7 00		brk
	0094D8 00		brk
	0094D9 00		brk
	0094DA 00		brk
	0094DB 00		brk
	0094DC 00		brk
	0094DD 00		brk
	0094DE 00		brk
	0094DF 00		brk
	0094E0 00		brk
	0094E1 00		brk
	0094E2 00		brk
	0094E3 00		brk
	0094E4 00		brk
	0094E5 00		brk
	0094E6 00		brk
	0094E7 00		brk
	0094E8 00		brk
	0094E9 00		brk
	0094EA 00		brk
	0094EB 00		brk
	0094EC 00		brk
	0094ED 00		brk
	0094EE 00		brk
	0094EF 00		brk
	0094F0 00		brk
	0094F1 00		brk
	0094F2 00		brk
	0094F3 00		brk
	0094F4 00		brk
	0094F5 00		brk
	0094F6 00		brk
	0094F7 00		brk
	0094F8 00		brk
	0094F9 00		brk
	0094FA 00		brk
	0094FB 00		brk
	0094FC 00		brk
	0094FD 00		brk
	0094FE 00		brk
	0094FF 00		brk
	009500 00		brk
	009501 00		brk
	009502 00		brk
	009503 00		brk
	009504 00		brk
	009505 00		brk
	009506 00		brk
	009507 00		brk
	009508 00		brk
	009509 00		brk
	00950A 00		brk
	00950B 00		brk
	00950C 00		brk
	00950D 00		brk
	00950E 00		brk
	00950F 00		brk
	009510 00		brk
	009511 00		brk
	009512 00		brk
	009513 00		brk
	009514 00		brk
	009515 00		brk
	009516 00		brk
	009517 00		brk
	009518 00		brk
	009519 00		brk
	00951A 00		brk
	00951B 00		brk
	00951C 00		brk
	00951D 00		brk
	00951E 00		brk
	00951F 00		brk
	009520 00		brk
	009521 00		brk
	009522 00		brk
	009523 00		brk
	009524 00		brk
	009525 00		brk
	009526 00		brk
	009527 00		brk
	009528 00		brk
	009529 00		brk
	00952A 00		brk
	00952B 00		brk
	00952C 00		brk
	00952D 00		brk
	00952E 00		brk
	00952F 00		brk
	009530 00		brk
	009531 00		brk
	009532 00		brk
	009533 00		brk
	009534 00		brk
	009535 00		brk
	009536 00		brk
	009537 00		brk
	009538 00		brk
	009539 00		brk
	00953A 00		brk
	00953B 00		brk
	00953C 00		brk
	00953D 00		brk
	00953E 00		brk
	00953F 00		brk
	009540 00		brk
	009541 00		brk
	009542 00		brk
	009543 00		brk
	009544 00		brk
	009545 00		brk
	009546 00		brk
	009547 00		brk
	009548 00		brk
	009549 00		brk
	00954A 00		brk
	00954B 00		brk
	00954C 00		brk
	00954D 00		brk
	00954E 00		brk
	00954F 00		brk
	009550 00		brk
	009551 00		brk
	009552 00		brk
	009553 00		brk
	009554 00		brk
	009555 00		brk
	009556 00		brk
	009557 00		brk
	009558 00		brk
	009559 00		brk
	00955A 00		brk
	00955B 00		brk
	00955C 00		brk
	00955D 00		brk
	00955E 00		brk
	00955F 00		brk
	009560 00		brk
	009561 00		brk
	009562 00		brk
	009563 00		brk
	009564 00		brk
	009565 00		brk
	009566 00		brk
	009567 00		brk
	009568 00		brk
	009569 00		brk
	00956A 00		brk
	00956B 00		brk
	00956C 00		brk
	00956D 00		brk
	00956E 00		brk
	00956F 00		brk
	009570 00		brk
	009571 00		brk
	009572 00		brk
	009573 00		brk
	009574 00		brk
	009575 00		brk
	009576 00		brk
	009577 00		brk
	009578 00		brk
	009579 00		brk
	00957A 00		brk
	00957B 00		brk
	00957C 00		brk
	00957D 00		brk
	00957E 00		brk
	00957F 00		brk
	009580 00		brk
	009581 00		brk
	009582 00		brk
	009583 00		brk
	009584 00		brk
	009585 00		brk
	009586 00		brk
	009587 00		brk
	009588 00		brk
	009589 00		brk
	00958A 00		brk
	00958B 00		brk
	00958C 00		brk
	00958D 00		brk
	00958E 00		brk
	00958F 00		brk
	009590 00		brk
	009591 00		brk
	009592 00		brk
	009593 00		brk
	009594 00		brk
	009595 00		brk
	009596 00		brk
	009597 00		brk
	009598 00		brk
	009599 00		brk
	00959A 00		brk
	00959B 00		brk
	00959C 00		brk
	00959D 00		brk
	00959E 00		brk
	00959F 00		brk
	0095A0 00		brk
	0095A1 00		brk
	0095A2 00		brk
	0095A3 00		brk
	0095A4 00		brk
	0095A5 00		brk
	0095A6 00		brk
	0095A7 00		brk
	0095A8 00		brk
	0095A9 00		brk
	0095AA 00		brk
	0095AB 00		brk
	0095AC 00		brk
	0095AD 00		brk
	0095AE 00		brk
	0095AF 00		brk
	0095B0 00		brk
	0095B1 00		brk
	0095B2 00		brk
	0095B3 00		brk
	0095B4 00		brk
	0095B5 00		brk
	0095B6 00		brk
	0095B7 00		brk
	0095B8 00		brk
	0095B9 00		brk
	0095BA 00		brk
	0095BB 00		brk
	0095BC 00		brk
	0095BD 00		brk
	0095BE 00		brk
	0095BF 00		brk
	0095C0 00		brk
	0095C1 00		brk
	0095C2 00		brk
	0095C3 00		brk
	0095C4 00		brk
	0095C5 00		brk
	0095C6 00		brk
	0095C7 00		brk
	0095C8 00		brk
	0095C9 00		brk
	0095CA 00		brk
	0095CB 00		brk
	0095CC 00		brk
	0095CD 00		brk
	0095CE 00		brk
	0095CF 00		brk
	0095D0 00		brk
	0095D1 00		brk
	0095D2 00		brk
	0095D3 00		brk
	0095D4 00		brk
	0095D5 00		brk
	0095D6 00		brk
	0095D7 00		brk
	0095D8 00		brk
	0095D9 00		brk
	0095DA 00		brk
	0095DB 00		brk
	0095DC 00		brk
	0095DD 00		brk
	0095DE 00		brk
	0095DF 00		brk
	0095E0 00		brk
	0095E1 00		brk
	0095E2 00		brk
	0095E3 00		brk
	0095E4 00		brk
	0095E5 00		brk
	0095E6 00		brk
	0095E7 00		brk
	0095E8 00		brk
	0095E9 00		brk
	0095EA 00		brk
	0095EB 00		brk
	0095EC 00		brk
	0095ED 00		brk
	0095EE 00		brk
	0095EF 00		brk
	0095F0 00		brk
	0095F1 00		brk
	0095F2 00		brk
	0095F3 00		brk
	0095F4 00		brk
	0095F5 00		brk
	0095F6 00		brk
	0095F7 00		brk
	0095F8 00		brk
	0095F9 00		brk
	0095FA 00		brk
	0095FB 00		brk
	0095FC 00		brk
	0095FD 00		brk
	0095FE 00		brk
	0095FF 00		brk
	009600 00		brk
	009601 00		brk
	009602 00		brk
	009603 00		brk
	009604 00		brk
	009605 00		brk
	009606 00		brk
	009607 00		brk
	009608 00		brk
	009609 00		brk
	00960A 00		brk
	00960B 00		brk
	00960C 00		brk
	00960D 00		brk
	00960E 00		brk
	00960F 00		brk
	009610 00		brk
	009611 00		brk
	009612 00		brk
	009613 00		brk
	009614 00		brk
	009615 00		brk
	009616 00		brk
	009617 00		brk
	009618 00		brk
	009619 00		brk
	00961A 00		brk
	00961B 00		brk
	00961C 00		brk
	00961D 00		brk
	00961E 00		brk
	00961F 00		brk
	009620 00		brk
	009621 00		brk
	009622 00		brk
	009623 00		brk
	009624 00		brk
	009625 00		brk
	009626 00		brk
	009627 00		brk
	009628 00		brk
	009629 00		brk
	00962A 00		brk
	00962B 00		brk
	00962C 00		brk
	00962D 00		brk
	00962E 00		brk
	00962F 00		brk
	009630 00		brk
	009631 00		brk
	009632 00		brk
	009633 00		brk
	009634 00		brk
	009635 00		brk
	009636 00		brk
	009637 00		brk
	009638 00		brk
	009639 00		brk
	00963A 00		brk
	00963B 00		brk
	00963C 00		brk
	00963D 00		brk
	00963E 00		brk
	00963F 00		brk
	009640 00		brk
	009641 00		brk
	009642 00		brk
	009643 00		brk
	009644 00		brk
	009645 00		brk
	009646 00		brk
	009647 00		brk
	009648 00		brk
	009649 00		brk
	00964A 00		brk
	00964B 00		brk
	00964C 00		brk
	00964D 00		brk
	00964E 00		brk
	00964F 00		brk
	009650 00		brk
	009651 00		brk
	009652 00		brk
	009653 00		brk
	009654 00		brk
	009655 00		brk
	009656 00		brk
	009657 00		brk
	009658 00		brk
	009659 00		brk
	00965A 00		brk
	00965B 00		brk
	00965C 00		brk
	00965D 00		brk
	00965E 00		brk
	00965F 00		brk
	009660 00		brk
	009661 00		brk
	009662 00		brk
	009663 00		brk
	009664 00		brk
	009665 00		brk
	009666 00		brk
	009667 00		brk
	009668 00		brk
	009669 00		brk
	00966A 00		brk
	00966B 00		brk
	00966C 00		brk
	00966D 00		brk
	00966E 00		brk
	00966F 00		brk
	009670 00		brk
	009671 00		brk
	009672 00		brk
	009673 00		brk
	009674 00		brk
	009675 00		brk
	009676 00		brk
	009677 00		brk
	009678 00		brk
	009679 00		brk
	00967A 00		brk
	00967B 00		brk
	00967C 00		brk
	00967D 00		brk
	00967E 00		brk
	00967F 00		brk
	009680 00		brk
	009681 00		brk
	009682 00		brk
	009683 00		brk
	009684 00		brk
	009685 00		brk
	009686 00		brk
	009687 00		brk
	009688 00		brk
	009689 00		brk
	00968A 00		brk
	00968B 00		brk
	00968C 00		brk
	00968D 00		brk
	00968E 00		brk
	00968F 00		brk
	009690 00		brk
	009691 00		brk
	009692 00		brk
	009693 00		brk
	009694 00		brk
	009695 00		brk
	009696 00		brk
	009697 00		brk
	009698 00		brk
	009699 00		brk
	00969A 00		brk
	00969B 00		brk
	00969C 00		brk
	00969D 00		brk
	00969E 00		brk
	00969F 00		brk
	0096A0 00		brk
	0096A1 00		brk
	0096A2 00		brk
	0096A3 00		brk
	0096A4 00		brk
	0096A5 00		brk
	0096A6 00		brk
	0096A7 00		brk
	0096A8 00		brk
	0096A9 00		brk
	0096AA 00		brk
	0096AB 00		brk
	0096AC 00		brk
	0096AD 00		brk
	0096AE 00		brk
	0096AF 00		brk
	0096B0 00		brk
	0096B1 00		brk
	0096B2 00		brk
	0096B3 00		brk
	0096B4 00		brk
	0096B5 00		brk
	0096B6 00		brk
	0096B7 00		brk
	0096B8 00		brk
	0096B9 00		brk
	0096BA 00		brk
	0096BB 00		brk
	0096BC 00		brk
	0096BD 00		brk
	0096BE 00		brk
	0096BF 00		brk
	0096C0 00		brk
	0096C1 00		brk
	0096C2 00		brk
	0096C3 00		brk
	0096C4 00		brk
	0096C5 00		brk
	0096C6 00		brk
	0096C7 00		brk
	0096C8 00		brk
	0096C9 00		brk
	0096CA 00		brk
	0096CB 00		brk
	0096CC 00		brk
	0096CD 00		brk
	0096CE 00		brk
	0096CF 00		brk
	0096D0 00		brk
	0096D1 00		brk
	0096D2 00		brk
	0096D3 00		brk
	0096D4 00		brk
	0096D5 00		brk
	0096D6 00		brk
	0096D7 00		brk
	0096D8 00		brk
	0096D9 00		brk
	0096DA 00		brk
	0096DB 00		brk
	0096DC 00		brk
	0096DD 00		brk
	0096DE 00		brk
	0096DF 00		brk
	0096E0 00		brk
	0096E1 00		brk
	0096E2 00		brk
	0096E3 00		brk
	0096E4 00		brk
	0096E5 00		brk
	0096E6 00		brk
	0096E7 00		brk
	0096E8 00		brk
	0096E9 00		brk
	0096EA 00		brk
	0096EB 00		brk
	0096EC 00		brk
	0096ED 00		brk
	0096EE 00		brk
	0096EF 00		brk
	0096F0 00		brk
	0096F1 00		brk
	0096F2 00		brk
	0096F3 00		brk
	0096F4 00		brk
	0096F5 00		brk
	0096F6 00		brk
	0096F7 00		brk
	0096F8 00		brk
	0096F9 00		brk
	0096FA 00		brk
	0096FB 00		brk
	0096FC 00		brk
	0096FD 00		brk
	0096FE 00		brk
	0096FF 00		brk
	009700 00		brk
	009701 00		brk
	009702 00		brk
	009703 00		brk
	009704 00		brk
	009705 00		brk
	009706 00		brk
	009707 00		brk
	009708 00		brk
	009709 00		brk
	00970A 00		brk
	00970B 00		brk
	00970C 00		brk
	00970D 00		brk
	00970E 00		brk
	00970F 00		brk
	009710 00		brk
	009711 00		brk
	009712 00		brk
	009713 00		brk
	009714 00		brk
	009715 00		brk
	009716 00		brk
	009717 00		brk
	009718 00		brk
	009719 00		brk
	00971A 00		brk
	00971B 00		brk
	00971C 00		brk
	00971D 00		brk
	00971E 00		brk
	00971F 00		brk
	009720 00		brk
	009721 00		brk
	009722 00		brk
	009723 00		brk
	009724 00		brk
	009725 00		brk
	009726 00		brk
	009727 00		brk
	009728 00		brk
	009729 00		brk
	00972A 00		brk
	00972B 00		brk
	00972C 00		brk
	00972D 00		brk
	00972E 00		brk
	00972F 00		brk
	009730 00		brk
	009731 00		brk
	009732 00		brk
	009733 00		brk
	009734 00		brk
	009735 00		brk
	009736 00		brk
	009737 00		brk
	009738 00		brk
	009739 00		brk
	00973A 00		brk
	00973B 00		brk
	00973C 00		brk
	00973D 00		brk
	00973E 00		brk
	00973F 00		brk
	009740 00		brk
	009741 00		brk
	009742 00		brk
	009743 00		brk
	009744 00		brk
	009745 00		brk
	009746 00		brk
	009747 00		brk
	009748 00		brk
	009749 00		brk
	00974A 00		brk
	00974B 00		brk
	00974C 00		brk
	00974D 00		brk
	00974E 00		brk
	00974F 00		brk
	009750 00		brk
	009751 00		brk
	009752 00		brk
	009753 00		brk
	009754 00		brk
	009755 00		brk
	009756 00		brk
	009757 00		brk
	009758 00		brk
	009759 00		brk
	00975A 00		brk
	00975B 00		brk
	00975C 00		brk
	00975D 00		brk
	00975E 00		brk
	00975F 00		brk
	009760 00		brk
	009761 00		brk
	009762 00		brk
	009763 00		brk
	009764 00		brk
	009765 00		brk
	009766 00		brk
	009767 00		brk
	009768 00		brk
	009769 00		brk
	00976A 00		brk
	00976B 00		brk
	00976C 00		brk
	00976D 00		brk
	00976E 00		brk
	00976F 00		brk
	009770 00		brk
	009771 00		brk
	009772 00		brk
	009773 00		brk
	009774 00		brk
	009775 00		brk
	009776 00		brk
	009777 00		brk
	009778 00		brk
	009779 00		brk
	00977A 00		brk
	00977B 00		brk
	00977C 00		brk
	00977D 00		brk
	00977E 00		brk
	00977F 00		brk
	009780 00		brk
	009781 00		brk
	009782 00		brk
	009783 00		brk
	009784 00		brk
	009785 00		brk
	009786 00		brk
	009787 00		brk
	009788 00		brk
	009789 00		brk
	00978A 00		brk
	00978B 00		brk
	00978C 00		brk
	00978D 00		brk
	00978E 00		brk
	00978F 00		brk
	009790 00		brk
	009791 00		brk
	009792 00		brk
	009793 00		brk
	009794 00		brk
	009795 00		brk
	009796 00		brk
	009797 00		brk
	009798 00		brk
	009799 00		brk
	00979A 00		brk
	00979B 00		brk
	00979C 00		brk
	00979D 00		brk
	00979E 00		brk
	00979F 00		brk
	0097A0 00		brk
	0097A1 00		brk
	0097A2 00		brk
	0097A3 00		brk
	0097A4 00		brk
	0097A5 00		brk
	0097A6 00		brk
	0097A7 00		brk
	0097A8 00		brk
	0097A9 00		brk
	0097AA 00		brk
	0097AB 00		brk
	0097AC 00		brk
	0097AD 00		brk
	0097AE 00		brk
	0097AF 00		brk
	0097B0 00		brk
	0097B1 00		brk
	0097B2 00		brk
	0097B3 00		brk
	0097B4 00		brk
	0097B5 00		brk
	0097B6 00		brk
	0097B7 00		brk
	0097B8 00		brk
	0097B9 00		brk
	0097BA 00		brk
	0097BB 00		brk
	0097BC 00		brk
	0097BD 00		brk
	0097BE 00		brk
	0097BF 00		brk
	0097C0 00		brk
	0097C1 00		brk
	0097C2 00		brk
	0097C3 00		brk
	0097C4 00		brk
	0097C5 00		brk
	0097C6 00		brk
	0097C7 00		brk
	0097C8 00		brk
	0097C9 00		brk
	0097CA 00		brk
	0097CB 00		brk
	0097CC 00		brk
	0097CD 00		brk
	0097CE 00		brk
	0097CF 00		brk
	0097D0 00		brk
	0097D1 00		brk
	0097D2 00		brk
	0097D3 00		brk
	0097D4 00		brk
	0097D5 00		brk
	0097D6 00		brk
	0097D7 00		brk
	0097D8 00		brk
	0097D9 00		brk
	0097DA 00		brk
	0097DB 00		brk
	0097DC 00		brk
	0097DD 00		brk
	0097DE 00		brk
	0097DF 00		brk
	0097E0 00		brk
	0097E1 00		brk
	0097E2 00		brk
	0097E3 00		brk
	0097E4 00		brk
	0097E5 00		brk
	0097E6 00		brk
	0097E7 00		brk
	0097E8 00		brk
	0097E9 00		brk
	0097EA 00		brk
	0097EB 00		brk
	0097EC 00		brk
	0097ED 00		brk
	0097EE 00		brk
	0097EF 00		brk
	0097F0 00		brk
	0097F1 00		brk
	0097F2 00		brk
	0097F3 00		brk
	0097F4 00		brk
	0097F5 00		brk
	0097F6 00		brk
	0097F7 00		brk
	0097F8 00		brk
	0097F9 00		brk
	0097FA 00		brk
	0097FB 00		brk
	0097FC 00		brk
	0097FD 00		brk
	0097FE 00		brk
	0097FF 00		brk
	009800 00		brk
	009801 00		brk
	009802 00		brk
	009803 00		brk
	009804 00		brk
	009805 00		brk
	009806 00		brk
	009807 00		brk
	009808 00		brk
	009809 00		brk
	00980A 00		brk
	00980B 00		brk
	00980C 00		brk
	00980D 00		brk
	00980E 00		brk
	00980F 00		brk
	009810 00		brk
	009811 00		brk
	009812 00		brk
	009813 00		brk
	009814 00		brk
	009815 00		brk
	009816 00		brk
	009817 00		brk
	009818 00		brk
	009819 00		brk
	00981A 00		brk
	00981B 00		brk
	00981C 00		brk
	00981D 00		brk
	00981E 00		brk
	00981F 00		brk
	009820 00		brk
	009821 00		brk
	009822 00		brk
	009823 00		brk
	009824 00		brk
	009825 00		brk
	009826 00		brk
	009827 00		brk
	009828 00		brk
	009829 00		brk
	00982A 00		brk
	00982B 00		brk
	00982C 00		brk
	00982D 00		brk
	00982E 00		brk
	00982F 00		brk
	009830 00		brk
	009831 00		brk
	009832 00		brk
	009833 00		brk
	009834 00		brk
	009835 00		brk
	009836 00		brk
	009837 00		brk
	009838 00		brk
	009839 00		brk
	00983A 00		brk
	00983B 00		brk
	00983C 00		brk
	00983D 00		brk
	00983E 00		brk
	00983F 00		brk
	009840 00		brk
	009841 00		brk
	009842 00		brk
	009843 00		brk
	009844 00		brk
	009845 00		brk
	009846 00		brk
	009847 00		brk
	009848 00		brk
	009849 00		brk
	00984A 00		brk
	00984B 00		brk
	00984C 00		brk
	00984D 00		brk
	00984E 00		brk
	00984F 00		brk
	009850 00		brk
	009851 00		brk
	009852 00		brk
	009853 00		brk
	009854 00		brk
	009855 00		brk
	009856 00		brk
	009857 00		brk
	009858 00		brk
	009859 00		brk
	00985A 00		brk
	00985B 00		brk
	00985C 00		brk
	00985D 00		brk
	00985E 00		brk
	00985F 00		brk
	009860 00		brk
	009861 00		brk
	009862 00		brk
	009863 00		brk
	009864 00		brk
	009865 00		brk
	009866 00		brk
	009867 00		brk
	009868 00		brk
	009869 00		brk
	00986A 00		brk
	00986B 00		brk
	00986C 00		brk
	00986D 00		brk
	00986E 00		brk
	00986F 00		brk
	009870 00		brk
	009871 00		brk
	009872 00		brk
	009873 00		brk
	009874 00		brk
	009875 00		brk
	009876 00		brk
	009877 00		brk
	009878 00		brk
	009879 00		brk
	00987A 00		brk
	00987B 00		brk
	00987C 00		brk
	00987D 00		brk
	00987E 00		brk
	00987F 00		brk
	009880 00		brk
	009881 00		brk
	009882 00		brk
	009883 00		brk
	009884 00		brk
	009885 00		brk
	009886 00		brk
	009887 00		brk
	009888 00		brk
	009889 00		brk
	00988A 00		brk
	00988B 00		brk
	00988C 00		brk
	00988D 00		brk
	00988E 00		brk
	00988F 00		brk
	009890 00		brk
	009891 00		brk
	009892 00		brk
	009893 00		brk
	009894 00		brk
	009895 00		brk
	009896 00		brk
	009897 00		brk
	009898 00		brk
	009899 00		brk
	00989A 00		brk
	00989B 00		brk
	00989C 00		brk
	00989D 00		brk
	00989E 00		brk
	00989F 00		brk
	0098A0 00		brk
	0098A1 00		brk
	0098A2 00		brk
	0098A3 00		brk
	0098A4 00		brk
	0098A5 00		brk
	0098A6 00		brk
	0098A7 00		brk
	0098A8 00		brk
	0098A9 00		brk
	0098AA 00		brk
	0098AB 00		brk
	0098AC 00		brk
	0098AD 00		brk
	0098AE 00		brk
	0098AF 00		brk
	0098B0 00		brk
	0098B1 00		brk
	0098B2 00		brk
	0098B3 00		brk
	0098B4 00		brk
	0098B5 00		brk
	0098B6 00		brk
	0098B7 00		brk
	0098B8 00		brk
	0098B9 00		brk
	0098BA 00		brk
	0098BB 00		brk
	0098BC 00		brk
	0098BD 00		brk
	0098BE 00		brk
	0098BF 00		brk
	0098C0 00		brk
	0098C1 00		brk
	0098C2 00		brk
	0098C3 00		brk
	0098C4 00		brk
	0098C5 00		brk
	0098C6 00		brk
	0098C7 00		brk
	0098C8 00		brk
	0098C9 00		brk
	0098CA 00		brk
	0098CB 00		brk
	0098CC 00		brk
	0098CD 00		brk
	0098CE 00		brk
	0098CF 00		brk
	0098D0 00		brk
	0098D1 00		brk
	0098D2 00		brk
	0098D3 00		brk
	0098D4 00		brk
	0098D5 00		brk
	0098D6 00		brk
	0098D7 00		brk
	0098D8 00		brk
	0098D9 00		brk
	0098DA 00		brk
	0098DB 00		brk
	0098DC 00		brk
	0098DD 00		brk
	0098DE 00		brk
	0098DF 00		brk
	0098E0 00		brk
	0098E1 00		brk
	0098E2 00		brk
	0098E3 00		brk
	0098E4 00		brk
	0098E5 00		brk
	0098E6 00		brk
	0098E7 00		brk
	0098E8 00		brk
	0098E9 00		brk
	0098EA 00		brk
	0098EB 00		brk
	0098EC 00		brk
	0098ED 00		brk
	0098EE 00		brk
	0098EF 00		brk
	0098F0 00		brk
	0098F1 00		brk
	0098F2 00		brk
	0098F3 00		brk
	0098F4 00		brk
	0098F5 00		brk
	0098F6 00		brk
	0098F7 00		brk
	0098F8 00		brk
	0098F9 00		brk
	0098FA 00		brk
	0098FB 00		brk
	0098FC 00		brk
	0098FD 00		brk
	0098FE 00		brk
	0098FF 00		brk
	009900 00		brk
	009901 00		brk
	009902 00		brk
	009903 00		brk
	009904 00		brk
	009905 00		brk
	009906 00		brk
	009907 00		brk
	009908 00		brk
	009909 00		brk
	00990A 00		brk
	00990B 00		brk
	00990C 00		brk
	00990D 00		brk
	00990E 00		brk
	00990F 00		brk
	009910 00		brk
	009911 00		brk
	009912 00		brk
	009913 00		brk
	009914 00		brk
	009915 00		brk
	009916 00		brk
	009917 00		brk
	009918 00		brk
	009919 00		brk
	00991A 00		brk
	00991B 00		brk
	00991C 00		brk
	00991D 00		brk
	00991E 00		brk
	00991F 00		brk
	009920 00		brk
	009921 00		brk
	009922 00		brk
	009923 00		brk
	009924 00		brk
	009925 00		brk
	009926 00		brk
	009927 00		brk
	009928 00		brk
	009929 00		brk
	00992A 00		brk
	00992B 00		brk
	00992C 00		brk
	00992D 00		brk
	00992E 00		brk
	00992F 00		brk
	009930 00		brk
	009931 00		brk
	009932 00		brk
	009933 00		brk
	009934 00		brk
	009935 00		brk
	009936 00		brk
	009937 00		brk
	009938 00		brk
	009939 00		brk
	00993A 00		brk
	00993B 00		brk
	00993C 00		brk
	00993D 00		brk
	00993E 00		brk
	00993F 00		brk
	009940 00		brk
	009941 00		brk
	009942 00		brk
	009943 00		brk
	009944 00		brk
	009945 00		brk
	009946 00		brk
	009947 00		brk
	009948 00		brk
	009949 00		brk
	00994A 00		brk
	00994B 00		brk
	00994C 00		brk
	00994D 00		brk
	00994E 00		brk
	00994F 00		brk
	009950 00		brk
	009951 00		brk
	009952 00		brk
	009953 00		brk
	009954 00		brk
	009955 00		brk
	009956 00		brk
	009957 00		brk
	009958 00		brk
	009959 00		brk
	00995A 00		brk
	00995B 00		brk
	00995C 00		brk
	00995D 00		brk
	00995E 00		brk
	00995F 00		brk
	009960 00		brk
	009961 00		brk
	009962 00		brk
	009963 00		brk
	009964 00		brk
	009965 00		brk
	009966 00		brk
	009967 00		brk
	009968 00		brk
	009969 00		brk
	00996A 00		brk
	00996B 00		brk
	00996C 00		brk
	00996D 00		brk
	00996E 00		brk
	00996F 00		brk
	009970 00		brk
	009971 00		brk
	009972 00		brk
	009973 00		brk
	009974 00		brk
	009975 00		brk
	009976 00		brk
	009977 00		brk
	009978 00		brk
	009979 00		brk
	00997A 00		brk
	00997B 00		brk
	00997C 00		brk
	00997D 00		brk
	00997E 00		brk
	00997F 00		brk
	009980 00		brk
	009981 00		brk
	009982 00		brk
	009983 00		brk
	009984 00		brk
	009985 00		brk
	009986 00		brk
	009987 00		brk
	009988 00		brk
	009989 00		brk
	00998A 00		brk
	00998B 00		brk
	00998C 00		brk
	00998D 00		brk
	00998E 00		brk
	00998F 00		brk
	009990 00		brk
	009991 00		brk
	009992 00		brk
	009993 00		brk
	009994 00		brk
	009995 00		brk
	009996 00		brk
	009997 00		brk
	009998 00		brk
	009999 00		brk
	00999A 00		brk
	00999B 00		brk
	00999C 00		brk
	00999D 00		brk
	00999E 00		brk
	00999F 00		brk
	0099A0 00		brk
	0099A1 00		brk
	0099A2 00		brk
	0099A3 00		brk
	0099A4 00		brk
	0099A5 00		brk
	0099A6 00		brk
	0099A7 00		brk
	0099A8 00		brk
	0099A9 00		brk
	0099AA 00		brk
	0099AB 00		brk
	0099AC 00		brk
	0099AD 00		brk
	0099AE 00		brk
	0099AF 00		brk
	0099B0 00		brk
	0099B1 00		brk
	0099B2 00		brk
	0099B3 00		brk
	0099B4 00		brk
	0099B5 00		brk
	0099B6 00		brk
	0099B7 00		brk
	0099B8 00		brk
	0099B9 00		brk
	0099BA 00		brk
	0099BB 00		brk
	0099BC 00		brk
	0099BD 00		brk
	0099BE 00		brk
	0099BF 00		brk
	0099C0 00		brk
	0099C1 00		brk
	0099C2 00		brk
	0099C3 00		brk
	0099C4 00		brk
	0099C5 00		brk
	0099C6 00		brk
	0099C7 00		brk
	0099C8 00		brk
	0099C9 00		brk
	0099CA 00		brk
	0099CB 00		brk
	0099CC 00		brk
	0099CD 00		brk
	0099CE 00		brk
	0099CF 00		brk
	0099D0 00		brk
	0099D1 00		brk
	0099D2 00		brk
	0099D3 00		brk
	0099D4 00		brk
	0099D5 00		brk
	0099D6 00		brk
	0099D7 00		brk
	0099D8 00		brk
	0099D9 00		brk
	0099DA 00		brk
	0099DB 00		brk
	0099DC 00		brk
	0099DD 00		brk
	0099DE 00		brk
	0099DF 00		brk
	0099E0 00		brk
	0099E1 00		brk
	0099E2 00		brk
	0099E3 00		brk
	0099E4 00		brk
	0099E5 00		brk
	0099E6 00		brk
	0099E7 00		brk
	0099E8 00		brk
	0099E9 00		brk
	0099EA 00		brk
	0099EB 00		brk
	0099EC 00		brk
	0099ED 00		brk
	0099EE 00		brk
	0099EF 00		brk
	0099F0 00		brk
	0099F1 00		brk
	0099F2 00		brk
	0099F3 00		brk
	0099F4 00		brk
	0099F5 00		brk
	0099F6 00		brk
	0099F7 00		brk
	0099F8 00		brk
	0099F9 00		brk
	0099FA 00		brk
	0099FB 00		brk
	0099FC 00		brk
	0099FD 00		brk
	0099FE 00		brk
	0099FF 00		brk
	009A00 00		brk
	009A01 00		brk
	009A02 00		brk
	009A03 00		brk
	009A04 00		brk
	009A05 00		brk
	009A06 00		brk
	009A07 00		brk
	009A08 00		brk
	009A09 00		brk
	009A0A 00		brk
	009A0B 00		brk
	009A0C 00		brk
	009A0D 00		brk
	009A0E 00		brk
	009A0F 00		brk
	009A10 00		brk
	009A11 00		brk
	009A12 00		brk
	009A13 00		brk
	009A14 00		brk
	009A15 00		brk
	009A16 00		brk
	009A17 00		brk
	009A18 00		brk
	009A19 00		brk
	009A1A 00		brk
	009A1B 00		brk
	009A1C 00		brk
	009A1D 00		brk
	009A1E 00		brk
	009A1F 00		brk
	009A20 00		brk
	009A21 00		brk
	009A22 00		brk
	009A23 00		brk
	009A24 00		brk
	009A25 00		brk
	009A26 00		brk
	009A27 00		brk
	009A28 00		brk
	009A29 00		brk
	009A2A 00		brk
	009A2B 00		brk
	009A2C 00		brk
	009A2D 00		brk
	009A2E 00		brk
	009A2F 00		brk
	009A30 00		brk
	009A31 00		brk
	009A32 00		brk
	009A33 00		brk
	009A34 00		brk
	009A35 00		brk
	009A36 00		brk
	009A37 00		brk
	009A38 00		brk
	009A39 00		brk
	009A3A 00		brk
	009A3B 00		brk
	009A3C 00		brk
	009A3D 00		brk
	009A3E 00		brk
	009A3F 00		brk
	009A40 00		brk
	009A41 00		brk
	009A42 00		brk
	009A43 00		brk
	009A44 00		brk
	009A45 00		brk
	009A46 00		brk
	009A47 00		brk
	009A48 00		brk
	009A49 00		brk
	009A4A 00		brk
	009A4B 00		brk
	009A4C 00		brk
	009A4D 00		brk
	009A4E 00		brk
	009A4F 00		brk
	009A50 00		brk
	009A51 00		brk
	009A52 00		brk
	009A53 00		brk
	009A54 00		brk
	009A55 00		brk
	009A56 00		brk
	009A57 00		brk
	009A58 00		brk
	009A59 00		brk
	009A5A 00		brk
	009A5B 00		brk
	009A5C 00		brk
	009A5D 00		brk
	009A5E 00		brk
	009A5F 00		brk
	009A60 00		brk
	009A61 00		brk
	009A62 00		brk
	009A63 00		brk
	009A64 00		brk
	009A65 00		brk
	009A66 00		brk
	009A67 00		brk
	009A68 00		brk
	009A69 00		brk
	009A6A 00		brk
	009A6B 00		brk
	009A6C 00		brk
	009A6D 00		brk
	009A6E 00		brk
	009A6F 00		brk
	009A70 00		brk
	009A71 00		brk
	009A72 00		brk
	009A73 00		brk
	009A74 00		brk
	009A75 00		brk
	009A76 00		brk
	009A77 00		brk
	009A78 00		brk
	009A79 00		brk
	009A7A 00		brk
	009A7B 00		brk
	009A7C 00		brk
	009A7D 00		brk
	009A7E 00		brk
	009A7F 00		brk
	009A80 00		brk
	009A81 00		brk
	009A82 00		brk
	009A83 00		brk
	009A84 00		brk
	009A85 00		brk
	009A86 00		brk
	009A87 00		brk
	009A88 00		brk
	009A89 00		brk
	009A8A 00		brk
	009A8B 00		brk
	009A8C 00		brk
	009A8D 00		brk
	009A8E 00		brk
	009A8F 00		brk
	009A90 00		brk
	009A91 00		brk
	009A92 00		brk
	009A93 00		brk
	009A94 00		brk
	009A95 00		brk
	009A96 00		brk
	009A97 00		brk
	009A98 00		brk
	009A99 00		brk
	009A9A 00		brk
	009A9B 00		brk
	009A9C 00		brk
	009A9D 00		brk
	009A9E 00		brk
	009A9F 00		brk
	009AA0 00		brk
	009AA1 00		brk
	009AA2 00		brk
	009AA3 00		brk
	009AA4 00		brk
	009AA5 00		brk
	009AA6 00		brk
	009AA7 00		brk
	009AA8 00		brk
	009AA9 00		brk
	009AAA 00		brk
	009AAB 00		brk
	009AAC 00		brk
	009AAD 00		brk
	009AAE 00		brk
	009AAF 00		brk
	009AB0 00		brk
	009AB1 00		brk
	009AB2 00		brk
	009AB3 00		brk
	009AB4 00		brk
	009AB5 00		brk
	009AB6 00		brk
	009AB7 00		brk
	009AB8 00		brk
	009AB9 00		brk
	009ABA 00		brk
	009ABB 00		brk
	009ABC 00		brk
	009ABD 00		brk
	009ABE 00		brk
	009ABF 00		brk
	009AC0 00		brk
	009AC1 00		brk
	009AC2 00		brk
	009AC3 00		brk
	009AC4 00		brk
	009AC5 00		brk
	009AC6 00		brk
	009AC7 00		brk
	009AC8 00		brk
	009AC9 00		brk
	009ACA 00		brk
	009ACB 00		brk
	009ACC 00		brk
	009ACD 00		brk
	009ACE 00		brk
	009ACF 00		brk
	009AD0 00		brk
	009AD1 00		brk
	009AD2 00		brk
	009AD3 00		brk
	009AD4 00		brk
	009AD5 00		brk
	009AD6 00		brk
	009AD7 00		brk
	009AD8 00		brk
	009AD9 00		brk
	009ADA 00		brk
	009ADB 00		brk
	009ADC 00		brk
	009ADD 00		brk
	009ADE 00		brk
	009ADF 00		brk
	009AE0 00		brk
	009AE1 00		brk
	009AE2 00		brk
	009AE3 00		brk
	009AE4 00		brk
	009AE5 00		brk
	009AE6 00		brk
	009AE7 00		brk
	009AE8 00		brk
	009AE9 00		brk
	009AEA 00		brk
	009AEB 00		brk
	009AEC 00		brk
	009AED 00		brk
	009AEE 00		brk
	009AEF 00		brk
	009AF0 00		brk
	009AF1 00		brk
	009AF2 00		brk
	009AF3 00		brk
	009AF4 00		brk
	009AF5 00		brk
	009AF6 00		brk
	009AF7 00		brk
	009AF8 00		brk
	009AF9 00		brk
	009AFA 00		brk
	009AFB 00		brk
	009AFC 00		brk
	009AFD 00		brk
	009AFE 00		brk
	009AFF 00		brk
	009B00 00		brk
	009B01 00		brk
	009B02 00		brk
	009B03 00		brk
	009B04 00		brk
	009B05 00		brk
	009B06 00		brk
	009B07 00		brk
	009B08 00		brk
	009B09 00		brk
	009B0A 00		brk
	009B0B 00		brk
	009B0C 00		brk
	009B0D 00		brk
	009B0E 00		brk
	009B0F 00		brk
	009B10 00		brk
	009B11 00		brk
	009B12 00		brk
	009B13 00		brk
	009B14 00		brk
	009B15 00		brk
	009B16 00		brk
	009B17 00		brk
	009B18 00		brk
	009B19 00		brk
	009B1A 00		brk
	009B1B 00		brk
	009B1C 00		brk
	009B1D 00		brk
	009B1E 00		brk
	009B1F 00		brk
	009B20 00		brk
	009B21 00		brk
	009B22 00		brk
	009B23 00		brk
	009B24 00		brk
	009B25 00		brk
	009B26 00		brk
	009B27 00		brk
	009B28 00		brk
	009B29 00		brk
	009B2A 00		brk
	009B2B 00		brk
	009B2C 00		brk
	009B2D 00		brk
	009B2E 00		brk
	009B2F 00		brk
	009B30 00		brk
	009B31 00		brk
	009B32 00		brk
	009B33 00		brk
	009B34 00		brk
	009B35 00		brk
	009B36 00		brk
	009B37 00		brk
	009B38 00		brk
	009B39 00		brk
	009B3A 00		brk
	009B3B 00		brk
	009B3C 00		brk
	009B3D 00		brk
	009B3E 00		brk
	009B3F 00		brk
	009B40 00		brk
	009B41 00		brk
	009B42 00		brk
	009B43 00		brk
	009B44 00		brk
	009B45 00		brk
	009B46 00		brk
	009B47 00		brk
	009B48 00		brk
	009B49 00		brk
	009B4A 00		brk
	009B4B 00		brk
	009B4C 00		brk
	009B4D 00		brk
	009B4E 00		brk
	009B4F 00		brk
	009B50 00		brk
	009B51 00		brk
	009B52 00		brk
	009B53 00		brk
	009B54 00		brk
	009B55 00		brk
	009B56 00		brk
	009B57 00		brk
	009B58 00		brk
	009B59 00		brk
	009B5A 00		brk
	009B5B 00		brk
	009B5C 00		brk
	009B5D 00		brk
	009B5E 00		brk
	009B5F 00		brk
	009B60 00		brk
	009B61 00		brk
	009B62 00		brk
	009B63 00		brk
	009B64 00		brk
	009B65 00		brk
	009B66 00		brk
	009B67 00		brk
	009B68 00		brk
	009B69 00		brk
	009B6A 00		brk
	009B6B 00		brk
	009B6C 00		brk
	009B6D 00		brk
	009B6E 00		brk
	009B6F 00		brk
	009B70 00		brk
	009B71 00		brk
	009B72 00		brk
	009B73 00		brk
	009B74 00		brk
	009B75 00		brk
	009B76 00		brk
	009B77 00		brk
	009B78 00		brk
	009B79 00		brk
	009B7A 00		brk
	009B7B 00		brk
	009B7C 00		brk
	009B7D 00		brk
	009B7E 00		brk
	009B7F 00		brk
	009B80 00		brk
	009B81 00		brk
	009B82 00		brk
	009B83 00		brk
	009B84 00		brk
	009B85 00		brk
	009B86 00		brk
	009B87 00		brk
	009B88 00		brk
	009B89 00		brk
	009B8A 00		brk
	009B8B 00		brk
	009B8C 00		brk
	009B8D 00		brk
	009B8E 00		brk
	009B8F 00		brk
	009B90 00		brk
	009B91 00		brk
	009B92 00		brk
	009B93 00		brk
	009B94 00		brk
	009B95 00		brk
	009B96 00		brk
	009B97 00		brk
	009B98 00		brk
	009B99 00		brk
	009B9A 00		brk
	009B9B 00		brk
	009B9C 00		brk
	009B9D 00		brk
	009B9E 00		brk
	009B9F 00		brk
	009BA0 00		brk
	009BA1 00		brk
	009BA2 00		brk
	009BA3 00		brk
	009BA4 00		brk
	009BA5 00		brk
	009BA6 00		brk
	009BA7 00		brk
	009BA8 00		brk
	009BA9 00		brk
	009BAA 00		brk
	009BAB 00		brk
	009BAC 00		brk
	009BAD 00		brk
	009BAE 00		brk
	009BAF 00		brk
	009BB0 00		brk
	009BB1 00		brk
	009BB2 00		brk
	009BB3 00		brk
	009BB4 00		brk
	009BB5 00		brk
	009BB6 00		brk
	009BB7 00		brk
	009BB8 00		brk
	009BB9 00		brk
	009BBA 00		brk
	009BBB 00		brk
	009BBC 00		brk
	009BBD 00		brk
	009BBE 00		brk
	009BBF 00		brk
	009BC0 00		brk
	009BC1 00		brk
	009BC2 00		brk
	009BC3 00		brk
	009BC4 00		brk
	009BC5 00		brk
	009BC6 00		brk
	009BC7 00		brk
	009BC8 00		brk
	009BC9 00		brk
	009BCA 00		brk
	009BCB 00		brk
	009BCC 00		brk
	009BCD 00		brk
	009BCE 00		brk
	009BCF 00		brk
	009BD0 00		brk
	009BD1 00		brk
	009BD2 00		brk
	009BD3 00		brk
	009BD4 00		brk
	009BD5 00		brk
	009BD6 00		brk
	009BD7 00		brk
	009BD8 00		brk
	009BD9 00		brk
	009BDA 00		brk
	009BDB 00		brk
	009BDC 00		brk
	009BDD 00		brk
	009BDE 00		brk
	009BDF 00		brk
	009BE0 00		brk
	009BE1 00		brk
	009BE2 00		brk
	009BE3 00		brk
	009BE4 00		brk
	009BE5 00		brk
	009BE6 00		brk
	009BE7 00		brk
	009BE8 00		brk
	009BE9 00		brk
	009BEA 00		brk
	009BEB 00		brk
	009BEC 00		brk
	009BED 00		brk
	009BEE 00		brk
	009BEF 00		brk
	009BF0 00		brk
	009BF1 00		brk
	009BF2 00		brk
	009BF3 00		brk
	009BF4 00		brk
	009BF5 00		brk
	009BF6 00		brk
	009BF7 00		brk
	009BF8 00		brk
	009BF9 00		brk
	009BFA 00		brk
	009BFB 00		brk
	009BFC 00		brk
	009BFD 00		brk
	009BFE 00		brk
	009BFF 00		brk
	009C00 00		brk
	009C01 00		brk
	009C02 00		brk
	009C03 00		brk
	009C04 00		brk
	009C05 00		brk
	009C06 00		brk
	009C07 00		brk
	009C08 00		brk
	009C09 00		brk
	009C0A 00		brk
	009C0B 00		brk
	009C0C 00		brk
	009C0D 00		brk
	009C0E 00		brk
	009C0F 00		brk
	009C10 00		brk
	009C11 00		brk
	009C12 00		brk
	009C13 00		brk
	009C14 00		brk
	009C15 00		brk
	009C16 00		brk
	009C17 00		brk
	009C18 00		brk
	009C19 00		brk
	009C1A 00		brk
	009C1B 00		brk
	009C1C 00		brk
	009C1D 00		brk
	009C1E 00		brk
	009C1F 00		brk
	009C20 00		brk
	009C21 00		brk
	009C22 00		brk
	009C23 00		brk
	009C24 00		brk
	009C25 00		brk
	009C26 00		brk
	009C27 00		brk
	009C28 00		brk
	009C29 00		brk
	009C2A 00		brk
	009C2B 00		brk
	009C2C 00		brk
	009C2D 00		brk
	009C2E 00		brk
	009C2F 00		brk
	009C30 00		brk
	009C31 00		brk
	009C32 00		brk
	009C33 00		brk
	009C34 00		brk
	009C35 00		brk
	009C36 00		brk
	009C37 00		brk
	009C38 00		brk
	009C39 00		brk
	009C3A 00		brk
	009C3B 00		brk
	009C3C 00		brk
	009C3D 00		brk
	009C3E 00		brk
	009C3F 00		brk
	009C40 00		brk
	009C41 00		brk
	009C42 00		brk
	009C43 00		brk
	009C44 00		brk
	009C45 00		brk
	009C46 00		brk
	009C47 00		brk
	009C48 00		brk
	009C49 00		brk
	009C4A 00		brk
	009C4B 00		brk
	009C4C 00		brk
	009C4D 00		brk
	009C4E 00		brk
	009C4F 00		brk
	009C50 00		brk
	009C51 00		brk
	009C52 00		brk
	009C53 00		brk
	009C54 00		brk
	009C55 00		brk
	009C56 00		brk
	009C57 00		brk
	009C58 00		brk
	009C59 00		brk
	009C5A 00		brk
	009C5B 00		brk
	009C5C 00		brk
	009C5D 00		brk
	009C5E 00		brk
	009C5F 00		brk
	009C60 00		brk
	009C61 00		brk
	009C62 00		brk
	009C63 00		brk
	009C64 00		brk
	009C65 00		brk
	009C66 00		brk
	009C67 00		brk
	009C68 00		brk
	009C69 00		brk
	009C6A 00		brk
	009C6B 00		brk
	009C6C 00		brk
	009C6D 00		brk
	009C6E 00		brk
	009C6F 00		brk
	009C70 00		brk
	009C71 00		brk
	009C72 00		brk
	009C73 00		brk
	009C74 00		brk
	009C75 00		brk
	009C76 00		brk
	009C77 00		brk
	009C78 00		brk
	009C79 00		brk
	009C7A 00		brk
	009C7B 00		brk
	009C7C 00		brk
	009C7D 00		brk
	009C7E 00		brk
	009C7F 00		brk
	009C80 00		brk
	009C81 00		brk
	009C82 00		brk
	009C83 00		brk
	009C84 00		brk
	009C85 00		brk
	009C86 00		brk
	009C87 00		brk
	009C88 00		brk
	009C89 00		brk
	009C8A 00		brk
	009C8B 00		brk
	009C8C 00		brk
	009C8D 00		brk
	009C8E 00		brk
	009C8F 00		brk
	009C90 00		brk
	009C91 00		brk
	009C92 00		brk
	009C93 00		brk
	009C94 00		brk
	009C95 00		brk
	009C96 00		brk
	009C97 00		brk
	009C98 00		brk
	009C99 00		brk
	009C9A 00		brk
	009C9B 00		brk
	009C9C 00		brk
	009C9D 00		brk
	009C9E 00		brk
	009C9F 00		brk
	009CA0 00		brk
	009CA1 00		brk
	009CA2 00		brk
	009CA3 00		brk
	009CA4 00		brk
	009CA5 00		brk
	009CA6 00		brk
	009CA7 00		brk
	009CA8 00		brk
	009CA9 00		brk
	009CAA 00		brk
	009CAB 00		brk
	009CAC 00		brk
	009CAD 00		brk
	009CAE 00		brk
	009CAF 00		brk
	009CB0 00		brk
	009CB1 00		brk
	009CB2 00		brk
	009CB3 00		brk
	009CB4 00		brk
	009CB5 00		brk
	009CB6 00		brk
	009CB7 00		brk
	009CB8 00		brk
	009CB9 00		brk
	009CBA 00		brk
	009CBB 00		brk
	009CBC 00		brk
	009CBD 00		brk
	009CBE 00		brk
	009CBF 00		brk
	009CC0 00		brk
	009CC1 00		brk
	009CC2 00		brk
	009CC3 00		brk
	009CC4 00		brk
	009CC5 00		brk
	009CC6 00		brk
	009CC7 00		brk
	009CC8 00		brk
	009CC9 00		brk
	009CCA 00		brk
	009CCB 00		brk
	009CCC 00		brk
	009CCD 00		brk
	009CCE 00		brk
	009CCF 00		brk
	009CD0 00		brk
	009CD1 00		brk
	009CD2 00		brk
	009CD3 00		brk
	009CD4 00		brk
	009CD5 00		brk
	009CD6 00		brk
	009CD7 00		brk
	009CD8 00		brk
	009CD9 00		brk
	009CDA 00		brk
	009CDB 00		brk
	009CDC 00		brk
	009CDD 00		brk
	009CDE 00		brk
	009CDF 00		brk
	009CE0 00		brk
	009CE1 00		brk
	009CE2 00		brk
	009CE3 00		brk
	009CE4 00		brk
	009CE5 00		brk
	009CE6 00		brk
	009CE7 00		brk
	009CE8 00		brk
	009CE9 00		brk
	009CEA 00		brk
	009CEB 00		brk
	009CEC 00		brk
	009CED 00		brk
	009CEE 00		brk
	009CEF 00		brk
	009CF0 00		brk
	009CF1 00		brk
	009CF2 00		brk
	009CF3 00		brk
	009CF4 00		brk
	009CF5 00		brk
	009CF6 00		brk
	009CF7 00		brk
	009CF8 00		brk
	009CF9 00		brk
	009CFA 00		brk
	009CFB 00		brk
	009CFC 00		brk
	009CFD 00		brk
	009CFE 00		brk
	009CFF 00		brk
	009D00 00		brk
	009D01 00		brk
	009D02 00		brk
	009D03 00		brk
	009D04 00		brk
	009D05 00		brk
	009D06 00		brk
	009D07 00		brk
	009D08 00		brk
	009D09 00		brk
	009D0A 00		brk
	009D0B 00		brk
	009D0C 00		brk
	009D0D 00		brk
	009D0E 00		brk
	009D0F 00		brk
	009D10 00		brk
	009D11 00		brk
	009D12 00		brk
	009D13 00		brk
	009D14 00		brk
	009D15 00		brk
	009D16 00		brk
	009D17 00		brk
	009D18 00		brk
	009D19 00		brk
	009D1A 00		brk
	009D1B 00		brk
	009D1C 00		brk
	009D1D 00		brk
	009D1E 00		brk
	009D1F 00		brk
	009D20 00		brk
	009D21 00		brk
	009D22 00		brk
	009D23 00		brk
	009D24 00		brk
	009D25 00		brk
	009D26 00		brk
	009D27 00		brk
	009D28 00		brk
	009D29 00		brk
	009D2A 00		brk
	009D2B 00		brk
	009D2C 00		brk
	009D2D 00		brk
	009D2E 00		brk
	009D2F 00		brk
	009D30 00		brk
	009D31 00		brk
	009D32 00		brk
	009D33 00		brk
	009D34 00		brk
	009D35 00		brk
	009D36 00		brk
	009D37 00		brk
	009D38 00		brk
	009D39 00		brk
	009D3A 00		brk
	009D3B 00		brk
	009D3C 00		brk
	009D3D 00		brk
	009D3E 00		brk
	009D3F 00		brk
	009D40 00		brk
	009D41 00		brk
	009D42 00		brk
	009D43 00		brk
	009D44 00		brk
	009D45 00		brk
	009D46 00		brk
	009D47 00		brk
	009D48 00		brk
	009D49 00		brk
	009D4A 00		brk
	009D4B 00		brk
	009D4C 00		brk
	009D4D 00		brk
	009D4E 00		brk
	009D4F 00		brk
	009D50 00		brk
	009D51 00		brk
	009D52 00		brk
	009D53 00		brk
	009D54 00		brk
	009D55 00		brk
	009D56 00		brk
	009D57 00		brk
	009D58 00		brk
	009D59 00		brk
	009D5A 00		brk
	009D5B 00		brk
	009D5C 00		brk
	009D5D 00		brk
	009D5E 00		brk
	009D5F 00		brk
	009D60 00		brk
	009D61 00		brk
	009D62 00		brk
	009D63 00		brk
	009D64 00		brk
	009D65 00		brk
	009D66 00		brk
	009D67 00		brk
	009D68 00		brk
	009D69 00		brk
	009D6A 00		brk
	009D6B 00		brk
	009D6C 00		brk
	009D6D 00		brk
	009D6E 00		brk
	009D6F 00		brk
	009D70 00		brk
	009D71 00		brk
	009D72 00		brk
	009D73 00		brk
	009D74 00		brk
	009D75 00		brk
	009D76 00		brk
	009D77 00		brk
	009D78 00		brk
	009D79 00		brk
	009D7A 00		brk
	009D7B 00		brk
	009D7C 00		brk
	009D7D 00		brk
	009D7E 00		brk
	009D7F 00		brk
	009D80 00		brk
	009D81 00		brk
	009D82 00		brk
	009D83 00		brk
	009D84 00		brk
	009D85 00		brk
	009D86 00		brk
	009D87 00		brk
	009D88 00		brk
	009D89 00		brk
	009D8A 00		brk
	009D8B 00		brk
	009D8C 00		brk
	009D8D 00		brk
	009D8E 00		brk
	009D8F 00		brk
	009D90 00		brk
	009D91 00		brk
	009D92 00		brk
	009D93 00		brk
	009D94 00		brk
	009D95 00		brk
	009D96 00		brk
	009D97 00		brk
	009D98 00		brk
	009D99 00		brk
	009D9A 00		brk
	009D9B 00		brk
	009D9C 00		brk
	009D9D 00		brk
	009D9E 00		brk
	009D9F 00		brk
	009DA0 00		brk
	009DA1 00		brk
	009DA2 00		brk
	009DA3 00		brk
	009DA4 00		brk
	009DA5 00		brk
	009DA6 00		brk
	009DA7 00		brk
	009DA8 00		brk
	009DA9 00		brk
	009DAA 00		brk
	009DAB 00		brk
	009DAC 00		brk
	009DAD 00		brk
	009DAE 00		brk
	009DAF 00		brk
	009DB0 00		brk
	009DB1 00		brk
	009DB2 00		brk
	009DB3 00		brk
	009DB4 00		brk
	009DB5 00		brk
	009DB6 00		brk
	009DB7 00		brk
	009DB8 00		brk
	009DB9 00		brk
	009DBA 00		brk
	009DBB 00		brk
	009DBC 00		brk
	009DBD 00		brk
	009DBE 00		brk
	009DBF 00		brk
	009DC0 00		brk
	009DC1 00		brk
	009DC2 00		brk
	009DC3 00		brk
	009DC4 00		brk
	009DC5 00		brk
	009DC6 00		brk
	009DC7 00		brk
	009DC8 00		brk
	009DC9 00		brk
	009DCA 00		brk
	009DCB 00		brk
	009DCC 00		brk
	009DCD 00		brk
	009DCE 00		brk
	009DCF 00		brk
	009DD0 00		brk
	009DD1 00		brk
	009DD2 00		brk
	009DD3 00		brk
	009DD4 00		brk
	009DD5 00		brk
	009DD6 00		brk
	009DD7 00		brk
	009DD8 00		brk
	009DD9 00		brk
	009DDA 00		brk
	009DDB 00		brk
	009DDC 00		brk
	009DDD 00		brk
	009DDE 00		brk
	009DDF 00		brk
	009DE0 00		brk
	009DE1 00		brk
	009DE2 00		brk
	009DE3 00		brk
	009DE4 00		brk
	009DE5 00		brk
	009DE6 00		brk
	009DE7 00		brk
	009DE8 00		brk
	009DE9 00		brk
	009DEA 00		brk
	009DEB 00		brk
	009DEC 00		brk
	009DED 00		brk
	009DEE 00		brk
	009DEF 00		brk
	009DF0 00		brk
	009DF1 00		brk
	009DF2 00		brk
	009DF3 00		brk
	009DF4 00		brk
	009DF5 00		brk
	009DF6 00		brk
	009DF7 00		brk
	009DF8 00		brk
	009DF9 00		brk
	009DFA 00		brk
	009DFB 00		brk
	009DFC 00		brk
	009DFD 00		brk
	009DFE 00		brk
	009DFF 00		brk
	009E00 00		brk
	009E01 00		brk
	009E02 00		brk
	009E03 00		brk
	009E04 00		brk
	009E05 00		brk
	009E06 00		brk
	009E07 00		brk
	009E08 00		brk
	009E09 00		brk
	009E0A 00		brk
	009E0B 00		brk
	009E0C 00		brk
	009E0D 00		brk
	009E0E 00		brk
	009E0F 00		brk
	009E10 00		brk
	009E11 00		brk
	009E12 00		brk
	009E13 00		brk
	009E14 00		brk
	009E15 00		brk
	009E16 00		brk
	009E17 00		brk
	009E18 00		brk
	009E19 00		brk
	009E1A 00		brk
	009E1B 00		brk
	009E1C 00		brk
	009E1D 00		brk
	009E1E 00		brk
	009E1F 00		brk
	009E20 00		brk
	009E21 00		brk
	009E22 00		brk
	009E23 00		brk
	009E24 00		brk
	009E25 00		brk
	009E26 00		brk
	009E27 00		brk
	009E28 00		brk
	009E29 00		brk
	009E2A 00		brk
	009E2B 00		brk
	009E2C 00		brk
	009E2D 00		brk
	009E2E 00		brk
	009E2F 00		brk
	009E30 00		brk
	009E31 00		brk
	009E32 00		brk
	009E33 00		brk
	009E34 00		brk
	009E35 00		brk
	009E36 00		brk
	009E37 00		brk
	009E38 00		brk
	009E39 00		brk
	009E3A 00		brk
	009E3B 00		brk
	009E3C 00		brk
	009E3D 00		brk
	009E3E 00		brk
	009E3F 00		brk
	009E40 00		brk
	009E41 00		brk
	009E42 00		brk
	009E43 00		brk
	009E44 00		brk
	009E45 00		brk
	009E46 00		brk
	009E47 00		brk
	009E48 00		brk
	009E49 00		brk
	009E4A 00		brk
	009E4B 00		brk
	009E4C 00		brk
	009E4D 00		brk
	009E4E 00		brk
	009E4F 00		brk
	009E50 00		brk
	009E51 00		brk
	009E52 00		brk
	009E53 00		brk
	009E54 00		brk
	009E55 00		brk
	009E56 00		brk
	009E57 00		brk
	009E58 00		brk
	009E59 00		brk
	009E5A 00		brk
	009E5B 00		brk
	009E5C 00		brk
	009E5D 00		brk
	009E5E 00		brk
	009E5F 00		brk
	009E60 00		brk
	009E61 00		brk
	009E62 00		brk
	009E63 00		brk
	009E64 00		brk
	009E65 00		brk
	009E66 00		brk
	009E67 00		brk
	009E68 00		brk
	009E69 00		brk
	009E6A 00		brk
	009E6B 00		brk
	009E6C 00		brk
	009E6D 00		brk
	009E6E 00		brk
	009E6F 00		brk
	009E70 00		brk
	009E71 00		brk
	009E72 00		brk
	009E73 00		brk
	009E74 00		brk
	009E75 00		brk
	009E76 00		brk
	009E77 00		brk
	009E78 00		brk
	009E79 00		brk
	009E7A 00		brk
	009E7B 00		brk
	009E7C 00		brk
	009E7D 00		brk
	009E7E 00		brk
	009E7F 00		brk
	009E80 00		brk
	009E81 00		brk
	009E82 00		brk
	009E83 00		brk
	009E84 00		brk
	009E85 00		brk
	009E86 00		brk
	009E87 00		brk
	009E88 00		brk
	009E89 00		brk
	009E8A 00		brk
	009E8B 00		brk
	009E8C 00		brk
	009E8D 00		brk
	009E8E 00		brk
	009E8F 00		brk
	009E90 00		brk
	009E91 00		brk
	009E92 00		brk
	009E93 00		brk
	009E94 00		brk
	009E95 00		brk
	009E96 00		brk
	009E97 00		brk
	009E98 00		brk
	009E99 00		brk
	009E9A 00		brk
	009E9B 00		brk
	009E9C 00		brk
	009E9D 00		brk
	009E9E 00		brk
	009E9F 00		brk
	009EA0 00		brk
	009EA1 00		brk
	009EA2 00		brk
	009EA3 00		brk
	009EA4 00		brk
	009EA5 00		brk
	009EA6 00		brk
	009EA7 00		brk
	009EA8 00		brk
	009EA9 00		brk
	009EAA 00		brk
	009EAB 00		brk
	009EAC 00		brk
	009EAD 00		brk
	009EAE 00		brk
	009EAF 00		brk
	009EB0 00		brk
	009EB1 00		brk
	009EB2 00		brk
	009EB3 00		brk
	009EB4 00		brk
	009EB5 00		brk
	009EB6 00		brk
	009EB7 00		brk
	009EB8 00		brk
	009EB9 00		brk
	009EBA 00		brk
	009EBB 00		brk
	009EBC 00		brk
	009EBD 00		brk
	009EBE 00		brk
	009EBF 00		brk
	009EC0 00		brk
	009EC1 00		brk
	009EC2 00		brk
	009EC3 00		brk
	009EC4 00		brk
	009EC5 00		brk
	009EC6 00		brk
	009EC7 00		brk
	009EC8 00		brk
	009EC9 00		brk
	009ECA 00		brk
	009ECB 00		brk
	009ECC 00		brk
	009ECD 00		brk
	009ECE 00		brk
	009ECF 00		brk
	009ED0 00		brk
	009ED1 00		brk
	009ED2 00		brk
	009ED3 00		brk
	009ED4 00		brk
	009ED5 00		brk
	009ED6 00		brk
	009ED7 00		brk
	009ED8 00		brk
	009ED9 00		brk
	009EDA 00		brk
	009EDB 00		brk
	009EDC 00		brk
	009EDD 00		brk
	009EDE 00		brk
	009EDF 00		brk
	009EE0 00		brk
	009EE1 00		brk
	009EE2 00		brk
	009EE3 00		brk
	009EE4 00		brk
	009EE5 00		brk
	009EE6 00		brk
	009EE7 00		brk
	009EE8 00		brk
	009EE9 00		brk
	009EEA 00		brk
	009EEB 00		brk
	009EEC 00		brk
	009EED 00		brk
	009EEE 00		brk
	009EEF 00		brk
	009EF0 00		brk
	009EF1 00		brk
	009EF2 00		brk
	009EF3 00		brk
	009EF4 00		brk
	009EF5 00		brk
	009EF6 00		brk
	009EF7 00		brk
	009EF8 00		brk
	009EF9 00		brk
	009EFA 00		brk
	009EFB 00		brk
	009EFC 00		brk
	009EFD 00		brk
	009EFE 00		brk
	009EFF 00		brk
	009F00 00		brk
	009F01 00		brk
	009F02 00		brk
	009F03 00		brk
	009F04 00		brk
	009F05 00		brk
	009F06 00		brk
	009F07 00		brk
	009F08 00		brk
	009F09 00		brk
	009F0A 00		brk
	009F0B 00		brk
	009F0C 00		brk
	009F0D 00		brk
	009F0E 00		brk
	009F0F 00		brk
	009F10 00		brk
	009F11 00		brk
	009F12 00		brk
	009F13 00		brk
	009F14 00		brk
	009F15 00		brk
	009F16 00		brk
	009F17 00		brk
	009F18 00		brk
	009F19 00		brk
	009F1A 00		brk
	009F1B 00		brk
	009F1C 00		brk
	009F1D 00		brk
	009F1E 00		brk
	009F1F 00		brk
	009F20 00		brk
	009F21 00		brk
	009F22 00		brk
	009F23 00		brk
	009F24 00		brk
	009F25 00		brk
	009F26 00		brk
	009F27 00		brk
	009F28 00		brk
	009F29 00		brk
	009F2A 00		brk
	009F2B 00		brk
	009F2C 00		brk
	009F2D 00		brk
	009F2E 00		brk
	009F2F 00		brk
	009F30 00		brk
	009F31 00		brk
	009F32 00		brk
	009F33 00		brk
	009F34 00		brk
	009F35 00		brk
	009F36 00		brk
	009F37 00		brk
	009F38 00		brk
	009F39 00		brk
	009F3A 00		brk
	009F3B 00		brk
	009F3C 00		brk
	009F3D 00		brk
	009F3E 00		brk
	009F3F 00		brk
	009F40 00		brk
	009F41 00		brk
	009F42 00		brk
	009F43 00		brk
	009F44 00		brk
	009F45 00		brk
	009F46 00		brk
	009F47 00		brk
	009F48 00		brk
	009F49 00		brk
	009F4A 00		brk
	009F4B 00		brk
	009F4C 00		brk
	009F4D 00		brk
	009F4E 00		brk
	009F4F 00		brk
	009F50 00		brk
	009F51 00		brk
	009F52 00		brk
	009F53 00		brk
	009F54 00		brk
	009F55 00		brk
	009F56 00		brk
	009F57 00		brk
	009F58 00		brk
	009F59 00		brk
	009F5A 00		brk
	009F5B 00		brk
	009F5C 00		brk
	009F5D 00		brk
	009F5E 00		brk
	009F5F 00		brk
	009F60 00		brk
	009F61 00		brk
	009F62 00		brk
	009F63 00		brk
	009F64 00		brk
	009F65 00		brk
	009F66 00		brk
	009F67 00		brk
	009F68 00		brk
	009F69 00		brk
	009F6A 00		brk
	009F6B 00		brk
	009F6C 00		brk
	009F6D 00		brk
	009F6E 00		brk
	009F6F 00		brk
	009F70 00		brk
	009F71 00		brk
	009F72 00		brk
	009F73 00		brk
	009F74 00		brk
	009F75 00		brk
	009F76 00		brk
	009F77 00		brk
	009F78 00		brk
	009F79 00		brk
	009F7A 00		brk
	009F7B 00		brk
	009F7C 00		brk
	009F7D 00		brk
	009F7E 00		brk
	009F7F 00		brk
	009F80 00		brk
	009F81 00		brk
	009F82 00		brk
	009F83 00		brk
	009F84 00		brk
	009F85 00		brk
	009F86 00		brk
	009F87 00		brk
	009F88 00		brk
	009F89 00		brk
	009F8A 00		brk
	009F8B 00		brk
	009F8C 00		brk
	009F8D 00		brk
	009F8E 00		brk
	009F8F 00		brk
	009F90 00		brk
	009F91 00		brk
	009F92 00		brk
	009F93 00		brk
	009F94 00		brk
	009F95 00		brk
	009F96 00		brk
	009F97 00		brk
	009F98 00		brk
	009F99 00		brk
	009F9A 00		brk
	009F9B 00		brk
	009F9C 00		brk
	009F9D 00		brk
	009F9E 00		brk
	009F9F 00		brk
	009FA0 00		brk
	009FA1 00		brk
	009FA2 00		brk
	009FA3 00		brk
	009FA4 00		brk
	009FA5 00		brk
	009FA6 00		brk
	009FA7 00		brk
	009FA8 00		brk
	009FA9 00		brk
	009FAA 00		brk
	009FAB 00		brk
	009FAC 00		brk
	009FAD 00		brk
	009FAE 00		brk
	009FAF 00		brk
	009FB0 00		brk
	009FB1 00		brk
	009FB2 00		brk
	009FB3 00		brk
	009FB4 00		brk
	009FB5 00		brk
	009FB6 00		brk
	009FB7 00		brk
	009FB8 00		brk
	009FB9 00		brk
	009FBA 00		brk
	009FBB 00		brk
	009FBC 00		brk
	009FBD 00		brk
	009FBE 00		brk
	009FBF 00		brk
	009FC0 00		brk
	009FC1 00		brk
	009FC2 00		brk
	009FC3 00		brk
	009FC4 00		brk
	009FC5 00		brk
	009FC6 00		brk
	009FC7 00		brk
	009FC8 00		brk
	009FC9 00		brk
	009FCA 00		brk
	009FCB 00		brk
	009FCC 00		brk
	009FCD 00		brk
	009FCE 00		brk
	009FCF 00		brk
	009FD0 00		brk
	009FD1 00		brk
	009FD2 00		brk
	009FD3 00		brk
	009FD4 00		brk
	009FD5 00		brk
	009FD6 00		brk
	009FD7 00		brk
	009FD8 00		brk
	009FD9 00		brk
	009FDA 00		brk
	009FDB 00		brk
	009FDC 00		brk
	009FDD 00		brk
	009FDE 00		brk
	009FDF 00		brk
	009FE0 00		brk
	009FE1 00		brk
	009FE2 00		brk
	009FE3 00		brk
	009FE4 00		brk
	009FE5 00		brk
	009FE6 00		brk
	009FE7 00		brk
	009FE8 00		brk
	009FE9 00		brk
	009FEA 00		brk
	009FEB 00		brk
	009FEC 00		brk
	009FED 00		brk
	009FEE 00		brk
	009FEF 00		brk
	009FF0 00		brk
	009FF1 00		brk
	009FF2 00		brk
	009FF3 00		brk
	009FF4 00		brk
	009FF5 00		brk
	009FF6 00		brk
	009FF7 00		brk
	009FF8 00		brk
	009FF9 00		brk
	009FFA 00		brk
	009FFB 00		brk
	009FFC 00		brk
	009FFD 00		brk
	009FFE 00		brk
	009FFF 00		brk
	00A000 00		brk
	00A001 00		brk
	00A002 00		brk
	00A003 00		brk
	00A004 00		brk
	00A005 00		brk
	00A006 00		brk
	00A007 00		brk
	00A008 00		brk
	00A009 00		brk
	00A00A 00		brk
	00A00B 00		brk
	00A00C 00		brk
	00A00D 00		brk
	00A00E 00		brk
	00A00F 00		brk
	00A010 00		brk
	00A011 00		brk
	00A012 00		brk
	00A013 00		brk
	00A014 00		brk
	00A015 00		brk
	00A016 00		brk
	00A017 00		brk
	00A018 00		brk
	00A019 00		brk
	00A01A 00		brk
	00A01B 00		brk
	00A01C 00		brk
	00A01D 00		brk
	00A01E 00		brk
	00A01F 00		brk
	00A020 00		brk
	00A021 00		brk
	00A022 00		brk
	00A023 00		brk
	00A024 00		brk
	00A025 00		brk
	00A026 00		brk
	00A027 00		brk
	00A028 00		brk
	00A029 00		brk
	00A02A 00		brk
	00A02B 00		brk
	00A02C 00		brk
	00A02D 00		brk
	00A02E 00		brk
	00A02F 00		brk
	00A030 00		brk
	00A031 00		brk
	00A032 00		brk
	00A033 00		brk
	00A034 00		brk
	00A035 00		brk
	00A036 00		brk
	00A037 00		brk
	00A038 00		brk
	00A039 00		brk
	00A03A 00		brk
	00A03B 00		brk
	00A03C 00		brk
	00A03D 00		brk
	00A03E 00		brk
	00A03F 00		brk
	00A040 00		brk
	00A041 00		brk
	00A042 00		brk
	00A043 00		brk
	00A044 00		brk
	00A045 00		brk
	00A046 00		brk
	00A047 00		brk
	00A048 00		brk
	00A049 00		brk
	00A04A 00		brk
	00A04B 00		brk
	00A04C 00		brk
	00A04D 00		brk
	00A04E 00		brk
	00A04F 00		brk
	00A050 00		brk
	00A051 00		brk
	00A052 00		brk
	00A053 00		brk
	00A054 00		brk
	00A055 00		brk
	00A056 00		brk
	00A057 00		brk
	00A058 00		brk
	00A059 00		brk
	00A05A 00		brk
	00A05B 00		brk
	00A05C 00		brk
	00A05D 00		brk
	00A05E 00		brk
	00A05F 00		brk
	00A060 00		brk
	00A061 00		brk
	00A062 00		brk
	00A063 00		brk
	00A064 00		brk
	00A065 00		brk
	00A066 00		brk
	00A067 00		brk
	00A068 00		brk
	00A069 00		brk
	00A06A 00		brk
	00A06B 00		brk
	00A06C 00		brk
	00A06D 00		brk
	00A06E 00		brk
	00A06F 00		brk
	00A070 00		brk
	00A071 00		brk
	00A072 00		brk
	00A073 00		brk
	00A074 00		brk
	00A075 00		brk
	00A076 00		brk
	00A077 00		brk
	00A078 00		brk
	00A079 00		brk
	00A07A 00		brk
	00A07B 00		brk
	00A07C 00		brk
	00A07D 00		brk
	00A07E 00		brk
	00A07F 00		brk
	00A080 00		brk
	00A081 00		brk
	00A082 00		brk
	00A083 00		brk
	00A084 00		brk
	00A085 00		brk
	00A086 00		brk
	00A087 00		brk
	00A088 00		brk
	00A089 00		brk
	00A08A 00		brk
	00A08B 00		brk
	00A08C 00		brk
	00A08D 00		brk
	00A08E 00		brk
	00A08F 00		brk
	00A090 00		brk
	00A091 00		brk
	00A092 00		brk
	00A093 00		brk
	00A094 00		brk
	00A095 00		brk
	00A096 00		brk
	00A097 00		brk
	00A098 00		brk
	00A099 00		brk
	00A09A 00		brk
	00A09B 00		brk
	00A09C 00		brk
	00A09D 00		brk
	00A09E 00		brk
	00A09F 00		brk
	00A0A0 00		brk
	00A0A1 00		brk
	00A0A2 00		brk
	00A0A3 00		brk
	00A0A4 00		brk
	00A0A5 00		brk
	00A0A6 00		brk
	00A0A7 00		brk
	00A0A8 00		brk
	00A0A9 00		brk
	00A0AA 00		brk
	00A0AB 00		brk
	00A0AC 00		brk
	00A0AD 00		brk
	00A0AE 00		brk
	00A0AF 00		brk
	00A0B0 00		brk
	00A0B1 00		brk
	00A0B2 00		brk
	00A0B3 00		brk
	00A0B4 00		brk
	00A0B5 00		brk
	00A0B6 00		brk
	00A0B7 00		brk
	00A0B8 00		brk
	00A0B9 00		brk
	00A0BA 00		brk
	00A0BB 00		brk
	00A0BC 00		brk
	00A0BD 00		brk
	00A0BE 00		brk
	00A0BF 00		brk
	00A0C0 00		brk
	00A0C1 00		brk
	00A0C2 00		brk
	00A0C3 00		brk
	00A0C4 00		brk
	00A0C5 00		brk
	00A0C6 00		brk
	00A0C7 00		brk
	00A0C8 00		brk
	00A0C9 00		brk
	00A0CA 00		brk
	00A0CB 00		brk
	00A0CC 00		brk
	00A0CD 00		brk
	00A0CE 00		brk
	00A0CF 00		brk
	00A0D0 00		brk
	00A0D1 00		brk
	00A0D2 00		brk
	00A0D3 00		brk
	00A0D4 00		brk
	00A0D5 00		brk
	00A0D6 00		brk
	00A0D7 00		brk
	00A0D8 00		brk
	00A0D9 00		brk
	00A0DA 00		brk
	00A0DB 00		brk
	00A0DC 00		brk
	00A0DD 00		brk
	00A0DE 00		brk
	00A0DF 00		brk
	00A0E0 00		brk
	00A0E1 00		brk
	00A0E2 00		brk
	00A0E3 00		brk
	00A0E4 00		brk
	00A0E5 00		brk
	00A0E6 00		brk
	00A0E7 00		brk
	00A0E8 00		brk
	00A0E9 00		brk
	00A0EA 00		brk
	00A0EB 00		brk
	00A0EC 00		brk
	00A0ED 00		brk
	00A0EE 00		brk
	00A0EF 00		brk
	00A0F0 00		brk
	00A0F1 00		brk
	00A0F2 00		brk
	00A0F3 00		brk
	00A0F4 00		brk
	00A0F5 00		brk
	00A0F6 00		brk
	00A0F7 00		brk
	00A0F8 00		brk
	00A0F9 00		brk
	00A0FA 00		brk
	00A0FB 00		brk
	00A0FC 00		brk
	00A0FD 00		brk
	00A0FE 00		brk
	00A0FF 00		brk
	00A100 00		brk
	00A101 00		brk
	00A102 00		brk
	00A103 00		brk
	00A104 00		brk
	00A105 00		brk
	00A106 00		brk
	00A107 00		brk
	00A108 00		brk
	00A109 00		brk
	00A10A 00		brk
	00A10B 00		brk
	00A10C 00		brk
	00A10D 00		brk
	00A10E 00		brk
	00A10F 00		brk
	00A110 00		brk
	00A111 00		brk
	00A112 00		brk
	00A113 00		brk
	00A114 00		brk
	00A115 00		brk
	00A116 00		brk
	00A117 00		brk
	00A118 00		brk
	00A119 00		brk
	00A11A 00		brk
	00A11B 00		brk
	00A11C 00		brk
	00A11D 00		brk
	00A11E 00		brk
	00A11F 00		brk
	00A120 00		brk
	00A121 00		brk
	00A122 00		brk
	00A123 00		brk
	00A124 00		brk
	00A125 00		brk
	00A126 00		brk
	00A127 00		brk
	00A128 00		brk
	00A129 00		brk
	00A12A 00		brk
	00A12B 00		brk
	00A12C 00		brk
	00A12D 00		brk
	00A12E 00		brk
	00A12F 00		brk
	00A130 00		brk
	00A131 00		brk
	00A132 00		brk
	00A133 00		brk
	00A134 00		brk
	00A135 00		brk
	00A136 00		brk
	00A137 00		brk
	00A138 00		brk
	00A139 00		brk
	00A13A 00		brk
	00A13B 00		brk
	00A13C 00		brk
	00A13D 00		brk
	00A13E 00		brk
	00A13F 00		brk
	00A140 00		brk
	00A141 00		brk
	00A142 00		brk
	00A143 00		brk
	00A144 00		brk
	00A145 00		brk
	00A146 00		brk
	00A147 00		brk
	00A148 00		brk
	00A149 00		brk
	00A14A 00		brk
	00A14B 00		brk
	00A14C 00		brk
	00A14D 00		brk
	00A14E 00		brk
	00A14F 00		brk
	00A150 00		brk
	00A151 00		brk
	00A152 00		brk
	00A153 00		brk
	00A154 00		brk
	00A155 00		brk
	00A156 00		brk
	00A157 00		brk
	00A158 00		brk
	00A159 00		brk
	00A15A 00		brk
	00A15B 00		brk
	00A15C 00		brk
	00A15D 00		brk
	00A15E 00		brk
	00A15F 00		brk
	00A160 00		brk
	00A161 00		brk
	00A162 00		brk
	00A163 00		brk
	00A164 00		brk
	00A165 00		brk
	00A166 00		brk
	00A167 00		brk
	00A168 00		brk
	00A169 00		brk
	00A16A 00		brk
	00A16B 00		brk
	00A16C 00		brk
	00A16D 00		brk
	00A16E 00		brk
	00A16F 00		brk
	00A170 00		brk
	00A171 00		brk
	00A172 00		brk
	00A173 00		brk
	00A174 00		brk
	00A175 00		brk
	00A176 00		brk
	00A177 00		brk
	00A178 00		brk
	00A179 00		brk
	00A17A 00		brk
	00A17B 00		brk
	00A17C 00		brk
	00A17D 00		brk
	00A17E 00		brk
	00A17F 00		brk
	00A180 00		brk
	00A181 00		brk
	00A182 00		brk
	00A183 00		brk
	00A184 00		brk
	00A185 00		brk
	00A186 00		brk
	00A187 00		brk
	00A188 00		brk
	00A189 00		brk
	00A18A 00		brk
	00A18B 00		brk
	00A18C 00		brk
	00A18D 00		brk
	00A18E 00		brk
	00A18F 00		brk
	00A190 00		brk
	00A191 00		brk
	00A192 00		brk
	00A193 00		brk
	00A194 00		brk
	00A195 00		brk
	00A196 00		brk
	00A197 00		brk
	00A198 00		brk
	00A199 00		brk
	00A19A 00		brk
	00A19B 00		brk
	00A19C 00		brk
	00A19D 00		brk
	00A19E 00		brk
	00A19F 00		brk
	00A1A0 00		brk
	00A1A1 00		brk
	00A1A2 00		brk
	00A1A3 00		brk
	00A1A4 00		brk
	00A1A5 00		brk
	00A1A6 00		brk
	00A1A7 00		brk
	00A1A8 00		brk
	00A1A9 00		brk
	00A1AA 00		brk
	00A1AB 00		brk
	00A1AC 00		brk
	00A1AD 00		brk
	00A1AE 00		brk
	00A1AF 00		brk
	00A1B0 00		brk
	00A1B1 00		brk
	00A1B2 00		brk
	00A1B3 00		brk
	00A1B4 00		brk
	00A1B5 00		brk
	00A1B6 00		brk
	00A1B7 00		brk
	00A1B8 00		brk
	00A1B9 00		brk
	00A1BA 00		brk
	00A1BB 00		brk
	00A1BC 00		brk
	00A1BD 00		brk
	00A1BE 00		brk
	00A1BF 00		brk
	00A1C0 00		brk
	00A1C1 00		brk
	00A1C2 00		brk
	00A1C3 00		brk
	00A1C4 00		brk
	00A1C5 00		brk
	00A1C6 00		brk
	00A1C7 00		brk
	00A1C8 00		brk
	00A1C9 00		brk
	00A1CA 00		brk
	00A1CB 00		brk
	00A1CC 00		brk
	00A1CD 00		brk
	00A1CE 00		brk
	00A1CF 00		brk
	00A1D0 00		brk
	00A1D1 00		brk
	00A1D2 00		brk
	00A1D3 00		brk
	00A1D4 00		brk
	00A1D5 00		brk
	00A1D6 00		brk
	00A1D7 00		brk
	00A1D8 00		brk
	00A1D9 00		brk
	00A1DA 00		brk
	00A1DB 00		brk
	00A1DC 00		brk
	00A1DD 00		brk
	00A1DE 00		brk
	00A1DF 00		brk
	00A1E0 00		brk
	00A1E1 00		brk
	00A1E2 00		brk
	00A1E3 00		brk
	00A1E4 00		brk
	00A1E5 00		brk
	00A1E6 00		brk
	00A1E7 00		brk
	00A1E8 00		brk
	00A1E9 00		brk
	00A1EA 00		brk
	00A1EB 00		brk
	00A1EC 00		brk
	00A1ED 00		brk
	00A1EE 00		brk
	00A1EF 00		brk
	00A1F0 00		brk
	00A1F1 00		brk
	00A1F2 00		brk
	00A1F3 00		brk
	00A1F4 00		brk
	00A1F5 00		brk
	00A1F6 00		brk
	00A1F7 00		brk
	00A1F8 00		brk
	00A1F9 00		brk
	00A1FA 00		brk
	00A1FB 00		brk
	00A1FC 00		brk
	00A1FD 00		brk
	00A1FE 00		brk
	00A1FF 00		brk
	00A200 00		brk
	00A201 00		brk
	00A202 00		brk
	00A203 00		brk
	00A204 00		brk
	00A205 00		brk
	00A206 00		brk
	00A207 00		brk
	00A208 00		brk
	00A209 00		brk
	00A20A 00		brk
	00A20B 00		brk
	00A20C 00		brk
	00A20D 00		brk
	00A20E 00		brk
	00A20F 00		brk
	00A210 00		brk
	00A211 00		brk
	00A212 00		brk
	00A213 00		brk
	00A214 00		brk
	00A215 00		brk
	00A216 00		brk
	00A217 00		brk
	00A218 00		brk
	00A219 00		brk
	00A21A 00		brk
	00A21B 00		brk
	00A21C 00		brk
	00A21D 00		brk
	00A21E 00		brk
	00A21F 00		brk
	00A220 00		brk
	00A221 00		brk
	00A222 00		brk
	00A223 00		brk
	00A224 00		brk
	00A225 00		brk
	00A226 00		brk
	00A227 00		brk
	00A228 00		brk
	00A229 00		brk
	00A22A 00		brk
	00A22B 00		brk
	00A22C 00		brk
	00A22D 00		brk
	00A22E 00		brk
	00A22F 00		brk
	00A230 00		brk
	00A231 00		brk
	00A232 00		brk
	00A233 00		brk
	00A234 00		brk
	00A235 00		brk
	00A236 00		brk
	00A237 00		brk
	00A238 00		brk
	00A239 00		brk
	00A23A 00		brk
	00A23B 00		brk
	00A23C 00		brk
	00A23D 00		brk
	00A23E 00		brk
	00A23F 00		brk
	00A240 00		brk
	00A241 00		brk
	00A242 00		brk
	00A243 00		brk
	00A244 00		brk
	00A245 00		brk
	00A246 00		brk
	00A247 00		brk
	00A248 00		brk
	00A249 00		brk
	00A24A 00		brk
	00A24B 00		brk
	00A24C 00		brk
	00A24D 00		brk
	00A24E 00		brk
	00A24F 00		brk
	00A250 00		brk
	00A251 00		brk
	00A252 00		brk
	00A253 00		brk
	00A254 00		brk
	00A255 00		brk
	00A256 00		brk
	00A257 00		brk
	00A258 00		brk
	00A259 00		brk
	00A25A 00		brk
	00A25B 00		brk
	00A25C 00		brk
	00A25D 00		brk
	00A25E 00		brk
	00A25F 00		brk
	00A260 00		brk
	00A261 00		brk
	00A262 00		brk
	00A263 00		brk
	00A264 00		brk
	00A265 00		brk
	00A266 00		brk
	00A267 00		brk
	00A268 00		brk
	00A269 00		brk
	00A26A 00		brk
	00A26B 00		brk
	00A26C 00		brk
	00A26D 00		brk
	00A26E 00		brk
	00A26F 00		brk
	00A270 00		brk
	00A271 00		brk
	00A272 00		brk
	00A273 00		brk
	00A274 00		brk
	00A275 00		brk
	00A276 00		brk
	00A277 00		brk
	00A278 00		brk
	00A279 00		brk
	00A27A 00		brk
	00A27B 00		brk
	00A27C 00		brk
	00A27D 00		brk
	00A27E 00		brk
	00A27F 00		brk
	00A280 00		brk
	00A281 00		brk
	00A282 00		brk
	00A283 00		brk
	00A284 00		brk
	00A285 00		brk
	00A286 00		brk
	00A287 00		brk
	00A288 00		brk
	00A289 00		brk
	00A28A 00		brk
	00A28B 00		brk
	00A28C 00		brk
	00A28D 00		brk
	00A28E 00		brk
	00A28F 00		brk
	00A290 00		brk
	00A291 00		brk
	00A292 00		brk
	00A293 00		brk
	00A294 00		brk
	00A295 00		brk
	00A296 00		brk
	00A297 00		brk
	00A298 00		brk
	00A299 00		brk
	00A29A 00		brk
	00A29B 00		brk
	00A29C 00		brk
	00A29D 00		brk
	00A29E 00		brk
	00A29F 00		brk
	00A2A0 00		brk
	00A2A1 00		brk
	00A2A2 00		brk
	00A2A3 00		brk
	00A2A4 00		brk
	00A2A5 00		brk
	00A2A6 00		brk
	00A2A7 00		brk
	00A2A8 00		brk
	00A2A9 00		brk
	00A2AA 00		brk
	00A2AB 00		brk
	00A2AC 00		brk
	00A2AD 00		brk
	00A2AE 00		brk
	00A2AF 00		brk
	00A2B0 00		brk
	00A2B1 00		brk
	00A2B2 00		brk
	00A2B3 00		brk
	00A2B4 00		brk
	00A2B5 00		brk
	00A2B6 00		brk
	00A2B7 00		brk
	00A2B8 00		brk
	00A2B9 00		brk
	00A2BA 00		brk
	00A2BB 00		brk
	00A2BC 00		brk
	00A2BD 00		brk
	00A2BE 00		brk
	00A2BF 00		brk
	00A2C0 00		brk
	00A2C1 00		brk
	00A2C2 00		brk
	00A2C3 00		brk
	00A2C4 00		brk
	00A2C5 00		brk
	00A2C6 00		brk
	00A2C7 00		brk
	00A2C8 00		brk
	00A2C9 00		brk
	00A2CA 00		brk
	00A2CB 00		brk
	00A2CC 00		brk
	00A2CD 00		brk
	00A2CE 00		brk
	00A2CF 00		brk
	00A2D0 00		brk
	00A2D1 00		brk
	00A2D2 00		brk
	00A2D3 00		brk
	00A2D4 00		brk
	00A2D5 00		brk
	00A2D6 00		brk
	00A2D7 00		brk
	00A2D8 00		brk
	00A2D9 00		brk
	00A2DA 00		brk
	00A2DB 00		brk
	00A2DC 00		brk
	00A2DD 00		brk
	00A2DE 00		brk
	00A2DF 00		brk
	00A2E0 00		brk
	00A2E1 00		brk
	00A2E2 00		brk
	00A2E3 00		brk
	00A2E4 00		brk
	00A2E5 00		brk
	00A2E6 00		brk
	00A2E7 00		brk
	00A2E8 00		brk
	00A2E9 00		brk
	00A2EA 00		brk
	00A2EB 00		brk
	00A2EC 00		brk
	00A2ED 00		brk
	00A2EE 00		brk
	00A2EF 00		brk
	00A2F0 00		brk
	00A2F1 00		brk
	00A2F2 00		brk
	00A2F3 00		brk
	00A2F4 00		brk
	00A2F5 00		brk
	00A2F6 00		brk
	00A2F7 00		brk
	00A2F8 00		brk
	00A2F9 00		brk
	00A2FA 00		brk
	00A2FB 00		brk
	00A2FC 00		brk
	00A2FD 00		brk
	00A2FE 00		brk
	00A2FF 00		brk
	00A300 00		brk
	00A301 00		brk
	00A302 00		brk
	00A303 00		brk
	00A304 00		brk
	00A305 00		brk
	00A306 00		brk
	00A307 00		brk
	00A308 00		brk
	00A309 00		brk
	00A30A 00		brk
	00A30B 00		brk
	00A30C 00		brk
	00A30D 00		brk
	00A30E 00		brk
	00A30F 00		brk
	00A310 00		brk
	00A311 00		brk
	00A312 00		brk
	00A313 00		brk
	00A314 00		brk
	00A315 00		brk
	00A316 00		brk
	00A317 00		brk
	00A318 00		brk
	00A319 00		brk
	00A31A 00		brk
	00A31B 00		brk
	00A31C 00		brk
	00A31D 00		brk
	00A31E 00		brk
	00A31F 00		brk
	00A320 00		brk
	00A321 00		brk
	00A322 00		brk
	00A323 00		brk
	00A324 00		brk
	00A325 00		brk
	00A326 00		brk
	00A327 00		brk
	00A328 00		brk
	00A329 00		brk
	00A32A 00		brk
	00A32B 00		brk
	00A32C 00		brk
	00A32D 00		brk
	00A32E 00		brk
	00A32F 00		brk
	00A330 00		brk
	00A331 00		brk
	00A332 00		brk
	00A333 00		brk
	00A334 00		brk
	00A335 00		brk
	00A336 00		brk
	00A337 00		brk
	00A338 00		brk
	00A339 00		brk
	00A33A 00		brk
	00A33B 00		brk
	00A33C 00		brk
	00A33D 00		brk
	00A33E 00		brk
	00A33F 00		brk
	00A340 00		brk
	00A341 00		brk
	00A342 00		brk
	00A343 00		brk
	00A344 00		brk
	00A345 00		brk
	00A346 00		brk
	00A347 00		brk
	00A348 00		brk
	00A349 00		brk
	00A34A 00		brk
	00A34B 00		brk
	00A34C 00		brk
	00A34D 00		brk
	00A34E 00		brk
	00A34F 00		brk
	00A350 00		brk
	00A351 00		brk
	00A352 00		brk
	00A353 00		brk
	00A354 00		brk
	00A355 00		brk
	00A356 00		brk
	00A357 00		brk
	00A358 00		brk
	00A359 00		brk
	00A35A 00		brk
	00A35B 00		brk
	00A35C 00		brk
	00A35D 00		brk
	00A35E 00		brk
	00A35F 00		brk
	00A360 00		brk
	00A361 00		brk
	00A362 00		brk
	00A363 00		brk
	00A364 00		brk
	00A365 00		brk
	00A366 00		brk
	00A367 00		brk
	00A368 00		brk
	00A369 00		brk
	00A36A 00		brk
	00A36B 00		brk
	00A36C 00		brk
	00A36D 00		brk
	00A36E 00		brk
	00A36F 00		brk
	00A370 00		brk
	00A371 00		brk
	00A372 00		brk
	00A373 00		brk
	00A374 00		brk
	00A375 00		brk
	00A376 00		brk
	00A377 00		brk
	00A378 00		brk
	00A379 00		brk
	00A37A 00		brk
	00A37B 00		brk
	00A37C 00		brk
	00A37D 00		brk
	00A37E 00		brk
	00A37F 00		brk
	00A380 00		brk
	00A381 00		brk
	00A382 00		brk
	00A383 00		brk
	00A384 00		brk
	00A385 00		brk
	00A386 00		brk
	00A387 00		brk
	00A388 00		brk
	00A389 00		brk
	00A38A 00		brk
	00A38B 00		brk
	00A38C 00		brk
	00A38D 00		brk
	00A38E 00		brk
	00A38F 00		brk
	00A390 00		brk
	00A391 00		brk
	00A392 00		brk
	00A393 00		brk
	00A394 00		brk
	00A395 00		brk
	00A396 00		brk
	00A397 00		brk
	00A398 00		brk
	00A399 00		brk
	00A39A 00		brk
	00A39B 00		brk
	00A39C 00		brk
	00A39D 00		brk
	00A39E 00		brk
	00A39F 00		brk
	00A3A0 00		brk
	00A3A1 00		brk
	00A3A2 00		brk
	00A3A3 00		brk
	00A3A4 00		brk
	00A3A5 00		brk
	00A3A6 00		brk
	00A3A7 00		brk
	00A3A8 00		brk
	00A3A9 00		brk
	00A3AA 00		brk
	00A3AB 00		brk
	00A3AC 00		brk
	00A3AD 00		brk
	00A3AE 00		brk
	00A3AF 00		brk
	00A3B0 00		brk
	00A3B1 00		brk
	00A3B2 00		brk
	00A3B3 00		brk
	00A3B4 00		brk
	00A3B5 00		brk
	00A3B6 00		brk
	00A3B7 00		brk
	00A3B8 00		brk
	00A3B9 00		brk
	00A3BA 00		brk
	00A3BB 00		brk
	00A3BC 00		brk
	00A3BD 00		brk
	00A3BE 00		brk
	00A3BF 00		brk
	00A3C0 00		brk
	00A3C1 00		brk
	00A3C2 00		brk
	00A3C3 00		brk
	00A3C4 00		brk
	00A3C5 00		brk
	00A3C6 00		brk
	00A3C7 00		brk
	00A3C8 00		brk
	00A3C9 00		brk
	00A3CA 00		brk
	00A3CB 00		brk
	00A3CC 00		brk
	00A3CD 00		brk
	00A3CE 00		brk
	00A3CF 00		brk
	00A3D0 00		brk
	00A3D1 00		brk
	00A3D2 00		brk
	00A3D3 00		brk
	00A3D4 00		brk
	00A3D5 00		brk
	00A3D6 00		brk
	00A3D7 00		brk
	00A3D8 00		brk
	00A3D9 00		brk
	00A3DA 00		brk
	00A3DB 00		brk
	00A3DC 00		brk
	00A3DD 00		brk
	00A3DE 00		brk
	00A3DF 00		brk
	00A3E0 00		brk
	00A3E1 00		brk
	00A3E2 00		brk
	00A3E3 00		brk
	00A3E4 00		brk
	00A3E5 00		brk
	00A3E6 00		brk
	00A3E7 00		brk
	00A3E8 00		brk
	00A3E9 00		brk
	00A3EA 00		brk
	00A3EB 00		brk
	00A3EC 00		brk
	00A3ED 00		brk
	00A3EE 00		brk
	00A3EF 00		brk
	00A3F0 00		brk
	00A3F1 00		brk
	00A3F2 00		brk
	00A3F3 00		brk
	00A3F4 00		brk
	00A3F5 00		brk
	00A3F6 00		brk
	00A3F7 00		brk
	00A3F8 00		brk
	00A3F9 00		brk
	00A3FA 00		brk
	00A3FB 00		brk
	00A3FC 00		brk
	00A3FD 00		brk
	00A3FE 00		brk
	00A3FF 00		brk
	00A400 00		brk
	00A401 00		brk
	00A402 00		brk
	00A403 00		brk
	00A404 00		brk
	00A405 00		brk
	00A406 00		brk
	00A407 00		brk
	00A408 00		brk
	00A409 00		brk
	00A40A 00		brk
	00A40B 00		brk
	00A40C 00		brk
	00A40D 00		brk
	00A40E 00		brk
	00A40F 00		brk
	00A410 00		brk
	00A411 00		brk
	00A412 00		brk
	00A413 00		brk
	00A414 00		brk
	00A415 00		brk
	00A416 00		brk
	00A417 00		brk
	00A418 00		brk
	00A419 00		brk
	00A41A 00		brk
	00A41B 00		brk
	00A41C 00		brk
	00A41D 00		brk
	00A41E 00		brk
	00A41F 00		brk
	00A420 00		brk
	00A421 00		brk
	00A422 00		brk
	00A423 00		brk
	00A424 00		brk
	00A425 00		brk
	00A426 00		brk
	00A427 00		brk
	00A428 00		brk
	00A429 00		brk
	00A42A 00		brk
	00A42B 00		brk
	00A42C 00		brk
	00A42D 00		brk
	00A42E 00		brk
	00A42F 00		brk
	00A430 00		brk
	00A431 00		brk
	00A432 00		brk
	00A433 00		brk
	00A434 00		brk
	00A435 00		brk
	00A436 00		brk
	00A437 00		brk
	00A438 00		brk
	00A439 00		brk
	00A43A 00		brk
	00A43B 00		brk
	00A43C 00		brk
	00A43D 00		brk
	00A43E 00		brk
	00A43F 00		brk
	00A440 00		brk
	00A441 00		brk
	00A442 00		brk
	00A443 00		brk
	00A444 00		brk
	00A445 00		brk
	00A446 00		brk
	00A447 00		brk
	00A448 00		brk
	00A449 00		brk
	00A44A 00		brk
	00A44B 00		brk
	00A44C 00		brk
	00A44D 00		brk
	00A44E 00		brk
	00A44F 00		brk
	00A450 00		brk
	00A451 00		brk
	00A452 00		brk
	00A453 00		brk
	00A454 00		brk
	00A455 00		brk
	00A456 00		brk
	00A457 00		brk
	00A458 00		brk
	00A459 00		brk
	00A45A 00		brk
	00A45B 00		brk
	00A45C 00		brk
	00A45D 00		brk
	00A45E 00		brk
	00A45F 00		brk
	00A460 00		brk
	00A461 00		brk
	00A462 00		brk
	00A463 00		brk
	00A464 00		brk
	00A465 00		brk
	00A466 00		brk
	00A467 00		brk
	00A468 00		brk
	00A469 00		brk
	00A46A 00		brk
	00A46B 00		brk
	00A46C 00		brk
	00A46D 00		brk
	00A46E 00		brk
	00A46F 00		brk
	00A470 00		brk
	00A471 00		brk
	00A472 00		brk
	00A473 00		brk
	00A474 00		brk
	00A475 00		brk
	00A476 00		brk
	00A477 00		brk
	00A478 00		brk
	00A479 00		brk
	00A47A 00		brk
	00A47B 00		brk
	00A47C 00		brk
	00A47D 00		brk
	00A47E 00		brk
	00A47F 00		brk
	00A480 00		brk
	00A481 00		brk
	00A482 00		brk
	00A483 00		brk
	00A484 00		brk
	00A485 00		brk
	00A486 00		brk
	00A487 00		brk
	00A488 00		brk
	00A489 00		brk
	00A48A 00		brk
	00A48B 00		brk
	00A48C 00		brk
	00A48D 00		brk
	00A48E 00		brk
	00A48F 00		brk
	00A490 00		brk
	00A491 00		brk
	00A492 00		brk
	00A493 00		brk
	00A494 00		brk
	00A495 00		brk
	00A496 00		brk
	00A497 00		brk
	00A498 00		brk
	00A499 00		brk
	00A49A 00		brk
	00A49B 00		brk
	00A49C 00		brk
	00A49D 00		brk
	00A49E 00		brk
	00A49F 00		brk
	00A4A0 00		brk
	00A4A1 00		brk
	00A4A2 00		brk
	00A4A3 00		brk
	00A4A4 00		brk
	00A4A5 00		brk
	00A4A6 00		brk
	00A4A7 00		brk
	00A4A8 00		brk
	00A4A9 00		brk
	00A4AA 00		brk
	00A4AB 00		brk
	00A4AC 00		brk
	00A4AD 00		brk
	00A4AE 00		brk
	00A4AF 00		brk
	00A4B0 00		brk
	00A4B1 00		brk
	00A4B2 00		brk
	00A4B3 00		brk
	00A4B4 00		brk
	00A4B5 00		brk
	00A4B6 00		brk
	00A4B7 00		brk
	00A4B8 00		brk
	00A4B9 00		brk
	00A4BA 00		brk
	00A4BB 00		brk
	00A4BC 00		brk
	00A4BD 00		brk
	00A4BE 00		brk
	00A4BF 00		brk
	00A4C0 00		brk
	00A4C1 00		brk
	00A4C2 00		brk
	00A4C3 00		brk
	00A4C4 00		brk
	00A4C5 00		brk
	00A4C6 00		brk
	00A4C7 00		brk
	00A4C8 00		brk
	00A4C9 00		brk
	00A4CA 00		brk
	00A4CB 00		brk
	00A4CC 00		brk
	00A4CD 00		brk
	00A4CE 00		brk
	00A4CF 00		brk
	00A4D0 00		brk
	00A4D1 00		brk
	00A4D2 00		brk
	00A4D3 00		brk
	00A4D4 00		brk
	00A4D5 00		brk
	00A4D6 00		brk
	00A4D7 00		brk
	00A4D8 00		brk
	00A4D9 00		brk
	00A4DA 00		brk
	00A4DB 00		brk
	00A4DC 00		brk
	00A4DD 00		brk
	00A4DE 00		brk
	00A4DF 00		brk
	00A4E0 00		brk
	00A4E1 00		brk
	00A4E2 00		brk
	00A4E3 00		brk
	00A4E4 00		brk
	00A4E5 00		brk
	00A4E6 00		brk
	00A4E7 00		brk
	00A4E8 00		brk
	00A4E9 00		brk
	00A4EA 00		brk
	00A4EB 00		brk
	00A4EC 00		brk
	00A4ED 00		brk
	00A4EE 00		brk
	00A4EF 00		brk
	00A4F0 00		brk
	00A4F1 00		brk
	00A4F2 00		brk
	00A4F3 00		brk
	00A4F4 00		brk
	00A4F5 00		brk
	00A4F6 00		brk
	00A4F7 00		brk
	00A4F8 00		brk
	00A4F9 00		brk
	00A4FA 00		brk
	00A4FB 00		brk
	00A4FC 00		brk
	00A4FD 00		brk
	00A4FE 00		brk
	00A4FF 00		brk
	00A500 00		brk
	00A501 00		brk
	00A502 00		brk
	00A503 00		brk
	00A504 00		brk
	00A505 00		brk
	00A506 00		brk
	00A507 00		brk
	00A508 00		brk
	00A509 00		brk
	00A50A 00		brk
	00A50B 00		brk
	00A50C 00		brk
	00A50D 00		brk
	00A50E 00		brk
	00A50F 00		brk
	00A510 00		brk
	00A511 00		brk
	00A512 00		brk
	00A513 00		brk
	00A514 00		brk
	00A515 00		brk
	00A516 00		brk
	00A517 00		brk
	00A518 00		brk
	00A519 00		brk
	00A51A 00		brk
	00A51B 00		brk
	00A51C 00		brk
	00A51D 00		brk
	00A51E 00		brk
	00A51F 00		brk
	00A520 00		brk
	00A521 00		brk
	00A522 00		brk
	00A523 00		brk
	00A524 00		brk
	00A525 00		brk
	00A526 00		brk
	00A527 00		brk
	00A528 00		brk
	00A529 00		brk
	00A52A 00		brk
	00A52B 00		brk
	00A52C 00		brk
	00A52D 00		brk
	00A52E 00		brk
	00A52F 00		brk
	00A530 00		brk
	00A531 00		brk
	00A532 00		brk
	00A533 00		brk
	00A534 00		brk
	00A535 00		brk
	00A536 00		brk
	00A537 00		brk
	00A538 00		brk
	00A539 00		brk
	00A53A 00		brk
	00A53B 00		brk
	00A53C 00		brk
	00A53D 00		brk
	00A53E 00		brk
	00A53F 00		brk
	00A540 00		brk
	00A541 00		brk
	00A542 00		brk
	00A543 00		brk
	00A544 00		brk
	00A545 00		brk
	00A546 00		brk
	00A547 00		brk
	00A548 00		brk
	00A549 00		brk
	00A54A 00		brk
	00A54B 00		brk
	00A54C 00		brk
	00A54D 00		brk
	00A54E 00		brk
	00A54F 00		brk
	00A550 00		brk
	00A551 00		brk
	00A552 00		brk
	00A553 00		brk
	00A554 00		brk
	00A555 00		brk
	00A556 00		brk
	00A557 00		brk
	00A558 00		brk
	00A559 00		brk
	00A55A 00		brk
	00A55B 00		brk
	00A55C 00		brk
	00A55D 00		brk
	00A55E 00		brk
	00A55F 00		brk
	00A560 00		brk
	00A561 00		brk
	00A562 00		brk
	00A563 00		brk
	00A564 00		brk
	00A565 00		brk
	00A566 00		brk
	00A567 00		brk
	00A568 00		brk
	00A569 00		brk
	00A56A 00		brk
	00A56B 00		brk
	00A56C 00		brk
	00A56D 00		brk
	00A56E 00		brk
	00A56F 00		brk
	00A570 00		brk
	00A571 00		brk
	00A572 00		brk
	00A573 00		brk
	00A574 00		brk
	00A575 00		brk
	00A576 00		brk
	00A577 00		brk
	00A578 00		brk
	00A579 00		brk
	00A57A 00		brk
	00A57B 00		brk
	00A57C 00		brk
	00A57D 00		brk
	00A57E 00		brk
	00A57F 00		brk
	00A580 00		brk
	00A581 00		brk
	00A582 00		brk
	00A583 00		brk
	00A584 00		brk
	00A585 00		brk
	00A586 00		brk
	00A587 00		brk
	00A588 00		brk
	00A589 00		brk
	00A58A 00		brk
	00A58B 00		brk
	00A58C 00		brk
	00A58D 00		brk
	00A58E 00		brk
	00A58F 00		brk
	00A590 00		brk
	00A591 00		brk
	00A592 00		brk
	00A593 00		brk
	00A594 00		brk
	00A595 00		brk
	00A596 00		brk
	00A597 00		brk
	00A598 00		brk
	00A599 00		brk
	00A59A 00		brk
	00A59B 00		brk
	00A59C 00		brk
	00A59D 00		brk
	00A59E 00		brk
	00A59F 00		brk
	00A5A0 00		brk
	00A5A1 00		brk
	00A5A2 00		brk
	00A5A3 00		brk
	00A5A4 00		brk
	00A5A5 00		brk
	00A5A6 00		brk
	00A5A7 00		brk
	00A5A8 00		brk
	00A5A9 00		brk
	00A5AA 00		brk
	00A5AB 00		brk
	00A5AC 00		brk
	00A5AD 00		brk
	00A5AE 00		brk
	00A5AF 00		brk
	00A5B0 00		brk
	00A5B1 00		brk
	00A5B2 00		brk
	00A5B3 00		brk
	00A5B4 00		brk
	00A5B5 00		brk
	00A5B6 00		brk
	00A5B7 00		brk
	00A5B8 00		brk
	00A5B9 00		brk
	00A5BA 00		brk
	00A5BB 00		brk
	00A5BC 00		brk
	00A5BD 00		brk
	00A5BE 00		brk
	00A5BF 00		brk
	00A5C0 00		brk
	00A5C1 00		brk
	00A5C2 00		brk
	00A5C3 00		brk
	00A5C4 00		brk
	00A5C5 00		brk
	00A5C6 00		brk
	00A5C7 00		brk
	00A5C8 00		brk
	00A5C9 00		brk
	00A5CA 00		brk
	00A5CB 00		brk
	00A5CC 00		brk
	00A5CD 00		brk
	00A5CE 00		brk
	00A5CF 00		brk
	00A5D0 00		brk
	00A5D1 00		brk
	00A5D2 00		brk
	00A5D3 00		brk
	00A5D4 00		brk
	00A5D5 00		brk
	00A5D6 00		brk
	00A5D7 00		brk
	00A5D8 00		brk
	00A5D9 00		brk
	00A5DA 00		brk
	00A5DB 00		brk
	00A5DC 00		brk
	00A5DD 00		brk
	00A5DE 00		brk
	00A5DF 00		brk
	00A5E0 00		brk
	00A5E1 00		brk
	00A5E2 00		brk
	00A5E3 00		brk
	00A5E4 00		brk
	00A5E5 00		brk
	00A5E6 00		brk
	00A5E7 00		brk
	00A5E8 00		brk
	00A5E9 00		brk
	00A5EA 00		brk
	00A5EB 00		brk
	00A5EC 00		brk
	00A5ED 00		brk
	00A5EE 00		brk
	00A5EF 00		brk
	00A5F0 00		brk
	00A5F1 00		brk
	00A5F2 00		brk
	00A5F3 00		brk
	00A5F4 00		brk
	00A5F5 00		brk
	00A5F6 00		brk
	00A5F7 00		brk
	00A5F8 00		brk
	00A5F9 00		brk
	00A5FA 00		brk
	00A5FB 00		brk
	00A5FC 00		brk
	00A5FD 00		brk
	00A5FE 00		brk
	00A5FF 00		brk
	00A600 00		brk
	00A601 00		brk
	00A602 00		brk
	00A603 00		brk
	00A604 00		brk
	00A605 00		brk
	00A606 00		brk
	00A607 00		brk
	00A608 00		brk
	00A609 00		brk
	00A60A 00		brk
	00A60B 00		brk
	00A60C 00		brk
	00A60D 00		brk
	00A60E 00		brk
	00A60F 00		brk
	00A610 00		brk
	00A611 00		brk
	00A612 00		brk
	00A613 00		brk
	00A614 00		brk
	00A615 00		brk
	00A616 00		brk
	00A617 00		brk
	00A618 00		brk
	00A619 00		brk
	00A61A 00		brk
	00A61B 00		brk
	00A61C 00		brk
	00A61D 00		brk
	00A61E 00		brk
	00A61F 00		brk
	00A620 00		brk
	00A621 00		brk
	00A622 00		brk
	00A623 00		brk
	00A624 00		brk
	00A625 00		brk
	00A626 00		brk
	00A627 00		brk
	00A628 00		brk
	00A629 00		brk
	00A62A 00		brk
	00A62B 00		brk
	00A62C 00		brk
	00A62D 00		brk
	00A62E 00		brk
	00A62F 00		brk
	00A630 00		brk
	00A631 00		brk
	00A632 00		brk
	00A633 00		brk
	00A634 00		brk
	00A635 00		brk
	00A636 00		brk
	00A637 00		brk
	00A638 00		brk
	00A639 00		brk
	00A63A 00		brk
	00A63B 00		brk
	00A63C 00		brk
	00A63D 00		brk
	00A63E 00		brk
	00A63F 00		brk
	00A640 00		brk
	00A641 00		brk
	00A642 00		brk
	00A643 00		brk
	00A644 00		brk
	00A645 00		brk
	00A646 00		brk
	00A647 00		brk
	00A648 00		brk
	00A649 00		brk
	00A64A 00		brk
	00A64B 00		brk
	00A64C 00		brk
	00A64D 00		brk
	00A64E 00		brk
	00A64F 00		brk
	00A650 00		brk
	00A651 00		brk
	00A652 00		brk
	00A653 00		brk
	00A654 00		brk
	00A655 00		brk
	00A656 00		brk
	00A657 00		brk
	00A658 00		brk
	00A659 00		brk
	00A65A 00		brk
	00A65B 00		brk
	00A65C 00		brk
	00A65D 00		brk
	00A65E 00		brk
	00A65F 00		brk
	00A660 00		brk
	00A661 00		brk
	00A662 00		brk
	00A663 00		brk
	00A664 00		brk
	00A665 00		brk
	00A666 00		brk
	00A667 00		brk
	00A668 00		brk
	00A669 00		brk
	00A66A 00		brk
	00A66B 00		brk
	00A66C 00		brk
	00A66D 00		brk
	00A66E 00		brk
	00A66F 00		brk
	00A670 00		brk
	00A671 00		brk
	00A672 00		brk
	00A673 00		brk
	00A674 00		brk
	00A675 00		brk
	00A676 00		brk
	00A677 00		brk
	00A678 00		brk
	00A679 00		brk
	00A67A 00		brk
	00A67B 00		brk
	00A67C 00		brk
	00A67D 00		brk
	00A67E 00		brk
	00A67F 00		brk
	00A680 00		brk
	00A681 00		brk
	00A682 00		brk
	00A683 00		brk
	00A684 00		brk
	00A685 00		brk
	00A686 00		brk
	00A687 00		brk
	00A688 00		brk
	00A689 00		brk
	00A68A 00		brk
	00A68B 00		brk
	00A68C 00		brk
	00A68D 00		brk
	00A68E 00		brk
	00A68F 00		brk
	00A690 00		brk
	00A691 00		brk
	00A692 00		brk
	00A693 00		brk
	00A694 00		brk
	00A695 00		brk
	00A696 00		brk
	00A697 00		brk
	00A698 00		brk
	00A699 00		brk
	00A69A 00		brk
	00A69B 00		brk
	00A69C 00		brk
	00A69D 00		brk
	00A69E 00		brk
	00A69F 00		brk
	00A6A0 00		brk
	00A6A1 00		brk
	00A6A2 00		brk
	00A6A3 00		brk
	00A6A4 00		brk
	00A6A5 00		brk
	00A6A6 00		brk
	00A6A7 00		brk
	00A6A8 00		brk
	00A6A9 00		brk
	00A6AA 00		brk
	00A6AB 00		brk
	00A6AC 00		brk
	00A6AD 00		brk
	00A6AE 00		brk
	00A6AF 00		brk
	00A6B0 00		brk
	00A6B1 00		brk
	00A6B2 00		brk
	00A6B3 00		brk
	00A6B4 00		brk
	00A6B5 00		brk
	00A6B6 00		brk
	00A6B7 00		brk
	00A6B8 00		brk
	00A6B9 00		brk
	00A6BA 00		brk
	00A6BB 00		brk
	00A6BC 00		brk
	00A6BD 00		brk
	00A6BE 00		brk
	00A6BF 00		brk
	00A6C0 00		brk
	00A6C1 00		brk
	00A6C2 00		brk
	00A6C3 00		brk
	00A6C4 00		brk
	00A6C5 00		brk
	00A6C6 00		brk
	00A6C7 00		brk
	00A6C8 00		brk
	00A6C9 00		brk
	00A6CA 00		brk
	00A6CB 00		brk
	00A6CC 00		brk
	00A6CD 00		brk
	00A6CE 00		brk
	00A6CF 00		brk
	00A6D0 00		brk
	00A6D1 00		brk
	00A6D2 00		brk
	00A6D3 00		brk
	00A6D4 00		brk
	00A6D5 00		brk
	00A6D6 00		brk
	00A6D7 00		brk
	00A6D8 00		brk
	00A6D9 00		brk
	00A6DA 00		brk
	00A6DB 00		brk
	00A6DC 00		brk
	00A6DD 00		brk
	00A6DE 00		brk
	00A6DF 00		brk
	00A6E0 00		brk
	00A6E1 00		brk
	00A6E2 00		brk
	00A6E3 00		brk
	00A6E4 00		brk
	00A6E5 00		brk
	00A6E6 00		brk
	00A6E7 00		brk
	00A6E8 00		brk
	00A6E9 00		brk
	00A6EA 00		brk
	00A6EB 00		brk
	00A6EC 00		brk
	00A6ED 00		brk
	00A6EE 00		brk
	00A6EF 00		brk
	00A6F0 00		brk
	00A6F1 00		brk
	00A6F2 00		brk
	00A6F3 00		brk
	00A6F4 00		brk
	00A6F5 00		brk
	00A6F6 00		brk
	00A6F7 00		brk
	00A6F8 00		brk
	00A6F9 00		brk
	00A6FA 00		brk
	00A6FB 00		brk
	00A6FC 00		brk
	00A6FD 00		brk
	00A6FE 00		brk
	00A6FF 00		brk
	00A700 00		brk
	00A701 00		brk
	00A702 00		brk
	00A703 00		brk
	00A704 00		brk
	00A705 00		brk
	00A706 00		brk
	00A707 00		brk
	00A708 00		brk
	00A709 00		brk
	00A70A 00		brk
	00A70B 00		brk
	00A70C 00		brk
	00A70D 00		brk
	00A70E 00		brk
	00A70F 00		brk
	00A710 00		brk
	00A711 00		brk
	00A712 00		brk
	00A713 00		brk
	00A714 00		brk
	00A715 00		brk
	00A716 00		brk
	00A717 00		brk
	00A718 00		brk
	00A719 00		brk
	00A71A 00		brk
	00A71B 00		brk
	00A71C 00		brk
	00A71D 00		brk
	00A71E 00		brk
	00A71F 00		brk
	00A720 00		brk
	00A721 00		brk
	00A722 00		brk
	00A723 00		brk
	00A724 00		brk
	00A725 00		brk
	00A726 00		brk
	00A727 00		brk
	00A728 00		brk
	00A729 00		brk
	00A72A 00		brk
	00A72B 00		brk
	00A72C 00		brk
	00A72D 00		brk
	00A72E 00		brk
	00A72F 00		brk
	00A730 00		brk
	00A731 00		brk
	00A732 00		brk
	00A733 00		brk
	00A734 00		brk
	00A735 00		brk
	00A736 00		brk
	00A737 00		brk
	00A738 00		brk
	00A739 00		brk
	00A73A 00		brk
	00A73B 00		brk
	00A73C 00		brk
	00A73D 00		brk
	00A73E 00		brk
	00A73F 00		brk
	00A740 00		brk
	00A741 00		brk
	00A742 00		brk
	00A743 00		brk
	00A744 00		brk
	00A745 00		brk
	00A746 00		brk
	00A747 00		brk
	00A748 00		brk
	00A749 00		brk
	00A74A 00		brk
	00A74B 00		brk
	00A74C 00		brk
	00A74D 00		brk
	00A74E 00		brk
	00A74F 00		brk
	00A750 00		brk
	00A751 00		brk
	00A752 00		brk
	00A753 00		brk
	00A754 00		brk
	00A755 00		brk
	00A756 00		brk
	00A757 00		brk
	00A758 00		brk
	00A759 00		brk
	00A75A 00		brk
	00A75B 00		brk
	00A75C 00		brk
	00A75D 00		brk
	00A75E 00		brk
	00A75F 00		brk
	00A760 00		brk
	00A761 00		brk
	00A762 00		brk
	00A763 00		brk
	00A764 00		brk
	00A765 00		brk
	00A766 00		brk
	00A767 00		brk
	00A768 00		brk
	00A769 00		brk
	00A76A 00		brk
	00A76B 00		brk
	00A76C 00		brk
	00A76D 00		brk
	00A76E 00		brk
	00A76F 00		brk
	00A770 00		brk
	00A771 00		brk
	00A772 00		brk
	00A773 00		brk
	00A774 00		brk
	00A775 00		brk
	00A776 00		brk
	00A777 00		brk
	00A778 00		brk
	00A779 00		brk
	00A77A 00		brk
	00A77B 00		brk
	00A77C 00		brk
	00A77D 00		brk
	00A77E 00		brk
	00A77F 00		brk
	00A780 00		brk
	00A781 00		brk
	00A782 00		brk
	00A783 00		brk
	00A784 00		brk
	00A785 00		brk
	00A786 00		brk
	00A787 00		brk
	00A788 00		brk
	00A789 00		brk
	00A78A 00		brk
	00A78B 00		brk
	00A78C 00		brk
	00A78D 00		brk
	00A78E 00		brk
	00A78F 00		brk
	00A790 00		brk
	00A791 00		brk
	00A792 00		brk
	00A793 00		brk
	00A794 00		brk
	00A795 00		brk
	00A796 00		brk
	00A797 00		brk
	00A798 00		brk
	00A799 00		brk
	00A79A 00		brk
	00A79B 00		brk
	00A79C 00		brk
	00A79D 00		brk
	00A79E 00		brk
	00A79F 00		brk
	00A7A0 00		brk
	00A7A1 00		brk
	00A7A2 00		brk
	00A7A3 00		brk
	00A7A4 00		brk
	00A7A5 00		brk
	00A7A6 00		brk
	00A7A7 00		brk
	00A7A8 00		brk
	00A7A9 00		brk
	00A7AA 00		brk
	00A7AB 00		brk
	00A7AC 00		brk
	00A7AD 00		brk
	00A7AE 00		brk
	00A7AF 00		brk
	00A7B0 00		brk
	00A7B1 00		brk
	00A7B2 00		brk
	00A7B3 00		brk
	00A7B4 00		brk
	00A7B5 00		brk
	00A7B6 00		brk
	00A7B7 00		brk
	00A7B8 00		brk
	00A7B9 00		brk
	00A7BA 00		brk
	00A7BB 00		brk
	00A7BC 00		brk
	00A7BD 00		brk
	00A7BE 00		brk
	00A7BF 00		brk
	00A7C0 00		brk
	00A7C1 00		brk
	00A7C2 00		brk
	00A7C3 00		brk
	00A7C4 00		brk
	00A7C5 00		brk
	00A7C6 00		brk
	00A7C7 00		brk
	00A7C8 00		brk
	00A7C9 00		brk
	00A7CA 00		brk
	00A7CB 00		brk
	00A7CC 00		brk
	00A7CD 00		brk
	00A7CE 00		brk
	00A7CF 00		brk
	00A7D0 00		brk
	00A7D1 00		brk
	00A7D2 00		brk
	00A7D3 00		brk
	00A7D4 00		brk
	00A7D5 00		brk
	00A7D6 00		brk
	00A7D7 00		brk
	00A7D8 00		brk
	00A7D9 00		brk
	00A7DA 00		brk
	00A7DB 00		brk
	00A7DC 00		brk
	00A7DD 00		brk
	00A7DE 00		brk
	00A7DF 00		brk
	00A7E0 00		brk
	00A7E1 00		brk
	00A7E2 00		brk
	00A7E3 00		brk
	00A7E4 00		brk
	00A7E5 00		brk
	00A7E6 00		brk
	00A7E7 00		brk
	00A7E8 00		brk
	00A7E9 00		brk
	00A7EA 00		brk
	00A7EB 00		brk
	00A7EC 00		brk
	00A7ED 00		brk
	00A7EE 00		brk
	00A7EF 00		brk
	00A7F0 00		brk
	00A7F1 00		brk
	00A7F2 00		brk
	00A7F3 00		brk
	00A7F4 00		brk
	00A7F5 00		brk
	00A7F6 00		brk
	00A7F7 00		brk
	00A7F8 00		brk
	00A7F9 00		brk
	00A7FA 00		brk
	00A7FB 00		brk
	00A7FC 00		brk
	00A7FD 00		brk
	00A7FE 00		brk
	00A7FF 01 4C		ora ($4C)
	00A801 1E 08 EA		asl $EA08,x
	00A804 EA		nop
	00A805 EA		nop
	00A806 4C 15 08		jmp $0815

00A809	00A809 EA		nop
	00A80A EA		nop
	00A80B EA		nop
	00A80C 20 43 E5		jsr $E543
	00A80F 20 00 08		jsr $0800
	00A812 4C 43 E5		jmp $E543

00A815	00A815 20 82 E5		jsr $E582
	00A818 20 00 08		jsr $0800
	00A81B 4C 82 E5		jmp $E582

00A81E	00A81E 20 6C E5		jsr $E56C
	00A821 20 00 08		jsr $0800
	00A824 4C 6C E5		jmp $E56C

00A827	00A827 4C 45 08		jmp $0845

00A82A	00A82A EA		nop
	00A82B EA		nop
	00A82C EA		nop
	00A82D 4C 3C 08		jmp $083C

00A830	00A830 EA		nop
	00A831 EA		nop
	00A832 EA		nop
	00A833 20 43 E5		jsr $E543
	00A836 20 00 08		jsr $0800
	00A839 4C 43 E5		jmp $E543

00A83C	00A83C 20 82 E5		jsr $E582
	00A83F 20 00 08		jsr $0800
	00A842 4C 82 E5		jmp $E582

00A845	00A845 20 6C E5		jsr $E56C
	00A848 20 00 08		jsr $0800
	00A84B 4C 6C E5		jmp $E56C

00A84E	00A84E 4C 6C 08		jmp $086C

00A851	00A851 EA		nop
	00A852 EA		nop
	00A853 EA		nop
	00A854 4C 63 08		jmp $0863

00A857	00A857 EA		nop
	00A858 EA		nop
	00A859 EA		nop
	00A85A 20 43 E5		jsr $E543
	00A85D 20 00 08		jsr $0800
	00A860 4C 43 E5		jmp $E543

00A863	00A863 20 82 E5		jsr $E582
	00A866 20 00 08		jsr $0800
	00A869 4C 82 E5		jmp $E582

00A86C	00A86C 20 6C E5		jsr $E56C
	00A86F 20 00 08		jsr $0800
	00A872 4C 6C E5		jmp $E56C

00A875	00A875 4C 93 08		jmp $0893

00A878	00A878 EA		nop
	00A879 EA		nop
	00A87A EA		nop
	00A87B 4C 8A 08		jmp $088A

00A87E	00A87E EA		nop
	00A87F EA		nop
	00A880 EA		nop
	00A881 20 43 E5		jsr $E543
	00A884 20 00 08		jsr $0800
	00A887 4C 43 E5		jmp $E543

00A88A	00A88A 20 82 E5		jsr $E582
	00A88D 20 00 08		jsr $0800
	00A890 4C 82 E5		jmp $E582

00A893	00A893 20 6C E5		jsr $E56C
	00A896 20 00 08		jsr $0800
	00A899 4C 6C E5		jmp $E56C

00A89C	00A89C 4C BA 08		jmp $08BA

00A89F	00A89F EA		nop
	00A8A0 EA		nop
	00A8A1 EA		nop
	00A8A2 4C B1 08		jmp $08B1

00A8A5	00A8A5 EA		nop
	00A8A6 EA		nop
	00A8A7 EA		nop
	00A8A8 20 43 E5		jsr $E543
	00A8AB 20 00 08		jsr $0800
	00A8AE 4C 43 E5		jmp $E543

00A8B1	00A8B1 20 82 E5		jsr $E582
	00A8B4 20 00 08		jsr $0800
	00A8B7 4C 82 E5		jmp $E582

00A8BA	00A8BA 20 6C E5		jsr $E56C
	00A8BD 20 00 08		jsr $0800
	00A8C0 4C 6C E5		jmp $E56C

00A8C3	00A8C3 4C DB 08		jmp $08DB

00A8C6	00A8C6 EA		nop
	00A8C7 EA		nop
	00A8C8 EA		nop
	00A8C9 20 43 E5		jsr $E543
	00A8CC 20 00 08		jsr $0800
	00A8CF 4C 43 E5		jmp $E543

00A8D2	00A8D2 20 82 E5		jsr $E582
	00A8D5 20 00 08		jsr $0800
	00A8D8 4C 82 E5		jmp $E582

00A8DB	00A8DB 20 6C E5		jsr $E56C
	00A8DE 20 00 08		jsr $0800
	00A8E1 4C 6C E5		jmp $E56C

00A8E4	00A8E4 4C FC 08		jmp $08FC

00A8E7	00A8E7 EA		nop
	00A8E8 EA		nop
	00A8E9 EA		nop
	00A8EA 20 43 E5		jsr $E543
	00A8ED 20 00 08		jsr $0800
	00A8F0 4C 43 E5		jmp $E543

00A8F3	00A8F3 20 82 E5		jsr $E582
	00A8F6 20 00 08		jsr $0800
	00A8F9 4C 82 E5		jmp $E582

00A8FC	00A8FC 20 6C E5		jsr $E56C
	00A8FF 20 00 08		jsr $0800
	00A902 4C 6C E5		jmp $E56C

00A905	00A905 4C 1D 09		jmp $091D

00A908	00A908 EA		nop
	00A909 EA		nop
	00A90A EA		nop
	00A90B 20 43 E5		jsr $E543
	00A90E 20 00 08		jsr $0800
	00A911 4C 43 E5		jmp $E543

00A914	00A914 20 82 E5		jsr $E582
	00A917 20 00 08		jsr $0800
	00A91A 4C 82 E5		jmp $E582

00A91D	00A91D 20 6C E5		jsr $E56C
	00A920 20 00 08		jsr $0800
	00A923 4C 6C E5		jmp $E56C

00A926	00A926 4C 3E 09		jmp $093E

00A929	00A929 EA		nop
	00A92A EA		nop
	00A92B EA		nop
	00A92C 20 43 E5		jsr $E543
	00A92F 20 00 08		jsr $0800
	00A932 4C 43 E5		jmp $E543

00A935	00A935 20 82 E5		jsr $E582
	00A938 20 00 08		jsr $0800
	00A93B 4C 82 E5		jmp $E582

00A93E	00A93E 20 6C E5		jsr $E56C
	00A941 20 00 08		jsr $0800
	00A944 4C 6C E5		jmp $E56C

00A947	00A947 4C 5F 09		jmp $095F

00A94A	00A94A EA		nop
	00A94B EA		nop
	00A94C EA		nop
	00A94D 20 43 E5		jsr $E543
	00A950 20 00 08		jsr $0800
	00A953 4C 43 E5		jmp $E543

00A956	00A956 20 82 E5		jsr $E582
	00A959 20 00 08		jsr $0800
	00A95C 4C 82 E5		jmp $E582

00A95F	00A95F 20 6C E5		jsr $E56C
	00A962 20 00 08		jsr $0800
	00A965 4C 6C E5		jmp $E56C

00A968	00A968 4C 80 09		jmp $0980

00A96B	00A96B EA		nop
	00A96C EA		nop
	00A96D EA		nop
	00A96E 20 43 E5		jsr $E543
	00A971 20 00 08		jsr $0800
	00A974 4C 43 E5		jmp $E543

00A977	00A977 20 82 E5		jsr $E582
	00A97A 20 00 08		jsr $0800
	00A97D 4C 82 E5		jmp $E582

00A980	00A980 20 6C E5		jsr $E56C
	00A983 20 00 08		jsr $0800
	00A986 4C 6C E5		jmp $E56C

00A989	00A989 4C A1 09		jmp $09A1

00A98C	00A98C EA		nop
	00A98D EA		nop
	00A98E EA		nop
	00A98F 20 43 E5		jsr $E543
	00A992 20 00 08		jsr $0800
	00A995 4C 43 E5		jmp $E543

00A998	00A998 20 82 E5		jsr $E582
	00A99B 20 00 08		jsr $0800
	00A99E 4C 82 E5		jmp $E582

00A9A1	00A9A1 20 6C E5		jsr $E56C
	00A9A4 20 00 08		jsr $0800
	00A9A7 4C 6C E5		jmp $E56C

00A9AA	00A9AA 4C 50 E5		jmp $E550

00A9AD	00A9AD 4C B5 E5		jmp $E5B5

00A9B0	00A9B0 4C 17 E6		jmp $E617

00A9B3	00A9B3 4C 7C E6		jmp $E67C

00A9B6	00A9B6 78		sei
	00A9B7 D8		cld
	00A9B8 A2 FF		ldx #$FF
	00A9BA 9A		txs
	00A9BB 20 BF 0A		jsr $0ABF
	00A9BE 20 FD E2		jsr $E2FD
	00A9C1 A9 FF		lda #$FF
	00A9C3 8D 83 01		sta $0183
	00A9C6 20 16 0D		jsr $0D16
	00A9C9 20 54 E0		jsr $E054{000A88}
	00A9CC 20 FA E2		jsr $E2FA
	00A9CF 20 41 FD		jsr $FD41
	00A9D2 20 35 FD		jsr $FD35
	00A9D5 D7 07		smb 5,$07		;Cx9	port E (R/W)
	00A9D7 A9 00		lda #$00
	00A9D9 8D 2F 01		sta $012F
	00A9DC A9 00		lda #$00
	00A9DE 8D 30 01		sta $0130
	00A9E1 20 26 E4		jsr $E426
	00A9E4 20 F0 0C		jsr $0CF0
	00A9E7 20 F5 0B		jsr $0BF5
	00A9EA F2 2E 01 01 08	bas $012E,$01,$00a9f7
	00A9EF A5 33		lda $33			;Cx9	chip select fast/slow
	00A9F1 29 3F		and #$3F'?'
	00A9F3 09 80		ora #$80
	00A9F5 85 33		sta $33			;Cx9	chip select fast/slow
00A9F7	00A9F7 20 5D E0		jsr $E05D{0009F8}
	00A9FA 20 AE E3		jsr $E3AE
	00A9FD 77 6B		rmb 7,6B
	00A9FF 20 21 E3		jsr $E321
	00AA02 20 24 E3		jsr $E324
	00AA05 B2 19 A7		sti #$19,$A7
	00AA08 B2 04 A8		sti #$04,$A8
	00AA0B A9 0D		lda #$0D
	00AA0D 8D 19 04		sta $0419
	00AA10 57 73		rmb 5,$73
	00AA12 07 81		rmb 0,$81
	00AA14 67 81		rmb 6,$81
	00AA16 20 B1 EE		jsr $EEB1
	00AA19 37 6E		rmb 3,$6E
	00AA1B 58		cli
	00AA1C 20 94 E2		jsr $E294
	00AA1F AD 5A 04		lda $045A
	00AA22 C9 FF		cmp #$FF
	00AA24 D0 06		bne $00aa2c
	00AA26 48		pha
	00AA27 D2 04 68 01	sba $04,$0168
	00AA2B 68		pla
00AA2C	00AA2C D2 08 53 01	sba $08,$0153
	00AA30 C2 04 67 01	rba $04,$0167
	00AA34 F7 5B		smb 7,$5B
	00AA36 A9 20		lda #$20' '
	00AA38 8D BD 00		sta $00BD
	00AA3B A9 E1		lda #$E1
	00AA3D 8D BE 00		sta $00BE
	00AA40 9F 62 03		bbs 1,$62,$00aa46
	00AA43 20 68 E4		jsr $E468
00AA46	00AA46 7F 5B 03		bbr 7,$5B,$00aa4c
	00AA49 20 4A 02		jsr $024A
00AA4C	00AA4C 5F 5B 03		bbr 5,$5B,$00aa52
	00AA4F 20 4D 02		jsr $024D
00AA52	00AA52 E2 52 01 10 03	bar $0152,$10,$00aa5a
	00AA57 20 BC 00		jsr $00BC
00AA5A	00AA5A 6F 57 03		bbr 6,$57,$00aa60
	00AA5D 20 41 02		jsr $0241
00AA60	00AA60 0F 57 03		bbr 0,$57,$00aa66
	00AA63 20 32 02		jsr $0232
00AA66	00AA66 2F 57 03		bbr 2,$57,$00aa6c
	00AA69 20 38 02		jsr $0238
00AA6C	00AA6C 3F 57 03		bbr 3,$57,$00aa72
	00AA6F 20 3B 02		jsr $023B
00AA72	00AA72 1F 57 03		bbr 1,$57,$00aa78
	00AA75 20 35 02		jsr $0235
00AA78	00AA78 5F 57 03		bbr 5,$57,$00aa7e
	00AA7B 20 3E 02		jsr $023E
00AA7E	00AA7E 7F 57 03		bbr 7,$57,$00aa84
	00AA81 20 47 02		jsr $0247
00AA84	00AA84 1F 5C 03		bbr 1,$5C,$00aa8a
	00AA87 20 44 02		jsr $0244
00AA8A	00AA8A CF 61 B9		bbs 4,$61,$00aa46
	00AA8D 20 12 E3		jsr $E312
	00AA90 80 B4		bra $00aa46

00AA92	00AA92 20 BF 0A		jsr $0ABF
	00AA95 D2 01 99 00	sba $01,$0099
	00AA99 A5 99		lda $99
	00AA9B 85 03		sta $03			;Cx9	port A direction (R/O)
00AA9D	00AA9D A5 47		lda $47
	00AA9F 85 46		sta $46
00AAA1	00AAA1 20 AF 0A		jsr $0AAF
	00AAA4 C6 46		dec $46
	00AAA6 D0 F9		bne $00aaa1
	00AAA8 A2 0F		ldx #$0F
	00AAAA 20 AB F2		jsr $F2AB
	00AAAD 80 EE		bra $00aa9d

00AAAF	00AAAF 20 FD E2		jsr $E2FD
	00AAB2 A2 05		ldx #$05
	00AAB4 20 AB F2		jsr $F2AB
	00AAB7 20 FA E2		jsr $E2FA
	00AABA A2 05		ldx #$05
	00AABC 4C AB F2		jmp $F2AB

00AABF	00AABF B7 02		smb 3,$02		;Cx9	port C (bidirectional)
	00AAC1 F7 01		smb 7,$01		;Cx9	port B (output only)
	00AAC3 E7 01		smb 6,$01		;Cx9	port B (output only)
	00AAC5 C7 02		smb 4,$02		;Cx9	port C (bidirectional)
	00AAC7 60		rts

00AAC8	00AAC8 A2 20		ldx #$20' '
	00AACA B2 32 40		sti #$32'2',$40
	00AACD B2 02 41		sti #$02,$41
00AAD0	00AAD0 A9 4C		lda #$4C'L'
	00AAD2 81 40		sta ($40)
	00AAD4 DA		phx
	00AAD5 A2 01		ldx #$01
	00AAD7 A9 0F		lda #$0F
	00AAD9 91 40		sta ($40),x
	00AADB E8		inx
	00AADC A9 E5		lda #$E5
	00AADE 91 40		sta ($40),x
	00AAE0 FA		plx
	00AAE1 18		clc
	00AAE2 A5 40		lda $40
	00AAE4 69 03		adc #$03
	00AAE6 85 40		sta $40
	00AAE8 A5 41		lda $41
	00AAEA 69 00		adc #$00
	00AAEC 85 41		sta $41
	00AAEE CA		dex
	00AAEF D0 DF		bne $00aad0
	00AAF1 A9 66		lda #$66'f'
	00AAF3 8D 33 02		sta $0233
	00AAF6 A9 E3		lda #$E3
	00AAF8 8D 34 02		sta $0234
	00AAFB A9 06		lda #$06
	00AAFD 8D 36 02		sta $0236
	00AB00 A9 08		lda #$08
	00AB02 8D 37 02		sta $0237
	00AB05 A9 36		lda #$36'6'
	00AB07 8D 39 02		sta $0239
	00AB0A A9 E0		lda #$E0
	00AB0C 8D 3A 02		sta $023A
	00AB0F A9 C3		lda #$C3
	00AB11 8D 3C 02		sta $023C
	00AB14 A9 E0		lda #$E0
	00AB16 8D 3D 02		sta $023D
	00AB19 A9 03		lda #$03
	00AB1B 8D 3F 02		sta $023F	; E303 - ring
	00AB1E A9 E3		lda #$E3
	00AB20 8D 40 02		sta $0240
	00AB23 A9 4C		lda #$4C'L'
	00AB25 8D BC 00		sta $00BC
	00AB28 8D 4D 02		sta $024D
	00AB2B A9 6E		lda #$6E'n'
	00AB2D 8D 4B 02		sta $024B
	00AB30 A9 E4		lda #$E4
	00AB32 8D 4C 02		sta $024C
	00AB35 A9 20		lda #$20' '
	00AB37 8D BD 00		sta $00BD
	00AB3A A9 E1		lda #$E1
	00AB3C 8D BE 00		sta $00BE
	00AB3F A9 05		lda #$05
	00AB41 8D 4E 02		sta $024E
	00AB44 A9 E1		lda #$E1
	00AB46 8D 4F 02		sta $024F
	00AB49 A9 E3		lda #$E3
	00AB4B 8D 45 02		sta $0245
	00AB4E A9 E1		lda #$E1
	00AB50 8D 46 02		sta $0246
	00AB53 9F 62 0F		bbs 1,$62,$00ab65
	00AB56 A9 4C		lda #$4C'L'
	00AB58 8D 5D 86		sta $865D
	00AB5B A9 0F		lda #$0F
	00AB5D 8D 5E 86		sta $865E
	00AB60 A9 E5		lda #$E5
	00AB62 8D 5F 86		sta $865F
00AB65	00AB65 A9 09		lda #$09
	00AB67 8D 60 02		sta $0260
	00AB6A A9 E3		lda #$E3
	00AB6C 8D 61 02		sta $0261
	00AB6F A9 27		lda #$27'''
	00AB71 8D 66 02		sta $0266
	00AB74 A9 08		lda #$08
	00AB76 8D 67 02		sta $0267
	00AB79 A9 68		lda #$68'h'
	00AB7B 8D 6F 02		sta $026F
	00AB7E A9 09		lda #$09
	00AB80 8D 70 02		sta $0270
	00AB83 A9 89		lda #$89
	00AB85 8D 72 02		sta $0272
	00AB88 A9 09		lda #$09
	00AB8A 8D 73 02		sta $0273
	00AB8D A9 55		lda #$55'U'
	00AB8F 8D 78 02		sta $0278
	00AB92 A9 EC		lda #$EC
	00AB94 8D 79 02		sta $0279
	00AB97 A9 A5		lda #$A5
	00AB99 8D 7B 02		sta $027B
	00AB9C A9 E3		lda #$E3
	00AB9E 8D 7C 02		sta $027C
	00ABA1 A9 D6		lda #$D6
	00ABA3 8D 7E 02		sta $027E
	00ABA6 A9 F2		lda #$F2
	00ABA8 8D 7F 02		sta $027F
	00ABAB A9 93		lda #$93
	00ABAD 8D 81 02		sta $0281
	00ABB0 A9 E0		lda #$E0
	00ABB2 8D 82 02		sta $0282
	00ABB5 A9 96		lda #$96
	00ABB7 8D 84 02		sta $0284
	00ABBA A9 E0		lda #$E0
	00ABBC 8D 85 02		sta $0285
	00ABBF A9 FB		lda #$FB
	00ABC1 8D 90 02		sta $0290
	00ABC4 A9 E8		lda #$E8
	00ABC6 8D 91 02		sta $0291
	00ABC9 A0 06		ldy #$06
	00ABCB F0 0C		beq $00abd9
	00ABCD 88		dey
00ABCE	00ABCE B9 E7 0B		lda $0BE7,y
	00ABD1 99 57		sta $57,y
	00ABD3 00		brk
	00ABD4 88		dey
	00ABD5 C0 FF		cpy #$FF
	00ABD7 D0 F5		bne $00abce
00ABD9	00ABD9 A9 FF		lda #$FF
	00ABDB 85 5D		sta $5D
	00ABDD 85 5E		sta $5E
	00ABDF 85 5F		sta $5F
	00ABE1 A9 1E		lda #$1E
	00ABE3 8D 93 03		sta $0393
	00ABE6 60		rts

00ABE7	00ABE7 32		pul
	00ABE8 01 1B		ora ($1B)		;Cx9	bank switch register 3 (R/W)
	00ABEA 71 03		adc ($03),x		;Cx9	port A direction (R/O)
	00ABEC 11 92		ora ($92),x
	00ABEE 82		???			;undocumented opcode
	00ABEF 92		???			;undocumented opcode
	00ABF0 82		???			;undocumented opcode
	00ABF1 80 80		bra $00ab73

00ABF3	00ABF3 80 83		bra $00ab78

00ABF5	00ABF5 A9 00		lda #$00
	00ABF7 8D 2E 01		sta $012E
	00ABFA AD 2D 01		lda $012D
	00ABFD 8D 2E 01		sta $012E
	00AC00 E2 2E 01 20 05	bar $012E,$20,$00ac0a
	00AC05 A9 01		lda #$01
	00AC07 8D 79 04		sta $0479
00AC0A	00AC0A 60		rts

00AC0B	00AC0B AD 6F 04		lda $046F
	00AC0E 38		sec
	00AC0F E9 41		sbc #$41'A'
	00AC11 AA		tax
	00AC12 BD ED 0B		lda $0BED,x
	00AC15 D0 07		bne $00ac1e
	00AC17 A9 03		lda #$03
	00AC19 85 47		sta $47
	00AC1B 4C 92 0A		jmp $0A92

00AC1E	00AC1E 8D 2E 01		sta $012E
	00AC21 60		rts

00AC22	00AC22 A5 05		lda $05			;Cx9	port B select (R/W)
	00AC24 09 02		ora #$02
	00AC26 85 05		sta $05			;Cx9	port B select (R/W)
	00AC28 A2 00		ldx #$00
	00AC2A 8E 65 01		stx $0165
	00AC2D 8E 66 01		stx $0166
	00AC30 B2 C7 44		sti #$C7,$44
	00AC33 B2 07 45		sti #$07,$45
	00AC36 A1 44		lda ($44)
	00AC38 C9 4C		cmp #$4C'L'
	00AC3A F0 03		beq $00ac3f
	00AC3C 4C A5 0C		jmp $0CA5

00AC3F	00AC3F B2 EC 40		sti #$EC,$40
	00AC42 B2 0C 41		sti #$0C,$41
	00AC45 20 B0 0C		jsr $0CB0
	00AC48 90 06		bcc $00ac50
	00AC4A D2 80 65 01	sba $80,$0165
	00AC4E 80 59		bra $00aca9

00AC50	00AC50 B2 D0 40		sti #$D0,$40
	00AC53 B2 0C 41		sti #$0C,$41
	00AC56 20 B0 0C		jsr $0CB0
	00AC59 90 06		bcc $00ac61
	00AC5B D2 02 65 01	sba $02,$0165
	00AC5F 80 48		bra $00aca9

00AC61	00AC61 B2 D4 40		sti #$D4,$40
	00AC64 B2 0C 41		sti #$0C,$41
	00AC67 20 B0 0C		jsr $0CB0
	00AC6A 90 06		bcc $00ac72
	00AC6C D2 08 65 01	sba $08,$0165
	00AC70 80 37		bra $00aca9

00AC72	00AC72 B2 D8 40		sti #$D8,$40
	00AC75 B2 0C 41		sti #$0C,$41
	00AC78 20 B0 0C		jsr $0CB0
	00AC7B 90 06		bcc $00ac83
	00AC7D D2 10 65 01	sba $10,$0165
	00AC81 80 26		bra $00aca9

00AC83	00AC83 B2 DC 40		sti #$DC,$40
	00AC86 B2 0C 41		sti #$0C,$41
	00AC89 20 B0 0C		jsr $0CB0
	00AC8C 90 06		bcc $00ac94
	00AC8E D2 04 65 01	sba $04,$0165
	00AC92 80 15		bra $00aca9

00AC94	00AC94 B2 E0 40		sti #$E0,$40
	00AC97 B2 0C 41		sti #$0C,$41
	00AC9A 20 B0 0C		jsr $0CB0
	00AC9D 90 06		bcc $00aca5
	00AC9F D2 01 66 01	sba $01,$0166
	00ACA3 80 04		bra $00aca9

00ACA5	00ACA5 D2 01 65 01	sba $01,$0165
00ACA9	00ACA9 A5 05		lda $05			;Cx9	port B select (R/W)
	00ACAB 29 FD		and #$FD
	00ACAD 85 05		sta $05			;Cx9	port B select (R/W)
	00ACAF 60		rts

00ACB0	00ACB0 B2 C8 44		sti #$C8,$44
	00ACB3 B2 07 45		sti #$07,$45
00ACB6	00ACB6 A1 44		lda ($44)
	00ACB8 C1 40		cmp ($40)
	00ACBA D0 12		bne $00acce
	00ACBC E6 40		inc $40
	00ACBE D0 02		bne $00acc2
	00ACC0 E6 41		inc $41
00ACC2	00ACC2 E6 44		inc $44
	00ACC4 D0 02		bne $00acc8
	00ACC6 E6 45		inc $45
00ACC8	00ACC8 E8		inx
	00ACC9 E0 04		cpx #$04
	00ACCB 90 E9		bcc $00acb6
	00ACCD 60		rts

00ACCE	00ACCE 18		clc
	00ACCF 60		rts

00ACD0	00ACD0			.asciz /39023903390411061800130013011400/

	00ACF0 A9 FE		lda #$FE
	00ACF2 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00ACF5 A9 88		lda #$88
	00ACF7 20 9C FC		jsr $FC9C{meaddh_w}
	00ACFA AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	00ACFD 8D 6F 04		sta $046F
	00AD00 A9 08		lda #$08
	00AD02 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00AD05 A9 9F		lda #$9F
	00AD07 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00AD0A A9 80		lda #$80
	00AD0C 20 9C FC		jsr $FC9C{meaddh_w}
	00AD0F AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00AD12 8D 2D 01		sta $012D
	00AD15 60		rts

00AD16	00AD16 9F 62 05		bbs 1,$62,$00ad1e
	00AD19 A9 00		lda #$00
	00AD1B 8D 97 02		sta $0297
00AD1E	00AD1E 20 7F E2		jsr $E27F
	00AD21 AD 41 03		lda $0341
	00AD24 4C DE E3		jmp $E3DE

00AD27	00AD27 2F 65 08		bbr 2,$65,$00ad32
	00AD2A 37 57		rmb 3,$57
	00AD2C B2 00 AC		sti #$00,$AC
	00AD2F 4C 3F E0		jmp $E03F{004E16}

00AD32	00AD32 8F 61 17		bbs 0,$61,$00ad4c
	00AD35 8F 69 04		bbs 0,$69,$00ad3c
	00AD38 CF 5D 01		bbs 4,$5D,$00ad3c
	00AD3B 60		rts

00AD3C	00AD3C A5 AC		lda $AC
	00AD3E F0 0C		beq $00ad4c
	00AD40 57 6C		rmb 5,$6C
	00AD42 A5 A5		lda $A5
	00AD44 85 40		sta $40
	00AD46 A5 A6		lda $A6
	00AD48 85 41		sta $41
	00AD4A 87 58		smb 0,$58
00AD4C	00AD4C A5 AC		lda $AC
	00AD4E C9 43		cmp #$43'C'
	00AD50 F0 00		beq $00ad52
00AD52	00AD52 2F 62 0F		bbr 2,$62,$00ad64
	00AD55 1F 61 09		bbr 1,$61,$00ad61
	00AD58 A5 69		lda $69
	00AD5A 29 07		and #$07
	00AD5C F0 06		beq $00ad64
	00AD5E 4C 78 E3		jmp $E378

00AD61	00AD61 4C 02 0E		jmp $0E02

00AD64	00AD64 A5 AC		lda $AC
	00AD66 C9 44		cmp #$44'D'
	00AD68 F0 1D		beq $00ad87
	00AD6A C9 48		cmp #$48'H'
	00AD6C D0 21		bne $00ad8f
	00AD6E 8F 70 09		bbs 0,$70,$00ad7a
	00AD71 9F 70 06		bbs 1,$70,$00ad7a
	00AD74 9F 6C 03		bbs 1,$6C,$00ad7a
	00AD77 4C 1C 1E		jmp $1E1C

00AD7A	00AD7A 20 F3 F4		jsr $F4F3{dtroff}
	00AD7D A2 03		ldx #$03
	00AD7F 20 BB F2		jsr $F2BB
	00AD82 E7 5D		smb 6,$5D
	00AD84 07 6C		rmb 0,$6C
00AD86	00AD86 60		rts

00AD87	00AD87 8F 63 FC		bbs 0,$63,$00ad86
	00AD8A AD 07 01		lda $0107{s1}
	00AD8D D0 F7		bne $00ad86
00AD8F	00AD8F 3F 76 07		bbr 3,$76,$00ad99
	00AD92 0F 58 03		bbr 0,$58,$00ad98
	00AD95 20 53 02		jsr $0253
00AD98	00AD98 60		rts

00AD99	00AD99 A5 AC		lda $AC
	00AD9B D0 03		bne $00ada0
	00AD9D 4C E2 0D		jmp $0DE2

00ADA0	00ADA0 20 D4 FD		jsr $FDD4{ssti}
	00ADA3 87 61		smb 0,$61
	00ADA5 A5 AC		lda $AC
	00ADA7 B2 00 AC		sti #$00,$AC
	00ADAA C9 41		cmp #$41'A'		;! ATA?
	00ADAC D0 09		bne $00adb7
	00ADAE 3F 9B 03		bbr 3,$9B,$00adb4
	00ADB1 20 B4 18		jsr $18B4		;! b8b4?
00ADB4	00ADB4 4C 2D 1C		jmp $1C2D		;! bc2d?

00ADB7	00ADB7 C9 44		cmp #$44'D'
	00ADB9 D0 05		bne $00adc0
	00ADBB B2 01 77		sti #$01,$77
	00ADBE 80 22		bra $00ade2

00ADC0	00ADC0 C9 4F		cmp #$4F'O'
	00ADC2 D0 03		bne $00adc7
	00ADC4 4C 23 21		jmp $2123

00ADC7	00ADC7 C9 54		cmp #$54'T'
	00ADC9 D0 03		bne $00adce
	00ADCB 4C D6 21		jmp $21D6

00ADCE	00ADCE C9 46		cmp #$46'F'
	00ADD0 D0 03		bne $00add5
	00ADD2 4C 7E E3		jmp $E37E

00ADD5	00ADD5 C9 4B		cmp #$4B'K'
	00ADD7 D0 03		bne $00addc
	00ADD9 4C D3 1D		jmp $1DD3

00ADDC	00ADDC B2 04 A9		sti #$04,$A9
	00ADDF 4C 1C 1E		jmp $1E1C

00ADE2	00ADE2 A5 77		lda $77
	00ADE4 C9 01		cmp #$01
	00ADE6 D0 03		bne $00adeb
	00ADE8 4C 47 0E		jmp $0E47

00ADEB	00ADEB C9 02		cmp #$02
	00ADED D0 03		bne $00adf2
	00ADEF 4C 36 13		jmp $1336

00ADF2	00ADF2 C9 03		cmp #$03
	00ADF4 D0 39		bne $00ae2f
	00ADF6 4C 43 18		jmp $1843

00ADF9	00ADF9 B2 04 A9		sti #$04,$A9
	00ADFC 20 94 E2		jsr $E294
	00ADFF 37 57		rmb 3,$57
	00AE01 60		rts

00AE02	00AE02 B2 00 A9		sti #$00,$A9
	00AE05 A5 77		lda $77
	00AE07 C9 01		cmp #$01
	00AE09 F0 08		beq $00ae13
	00AE0B AD 07 01		lda $0107{s1}
	00AE0E D0 03		bne $00ae13
	00AE10 B2 03 A9		sti #$03,$A9
00AE13	00AE13 A9 14		lda #$14
	00AE15 8D 24 01		sta $0124
	00AE18 AD 5A 03		lda $035A
	00AE1B 8D 96 03		sta $0396
	00AE1E B2 00 76		sti #$00,$76
	00AE21 A5 7F		lda $7F
	00AE23 29 80		and #$80
	00AE25 85 7F		sta $7F
	00AE27 20 32 0E		jsr $0E32
	00AE2A F0 03		beq $00ae2f
	00AE2C 20 5D 46		jsr $465D
00AE2F	00AE2F 4C 1C 1E		jmp $1E1C

00AE32	00AE32 AD 4E 03		lda $034E
	00AE35 85 40		sta $40
	00AE37 AD 4F 03		lda $034F
	00AE3A 85 41		sta $41
	00AE3C A5 41		lda $41
	00AE3E C9 00		cmp #$00
	00AE40 D0 04		bne $00ae46
	00AE42 A5 40		lda $40
	00AE44 C9 00		cmp #$00
00AE46	00AE46 60		rts

00AE47	00AE47 1F 61 03		bbr 1,$61,$00ae4d
	00AE4A 4C F9 0D		jmp $0DF9

00AE4D	00AE4D A9 00		lda #$00
	00AE4F 8D 24 01		sta $0124
	00AE52 A9 00		lda #$00
	00AE54 8D DC 00		sta $00DC
	00AE57 A2 00		ldx #$00
00AE59	00AE59 B1 A5		lda ($A5),x
	00AE5B C9 53		cmp #$53'S'
	00AE5D D0 03		bne $00ae62
	00AE5F 4C 01 12		jmp $1201

00AE62	00AE62 C9 0D		cmp #$0D
	00AE64 F0 03		beq $00ae69
	00AE66 E8		inx
	00AE67 80 F0		bra $00ae59

00AE69	00AE69 CF 5F 03		bbs 4,$5F,$00ae6f
	00AE6C 4C F1 0E		jmp $0EF1

00AE6F	00AE6F B2 00 76		sti #$00,$76
	00AE72 8F 7C 1E		bbs 0,$7C,$00ae93
	00AE75 20 E3 24		jsr $24E3
	00AE78 F0 02		beq $00ae7c
	00AE7A C7 7F		smb 4,$7F
00AE7C	00AE7C 20 79 E2		jsr $E279
	00AE7F F0 12		beq $00ae93
	00AE81 C9 01		cmp #$01
	00AE83 F0 05		beq $00ae8a
	00AE85 B2 20 A9		sti #$20' ',$A9
	00AE88 80 03		bra $00ae8d

00AE8A	00AE8A B2 18 A9		sti #$18,$A9
00AE8D	00AE8D B2 00 77		sti #$00,$77
	00AE90 4C F1 0E		jmp $0EF1

00AE93	00AE93 A9 00		lda #$00
	00AE95 8D A5 03		sta $03A5
	00AE98 77 7A		rmb 7,7A
	00AE9A 20 82 F3		jsr $F382		;! DTMF on
	00AE9D 20 49 0F		jsr $0F49
	00AEA0 B2 9E 40		sti #$9E,$40
	00AEA3 B2 02 41		sti #$02,$41
	00AEA6 5F 7B 06		bbr 5,$7B,$00aeaf
	00AEA9 B2 B8 40		sti #$B8,$40
	00AEAC B2 02 41		sti #$02,$41
00AEAF	00AEAF 20 84 42		jsr $4284
	00AEB2 B2 B4 40		sti #$B4,$40
	00AEB5 B2 02 41		sti #$02,$41
	00AEB8 B2 B2 42		sti #$B2,$42
	00AEBB B2 02 43		sti #$02,$43
	00AEBE 5F 7B 0C		bbr 5,$7B,$00aecd
	00AEC1 B2 CE 40		sti #$CE,$40
	00AEC4 B2 02 41		sti #$02,$41
	00AEC7 B2 CC 42		sti #$CC,$42
	00AECA B2 02 43		sti #$02,$43
00AECD	00AECD 20 B8 45		jsr $45B8
	00AED0 20 D0 23		jsr $23D0
	00AED3 B7 76		smb 3,$76
	00AED5 B2 1F 78		sti #$1F,$78
	00AED8 CF 61 13		bbs 4,$61,$00aeee
	00AEDB 20 B4 18		jsr $18B4
	00AEDE 20 67 23		jsr $2367
	00AEE1 A9 00		lda #$00
	00AEE3 8D 96 03		sta $0396
	00AEE6 CF 61 09		bbs 4,$61,$00aef2
	00AEE9 B2 00 77		sti #$00,$77
	00AEEC 80 03		bra $00aef1

00AEEE	00AEEE 20 10 10		jsr $1010
00AEF1	00AEF1 60		rts

00AEF2	00AEF2 A5 4C		lda $4C
	00AEF4 29 0C		and #$0C
	00AEF6 4A		lsr a
	00AEF7 4A		lsr a
	00AEF8 F0 0F		beq $00af09
	00AEFA C9 03		cmp #$03
	00AEFC F0 0B		beq $00af09
	00AEFE A5 4C		lda $4C
	00AF00 29 03		and #$03
	00AF02 D0 02		bne $00af06
	00AF04 A9 01		lda #$01
00AF06	00AF06 20 B9 18		jsr $18B9
00AF09	00AF09 20 A2 F3		jsr $F3A2
	00AF0C 20 1F F7		jsr $F71F		;! CONF=81
	00AF0F AD 0C 01		lda $010C
	00AF12 6F 76 0A		bbr 6,$76,$00af1f
	00AF15 AE 97 02		ldx $0297
	00AF18 E0 16		cpx #$16
	00AF1A D0 03		bne $00af1f
	00AF1C AD 0D 01		lda $010D
00AF1F	00AF1F 20 C4 0F		jsr $0FC4
	00AF22 EF 76 08		bbs 6,$76,$00af2d
	00AF25 0F 7B 0B		bbr 0,$7B,$00af33
	00AF28 4F 4C 13		bbr 4,$4C,$00af3e
	00AF2B 80 06		bra $00af33

00AF2D	00AF2D B2 1F 78		sti #$1F,$78
	00AF30 20 FA 11		jsr $11FA
00AF33	00AF33 A9 1B		lda #$1B
	00AF35 8D 54 02		sta $0254
	00AF38 A9 10		lda #$10
	00AF3A 8D 55 02		sta $0255
	00AF3D 60		rts

00AF3E	00AF3E A9 E8		lda #$E8
	00AF40 8D 54 02		sta $0254
	00AF43 A9 12		lda #$12
	00AF45 8D 55 02		sta $0255
	00AF48 60		rts

00AF49	00AF49 AD 97 02		lda $0297
	00AF4C C9 2B		cmp #$2B'+'
	00AF4E F0 04		beq $00af54
	00AF50 C9 16		cmp #$16
	00AF52 D0 1E		bne $00af72
00AF54	00AF54 B2 00 41		sti #$00,$41
	00AF57 AD 11 01		lda $0111
	00AF5A 0A		asl a
	00AF5B 26 41		rol $41
	00AF5D 85 40		sta $40
	00AF5F AD 11 01		lda $0111
	00AF62 4A		lsr a
	00AF63 64 40		add $40
	00AF65 85 40		sta $40
	00AF67 A9 00		lda #$00
	00AF69 65 41		adc $41
	00AF6B 85 41		sta $41
	00AF6D 20 5D 46		jsr $465D
	00AF70 80 12		bra $00af84

00AF72	00AF72 20 32 0E		jsr $0E32
	00AF75 F0 16		beq $00af8d
	00AF77 20 5D 46		jsr $465D
	00AF7A AD 50 03		lda $0350
	00AF7D 85 40		sta $40
	00AF7F AD 51 03		lda $0351
	00AF82 85 41		sta $41
00AF84	00AF84 20 89 46		jsr $4689
	00AF87 5F 49 03		bbr 5,$49,$00af8d
	00AF8A 20 8C F3		jsr $F38C
00AF8D	00AF8D AD D0 02		lda $02D0
	00AF90 85 40		sta $40
	00AF92 AD D1 02		lda $02D1
	00AF95 85 41		sta $41
	00AF97 AD D2 02		lda $02D2
	00AF9A 85 42		sta $42
	00AF9C AD D3 02		lda $02D3
	00AF9F 85 43		sta $43
	00AFA1 4C F0 46		jmp $46F0

00AFA4	00AFA4 AD 0C 01		lda $010C
	00AFA7 AE 97 02		ldx $0297
	00AFAA E0 16		cpx #$16
	00AFAC D0 03		bne $00afb1
	00AFAE AD 0D 01		lda $010D
00AFB1	00AFB1 20 C4 0F		jsr $0FC4
	00AFB4 B2 1F 78		sti #$1F,$78
	00AFB7 67 78		rmb 6,$78
	00AFB9 A9 DA		lda #$DA
	00AFBB 8D 54 02		sta $0254
	00AFBE A9 0F		lda #$0F
	00AFC0 8D 55 02		sta $0255
	00AFC3 60		rts

00AFC4	00AFC4 85 40		sta $40
	00AFC6 A9 0A		lda #$0A
	00AFC8 85 44		sta $44
	00AFCA 20 2A E3		jsr $E32A
	00AFCD A5 40		lda $40
	00AFCF 8D 16 02		sta $0216
	00AFD2 A5 41		lda $41
	00AFD4 8D 17 02		sta $0217
	00AFD7 27 5E		rmb 2,$5E
	00AFD9 60		rts

00AFDA	00AFDA 2F 5E 06		bbr 2,$5E,$00afe3
00AFDD	00AFDD B2 06 A9		sti #$06,$A9
00AFE0	00AFE0 4C 1C 1E		jmp $1E1C

00AFE3	00AFE3 20 F5 15		jsr $15F5
	00AFE6 7F 78 08		bbr 7,$78,$00aff1
	00AFE9 0F 78 05		bbr 0,$78,$00aff1
00AFEC	00AFEC B2 07 A9		sti #$07,$A9
	00AFEF 80 EF		bra $00afe0

00AFF1	00AFF1 20 36 F9		jsr $F936
	00AFF4 D0 04		bne $00affa
	00AFF6 67 78		rmb 6,$78
	00AFF8 80 E0		bra $00afda

00AFFA	00AFFA EF 78 0E		bbs 6,$78,$00b00b
	00AFFD A9 06		lda #$06
	00AFFF 8D 14 02		sta $0214
	00B002 A9 00		lda #$00
	00B004 8D 15 02		sta $0215
	00B007 17 5E		rmb 1,$5E
	00B009 E7 78		smb 6,$78
00B00B	00B00B 9F 5E 02		bbs 1,$5E,$00b010
	00B00E 80 CA		bra $00afda

00B010	00B010 A9 3D		lda #$3D'='
	00B012 8D 54 02		sta $0254
	00B015 A9 10		lda #$10
	00B017 8D 55 02		sta $0255
	00B01A 60		rts

00B01B	00B01B EF 76 00		bbs 6,$76,$00b01e
00B01E	00B01E 2F 5E 08		bbr 2,$5E,$00b029
	00B021 AD 55 03		lda $0355
	00B024 8D 96 03		sta $0396
	00B027 80 B4		bra $00afdd

00B029	00B029 20 F5 15		jsr $15F5
	00B02C 8F 76 08		bbs 0,$76,$00b037
	00B02F 7F 78 0A		bbr 7,$78,$00b03c
	00B032 8F 78 B7		bbs 0,$78,$00afec
	00B035 80 05		bra $00b03c

00B037	00B037 07 76		rmb 0,$76
	00B039 20 10 10		jsr $1010
00B03C	00B03C 60		rts

00B03D	00B03D 20 F9 F8		jsr $F8F9{news?}
	00B040 D0 01		bne $00b043
	00B042 60		rts

00B043	00B043 5F 6C 10		bbr 5,$6C,$00b056
	00B046 57 6C		rmb 5,$6C
	00B048 20 14 FE		jsr $FE14{out_crlf}
	00B04B A5 A5		lda $A5
	00B04D 85 40		sta $40
	00B04F A5 A6		lda $A6
	00B051 85 41		sta $41
	00B053 20 91 E2		jsr $E291
00B056	00B056 2F 7D 02		bbr 2,$7D,$00b05b
	00B059 57 49		rmb 5,$49
00B05B	00B05B A1 A5		lda ($A5)
	00B05D C9 53		cmp #$53'S'
	00B05F D0 03		bne $00b064
	00B061 4C 01 12		jmp $1201

00B064	00B064 C9 54		cmp #$54'T'
	00B066 D0 16		bne $00b07e
	00B068 0F 7A 09		bbr 0,$7A,$00b074
	00B06B 0F 7E 06		bbr 0,$7E,$00b074
	00B06E 1F 7D 03		bbr 1,$7D,$00b074
	00B071 4C FA 11		jmp $11FA

00B074	00B074 20 82 F3		jsr $F382		;! DTMF on
	00B077 57 49		rmb 5,$49
	00B079 A7 6A		smb 2,$6A
	00B07B 4C FA 11		jmp $11FA

00B07E	00B07E C9 50		cmp #$50'P'
	00B080 D0 11		bne $00b093
	00B082 0F 7A 06		bbr 0,$7A,$00b08b
	00B085 1F 7D 03		bbr 1,$7D,$00b08b
	00B088 4C FA 11		jmp $11FA

00B08B	00B08B 20 8C F3		jsr $F38C
	00B08E D7 49		smb 5,$49
	00B090 4C FA 11		jmp $11FA

00B093	00B093 C9 52		cmp #$52'R'
	00B095 D0 03		bne $00b09a
	00B097 4C FA 11		jmp $11FA

00B09A	00B09A C9 57		cmp #$57'W'
	00B09C F0 0B		beq $00b0a9
	00B09E C9 3A		cmp #$3A':'
	00B0A0 F0 07		beq $00b0a9
	00B0A2 C9 26		cmp #$26'&'
	00B0A4 F0 47		beq $00b0ed
	00B0A6 4C F3 10		jmp $10F3

00B0A9	00B0A9 3F 7E 3C		bbr 3,$7E,$00b0e8
	00B0AC B2 B8 40		sti #$B8,$40
	00B0AF B2 02 41		sti #$02,$41
	00B0B2 4F 7F 12		bbr 4,$7F,$00b0c7
	00B0B5 AD A4 03		lda $03A4
	00B0B8 CD A5 03		cmp $03A5
	00B0BB D0 2B		bne $00b0e8
	00B0BD 47 7F		rmb 4,$7F
	00B0BF F7 7A		smb 7,$7A
	00B0C1 B2 6C 40		sti #$6C'l',$40
	00B0C4 B2 42 41		sti #$42'B',$41
00B0C7	00B0C7 20 84 42		jsr $4284
	00B0CA B2 CE 40		sti #$CE,$40
	00B0CD B2 02 41		sti #$02,$41
	00B0D0 B2 CC 42		sti #$CC,$42
	00B0D3 B2 02 43		sti #$02,$43
	00B0D6 7F 7A 0C		bbr 7,$7A,$00b0e5
	00B0D9 B2 80 40		sti #$80,$40
	00B0DC B2 42 41		sti #$42'B',$41
	00B0DF B2 82 42		sti #$82,$42
	00B0E2 B2 42 43		sti #$42'B',$43
00B0E5	00B0E5 20 B8 45		jsr $45B8
00B0E8	00B0E8 E7 76		smb 6,$76
	00B0EA 4C 0F 0F		jmp $0F0F

00B0ED	00B0ED 20 3A 49		jsr $493A
	00B0F0 20 A4 0F		jsr $0FA4
	00B0F3 C9 2C		cmp #$2C','
	00B0F5 D0 15		bne $00b10c
00B0F7	00B0F7 AD 0E 01		lda $010E
	00B0FA F0 0D		beq $00b109
	00B0FC 20 C4 0F		jsr $0FC4
	00B0FF A9 E8		lda #$E8
	00B101 8D 54 02		sta $0254
	00B104 A9 12		lda #$12
	00B106 8D 55 02		sta $0255
00B109	00B109 4C FA 11		jmp $11FA

00B10C	00B10C C9 3C		cmp #$3C'<'
	00B10E F0 E7		beq $00b0f7
	00B110 C9 3D		cmp #$3D'='
	00B112 F0 E3		beq $00b0f7
	00B114 C9 40		cmp #$40'@'
	00B116 D0 15		bne $00b12d
	00B118 B7 7A		smb 3,$7A
	00B11A B2 1F 78		sti #$1F,$78
	00B11D 20 C8 21		jsr $21C8
	00B120 A9 EF		lda #$EF
	00B122 8D 54 02		sta $0254
	00B125 A9 12		lda #$12
	00B127 8D 55 02		sta $0255
	00B12A 4C FA 11		jmp $11FA

00B12D	00B12D C9 21		cmp #$21'!'
	00B12F D0 1E		bne $00b14f
	00B131 AD 1C 01		lda $011C{s29}
	00B134 F0 16		beq $00b14c
	00B136 DF 49 13		bbs 5,$49,$00b14c
	00B139 20 86 25		jsr $2586
	00B13C A9 12		lda #$12
	00B13E 8D 54 02		sta $0254
	00B141 A9 13		lda #$13
	00B143 8D 55 02		sta $0255
	00B146 AD 44 03		lda $0344
	00B149 20 DE E3		jsr $E3DE
00B14C	00B14C 4C FA 11		jmp $11FA

00B14F	00B14F C9 5E		cmp #$5E'^'
	00B151 D0 02		bne $00b155
	00B153 97 68		smb 1,$68
00B155	00B155 C9 3B		cmp #$3B';'
	00B157 D0 28		bne $00b181
	00B159 E2 31 01 20 03	bar $0131,$20,$00b161
	00B15E 20 59 E4		jsr $E459
00B161	00B161 B2 00 76		sti #$00,$76
	00B164 37 57		rmb 3,$57
	00B166 A5 A5		lda $A5
	00B168 85 40		sta $40
	00B16A A5 A6		lda $A6
	00B16C 85 41		sta $41
	00B16E E6 40		inc $40
	00B170 D0 02		bne $00b174
	00B172 E6 41		inc $41
00B174	00B174 A5 40		lda $40
	00B176 85 A7		sta $A7
	00B178 A5 41		lda $41
	00B17A 85 A8		sta $A8
	00B17C 07 61		rmb 0,$61
	00B17E A7 57		smb 2,$57
	00B180 60		rts

00B181	00B181 C9 3E		cmp #$3E'>'
	00B183 D0 09		bne $00b18e
	00B185 2F 7B 03		bbr 2,$7B,$00b18b
	00B188 20 4E 25		jsr $254E
00B18B	00B18B 4C FA 11		jmp $11FA

00B18E	00B18E C9 4A		cmp #$4A'J'
	00B190 D0 03		bne $00b195
	00B192 4C FA 11		jmp $11FA

00B195	00B195 C9 4B		cmp #$4B'K'
	00B197 D0 0C		bne $00b1a5
	00B199 F2 84 01 40 04	bas $0184,$40,$00b1a2
	00B19E D2 04 84 01	sba $04,$0184
00B1A2	00B1A2 4C FA 11		jmp $11FA

00B1A5	00B1A5 C9 0D		cmp #$0D
	00B1A7 D0 1B		bne $00b1c4
	00B1A9 20 EA E3		jsr $E3EA
	00B1AC DF 49 0F		bbs 5,$49,$00b1be
	00B1AF A9 14		lda #$14
	00B1B1 8D 14 02		sta $0214
	00B1B4 A9 00		lda #$00
	00B1B6 8D 15 02		sta $0215
	00B1B9 17 5E		rmb 1,$5E
00B1BB	00B1BB 1F 5E FD		bbr 1,$5E,$00b1bb
00B1BE	00B1BE 37 76		rmb 3,$76
	00B1C0 B2 02 77		sti #$02,$77
	00B1C3 60		rts

00B1C4	00B1C4 C9 30		cmp #$30'0'
	00B1C6 90 0C		bcc $00b1d4
	00B1C8 C9 3A		cmp #$3A':'
	00B1CA B0 1B		bcs $00b1e7
	00B1CC 38		sec
	00B1CD E9 30		sbc #$30'0'
00B1CF	00B1CF 20 6F 12		jsr $126F
	00B1D2 80 26		bra $00b1fa

00B1D4	00B1D4 DF 49 23		bbs 5,$49,$00b1fa
	00B1D7 C9 23		cmp #$23'#'
	00B1D9 D0 04		bne $00b1df
	00B1DB A9 0B		lda #$0B
	00B1DD 80 F0		bra $00b1cf

00B1DF	00B1DF C9 2A		cmp #$2A'*'
	00B1E1 D0 17		bne $00b1fa
	00B1E3 A9 0A		lda #$0A
	00B1E5 80 E8		bra $00b1cf

00B1E7	00B1E7 DF 49 10		bbs 5,$49,$00b1fa
	00B1EA BF 7D 0D		bbs 3,$7D,$00b1fa
	00B1ED C9 41		cmp #$41'A'
	00B1EF 90 09		bcc $00b1fa
	00B1F1 C9 45		cmp #$45'E'
	00B1F3 B0 05		bcs $00b1fa
	00B1F5 38		sec
	00B1F6 E9 35		sbc #$35'5'
	00B1F8 80 D5		bra $00b1cf

00B1FA	00B1FA E6 A5		inc $A5
	00B1FC D0 02		bne $00b200
	00B1FE E6 A6		inc $A6
00B200	00B200 60		rts

00B201	00B201 DF 68 03		bbs 5,$68,$00b207
	00B204 4C 1C 1E		jmp $1E1C

00B207	00B207 A1 A5		lda ($A5)
	00B209 C9 50		cmp #$50'P'
	00B20B D0 02		bne $00b20f
	00B20D D7 49		smb 5,$49
00B20F	00B20F C9 54		cmp #$54'T'
	00B211 D0 02		bne $00b215
	00B213 57 49		rmb 5,$49
00B215	00B215 C9 53		cmp #$53'S'
	00B217 F0 05		beq $00b21e
	00B219 20 FA 11		jsr $11FA
	00B21C 80 E9		bra $00b207

00B21E	00B21E 20 FA 11		jsr $11FA
	00B221 A1 A5		lda ($A5)
	00B223 C9 3D		cmp #$3D'='
	00B225 F0 06		beq $00b22d
	00B227 C9 20		cmp #$20' '
	00B229 F0 F3		beq $00b21e
	00B22B 80 18		bra $00b245

00B22D	00B22D 20 FA 11		jsr $11FA
	00B230 A1 A5		lda ($A5)
	00B232 C9 20		cmp #$20' '
	00B234 F0 F7		beq $00b22d
	00B236 A5 A5		lda $A5
	00B238 85 40		sta $40
	00B23A A5 A6		lda $A6
	00B23C 85 41		sta $41
	00B23E 20 39 E0		jsr $E039{002EAC}
	00B241 C9 04		cmp #$04
	00B243 90 02		bcc $00b247
00B245	00B245 A9 00		lda #$00
00B247	00B247 B2 88 42		sti #$88,$42
	00B24A B2 04 43		sti #$04,$43
	00B24D 20 4B E0		jsr $E04B{0010B5}
	00B250 B2 88 42		sti #$88,$42
	00B253 B2 04 43		sti #$04,$43
	00B256 A5 42		lda $42
	00B258 85 A5		sta $A5
	00B25A A5 43		lda $43
	00B25C 85 A6		sta $A6
	00B25E A1 A5		lda ($A5)
	00B260 C9 0D		cmp #$0D
	00B262 F0 08		beq $00b26c
	00B264 D7 6C		smb 5,$6C
	00B266 B2 44 AC		sti #$44'D',$AC
	00B269 B7 57		smb 3,$57
	00B26B 60		rts

00B26C	00B26C 4C 1C 1E		jmp $1E1C

00B26F	00B26F 48		pha
	00B270 AF 6A 6E		bbs 2,$6A,$00b2e1
	00B273 DF 49 6B		bbs 5,$49,$00b2e1
	00B276 1F 7B 68		bbr 1,$7B,$00b2e1
	00B279 8F 7A 10		bbs 0,$7A,$00b28c
	00B27C 87 7A		smb 0,$7A
	00B27E A2 01		ldx #$01
	00B280 B1 A5		lda ($A5),x
	00B282 C9 30		cmp #$30'0'
	00B284 90 1D		bcc $00b2a3
	00B286 C9 3A		cmp #$3A':'
	00B288 B0 19		bcs $00b2a3
	00B28A 80 55		bra $00b2e1

00B28C	00B28C 9F 7A 52		bbs 1,$7A,$00b2e1
	00B28F A9 32		lda #$32'2'
	00B291 8D 14 02		sta $0214
	00B294 A9 00		lda #$00
	00B296 8D 15 02		sta $0215
	00B299 17 5E		rmb 1,$5E
00B29B	00B29B 1F 5E FD		bbr 1,$5E,$00b29b
	00B29E 20 30 F9		jsr $F930
	00B2A1 D0 04		bne $00b2a7
00B2A3	00B2A3 97 7A		smb 1,$7A
	00B2A5 80 3A		bra $00b2e1

00B2A7	00B2A7 68		pla
	00B2A8 AF 7A 0E		bbs 2,$7A,$00b2b9
	00B2AB A7 7A		smb 2,$7A
	00B2AD A9 14		lda #$14
	00B2AF 8D 18 02		sta $0218
	00B2B2 A9 00		lda #$00
	00B2B4 8D 19 02		sta $0219
	00B2B7 37 5E		rmb 3,$5E
00B2B9	00B2B9 3F 5E 1B		bbr 3,$5E,$00b2d7
	00B2BC 27 7A		rmb 2,$7A
	00B2BE 20 8C F3		jsr $F38C
	00B2C1 D7 49		smb 5,$49
	00B2C3 A5 A5		lda $A5
	00B2C5 D0 02		bne $00b2c9
	00B2C7 C6 A6		dec $A6
00B2C9	00B2C9 C6 A5		dec $A5
	00B2CB A5 A5		lda $A5
	00B2CD D0 02		bne $00b2d1
	00B2CF C6 A6		dec $A6
00B2D1	00B2D1 C6 A5		dec $A5
	00B2D3 97 7A		smb 1,$7A
	00B2D5 A7 6A		smb 2,$6A
00B2D7	00B2D7 A5 A5		lda $A5
	00B2D9 D0 02		bne $00b2dd
	00B2DB C6 A6		dec $A6
00B2DD	00B2DD C6 A5		dec $A5
	00B2DF 80 06		bra $00b2e7

00B2E1	00B2E1 87 7A		smb 0,$7A
	00B2E3 68		pla
	00B2E4 20 13 24		jsr $2413
00B2E7	00B2E7 60		rts

00B2E8	00B2E8 2F 5E 03		bbr 2,$5E,$00b2ee
	00B2EB 20 10 10		jsr $1010
00B2EE	00B2EE 60		rts

00B2EF	00B2EF 7F 5F 05		bbr 7,$5F,$00b2f7
	00B2F2 B2 08 A9		sti #$08,$A9
	00B2F5 80 13		bra $00b30a

00B2F7	00B2F7 20 EC 15		jsr $15EC
	00B2FA BF 7A 04		bbs 3,$7A,$00b301
	00B2FD 20 10 10		jsr $1010
	00B300 60		rts

00B301	00B301 7F 78 0D		bbr 7,$78,$00b311
	00B304 0F 78 0A		bbr 0,$78,$00b311
	00B307 B2 07 A9		sti #$07,$A9
00B30A	00B30A 37 76		rmb 3,$76
	00B30C 37 7A		rmb 3,$7A
	00B30E B2 00 77		sti #$00,$77
00B311	00B311 60		rts

00B312	00B312 1F 5E 19		bbr 1,$5E,$00b32e
	00B315 20 EA E3		jsr $E3EA
	00B318 A9 2F		lda #$2F'/'
	00B31A 8D 54 02		sta $0254
	00B31D A9 13		lda #$13
	00B31F 8D 55 02		sta $0255
	00B322 A9 14		lda #$14
	00B324 8D 14 02		sta $0214
	00B327 A9 00		lda #$00
	00B329 8D 15 02		sta $0215
	00B32C 17 5E		rmb 1,$5E
00B32E	00B32E 60		rts

00B32F	00B32F 1F 5E 03		bbr 1,$5E,$00b335
	00B332 20 10 10		jsr $1010
00B335	00B335 60		rts

00B336	00B336 3F 76 03		bbr 3,$76,$00b33c
	00B339 4C 25 14		jmp $1425

00B33C	00B33C EF 68 08		bbs 6,$68,$00b347
	00B33F 20 37 29		jsr $2937
	00B342 B0 03		bcs $00b347
	00B344 20 1F F7		jsr $F71F		;! CONF=81
00B347	00B347 A5 69		lda $69
	00B349 29 07		and #$07
	00B34B F0 03		beq $00b350
	00B34D 20 48 F5		jsr $F548{rtsoff}
00B350	00B350 F2 52 01 01 15	bas $0152,$01,$00b36a
	00B355 A5 4C		lda $4C
	00B357 29 0C		and #$0C
	00B359 4A		lsr a
	00B35A 4A		lsr a
	00B35B C9 03		cmp #$03
	00B35D D0 0B		bne $00b36a
	00B35F A5 4C		lda $4C
	00B361 29 03		and #$03
	00B363 D0 02		bne $00b367
	00B365 A9 01		lda #$01
00B367	00B367 20 B8 FC		jsr $FCB8
00B36A	00B36A 20 37 29		jsr $2937
	00B36D 90 06		bcc $00b375
	00B36F 20 52 4A		jsr $4A52
	00B372 20 2B 4A		jsr $4A2B
00B375	00B375 AE 98 9A		ldx $9A98
	00B378 F0 12		beq $00b38c
	00B37A 20 79 28		jsr $2879
	00B37D C9 17		cmp #$17
	00B37F D0 05		bne $00b386
	00B381 20 01 26		jsr $2601
	00B384 A9 17		lda #$17
00B386	00B386 20 59 F7		jsr $F759
	00B389 20 EE F4		jsr $F4EE
00B38C	00B38C B7 76		smb 3,$76
	00B38E B2 B6 40		sti #$B6,$40
	00B391 B2 02 41		sti #$02,$41
	00B394 B2 B2 42		sti #$B2,$42
	00B397 B2 02 43		sti #$02,$43
	00B39A 20 B8 45		jsr $45B8
	00B39D B2 9E 40		sti #$9E,$40
	00B3A0 B2 02 41		sti #$02,$41
	00B3A3 20 84 42		jsr $4284
	00B3A6 B2 1F 78		sti #$1F,$78
	00B3A9 A9 36		lda #$36'6'
	00B3AB 8D 54 02		sta $0254
	00B3AE A9 13		lda #$13
	00B3B0 8D 55 02		sta $0255
	00B3B3 B2 03 A9		sti #$03,$A9
	00B3B6 20 C8 21		jsr $21C8
	00B3B9 AD 67 86		lda $8667
	00B3BC 20 E5 16		jsr $16E5
	00B3BF A5 69		lda $69
	00B3C1 29 07		and #$07
	00B3C3 F0 17		beq $00b3dc
	00B3C5 B2 32 40		sti #$32'2',$40
	00B3C8 B2 00 41		sti #$00,$41
	00B3CB 20 B5 46		jsr $46B5
	00B3CE B2 2C 40		sti #$2C',',$40
	00B3D1 B2 01 41		sti #$01,$41
	00B3D4 20 C9 46		jsr $46C9
	00B3D7 AD 26 01		lda $0126
	00B3DA 80 15		bra $00b3f1

00B3DC	00B3DC B2 3C 40		sti #$3C'<',$40
	00B3DF B2 00 41		sti #$00,$41
	00B3E2 20 B5 46		jsr $46B5
	00B3E5 B2 C0 40		sti #$C0,$40
	00B3E8 B2 00 41		sti #$00,$41
	00B3EB 20 C9 46		jsr $46C9
	00B3EE AD 25 01		lda $0125
00B3F1	00B3F1 20 0A 29		jsr $290A
	00B3F4 20 C9 47		jsr $47C9
	00B3F7 20 37 29		jsr $2937
	00B3FA B0 19		bcs $00b415
	00B3FC B2 58 40		sti #$58'X',$40
	00B3FF B2 42 41		sti #$42'B',$41
	00B402 20 06 43		jsr $4306
	00B405 A2 3C		ldx #$3C'<'
	00B407 20 60 E0		jsr $E060{001463}
	00B40A 85 40		sta $40
	00B40C E8		inx
	00B40D 20 60 E0		jsr $E060{001463}
	00B410 85 41		sta $41
	00B412 20 F4 45		jsr $45F4
00B415	00B415 47 6E		rmb 4,$6E
	00B417 67 6B		rmb 6,$6B
	00B419 A9 05		lda #$05
	00B41B 8D 1C 02		sta $021C
	00B41E A9 00		lda #$00
	00B420 8D 1D 02		sta $021D
	00B423 57 5E		rmb 5,$5E
	00B425 7F 5F 24		bbr 7,$5F,$00b44c
	00B428 1F 76 12		bbr 1,$76,$00b43d
	00B42B AD 57 03		lda $0357
	00B42E 8D 96 03		sta $0396
	00B431 AD 97 02		lda $0297
	00B434 C9 16		cmp #$16
	00B436 F0 0B		beq $00b443
	00B438 B2 08 A9		sti #$08,$A9
	00B43B 80 09		bra $00b446

00B43D	00B43D AD 58 03		lda $0358
	00B440 8D 96 03		sta $0396
00B443	00B443 B2 03 A9		sti #$03,$A9
00B446	00B446 B2 00 77		sti #$00,$77
	00B449 37 76		rmb 3,$76
	00B44B 60		rts

00B44C	00B44C 20 DB 14		jsr $14DB
	00B44F 3F 9B 16		bbr 3,$9B,$00b468
	00B452 AD 9D 03		lda $039D
	00B455 D0 0E		bne $00b465
	00B457 7F 5E 0E		bbr 7,$5E,$00b468
00B45A	00B45A F7 49		smb 7,$49
	00B45C CF 61 03		bbs 4,$61,$00b462
	00B45F 20 67 23		jsr $2367
00B462	00B462 4C AB 18		jmp $18AB

00B465	00B465 FF 5E F2		bbs 7,$5E,$00b45a
00B468	00B468 5F 78 39		bbr 5,$78,$00b4a4
	00B46B 3F 9B 03		bbr 3,$9B,$00b471
	00B46E 4C AB 18		jmp $18AB

00B471	00B471 A5 69		lda $69
	00B473 29 07		and #$07
	00B475 D0 15		bne $00b48c
	00B477 20 79 28		jsr $2879
	00B47A C9 0C		cmp #$0C
	00B47C D0 03		bne $00b481
	00B47E 4C 85 14		jmp $1485

00B481	00B481 C9 01		cmp #$01
	00B483 D0 13		bne $00b498
	00B485 F2 0B 06 10 19	bas $060B,$10,$00b4a3	;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	00B48A 80 0C		bra $00b498

00B48C	00B48C A9 0A		lda #$0A
	00B48E 8D 14 02		sta $0214
	00B491 A9 00		lda #$00
	00B493 8D 15 02		sta $0215
	00B496 17 5E		rmb 1,$5E
00B498	00B498 20 C8 21		jsr $21C8
	00B49B 20 1F F7		jsr $F71F		;! CONF=81
	00B49E B2 03 77		sti #$03,$77
	00B4A1 37 76		rmb 3,$76
00B4A3	00B4A3 60		rts

00B4A4	00B4A4 7F 78 FC		bbr 7,$78,$00b4a3
	00B4A7 DF 76 25		bbs 5,$76,$00b4cf
	00B4AA 9F 76 22		bbs 1,$76,$00b4cf
	00B4AD AD 97 02		lda $0297
	00B4B0 C9 10		cmp #$10
	00B4B2 D0 03		bne $00b4b7
	00B4B4 AF 76 06		bbs 2,$76,$00b4bd
00B4B7	00B4B7 AF 78 03		bbs 2,$78,$00b4bd
	00B4BA 0F 78 E6		bbr 0,$78,$00b4a3
00B4BD	00B4BD 6F 7D 03		bbr 6,$7D,$00b4c3
	00B4C0 5F 4C E0		bbr 5,$4C,$00b4a3
00B4C3	00B4C3 AD 56 03		lda $0356
	00B4C6 8D 96 03		sta $0396
	00B4C9 B2 07 A9		sti #$07,$A9
	00B4CC 4C 46 14		jmp $1446

00B4CF	00B4CF AD 59 03		lda $0359
	00B4D2 8D 96 03		sta $0396
	00B4D5 B2 03 A9		sti #$03,$A9
	00B4D8 4C 46 14		jmp $1446

00B4DB	00B4DB A5 69		lda $69
	00B4DD 29 07		and #$07
	00B4DF D0 0F		bne $00b4f0
	00B4E1 EF 7B 05		bbs 6,$7B,$00b4e9
	00B4E4 9F 68 09		bbs 1,$68,$00b4f0
	00B4E7 80 03		bra $00b4ec

00B4E9	00B4E9 1F 68 04		bbr 1,$68,$00b4f0
00B4EC	00B4EC C7 65		smb 4,$65
	00B4EE 80 25		bra $00b515

00B4F0	00B4F0 20 F9 F8		jsr $F8F9{news?}
	00B4F3 F0 20		beq $00b515
	00B4F5 5F 5E 1D		bbr 5,$5E,$00b515
	00B4F8 A9 23		lda #$23'#'
	00B4FA 8F 69 05		bbs 0,$69,$00b502
	00B4FD 9F 69 02		bbs 1,$69,$00b502
	00B500 A9 17		lda #$17
00B502	00B502 8D 1C 02		sta $021C
	00B505 A9 00		lda #$00
	00B507 8D 1D 02		sta $021D
	00B50A 57 5E		rmb 5,$5E
	00B50C 20 82 F3		jsr $F382		;! DTMF on
	00B50F 20 D4 FA		jsr $FAD4
	00B512 20 71 44		jsr $4471
00B515	00B515 20 37 29		jsr $2937
	00B518 90 2D		bcc $00b547
	00B51A F2 68 01 01 1C	bas $0168,$01,$00b53b
	00B51F F2 5B 01 08 17	bas $015B,$08,$00b53b
	00B524 D2 08 5B 01	sba $08,$015B
	00B528 20 7B E0		jsr $E07B
	00B52B A9 72		lda #$72'r'
	00B52D 8D BD 00		sta $00BD
	00B530 A9 E0		lda #$E0
	00B532 8D BE 00		sta $00BE
	00B535 48		pha
	00B536 D2 10 52 01	sba $10,$0152
	00B53A 68		pla
00B53B	00B53B 20 36 F9		jsr $F936
	00B53E D0 52		bne $00b592
	00B540 20 3C F9		jsr $F93C
	00B543 D0 4D		bne $00b592
	00B545 80 0F		bra $00b556

00B547	00B547 F2 0B 06 08 46	bas $060B,$08,$00b592	;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	00B54C E2 0B 06 10 05	bar $060B,$10,$00b556	;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	00B551 20 36 F9		jsr $F936
	00B554 D0 3C		bne $00b592
00B556	00B556 AD 98 9A		lda $9A98
	00B559 F0 11		beq $00b56c
	00B55B A9 02		lda #$02
	00B55D 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00B560 A9 83		lda #$83
	00B562 20 9C FC		jsr $FC9C{meaddh_w}
	00B565 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00B568 29 08		and #$08
	00B56A D0 26		bne $00b592
00B56C	00B56C A5 69		lda $69
	00B56E 29 07		and #$07
	00B570 F0 05		beq $00b577
	00B572 F2 0A 06 40 1B	bas $060A,$40,$00b592	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
00B577	00B577 4F 7A 72		bbr 4,$7A,$00b5ec
	00B57A CF 6E 0E		bbs 4,$6E,$00b58b
	00B57D C7 6E		smb 4,$6E
	00B57F A9 02		lda #$02
	00B581 8D 04 02		sta $0204
	00B584 A9 00		lda #$00
	00B586 8D 05 02		sta $0205
	00B589 17 5D		rmb 1,$5D
00B58B	00B58B 1F 5D 5E		bbr 1,$5D,$00b5ec
	00B58E 47 7A		rmb 4,$7A
	00B590 80 5A		bra $00b5ec

00B592	00B592 47 6E		rmb 4,$6E
	00B594 EF 6B 2C		bbs 6,$6B,$00b5c3
	00B597 CF 7A 0A		bbs 4,$7A,$00b5a4
	00B59A C7 7A		smb 4,$7A
	00B59C AD D8 02		lda $02D8
	00B59F F0 25		beq $00b5c6
	00B5A1 20 86 25		jsr $2586
00B5A4	00B5A4 1F 5E 45		bbr 1,$5E,$00b5ec
	00B5A7 9F 50 1C		bbs 1,$50,$00b5c6
	00B5AA 20 79 28		jsr $2879
	00B5AD C9 0B		cmp #$0B
	00B5AF F0 04		beq $00b5b5
	00B5B1 C9 09		cmp #$09
	00B5B3 D0 11		bne $00b5c6
00B5B5	00B5B5 20 1F F7		jsr $F71F		;! CONF=81
	00B5B8 E7 6B		smb 6,$6B
	00B5BA 38		sec
	00B5BB A9 64		lda #$64'd'
	00B5BD ED D8 02		sbc $02D8
	00B5C0 20 86 25		jsr $2586
00B5C3	00B5C3 1F 5E 25		bbr 1,$5E,$00b5eb
00B5C6	00B5C6 20 37 29		jsr $2937
	00B5C9 90 1C		bcc $00b5e7
	00B5CB F2 5B 01 04 17	bas $015B,$04,$00b5e7
	00B5D0 E2 5B 01 40 06	bar $015B,$40,$00b5db
	00B5D5 D2 04 5B 01	sba $04,$015B
	00B5D9 80 0C		bra $00b5e7

00B5DB	00B5DB 48		pha
	00B5DC C2 10 52 01	rba $10,$0152
	00B5E0 68		pla
	00B5E1 EF 9B 03		bbs 6,$9B,$00b5e7
	00B5E4 20 8A E0		jsr $E08A
00B5E7	00B5E7 D7 78		smb 5,$78
	00B5E9 77 78		rmb 7,78
00B5EB	00B5EB 60		rts

00B5EC	00B5EC 20 91 25		jsr $2591
	00B5EF 5F 78 03		bbr 5,$78,$00b5f5
	00B5F2 77 78		rmb 7,78
	00B5F4 60		rts

00B5F5	00B5F5 A5 78		lda $78
	00B5F7 C9 1F		cmp #$1F
	00B5F9 D0 2E		bne $00b629
	00B5FB A9 00		lda #$00
	00B5FD 85 78		sta $78
	00B5FF 8D A1 03		sta $03A1
	00B602 8D A3 03		sta $03A3
	00B605 8D 9D 03		sta $039D
	00B608 8D 9E 03		sta $039E
	00B60B 8D 9F 03		sta $039F
	00B60E 8D A0 03		sta $03A0
	00B611 8D CF 00		sta $00CF
	00B614 8D D0 00		sta $00D0
	00B617 8D D1 00		sta $00D1
	00B61A 3F 9B 08		bbr 3,$9B,$00b625
	00B61D 0F 85 05		bbr 0,$85,$00b625
	00B620 3F 61 02		bbr 3,$61,$00b625
	00B623 A9 02		lda #$02
00B625	00B625 8D 9C 03		sta $039C
00B628	00B628 60		rts

00B629	00B629 20 30 F9		jsr $F930
	00B62C D0 49		bne $00b677
	00B62E AD A1 03		lda $03A1
	00B631 F0 51		beq $00b684
	00B633 A9 00		lda #$00
	00B635 8D CC 00		sta $00CC
00B638	00B638 3F 7A 18		bbr 3,$7A,$00b653
	00B63B AD CF 00		lda $00CF
	00B63E 85 44		sta $44
	00B640 AD D0 00		lda $00D0
	00B643 85 45		sta $45
	00B645 A5 45		lda $45
	00B647 C9 01		cmp #$01
	00B649 D0 04		bne $00b64f
	00B64B A5 44		lda $44
	00B64D C9 F4		cmp #$F4
00B64F	00B64F 90 02		bcc $00b653
	00B651 37 7A		rmb 3,$7A
00B653	00B653 3F 7C D2		bbr 3,$7C,$00b628
	00B656 CF 76 03		bbs 4,$76,$00b65c
	00B659 1F 76 CC		bbr 1,$76,$00b628
00B65C	00B65C AD CF 00		lda $00CF
	00B65F 85 44		sta $44
	00B661 AD D0 00		lda $00D0
	00B664 85 45		sta $45
	00B666 A5 45		lda $45
	00B668 C9 03		cmp #$03
	00B66A D0 04		bne $00b670
	00B66C A5 44		lda $44
	00B66E C9 20		cmp #$20' '
00B670	00B670 90 04		bcc $00b676
	00B672 D7 76		smb 5,$76
	00B674 F7 78		smb 7,$78
00B676	00B676 60		rts

00B677	00B677 AD A1 03		lda $03A1
	00B67A D0 08		bne $00b684
	00B67C A9 00		lda #$00
	00B67E 8D CC 00		sta $00CC
	00B681 4C 01 17		jmp $1701

00B684	00B684 AD CC 00		lda $00CC
	00B687 A6 77		ldx $77
	00B689 E0 01		cpx #$01
	00B68B D0 0D		bne $00b69a
	00B68D CD 3A 03		cmp $033A
	00B690 B0 08		bcs $00b69a
	00B692 AD A1 03		lda $03A1
	00B695 D0 A1		bne $00b638
	00B697 4C 01 17		jmp $1701

00B69A	00B69A AD CF 00		lda $00CF
	00B69D 85 42		sta $42
	00B69F AD D0 00		lda $00D0
	00B6A2 85 43		sta $43
	00B6A4 A9 00		lda #$00
	00B6A6 8D CF 00		sta $00CF
	00B6A9 8D D0 00		sta $00D0
	00B6AC 7F 7D 08		bbr 7,$7D,$00b6b7
	00B6AF AE A1 03		ldx $03A1
	00B6B2 A5 42		lda $42
	00B6B4 9D 0D		sta $0D,x		;Cx9 PBB (R/W)
	00B6B6 03		tip
00B6B7	00B6B7 20 5A 17		jsr $175A
	00B6BA AD A1 03		lda $03A1
	00B6BD F0 1B		beq $00b6da
	00B6BF A9 00		lda #$00
	00B6C1 8D A1 03		sta $03A1
	00B6C4 A5 78		lda $78
	00B6C6 F0 28		beq $00b6f0
	00B6C8 EE A3 03		inc $03A3
	00B6CB AD A3 03		lda $03A3
	00B6CE CD DF 02		cmp $02DF
	00B6D1 90 1D		bcc $00b6f0
	00B6D3 A9 00		lda #$00
	00B6D5 8D A3 03		sta $03A3
	00B6D8 80 16		bra $00b6f0

00B6DA	00B6DA A9 04		lda #$04
	00B6DC 8D A1 03		sta $03A1
	00B6DF 1F 78 0D		bbr 1,$78,$00b6ef
	00B6E2 AD 66 86		lda $8666
	00B6E5 8D 20 02		sta $0220
	00B6E8 A9 00		lda #$00
	00B6EA 8D 21 02		sta $0221
	00B6ED 77 5E		rmb 7,5E
00B6EF	00B6EF 60		rts

00B6F0	00B6F0 7F 78 4E		bbr 7,$78,$00b741
	00B6F3 BF 78 40		bbs 3,$78,$00b736
	00B6F6 CF 78 3D		bbs 4,$78,$00b736
	00B6F9 1F 78 46		bbr 1,$78,$00b742
	00B6FC 77 78		rmb 7,78
	00B6FE 97 76		smb 1,$76
	00B700 60		rts

00B701	00B701 AD CF 00		lda $00CF
	00B704 85 44		sta $44
	00B706 AD D0 00		lda $00D0
	00B709 85 45		sta $45
	00B70B A5 45		lda $45
	00B70D C9 01		cmp #$01
	00B70F D0 04		bne $00b715
	00B711 A5 44		lda $44
	00B713 C9 F4		cmp #$F4
00B715	00B715 90 05		bcc $00b71c
	00B717 A7 76		smb 2,$76
	00B719 F7 78		smb 7,$78
	00B71B 60		rts

00B71C	00B71C EF 76 09		bbs 6,$76,$00b728
	00B71F A5 44		lda $44
	00B721 CD 52 03		cmp $0352
	00B724 90 13		bcc $00b739
	00B726 80 0E		bra $00b736

00B728	00B728 A5 45		lda $45
	00B72A CD 54 03		cmp $0354
	00B72D D0 05		bne $00b734
	00B72F A5 44		lda $44
	00B731 CD 53 03		cmp $0353
00B734	00B734 90 03		bcc $00b739
00B736	00B736 87 76		smb 0,$76
	00B738 60		rts

00B739	00B739 A5 44		lda $44
	00B73B C9 1E		cmp #$1E
	00B73D 90 02		bcc $00b741
	00B73F C7 76		smb 4,$76
00B741	00B741 60		rts

00B742	00B742 17 76		rmb 1,$76
	00B744 7F 7D 12		bbr 7,$7D,$00b759
	00B747 0F 78 0F		bbr 0,$78,$00b759
	00B74A AD 0D 03		lda $030D
	00B74D 4A		lsr a
	00B74E 89 FD		add #$FD
	00B750 CD 11 03		cmp $0311
	00B753 90 04		bcc $00b759
	00B755 07 78		rmb 0,$78
	00B757 77 78		rmb 7,78
00B759	00B759 60		rts

00B75A	00B75A AC A1 03		ldy $03A1
	00B75D AD A3 03		lda $03A3
	00B760 F0 04		beq $00b766
	00B762 98		tya
	00B763 89 2D		add #$2D'-'
	00B765 A8		tay
00B766	00B766 B2 00 47		sti #$00,$47
	00B769 A9 01		lda #$01
	00B76B 8D A2 03		sta $03A2
	00B76E 5A		phy
	00B76F A5 47		lda $47
	00B771 CD DE 02		cmp $02DE
	00B774 90 02		bcc $00b778
	00B776 68		pla
	00B777 60		rts

00B778	00B778 A5 43		lda $43
	00B77A D9 E1 02		cmp $02E1,y
	00B77D D0 05		bne $00b784
	00B77F A5 42		lda $42
	00B781 D9 E0 02		cmp $02E0,y
00B784	00B784 90 10		bcc $00b796
	00B786 C8		iny
	00B787 C8		iny
	00B788 A5 43		lda $43
	00B78A D9 E1 02		cmp $02E1,y
	00B78D D0 05		bne $00b794
	00B78F A5 42		lda $42
	00B791 D9 E0 02		cmp $02E0,y
00B794	00B794 90 4A		bcc $00b7e0
00B796	00B796 A9 FF		lda #$FF
	00B798 4D A2 03		eor $03A2
	00B79B 25 78		and $78
	00B79D 85 78		sta $78
	00B79F A2 00		ldx #$00
	00B7A1 A5 47		lda $47
	00B7A3 F0 0E		beq $00b7b3
	00B7A5 C9 01		cmp #$01
	00B7A7 F0 1A		beq $00b7c3
	00B7A9 C9 02		cmp #$02
	00B7AB F0 1B		beq $00b7c8
	00B7AD C9 03		cmp #$03
	00B7AF F0 1C		beq $00b7cd
	00B7B1 80 1F		bra $00b7d2

00B7B3	00B7B3 3F 9B 08		bbr 3,$9B,$00b7be
	00B7B6 0F 85 05		bbr 0,$85,$00b7be
	00B7B9 3F 61 02		bbr 3,$61,$00b7be
	00B7BC 80 03		bra $00b7c1

00B7BE	00B7BE 8E 9C 03		stx $039C
00B7C1	00B7C1 80 74		bra $00b837

00B7C3	00B7C3 8E 9D 03		stx $039D
	00B7C6 80 6F		bra $00b837

00B7C8	00B7C8 8E 9E 03		stx $039E
	00B7CB 80 6A		bra $00b837

00B7CD	00B7CD 8E 9F 03		stx $039F
	00B7D0 80 65		bra $00b837

00B7D2	00B7D2 8E A0 03		stx $03A0
	00B7D5 80 60		bra $00b837

00B7D7	00B7D7 A5 78		lda $78
	00B7D9 0D A2 03		ora $03A2
	00B7DC 85 78		sta $78
	00B7DE 80 57		bra $00b837

00B7E0	00B7E0 AD A1 03		lda $03A1
	00B7E3 F0 F2		beq $00b7d7
	00B7E5 A5 78		lda $78
	00B7E7 2D A2 03		and $03A2
	00B7EA F0 4B		beq $00b837
	00B7EC A5 47		lda $47
	00B7EE C9 01		cmp #$01
	00B7F0 90 1E		bcc $00b810
	00B7F2 F0 26		beq $00b81a
	00B7F4 C9 02		cmp #$02
	00B7F6 F0 2C		beq $00b824
	00B7F8 C9 03		cmp #$03
	00B7FA F0 0A		beq $00b806
	00B7FC EE A0 03		inc $03A0
	00B7FF AD A0 03		lda $03A0
	00B802 85 46		sta $46
	00B804 80 26		bra $00b82c

00B806	00B806 EE 9F 03		inc $039F
	00B809 AD 9F 03		lda $039F
	00B80C 85 46		sta $46
	00B80E 80 1C		bra $00b82c

00B810	00B810 EE 9C 03		inc $039C
	00B813 AD 9C 03		lda $039C
	00B816 85 46		sta $46
	00B818 80 12		bra $00b82c

00B81A	00B81A EE 9D 03		inc $039D
	00B81D AD 9D 03		lda $039D
	00B820 85 46		sta $46
	00B822 80 08		bra $00b82c

00B824	00B824 EE 9E 03		inc $039E
	00B827 AD 9E 03		lda $039E
	00B82A 85 46		sta $46
00B82C	00B82C C8		iny
	00B82D C8		iny
	00B82E A5 46		lda $46
	00B830 D9 E0 02		cmp $02E0,y
	00B833 90 02		bcc $00b837
	00B835 F7 78		smb 7,$78
00B837	00B837 68		pla
	00B838 89 09		add #$09
	00B83A A8		tay
	00B83B 0E A2 03		asl $03A2
	00B83E E6 47		inc $47
	00B840 4C 6E 17		jmp $176E

00B843	00B843 A5 69		lda $69
	00B845 29 07		and #$07
	00B847 D0 06		bne $00b84f
	00B849 20 B0 24		jsr $24B0
	00B84C 4C 52 18		jmp $1852

00B84F	00B84F 4C 8A E3		jmp $E38A

00B852	00B852 9F 50 05		bbs 1,$50,$00b85a
	00B855 A9 00		lda #$00
	00B857 20 BD F6		jsr $F6BD
00B85A	00B85A A9 00		lda #$00
	00B85C 8D 7F 03		sta $037F
	00B85F B2 19 A7		sti #$19,$A7
	00B862 B2 04 A8		sti #$04,$A8
	00B865 20 43 F5		jsr $F543{rtson}
	00B868 B7 76		smb 3,$76
	00B86A 9F 61 12		bbs 1,$61,$00b87f
	00B86D 97 58		smb 1,$58
	00B86F 20 53 2F		jsr $2F53
	00B872 57 65		rmb 5,$65
	00B874 A9 C1		lda #$C1
	00B876 8D 54 02		sta $0254
	00B879 A9 18		lda #$18
	00B87B 8D 55 02		sta $0255
	00B87E 60		rts

00B87F	00B87F 87 5F		smb 0,$5F
	00B881 A5 4E		lda $4E
	00B883 29 0B		and #$0B
	00B885 C9 01		cmp #$01
	00B887 F0 04		beq $00b88d
	00B889 C9 08		cmp #$08
	00B88B D0 13		bne $00b8a0
00B88D	00B88D AD 1A 01		lda $011A
	00B890 F0 0E		beq $00b8a0
	00B892 8D 22 02		sta $0222
	00B895 A9 00		lda #$00
	00B897 8D 23 02		sta $0223
	00B89A 07 5F		rmb 0,$5F
	00B89C 27 63		rmb 2,$63
	00B89E 07 64		rmb 0,$64
00B8A0	00B8A0 A9 73		lda #$73's'
	00B8A2 8D 54 02		sta $0254
	00B8A5 A9 19		lda #$19
	00B8A7 8D 55 02		sta $0255
	00B8AA 60		rts

;;; 0018AB

00B8AB	00B8AB 37 57		rmb 3,$57
	00B8AD 37 76		rmb 3,$76
	00B8AF 07 61		rmb 0,$61
	00B8B1 87 57		smb 0,$57
	00B8B3 60		rts

00B8B4	00B8B4 A9 00		lda #$00
	00B8B6 4C B8 FC		jmp $FCB8		;! -> FA9B(3a9b)

00B8B9	00B8B9 A2 0C		ldx #$0C
	00B8BB 20 B6 F2		jsr $F2B6
	00B8BE 4C B8 FC		jmp $FCB8

00B8C1	00B8C1 7F 5F 0E		bbr 7,$5F,$00b8d2
	00B8C4 37 76		rmb 3,$76
	00B8C6 B2 00 77		sti #$00,$77
	00B8C9 A9 04		lda #$04
	00B8CB 8D 24 01		sta $0124
	00B8CE B2 03 A9		sti #$03,$A9
	00B8D1 60		rts

00B8D2	00B8D2 1F 58 03		bbr 1,$58,$00b8d8
	00B8D5 20 56 02		jsr $0256
00B8D8	00B8D8 E2 0F 06 10 4E	bar $060F,$10,$00b92b	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	00B8DD 20 20 FD		jsr $FD20
	00B8E0 20 F3 F8		jsr $F8F3
	00B8E3 D0 04		bne $00b8e9
	00B8E5 17 63		rmb 1,$63
	00B8E7 80 42		bra $00b92b

00B8E9	00B8E9 9F 63 11		bbs 1,$63,$00b8fd
	00B8EC AD 0F 01		lda $010F
	00B8EF F0 0C		beq $00b8fd
	00B8F1 8D 16 02		sta $0216
	00B8F4 A9 00		lda #$00
	00B8F6 8D 17 02		sta $0217
	00B8F9 27 5E		rmb 2,$5E
	00B8FB 97 63		smb 1,$63
00B8FD	00B8FD 4F 5F 2B		bbr 4,$5F,$00b92b
	00B900 1F 61 28		bbr 1,$61,$00b92b
	00B903 20 A8 F8		jsr $F8A8
	00B906 C9 84		cmp #$84
	00B908 D0 0C		bne $00b916
	00B90A 20 99 F9		jsr $F999
	00B90D C9 02		cmp #$02
	00B90F D0 05		bne $00b916
	00B911 A9 04		lda #$04
	00B913 20 59 F7		jsr $F759
00B916	00B916 A9 00		lda #$00
	00B918 8D 24 01		sta $0124
	00B91B 3F 6A 0D		bbr 3,$6A,$00b92b
	00B91E AD 1A 01		lda $011A
	00B921 8D 2A 02		sta $022A
	00B924 A9 00		lda #$00
	00B926 8D 2B 02		sta $022B
	00B929 47 5F		rmb 4,$5F
00B92B	00B92B 9F 61 2D		bbs 1,$61,$00b95b
	00B92E FF 49 29		bbs 7,$49,$00b95a
	00B931 A5 69		lda $69
	00B933 29 30		and #$30'0'
	00B935 4A		lsr a
	00B936 4A		lsr a
	00B937 4A		lsr a
	00B938 4A		lsr a
	00B939 F0 1F		beq $00b95a
	00B93B DF 65 1C		bbs 5,$65,$00b95a
	00B93E 20 5E 19		jsr $195E
	00B941 B0 15		bcs $00b958
	00B943 F2 0C 06 10 10	bas $060C,$10,$00b958	;DPi AADET/ACDET/CADET/CCDET/SDET
	00B948 F2 0C 06 80 0B	bas $060C,$80,$00b958	;DPi AADET/ACDET/CADET/CCDET/SDET
	00B94D F2 0D 06 20 06	bas $060D,$20,$00b958	;DPi P2DET/PNDET/S1DET/SCR1/U1DET
	00B952 5F 5F 05		bbr 5,$5F,$00b95a
	00B955 4C 77 1D		jmp $1D77

00B958	00B958 D7 65		smb 5,$65
00B95A	00B95A 60		rts

00B95B	00B95B 4C 73 19		jmp $1973

00B95E	00B95E A9 01		lda #$01
	00B960 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00B963 A9 83		lda #$83
	00B965 20 9C FC		jsr $FC9C{meaddh_w}
	00B968 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00B96B 29 04		and #$04
	00B96D D0 02		bne $00b971
	00B96F 18		clc
	00B970 60		rts

00B971	00B971 38		sec
	00B972 60		rts

00B973	00B973 87 5D		smb 0,$5D
	00B975 F2 52 01 01 0D	bas $0152,$01,$00b987
	00B97A A5 4C		lda $4C
	00B97C 29 0C		and #$0C
	00B97E 4A		lsr a
	00B97F 4A		lsr a
	00B980 C9 02		cmp #$02
	00B982 F0 03		beq $00b987
	00B984 20 B4 18		jsr $18B4
00B987	00B987 20 43 F5		jsr $F543{rtson}
	00B98A 3F 7F 0B		bbr 3,$7F,$00b998
	00B98D A5 4E		lda $4E
	00B98F 29 0B		and #$0B
	00B991 C9 08		cmp #$08
	00B993 F0 03		beq $00b998
	00B995 4C 48 1A		jmp $1A48

00B998	00B998 FF 49 12		bbs 7,$49,$00b9ad
	00B99B 5F 69 0F		bbr 5,$69,$00b9ad
	00B99E 20 D6 E2		jsr $E2D6
	00B9A1 B2 23 A9		sti #$23'#',$A9
	00B9A4 37 57		rmb 3,$57
	00B9A6 37 76		rmb 3,$76
	00B9A8 07 61		rmb 0,$61
	00B9AA B7 69		smb 3,$69
	00B9AC 60		rts

00B9AD	00B9AD F7 65		smb 7,$65
	00B9AF 0F 62 03		bbr 0,$62,$00b9b5
	00B9B2 4C 48 1A		jmp $1A48

00B9B5	00B9B5 8F 81 22		bbs 0,$81,$00b9da
	00B9B8 67 81		rmb 6,$81
	00B9BA 7F 49 0D		bbr 7,$49,$00b9ca
	00B9BD AD 81 04		lda $0481		;Cx9 CRC	result hi/initialize
	00B9C0 C9 06		cmp #$06
	00B9C2 D0 0D		bne $00b9d1
00B9C4	00B9C4 E7 81		smb 6,$81
	00B9C6 77 82		rmb 7,82
	00B9C8 80 10		bra $00b9da

00B9CA	00B9CA AD 83 04		lda $0483		;Cx9 CRC	control area
	00B9CD C9 08		cmp #$08
	00B9CF F0 F3		beq $00b9c4
00B9D1	00B9D1 A5 4E		lda $4E
	00B9D3 29 0B		and #$0B
	00B9D5 D0 03		bne $00b9da
	00B9D7 4C 48 1A		jmp $1A48

00B9DA	00B9DA 77 65		rmb 7,65
	00B9DC 48		pha
	00B9DD 20 83 23		jsr $2383
	00B9E0 68		pla
	00B9E1 C9 09		cmp #$09
	00B9E3 D0 2E		bne $00ba13
	00B9E5 8F 81 2B		bbs 0,$81,$00ba13
	00B9E8 EF 81 28		bbs 6,$81,$00ba13
	00B9EB 9F 62 25		bbs 1,$62,$00ba13
	00B9EE FF 6A 0F		bbs 7,$6A,$00ba00
	00B9F1 A9 05		lda #$05
	00B9F3 8D 42 02		sta $0242
	00B9F6 A9 E4		lda #$E4
	00B9F8 8D 43 02		sta $0243
	00B9FB E7 57		smb 6,$57
	00B9FD 4C 40 1B		jmp $1B40

00BA00	00BA00 0F 51 07		bbr 0,$51,$00ba0a
	00BA03 9F 51 3C		bbs 1,$51,$00ba42
	00BA06 F7 65		smb 7,$65
	00BA08 80 3E		bra $00ba48

00BA0A	00BA0A 37 76		rmb 3,$76
	00BA0C B2 00 77		sti #$00,$77
	00BA0F B2 03 A9		sti #$03,$A9
	00BA12 60		rts

00BA13	00BA13 9F 6F 12		bbs 1,$6F,$00ba28
	00BA16 FF 64 0F		bbs 7,$64,$00ba28
	00BA19 AD B9 03		lda $03B9
	00BA1C 48		pha
	00BA1D A9 F8		lda #$F8
	00BA1F 25 53		and $53
	00BA21 85 53		sta $53
	00BA23 68		pla
	00BA24 05 53		ora $53
	00BA26 85 53		sta $53
00BA28	00BA28 A5 4E		lda $4E
	00BA2A 29 0B		and #$0B
	00BA2C C9 08		cmp #$08
	00BA2E D0 12		bne $00ba42
	00BA30 A7 6D		smb 2,$6D
	00BA32 67 57		rmb 6,$57
	00BA34 A9 2F		lda #$2F'/'
	00BA36 8D 42 02		sta $0242
	00BA39 A9 E4		lda #$E4
	00BA3B 8D 43 02		sta $0243
	00BA3E E7 57		smb 6,$57
	00BA40 80 02		bra $00ba44

00BA42	00BA42 67 57		rmb 6,$57
00BA44	00BA44 A9 46		lda #$46'F'
	00BA46 85 AA		sta $AA
00BA48	00BA48 7F 65 1E		bbr 7,$65,$00ba69
	00BA4B 20 D5 1A		jsr $1AD5
	00BA4E 22		psh
	00BA4F 20 94 E2		jsr $E294
	00BA52 32		pul
	00BA53 20 1E FE		jsr $FE1E
	00BA56 8C 5B 04		sty $045B
	00BA59 20 AC FD		jsr $FDAC
	00BA5C 20 26 FD		jsr $FD26
	00BA5F 20 2C FD		jsr $FD2C
	00BA62 2F 48 02		bbr 2,$48,$00ba67
	00BA65 77 65		rmb 7,65
00BA67	00BA67 80 03		bra $00ba6c

00BA69	00BA69 20 A6 E2		jsr $E2A6
00BA6C	00BA6C 20 40 1B		jsr $1B40
	00BA6F 7F 6A 03		bbr 7,$6A,$00ba75
	00BA72 20 88 47		jsr $4788
00BA75	00BA75 A5 81		lda $81
	00BA77 29 C1		and #$C1
	00BA79 85 81		sta $81
	00BA7B 0F 81 16		bbr 0,$81,$00ba94
	00BA7E 97 81		smb 1,$81
	00BA80 D7 81		smb 5,$81
	00BA82 1F 6F 03		bbr 1,$6F,$00ba88
	00BA85 20 20 29		jsr $2920
00BA88	00BA88 A9 E5		lda #$E5
	00BA8A 8D 42 02		sta $0242
	00BA8D A9 E2		lda #$E2
	00BA8F 8D 43 02		sta $0243
	00BA92 E7 57		smb 6,$57
00BA94	00BA94 6F 81 3D		bbr 6,$81,$00bad4
	00BA97 A5 82		lda $82
	00BA99 29 40		and #$40'@'
	00BA9B 85 82		sta $82
	00BA9D A9 00		lda #$00
	00BA9F 85 83		sta $83
	00BAA1 85 84		sta $84
	00BAA3 8D 79 03		sta $0379
	00BAA6 8D 7A 03		sta $037A
	00BAA9 AD 85 04		lda $0485		;Cx9 CRC	control area
	00BAAC F0 02		beq $00bab0
	00BAAE D7 84		smb 5,$84
00BAB0	00BAB0 DF 84 03		bbs 5,$84,$00bab6
	00BAB3 20 20 29		jsr $2920
00BAB6	00BAB6 20 E0 F3		jsr $F3E0
	00BAB9 D2 40 08 06	sba $40,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	00BABD A2 02		ldx #$02
	00BABF 20 A5 44		jsr $44A5
	00BAC2 D2 10 04 06	sba $10,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	00BAC6 C7 83		smb 4,$83
	00BAC8 A9 EB		lda #$EB
	00BACA 8D 42 02		sta $0242
	00BACD A9 E2		lda #$E2
	00BACF 8D 43 02		sta $0243
	00BAD2 E7 57		smb 6,$57
00BAD4	00BAD4 60		rts

00BAD5	00BAD5 20 A8 F8		jsr $F8A8
	00BAD8 C9 A1		cmp #$A1
	00BADA D0 0A		bne $00bae6
	00BADC F7 6A		smb 7,$6A
	00BADE A9 16		lda #$16
	00BAE0 A0 04		ldy #$04
	00BAE2 A2 00		ldx #$00
	00BAE4 80 0C		bra $00baf2

00BAE6	00BAE6 C9 A4		cmp #$A4
	00BAE8 D0 0C		bne $00baf6
	00BAEA F7 6A		smb 7,$6A
	00BAEC A9 17		lda #$17
	00BAEE A0 00		ldy #$00
	00BAF0 A2 04		ldx #$04
00BAF2	00BAF2 85 A9		sta $A9
	00BAF4 80 26		bra $00bb1c

00BAF6	00BAF6 20 99 F9		jsr $F999
	00BAF9 C9 00		cmp #$00
	00BAFB D0 02		bne $00baff
	00BAFD F7 6A		smb 7,$6A
00BAFF	00BAFF A8		tay
	00BB00 B9 24 1B		lda $1B24,y
	00BB03 85 A9		sta $A9
	00BB05 C0 06		cpy #$06
	00BB07 B0 08		bcs $00bb11
	00BB09 C8		iny
	00BB0A C8		iny
	00BB0B 48		pha
	00BB0C 98		tya
	00BB0D AA		tax
	00BB0E 68		pla
	00BB0F 80 0B		bra $00bb1c

00BB11	00BB11 48		pha
	00BB12 98		tya
	00BB13 89 FA		add #$FA
	00BB15 A8		tay
	00BB16 B9 35 1B		lda $1B35,y
	00BB19 A8		tay
	00BB1A AA		tax
	00BB1B 68		pla
00BB1C	00BB1C 6F 79 04		bbr 6,$79,$00bb23
	00BB1F A9 01		lda #$01
	00BB21 85 A9		sta $A9
00BB23	00BB23 60		rts

00BB24	00BB24 01 09		ora ($09)		;Cx9 Low Power Register (LPR)
	00BB26 05 0A		ora $0A			;Cx9 External Interrupt Register
	00BB28 0B		jsb 0			;indirect $FFE0
	00BB29 0C 0E 0F		jpi ($0F0E)
	00BB2C 0D 3B 10		ora $103B
	00BB2F 3D 3E 3F		and $3F3E,x
	00BB32 40		rti
	00BB33 5B		jsb 5			;indirect $FFEA
	00BB34 54		???			;undocumented opcode
	00BB35 0E 0F 0D		asl $0D0F
	00BB38 15 08		ora $08,x		;Cx9	mask option & port E dir'n
	00BB3A 16 17		asl $17,x		;Cx9 TBS, TBUL, Clear, Download
	00BB3C 18		clc
	00BB3D 19 1A 1B		ora $1B1A,y
	00BB40 AF 6D 1F		bbs 2,$6D,$00bb62
	00BB43 AD 88 03		lda $0388
	00BB46 8D 30 02		sta $0230
	00BB49 AD 89 03		lda $0389
	00BB4C 8D 31 02		sta $0231
	00BB4F 77 5F		rmb 7,5F
	00BB51 6F 57 0E		bbr 6,$57,$00bb62
	00BB54 A9 1E		lda #$1E
	00BB56 8D 30 02		sta $0230
	00BB59 A9 00		lda #$00
	00BB5B 8D 31 02		sta $0231
	00BB5E 77 5F		rmb 7,5F
	00BB60 80 02		bra $00bb64

00BB62	00BB62 B7 61		smb 3,$61
00BB64	00BB64 20 EC FD		jsr $FDEC
	00BB67 37 57		rmb 3,$57
	00BB69 37 76		rmb 3,$76
	00BB6B 07 61		rmb 0,$61
	00BB6D AD 12 06		lda $0612		;DPi configuration (CONF)
	00BB70 C9 A1		cmp #$A1
	00BB72 D0 09		bne $00bb7d
	00BB74 48		pha
	00BB75 C2 08 05 06	rba $08,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	00BB79 68		pla
	00BB7A 20 E0 47		jsr $47E0
00BB7D	00BB7D FF 68 02		bbs 7,$68,$00bb82
	00BB80 80 4A		bra $00bbcc

00BB82	00BB82 27 62		rmb 2,$62
	00BB84 FF 65 45		bbs 7,$65,$00bbcc
	00BB87 1F 53 12		bbr 1,$53,$00bb9c
	00BB8A 47 74		rmb 4,$74
	00BB8C 2F 74 02		bbr 2,$74,$00bb91
	00BB8F E7 74		smb 6,$74
00BB91	00BB91 EF 74 05		bbs 6,$74,$00bb99
	00BB94 20 26 FD		jsr $FD26
	00BB97 80 03		bra $00bb9c

00BB99	00BB99 20 29 FD		jsr $FD29
00BB9C	00BB9C 2F 53 16		bbr 2,$53,$00bbb5
	00BB9F AD 1F 01		lda $011F
	00BBA2 AF 74 0A		bbs 2,$74,$00bbaf
	00BBA5 A7 74		smb 2,$74
	00BBA7 EF 74 05		bbs 6,$74,$00bbaf
	00BBAA 27 74		rmb 2,$74
	00BBAC AD 1E 01		lda $011E
00BBAF	00BBAF 20 05 FE		jsr $FE05{out}
	00BBB2 AF 53 04		bbs 2,$53,$00bbb9
00BBB5	00BBB5 27 74		rmb 2,$74
	00BBB7 47 74		rmb 4,$74
00BBB9	00BBB9 9F 53 07		bbs 1,$53,$00bbc3
	00BBBC 67 74		rmb 6,$74
	00BBBE 5F 74 02		bbr 5,$74,$00bbc3
	00BBC1 57 74		rmb 5,$74
00BBC3	00BBC3 CF 74 06		bbs 4,$74,$00bbcc
	00BBC6 DF 74 03		bbs 5,$74,$00bbcc
	00BBC9 20 DA FD		jsr $FDDA
00BBCC	00BBCC AF 6D 06		bbs 2,$6D,$00bbd5
	00BBCF 6F 57 03		bbr 6,$57,$00bbd5
	00BBD2 3F 7F 21		bbr 3,$7F,$00bbf6
00BBD5	00BBD5 EF 57 10		bbs 6,$57,$00bbe8
	00BBD8 E2 08 06 80 0B	bar $0608,$80,$00bbe8	;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	00BBDD 20 E0 F3		jsr $F3E0
	00BBE0 A2 01		ldx #$01
	00BBE2 20 BB F2		jsr $F2BB
	00BBE5 20 E5 F3		jsr $F3E5
00BBE8	00BBE8 17 59		rmb 1,$59
	00BBEA A9 4E		lda #$4E'N'
	00BBEC 8D 69 02		sta $0269
	00BBEF A9 08		lda #$08
	00BBF1 8D 6A 02		sta $026A
	00BBF4 97 59		smb 1,$59
00BBF6	00BBF6 A9 00		lda #$00
	00BBF8 8D 86 03		sta $0386
	00BBFB 8D 87 03		sta $0387
	00BBFE 8D 84 03		sta $0384
	00BC01 8D 85 03		sta $0385
	00BC04 FF 68 0E		bbs 7,$68,$00bc15
	00BC07 57 57		rmb 5,$57
	00BC09 A9 F7		lda #$F7
	00BC0B 8D 3F 02		sta $023F
	00BC0E A9 E2		lda #$E2
	00BC10 8D 40 02		sta $0240
	00BC13 D7 57		smb 5,$57
00BC15	00BC15 BF 7F 02		bbs 3,$7F,$00bc1a
	00BC18 A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
00BC1A	00BC1A 3F 55 0B		bbr 3,$55,$00bc28
	00BC1D 5F 73 08		bbr 5,$73,$00bc28
	00BC20 AD B7 03		lda $03B7
	00BC23 20 5E FA		jsr $FA5E
	00BC26 57 73		rmb 5,$73
00BC28	00BC28 B7 7F		smb 3,$7F
	00BC2A 4C 1E 22		jmp $221E

;;;

00BC2D	00BC2D 17 5C		rmb 1,$5C
	00BC2F E2 78 01 01 06	bar $0178,$01,$00bc3a
	00BC34 48		pha
	00BC35 C2 01 09 06	rba $01,$0609		;DPi DTR
	00BC39 68		pla
00BC3A	00BC3A C2 80 68 01	rba $80,$0168
	00BC3E BF 9B 02		bbs 3,$9B,$00bc43
	00BC41 77 5B		rmb 7,$5B
00BC43	00BC43 3F 9B 0D		bbr 3,$9B,$00bc53
	00BC46 A9 00		lda #$00
	00BC48 8D 07 01		sta $0107{s1}
	00BC4B 77 49		rmb 7,$49
	00BC4D 20 67 23		jsr $2367
	00BC50 4C AB 18		jmp $18AB

00BC53	00BC53 7F 67 04		bbr 7,$67,$00bc5a
	00BC56 D2 01 67 01	sba $01,$0167
00BC5A	00BC5A 80 09		bra $00bc65

00BC5C	00BC5C B2 04 A9		sti #$04,$A9
	00BC5F 20 94 E2		jsr $E294
	00BC62 37 57		rmb 3,$57
00BC64	00BC64 60		rts

00BC65	00BC65 A9 00		lda #$00
	00BC67 8D 24 01		sta $0124
	00BC6A A9 00		lda #$00
	00BC6C 8D DC 00		sta $00DC
	00BC6F 3F 76 03		bbr 3,$76,$00bc75
	00BC72 4C FC 1C		jmp $1CFC

00BC75	00BC75 B7 76		smb 3,$76
	00BC77 A9 2D		lda #$2D'-'
	00BC79 8D 54 02		sta $0254
	00BC7C A9 1C		lda #$1C
	00BC7E 8D 55 02		sta $0255
	00BC81 87 61		smb 0,$61
	00BC83 20 B5 F3		jsr $F3B5
	00BC86 20 A9 F3		jsr $F3A9
	00BC89 77 49		rmb 7,49
	00BC8B 20 D0 23		jsr $23D0
	00BC8E 4F 61 0E		bbr 4,$61,$00bc9f
	00BC91 20 2B 2C		jsr $2C2B
	00BC94 90 06		bcc $00bc9c
	00BC96 20 EA F8		jsr $F8EA
	00BC99 20 F6 E3		jsr $E3F6
00BC9C	00BC9C 4C 31 1D		jmp $1D31

00BC9F	00BC9F 20 B4 18		jsr $18B4
	00BCA2 AD 07 01		lda $0107{s1}
	00BCA5 D0 10		bne $00bcb7
	00BCA7 20 4D 23		jsr $234D
	00BCAA CF 61 12		bbs 4,$61,$00bcbf
	00BCAD A9 00		lda #$00
	00BCAF 8D 96 03		sta $0396
	00BCB2 B2 00 77		sti #$00,$77
	00BCB5 80 AD		bra $00bc64

00BCB7	00BCB7 A9 00		lda #$00
	00BCB9 8D 07 01		sta $0107{s1}
	00BCBC 20 48 23		jsr $2348
00BCBF	00BCBF F2 52 01 01 13	bas $0152,$01,$00bcd7
	00BCC4 A5 4C		lda $4C
	00BCC6 29 0C		and #$0C
	00BCC8 4A		lsr a
	00BCC9 4A		lsr a
	00BCCA F0 0B		beq $00bcd7
	00BCCC A5 4C		lda $4C
	00BCCE 29 03		and #$03
	00BCD0 D0 02		bne $00bcd4
	00BCD2 A9 01		lda #$01
00BCD4	00BCD4 20 B9 18		jsr $18B9
00BCD7	00BCD7 B2 03 A9		sti #$03,$A9
	00BCDA A2 14		ldx #$14
	00BCDC A5 69		lda $69
	00BCDE 29 07		and #$07
	00BCE0 D0 0C		bne $00bcee
	00BCE2 A5 69		lda $69
	00BCE4 29 30		and #$30'0'
	00BCE6 4A		lsr a
	00BCE7 4A		lsr a
	00BCE8 4A		lsr a
	00BCE9 4A		lsr a
	00BCEA F0 02		beq $00bcee
	00BCEC A2 28		ldx #$28'('
00BCEE	00BCEE 8A		txa
	00BCEF 8D 16 02		sta $0216
	00BCF2 A9 00		lda #$00
	00BCF4 8D 17 02		sta $0217
	00BCF7 27 5E		rmb 2,$5E
	00BCF9 20 B6 1D		jsr $1DB6
	00BCFC A5 69		lda $69
	00BCFE 29 07		and #$07
	00BD00 D0 29		bne $00bd2b
	00BD02 A5 69		lda $69
	00BD04 29 30		and #$30'0'
	00BD06 4A		lsr a
	00BD07 4A		lsr a
	00BD08 4A		lsr a
	00BD09 4A		lsr a
	00BD0A F0 1F		beq $00bd2b
	00BD0C 20 36 F9		jsr $F936
	00BD0F F0 18		beq $00bd29
	00BD11 EF 88 10		bbs 6,$88,$00bd24
	00BD14 E7 88		smb 6,$88
	00BD16 A9 01		lda #$01
	00BD18 8D 1C 02		sta $021C
	00BD1B A9 00		lda #$00
	00BD1D 8D 1D 02		sta $021D
	00BD20 57 5E		rmb 5,$5E
	00BD22 80 07		bra $00bd2b

00BD24	00BD24 DF 5E 50		bbs 5,$5E,$00bd77
	00BD27 80 02		bra $00bd2b

00BD29	00BD29 67 88		rmb 6,$88
00BD2B	00BD2B AF 5E 03		bbs 2,$5E,$00bd31
	00BD2E 4C B5 1C		jmp $1CB5

00BD31	00BD31 20 37 29		jsr $2937
	00BD34 90 22		bcc $00bd58
	00BD36 F2 68 01 01 1D	bas $0168,$01,$00bd58
	00BD3B F2 5B 01 08 18	bas $015B,$08,$00bd58
	00BD40 D2 08 5B 01	sba $08,$015B
	00BD44 20 7B E0		jsr $E07B
	00BD47 A9 78		lda #$78'x'
	00BD49 8D BD 00		sta $00BD
	00BD4C A9 E0		lda #$E0
	00BD4E 8D BE 00		sta $00BE
	00BD51 48		pha
	00BD52 D2 10 52 01	sba $10,$0152
	00BD56 68		pla
	00BD57 60		rts

00BD58	00BD58 A5 69		lda $69
	00BD5A 29 07		and #$07
	00BD5C D0 10		bne $00bd6e
	00BD5E 20 C8 21		jsr $21C8
	00BD61 AD 0F 01		lda $010F
	00BD64 8D 2C 02		sta $022C
	00BD67 A9 00		lda #$00
	00BD69 8D 2D 02		sta $022D
	00BD6C 57 5F		rmb 5,$5F
00BD6E	00BD6E B2 00 AC		sti #$00,$AC
	00BD71 B2 03 77		sti #$03,$77
	00BD74 37 76		rmb 3,$76
	00BD76 60		rts

00BD77	00BD77 B2 21 A9		sti #$21'!',$A9
	00BD7A 20 94 E2		jsr $E294
	00BD7D 20 F3 F4		jsr $F4F3{dtroff}
	00BD80 20 48 F5		jsr $F548{rtsoff}
	00BD83 20 B5 F3		jsr $F3B5
	00BD86 A9 09		lda #$09
	00BD88 20 59 F7		jsr $F759
	00BD8B 20 8C F4		jsr $F48C
	00BD8E A9 01		lda #$01
	00BD90 48		pha
	00BD91 A9 F8		lda #$F8
	00BD93 25 69		and $69
	00BD95 85 69		sta $69
	00BD97 68		pla
	00BD98 05 69		ora $69
	00BD9A 85 69		sta $69
	00BD9C FF 64 15		bbs 7,$64,$00bdb4
	00BD9F A5 53		lda $53
	00BDA1 29 07		and #$07
	00BDA3 8D B9 03		sta $03B9
	00BDA6 A9 06		lda #$06
	00BDA8 48		pha
	00BDA9 A9 F8		lda #$F8
	00BDAB 25 53		and $53
	00BDAD 85 53		sta $53
	00BDAF 68		pla
	00BDB0 05 53		ora $53
	00BDB2 85 53		sta $53
00BDB4	00BDB4 80 B8		bra $00bd6e

00BDB6	00BDB6 B2 30 40		sti #$30'0',$40
	00BDB9 B2 42 41		sti #$42'B',$41
	00BDBC 20 06 43		jsr $4306
	00BDBF 67 88		rmb 6,$88
	00BDC1 60		rts

00BDC2	00BDC2 A5 AC		lda $AC
	00BDC4 D0 0A		bne $00bdd0
	00BDC6 8F 7F 06		bbs 0,$7F,$00bdcf
	00BDC9 7F 5F 03		bbr 7,$5F,$00bdcf
	00BDCC 20 1C 1E		jsr $1E1C
00BDCF	00BDCF 60		rts

00BDD0	00BDD0 37 76		rmb 3,$76
	00BDD2 60		rts

00BDD3	00BDD3 AD 97 02		lda $0297
	00BDD6 C9 16		cmp #$16
	00BDD8 D0 02		bne $00bddc
	00BDDA 87 7F		smb 0,$7F
00BDDC	00BDDC 20 C8 21		jsr $21C8
	00BDDF 20 67 23		jsr $2367
	00BDE2 20 A2 F3		jsr $F3A2
	00BDE5 20 1F F7		jsr $F71F		;! CONF=81
	00BDE8 E2 31 01 20 03	bar $0131,$20,$00bdf0
	00BDED 20 59 E4		jsr $E459
00BDF0	00BDF0 4F 61 26		bbr 4,$61,$00be19
	00BDF3 A5 4C		lda $4C
	00BDF5 29 0C		and #$0C
	00BDF7 4A		lsr a
	00BDF8 4A		lsr a
	00BDF9 F0 08		beq $00be03
	00BDFB A5 4C		lda $4C
	00BDFD 29 03		and #$03
	00BDFF D0 02		bne $00be03
	00BE01 A9 01		lda #$01
00BE03	00BE03 20 B9 18		jsr $18B9
	00BE06 A7 57		smb 2,$57
	00BE08 B7 76		smb 3,$76
	00BE0A 07 58		rmb 0,$58
	00BE0C A9 C2		lda #$C2
	00BE0E 8D 54 02		sta $0254
	00BE11 A9 1D		lda #$1D
	00BE13 8D 55 02		sta $0255
	00BE16 87 58		smb 0,$58
	00BE18 60		rts

00BE19	00BE19 4C 94 E2		jmp $E294

00BE1C	00BE1C 20 B4 18		jsr $18B4
	00BE1F A2 01		ldx #$01
	00BE21 20 B6 F2		jsr $F2B6
	00BE24 A9 48		lda #$48'H'
	00BE26 0F 57 09		bbr 0,$57,$00be32
	00BE29 8D DD 00		sta $00DD
	00BE2C 0F 57 03		bbr 0,$57,$00be32
	00BE2F 20 32 02		jsr $0232
00BE32	00BE32 57 66		rmb 5,$66
	00BE34 E2 31 01 20 03	bar $0131,$20,$00be3c
	00BE39 4C 0C 21		jmp $210C

00BE3C	00BE3C 6F 57 1E		bbr 6,$57,$00be5d
	00BE3F 8F 81 1B		bbs 0,$81,$00be5d
	00BE42 EF 81 18		bbs 6,$81,$00be5d
	00BE45 9F 6A 12		bbs 1,$6A,$00be5a
	00BE48 9F 62 03		bbs 1,$62,$00be4e
	00BE4B 8D 60 86		sta $8660
00BE4E	00BE4E 97 6A		smb 1,$6A
	00BE50 20 D7 FD		jsr $FDD7{scli}
	00BE53 AD 10 01		lda $0110
	00BE56 C9 FF		cmp #$FF
	00BE58 F0 01		beq $00be5b
00BE5A	00BE5A 60		rts

00BE5B	00BE5B 67 57		rmb 6,$57
00BE5D	00BE5D 9F 6F 12		bbs 1,$6F,$00be72
	00BE60 FF 64 0F		bbs 7,$64,$00be72
	00BE63 AD B9 03		lda $03B9
	00BE66 48		pha
	00BE67 A9 F8		lda #$F8
	00BE69 25 53		and $53
	00BE6B 85 53		sta $53
	00BE6D 68		pla
	00BE6E 05 53		ora $53
	00BE70 85 53		sta $53
00BE72	00BE72 0F 81 15		bbr 0,$81,$00be8a
	00BE75 2F 81 12		bbr 2,$81,$00be8a
	00BE78 FF 64 0F		bbs 7,$64,$00be8a
	00BE7B AD C3 00		lda $00C3
	00BE7E 48		pha
	00BE7F A9 F8		lda #$F8
	00BE81 25 53		and $53
	00BE83 85 53		sta $53
	00BE85 68		pla
	00BE86 05 53		ora $53
	00BE88 85 53		sta $53
00BE8A	00BE8A 20 D7 FD		jsr $FDD7{scli}
	00BE8D 9F 61 03		bbs 1,$61,$00be93
	00BE90 4C EC 1E		jmp $1EEC

00BE93	00BE93 FF 65 1D		bbs 7,$65,$00beb3
	00BE96 8F 62 1A		bbs 0,$62,$00beb3
	00BE99 20 21 E3		jsr $E321
	00BE9C 20 24 E3		jsr $E324
	00BE9F 9F 65 05		bbs 1,$65,$00bea7
	00BEA2 AF 62 02		bbs 2,$62,$00bea7
	00BEA5 A7 74		smb 2,$74
00BEA7	00BEA7 20 DC E2		jsr $E2DC
	00BEAA 20 26 FD		jsr $FD26
	00BEAD 20 DA FD		jsr $FDDA
00BEB0	00BEB0 8F 74 FD		bbs 0,$74,$00beb0
00BEB3	00BEB3 20 2D 51		jsr $512D
	00BEB6 1F 61 33		bbr 1,$61,$00beec
	00BEB9 A5 69		lda $69
	00BEBB 29 07		and #$07
	00BEBD D0 2D		bne $00beec
	00BEBF DF 67 2A		bbs 5,$67,$00beec
	00BEC2 20 F3 F8		jsr $F8F3
	00BEC5 F0 25		beq $00beec
	00BEC7 20 DF FD		jsr $FDDF
	00BECA 20 D7 FD		jsr $FDD7{scli}
	00BECD 20 62 F4		jsr $F462
	00BED0 A9 0A		lda #$0A
	00BED2 8D 2A 02		sta $022A
	00BED5 A9 00		lda #$00
	00BED7 8D 2B 02		sta $022B
	00BEDA 47 5F		rmb 4,$5F
	00BEDC FF 4B 0A		bbs 7,$4B,$00bee9
	00BEDF 20 88 F5		jsr $F588
	00BEE2 90 08		bcc $00beec
	00BEE4 20 82 3E		jsr $3E82
	00BEE7 80 03		bra $00beec

00BEE9	00BEE9 20 D8 20		jsr $20D8
00BEEC	00BEEC 20 21 E3		jsr $E321
	00BEEF 20 24 E3		jsr $E324
	00BEF2 57 80		rmb 5,$80
	00BEF4 47 80		rmb 4,$80
	00BEF6 20 31 23		jsr $2331
00BEF9	00BEF9 2F 00 FD		bbr 2,$00,$00bef9	;Cx9	port A (bidirectional)
	00BEFC A9 03		lda #$03
	00BEFE 20 4E F6		jsr $F64E
	00BF01 4F 61 1A		bbr 4,$61,$00bf1e
	00BF04 8F 7C 06		bbs 0,$7C,$00bf0d
	00BF07 7F 49 03		bbr 7,$49,$00bf0d
	00BF0A 20 7C E2		jsr $E27C
00BF0D	00BF0D AD 5C 03		lda $035C
	00BF10 D0 02		bne $00bf14
	00BF12 A9 01		lda #$01
00BF14	00BF14 8D 2A 02		sta $022A
	00BF17 A9 00		lda #$00
	00BF19 8D 2B 02		sta $022B
	00BF1C 47 5F		rmb 4,$5F
00BF1E	00BF1E 07 6B		rmb 0,$6B
	00BF20 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	00BF22 07 7F		rmb 0,$7F
	00BF24 48		pha
	00BF25 C2 80 73 01	rba $80,$0173
	00BF29 68		pla
	00BF2A 20 E1 F8		jsr $F8E1
	00BF2D 20 7E E0		jsr $E07E
	00BF30 EF 9B 26		bbs 6,$9B,$00bf59
	00BF33 20 D8 E3		jsr $E3D8
	00BF36 B0 21		bcs $00bf59
	00BF38 20 F3 F4		jsr $F4F3{dtroff}
	00BF3B A2 03		ldx #$03
	00BF3D 20 BB F2		jsr $F2BB
	00BF40 20 E4 E3		jsr $E3E4
	00BF43 A9 00		lda #$00
	00BF45 48		pha
	00BF46 A9 C0		lda #$C0
	00BF48 25 9A		and $9A
	00BF4A 85 9A		sta $9A
	00BF4C 68		pla
	00BF4D 05 9A		ora $9A
	00BF4F 85 9A		sta $9A
	00BF51 A9 00		lda #$00
	00BF53 8D 70 86		sta $8670
	00BF56 20 F3 E3		jsr $E3F3
00BF59	00BF59 A2 03		ldx #$03
	00BF5B 20 0D E2		jsr $E20D
	00BF5E 20 B7 E3		jsr $E3B7
	00BF61 77 6A		rmb 7,6A
	00BF63 37 76		rmb 3,$76
	00BF65 20 FA E2		jsr $E2FA
	00BF68 F2 4C 01 01 04	bas $014C,$01,$00bf71
	00BF6D C2 01 4D 01	rba $01,$014D
00BF71	00BF71 A9 00		lda #$00
	00BF73 8D 97 9A		sta $9A97
	00BF76 97 5C		smb 1,$5C
	00BF78 20 16 E2		jsr $E216
	00BF7B C2 01 68 01	rba $01,$0168
	00BF7F C2 02 67 01	rba $02,$0167
	00BF83 C2 20 53 01	rba $20,$0153
	00BF87 C2 01 53 01	rba $01,$0153
	00BF8B C2 40 52 01	rba $40,$0152
	00BF8F A9 20		lda #$20' '
	00BF91 8D BD 00		sta $00BD
	00BF94 A9 E1		lda #$E1
	00BF96 8D BE 00		sta $00BE
	00BF99 48		pha
	00BF9A C2 10 52 01	rba $10,$0152
	00BF9E 68		pla
	00BF9F F2 67 01 04 05	bas $0167,$04,$00bfa9
	00BFA4 E2 68 01 40 0B	bar $0168,$40,$00bfb4
00BFA9	00BFA9 AD CA 04		lda $04CA		;Cx9 CRC	control area
	00BFAC F0 06		beq $00bfb4
	00BFAE 20 9A 29		jsr $299A
	00BFB1 20 D6 2A		jsr $2AD6
00BFB4	00BFB4 A9 6E		lda #$6E'n'
	00BFB6 8D 4B 02		sta $024B
	00BFB9 A9 E4		lda #$E4
	00BFBB 8D 4C 02		sta $024C
	00BFBE F7 5B		smb 7,$5B
	00BFC0 C2 80 68 01	rba $80,$0168
	00BFC4 A9 72		lda #$72'r'
	00BFC6 8D BD 00		sta $00BD
	00BFC9 A9 E0		lda #$E0
	00BFCB 8D BE 00		sta $00BE
	00BFCE A9 00		lda #$00
	00BFD0 8D 5B 01		sta $015B
	00BFD3 77 6E		rmb 7,6E
	00BFD5 C2 08 5C 01	rba $08,$015C
	00BFD9 C2 02 5D 01	rba $02,$015D
	00BFDD E2 5C 01 10 06	bar $015C,$10,$00bfe8
	00BFE2 07 81		rmb 0,$81
	00BFE4 17 6F		rmb 1,$6F
	00BFE6 77 98		rmb 7,98
00BFE8	00BFE8 07 61		rmb 0,$61
	00BFEA 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	00BFEC 37 61		rmb 3,$61
	00BFEE 77 65		rmb 7,65
	00BFF0 17 61		rmb 1,$61
	00BFF2 37 7F		rmb 3,$7F
	00BFF4 47 65		rmb 4,$65
	00BFF6 17 68		rmb 1,$68
	00BFF8 17 76		rmb 1,$76
	00BFFA 17 63		rmb 1,$63
	00BFFC 27 62		rmb 2,$62
	00BFFE 57 67		rmb 5,$67
	00C000 17 6A		rmb 1,$6A
	00C002 37 69		rmb 3,$69
	00C004 B2 1F 78		sti #$1F,$78
	00C007 20 B9 20		jsr $20B9
	00C00A 57 57		rmb 5,$57
	00C00C A9 03		lda #$03
	00C00E 8D 3F 02		sta $023F		; E303 - ring
	00C011 A9 E3		lda #$E3
	00C013 8D 40 02		sta $0240
	00C016 D7 57		smb 5,$57
	00C018 17 58		rmb 1,$58
	00C01A 47 59		rmb 4,$59
	00C01C A9 89		lda #$89
	00C01E 8D 72 02		sta $0272
	00C021 A9 09		lda #$09
	00C023 8D 73 02		sta $0273
	00C026 C7 59		smb 4,$59
	00C028 37 59		rmb 3,$59
	00C02A A9 68		lda #$68'h'
	00C02C 8D 6F 02		sta $026F
	00C02F A9 09		lda #$09
	00C031 8D 70 02		sta $0270
	00C034 B7 59		smb 3,$59
	00C036 57 59		rmb 5,$59
	00C038 E7 5A		smb 6,$5A
	00C03A 20 23 E4		jsr $E423
	00C03D 57 64		rmb 5,$64
	00C03F 20 B1 E3		jsr $E3B1
	00C042 20 AE E3		jsr $E3AE
	00C045 9F 4B 03		bbs 1,$4B,$00c04b
	00C048 AF 63 09		bbs 2,$63,$00c054
00C04B	00C04B 17 4B		rmb 1,$4B
	00C04D 1F 65 04		bbr 1,$65,$00c054
	00C050 A7 57		smb 2,$57
	00C052 80 08		bra $00c05c

00C054	00C054 20 B1 EE		jsr $EEB1
	00C057 27 57		rmb 2,$57
	00C059 20 94 E2		jsr $E294
00C05C	00C05C 17 65		rmb 1,$65
	00C05E 67 68		rmb 6,$68
	00C060 77 68		rmb 7,68
	00C062 37 68		rmb 3,$68
	00C064 67 88		rmb 6,$88
	00C066 07 7A		rmb 0,$7A
	00C068 C2 08 4D 01	rba $08,$014D
	00C06C 17 6C		rmb 1,$6C
	00C06E 07 6C		rmb 0,$6C
	00C070 07 70		rmb 0,$70
	00C072 17 70		rmb 1,$70
	00C074 57 58		rmb 5,$58
	00C076 A9 00		lda #$00
	00C078 85 73		sta $73
	00C07A 85 74		sta $74
	00C07C 9F 62 03		bbs 1,$62,$00c082
	00C07F 8D 60 86		sta $8660
00C082	00C082 8D C3 03		sta $03C3
	00C085 8D C4 03		sta $03C4
	00C088 8D B9 00		sta $00B9
	00C08B 8D BA 00		sta $00BA
	00C08E 8D 70 87		sta $8770
	00C091 8D 86 03		sta $0386
	00C094 8D 87 03		sta $0387
	00C097 8D 84 03		sta $0384
	00C09A 8D 85 03		sta $0385
	00C09D 85 7A		sta $7A
	00C09F 20 51 E0		jsr $E051{000CAD}
	00C0A2 20 21 E3		jsr $E321
	00C0A5 20 24 E3		jsr $E324
	00C0A8 37 57		rmb 3,$57
	00C0AA AD B0 03		lda $03B0
	00C0AD F0 03		beq $00c0b2
	00C0AF 20 D4 4C		jsr $4CD4
00C0B2	00C0B2 A5 81		lda $81
	00C0B4 29 81		and #$81
	00C0B6 85 81		sta $81
	00C0B8 60		rts

00C0B9	00C0B9 A5 4E		lda $4E
	00C0BB 29 0B		and #$0B
	00C0BD C9 08		cmp #$08
	00C0BF F0 03		beq $00c0c4
	00C0C1 5F 4B 03		bbr 5,$4B,$00c0c7
00C0C4	00C0C4 20 2F FD		jsr $FD2F
00C0C7	00C0C7 A5 4E		lda $4E
	00C0C9 29 0B		and #$0B
	00C0CB C9 08		cmp #$08
	00C0CD F0 03		beq $00c0d2
	00C0CF 6F 4B 03		bbr 6,$4B,$00c0d5
00C0D2	00C0D2 20 23 FD		jsr $FD23
00C0D5	00C0D5 4C 26 FD		jmp $FD26

00C0D8	00C0D8 20 EB F3		jsr $F3EB
	00C0DB 7F 65 03		bbr 7,$65,$00c0e1
	00C0DE 20 E5 F3		jsr $F3E5
00C0E1	00C0E1 A9 28		lda #$28'('
	00C0E3 8D 16 02		sta $0216
	00C0E6 A9 00		lda #$00
	00C0E8 8D 17 02		sta $0217
	00C0EB 27 5E		rmb 2,$5E
	00C0ED 20 6D FA		jsr $FA6D
00C0F0	00C0F0 2F 5E FD		bbr 2,$5E,$00c0f0
	00C0F3 4C 72 FA		jmp $FA72

00C0F6	00C0F6 37 76		rmb 3,$76
	00C0F8 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	00C0FA 20 B5 F3		jsr $F3B5
	00C0FD 37 57		rmb 3,$57
	00C0FF 27 57		rmb 2,$57
	00C101 37 61		rmb 3,$61
	00C103 20 94 E2		jsr $E294
	00C106 20 B1 EE		jsr $EEB1
	00C109 67 3D		rmb 6,$3D		;Cx9	serial form register
	00C10B 60		rts

00C10C	00C10C 37 76		rmb 3,$76
	00C10E B2 00 77		sti #$00,$77
	00C111 07 61		rmb 0,$61
	00C113 17 65		rmb 1,$65
	00C115 27 57		rmb 2,$57
	00C117 37 57		rmb 3,$57
	00C119 20 B7 E3		jsr $E3B7
	00C11C 20 5C E4		jsr $E45C
	00C11F 20 5F E4		jsr $E45F
	00C122 60		rts

00C123	00C123 1F 61 1B		bbr 1,$61,$00c141
	00C126 3F 69 05		bbr 3,$69,$00c12e
	00C129 37 69		rmb 3,$69
	00C12B 4C AD 19		jmp $19AD

00C12E	00C12E B2 03 77		sti #$03,$77
	00C131 F7 68		smb 7,$68
	00C133 2F 48 0A		bbr 2,$48,$00c140
	00C136 F7 65		smb 7,$65
	00C138 A5 4E		lda $4E
	00C13A 29 0B		and #$0B
	00C13C F0 02		beq $00c140
	00C13E 77 65		rmb 7,65
00C140	00C140 60		rts

00C141	00C141 6F 68 03		bbr 6,$68,$00c147
	00C144 4C C2 21		jmp $21C2

00C147	00C147 FF 49 03		bbs 7,$49,$00c14d
	00C14A 4C BA 21		jmp $21BA

00C14D	00C14D 87 61		smb 0,$61
	00C14F 20 A2 F3		jsr $F3A2
	00C152 20 37 29		jsr $2937
	00C155 B0 03		bcs $00c15a
	00C157 20 1F F7		jsr $F71F		;! CONF=81
00C15A	00C15A CF 61 16		bbs 4,$61,$00c173
	00C15D 20 62 23		jsr $2362
	00C160 A5 4C		lda $4C
	00C162 29 0C		and #$0C
	00C164 4A		lsr a
	00C165 4A		lsr a
	00C166 F0 08		beq $00c170
	00C168 A5 4C		lda $4C
	00C16A 29 03		and #$03
	00C16C D0 02		bne $00c170
	00C16E A9 01		lda #$01
00C170	00C170 20 B9 18		jsr $18B9
00C173	00C173 20 C8 21		jsr $21C8
	00C176 A0 02		ldy #$02
	00C178 20 2B 2C		jsr $2C2B
	00C17B 90 3A		bcc $00c1b7
	00C17D 20 F6 E3		jsr $E3F6
	00C180 F2 78 01 01 30	bas $0178,$01,$00c1b5
	00C185 F2 68 01 01 03	bas $0168,$01,$00c18d
	00C18A 7F 67 2A		bbr 7,$67,$00c1b7
00C18D	00C18D AD 98 9A		lda $9A98
	00C190 D0 1F		bne $00c1b1
	00C192 20 37 29		jsr $2937
	00C195 90 1A		bcc $00c1b1
	00C197 20 7B E0		jsr $E07B
	00C19A A9 78		lda #$78'x'
	00C19C 8D BD 00		sta $00BD
	00C19F A9 E0		lda #$E0
	00C1A1 8D BE 00		sta $00BE
	00C1A4 48		pha
	00C1A5 D2 10 52 01	sba $10,$0152
	00C1A9 68		pla
	00C1AA A0 02		ldy #$02
	00C1AC 84 77		sty $77
	00C1AE 77 5B		rmb 7,5B
	00C1B0 60		rts

00C1B1	00C1B1 D2 80 68 01	sba $80,$0168
00C1B5	00C1B5 A0 03		ldy #$03
00C1B7	00C1B7 84 77		sty $77
	00C1B9 60		rts

00C1BA	00C1BA B2 41 AC		sti #$41'A',$AC
	00C1BD 37 76		rmb 3,$76
	00C1BF 07 61		rmb 0,$61
	00C1C1 60		rts

00C1C2	00C1C2 B2 04 A9		sti #$04,$A9
	00C1C5 4C 1C 1E		jmp $1E1C

00C1C8	00C1C8 AD 0D 01		lda $010D
	00C1CB 8D 30 02		sta $0230
	00C1CE A9 00		lda #$00
	00C1D0 8D 31 02		sta $0231
	00C1D3 77 5F		rmb 7,5F
	00C1D5 60		rts

00C1D6	00C1D6 37 57		rmb 3,$57
	00C1D8 A9 00		lda #$00
	00C1DA 8D 7F 03		sta $037F
	00C1DD 20 81 EF		jsr $EF81
	00C1E0 20 D5 1A		jsr $1AD5
	00C1E3 A9 02		lda #$02
	00C1E5 8D 2C 02		sta $022C
	00C1E8 A9 00		lda #$00
	00C1EA 8D 2D 02		sta $022D
	00C1ED 57 5F		rmb 5,$5F
00C1EF	00C1EF 5F 5F FD		bbr 5,$5F,$00c1ef
	00C1F2 0F 4A 0A		bbr 0,$4A,$00c1ff
	00C1F5 A5 A9		lda $A9
	00C1F7 C9 5B		cmp #$5B'['
	00C1F9 D0 04		bne $00c1ff
	00C1FB A9 54		lda #$54'T'
	00C1FD 85 A9		sta $A9
00C1FF	00C1FF 20 94 E2		jsr $E294
	00C202 20 3F FA		jsr $FA3F
	00C205 20 5D F4		jsr $F45D
	00C208 B7 61		smb 3,$61
	00C20A 17 59		rmb 1,$59
	00C20C A9 4E		lda #$4E'N'
	00C20E 8D 69 02		sta $0269
	00C211 A9 08		lda #$08
	00C213 8D 6A 02		sta $026A
	00C216 97 59		smb 1,$59
	00C218 20 1E 22		jsr $221E
	00C21B A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
	00C21D 60		rts

00C21E	00C21E 3F 61 2A		bbr 3,$61,$00c24b
	00C221 AD 5F 04		lda $045F
	00C224 29 03		and #$03
	00C226 C9 02		cmp #$02
	00C228 F0 05		beq $00c22f
	00C22A AD 5F 04		lda $045F
	00C22D 80 02		bra $00c231

00C22F	00C22F A9 03		lda #$03
00C231	00C231 08		php
	00C232 78		sei
	00C233 67 3A		rmb 6,$3A		;Cx9	serial mode register
	00C235 85 3B		sta $3B			;Cx9	serial line control register
	00C237 B2 C0 3A		sti #$C0,$3A		;Cx9	serial mode register
	00C23A 20 01 FE		jsr $FE01{in}
	00C23D 28		plp
	00C23E 20 88 F5		jsr $F588
	00C241 90 05		bcc $00c248
	00C243 20 38 FD		jsr $FD38
	00C246 80 03		bra $00c24b

00C248	00C248 20 3B FD		jsr $FD3B
00C24B	00C24B A5 69		lda $69
	00C24D 29 07		and #$07
	00C24F D0 0C		bne $00c25d
	00C251 AF 6D 03		bbs 2,$6D,$00c257
	00C254 EF 57 53		bbs 6,$57,$00c2aa
00C257	00C257 8F 62 25		bbs 0,$62,$00c27f
	00C25A FF 65 1A		bbs 7,$65,$00c277
00C25D	00C25D 20 31 23		jsr $2331
	00C260 A2 01		ldx #$01
	00C262 20 BB F2		jsr $F2BB
00C265	00C265 20 3F FA		jsr $FA3F
	00C268 F2 0C 06 02 F8	bas $060C,$02,$00c265	;DPi AADET/ACDET/CADET/CCDET/SDET
	00C26D AF 6D 3A		bbs 2,$6D,$00c2aa
	00C270 9F 6F 03		bbs 1,$6F,$00c276
	00C273 20 5D F4		jsr $F45D
00C276	00C276 60		rts

00C277	00C277 20 62 F4		jsr $F462
	00C27A 20 B3 22		jsr $22B3
	00C27D 80 09		bra $00c288

00C27F	00C27F 20 E0 F3		jsr $F3E0
	00C282 20 2C F4		jsr $F42C
	00C285 20 D7 FD		jsr $FDD7{scli}
00C288	00C288 48		pha
	00C289 C2 40 08 06	rba $40,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	00C28D 68		pla
	00C28E 20 62 F4		jsr $F462
	00C291 20 1E FE		jsr $FE1E
	00C294 37 0A		rmb 3,$0A		;Cx9 External Interrupt Register
	00C296 47 39		rmb 4,$39		;Cx9	serial interrupt enable
	00C298 A9 03		lda #$03
	00C29A 20 44 FD		jsr $FD44
	00C29D 5F 4F 04		bbr 5,$4F,$00c2a4
	00C2A0 77 80		rmb 7,80
	00C2A2 80 05		bra $00c2a9

00C2A4	00C2A4 0F 62 02		bbr 0,$62,$00c2a9
	00C2A7 F7 80		smb 7,$80
00C2A9	00C2A9 60		rts

00C2AA	00C2AA C2 08 06 06	rba $08,$0606		;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
	00C2AE A9 03		lda #$03
	00C2B0 4C 8A FA		jmp $FA8A

00C2B3	00C2B3 C2 80 08 06	rba $80,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	00C2B7 D2 08 06 06	sba $08,$0606		;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
	00C2BB AD 5F 04		lda $045F
	00C2BE 48		pha
	00C2BF 29 03		and #$03
	00C2C1 20 8A FA		jsr $FA8A
	00C2C4 68		pla
	00C2C5 48		pha
	00C2C6 29 08		and #$08
	00C2C8 F0 0D		beq $00c2d7
	00C2CA 68		pla
	00C2CB 29 10		and #$10
	00C2CD F0 04		beq $00c2d3
	00C2CF A9 00		lda #$00
	00C2D1 80 0B		bra $00c2de

00C2D3	00C2D3 A9 02		lda #$02
	00C2D5 80 07		bra $00c2de

00C2D7	00C2D7 68		pla
	00C2D8 C2 08 06 06	rba $08,$0606		;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
	00C2DC A9 00		lda #$00
00C2DE	00C2DE 20 AC FA		jsr $FAAC
	00C2E1 C2 40 08 06	rba $40,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	00C2E5 20 3C 4D		jsr $4D3C
	00C2E8 20 15 23		jsr $2315
	00C2EB D2 40 06 06	sba $40,$0606		;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
	00C2EF A9 02		lda #$02
	00C2F1 8D 0E 02		sta $020E
	00C2F4 A9 00		lda #$00
	00C2F6 8D 0F 02		sta $020F
	00C2F9 67 5D		rmb 6,$5D
00C2FB	00C2FB 6F 5D FD		bbr 6,$5D,$00c2fb
	00C2FE D2 80 08 06	sba $80,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	00C302 A9 02		lda #$02
	00C304 8D 0E 02		sta $020E
	00C307 A9 00		lda #$00
	00C309 8D 0F 02		sta $020F
	00C30C 67 5D		rmb 6,$5D
00C30E	00C30E AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	00C311 6F 5D FA		bbr 6,$5D,$00c30e
	00C314 60		rts

00C315	00C315 A9 89		lda #$89
	00C317 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C31A A9 80		lda #$80
	00C31C 20 9C FC		jsr $FC9C{meaddh_w}
	00C31F AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00C322 29 F7		and #$F7
	00C324 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C327 A9 89		lda #$89
	00C329 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C32C A9 A0		lda #$A0
	00C32E 4C 9C FC		jmp $FC9C{meaddh_w}

00C331	00C331 EF 57 13		bbs 6,$57,$00c347
	00C334 20 EB F3		jsr $F3EB
	00C337 20 E0 F3		jsr $F3E0
	00C33A A2 01		ldx #$01
	00C33C 20 BB F2		jsr $F2BB
	00C33F 20 E5 F3		jsr $F3E5
	00C342 A9 00		lda #$00
	00C344 20 44 FD		jsr $FD44
00C347	00C347 60		rts

00C348	00C348 AF 61 FD		bbs 2,$61,$00c348
	00C34B 80 1D		bra $00c36a

00C34D	00C34D AF 61 FD		bbs 2,$61,$00c34d
	00C350 4F 7B 17		bbr 4,$7B,$00c36a
	00C353 EF 9B 14		bbs 6,$9B,$00c36a
	00C356 CF 07 11		bbs 4,$07,$00c36a	;Cx9	port E (R/W)
00C359	00C359 B2 04 A9		sti #$04,$A9
	00C35C B2 00 77		sti #$00,$77
	00C35F 37 76		rmb 3,$76
	00C361 60		rts

00C362	00C362 AF 61 FD		bbs 2,$61,$00c362
	00C365 80 03		bra $00c36a

;;;

00C367	00C367 AF 61 FD		bbs 2,$61,$00c367
00C36A	00C36A 20 7F E2		jsr $E27F
	00C36D D0 EA		bne $00c359
	00C36F C7 61		smb 4,$61
	00C371 20 B4 18		jsr $18B4
	00C374 20 E1 E3		jsr $E3E1
	00C377 0F 62 03		bbr 0,$62,$00c37d
	00C37A 20 29 FD		jsr $FD29
00C37D	00C37D 57 57		rmb 5,$57
	00C37F 20 35 FD		jsr $FD35
	00C382 60		rts

00C383	00C383 7F 98 01		bbr 7,$98,$00c387
	00C386 60		rts

00C387	00C387 20 A8 F8		jsr $F8A8
	00C38A C9 A1		cmp #$A1
	00C38C D0 07		bne $00c395
	00C38E F7 6A		smb 7,$6A
	00C390 B2 2D A9		sti #$2D'-',$A9
	00C393 80 1A		bra $00c3af

00C395	00C395 C9 A4		cmp #$A4
	00C397 D0 07		bne $00c3a0
	00C399 F7 6A		smb 7,$6A
	00C39B B2 2C A9		sti #$2C',',$A9
	00C39E 80 0F		bra $00c3af

00C3A0	00C3A0 20 8D F9		jsr $F98D
	00C3A3 C9 00		cmp #$00
	00C3A5 D0 02		bne $00c3a9
	00C3A7 F7 6A		smb 7,$6A
00C3A9	00C3A9 A8		tay
	00C3AA B9 B9 23		lda $23B9,y
	00C3AD 85 A9		sta $A9
00C3AF	00C3AF 2F 79 06		bbr 2,$79,$00c3b8
	00C3B2 20 94 E2		jsr $E294
	00C3B5 20 1E FE		jsr $FE1E
00C3B8	00C3B8 60		rts

00C3B9	00C3B9 28		plp
	00C3BA 2A		rol a
	00C3BB 2E 2F 30		rol $302F
	00C3BE 32		pul
	00C3BF 33		plw
	00C3C0 34		???			;undocumented opcode
	00C3C1 31 2F		and ($2F),x		;Cx9	host handshake register
	00C3C3 30 32		bmi $00c3f7
	00C3C5 33		plw
	00C3C6 34		???			;undocumented opcode
	00C3C7 31 35		and ($35),x		;Cx9 PAB
	00C3C9 36 37		rol $37,x		;Cx9 PAUL PAB-PALL clear download
	00C3CB 38		sec
	00C3CC 39 3A 4E		and $4E3A,y
	00C3CF 4F A5 69		bbr 4,$A5,$00c43b
	00C3D2 29 07		and #$07
	00C3D4 D0 0F		bne $00c3e5
	00C3D6 A9 03		lda #$03
	00C3D8 0F 62 0C		bbr 0,$62,$00c3e7
	00C3DB A5 4E		lda $4E
	00C3DD 29 30		and #$30'0'
	00C3DF 4A		lsr a
	00C3E0 4A		lsr a
	00C3E1 4A		lsr a
	00C3E2 4A		lsr a
	00C3E3 80 02		bra $00c3e7

00C3E5	00C3E5 A9 00		lda #$00
00C3E7	00C3E7 20 4E F6		jsr $F64E
	00C3EA 4C 3C 4D		jmp $4D3C

00C3ED	00C3ED F5 23		sbc $23,x		;Cx9 SP RAM 3
	00C3EF FF 23 09		bbs 7,$23,$00c3fb	;Cx9 SP RAM 3
	00C3F2 24 F5		bit $F5
	00C3F4 23		phw
	00C3F5 0A		asl a
	00C3F6 01 02		ora ($02)		;Cx9	port C (bidirectional)
	00C3F8 03		tip
	00C3F9 04		???			;undocumented opcode
	00C3FA 05 06		ora $06			;Cx9	port C direction (W)
	00C3FC 07 08		rmb 0,$08		;Cx9	mask option & port E dir'n
	00C3FE 09 0A		ora #$0A
	00C400 09 08		ora #$08
	00C402 07 06		rmb 0,$06		;Cx9	port C direction (W)
	00C404 05 04		ora $04			;Cx9	port D & direction control
	00C406 03		tip
	00C407 02		mpy
	00C408 01 01		ora ($01)		;Cx9	port B (output only)
	00C40A 02		mpy
	00C40B 03		tip
	00C40C 04		???			;undocumented opcode
	00C40D 05 06		ora $06			;Cx9	port C direction (W)
	00C40F 07 08		rmb 0,$08		;Cx9	mask option & port E dir'n
	00C411 09 0A		ora #$0A
	00C413 DF 49 04		bbs 5,$49,$00c41a
	00C416 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	00C419 60		rts

00C41A	00C41A AA		tax
	00C41B AD 40 03		lda $0340
	00C41E 29 03		and #$03
	00C420 0A		asl a
	00C421 A8		tay
	00C422 B9 ED 23		lda $23ED,y
	00C425 85 40		sta $40
	00C427 B9 EE 23		lda $23EE,y
	00C42A 85 41		sta $41
	00C42C B1 40		lda ($40),x
	00C42E AA		tax
	00C42F AD 3D 03		lda $033D
	00C432 49 FF		eor #$FF
	00C434 8D CC 00		sta $00CC
	00C437 AD 45 03		lda $0345
	00C43A 20 DE E3		jsr $E3DE
00C43D	00C43D AD CC 00		lda $00CC
	00C440 D0 FB		bne $00c43d
	00C442 A9 43		lda #$43'C'
	00C444 BF 4F 02		bbs 3,$4F,$00c449
	00C447 A9 3D		lda #$3D'='
00C449	00C449 18		clc
	00C44A 6D 3C 03		adc $033C
	00C44D 4F 4F 01		bbr 4,$4F,$00c451
	00C450 4A		lsr a
00C451	00C451 49 FF		eor #$FF
	00C453 8D CC 00		sta $00CC
	00C456 AD 44 03		lda $0344
	00C459 20 DE E3		jsr $E3DE
00C45C	00C45C AD CC 00		lda $00CC
	00C45F D0 FB		bne $00c45c
	00C461 A9 21		lda #$21'!'
	00C463 BF 4F 02		bbs 3,$4F,$00c468
	00C466 A9 27		lda #$27'''
00C468	00C468 18		clc
	00C469 6D 3B 03		adc $033B
	00C46C 4F 4F 01		bbr 4,$4F,$00c470
	00C46F 4A		lsr a
00C470	00C470 49 FF		eor #$FF
	00C472 8D CC 00		sta $00CC
	00C475 AD 43 03		lda $0343
	00C478 20 DE E3		jsr $E3DE
	00C47B CA		dex
	00C47C F0 08		beq $00c486
00C47E	00C47E AD CC 00		lda $00CC
	00C481 D0 FB		bne $00c47e
	00C483 4C 42 24		jmp $2442

00C486	00C486 AD 42 03		lda $0342
	00C489 20 DE E3		jsr $E3DE
	00C48C AD 3E 03		lda $033E
	00C48F 49 FF		eor #$FF
	00C491 8D CC 00		sta $00CC
00C494	00C494 AD CC 00		lda $00CC
	00C497 D0 FB		bne $00c494
	00C499 AD 46 03		lda $0346
	00C49C 20 DE E3		jsr $E3DE
	00C49F AD 3F 03		lda $033F
	00C4A2 8D 02 02		sta $0202
	00C4A5 A9 00		lda #$00
	00C4A7 8D 03 02		sta $0203
	00C4AA 07 5D		rmb 0,$5D
00C4AC	00C4AC 0F 5D FD		bbr 0,$5D,$00c4ac
	00C4AF 60		rts

00C4B0	00C4B0 FF 49 2F		bbs 7,$49,$00c4e2
	00C4B3 7F 6A 04		bbr 7,$6A,$00c4ba
	00C4B6 A9 00		lda #$00
	00C4B8 F0 25		beq $00c4df
00C4BA	00C4BA 2F 7C 04		bbr 2,$7C,$00c4c1
	00C4BD A9 02		lda #$02
	00C4BF D0 0A		bne $00c4cb
00C4C1	00C4C1 A5 4D		lda $4D
	00C4C3 29 C0		and #$C0
	00C4C5 4A		lsr a
	00C4C6 4A		lsr a
	00C4C7 4A		lsr a
	00C4C8 4A		lsr a
	00C4C9 4A		lsr a
	00C4CA 4A		lsr a
00C4CB	00C4CB 48		pha
	00C4CC 0A		asl a
	00C4CD 0A		asl a
	00C4CE 0A		asl a
	00C4CF 0A		asl a
	00C4D0 0A		asl a
	00C4D1 0A		asl a
	00C4D2 48		pha
	00C4D3 A9 3F		lda #$3F'?'
	00C4D5 25 4D		and $4D
	00C4D7 85 4D		sta $4D
	00C4D9 68		pla
	00C4DA 05 4D		ora $4D
	00C4DC 85 4D		sta $4D
	00C4DE 68		pla
00C4DF	00C4DF 20 BD F6		jsr $F6BD
00C4E2	00C4E2 60		rts

00C4E3	00C4E3 A2 00		ldx #$00
	00C4E5 A0 00		ldy #$00
	00C4E7 86 40		stx $40
	00C4E9 86 41		stx $41
	00C4EB B1 A5		lda ($A5),x
	00C4ED F0 5C		beq $00c54b
00C4EF	00C4EF B1 A5		lda ($A5),x
	00C4F1 C9 30		cmp #$30'0'
	00C4F3 90 06		bcc $00c4fb
	00C4F5 C9 3A		cmp #$3A':'
	00C4F7 B0 02		bcs $00c4fb
	00C4F9 90 0F		bcc $00c50a
00C4FB	00C4FB A0 00		ldy #$00
	00C4FD 84 40		sty $40
	00C4FF C9 3B		cmp #$3B';'
	00C501 F0 48		beq $00c54b
	00C503 C9 0D		cmp #$0D
	00C505 F0 44		beq $00c54b
	00C507 E8		inx
	00C508 D0 E5		bne $00c4ef
00C50A	00C50A D9 9B 02		cmp $029B,y
	00C50D D0 17		bne $00c526
	00C50F A9 FF		lda #$FF
	00C511 85 40		sta $40
	00C513 C8		iny
	00C514 E8		inx
	00C515 C0 03		cpy #$03
	00C517 F0 32		beq $00c54b
	00C519 C0 02		cpy #$02
	00C51B D0 D2		bne $00c4ef
	00C51D B9 9B 02		lda $029B,y
	00C520 C9 20		cmp #$20' '
	00C522 F0 27		beq $00c54b
	00C524 D0 C9		bne $00c4ef
00C526	00C526 A9 00		lda #$00
	00C528 85 40		sta $40
	00C52A A0 00		ldy #$00
00C52C	00C52C E8		inx
	00C52D B1 A5		lda ($A5),x
	00C52F C9 2C		cmp #$2C','
	00C531 F0 0E		beq $00c541
	00C533 C9 57		cmp #$57'W'
	00C535 F0 0A		beq $00c541
	00C537 C9 3B		cmp #$3B';'
	00C539 F0 10		beq $00c54b
	00C53B C9 0D		cmp #$0D
	00C53D F0 0C		beq $00c54b
	00C53F D0 EB		bne $00c52c
00C541	00C541 A5 41		lda $41
	00C543 D0 06		bne $00c54b
	00C545 49 FF		eor #$FF
	00C547 85 41		sta $41
	00C549 D0 A4		bne $00c4ef
00C54B	00C54B A5 40		lda $40
	00C54D 60		rts

00C54E	00C54E A9 96		lda #$96
	00C550 8D 14 02		sta $0214
	00C553 A9 00		lda #$00
	00C555 8D 15 02		sta $0215
	00C558 17 5E		rmb 1,$5E
00C55A	00C55A 1F 5E FD		bbr 1,$5E,$00c55a
	00C55D AD 42 03		lda $0342
	00C560 29 08		and #$08
	00C562 F0 04		beq $00c568
	00C564 37 07		rmb 3,$07		;Cx9	port E (R/W)
	00C566 80 02		bra $00c56a

00C568	00C568 B7 07		smb 3,$07		;Cx9	port E (R/W)
00C56A	00C56A AD 4D 03		lda $034D
	00C56D 20 86 25		jsr $2586
00C570	00C570 1F 5E FD		bbr 1,$5E,$00c570
	00C573 20 EA E3		jsr $E3EA
	00C576 A9 64		lda #$64'd'
	00C578 8D 14 02		sta $0214
	00C57B A9 00		lda #$00
	00C57D 8D 15 02		sta $0215
	00C580 17 5E		rmb 1,$5E
00C582	00C582 1F 5E FD		bbr 1,$5E,$00c582
	00C585 60		rts

00C586	00C586 8D 14 02		sta $0214
	00C589 A9 00		lda #$00
	00C58B 8D 15 02		sta $0215
	00C58E 17 5E		rmb 1,$5E
	00C590 60		rts

00C591	00C591 EF 7A 24		bbs 6,$7A,$00c5b8
	00C594 9F 50 49		bbs 1,$50,$00c5e0
	00C597 AD 3B 01		lda $013B
	00C59A C9 00		cmp #$00
	00C59C F0 04		beq $00c5a2
	00C59E C9 03		cmp #$03
	00C5A0 D0 3E		bne $00c5e0
00C5A2	00C5A2 4F 65 09		bbr 4,$65,$00c5ae
	00C5A5 B2 44 40		sti #$44'D',$40
	00C5A8 B2 42 41		sti #$42'B',$41
	00C5AB 20 06 43		jsr $4306
00C5AE	00C5AE 20 18 44		jsr $4418
	00C5B1 20 24 44		jsr $4424
	00C5B4 E7 7A		smb 6,$7A
	00C5B6 80 28		bra $00c5e0

00C5B8	00C5B8 20 30 F9		jsr $F930
	00C5BB D0 23		bne $00c5e0
	00C5BD AD 0B 06		lda $060B		;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	00C5C0 29 E0		and #$E0
	00C5C2 4A		lsr a
	00C5C3 4A		lsr a
	00C5C4 4A		lsr a
	00C5C5 4A		lsr a
	00C5C6 4A		lsr a
	00C5C7 48		pha
	00C5C8 29 01		and #$01
	00C5CA D0 0A		bne $00c5d6
	00C5CC 68		pla
	00C5CD 4F 65 10		bbr 4,$65,$00c5e0
	00C5D0 29 02		and #$02
	00C5D2 D0 0A		bne $00c5de
	00C5D4 80 0A		bra $00c5e0

00C5D6	00C5D6 68		pla
	00C5D7 AD 3B 01		lda $013B
	00C5DA C9 00		cmp #$00
	00C5DC D0 02		bne $00c5e0
00C5DE	00C5DE D7 78		smb 5,$78
00C5E0	00C5E0 60		rts

00C5E1	00C5E1 A9 03		lda #$03
	00C5E3 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C5E6 A9 8C		lda #$8C
	00C5E8 20 9C FC		jsr $FC9C{meaddh_w}
	00C5EB AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00C5EE 29 EF		and #$EF
	00C5F0 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C5F3 A9 AC		lda #$AC
	00C5F5 4C 9C FC		jmp $FC9C{meaddh_w}

00C5F8	00C5F8 01 04		ora ($04)		;Cx9	port D & direction control
	00C5FA 05 0C		ora $0C			;Cx9 PTG B Mode (R/W)
	00C5FC 09 0B		ora #$0B
	00C5FE 17 00		rmb 1,$00		;Cx9	port A (bidirectional)
	00C600 03		tip
	00C601 AD 98 9A		lda $9A98
	00C604 F0 24		beq $00c62a
	00C606 E2 09 06 10 09	bar $0609,$10,$00c614	;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00C60B AD 98 9A		lda $9A98
	00C60E 29 E0		and #$E0
	00C610 09 04		ora #$04
	00C612 80 11		bra $00c625

00C614	00C614 3F 67 09		bbr 3,$67,$00c620
	00C617 AD 98 9A		lda $9A98
	00C61A 29 E0		and #$E0
	00C61C 09 02		ora #$02
	00C61E 80 05		bra $00c625

00C620	00C620 AD 98 9A		lda $9A98
	00C623 29 E0		and #$E0
00C625	00C625 8D 43 01		sta $0143
	00C628 80 2F		bra $00c659

00C62A	00C62A 20 2B 2C		jsr $2C2B
	00C62D 90 1B		bcc $00c64a
	00C62F F2 68 01 01 03	bas $0168,$01,$00c637
	00C634 7F 67 1D		bbr 7,$67,$00c654
00C637	00C637 E2 09 06 10 0E	bar $0609,$10,$00c64a	;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00C63C AD 12 06		lda $0612		;DPi configuration (CONF)
	00C63F C9 AA		cmp #$AA
	00C641 F0 11		beq $00c654
	00C643 A9 C4		lda #$C4
	00C645 8D 43 01		sta $0143
	00C648 80 0F		bra $00c659

00C64A	00C64A 3F 67 07		bbr 3,$67,$00c654
	00C64D A9 C2		lda #$C2
	00C64F 8D 43 01		sta $0143
	00C652 80 05		bra $00c659

00C654	00C654 A9 C0		lda #$C0
	00C656 8D 43 01		sta $0143
00C659	00C659 D2 08 43 01	sba $08,$0143
	00C65D A9 00		lda #$00
	00C65F 8D 45 01		sta $0145
	00C662 A9 00		lda #$00
	00C664 8D 46 01		sta $0146
	00C667 A9 00		lda #$00
	00C669 8D 47 01		sta $0147
	00C66C AD 39 01		lda $0139
	00C66F C9 02		cmp #$02
	00C671 90 1A		bcc $00c68d
	00C673 C9 03		cmp #$03
	00C675 90 06		bcc $00c67d
	00C677 48		pha
	00C678 D2 40 45 01	sba $40,$0145
	00C67C 68		pla
00C67D	00C67D C9 04		cmp #$04
	00C67F 90 04		bcc $00c685
	00C681 D2 01 46 01	sba $01,$0146
00C685	00C685 D2 02 46 01	sba $02,$0146
	00C689 D2 04 47 01	sba $04,$0147
00C68D	00C68D D2 80 47 01	sba $80,$0147
	00C691 20 37 29		jsr $2937
	00C694 90 12		bcc $00c6a8
	00C696 E2 5B 01 04 0D	bar $015B,$04,$00c6a8
	00C69B AD 86 01		lda $0186
	00C69E C9 04		cmp #$04
	00C6A0 F0 06		beq $00c6a8
	00C6A2 C9 02		cmp #$02
	00C6A4 F0 3F		beq $00c6e5
	00C6A6 80 07		bra $00c6af

00C6A8	00C6A8 AD 3B 01		lda $013B
	00C6AB C9 0B		cmp #$0B
	00C6AD F0 36		beq $00c6e5
00C6AF	00C6AF 48		pha
	00C6B0 C2 40 45 01	rba $40,$0145
	00C6B4 68		pla
	00C6B5 C9 0A		cmp #$0A
	00C6B7 F0 2C		beq $00c6e5
	00C6B9 C9 09		cmp #$09
	00C6BB F0 28		beq $00c6e5
	00C6BD 48		pha
	00C6BE C2 01 46 01	rba $01,$0146
	00C6C2 68		pla
	00C6C3 C9 02		cmp #$02
	00C6C5 F0 1E		beq $00c6e5
	00C6C7 C9 01		cmp #$01
	00C6C9 F0 1A		beq $00c6e5
	00C6CB 48		pha
	00C6CC C2 02 46 01	rba $02,$0146
	00C6D0 68		pla
	00C6D1 C9 03		cmp #$03
	00C6D3 F0 10		beq $00c6e5
	00C6D5 48		pha
	00C6D6 C2 04 47 01	rba $04,$0147
	00C6DA 68		pla
	00C6DB C9 00		cmp #$00
	00C6DD F0 06		beq $00c6e5
	00C6DF 48		pha
	00C6E0 C2 80 47 01	rba $80,$0147
	00C6E4 68		pla
00C6E5	00C6E5 20 3B 27		jsr $273B
	00C6E8 20 EC 26		jsr $26EC
	00C6EB 60		rts

00C6EC	00C6EC AD 43 01		lda $0143
	00C6EF 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C6F2 A9 04		lda #$04
	00C6F4 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C6F7 A9 A3		lda #$A3
	00C6F9 20 9C FC		jsr $FC9C{meaddh_w}
	00C6FC AD 45 01		lda $0145
	00C6FF 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C702 A9 06		lda #$06
	00C704 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C707 A9 A3		lda #$A3
	00C709 20 9C FC		jsr $FC9C{meaddh_w}
	00C70C AD 46 01		lda $0146
	00C70F 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C712 A9 07		lda #$07
	00C714 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C717 A9 A3		lda #$A3
	00C719 20 9C FC		jsr $FC9C{meaddh_w}
	00C71C AD 47 01		lda $0147
	00C71F 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C722 A9 08		lda #$08
	00C724 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C727 A9 A3		lda #$A3
	00C729 20 9C FC		jsr $FC9C{meaddh_w}
	00C72C A9 FF		lda #$FF
	00C72E 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C731 A9 2A		lda #$2A'*'
	00C733 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C736 A9 A3		lda #$A3
	00C738 4C 9C FC		jmp $FC9C{meaddh_w}

00C73B	00C73B AD 39 01		lda $0139
	00C73E AA		tax
	00C73F E0 03		cpx #$03
	00C741 B0 0F		bcs $00c752
	00C743 A9 52		lda #$52'R'
	00C745 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C748 A9 0C		lda #$0C
	00C74A 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C74D A9 A3		lda #$A3
	00C74F 4C 9C FC		jmp $FC9C{meaddh_w}

00C752	00C752 89 BE		add #$BE
	00C754 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C757 A9 09		lda #$09
	00C759 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C75C A9 A3		lda #$A3
	00C75E 20 9C FC		jsr $FC9C{meaddh_w}
	00C761 E0 08		cpx #$08
	00C763 90 10		bcc $00c775
	00C765 8A		txa
	00C766 89 3E		add #$3E'>'
	00C768 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C76B A9 15		lda #$15
	00C76D 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C770 A9 A3		lda #$A3
	00C772 4C 9C FC		jmp $FC9C{meaddh_w}

00C775	00C775 E0 04		cpx #$04
	00C777 90 10		bcc $00c789
	00C779 BD 99 27		lda $2799,x
	00C77C 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C77F A9 0B		lda #$0B
	00C781 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C784 A9 A3		lda #$A3
	00C786 20 9C FC		jsr $FC9C{meaddh_w}
00C789	00C789 A9 A4		lda #$A4
	00C78B 7F 49 02		bbr 7,$49,$00c790
	00C78E A9 A1		lda #$A1
00C790	00C790 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C793 A9 12		lda #$12
	00C795 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C798 A9 A3		lda #$A3
	00C79A 4C 9C FC		jmp $FC9C{meaddh_w}

00C79D	00C79D 71 78		adc ($78),x
	00C79F 74 72		add $72,x
	00C7A1 20 AA 27		jsr $27AA
	00C7A4 20 D9 27		jsr $27D9
	00C7A7 4C F9 27		jmp $27F9

00C7AA	00C7AA AD 3D 01		lda $013D
	00C7AD D0 0A		bne $00c7b9
	00C7AF AD 3E 01		lda $013E
	00C7B2 D0 05		bne $00c7b9
	00C7B4 A9 01		lda #$01
	00C7B6 8D 3D 01		sta $013D
00C7B9	00C7B9 AD 3D 01		lda $013D
	00C7BC 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C7BF A9 82		lda #$82
	00C7C1 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C7C4 A9 A3		lda #$A3
	00C7C6 20 9C FC		jsr $FC9C{meaddh_w}
	00C7C9 AD 3E 01		lda $013E
	00C7CC 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C7CF A9 83		lda #$83
	00C7D1 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C7D4 A9 A3		lda #$A3
	00C7D6 4C 9C FC		jmp $FC9C{meaddh_w}

00C7D9	00C7D9 AD 3F 01		lda $013F
	00C7DC 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C7DF A9 16		lda #$16
	00C7E1 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C7E4 A9 A1		lda #$A1
	00C7E6 20 9C FC		jsr $FC9C{meaddh_w}
	00C7E9 AD 40 01		lda $0140
	00C7EC 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C7EF A9 17		lda #$17
	00C7F1 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C7F4 A9 A1		lda #$A1
	00C7F6 4C 9C FC		jmp $FC9C{meaddh_w}

00C7F9	00C7F9 AD 41 01		lda $0141
	00C7FC 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C7FF A9 C0		lda #$C0
	00C801 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C804 A9 A2		lda #$A2
	00C806 20 9C FC		jsr $FC9C{meaddh_w}
	00C809 A9 C2		lda #$C2
	00C80B 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C80E A9 A2		lda #$A2
	00C810 20 9C FC		jsr $FC9C{meaddh_w}
	00C813 A9 C4		lda #$C4
	00C815 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C818 A9 A2		lda #$A2
	00C81A 20 9C FC		jsr $FC9C{meaddh_w}
	00C81D A9 C6		lda #$C6
	00C81F 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C822 A9 A2		lda #$A2
	00C824 20 9C FC		jsr $FC9C{meaddh_w}
	00C827 AD 42 01		lda $0142
	00C82A 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C82D A9 C1		lda #$C1
	00C82F 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C832 A9 A2		lda #$A2
	00C834 20 9C FC		jsr $FC9C{meaddh_w}
	00C837 A9 C3		lda #$C3
	00C839 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C83C A9 A2		lda #$A2
	00C83E 20 9C FC		jsr $FC9C{meaddh_w}
	00C841 A9 C5		lda #$C5
	00C843 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C846 A9 A2		lda #$A2
	00C848 20 9C FC		jsr $FC9C{meaddh_w}
	00C84B A9 C7		lda #$C7
	00C84D 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C850 A9 A2		lda #$A2
	00C852 4C 9C FC		jmp $FC9C{meaddh_w}

00C855	00C855 01 01		ora ($01)		;Cx9	port B (output only)
	00C857 04		???			;undocumented opcode
	00C858 05 AD		ora $AD
	00C85A 57 01		rmb 5,$01		;Cx9	port B (output only)
	00C85C 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C85F A9 2E		lda #$2E'.'
	00C861 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C864 A9 A4		lda #$A4
	00C866 20 9C FC		jsr $FC9C{meaddh_w}
	00C869 AD 58 01		lda $0158
	00C86C 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C86F A9 2F		lda #$2F'/'
	00C871 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C874 A9 A4		lda #$A4
	00C876 4C 9C FC		jmp $FC9C{meaddh_w}

00C879	00C879 C2 01 4D 01	rba $01,$014D
	00C87D E2 4C 01 01 04	bar $014C,$01,$00c886
	00C882 D2 01 4D 01	sba $01,$014D
00C886	00C886 20 3A E2		jsr $E23A
	00C889 20 A1 27		jsr $27A1
	00C88C 20 37 29		jsr $2937
	00C88F 90 10		bcc $00c8a1
	00C891 E2 5B 01 04 0B	bar $015B,$04,$00c8a1
	00C896 AD 86 01		lda $0186
	00C899 C9 04		cmp #$04
	00C89B F0 04		beq $00c8a1
	00C89D C9 02		cmp #$02
	00C89F D0 1A		bne $00c8bb
00C8A1	00C8A1 E2 3C 01 01 15	bar $013C,$01,$00c8bb
	00C8A6 AE 39 01		ldx $0139
	00C8A9 E2 09 06 10 04	bar $0609,$10,$00c8b2	;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00C8AE E0 04		cpx #$04
	00C8B0 80 02		bra $00c8b4

00C8B2	00C8B2 E0 03		cpx #$03
00C8B4	00C8B4 B0 3D		bcs $00c8f3
	00C8B6 BD 55 28		lda $2855,x
	00C8B9 80 3D		bra $00c8f8

00C8BB	00C8BB 20 37 29		jsr $2937
	00C8BE 90 14		bcc $00c8d4
	00C8C0 E2 5B 01 04 0F	bar $015B,$04,$00c8d4
	00C8C5 AD 86 01		lda $0186
	00C8C8 C9 04		cmp #$04
	00C8CA F0 08		beq $00c8d4
	00C8CC C9 02		cmp #$02
	00C8CE F0 04		beq $00c8d4
	00C8D0 A9 0B		lda #$0B
	00C8D2 80 24		bra $00c8f8

00C8D4	00C8D4 AD 35 01		lda $0135
	00C8D7 B2 F8 40		sti #$F8,$40
	00C8DA B2 25 41		sti #$25'%',$41
	00C8DD C9 09		cmp #$09
	00C8DF B0 12		bcs $00c8f3
	00C8E1 AA		tax
	00C8E2 B1 40		lda ($40),x
	00C8E4 C9 0C		cmp #$0C
	00C8E6 D0 07		bne $00c8ef
	00C8E8 FF 49 0D		bbs 7,$49,$00c8f8
	00C8EB A9 0D		lda #$0D
	00C8ED 80 09		bra $00c8f8

00C8EF	00C8EF C9 17		cmp #$17
	00C8F1 D0 05		bne $00c8f8
00C8F3	00C8F3 20 01 26		jsr $2601
	00C8F6 A9 17		lda #$17
00C8F8	00C8F8 48		pha
	00C8F9 C2 10 01 06	rba $10,$0601		;DPi VOLUME/VPAUSE/CELULR/xXHF/RXP
	00C8FD 68		pla
	00C8FE E2 4D 01 01 06	bar $014D,$01,$00c909
	00C903 48		pha
	00C904 D2 10 01 06	sba $10,$0601		;DPi VOLUME/VPAUSE/CELULR/xXHF/RXP
	00C908 68		pla
00C909	00C909 60		rts

00C90A	00C90A 20 F4 E2		jsr $E2F4
	00C90D E2 4D 01 01 06	bar $014D,$01,$00c918
	00C912 AD 4C 01		lda $014C
	00C915 29 3E		and #$3E'>'
	00C917 4A		lsr a
00C918	00C918 F2 4C 01 01 00	bas $014C,$01,$00c91d
00C91D	00C91D 4C 92 F5		jmp $F592

00C920	00C920 A9 B3		lda #$B3
	00C922 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00C925 A9 80		lda #$80
	00C927 20 9C FC		jsr $FC9C{meaddh_w}
	00C92A AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00C92D 09 40		ora #$40'@'
	00C92F 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00C932 A9 A0		lda #$A0
	00C934 4C 9C FC		jmp $FC9C{meaddh_w}

00C937	00C937 E2 5A 01 01 0E	bar $015A,$01,$00c94a
	00C93C A5 69		lda $69
	00C93E 29 07		and #$07
	00C940 D0 08		bne $00c94a
	00C942 A5 9B		lda $9B
	00C944 29 0F		and #$0F
	00C946 D0 02		bne $00c94a
	00C948 38		sec
	00C949 60		rts

00C94A	00C94A 18		clc
	00C94B 60		rts

00C94C	00C94C 6C BF 00		jmp ($00BF)

00C94F	00C94F E2 52 01 40 0D	bar $0152,$40,$00c961
	00C954 A2 10		ldx #$10
	00C956 20 F8 E1		jsr $E1F8
	00C959 20 25 2F		jsr $2F25
	00C95C 20 68 2D		jsr $2D68
	00C95F 80 00		bra $00c961

00C961	00C961 D2 04 67 01	sba $04,$0167
	00C965 60		rts

00C966	00C966 C2 04 67 01	rba $04,$0167
	00C96A E2 52 01 40 14	bar $0152,$40,$00c983
	00C96F E2 53 01 08 03	bar $0153,$08,$00c977
	00C974 20 7F 2E		jsr $2E7F
00C977	00C977 20 54 2E		jsr $2E54
	00C97A 20 3C 2F		jsr $2F3C
	00C97D AE 80 04		ldx $0480		;Cx9 CRC	result low/input buffer
	00C980 4C F8 E1		jmp $E1F8

00C983	00C983 E2 52 01 40 0D	bar $0152,$40,$00c995
	00C988 20 25 2F		jsr $2F25
	00C98B 20 BB 2D		jsr $2DBB
	00C98E A2 10		ldx #$10
	00C990 20 F8 E1		jsr $E1F8
	00C993 80 00		bra $00c995

00C995	00C995 D2 40 68 01	sba $40,$0168
	00C999 60		rts

00C99A	00C99A C2 40 68 01	rba $40,$0168
	00C99E E2 52 01 40 1B	bar $0152,$40,$00c9be
	00C9A3 20 7F 2E		jsr $2E7F
	00C9A6 20 54 2E		jsr $2E54
	00C9A9 A9 BE		lda #$BE
	00C9AB 8D BF 00		sta $00BF
	00C9AE A9 29		lda #$29')'
	00C9B0 8D C0 00		sta $00C0
	00C9B3 57 5B		rmb 5,$5B
	00C9B5 20 3C 2F		jsr $2F3C
	00C9B8 AE 80 04		ldx $0480		;Cx9 CRC	result low/input buffer
	00C9BB 4C F8 E1		jmp $E1F8

00C9BE	00C9BE F2 67 01 04 03	bas $0167,$04,$00c9c6
	00C9C3 4C 67 2A		jmp $2A67

00C9C6	00C9C6 A9 E6		lda #$E6
	00C9C8 8D BF 00		sta $00BF
	00C9CB A9 29		lda #$29')'
	00C9CD 8D C0 00		sta $00C0
	00C9D0 E2 52 01 40 05	bar $0152,$40,$00c9da
	00C9D5 20 2C 2E		jsr $2E2C
	00C9D8 80 00		bra $00c9da

00C9DA	00C9DA A9 09		lda #$09
	00C9DC 8D 0C 02		sta $020C
	00C9DF A9 00		lda #$00
	00C9E1 8D 0D 02		sta $020D
	00C9E4 57 5D		rmb 5,$5D
	00C9E6 F2 67 01 04 03	bas $0167,$04,$00c9ee
	00C9EB 4C 67 2A		jmp $2A67

00C9EE	00C9EE 5F 5D 20		bbr 5,$5D,$00ca11
	00C9F1 A9 01		lda #$01
	00C9F3 8D 0C 02		sta $020C
	00C9F6 A9 00		lda #$00
	00C9F8 8D 0D 02		sta $020D
	00C9FB 57 5D		rmb 5,$5D
	00C9FD E2 52 01 40 05	bar $0152,$40,$00ca07
	00CA02 20 54 2E		jsr $2E54
	00CA05 80 00		bra $00ca07

00CA07	00CA07 A9 12		lda #$12
	00CA09 8D BF 00		sta $00BF
	00CA0C A9 2A		lda #$2A'*'
	00CA0E 8D C0 00		sta $00C0
00CA11	00CA11 60		rts

00CA12	00CA12 F2 67 01 04 03	bas $0167,$04,$00ca1a
	00CA17 4C 67 2A		jmp $2A67

00CA1A	00CA1A 5F 5D 20		bbr 5,$5D,$00ca3d
	00CA1D E2 52 01 40 05	bar $0152,$40,$00ca27
	00CA22 20 2C 2E		jsr $2E2C
	00CA25 80 00		bra $00ca27

00CA27	00CA27 A9 09		lda #$09
	00CA29 8D 0C 02		sta $020C
	00CA2C A9 00		lda #$00
	00CA2E 8D 0D 02		sta $020D
	00CA31 57 5D		rmb 5,$5D
	00CA33 A9 3E		lda #$3E'>'
	00CA35 8D BF 00		sta $00BF
	00CA38 A9 2A		lda #$2A'*'
	00CA3A 8D C0 00		sta $00C0
00CA3D	00CA3D 60		rts

00CA3E	00CA3E E2 67 01 04 24	bar $0167,$04,$00ca67
	00CA43 5F 5D 20		bbr 5,$5D,$00ca66
	00CA46 A9 01		lda #$01
	00CA48 8D 0C 02		sta $020C
	00CA4B A9 00		lda #$00
	00CA4D 8D 0D 02		sta $020D
	00CA50 57 5D		rmb 5,$5D
	00CA52 E2 52 01 40 05	bar $0152,$40,$00ca5c
	00CA57 20 54 2E		jsr $2E54
	00CA5A 80 00		bra $00ca5c

00CA5C	00CA5C A9 6A		lda #$6A'j'
	00CA5E 8D BF 00		sta $00BF
	00CA61 A9 2A		lda #$2A'*'
	00CA63 8D C0 00		sta $00C0
00CA66	00CA66 60		rts

00CA67	00CA67 4C D9 2A		jmp $2AD9

00CA6A	00CA6A F2 67 01 04 03	bas $0167,$04,$00ca72
	00CA6F 4C 67 2A		jmp $2A67

00CA72	00CA72 5F 5D 20		bbr 5,$5D,$00ca95
	00CA75 E2 52 01 40 05	bar $0152,$40,$00ca7f
	00CA7A 20 2C 2E		jsr $2E2C
	00CA7D 80 00		bra $00ca7f

00CA7F	00CA7F A9 09		lda #$09
	00CA81 8D 0C 02		sta $020C
	00CA84 A9 00		lda #$00
	00CA86 8D 0D 02		sta $020D
	00CA89 57 5D		rmb 5,$5D
	00CA8B A9 96		lda #$96
	00CA8D 8D BF 00		sta $00BF
	00CA90 A9 2A		lda #$2A'*'
	00CA92 8D C0 00		sta $00C0
00CA95	00CA95 60		rts

00CA96	00CA96 E2 67 01 04 3E	bar $0167,$04,$00cad9
	00CA9B 5F 5D 20		bbr 5,$5D,$00cabe
	00CA9E A9 14		lda #$14
	00CAA0 8D 18 02		sta $0218
	00CAA3 A9 00		lda #$00
	00CAA5 8D 19 02		sta $0219
	00CAA8 37 5E		rmb 3,$5E
	00CAAA E2 52 01 40 05	bar $0152,$40,$00cab4
	00CAAF 20 54 2E		jsr $2E54
	00CAB2 80 00		bra $00cab4

00CAB4	00CAB4 A9 BF		lda #$BF
	00CAB6 8D BF 00		sta $00BF
	00CAB9 A9 2A		lda #$2A'*'
	00CABB 8D C0 00		sta $00C0
00CABE	00CABE 60		rts

00CABF	00CABF E2 67 01 04 06	bar $0167,$04,$00caca
	00CAC4 3F 5E 0E		bbr 3,$5E,$00cad5
	00CAC7 4C BE 29		jmp $29BE

00CACA	00CACA E2 68 01 40 0A	bar $0168,$40,$00cad9
	00CACF 3F 5E 03		bbr 3,$5E,$00cad5
	00CAD2 4C E6 2A		jmp $2AE6

00CAD5	00CAD5 60		rts

00CAD6	00CAD6 20 66 29		jsr $2966
00CAD9	00CAD9 A9 BE		lda #$BE
	00CADB 8D BF 00		sta $00BF
	00CADE A9 29		lda #$29')'
	00CAE0 8D C0 00		sta $00C0
	00CAE3 57 5B		rmb 5,$5B
	00CAE5 60		rts

00CAE6	00CAE6 E2 68 01 40 EE	bar $0168,$40,$00cad9
	00CAEB A9 0B		lda #$0B
	00CAED 8D BF 00		sta $00BF
	00CAF0 A9 2B		lda #$2B'+'
	00CAF2 8D C0 00		sta $00C0
	00CAF5 E2 52 01 40 05	bar $0152,$40,$00caff
	00CAFA 20 2C 2E		jsr $2E2C
	00CAFD 80 00		bra $00caff

00CAFF	00CAFF A9 32		lda #$32'2'
	00CB01 8D 0C 02		sta $020C
	00CB04 A9 00		lda #$00
	00CB06 8D 0D 02		sta $020D
	00CB09 57 5D		rmb 5,$5D
	00CB0B E2 68 01 40 C9	bar $0168,$40,$00cad9
	00CB10 5F 5D 1E		bbr 5,$5D,$00cb31
	00CB13 A9 06		lda #$06
	00CB15 8D 18 02		sta $0218
	00CB18 A9 00		lda #$00
	00CB1A 8D 19 02		sta $0219
	00CB1D 37 5E		rmb 3,$5E
	00CB1F E2 52 01 40 03	bar $0152,$40,$00cb27
	00CB24 20 54 2E		jsr $2E54
00CB27	00CB27 A9 BF		lda #$BF
	00CB29 8D BF 00		sta $00BF
	00CB2C A9 2A		lda #$2A'*'
	00CB2E 8D C0 00		sta $00C0
00CB31	00CB31 60		rts

00CB32	00CB32 CF 61 03		bbs 4,$61,$00cb38
	00CB35 4C C6 2B		jmp $2BC6

00CB38	00CB38 CF 07 36		bbs 4,$07,$00cb71	;Cx9	port E (R/W)
	00CB3B E2 68 01 04 26	bar $0168,$04,$00cb66
	00CB40 E2 68 01 08 74	bar $0168,$08,$00cbb9
	00CB45 3F 60 71		bbr 3,$60,$00cbb9
	00CB48 E2 68 01 40 03	bar $0168,$40,$00cb50
	00CB4D 20 9A 29		jsr $299A
00CB50	00CB50 E2 67 01 04 03	bar $0167,$04,$00cb58
	00CB55 20 D6 2A		jsr $2AD6
00CB58	00CB58 C2 20 68 01	rba $20,$0168
	00CB5C E2 52 01 40 03	bar $0152,$40,$00cb64
	00CB61 20 95 40		jsr $4095
00CB64	00CB64 80 5B		bra $00cbc1

00CB66	00CB66 D2 04 68 01	sba $04,$0168
	00CB6A F2 68 01 08 52	bas $0168,$08,$00cbc1
	00CB6F 80 2C		bra $00cb9d

00CB71	00CB71 F2 68 01 04 1E	bas $0168,$04,$00cb94
	00CB76 E2 68 01 08 3E	bar $0168,$08,$00cbb9
	00CB7B 3F 60 3B		bbr 3,$60,$00cbb9
	00CB7E E2 67 01 04 03	bar $0167,$04,$00cb86
	00CB83 20 D6 2A		jsr $2AD6
00CB86	00CB86 D2 20 68 01	sba $20,$0168
	00CB8A E2 52 01 40 03	bar $0152,$40,$00cb92
	00CB8F 20 95 40		jsr $4095
00CB92	00CB92 80 2D		bra $00cbc1

00CB94	00CB94 C2 04 68 01	rba $04,$0168
	00CB98 F2 68 01 08 1D	bas $0168,$08,$00cbba
00CB9D	00CB9D A9 46		lda #$46'F'
	00CB9F 8D 94 9A		sta $9A94
	00CBA2 A9 00		lda #$00
	00CBA4 8D 95 9A		sta $9A95
	00CBA7 37 60		rmb 3,$60
	00CBA9 A9 0F		lda #$0F
	00CBAB 8D 08 02		sta $0208
	00CBAE A9 00		lda #$00
	00CBB0 8D 09 02		sta $0209
	00CBB3 37 5D		rmb 3,$5D
	00CBB5 D2 08 68 01	sba $08,$0168
00CBB9	00CBB9 60		rts

00CBBA	00CBBA 3F 5D 04		bbr 3,$5D,$00cbc1
	00CBBD D2 10 68 01	sba $10,$0168
00CBC1	00CBC1 C2 08 68 01	rba $08,$0168
	00CBC5 60		rts

00CBC6	00CBC6 CF 07 1E		bbs 4,$07,$00cbe7	;Cx9	port E (R/W)
	00CBC9 E2 68 01 04 0E	bar $0168,$04,$00cbdc
	00CBCE E2 68 01 08 57	bar $0168,$08,$00cc2a
	00CBD3 3F 60 54		bbr 3,$60,$00cc2a
	00CBD6 C2 20 68 01	rba $20,$0168
	00CBDA 80 4A		bra $00cc26

00CBDC	00CBDC D2 04 68 01	sba $04,$0168
	00CBE0 F2 68 01 08 41	bas $0168,$08,$00cc26
	00CBE5 80 2D		bra $00cc14

00CBE7	00CBE7 F2 68 01 04 1F	bas $0168,$04,$00cc0b
	00CBEC E2 68 01 08 39	bar $0168,$08,$00cc2a
	00CBF1 20 48 F3		jsr $F348{lda46D.1}
	00CBF4 F0 0C		beq $00cc02
	00CBF6 A9 50		lda #$50'P'
	00CBF8 8D 94 9A		sta $9A94
	00CBFB A9 00		lda #$00
	00CBFD 8D 95 9A		sta $9A95
	00CC00 37 60		rmb 3,$60
00CC02	00CC02 3F 60 25		bbr 3,$60,$00cc2a
	00CC05 D2 20 68 01	sba $20,$0168
	00CC09 80 1B		bra $00cc26

00CC0B	00CC0B C2 04 68 01	rba $04,$0168
	00CC0F F2 68 01 08 12	bas $0168,$08,$00cc26
00CC14	00CC14 A9 50		lda #$50'P'
	00CC16 8D 94 9A		sta $9A94
	00CC19 A9 00		lda #$00
	00CC1B 8D 95 9A		sta $9A95
	00CC1E 37 60		rmb 3,$60
	00CC20 D2 08 68 01	sba $08,$0168
	00CC24 80 04		bra $00cc2a

00CC26	00CC26 C2 08 68 01	rba $08,$0168
00CC2A	00CC2A 60		rts

00CC2B	00CC2B AD 98 9A		lda $9A98
	00CC2E D0 05		bne $00cc35
	00CC30 E2 67 01 08 0D	bar $0167,$08,$00cc42
00CC35	00CC35 A5 9B		lda $9B
	00CC37 29 0F		and #$0F
	00CC39 D0 07		bne $00cc42
	00CC3B F2 31 01 20 02	bas $0131,$20,$00cc42
	00CC40 38		sec
	00CC41 60		rts

00CC42	00CC42 18		clc
	00CC43 60		rts

00CC44	00CC44 3F 5E 0D		bbr 3,$5E,$00cc54
	00CC47 A9 1D		lda #$1D
	00CC49 8D BD 00		sta $00BD
	00CC4C A9 E1		lda #$E1
	00CC4E 8D BE 00		sta $00BE
	00CC51 20 96 2E		jsr $2E96
00CC54	00CC54 60		rts

00CC55	00CC55 20 32 2B		jsr $2B32
	00CC58 20 FE 2C		jsr $2CFE
	00CC5B 20 9B 2E		jsr $2E9B
	00CC5E F2 68 01 02 2F	bas $0168,$02,$00cc92
	00CC63 E2 53 01 01 2B	bar $0153,$01,$00cc93
	00CC68 F2 68 01 20 6C	bas $0168,$20,$00ccd9
	00CC6D F2 53 01 10 20	bas $0153,$10,$00cc92
	00CC72 F2 53 01 04 1B	bas $0153,$04,$00cc92
	00CC77 F2 67 01 04 16	bas $0167,$04,$00cc92
	00CC7C D2 04 67 01	sba $04,$0167
	00CC80 20 68 2E		jsr $2E68
	00CC83 20 4F 29		jsr $294F
	00CC86 A9 BE		lda #$BE
	00CC88 8D BF 00		sta $00BF
	00CC8B A9 29		lda #$29')'
	00CC8D 8D C0 00		sta $00C0
	00CC90 D7 5B		smb 5,$5B
00CC92	00CC92 60		rts

00CC93	00CC93 E2 68 01 20 4F	bar $0168,$20,$00cce7
	00CC98 F2 53 01 10 1F	bas $0153,$10,$00ccbc
	00CC9D F2 53 01 04 F0	bas $0153,$04,$00cc92
	00CCA2 F2 67 01 04 EB	bas $0167,$04,$00cc92
	00CCA7 D2 04 67 01	sba $04,$0167
	00CCAB 20 4F 29		jsr $294F
	00CCAE A9 BE		lda #$BE
	00CCB0 8D BF 00		sta $00BF
	00CCB3 A9 29		lda #$29')'
	00CCB5 8D C0 00		sta $00C0
	00CCB8 D7 5B		smb 5,$5B
	00CCBA 80 41		bra $00ccfd

00CCBC	00CCBC F2 68 01 40 D1	bas $0168,$40,$00cc92
	00CCC1 D2 40 68 01	sba $40,$0168
	00CCC5 20 68 2E		jsr $2E68
	00CCC8 A9 E6		lda #$E6
	00CCCA 8D BF 00		sta $00BF
	00CCCD A9 2A		lda #$2A'*'
	00CCCF 8D C0 00		sta $00C0
	00CCD2 20 83 29		jsr $2983
	00CCD5 D7 5B		smb 5,$5B
	00CCD7 80 24		bra $00ccfd

00CCD9	00CCD9 D2 10 53 01	sba $10,$0153
	00CCDD E2 67 01 04 13	bar $0167,$04,$00ccf5
	00CCE2 20 D6 2A		jsr $2AD6
	00CCE5 80 16		bra $00ccfd

00CCE7	00CCE7 C2 10 53 01	rba $10,$0153
	00CCEB E2 67 01 04 05	bar $0167,$04,$00ccf5
	00CCF0 20 D6 2A		jsr $2AD6
	00CCF3 80 08		bra $00ccfd

00CCF5	00CCF5 E2 68 01 40 03	bar $0168,$40,$00ccfd
	00CCFA 20 9A 29		jsr $299A
00CCFD	00CCFD 60		rts

00CCFE	00CCFE A9 19		lda #$19
	00CD00 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00CD03 A9 84		lda #$84
	00CD05 20 9C FC		jsr $FC9C{meaddh_w}
	00CD08 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00CD0B 29 80		and #$80
	00CD0D C9 00		cmp #$00
	00CD0F F0 17		beq $00cd28
	00CD11 E2 53 01 01 2A	bar $0153,$01,$00cd40
	00CD16 E2 53 01 02 30	bar $0153,$02,$00cd4b
	00CD1B 6F 5E 49		bbr 6,$5E,$00cd67
	00CD1E C2 01 53 01	rba $01,$0153
	00CD22 C2 02 53 01	rba $02,$0153
	00CD26 80 3F		bra $00cd67

00CD28	00CD28 F2 53 01 01 13	bas $0153,$01,$00cd40
	00CD2D E2 53 01 02 19	bar $0153,$02,$00cd4b
	00CD32 5F 5E 32		bbr 5,$5E,$00cd67
	00CD35 D2 01 53 01	sba $01,$0153
	00CD39 C2 02 53 01	rba $02,$0153
	00CD3D 4C DE 2E		jmp $2EDE

00CD40	00CD40 E2 53 01 02 22	bar $0153,$02,$00cd67
	00CD45 C2 02 53 01	rba $02,$0153
	00CD49 80 1C		bra $00cd67

00CD4B	00CD4B A9 05		lda #$05
	00CD4D 8D 1E 02		sta $021E
	00CD50 A9 00		lda #$00
	00CD52 8D 1F 02		sta $021F
	00CD55 67 5E		rmb 6,$5E
	00CD57 A9 05		lda #$05
	00CD59 8D 1C 02		sta $021C
	00CD5C A9 00		lda #$00
	00CD5E 8D 1D 02		sta $021D
	00CD61 57 5E		rmb 5,$5E
	00CD63 D2 02 53 01	sba $02,$0153
00CD67	00CD67 60		rts

00CD68	00CD68 E2 52 01 20 13	bar $0152,$20,$00cd80
	00CD6D AD 56 01		lda $0156
	00CD70 0A		asl a
	00CD71 AA		tax
	00CD72 BD 18 2E		lda $2E18,x
	00CD75 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CD78 BD 19 2E		lda $2E19,x
	00CD7B 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00CD7E 80 0A		bra $00cd8a

00CD80	00CD80 A9 81		lda #$81
	00CD82 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CD85 A9 0C		lda #$0C
	00CD87 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
00CD8A	00CD8A A9 B0		lda #$B0
	00CD8C 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00CD8F A9 AB		lda #$AB
	00CD91 20 9C FC		jsr $FC9C{meaddh_w}
	00CD94 E2 52 01 20 0E	bar $0152,$20,$00cda7
	00CD99 BD 22 2E		lda $2E22,x
	00CD9C 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CD9F BD 23 2E		lda $2E23,x
	00CDA2 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00CDA5 80 0A		bra $00cdb1

00CDA7	00CDA7 A9 A4		lda #$A4
	00CDA9 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CDAC A9 0D		lda #$0D
	00CDAE 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
00CDB1	00CDB1 A9 B2		lda #$B2
	00CDB3 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00CDB6 A9 AB		lda #$AB
	00CDB8 4C 9C FC		jmp $FC9C{meaddh_w}

00CDBB	00CDBB E2 52 01 20 13	bar $0152,$20,$00cdd3
	00CDC0 AD 56 01		lda $0156
	00CDC3 0A		asl a
	00CDC4 AA		tax
	00CDC5 BD 0E 2E		lda $2E0E,x
	00CDC8 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CDCB BD 0F 2E		lda $2E0F,x
	00CDCE 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00CDD1 80 0A		bra $00cddd

00CDD3	00CDD3 A9 9F		lda #$9F
	00CDD5 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CDD8 A9 11		lda #$11
	00CDDA 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
00CDDD	00CDDD A9 B0		lda #$B0
	00CDDF 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00CDE2 A9 AB		lda #$AB
	00CDE4 20 9C FC		jsr $FC9C{meaddh_w}
	00CDE7 E2 52 01 20 0E	bar $0152,$20,$00cdfa
	00CDEC BD 22 2E		lda $2E22,x
	00CDEF 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CDF2 BD 23 2E		lda $2E23,x
	00CDF5 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00CDF8 80 0A		bra $00ce04

00CDFA	00CDFA A9 A4		lda #$A4
	00CDFC 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CDFF A9 0D		lda #$0D
	00CE01 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
00CE04	00CE04 A9 B2		lda #$B2
	00CE06 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00CE09 A9 AB		lda #$AB
	00CE0B 4C 9C FC		jmp $FC9C{meaddh_w}

00CE0E	00CE0E 44		???			;undocumented opcode
	00CE0F 08		php
	00CE10 06 0B		asl $0B			;Cx9 Clear External Interrupt
	00CE12 73		???			;undocumented opcode
	00CE13 09 44		ora #$44'D'
	00CE15 08		php
	00CE16 44		???			;undocumented opcode
	00CE17 08		php
	00CE18 DE 05 89		dec $8905,x
	00CE1B 08		php
	00CE1C B4 06		ldy $06,x		;Cx9	port C direction (W)
	00CE1E DE 05 DE		dec $DE05,x
	00CE21 05 66		ora $66
	00CE23 06 D2		asl $D2
	00CE25 07 50		rmb 0,$50
	00CE27 07 66		rmb 0,$66
	00CE29 06 66		asl $66
	00CE2B 06 A9		asl $A9
	00CE2D CB		phi
	00CE2E 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CE31 A9 00		lda #$00
	00CE33 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00CE36 A9 B2		lda #$B2
	00CE38 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00CE3B A9 AA		lda #$AA
	00CE3D 20 9C FC		jsr $FC9C{meaddh_w}
	00CE40 A9 B0		lda #$B0
	00CE42 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00CE45 A9 AA		lda #$AA
	00CE47 4C 9C FC		jmp $FC9C{meaddh_w}

00CE4A	00CE4A 38		sec
	00CE4B 01 80		ora ($80)
	00CE4D 00		brk
	00CE4E D0 00		bne $00ce50
00CE50	00CE50 38		sec
	00CE51 01 38		ora ($38)		;Cx9	serial I/O buffers
	00CE53 01 A9		ora ($A9)
	00CE55 00		brk
	00CE56 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CE59 A9 00		lda #$00
	00CE5B 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00CE5E A9 B0		lda #$B0
	00CE60 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00CE63 A9 AA		lda #$AA
	00CE65 4C 9C FC		jmp $FC9C{meaddh_w}

00CE68	00CE68 A9 00		lda #$00
	00CE6A 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00CE6D A9 84		lda #$84
	00CE6F 20 9C FC		jsr $FC9C{meaddh_w}
	00CE72 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00CE75 29 DF		and #$DF
	00CE77 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CE7A A9 A4		lda #$A4
	00CE7C 4C 9C FC		jmp $FC9C{meaddh_w}

00CE7F	00CE7F A9 00		lda #$00
	00CE81 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00CE84 A9 84		lda #$84
	00CE86 20 9C FC		jsr $FC9C{meaddh_w}
	00CE89 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00CE8C 09 20		ora #$20' '
	00CE8E 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CE91 A9 A4		lda #$A4
	00CE93 4C 9C FC		jmp $FC9C{meaddh_w}

00CE96	00CE96 A9 02		lda #$02
	00CE98 4C 9B FA		jmp $FA9B

00CE9B	00CE9B A9 00		lda #$00
	00CE9D 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00CEA0 A9 84		lda #$84
	00CEA2 20 9C FC		jsr $FC9C{meaddh_w}
	00CEA5 E2 67 01 04 01	bar $0167,$04,$00ceab
	00CEAA 60		rts

00CEAB	00CEAB F2 68 01 02 1B	bas $0168,$02,$00cecb
	00CEB0 F2 68 01 20 1C	bas $0168,$20,$00ced1
	00CEB5 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00CEB8 29 20		and #$20' '
	00CEBA C9 00		cmp #$00
	00CEBC F0 0D		beq $00cecb
	00CEBE 48		pha
	00CEBF C2 04 53 01	rba $04,$0153
	00CEC3 68		pla
	00CEC4 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00CEC7 09 04		ora #$04
	00CEC9 80 0B		bra $00ced6

00CECB	00CECB 48		pha
	00CECC D2 04 53 01	sba $04,$0153
	00CED0 68		pla
00CED1	00CED1 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00CED4 29 FB		and #$FB
00CED6	00CED6 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CED9 A9 A4		lda #$A4
	00CEDB 20 9C FC		jsr $FC9C{meaddh_w}
	00CEDE F2 53 01 01 11	bas $0153,$01,$00cef4
	00CEE3 E2 53 01 04 0C	bar $0153,$04,$00cef4
	00CEE8 A9 00		lda #$00
	00CEEA 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00CEED A9 05		lda #$05
	00CEEF 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CEF2 80 0F		bra $00cf03

00CEF4	00CEF4 F2 53 01 20 14	bas $0153,$20,$00cf0d
	00CEF9 A9 00		lda #$00
	00CEFB 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00CEFE A9 00		lda #$00
	00CF00 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
00CF03	00CF03 A9 B3		lda #$B3
	00CF05 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00CF08 A9 AB		lda #$AB
	00CF0A 20 9C FC		jsr $FC9C{meaddh_w}
00CF0D	00CF0D 60		rts

00CF0E	00CF0E A9 00		lda #$00
	00CF10 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00CF13 A9 84		lda #$84
	00CF15 20 9C FC		jsr $FC9C{meaddh_w}
	00CF18 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00CF1B 29 20		and #$20' '
	00CF1D C9 00		cmp #$00
	00CF1F F0 02		beq $00cf23
	00CF21 18		clc
	00CF22 60		rts

00CF23	00CF23 38		sec
	00CF24 60		rts

00CF25	00CF25 A9 D4		lda #$D4
	00CF27 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00CF2A A9 83		lda #$83
	00CF2C 20 9C FC		jsr $FC9C{meaddh_w}
	00CF2F AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00CF32 09 80		ora #$80
	00CF34 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CF37 A9 A3		lda #$A3
	00CF39 4C 9C FC		jmp $FC9C{meaddh_w}

00CF3C	00CF3C A9 D4		lda #$D4
	00CF3E 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00CF41 A9 83		lda #$83
	00CF43 20 9C FC		jsr $FC9C{meaddh_w}
	00CF46 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00CF49 29 3F		and #$3F'?'
	00CF4B 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00CF4E A9 A3		lda #$A3
	00CF50 4C 9C FC		jmp $FC9C{meaddh_w}

00CF53	00CF53 A9 FF		lda #$FF
	00CF55 8D C3 03		sta $03C3
	00CF58 8D C4 03		sta $03C4
	00CF5B 8D B9 00		sta $00B9
	00CF5E 8D BA 00		sta $00BA
	00CF61 20 E0 F3		jsr $F3E0
	00CF64 20 76 35		jsr $3576
	00CF67 20 89 36		jsr $3689
	00CF6A 20 C3 3D		jsr $3DC3
	00CF6D E2 52 01 01 13	bar $0152,$01,$00cf85
	00CF72 E2 5B 01 04 0E	bar $015B,$04,$00cf85
	00CF77 9F 6F 0B		bbs 1,$6F,$00cf85
	00CF7A AD 86 01		lda $0186
	00CF7D C9 04		cmp #$04
	00CF7F F0 04		beq $00cf85
	00CF81 C9 02		cmp #$02
	00CF83 D0 1E		bne $00cfa3
00CF85	00CF85 E2 3C 01 01 19	bar $013C,$01,$00cfa3
	00CF8A E2 09 06 10 07	bar $0609,$10,$00cf96	;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00CF8F AE 39 01		ldx $0139
	00CF92 E0 04		cpx #$04
	00CF94 90 0D		bcc $00cfa3
00CF96	00CF96 20 B5 F3		jsr $F3B5
	00CF99 D2 08 15 06	sba $08,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	00CF9D D2 01 15 06	sba $01,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	00CFA1 80 40		bra $00cfe3

00CFA3	00CFA3 20 B0 F3		jsr $F3B0
	00CFA6 C2 08 15 06	rba $08,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	00CFAA AD 37 01		lda $0137
	00CFAD CD 36 01		cmp $0136
	00CFB0 D0 06		bne $00cfb8
	00CFB2 C2 01 15 06	rba $01,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	00CFB6 80 04		bra $00cfbc

00CFB8	00CFB8 D2 01 15 06	sba $01,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
00CFBC	00CFBC E2 52 01 01 15	bar $0152,$01,$00cfd6
	00CFC1 E2 5B 01 04 10	bar $015B,$04,$00cfd6
	00CFC6 9F 6F 0D		bbs 1,$6F,$00cfd6
	00CFC9 AD 86 01		lda $0186
	00CFCC C9 04		cmp #$04
	00CFCE F0 06		beq $00cfd6
	00CFD0 C9 02		cmp #$02
	00CFD2 F0 0B		beq $00cfdf
	00CFD4 80 0D		bra $00cfe3

00CFD6	00CFD6 AD 3B 01		lda $013B
	00CFD9 C9 0B		cmp #$0B
	00CFDB F0 02		beq $00cfdf
	00CFDD 80 04		bra $00cfe3

00CFDF	00CFDF C2 08 03 06	rba $08,$0603		;DPi EPT/SEPT/SRCEN/RLSDE/ARC/SDIS
00CFE3	00CFE3 48		pha
	00CFE4 E2 52 01 01 12	bar $0152,$01,$00cffb
	00CFE9 E2 5B 01 04 0A	bar $015B,$04,$00cff8
	00CFEE 9F 6F 0A		bbs 1,$6F,$00cffb
	00CFF1 AD 86 01		lda $0186
	00CFF4 C9 04		cmp #$04
	00CFF6 F0 03		beq $00cffb
00CFF8	00CFF8 20 C6 3F		jsr $3FC6
00CFFB	00CFFB 68		pla
	00CFFC 20 79 28		jsr $2879
	00CFFF 48		pha
	00D000 20 1B 46		jsr $461B
	00D003 68		pla
	00D004 20 59 F7		jsr $F759
	00D007 AD 25 01		lda $0125
	00D00A 20 0A 29		jsr $290A
	00D00D C2 01 48 01	rba $01,$0148
	00D011 AD 12 06		lda $0612		;DPi configuration (CONF)
	00D014 8D BA 03		sta $03BA
	00D017 C9 AA		cmp #$AA
	00D019 D0 57		bne $00d072
	00D01B D2 01 48 01	sba $01,$0148
	00D01F A5 4E		lda $4E
	00D021 29 0B		and #$0B
	00D023 C9 09		cmp #$09
	00D025 D0 1E		bne $00d045
	00D027 AD 22 01		lda $0122
	00D02A 30 19		bmi $00d045
	00D02C A9 05		lda #$05
	00D02E 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D031 A9 83		lda #$83
	00D033 20 9C FC		jsr $FC9C{meaddh_w}
	00D036 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D039 29 1E		and #$1E
	00D03B 09 21		ora #$21'!'
	00D03D 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D040 A9 A3		lda #$A3
	00D042 20 9C FC		jsr $FC9C{meaddh_w}
00D045	00D045 E2 2F 01 01 28	bar $012F,$01,$00d072
	00D04A E2 30 01 01 23	bar $0130,$01,$00d072
	00D04F F2 09 06 10 1E	bas $0609,$10,$00d072	;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00D054 A9 04		lda #$04
	00D056 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D059 A9 29		lda #$29')'
	00D05B 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D05E A9 A2		lda #$A2
	00D060 20 9C FC		jsr $FC9C{meaddh_w}
	00D063 A9 38		lda #$38'8'
	00D065 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D068 A9 28		lda #$28'('
	00D06A 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D06D A9 A2		lda #$A2
	00D06F 20 9C FC		jsr $FC9C{meaddh_w}
00D072	00D072 AD 3B 01		lda $013B
	00D075 C9 0A		cmp #$0A
	00D077 D0 12		bne $00d08b
	00D079 9F 50 0F		bbs 1,$50,$00d08b
	00D07C A9 35		lda #$35'5'
	00D07E 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D081 A9 00		lda #$00
	00D083 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D086 A9 A2		lda #$A2
	00D088 20 9C FC		jsr $FC9C{meaddh_w}
00D08B	00D08B E2 52 01 01 10	bar $0152,$01,$00d0a0
	00D090 E2 68 01 01 0B	bar $0168,$01,$00d0a0
	00D095 AD BB 00		lda $00BB
	00D098 C9 02		cmp #$02
	00D09A F0 04		beq $00d0a0
	00D09C D2 08 03 06	sba $08,$0603		;DPi EPT/SEPT/SRCEN/RLSDE/ARC/SDIS
00D0A0	00D0A0 20 C0 FA		jsr $FAC0
	00D0A3 E2 52 01 01 17	bar $0152,$01,$00d0bf
	00D0A8 A9 CC		lda #$CC
	00D0AA 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D0AD A9 83		lda #$83
	00D0AF 20 9C FC		jsr $FC9C{meaddh_w}
	00D0B2 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D0B5 09 08		ora #$08
	00D0B7 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D0BA A9 A3		lda #$A3
	00D0BC 20 9C FC		jsr $FC9C{meaddh_w}
00D0BF	00D0BF E2 2F 01 01 39	bar $012F,$01,$00d0fd
	00D0C4 E2 30 01 01 34	bar $0130,$01,$00d0fd
	00D0C9 E2 48 01 01 2F	bar $0148,$01,$00d0fd
	00D0CE 7F 49 2C		bbr 7,$49,$00d0fd
	00D0D1 A9 00		lda #$00
	00D0D3 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D0D6 A9 80		lda #$80
	00D0D8 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00D0DB A9 7B		lda #$7B'{'
	00D0DD 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D0E0 A9 A9		lda #$A9
	00D0E2 20 9C FC		jsr $FC9C{meaddh_w}
	00D0E5 A9 00		lda #$00
	00D0E7 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D0EA A9 3D		lda #$3D'='
	00D0EC 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00D0EF A9 61		lda #$61'a'
	00D0F1 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D0F4 A9 A9		lda #$A9
	00D0F6 20 9C FC		jsr $FC9C{meaddh_w}
	00D0F9 C2 04 49 01	rba $04,$0149
00D0FD	00D0FD A9 00		lda #$00
	00D0FF 8D C5 03		sta $03C5
	00D102 8D C6 03		sta $03C6
	00D105 8D C7 03		sta $03C7
	00D108 27 70		rmb 2,$70
	00D10A 37 70		rmb 3,$70
	00D10C 47 70		rmb 4,$70
	00D10E 27 6F		rmb 2,$6F
	00D110 67 69		rmb 6,$69
	00D112 C2 02 4E 01	rba $02,$014E
	00D116 C2 20 48 01	rba $20,$0148
	00D11A A7 5D		smb 2,$5D
	00D11C B7 5D		smb 3,$5D
	00D11E C2 04 48 01	rba $04,$0148
	00D122 C2 02 49 01	rba $02,$0149
	00D126 C2 02 48 01	rba $02,$0148
	00D12A A9 64		lda #$64'd'
	00D12C 8D 33 01		sta $0133
	00D12F C2 01 4A 01	rba $01,$014A
	00D133 C2 80 49 01	rba $80,$0149
	00D137 C2 02 4A 01	rba $02,$014A
	00D13B C2 08 4A 01	rba $08,$014A
	00D13F C2 10 4A 01	rba $10,$014A
	00D143 C2 20 4A 01	rba $20,$014A
	00D147 C2 01 4B 01	rba $01,$014B
	00D14B C2 10 4D 01	rba $10,$014D
	00D14F C2 80 4A 01	rba $80,$014A
	00D153 C2 40 4A 01	rba $40,$014A
	00D157 C2 40 4B 01	rba $40,$014B
	00D15B C2 20 4E 01	rba $20,$014E
	00D15F C2 02 4B 01	rba $02,$014B
	00D163 C2 20 4B 01	rba $20,$014B
	00D167 C2 04 4D 01	rba $04,$014D
	00D16B C2 40 4D 01	rba $40,$014D
	00D16F C2 08 4E 01	rba $08,$014E
	00D173 C2 10 4E 01	rba $10,$014E
	00D177 C2 40 4C 01	rba $40,$014C
	00D17B C2 80 4C 01	rba $80,$014C
	00D17F A9 00		lda #$00
	00D181 8D 90 87		sta $8790
	00D184 8D 91 87		sta $8791
	00D187 D2 08 4D 01	sba $08,$014D
	00D18B 20 DB 44		jsr $44DB
	00D18E A9 AF		lda #$AF
	00D190 8D 57 02		sta $0257
	00D193 A9 31		lda #$31'1'
	00D195 8D 58 02		sta $0258
	00D198 67 58		rmb 6,$58
	00D19A 60		rts

00D19B	00D19B 20 24 F9		jsr $F924
	00D19E F0 0E		beq $00d1ae
	00D1A0 A5 4E		lda $4E
	00D1A2 29 0B		and #$0B
	00D1A4 C9 08		cmp #$08
	00D1A6 F0 06		beq $00d1ae
	00D1A8 6F 4B 03		bbr 6,$4B,$00d1ae
	00D1AB 4C 20 FD		jmp $FD20

00D1AE	00D1AE 60		rts

00D1AF	00D1AF E2 48 01 01 03	bar $0148,$01,$00d1b7
	00D1B4 20 DB 3D		jsr $3DDB
00D1B7	00D1B7 20 08 3E		jsr $3E08
	00D1BA AD 12 06		lda $0612		;DPi configuration (CONF)
	00D1BD C9 AA		cmp #$AA
	00D1BF D0 03		bne $00d1c4
	00D1C1 4C 5F 32		jmp $325F

00D1C4	00D1C4 E2 48 01 01 06	bar $0148,$01,$00d1cf
	00D1C9 20 19 42		jsr $4219
	00D1CC 20 C2 36		jsr $36C2
00D1CF	00D1CF AD 12 06		lda $0612		;DPi configuration (CONF)
	00D1D2 29 F0		and #$F0
	00D1D4 C9 C0		cmp #$C0
	00D1D6 F0 11		beq $00d1e9
	00D1D8 C9 90		cmp #$90
	00D1DA F0 0D		beq $00d1e9
	00D1DC A9 5F		lda #$5F'_'
	00D1DE 8D 57 02		sta $0257
	00D1E1 A9 32		lda #$32'2'
	00D1E3 8D 58 02		sta $0258
	00D1E6 4C 5F 32		jmp $325F

00D1E9	00D1E9 E2 52 01 01 43	bar $0152,$01,$00d231
	00D1EE E2 5B 01 04 10	bar $015B,$04,$00d203
	00D1F3 9F 6F 0D		bbs 1,$6F,$00d203
	00D1F6 AD 86 01		lda $0186
	00D1F9 C9 04		cmp #$04
	00D1FB F0 0E		beq $00d20b
	00D1FD 20 E5 3E		jsr $3EE5
	00D200 20 77 FA		jsr $FA77{newc_w}
00D203	00D203 20 00 42		jsr $4200
	00D206 F2 52 01 40 26	bas $0152,$40,$00d231
00D20B	00D20B AD 37 01		lda $0137
	00D20E 8D 39 01		sta $0139
	00D211 20 49 E2		jsr $E249
	00D214 20 4C E2		jsr $E24C
	00D217 20 A1 27		jsr $27A1
	00D21A D2 80 52 01	sba $80,$0152
	00D21E 20 1F 40		jsr $401F
	00D221 20 FF 3F		jsr $3FFF
	00D224 20 3F 40		jsr $403F
	00D227 AD 2A 01		lda $012A
	00D22A 29 07		and #$07
	00D22C 85 40		sta $40
	00D22E 20 1D 46		jsr $461D
00D231	00D231 A9 3B		lda #$3B';'
	00D233 8D 57 02		sta $0257
	00D236 A9 32		lda #$32'2'
	00D238 8D 58 02		sta $0258
	00D23B 20 23 39		jsr $3923
	00D23E 20 9D 37		jsr $379D
	00D241 20 E4 37		jsr $37E4
	00D244 20 45 37		jsr $3745
	00D247 20 29 38		jsr $3829
	00D24A 20 1D 3D		jsr $3D1D
	00D24D 20 96 3A		jsr $3A96
	00D250 20 25 37		jsr $3725
	00D253 20 EE 39		jsr $39EE
	00D256 20 6F 3D		jsr $3D6F
	00D259 20 73 3A		jsr $3A73
	00D25C 20 AC 3D		jsr $3DAC
	00D25F AD 12 06		lda $0612		;DPi configuration (CONF)
	00D262 C9 AA		cmp #$AA
	00D264 F0 21		beq $00d287
	00D266 F2 15 06 08 25	bas $0615,$08,$00d290	;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	00D26B E2 09 06 04 20	bar $0609,$04,$00d290	;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00D270 29 F0		and #$F0
	00D272 C9 70		cmp #$70'p'
	00D274 D0 11		bne $00d287
	00D276 E2 4D 01 01 03	bar $014D,$01,$00d27e
	00D27B 20 24 37		jsr $3724
00D27E	00D27E AD 39 01		lda $0139
	00D281 C9 04		cmp #$04
	00D283 B0 0B		bcs $00d290
	00D285 80 06		bra $00d28d

00D287	00D287 C2 01 1A 06	rba $01,$061A		;DPi SFRES/RIEN/RION/DMAE/SCOBF
	00D28B 80 03		bra $00d290

00D28D	00D28D 20 09 35		jsr $3509
00D290	00D290 F2 48 01 20 18	bas $0148,$20,$00d2ad
	00D295 2F 70 15		bbr 2,$70,$00d2ad
	00D298 E2 0C 06 01 10	bar $060C,$01,$00d2ad	;DPi AADET/ACDET/CADET/CCDET/SDET
	00D29D 20 C2 44		jsr $44C2
	00D2A0 20 0A 48		jsr $480A
	00D2A3 D2 20 48 01	sba $20,$0148
	00D2A7 7F 49 03		bbr 7,$49,$00d2ad
	00D2AA 20 42 35		jsr $3542
00D2AD	00D2AD AD 12 06		lda $0612		;DPi configuration (CONF)
	00D2B0 CD BA 03		cmp $03BA
	00D2B3 F0 09		beq $00d2be
	00D2B5 8D BA 03		sta $03BA
	00D2B8 AD 25 01		lda $0125
	00D2BB 20 0A 29		jsr $290A
00D2BE	00D2BE AD 12 06		lda $0612		;DPi configuration (CONF)
	00D2C1 C9 A4		cmp #$A4
	00D2C3 D0 03		bne $00d2c8
	00D2C5 20 2D FB		jsr $FB2D
00D2C8	00D2C8 20 9B 31		jsr $319B
	00D2CB E2 0E 06 10 02	bar $060E,$10,$00d2d2	;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	00D2D0 A7 6F		smb 2,$6F
00D2D2	00D2D2 F2 0F 06 80 01	bas $060F,$80,$00d2d8	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	00D2D7 60		rts

00D2D8	00D2D8 A9 E2		lda #$E2
	00D2DA 8D 57 02		sta $0257
	00D2DD A9 32		lda #$32'2'
	00D2DF 8D 58 02		sta $0258
	00D2E2 20 81 F9		jsr $F981
	00D2E5 D0 0B		bne $00d2f2
	00D2E7 AD 12 06		lda $0612		;DPi configuration (CONF)
	00D2EA C9 C0		cmp #$C0
	00D2EC D0 03		bne $00d2f1
	00D2EE 4C E8 33		jmp $33E8

00D2F1	00D2F1 60		rts

00D2F2	00D2F2 20 F3 3C		jsr $3CF3
	00D2F5 37 6F		rmb 3,$6F
	00D2F7 E2 48 01 01 33	bar $0148,$01,$00d32f
	00D2FC A5 4E		lda $4E
	00D2FE 29 0B		and #$0B
	00D300 C9 09		cmp #$09
	00D302 D0 2B		bne $00d32f
	00D304 AD 22 01		lda $0122
	00D307 30 26		bmi $00d32f
	00D309 A9 02		lda #$02
	00D30B 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D30E A9 83		lda #$83
	00D310 20 9C FC		jsr $FC9C{meaddh_w}
	00D313 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D316 29 10		and #$10
	00D318 F0 15		beq $00d32f
	00D31A A9 03		lda #$03
	00D31C 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D31F A9 83		lda #$83
	00D321 20 9C FC		jsr $FC9C{meaddh_w}
	00D324 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D327 29 E0		and #$E0
	00D329 C9 20		cmp #$20' '
	00D32B D0 02		bne $00d32f
	00D32D B7 6F		smb 3,$6F
00D32F	00D32F 20 76 F5		jsr $F576
	00D332 90 0C		bcc $00d340
	00D334 D2 02 4E 01	sba $02,$014E
	00D338 20 0A 48		jsr $480A
	00D33B 20 55 35		jsr $3555
	00D33E 80 22		bra $00d362

00D340	00D340 20 63 F5		jsr $F563
	00D343 90 1D		bcc $00d362
	00D345 E7 69		smb 6,$69
	00D347 AF 6F 0C		bbs 2,$6F,$00d356
	00D34A AD 39 01		lda $0139
	00D34D C9 06		cmp #$06
	00D34F 90 05		bcc $00d356
	00D351 A9 06		lda #$06
	00D353 8D 39 01		sta $0139
00D356	00D356 20 99 F9		jsr $F999
	00D359 20 43 E2		jsr $E243
	00D35C 20 49 E2		jsr $E249
	00D35F 20 F9 27		jsr $27F9
00D362	00D362 20 E7 34		jsr $34E7
	00D365 C2 20 52 01	rba $20,$0152
	00D369 E2 52 01 01 75	bar $0152,$01,$00d3e3
	00D36E 20 00 42		jsr $4200
	00D371 E2 52 01 40 6D	bar $0152,$40,$00d3e3
	00D376 20 76 F5		jsr $F576
	00D379 90 07		bcc $00d382
	00D37B D2 20 52 01	sba $20,$0152
	00D37F 20 A1 41		jsr $41A1
00D382	00D382 F2 2E 01 02 03	bas $012E,$02,$00d38a
	00D387 20 BF 41		jsr $41BF
00D38A	00D38A 20 95 40		jsr $4095
	00D38D 20 F1 40		jsr $40F1
	00D390 20 70 41		jsr $4170
	00D393 20 9B 2E		jsr $2E9B
	00D396 A9 14		lda #$14
	00D398 8D 18 02		sta $0218
	00D39B A9 00		lda #$00
	00D39D 8D 19 02		sta $0219
	00D3A0 37 5E		rmb 3,$5E
	00D3A2 A9 20		lda #$20' '
	00D3A4 8D BD 00		sta $00BD
	00D3A7 A9 E1		lda #$E1
	00D3A9 8D BE 00		sta $00BE
	00D3AC 48		pha
	00D3AD D2 10 52 01	sba $10,$0152
	00D3B1 68		pla
	00D3B2 77 5B		rmb 7,5B
	00D3B4 F2 52 01 04 2A	bas $0152,$04,$00d3e3
	00D3B9 AD BB 00		lda $00BB
	00D3BC C9 02		cmp #$02
	00D3BE F0 12		beq $00d3d2
	00D3C0 F2 52 01 20 12	bas $0152,$20,$00d3d7
	00D3C5 C9 00		cmp #$00
	00D3C7 D0 07		bne $00d3d0
	00D3C9 20 0F E3		jsr $E30F
	00D3CC E0 0D		cpx #$0D
	00D3CE D0 07		bne $00d3d7
00D3D0	00D3D0 80 11		bra $00d3e3

00D3D2	00D3D2 F2 52 01 20 0C	bas $0152,$20,$00d3e3
00D3D7	00D3D7 20 B1 E3		jsr $E3B1
	00D3DA B2 48 AC		sti #$48'H',$AC
	00D3DD A9 09		lda #$09
	00D3DF 8D 24 01		sta $0124
	00D3E2 60		rts

00D3E3	00D3E3 20 43 34		jsr $3443
	00D3E6 90 0C		bcc $00d3f4
	00D3E8 20 82 3E		jsr $3E82
	00D3EB B2 48 AC		sti #$48'H',$AC
	00D3EE A9 12		lda #$12
	00D3F0 8D 24 01		sta $0124
	00D3F3 60		rts

00D3F4	00D3F4 87 5F		smb 0,$5F
	00D3F6 A5 4E		lda $4E
	00D3F8 29 0B		and #$0B
	00D3FA C9 01		cmp #$01
	00D3FC F0 04		beq $00d402
	00D3FE C9 08		cmp #$08
	00D400 D0 13		bne $00d415
00D402	00D402 AD 1A 01		lda $011A
	00D405 F0 0E		beq $00d415
	00D407 8D 22 02		sta $0222
	00D40A A9 00		lda #$00
	00D40C 8D 23 02		sta $0223
	00D40F 07 5F		rmb 0,$5F
	00D411 27 63		rmb 2,$63
	00D413 07 64		rmb 0,$64
00D415	00D415 C2 01 15 06	rba $01,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	00D419 97 61		smb 1,$61
	00D41B 20 87 F4		jsr $F487
	00D41E EF 57 21		bbs 6,$57,$00d442
	00D421 20 8D F9		jsr $F98D
	00D424 C9 04		cmp #$04
	00D426 B0 0E		bcs $00d436
	00D428 A9 1E		lda #$1E
	00D42A 49 FF		eor #$FF
	00D42C 8D CC 00		sta $00CC
00D42F	00D42F AD CC 00		lda $00CC
	00D432 D0 FB		bne $00d42f
	00D434 80 01		bra $00d437

00D436	00D436 60		rts

00D437	00D437 20 3F FA		jsr $FA3F
	00D43A F2 0C 06 02 F8	bas $060C,$02,$00d437	;DPi AADET/ACDET/CADET/CCDET/SDET
	00D43F 20 24 E3		jsr $E324
00D442	00D442 60		rts

00D443	00D443 1F 50 0C		bbr 1,$50,$00d452
	00D446 5F 7C 07		bbr 5,$7C,$00d450
	00D449 AD 12 06		lda $0612		;DPi configuration (CONF)
	00D44C C9 A4		cmp #$A4
	00D44E F0 2B		beq $00d47b
00D450	00D450 80 2B		bra $00d47d

00D452	00D452 20 76 F5		jsr $F576
	00D455 90 12		bcc $00d469
	00D457 20 99 F9		jsr $F999
	00D45A 20 43 E2		jsr $E243
	00D45D CD 39 01		cmp $0139
	00D460 F0 02		beq $00d464
	00D462 B0 17		bcs $00d47b
00D464	00D464 CD 3A 01		cmp $013A
	00D467 90 12		bcc $00d47b
00D469	00D469 20 99 F9		jsr $F999
	00D46C 20 43 E2		jsr $E243
	00D46F CD 39 01		cmp $0139
	00D472 F0 02		beq $00d476
	00D474 B0 05		bcs $00d47b
00D476	00D476 CD 3A 01		cmp $013A
	00D479 B0 02		bcs $00d47d
00D47B	00D47B 38		sec
	00D47C 60		rts

00D47D	00D47D 18		clc
	00D47E 60		rts

00D47F	00D47F BF 70 10		bbs 3,$70,$00d492
	00D482 2F 70 0D		bbr 2,$70,$00d492
	00D485 E2 0C 06 01 08	bar $060C,$01,$00d492	;DPi AADET/ACDET/CADET/CCDET/SDET
	00D48A 20 C2 44		jsr $44C2
	00D48D 20 0A 48		jsr $480A
	00D490 B7 70		smb 3,$70
00D492	00D492 60		rts

00D493	00D493 AD C5 03		lda $03C5
	00D496 D0 04		bne $00d49c
	00D498 A2 06		ldx #$06
	00D49A 80 22		bra $00d4be

00D49C	00D49C A2 FF		ldx #$FF
00D49E	00D49E E8		inx
	00D49F 38		sec
	00D4A0 AD C6 03		lda $03C6
	00D4A3 ED C5 03		sbc $03C5
	00D4A6 8D C6 03		sta $03C6
	00D4A9 B0 F3		bcs $00d49e
	00D4AB CE C7 03		dec $03C7
	00D4AE 10 EE		bpl $00d49e
	00D4B0 AD C6 03		lda $03C6
	00D4B3 18		clc
	00D4B4 6D C5 03		adc $03C5
	00D4B7 0A		asl a
	00D4B8 CD C5 03		cmp $03C5
	00D4BB 90 01		bcc $00d4be
	00D4BD E8		inx
00D4BE	00D4BE 8E B4 03		stx $03B4
	00D4C1 60		rts

00D4C2	00D4C2 6F 58 03		bbr 6,$58,$00d4c8
	00D4C5 20 5C 02		jsr $025C
00D4C8	00D4C8 60		rts

00D4C9	00D4C9 AD 3B 01		lda $013B
	00D4CC C9 0B		cmp #$0B
	00D4CE D0 16		bne $00d4e6
	00D4D0 AD 39 01		lda $0139
	00D4D3 C9 03		cmp #$03
	00D4D5 D0 0F		bne $00d4e6
	00D4D7 A9 01		lda #$01
	00D4D9 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D4DC A9 01		lda #$01
	00D4DE 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D4E1 A9 A1		lda #$A1
	00D4E3 20 9C FC		jsr $FC9C{meaddh_w}
00D4E6	00D4E6 60		rts

00D4E7	00D4E7 AD 12 06		lda $0612		;DPi configuration (CONF)
	00D4EA 29 F0		and #$F0
	00D4EC C9 70		cmp #$70'p'
	00D4EE D0 14		bne $00d504
	00D4F0 A9 00		lda #$00
	00D4F2 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D4F5 A9 30		lda #$30'0'
	00D4F7 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00D4FA A9 16		lda #$16
	00D4FC 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D4FF A9 AA		lda #$AA
	00D501 20 9C FC		jsr $FC9C{meaddh_w}
00D504	00D504 60		rts

00D505	00D505 A0 A0		ldy #$A0
	00D507 82		???			;undocumented opcode
	00D508 84 C2		sty $C2
	00D50A 01 09		ora ($09)		;Cx9 Low Power Register (LPR)
	00D50C 06 A2		asl $A2
	00D50E 0A		asl a
	00D50F 20 BB F2		jsr $F2BB
	00D512 AD 39 01		lda $0139
	00D515 C9 04		cmp #$04
	00D517 B0 14		bcs $00d52d
	00D519 AA		tax
	00D51A BD 05 35		lda $3505,x
	00D51D 8D 12 06		sta $0612		;DPi configuration (CONF)
	00D520 20 77 FA		jsr $FA77{newc_w}
	00D523 C2 08 15 06	rba $08,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	00D527 D2 04 09 06	sba $04,$0609		;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00D52B 80 10		bra $00d53d

00D52D	00D52D A9 76		lda #$76'v'
	00D52F 8D 12 06		sta $0612		;DPi configuration (CONF)
	00D532 20 77 FA		jsr $FA77{newc_w}
	00D535 D2 08 15 06	sba $08,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	00D539 C2 04 09 06	rba $04,$0609		;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
00D53D	00D53D D2 01 09 06	sba $01,$0609		;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00D541 60		rts

00D542	00D542 AD C3 03		lda $03C3
	00D545 2D 41 01		and $0141
	00D548 8D C3 03		sta $03C3
	00D54B AD C4 03		lda $03C4
	00D54E 2D 42 01		and $0142
	00D551 8D C4 03		sta $03C4
	00D554 60		rts

00D555	00D555 AD C3 03		lda $03C3
	00D558 2D 3D 01		and $013D
	00D55B 8D C3 03		sta $03C3
	00D55E AD C4 03		lda $03C4
	00D561 2D 3E 01		and $013E
	00D564 8D C4 03		sta $03C4
	00D567 60		rts

00D568	00D568 A9 0C		lda #$0C
	00D56A 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D56D A9 82		lda #$82
	00D56F 20 9C FC		jsr $FC9C{meaddh_w}
	00D572 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D575 60		rts

00D576	00D576 A9 3F		lda #$3F'?'
	00D578 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D57B A9 81		lda #$81
	00D57D 20 9C FC		jsr $FC9C{meaddh_w}
	00D580 E2 2A 01 08 23	bar $012A,$08,$00d5a8
	00D585 FF 65 20		bbs 7,$65,$00d5a8
	00D588 8F 62 1D		bbs 0,$62,$00d5a8
	00D58B A5 4E		lda $4E
	00D58D 29 0B		and #$0B
	00D58F F0 17		beq $00d5a8
	00D591 A5 4E		lda $4E
	00D593 29 30		and #$30'0'
	00D595 4A		lsr a
	00D596 4A		lsr a
	00D597 4A		lsr a
	00D598 4A		lsr a
	00D599 C9 02		cmp #$02
	00D59B F0 0B		beq $00d5a8
	00D59D C9 01		cmp #$01
	00D59F F0 07		beq $00d5a8
	00D5A1 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D5A4 09 40		ora #$40'@'
	00D5A6 80 05		bra $00d5ad

00D5A8	00D5A8 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D5AB 29 BF		and #$BF
00D5AD	00D5AD 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D5B0 A9 A1		lda #$A1
	00D5B2 20 9C FC		jsr $FC9C{meaddh_w}
	00D5B5 60		rts

00D5B6	00D5B6 E2 4D 01 01 1E	bar $014D,$01,$00d5d9
	00D5BB A9 00		lda #$00
	00D5BD 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D5C0 A9 A4		lda #$A4
	00D5C2 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D5C5 A9 A2		lda #$A2
	00D5C7 20 9C FC		jsr $FC9C{meaddh_w}
	00D5CA A9 02		lda #$02
	00D5CC 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D5CF A9 A5		lda #$A5
	00D5D1 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D5D4 A9 A2		lda #$A2
	00D5D6 20 9C FC		jsr $FC9C{meaddh_w}
00D5D9	00D5D9 60		rts

00D5DA	00D5DA A9 E3		lda #$E3
	00D5DC 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D5DF A9 82		lda #$82
	00D5E1 20 9C FC		jsr $FC9C{meaddh_w}
	00D5E4 B2 3E 40		sti #$3E'>',$40
	00D5E7 B2 36 41		sti #$36'6',$41
	00D5EA AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D5ED F0 2A		beq $00d619
	00D5EF C9 02		cmp #$02
	00D5F1 F0 10		beq $00d603
	00D5F3 C9 03		cmp #$03
	00D5F5 F0 14		beq $00d60b
	00D5F7 C9 04		cmp #$04
	00D5F9 F0 18		beq $00d613
	00D5FB B2 7A 40		sti #$7A'z',$40
	00D5FE B2 36 41		sti #$36'6',$41
	00D601 80 16		bra $00d619

00D603	00D603 B2 4D 40		sti #$4D'M',$40
	00D606 B2 36 41		sti #$36'6',$41
	00D609 80 0E		bra $00d619

00D60B	00D60B B2 5C 40		sti #$5C'\',$40
	00D60E B2 36 41		sti #$36'6',$41
	00D611 80 06		bra $00d619

00D613	00D613 B2 6B 40		sti #$6B'k',$40
	00D616 B2 36 41		sti #$36'6',$41
00D619	00D619 A0 00		ldy #$00
00D61B	00D61B A1 40		lda ($40)
	00D61D 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D620 98		tya
	00D621 89 B0		add #$B0
	00D623 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D626 A9 A3		lda #$A3
	00D628 20 9C FC		jsr $FC9C{meaddh_w}
	00D62B 18		clc
	00D62C A5 40		lda $40
	00D62E 69 01		adc #$01
	00D630 85 40		sta $40
	00D632 A5 41		lda $41
	00D634 69 00		adc #$00
	00D636 85 41		sta $41
	00D638 C8		iny
	00D639 C0 0F		cpy #$0F
	00D63B D0 DE		bne $00d61b
	00D63D 60		rts

00D63E	00D63E 20 0C 07		jsr $070C		;Cx9	part of ES4 RAM
	00D641 03		tip
	00D642 02		mpy
	00D643 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00D645 35 04		and $04,x		;Cx9	port D & direction control
	00D647 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00D649 00		brk
	00D64A 00		brk
	00D64B 00		brk
	00D64C 00		brk
	00D64D 20 10 07		jsr $0710		;Cx9	part of ES4 RAM
	00D650 04		???			;undocumented opcode
	00D651 02		mpy
	00D652 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00D654 A0 40		ldy #$40'@'
	00D656 0C 01 00		jpi ($0001)		;Cx9	port B (output only)
	00D659 00		brk
	00D65A 00		brk
	00D65B 00		brk
	00D65C 20 16 0D		jsr $0D16
	00D65F 08		php
	00D660 04		???			;undocumented opcode
	00D661 03		tip
	00D662 02		mpy
	00D663 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00D665 50 0A		bvc $00d671
	00D667 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00D669 00		brk
	00D66A 00		brk
	00D66B 20 18 10		jsr $1018
	00D66E 0A		asl a
	00D66F 08		php
	00D670 05 03		ora $03			;Cx9	port A direction (R/O)
	00D672 02		mpy
	00D673 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00D675 50 10		bvc $00d687
	00D677 01 01		ora ($01)		;Cx9	port B (output only)
	00D679 00		brk
	00D67A 20 18 10		jsr $1018
	00D67D 0A		asl a
	00D67E 08		php
	00D67F 05 03		ora $03			;Cx9	port A direction (R/O)
	00D681 02		mpy
	00D682 01 00		ora ($00)		;Cx9	port A (bidirectional)
	00D684 A8		tay
	00D685 20 08 01		jsr $0108
	00D688 01 A9		ora ($A9)
	00D68A A5 8D		lda $8D
	00D68C 1C		???			;undocumented opcode
	00D68D 06 A9		asl $A9
	00D68F 83		???			;undocumented opcode
	00D690 20 9C FC		jsr $FC9C{meaddh_w}
	00D693 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D696 09 13		ora #$13
	00D698 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D69B A9 A3		lda #$A3
	00D69D 20 9C FC		jsr $FC9C{meaddh_w}
	00D6A0 60		rts

00D6A1	00D6A1 E2 2A 01 08 1B	bar $012A,$08,$00d6c1
	00D6A6 A9 9B		lda #$9B
	00D6A8 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D6AB A9 83		lda #$83
	00D6AD 20 9C FC		jsr $FC9C{meaddh_w}
	00D6B0 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D6B3 09 01		ora #$01
	00D6B5 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D6B8 A9 A3		lda #$A3
	00D6BA 20 9C FC		jsr $FC9C{meaddh_w}
	00D6BD D2 01 1A 06	sba $01,$061A		;DPi SFRES/RIEN/RION/DMAE/SCOBF
00D6C1	00D6C1 60		rts

00D6C2	00D6C2 E2 4C 01 01 03	bar $014C,$01,$00d6ca
	00D6C7 20 2D FB		jsr $FB2D
00D6CA	00D6CA A9 03		lda #$03
	00D6CC 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D6CF A9 83		lda #$83
	00D6D1 20 9C FC		jsr $FC9C{meaddh_w}
	00D6D4 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D6D7 29 02		and #$02
	00D6D9 F0 07		beq $00d6e2
	00D6DB 20 2D FB		jsr $FB2D
	00D6DE D2 01 4D 01	sba $01,$014D
00D6E2	00D6E2 60		rts

00D6E3	00D6E3 F2 09 06 10 23	bas $0609,$10,$00d70b	;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00D6E8 E2 4C 01 01 1E	bar $014C,$01,$00d70b
	00D6ED A9 03		lda #$03
	00D6EF 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D6F2 A9 83		lda #$83
	00D6F4 20 9C FC		jsr $FC9C{meaddh_w}
	00D6F7 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D6FA 29 02		and #$02
	00D6FC D0 0D		bne $00d70b
	00D6FE C2 01 4D 01	rba $01,$014D
	00D702 48		pha
	00D703 C2 10 01 06	rba $10,$0601		;DPi VOLUME/VPAUSE/CELULR/xXHF/RXP
	00D707 68		pla
	00D708 20 0C 37		jsr $370C
00D70B	00D70B 60		rts

00D70C	00D70C AD 25 01		lda $0125
	00D70F 0A		asl a
	00D710 0A		asl a
	00D711 0A		asl a
00D712	00D712 0A		asl a
	00D713 48		pha
	00D714 A9 0F		lda #$0F
	00D716 2D 13 06		and $0613		;DPi TLVL/RTH/TXCLK
	00D719 8D 13 06		sta $0613		;DPi TLVL/RTH/TXCLK
	00D71C 68		pla
	00D71D 0D 13 06		ora $0613		;DPi TLVL/RTH/TXCLK
	00D720 8D 13 06		sta $0613		;DPi TLVL/RTH/TXCLK
	00D723 60		rts

00D724	00D724 60		rts

00D725	00D725 60		rts

00D726	00D726 60		rts

00D727	00D727 2F 65 31		bbr 2,$65,$00d75b
	00D72A 25 53		and $53
	00D72C 06 88		asl $88
	00D72E 00		brk
	00D72F 03		tip
	00D730 00		brk
	00D731 00		brk
	00D732 00		brk
	00D733 8C 41 18		sty $1841
	00D736 18		clc
	00D737 19 04 58		ora $5804,y
	00D73A 00		brk
	00D73B 02		mpy
	00D73C 00		brk
	00D73D 00		brk
	00D73E 00		brk
	00D73F D0 D1		bne $00d712
	00D741 D2 D3 D4 D5	sba $D3,$D5D4
	00D745 F2 4C 01 80 52	bas $014C,$80,$00d79c
	00D74A F2 09 06 10 4D	bas $0609,$10,$00d79c	;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00D74F F2 4C 01 40 19	bas $014C,$40,$00d76d
	00D754 AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	00D757 29 F0		and #$F0
	00D759 C9 20		cmp #$20' '
00D75B	00D75B D0 3F		bne $00d79c
	00D75D D2 40 4C 01	sba $40,$014C
	00D761 A9 58		lda #$58'X'
	00D763 8D 12 02		sta $0212
	00D766 A9 02		lda #$02
	00D768 8D 13 02		sta $0213
	00D76B 07 5E		rmb 0,$5E
00D76D	00D76D 0F 5E 2C		bbr 0,$5E,$00d79c
	00D770 AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	00D773 C9 20		cmp #$20' '
	00D775 F0 16		beq $00d78d
	00D777 C9 21		cmp #$21'!'
	00D779 F0 12		beq $00d78d
	00D77B C9 22		cmp #$22'"'
	00D77D F0 0E		beq $00d78d
	00D77F C9 23		cmp #$23'#'
	00D781 F0 0A		beq $00d78d
	00D783 C2 40 4C 01	rba $40,$014C
	00D787 D2 80 4C 01	sba $80,$014C
	00D78B 80 0F		bra $00d79c

00D78D	00D78D 20 81 FA		jsr $FA81
	00D790 A9 C8		lda #$C8
	00D792 8D 12 02		sta $0212
	00D795 A9 00		lda #$00
	00D797 8D 13 02		sta $0213
	00D79A 07 5E		rmb 0,$5E
00D79C	00D79C 60		rts

;;; ???

00D79D	00D79D E2 09 06 10 41	bar $0609,$10,$00d7e3	;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00D7A2 AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	00D7A5 C9 20		cmp #$20' '
	00D7A7 F0 08		beq $00d7b1
	00D7A9 C9 22		cmp #$22'"'
	00D7AB F0 04		beq $00d7b1
	00D7AD C9 23		cmp #$23'#'
	00D7AF D0 32		bne $00d7e3
00D7B1	00D7B1 A9 FC		lda #$FC
	00D7B3 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D7B6 A9 3C		lda #$3C'<'
	00D7B8 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D7BB A9 A1		lda #$A1
	00D7BD 20 9C FC		jsr $FC9C{meaddh_w}
	00D7C0 F2 49 01 80 10	bas $0149,$80,$00d7d5
	00D7C5 D2 80 49 01	sba $80,$0149
	00D7C9 A9 90		lda #$90
	00D7CB 8D 10 02		sta $0210
	00D7CE A9 01		lda #$01
	00D7D0 8D 11 02		sta $0211
	00D7D3 77 5D		rmb 7,5D
00D7D5	00D7D5 7F 5D 0B		bbr 7,$5D,$00d7e3
	00D7D8 20 81 FA		jsr $FA81
	00D7DB C2 80 49 01	rba $80,$0149
	00D7DF C2 01 4A 01	rba $01,$014A
00D7E3	00D7E3 60		rts

00D7E4	00D7E4 AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	00D7E7 C9 2C		cmp #$2C','
	00D7E9 D0 3D		bne $00d828
	00D7EB E2 4A 01 20 07	bar $014A,$20,$00d7f7
	00D7F0 20 0F 39		jsr $390F
	00D7F3 C2 20 4A 01	rba $20,$014A
00D7F7	00D7F7 AD 33 01		lda $0133
	00D7FA D0 2C		bne $00d828
	00D7FC A9 01		lda #$01
	00D7FE 8D 33 01		sta $0133
	00D801 A9 7C		lda #$7C'|'
	00D803 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D806 A9 83		lda #$83
	00D808 20 9C FC		jsr $FC9C{meaddh_w}
	00D80B AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D80E F2 4A 01 02 0A	bas $014A,$02,$00d81d
	00D813 C9 FD		cmp #$FD
	00D815 D0 11		bne $00d828
	00D817 D2 02 4A 01	sba $02,$014A
	00D81B 80 0B		bra $00d828

00D81D	00D81D C9 01		cmp #$01
	00D81F 30 07		bmi $00d828
	00D821 20 A5 38		jsr $38A5
	00D824 C2 02 4A 01	rba $02,$014A
00D828	00D828 60		rts

00D829	00D829 E2 09 06 10 27	bar $0609,$10,$00d855	;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00D82E AD 17 06		lda $0617		;DPi sec Tx/V.34 Tx status (SECTXB)
	00D831 C9 2C		cmp #$2C','
	00D833 D0 20		bne $00d855
	00D835 A9 70		lda #$70'p'
	00D837 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D83A A9 80		lda #$80
	00D83C 20 9C FC		jsr $FC9C{meaddh_w}
	00D83F AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D842 29 06		and #$06
	00D844 C9 06		cmp #$06
	00D846 D0 0D		bne $00d855
	00D848 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D84B 09 01		ora #$01
	00D84D 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D850 A9 A0		lda #$A0
	00D852 20 9C FC		jsr $FC9C{meaddh_w}
00D855	00D855 60		rts

00D856	00D856 FF 49 4B		bbs 7,$49,$00d8a4
	00D859 F2 4B 01 02 46	bas $014B,$02,$00d8a4
	00D85E AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	00D861 C9 2E		cmp #$2E'.'
	00D863 D0 3F		bne $00d8a4
	00D865 F2 4A 01 08 0D	bas $014A,$08,$00d877
	00D86A 20 B9 38		jsr $38B9
	00D86D 20 D0 38		jsr $38D0
	00D870 20 E7 38		jsr $38E7
	00D873 D2 08 4A 01	sba $08,$014A
00D877	00D877 AD 33 01		lda $0133
	00D87A D0 28		bne $00d8a4
	00D87C A9 01		lda #$01
	00D87E 8D 33 01		sta $0133
	00D881 A9 03		lda #$03
	00D883 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D886 A9 8C		lda #$8C
	00D888 20 9C FC		jsr $FC9C{meaddh_w}
	00D88B AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D88E C9 29		cmp #$29')'
	00D890 D0 07		bne $00d899
	00D892 AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	00D895 C9 08		cmp #$08
	00D897 F0 0B		beq $00d8a4
00D899	00D899 C2 08 4A 01	rba $08,$014A
	00D89D D2 02 4B 01	sba $02,$014B
	00D8A1 20 FB 38		jsr $38FB
00D8A4	00D8A4 60		rts

00D8A5	00D8A5 A9 00		lda #$00
	00D8A7 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D8AA A9 00		lda #$00
	00D8AC 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00D8AF A9 C1		lda #$C1
	00D8B1 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D8B4 A9 AF		lda #$AF
	00D8B6 4C 9C FC		jmp $FC9C{meaddh_w}

00D8B9	00D8B9 A9 03		lda #$03
	00D8BB 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D8BE A9 8C		lda #$8C
	00D8C0 20 9C FC		jsr $FC9C{meaddh_w}
	00D8C3 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D8C6 29 F7		and #$F7
	00D8C8 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D8CB A9 AC		lda #$AC
	00D8CD 4C 9C FC		jmp $FC9C{meaddh_w}

00D8D0	00D8D0 A9 01		lda #$01
	00D8D2 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D8D5 A9 8C		lda #$8C
	00D8D7 20 9C FC		jsr $FC9C{meaddh_w}
	00D8DA AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D8DD 09 F7		ora #$F7
	00D8DF 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D8E2 A9 AC		lda #$AC
	00D8E4 4C 9C FC		jmp $FC9C{meaddh_w}

00D8E7	00D8E7 A9 29		lda #$29')'
	00D8E9 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D8EC A9 08		lda #$08
	00D8EE 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00D8F1 A9 03		lda #$03
	00D8F3 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D8F6 A9 AC		lda #$AC
	00D8F8 4C 9C FC		jmp $FC9C{meaddh_w}

00D8FB	00D8FB A9 29		lda #$29')'
	00D8FD 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D900 A9 00		lda #$00
	00D902 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00D905 A9 03		lda #$03
	00D907 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D90A A9 AC		lda #$AC
	00D90C 4C 9C FC		jmp $FC9C{meaddh_w}

00D90F	00D90F A9 00		lda #$00
	00D911 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D914 A9 30		lda #$30'0'
	00D916 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00D919 A9 3C		lda #$3C'<'
	00D91B 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D91E A9 AB		lda #$AB
	00D920 4C 9C FC		jmp $FC9C{meaddh_w}

00D923	00D923 F2 4E 01 20 51	bas $014E,$20,$00d979
	00D928 AD 17 06		lda $0617		;DPi sec Tx/V.34 Tx status (SECTXB)
	00D92B C9 22		cmp #$22'"'
	00D92D 90 53		bcc $00d982
	00D92F C9 2B		cmp #$2B'+'
	00D931 90 04		bcc $00d937
	00D933 C9 82		cmp #$82
	00D935 90 4B		bcc $00d982
00D937	00D937 A9 1B		lda #$1B
	00D939 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D93C A9 81		lda #$81
	00D93E 20 9C FC		jsr $FC9C{meaddh_w}
	00D941 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D944 29 20		and #$20' '
	00D946 D0 3A		bne $00d982
	00D948 A9 1A		lda #$1A
	00D94A 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D94D A9 81		lda #$81
	00D94F 20 9C FC		jsr $FC9C{meaddh_w}
	00D952 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D955 29 01		and #$01
	00D957 D0 29		bne $00d982
	00D959 D2 20 4E 01	sba $20,$014E
	00D95D F2 09 06 10 17	bas $0609,$10,$00d979	;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00D962 A9 01		lda #$01
	00D964 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D967 A9 81		lda #$81
	00D969 20 9C FC		jsr $FC9C{meaddh_w}
	00D96C AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D96F 29 DF		and #$DF
	00D971 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D974 A9 A1		lda #$A1
	00D976 20 9C FC		jsr $FC9C{meaddh_w}
00D979	00D979 AD 17 06		lda $0617		;DPi sec Tx/V.34 Tx status (SECTXB)
	00D97C C9 67		cmp #$67'g'
	00D97E D0 04		bne $00d984
	00D980 80 09		bra $00d98b

00D982	00D982 80 69		bra $00d9ed

00D984	00D984 AD 17 06		lda $0617		;DPi sec Tx/V.34 Tx status (SECTXB)
	00D987 C9 87		cmp #$87
	00D989 D0 F7		bne $00d982
00D98B	00D98B C2 20 4E 01	rba $20,$014E
	00D98F A9 E5		lda #$E5
	00D991 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D994 A9 82		lda #$82
	00D996 20 9C FC		jsr $FC9C{meaddh_w}
	00D999 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00D99C 29 0F		and #$0F
	00D99E C9 0C		cmp #$0C
	00D9A0 D0 17		bne $00d9b9
	00D9A2 20 6B 3C		jsr $3C6B
	00D9A5 C9 05		cmp #$05
	00D9A7 D0 06		bne $00d9af
	00D9A9 A2 05		ldx #$05
	00D9AB A9 4D		lda #$4D'M'
	00D9AD 80 2D		bra $00d9dc

00D9AF	00D9AF C9 04		cmp #$04
	00D9B1 D0 CF		bne $00d982
	00D9B3 A2 03		ldx #$03
	00D9B5 A9 FF		lda #$FF
	00D9B7 80 23		bra $00d9dc

00D9B9	00D9B9 C9 0B		cmp #$0B
	00D9BB D0 30		bne $00d9ed
	00D9BD 20 6B 3C		jsr $3C6B
	00D9C0 C9 05		cmp #$05
	00D9C2 D0 06		bne $00d9ca
	00D9C4 A2 05		ldx #$05
	00D9C6 A9 F2		lda #$F2
	00D9C8 80 12		bra $00d9dc

00D9CA	00D9CA C9 04		cmp #$04
	00D9CC D0 06		bne $00d9d4
	00D9CE A2 02		ldx #$02
	00D9D0 A9 C8		lda #$C8
	00D9D2 80 08		bra $00d9dc

00D9D4	00D9D4 C9 03		cmp #$03
	00D9D6 D0 15		bne $00d9ed
	00D9D8 A2 04		ldx #$04
	00D9DA A9 5F		lda #$5F'_'
00D9DC	00D9DC 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00D9DF 8A		txa
	00D9E0 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00D9E3 A9 40		lda #$40'@'
	00D9E5 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00D9E8 A9 A8		lda #$A8
	00D9EA 20 9C FC		jsr $FC9C{meaddh_w}
00D9ED	00D9ED 60		rts

00D9EE	00D9EE F2 4D 01 10 0E	bas $014D,$10,$00da01
	00D9F3 AD 17 06		lda $0617		;DPi sec Tx/V.34 Tx status (SECTXB)
	00D9F6 C9 65		cmp #$65'e'
	00D9F8 B0 0A		bcs $00da04
	00D9FA AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	00D9FD C9 65		cmp #$65'e'
	00D9FF B0 03		bcs $00da04
00DA01	00DA01 4C 72 3A		jmp $3A72

00DA04	00DA04 D2 10 4D 01	sba $10,$014D
	00DA08 A9 E4		lda #$E4
	00DA0A 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DA0D A9 82		lda #$82
	00DA0F 20 9C FC		jsr $FC9C{meaddh_w}
	00DA12 AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	00DA15 29 0F		and #$0F
	00DA17 A8		tay
	00DA18 F0 4D		beq $00da67
	00DA1A AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DA1D 29 0F		and #$0F
	00DA1F AA		tax
	00DA20 F0 45		beq $00da67
	00DA22 20 6B 3C		jsr $3C6B
	00DA25 C9 05		cmp #$05
	00DA27 F0 49		beq $00da72
	00DA29 C9 04		cmp #$04
	00DA2B F0 0A		beq $00da37
	00DA2D C9 03		cmp #$03
	00DA2F F0 12		beq $00da43
	00DA31 C9 02		cmp #$02
	00DA33 F0 1A		beq $00da4f
	00DA35 80 24		bra $00da5b

00DA37	00DA37 8A		txa
	00DA38 C9 0E		cmp #$0E
	00DA3A B0 2B		bcs $00da67
	00DA3C 98		tya
	00DA3D C9 0E		cmp #$0E
	00DA3F B0 26		bcs $00da67
	00DA41 80 2F		bra $00da72

00DA43	00DA43 8A		txa
	00DA44 C9 0C		cmp #$0C
	00DA46 B0 1F		bcs $00da67
	00DA48 98		tya
	00DA49 C9 0C		cmp #$0C
	00DA4B B0 1A		bcs $00da67
	00DA4D 80 23		bra $00da72

00DA4F	00DA4F 8A		txa
	00DA50 C9 0B		cmp #$0B
	00DA52 B0 13		bcs $00da67
	00DA54 98		tya
	00DA55 C9 0B		cmp #$0B
	00DA57 B0 0E		bcs $00da67
	00DA59 80 17		bra $00da72

00DA5B	00DA5B 8A		txa
	00DA5C C9 0A		cmp #$0A
	00DA5E B0 07		bcs $00da67
	00DA60 98		tya
	00DA61 C9 0A		cmp #$0A
	00DA63 B0 02		bcs $00da67
	00DA65 80 0B		bra $00da72

00DA67	00DA67 20 B1 E3		jsr $E3B1
	00DA6A B2 48 AC		sti #$48'H',$AC
	00DA6D A9 12		lda #$12
	00DA6F 8D 24 01		sta $0124
00DA72	00DA72 60		rts

00DA73	00DA73 AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	00DA76 C9 2A		cmp #$2A'*'
	00DA78 D0 1B		bne $00da95
	00DA7A A9 1D		lda #$1D
	00DA7C 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DA7F A9 81		lda #$81
	00DA81 20 9C FC		jsr $FC9C{meaddh_w}
	00DA84 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DA87 29 80		and #$80
	00DA89 F0 0A		beq $00da95
	00DA8B A9 26		lda #$26'&'
	00DA8D 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DA90 A9 A1		lda #$A1
	00DA92 20 9C FC		jsr $FC9C{meaddh_w}
00DA95	00DA95 60		rts

00DA96	00DA96 E2 4A 01 80 09	bar $014A,$80,$00daa4
	00DA9B F2 4B 01 40 01	bas $014B,$40,$00daa1
00DAA0	00DAA0 60		rts

00DAA1	00DAA1 4C 70 3B		jmp $3B70

00DAA4	00DAA4 E2 4D 01 08 F7	bar $014D,$08,$00daa0
	00DAA9 F2 4A 01 40 13	bas $014A,$40,$00dac1
	00DAAE AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	00DAB1 C9 47		cmp #$47'G'
	00DAB3 D0 EB		bne $00daa0
	00DAB5 D2 40 4A 01	sba $40,$014A
	00DAB9 A2 2D		ldx #$2D'-'
	00DABB 20 BB F2		jsr $F2BB
	00DABE 20 7C 3C		jsr $3C7C
00DAC1	00DAC1 F2 4B 01 40 0E	bas $014B,$40,$00dad4
	00DAC6 AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	00DAC9 C9 63		cmp #$63'c'
	00DACB D0 D3		bne $00daa0
	00DACD D2 40 4B 01	sba $40,$014B
	00DAD1 20 C2 3C		jsr $3CC2
00DAD4	00DAD4 AD 17 06		lda $0617		;DPi sec Tx/V.34 Tx status (SECTXB)
	00DAD7 C9 63		cmp #$63'c'
	00DAD9 D0 C5		bne $00daa0
	00DADB C2 40 4B 01	rba $40,$014B
	00DADF C2 40 4A 01	rba $40,$014A
	00DAE3 D2 80 4A 01	sba $80,$014A
	00DAE7 A9 9A		lda #$9A
	00DAE9 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DAEC A9 83		lda #$83
	00DAEE 20 9C FC		jsr $FC9C{meaddh_w}
	00DAF1 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DAF4 C9 05		cmp #$05
	00DAF6 B0 01		bcs $00daf9
00DAF8	00DAF8 60		rts

00DAF9	00DAF9 20 6B 3C		jsr $3C6B
	00DAFC C9 04		cmp #$04
	00DAFE 90 F8		bcc $00daf8
	00DB00 AD 3E 01		lda $013E
	00DB03 29 3F		and #$3F'?'
	00DB05 D0 07		bne $00db0e
	00DB07 AD 3D 01		lda $013D
	00DB0A 29 F0		and #$F0
	00DB0C F0 EA		beq $00daf8
00DB0E	00DB0E F2 15 06 01 05	bas $0615,$01,$00db18	;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	00DB13 F2 4D 01 08 E0	bas $014D,$08,$00daf8
00DB18	00DB18 A9 0C		lda #$0C
	00DB1A 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DB1D A9 00		lda #$00
	00DB1F 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00DB22 A9 23		lda #$23'#'
	00DB24 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DB27 A9 AB		lda #$AB
	00DB29 20 9C FC		jsr $FC9C{meaddh_w}
	00DB2C A9 00		lda #$00
	00DB2E 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DB31 A9 04		lda #$04
	00DB33 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00DB36 A9 1D		lda #$1D
	00DB38 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DB3B A9 AB		lda #$AB
	00DB3D 20 9C FC		jsr $FC9C{meaddh_w}
	00DB40 A9 00		lda #$00
	00DB42 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DB45 A9 78		lda #$78'x'
	00DB47 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00DB4A A9 29		lda #$29')'
	00DB4C 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DB4F A9 AA		lda #$AA
	00DB51 20 9C FC		jsr $FC9C{meaddh_w}
	00DB54 A9 00		lda #$00
	00DB56 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DB59 A9 7F		lda #$7F
	00DB5B 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00DB5E A9 29		lda #$29')'
	00DB60 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DB63 A9 AB		lda #$AB
	00DB65 20 9C FC		jsr $FC9C{meaddh_w}
	00DB68 C2 01 15 06	rba $01,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	00DB6C D2 40 4B 01	sba $40,$014B
	00DB70 A9 4D		lda #$4D'M'
	00DB72 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DB75 A9 80		lda #$80
	00DB77 20 9C FC		jsr $FC9C{meaddh_w}
	00DB7A AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DB7D C9 02		cmp #$02
	00DB7F D0 40		bne $00dbc1
	00DB81 C2 40 4B 01	rba $40,$014B
	00DB85 A9 00		lda #$00
	00DB87 8D C5 03		sta $03C5
	00DB8A 8D C6 03		sta $03C6
	00DB8D 8D C7 03		sta $03C7
	00DB90 8D C8 03		sta $03C8
00DB93	00DB93 AD C5 03		lda $03C5
	00DB96 C9 32		cmp #$32'2'
	00DB98 F0 28		beq $00dbc2
	00DB9A EE C5 03		inc $03C5
	00DB9D A9 0C		lda #$0C
	00DB9F 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DBA2 A9 82		lda #$82
	00DBA4 20 9C FC		jsr $FC9C{meaddh_w}
	00DBA7 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DBAA 18		clc
	00DBAB 6D C6 03		adc $03C6
	00DBAE 8D C6 03		sta $03C6
	00DBB1 AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	00DBB4 6D C7 03		adc $03C7
	00DBB7 8D C7 03		sta $03C7
	00DBBA 90 D7		bcc $00db93
	00DBBC EE C8 03		inc $03C8
	00DBBF 80 D2		bra $00db93

00DBC1	00DBC1 60		rts

00DBC2	00DBC2 AD 50 01		lda $0150
	00DBC5 C9 04		cmp #$04
	00DBC7 90 65		bcc $00dc2e
	00DBC9 F0 04		beq $00dbcf
	00DBCB A2 18		ldx #$18
	00DBCD 80 02		bra $00dbd1

00DBCF	00DBCF A2 FD		ldx #$FD
00DBD1	00DBD1 E8		inx
00DBD2	00DBD2 E8		inx
	00DBD3 E8		inx
	00DBD4 AD C8 03		lda $03C8
	00DBD7 DD 32 3C		cmp $3C32,x
	00DBDA 90 F5		bcc $00dbd1
	00DBDC F0 03		beq $00dbe1
	00DBDE E8		inx
	00DBDF 80 09		bra $00dbea

00DBE1	00DBE1 E8		inx
	00DBE2 AD C7 03		lda $03C7
	00DBE5 DD 32 3C		cmp $3C32,x
	00DBE8 90 E8		bcc $00dbd2
00DBEA	00DBEA E8		inx
	00DBEB 86 40		stx $40
	00DBED BD 32 3C		lda $3C32,x
	00DBF0 C9 0D		cmp #$0D
	00DBF2 D0 1E		bne $00dc12
	00DBF4 AD 50 01		lda $0150
	00DBF7 C9 05		cmp #$05
	00DBF9 A9 0D		lda #$0D
	00DBFB D0 15		bne $00dc12
	00DBFD A9 23		lda #$23'#'
	00DBFF 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DC02 A9 81		lda #$81
	00DC04 20 9C FC		jsr $FC9C{meaddh_w}
	00DC07 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DC0A C9 01		cmp #$01
	00DC0C A9 0E		lda #$0E
	00DC0E 90 02		bcc $00dc12
	00DC10 A9 0D		lda #$0D
00DC12	00DC12 EF 57 0B		bbs 6,$57,$00dc20
	00DC15 A8		tay
	00DC16 A5 81		lda $81
	00DC18 29 41		and #$41'A'
	00DC1A D0 02		bne $00dc1e
	00DC1C 80 01		bra $00dc1f

00DC1E	00DC1E 88		dey
00DC1F	00DC1F 98		tya
00DC20	00DC20 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DC23 A9 E4		lda #$E4
	00DC25 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DC28 A9 A2		lda #$A2
	00DC2A 20 9C FC		jsr $FC9C{meaddh_w}
	00DC2D 60		rts

00DC2E	00DC2E A9 09		lda #$09
	00DC30 80 E0		bra $00dc12

00DC32	00DC32 07 3A		rmb 0,$3A		;Cx9	serial mode register
	00DC34 05 04		ora $04			;Cx9	port D & direction control
	00DC36 B0 06		bcs $00dc3e
	00DC38 02		mpy
	00DC39 EE 07 01		inc $0107{s1}
	00DC3C C2 08 01 09	rba $08,$0901
	00DC40 09 00		ora #$00
	00DC42 92		???			;undocumented opcode
	00DC43 0A		asl a
	00DC44 00		brk
	00DC45 40		rti
	00DC46 0B		jsb 0			;indirect $FFE0
	00DC47 00		brk
	00DC48 2E 0C 00		rol $000C		;Cx9 PTG B Mode (R/W)
	00DC4B 00		brk
	00DC4C 0D 07 08		ora $0807
	00DC4F 05 04		ora $04			;Cx9	port D & direction control
	00DC51 7E 06 02		ror $0206,x
	00DC54 DB		pli
	00DC55 07 01		rmb 0,$01		;Cx9	port B (output only)
	00DC57 F4		???			;undocumented opcode
	00DC58 08		php
	00DC59 01 25		ora ($25)		;Cx9 SP RAM 5
	00DC5B 09 00		ora #$00
	00DC5D AF 0A 00		bbs 2,$0A,$00dc60	;Cx9 External Interrupt Register
00DC60	00DC60 6A		ror a
	00DC61 0B		jsb 0			;indirect $FFE0
	00DC62 00		brk
	00DC63 5A		phy
	00DC64 0C 00 30		jpi ($3000)
	00DC67 0D 00 00		ora $0000		;Cx9	port A (bidirectional)
	00DC6A 0E A9 E3		asl $E3A9
	00DC6D 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DC70 A9 82		lda #$82
	00DC72 20 9C FC		jsr $FC9C{meaddh_w}
	00DC75 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DC78 8D 50 01		sta $0150
	00DC7B 60		rts

00DC7C	00DC7C A9 07		lda #$07
	00DC7E 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DC81 A9 8C		lda #$8C
	00DC83 20 9C FC		jsr $FC9C{meaddh_w}
	00DC86 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DC89 09 10		ora #$10
	00DC8B 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DC8E A9 AC		lda #$AC
	00DC90 20 9C FC		jsr $FC9C{meaddh_w}
	00DC93 A9 24		lda #$24'$'
	00DC95 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DC98 A9 8C		lda #$8C
	00DC9A 20 9C FC		jsr $FC9C{meaddh_w}
	00DC9D AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DCA0 09 01		ora #$01
	00DCA2 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DCA5 A9 AC		lda #$AC
	00DCA7 20 9C FC		jsr $FC9C{meaddh_w}
	00DCAA FF 49 14		bbs 7,$49,$00dcc1
	00DCAD A9 20		lda #$20' '
	00DCAF 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DCB2 A9 00		lda #$00
	00DCB4 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00DCB7 A9 0F		lda #$0F
	00DCB9 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DCBC A9 AA		lda #$AA
	00DCBE 20 9C FC		jsr $FC9C{meaddh_w}
00DCC1	00DCC1 60		rts

00DCC2	00DCC2 A9 07		lda #$07
	00DCC4 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DCC7 A9 8C		lda #$8C
	00DCC9 20 9C FC		jsr $FC9C{meaddh_w}
	00DCCC AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	00DCCF 29 BF		and #$BF
	00DCD1 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00DCD4 A9 AC		lda #$AC
	00DCD6 20 9C FC		jsr $FC9C{meaddh_w}
	00DCD9 A9 05		lda #$05
	00DCDB 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DCDE A9 8C		lda #$8C
	00DCE0 20 9C FC		jsr $FC9C{meaddh_w}
	00DCE3 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DCE6 09 01		ora #$01
	00DCE8 29 F9		and #$F9
	00DCEA 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DCED A9 AC		lda #$AC
	00DCEF 20 9C FC		jsr $FC9C{meaddh_w}
	00DCF2 60		rts

00DCF3	00DCF3 E2 4E 01 02 24	bar $014E,$02,$00dd1c
	00DCF8 8F 70 21		bbs 0,$70,$00dd1c
	00DCFB 9F 70 1E		bbs 1,$70,$00dd1c
	00DCFE F2 0E 06 20 19	bas $060E,$20,$00dd1c	;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	00DD03 A9 00		lda #$00
	00DD05 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00DD08 A9 0F		lda #$0F
	00DD0A 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DD0D A9 54		lda #$54'T'
	00DD0F 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DD12 A9 AA		lda #$AA
	00DD14 20 9C FC		jsr $FC9C{meaddh_w}
	00DD17 A9 AB		lda #$AB
	00DD19 20 9C FC		jsr $FC9C{meaddh_w}
00DD1C	00DD1C 60		rts

00DD1D	00DD1D F2 4D 01 40 19	bas $014D,$40,$00dd3b
	00DD22 AD 17 06		lda $0617		;DPi sec Tx/V.34 Tx status (SECTXB)
	00DD25 C9 40		cmp #$40'@'
	00DD27 90 12		bcc $00dd3b
	00DD29 C9 46		cmp #$46'F'
	00DD2B B0 0E		bcs $00dd3b
	00DD2D D2 40 4D 01	sba $40,$014D
	00DD31 20 3D 3D		jsr $3D3D
	00DD34 D2 08 01 06	sba $08,$0601		;DPi VOLUME/VPAUSE/CELULR/xXHF/RXP
	00DD38 20 DA 35		jsr $35DA
00DD3B	00DD3B 60		rts

00DD3C	00DD3C 60		rts

00DD3D	00DD3D A9 1E		lda #$1E
	00DD3F 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DD42 A9 81		lda #$81
	00DD44 20 9C FC		jsr $FC9C{meaddh_w}
	00DD47 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DD4A C9 13		cmp #$13
	00DD4C 90 09		bcc $00dd57
	00DD4E AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	00DD51 C9 13		cmp #$13
	00DD53 90 02		bcc $00dd57
	00DD55 80 17		bra $00dd6e

00DD57	00DD57 A9 03		lda #$03
	00DD59 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DD5C A9 81		lda #$81
	00DD5E 20 9C FC		jsr $FC9C{meaddh_w}
	00DD61 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DD64 29 FD		and #$FD
	00DD66 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DD69 A9 A1		lda #$A1
	00DD6B 20 9C FC		jsr $FC9C{meaddh_w}
00DD6E	00DD6E 60		rts

00DD6F	00DD6F AD 17 06		lda $0617		;DPi sec Tx/V.34 Tx status (SECTXB)
	00DD72 29 F0		and #$F0
	00DD74 C9 20		cmp #$20' '
	00DD76 F0 0B		beq $00dd83
	00DD78 AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	00DD7B 29 F0		and #$F0
	00DD7D C9 20		cmp #$20' '
	00DD7F F0 02		beq $00dd83
	00DD81 80 28		bra $00ddab

00DD83	00DD83 D2 01 15 06	sba $01,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	00DD87 C2 40 4A 01	rba $40,$014A
	00DD8B C2 80 4A 01	rba $80,$014A
	00DD8F C2 40 4B 01	rba $40,$014B
	00DD93 C2 20 4E 01	rba $20,$014E
	00DD97 C2 10 4D 01	rba $10,$014D
	00DD9B C2 40 4D 01	rba $40,$014D
	00DD9F C2 10 4E 01	rba $10,$014E
	00DDA3 A9 00		lda #$00
	00DDA5 8D 90 87		sta $8790
	00DDA8 8D 91 87		sta $8791
00DDAB	00DDAB 60		rts

00DDAC	00DDAC AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	00DDAF CD 90 87		cmp $8790
	00DDB2 90 03		bcc $00ddb7
	00DDB4 8D 90 87		sta $8790
00DDB7	00DDB7 AD 17 06		lda $0617		;DPi sec Tx/V.34 Tx status (SECTXB)
	00DDBA CD 91 87		cmp $8791
	00DDBD 90 03		bcc $00ddc2
	00DDBF 8D 91 87		sta $8791
00DDC2	00DDC2 60		rts

00DDC3	00DDC3 A9 FB		lda #$FB
	00DDC5 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DDC8 A9 82		lda #$82
	00DDCA 20 9C FC		jsr $FC9C{meaddh_w}
	00DDCD AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DDD0 09 80		ora #$80
	00DDD2 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DDD5 A9 A2		lda #$A2
	00DDD7 20 9C FC		jsr $FC9C{meaddh_w}
	00DDDA 60		rts

00DDDB	00DDDB F2 4A 01 10 27	bas $014A,$10,$00de07
	00DDE0 AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	00DDE3 C9 02		cmp #$02
	00DDE5 D0 20		bne $00de07
	00DDE7 D2 10 4A 01	sba $10,$014A
	00DDEB 20 E3 36		jsr $36E3
	00DDEE A9 00		lda #$00
	00DDF0 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DDF3 A9 8A		lda #$8A
	00DDF5 20 9C FC		jsr $FC9C{meaddh_w}
	00DDF8 AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	00DDFB C9 65		cmp #$65'e'
	00DDFD 90 08		bcc $00de07
	00DDFF D2 20 4A 01	sba $20,$014A
	00DE03 D2 01 4B 01	sba $01,$014B
00DE07	00DE07 60		rts

00DE08	00DE08 F2 49 01 02 74	bas $0149,$02,$00de81
	00DE0D F2 4E 01 08 13	bas $014E,$08,$00de25
	00DE12 5F 78 6C		bbr 5,$78,$00de81
	00DE15 A9 C8		lda #$C8
	00DE17 8D 0E 02		sta $020E
	00DE1A A9 00		lda #$00
	00DE1C 8D 0F 02		sta $020F
	00DE1F 67 5D		rmb 6,$5D
	00DE21 D2 08 4E 01	sba $08,$014E
00DE25	00DE25 E2 09 06 10 57	bar $0609,$10,$00de81	;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00DE2A 6F 5D 28		bbr 6,$5D,$00de55
	00DE2D D2 02 49 01	sba $02,$0149
	00DE31 F2 15 06 08 4B	bas $0615,$08,$00de81	;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	00DE36 E2 09 06 04 46	bar $0609,$04,$00de81	;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00DE3B AD 12 06		lda $0612		;DPi configuration (CONF)
	00DE3E C9 AA		cmp #$AA
	00DE40 D0 3F		bne $00de81
	00DE42 A9 02		lda #$02
	00DE44 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DE47 A9 83		lda #$83
	00DE49 20 9C FC		jsr $FC9C{meaddh_w}
	00DE4C AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DE4F 29 08		and #$08
	00DE51 D0 2E		bne $00de81
	00DE53 80 09		bra $00de5e

00DE55	00DE55 AD 12 06		lda $0612		;DPi configuration (CONF)
	00DE58 29 F0		and #$F0
	00DE5A C9 40		cmp #$40'@'
	00DE5C D0 23		bne $00de81
00DE5E	00DE5E D2 02 49 01	sba $02,$0149
	00DE62 D2 08 15 06	sba $08,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	00DE66 C2 04 09 06	rba $04,$0609		;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	00DE6A A9 76		lda #$76'v'
	00DE6C 8D 12 06		sta $0612		;DPi configuration (CONF)
	00DE6F 20 77 FA		jsr $FA77{newc_w}
	00DE72 A9 01		lda #$01
	00DE74 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DE77 A9 EC		lda #$EC
	00DE79 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DE7C A9 A2		lda #$A2
	00DE7E 20 9C FC		jsr $FC9C{meaddh_w}
00DE81	00DE81 60		rts

00DE82	00DE82 A9 70		lda #$70'p'
	00DE84 20 63 F5		jsr $F563
	00DE87 B0 02		bcs $00de8b
	00DE89 A9 C0		lda #$C0
00DE8B	00DE8B 8D 12 06		sta $0612		;DPi configuration (CONF)
	00DE8E 20 B4 F8		jsr $F8B4
	00DE91 AD 12 06		lda $0612		;DPi configuration (CONF)
	00DE94 C9 C0		cmp #$C0
	00DE96 F0 08		beq $00dea0
	00DE98 2F 6F 1F		bbr 2,$6F,$00deba
	00DE9B 20 51 F4		jsr $F451
	00DE9E B0 07		bcs $00dea7
00DEA0	00DEA0 20 53 F4		jsr $F453
	00DEA3 A9 64		lda #$64'd'
	00DEA5 80 05		bra $00deac

00DEA7	00DEA7 20 58 F4		jsr $F458
	00DEAA A9 C8		lda #$C8
00DEAC	00DEAC 8D 0E 02		sta $020E
	00DEAF A9 00		lda #$00
	00DEB1 8D 0F 02		sta $020F
	00DEB4 67 5D		rmb 6,$5D
00DEB6	00DEB6 6F 5D FD		bbr 6,$5D,$00deb6
	00DEB9 60		rts

00DEBA	00DEBA 4C 4D F5		jmp $F54D

00DEBD	00DEBD F2 5B 01 04 23	bas $015B,$04,$00dee5
	00DEC2 20 FC 3E		jsr $3EFC
	00DEC5 A9 50		lda #$50'P'
	00DEC7 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DECA A9 83		lda #$83
	00DECC 20 9C FC		jsr $FC9C{meaddh_w}
	00DECF AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DED2 09 04		ora #$04
	00DED4 AE BB 00		ldx $00BB
	00DED7 E0 02		cpx #$02
	00DED9 D0 02		bne $00dedd
	00DEDB 09 06		ora #$06
00DEDD	00DEDD 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DEE0 A9 A3		lda #$A3
	00DEE2 4C 9C FC		jmp $FC9C{meaddh_w}

00DEE5	00DEE5 A9 39		lda #$39'9'
	00DEE7 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DEEA A9 84		lda #$84
	00DEEC 20 9C FC		jsr $FC9C{meaddh_w}
	00DEEF AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DEF2 09 02		ora #$02
	00DEF4 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DEF7 A9 A4		lda #$A4
	00DEF9 4C 9C FC		jmp $FC9C{meaddh_w}

00DEFC	00DEFC A9 05		lda #$05
	00DEFE 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DF01 A9 83		lda #$83
	00DF03 20 9C FC		jsr $FC9C{meaddh_w}
	00DF06 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DF09 29 FD		and #$FD
	00DF0B 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DF0E A9 A3		lda #$A3
	00DF10 4C 9C FC		jmp $FC9C{meaddh_w}

00DF13	00DF13 A9 00		lda #$00
	00DF15 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DF18 A9 84		lda #$84
	00DF1A 20 9C FC		jsr $FC9C{meaddh_w}
	00DF1D AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DF20 09 02		ora #$02
	00DF22 AE 56 01		ldx $0156
	00DF25 E0 03		cpx #$03
	00DF27 D0 02		bne $00df2b
	00DF29 29 FD		and #$FD
00DF2B	00DF2B 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DF2E A9 A4		lda #$A4
	00DF30 4C 9C FC		jmp $FC9C{meaddh_w}

00DF33	00DF33 AD 56 01		lda $0156
	00DF36 C9 01		cmp #$01
	00DF38 D0 04		bne $00df3e
	00DF3A A9 01		lda #$01
	00DF3C 80 0A		bra $00df48

00DF3E	00DF3E C9 02		cmp #$02
	00DF40 80 04		bra $00df46

00DF42	00DF42 A9 05		lda #$05
	00DF44 80 02		bra $00df48

00DF46	00DF46 A9 15		lda #$15
00DF48	00DF48 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DF4B A9 01		lda #$01
	00DF4D 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DF50 A9 A1		lda #$A1
	00DF52 4C 9C FC		jmp $FC9C{meaddh_w}

00DF55	00DF55 A9 30		lda #$30'0'
	00DF57 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DF5A A9 84		lda #$84
	00DF5C 20 9C FC		jsr $FC9C{meaddh_w}
	00DF5F AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DF62 E2 52 01 02 09	bar $0152,$02,$00df70
	00DF67 F2 68 01 20 04	bas $0168,$20,$00df70
	00DF6C 09 02		ora #$02
	00DF6E 80 02		bra $00df72

00DF70	00DF70 29 FD		and #$FD
00DF72	00DF72 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DF75 A9 A4		lda #$A4
	00DF77 4C 9C FC		jmp $FC9C{meaddh_w}

00DF7A	00DF7A A9 00		lda #$00
	00DF7C 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DF7F A9 2A		lda #$2A'*'
	00DF81 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DF84 A9 A4		lda #$A4
	00DF86 4C 9C FC		jmp $FC9C{meaddh_w}

00DF89	00DF89 A9 2A		lda #$2A'*'
	00DF8B 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DF8E A9 84		lda #$84
	00DF90 20 9C FC		jsr $FC9C{meaddh_w}
	00DF93 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DF96 29 F0		and #$F0
	00DF98 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DF9B A9 A4		lda #$A4
	00DF9D 20 9C FC		jsr $FC9C{meaddh_w}
	00DFA0 A9 2B		lda #$2B'+'
	00DFA2 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DFA5 A9 84		lda #$84
	00DFA7 20 9C FC		jsr $FC9C{meaddh_w}
	00DFAA AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00DFAD 29 F0		and #$F0
	00DFAF 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DFB2 A9 A4		lda #$A4
	00DFB4 20 9C FC		jsr $FC9C{meaddh_w}
	00DFB7 A9 06		lda #$06
	00DFB9 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00DFBC A9 36		lda #$36'6'
	00DFBE 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00DFC1 A9 A4		lda #$A4
	00DFC3 4C 9C FC		jmp $FC9C{meaddh_w}

00DFC6	00DFC6 20 BD 3E		jsr $3EBD
	00DFC9 AD BB 00		lda $00BB
	00DFCC C9 02		cmp #$02
	00DFCE D0 17		bne $00dfe7
	00DFD0 D2 01 1A 06	sba $01,$061A		;DPi SFRES/RIEN/RION/DMAE/SCOBF
	00DFD4 C2 80 52 01	rba $80,$0152
	00DFD8 20 1F 40		jsr $401F
	00DFDB 20 FF 3F		jsr $3FFF
	00DFDE 20 3F 40		jsr $403F
	00DFE1 20 33 3F		jsr $3F33
	00DFE4 20 89 3F		jsr $3F89
00DFE7	00DFE7 20 13 3F		jsr $3F13
	00DFEA 20 7A 3F		jsr $3F7A
	00DFED 20 59 28		jsr $2859
	00DFF0 20 5F 40		jsr $405F
	00DFF3 20 55 3F		jsr $3F55
	00DFF6 4C 77 FA		jmp $FA77{newc_w}

00DFF9	00DFF9 20 5B E2		jsr $E25B
	00DFFC 4C 59 28		jmp $2859

00DFFF	00DFFF A9 3F		lda #$3F'?'
	00E001 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E004 A9 81		lda #$81
	00E006 20 9C FC		jsr $FC9C{meaddh_w}
	00E009 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E00C F2 52 01 80 04	bas $0152,$80,$00e015
	00E011 29 FB		and #$FB
	00E013 80 02		bra $00e017

00E015	00E015 09 04		ora #$04
00E017	00E017 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E01A A9 A1		lda #$A1
	00E01C 4C 9C FC		jmp $FC9C{meaddh_w}

00E01F	00E01F A9 0D		lda #$0D
	00E021 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E024 A9 81		lda #$81
	00E026 20 9C FC		jsr $FC9C{meaddh_w}
	00E029 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E02C F2 52 01 80 04	bas $0152,$80,$00e035
	00E031 29 7F		and #$7F
	00E033 80 02		bra $00e037

00E035	00E035 09 80		ora #$80
00E037	00E037 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E03A A9 A1		lda #$A1
	00E03C 4C 9C FC		jmp $FC9C{meaddh_w}

00E03F	00E03F A9 89		lda #$89
	00E041 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E044 A9 80		lda #$80
	00E046 20 9C FC		jsr $FC9C{meaddh_w}
	00E049 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E04C F2 52 01 80 04	bas $0152,$80,$00e055
	00E051 29 DF		and #$DF
	00E053 80 02		bra $00e057

00E055	00E055 09 20		ora #$20' '
00E057	00E057 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E05A A9 A0		lda #$A0
	00E05C 4C 9C FC		jmp $FC9C{meaddh_w}

00E05F	00E05F A9 00		lda #$00
	00E061 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E064 A9 84		lda #$84
	00E066 20 9C FC		jsr $FC9C{meaddh_w}
	00E069 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E06C F2 53 01 08 19	bas $0153,$08,$00e08a
	00E071 F2 68 01 02 10	bas $0168,$02,$00e086
	00E076 F2 68 01 20 0F	bas $0168,$20,$00e08a
	00E07B E2 68 01 10 14	bar $0168,$10,$00e094
	00E080 48		pha
	00E081 C2 10 68 01	rba $10,$0168
	00E085 68		pla
00E086	00E086 29 DF		and #$DF
	00E088 80 02		bra $00e08c

00E08A	00E08A 09 20		ora #$20' '
00E08C	00E08C 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E08F A9 A4		lda #$A4
	00E091 20 9C FC		jsr $FC9C{meaddh_w}
00E094	00E094 60		rts

00E095	00E095 20 5F 40		jsr $405F
	00E098 A2 06		ldx #$06
	00E09A 8E 7F 04		stx $047F
	00E09D 20 F5 E1		jsr $E1F5
	00E0A0 20 AC 40		jsr $40AC
	00E0A3 20 78 41		jsr $4178
	00E0A6 20 D6 41		jsr $41D6
	00E0A9 4C 46 41		jmp $4146

00E0AC	00E0AC E2 52 01 20 20	bar $0152,$20,$00e0d1
	00E0B1 A9 35		lda #$35'5'
	00E0B3 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E0B6 A9 8B		lda #$8B
	00E0B8 20 9C FC		jsr $FC9C{meaddh_w}
	00E0BB AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E0BE F2 68 01 02 04	bas $0168,$02,$00e0c7
	00E0C3 09 20		ora #$20' '
	00E0C5 80 02		bra $00e0c9

00E0C7	00E0C7 29 DF		and #$DF
00E0C9	00E0C9 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E0CC A9 AB		lda #$AB
	00E0CE 4C 9C FC		jmp $FC9C{meaddh_w}

00E0D1	00E0D1 A9 00		lda #$00
	00E0D3 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E0D6 A9 84		lda #$84
	00E0D8 20 9C FC		jsr $FC9C{meaddh_w}
	00E0DB AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E0DE F2 68 01 02 04	bas $0168,$02,$00e0e7
	00E0E3 09 80		ora #$80
	00E0E5 80 02		bra $00e0e9

00E0E7	00E0E7 29 7F		and #$7F
00E0E9	00E0E9 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E0EC A9 A4		lda #$A4
	00E0EE 4C 9C FC		jmp $FC9C{meaddh_w}

00E0F1	00E0F1 E2 52 01 20 32	bar $0152,$20,$00e128
	00E0F6 A9 35		lda #$35'5'
	00E0F8 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E0FB A9 8B		lda #$8B
	00E0FD 20 9C FC		jsr $FC9C{meaddh_w}
	00E100 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E103 09 40		ora #$40'@'
	00E105 E2 53 01 08 02	bar $0153,$08,$00e10c
	00E10A 29 BF		and #$BF
00E10C	00E10C 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E10F A9 AB		lda #$AB
	00E111 20 9C FC		jsr $FC9C{meaddh_w}
	00E114 A9 05		lda #$05
	00E116 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00E119 A9 00		lda #$00
	00E11B 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E11E A9 A7		lda #$A7
	00E120 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E123 A9 AA		lda #$AA
	00E125 4C 9C FC		jmp $FC9C{meaddh_w}

00E128	00E128 A9 00		lda #$00
	00E12A 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E12D A9 84		lda #$84
	00E12F 20 9C FC		jsr $FC9C{meaddh_w}
	00E132 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E135 29 BF		and #$BF
	00E137 E2 68 01 02 02	bar $0168,$02,$00e13e
	00E13C 09 40		ora #$40'@'
00E13E	00E13E 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E141 A9 A4		lda #$A4
	00E143 4C 9C FC		jmp $FC9C{meaddh_w}

00E146	00E146 F2 53 01 08 11	bas $0153,$08,$00e15c
	00E14B F2 68 01 20 0C	bas $0168,$20,$00e15c
	00E150 A9 00		lda #$00
	00E152 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00E155 A9 00		lda #$00
	00E157 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E15A 80 0A		bra $00e166

00E15C	00E15C A9 80		lda #$80
	00E15E 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00E161 A9 05		lda #$05
	00E163 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
00E166	00E166 A9 5C		lda #$5C'\'
	00E168 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E16B A9 AA		lda #$AA
	00E16D 4C 9C FC		jmp $FC9C{meaddh_w}

00E170	00E170 A2 06		ldx #$06
	00E172 8E 80 04		stx $0480		;Cx9 CRC	result low/input buffer
	00E175 4C F8 E1		jmp $E1F8

00E178	00E178 E2 68 01 02 23	bar $0168,$02,$00e1a0
	00E17D A9 00		lda #$00
	00E17F 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E182 A9 08		lda #$08
	00E184 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00E187 F2 52 01 20 0A	bas $0152,$20,$00e196
	00E18C A9 86		lda #$86
	00E18E 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E191 A9 AA		lda #$AA
	00E193 4C 9C FC		jmp $FC9C{meaddh_w}	; 0800 -> A86 (225Hz?)

00E196	00E196 A9 BE		lda #$BE
	00E198 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E19B A9 AA		lda #$AA
	00E19D 20 9C FC		jsr $FC9C{meaddh_w}
00E1A0	00E1A0 60		rts

00E1A1	00E1A1 A9 00		lda #$00
	00E1A3 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E1A6 A9 40		lda #$40'@'
	00E1A8 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00E1AB A9 A0		lda #$A0
	00E1AD 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E1B0 A9 AF		lda #$AF
	00E1B2 20 9C FC		jsr $FC9C{meaddh_w}
	00E1B5 A9 D5		lda #$D5
	00E1B7 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E1BA A9 AB		lda #$AB
	00E1BC 4C 9C FC		jmp $FC9C{meaddh_w}

00E1BF	00E1BF A9 D5		lda #$D5
	00E1C1 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E1C4 A9 83		lda #$83
	00E1C6 20 9C FC		jsr $FC9C{meaddh_w}
	00E1C9 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E1CC 09 10		ora #$10
	00E1CE 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E1D1 A9 A3		lda #$A3
	00E1D3 4C 9C FC		jmp $FC9C{meaddh_w}

00E1D6	00E1D6 A9 D4		lda #$D4
	00E1D8 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E1DB A9 83		lda #$83
	00E1DD 20 9C FC		jsr $FC9C{meaddh_w}
	00E1E0 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E1E3 F2 68 01 02 0A	bas $0168,$02,$00e1f2
	00E1E8 F2 53 01 08 09	bas $0153,$08,$00e1f6
	00E1ED F2 68 01 20 04	bas $0168,$20,$00e1f6
00E1F2	00E1F2 09 80		ora #$80
	00E1F4 80 02		bra $00e1f8

00E1F6	00E1F6 29 3F		and #$3F'?'
00E1F8	00E1F8 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E1FB A9 A3		lda #$A3
	00E1FD 4C 9C FC		jmp $FC9C{meaddh_w}

00E200	00E200 C2 40 52 01	rba $40,$0152
	00E204 A9 00		lda #$00
	00E206 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E209 A9 84		lda #$84
	00E20B 20 9C FC		jsr $FC9C{meaddh_w}
	00E20E AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E211 4A		lsr a
	00E212 90 04		bcc $00e218
	00E214 D2 40 52 01	sba $40,$0152
00E218	00E218 60		rts

00E219	00E219 A9 07		lda #$07
	00E21B 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E21E A9 8C		lda #$8C
	00E220 20 9C FC		jsr $FC9C{meaddh_w}
	00E223 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E226 29 F7		and #$F7
	00E228 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E22B A9 AC		lda #$AC
	00E22D 4C 9C FC		jmp $FC9C{meaddh_w}

00E230	00E230 4D 05 4B		eor $4B05
	00E233 F5 69		sbc $69,x
	00E235 05 E8		ora $E8
	00E237 C1 5F		cmp ($5F)
	00E239 4A		lsr a
	00E23A 4D 05 C6		eor $C605
	00E23D 02		mpy
	00E23E 69 05		adc #$05
	00E240 E8		inx
	00E241 C1 3A		cmp ($3A)		;Cx9	serial mode register
	00E243 46 44		lsr $44
	00E245 02		mpy
	00E246 7B		jsb 7			;indirect $FFEE
	00E247 FB		pia
	00E248 45 02		eor $02			;Cx9	port C (bidirectional)
	00E24A 47 C1		rmb 4,$C1
	00E24C A7 35		smb 2,$35		;Cx9 PAB
	00E24E 44		???			;undocumented opcode
	00E24F 02		mpy
	00E250 CA		dex
	00E251 00		brk
	00E252 45 02		eor $02			;Cx9	port C (bidirectional)
	00E254 47 C1		rmb 4,$C1
	00E256 74 35		add $35,x		;Cx9 PAB
	00E258 84 0C		sty $0C			;Cx9 PTG B Mode (R/W)
	00E25A 00		brk
	00E25B 00		brk
	00E25C C5 0C		cmp $0C			;Cx9 PTG B Mode (R/W)
	00E25E 89 C2		add #$C2
	00E260 B8		clv
	00E261 E2 84 0C 80 0E	bar $0C84,$80,$00e274
	00E266 C5 0C		cmp $0C			;Cx9 PTG B Mode (R/W)
	00E268 89 C2		add #$C2
	00E26A 60		rts

00E26B	00E26B DC		???			;undocumented opcode
	00E26C F4		???			;undocumented opcode
	00E26D 00		brk
	00E26E 16 FE		asl $FE,x
	00E270 F6 00		inc $00,x		;Cx9	port A (bidirectional)
	00E272 E8		inx
	00E273 C1 AA		cmp ($AA)
	00E275 44		???			;undocumented opcode
	00E276 F4		???			;undocumented opcode
	00E277 00		brk
	00E278 E3		???			;undocumented opcode
	00E279 01 F6		ora ($F6)
	00E27B 00		brk
	00E27C E8		inx
	00E27D C1 AA		cmp ($AA)
	00E27F 44		???			;undocumented opcode
	00E280 00		brk
	00E281 0B		jsb 0			;indirect $FFE0
	00E282 00		brk
	00E283 FF A0 00		bbs 7,$A0,$00e286
00E286	00E286 A2 01		ldx #$01
00E288	00E288 20 DF 42		jsr $42DF
	00E28B B1 40		lda ($40),x
	00E28D 85 47		sta $47
	00E28F A1 40		lda ($40)
	00E291 85 46		sta $46
	00E293 A9 0A		lda #$0A
	00E295 85 45		sta $45
	00E297 B9 B1 43		lda $43B1,y
	00E29A 85 44		sta $44
	00E29C 20 ED E3		jsr $E3ED
	00E29F B1 42		lda ($42),x
	00E2A1 85 47		sta $47
	00E2A3 A1 42		lda ($42)
	00E2A5 85 46		sta $46
	00E2A7 A9 0B		lda #$0B
	00E2A9 85 45		sta $45
	00E2AB B9 B1 43		lda $43B1,y
	00E2AE 85 44		sta $44
	00E2B0 20 ED E3		jsr $E3ED
	00E2B3 20 F5 42		jsr $42F5
	00E2B6 D0 D0		bne $00e288
	00E2B8 A9 7B		lda #$7B'{'
	00E2BA 85 47		sta $47
	00E2BC A9 30		lda #$30'0'
	00E2BE 85 46		sta $46
	00E2C0 A9 0B		lda #$0B
	00E2C2 85 45		sta $45
	00E2C4 A9 A0		lda #$A0
	00E2C6 85 44		sta $44
	00E2C8 20 ED E3		jsr $E3ED
	00E2CB A9 04		lda #$04
	00E2CD 85 47		sta $47
	00E2CF A9 CF		lda #$CF
	00E2D1 85 46		sta $46
	00E2D3 A9 0A		lda #$0A
	00E2D5 85 45		sta $45
	00E2D7 A9 A0		lda #$A0
	00E2D9 85 44		sta $44
	00E2DB 20 ED E3		jsr $E3ED
	00E2DE 60		rts

00E2DF	00E2DF A5 40		lda $40
	00E2E1 85 42		sta $42
	00E2E3 A5 41		lda $41
	00E2E5 85 43		sta $43
	00E2E7 18		clc
	00E2E8 A5 42		lda $42
	00E2EA 69 0A		adc #$0A
	00E2EC 85 42		sta $42
	00E2EE A5 43		lda $43
	00E2F0 69 00		adc #$00
	00E2F2 85 43		sta $43
	00E2F4 60		rts

00E2F5	00E2F5 18		clc
	00E2F6 A5 40		lda $40
	00E2F8 69 02		adc #$02
	00E2FA 85 40		sta $40
	00E2FC A5 41		lda $41
	00E2FE 69 00		adc #$00
	00E300 85 41		sta $41
	00E302 C8		iny
	00E303 C0 05		cpy #$05
	00E305 60		rts

00E306	00E306 A0 00		ldy #$00
	00E308 A2 01		ldx #$01
00E30A	00E30A 20 DF 42		jsr $42DF
	00E30D B1 40		lda ($40),x
	00E30F 85 47		sta $47
	00E311 A1 40		lda ($40)
	00E313 85 46		sta $46
	00E315 A9 0A		lda #$0A
	00E317 85 45		sta $45
	00E319 B9 B7 43		lda $43B7,y
	00E31C 85 44		sta $44
	00E31E 20 ED E3		jsr $E3ED
	00E321 B1 42		lda ($42),x
	00E323 85 47		sta $47
	00E325 A1 42		lda ($42)
	00E327 85 46		sta $46
	00E329 A9 0B		lda #$0B
	00E32B 85 45		sta $45
	00E32D B9 B7 43		lda $43B7,y
	00E330 85 44		sta $44
	00E332 20 ED E3		jsr $E3ED
	00E335 20 F5 42		jsr $42F5
	00E338 D0 D0		bne $00e30a
	00E33A 60		rts

00E33B	00E33B A0 00		ldy #$00
	00E33D A2 01		ldx #$01
00E33F	00E33F 20 DF 42		jsr $42DF
	00E342 B1 40		lda ($40),x
	00E344 85 47		sta $47
	00E346 A1 40		lda ($40)
	00E348 85 46		sta $46
	00E34A A9 0A		lda #$0A
	00E34C 85 45		sta $45
	00E34E B9 BD 43		lda $43BD,y
	00E351 85 44		sta $44
	00E353 20 ED E3		jsr $E3ED
	00E356 B1 42		lda ($42),x
	00E358 85 47		sta $47
	00E35A A1 42		lda ($42)
	00E35C 85 46		sta $46
	00E35E A9 0B		lda #$0B
	00E360 85 45		sta $45
	00E362 B9 BD 43		lda $43BD,y
	00E365 85 44		sta $44
	00E367 20 ED E3		jsr $E3ED
	00E36A 20 F5 42		jsr $42F5
	00E36D D0 D0		bne $00e33f
	00E36F 60		rts

00E370	00E370 48		pha
	00E371 D2 40 02 06	sba $40,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	00E375 68		pla
	00E376 B2 C8 40		sti #$C8,$40
	00E379 B2 43 41		sti #$43'C',$41
	00E37C A0 00		ldy #$00
	00E37E A2 01		ldx #$01
00E380	00E380 20 DF 42		jsr $42DF
	00E383 B1 40		lda ($40),x
	00E385 85 47		sta $47
	00E387 A1 40		lda ($40)
	00E389 85 46		sta $46
	00E38B A9 0A		lda #$0A
	00E38D 85 45		sta $45
	00E38F B9 C3 43		lda $43C3,y
	00E392 85 44		sta $44
	00E394 20 ED E3		jsr $E3ED
	00E397 B1 42		lda ($42),x
	00E399 85 47		sta $47
	00E39B A1 42		lda ($42)
	00E39D 85 46		sta $46
	00E39F A9 0B		lda #$0B
	00E3A1 85 45		sta $45
	00E3A3 B9 C3 43		lda $43C3,y
	00E3A6 85 44		sta $44
	00E3A8 20 ED E3		jsr $E3ED
	00E3AB 20 F5 42		jsr $42F5
	00E3AE D0 D0		bne $00e380
	00E3B0 60		rts

00E3B1	00E3B1 A1 A2		lda ($A2)
	00E3B3 A3		???			;undocumented opcode
	00E3B4 A4 A5		ldy $A5
	00E3B6 B8		clv
	00E3B7 A7 A8		smb 2,$A8
	00E3B9 A9 AA		lda #$AA
	00E3BB AB		lan
	00E3BC B9 AD AE		lda $AEAD,y
	00E3BF AF B0 B1		bbs 2,$B0,$00e373
	00E3C2 BA		tsx
	00E3C3 B2 B3 B4		sti #$B3,$B4
	00E3C6 B5 B6		lda $B6,x
	00E3C8 00		brk
	00E3C9 00		brk
	00E3CA 00		brk
	00E3CB 00		brk
	00E3CC FF 3F 00		bbs 7,$3F,$00e3cf	;Cx9 SIN (TxD) divider latch (R)
00E3CF	00E3CF 00		brk
	00E3D0 00		brk
	00E3D1 00		brk
	00E3D2 00		brk
	00E3D3 00		brk
	00E3D4 00		brk
	00E3D5 00		brk
	00E3D6 FF 3F 00		bbs 7,$3F,$00e3d9	;Cx9 SIN (TxD) divider latch (R)
00E3D9	00E3D9 00		brk
	00E3DA 00		brk
	00E3DB 00		brk
	00E3DC F5 01		sbc $01,x		;Cx9	port B (output only)
	00E3DE A5 FB		lda $FB
	00E3E0 6D 02 A4		adc $A402
	00E3E3 C0 8E		cpy #$8E
	00E3E5 53		???			;undocumented opcode
	00E3E6 F5 01		sbc $01,x		;Cx9	port B (output only)
	00E3E8 A5 FB		lda $FB
	00E3EA 6D 02 A4		adc $A402
	00E3ED C0 8E		cpy #$8E
	00E3EF 53		???			;undocumented opcode
	00E3F0 5C		???			;undocumented opcode
	00E3F1 1F 75 C9		bbr 1,$75,$00e3bd
	00E3F4 00		brk
	00E3F5 40		rti
	00E3F6 47 C1		rmb 4,$C1
	00E3F8 1B		jsb 1			;indirect $FFE2
	00E3F9 26 5C		rol $5C
	00E3FB 1F 75 C9		bbr 1,$75,$00e3c7
	00E3FE 00		brk
	00E3FF 40		rti
	00E400 47 C1		rmb 4,$C1
	00E402 DF 6A 06		bbs 5,$6A,$00e40b
	00E405 03		tip
	00E406 F9 F9 07		sbc $07F9,y		;Cx9	part of ES4 RAM
	00E409 03		tip
	00E40A 47 C1		rmb 4,$C1
	00E40C A6 10		ldx $10			;Cx9 Timer A Mode
	00E40E 06 03		asl $03			;Cx9	port A direction (R/O)
	00E410 0D 01 07		ora $0701		;Cx9	part of ES4 RAM
	00E413 03		tip
	00E414 47 C1		rmb 4,$C1
	00E416 6E 10 20		ror $2010
	00E419 70 43		bvs $00e45e
	00E41B B2 04 40		sti #$04,$40
	00E41E B2 44 41		sti #$44'D',$41
	00E421 4C 3B 43		jmp $433B

00E424	00E424 A9 78		lda #$78'x'
	00E426 85 47		sta $47
	00E428 A9 E2		lda #$E2
	00E42A 85 46		sta $46
	00E42C A9 0B		lda #$0B
	00E42E 85 45		sta $45
	00E430 A9 AC		lda #$AC
	00E432 85 44		sta $44
	00E434 20 ED E3		jsr $E3ED
	00E437 A9 07		lda #$07
	00E439 85 47		sta $47
	00E43B A9 1D		lda #$1D
	00E43D 85 46		sta $46
	00E43F A9 0A		lda #$0A
	00E441 85 45		sta $45
	00E443 A9 AC		lda #$AC
	00E445 85 44		sta $44
	00E447 20 ED E3		jsr $E3ED
	00E44A A9 02		lda #$02
	00E44C 85 47		sta $47
	00E44E A9 00		lda #$00
	00E450 85 46		sta $46
	00E452 A9 0A		lda #$0A
	00E454 85 45		sta $45
	00E456 A9 BA		lda #$BA
	00E458 85 44		sta $44
	00E45A 20 ED E3		jsr $E3ED
	00E45D A9 02		lda #$02
	00E45F 85 47		sta $47
	00E461 A9 00		lda #$00
	00E463 85 46		sta $46
	00E465 A9 0B		lda #$0B
	00E467 85 45		sta $45
	00E469 A9 BA		lda #$BA
	00E46B 85 44		sta $44
	00E46D 20 ED E3		jsr $E3ED
	00E470 60		rts

00E471	00E471 A9 00		lda #$00
	00E473 85 47		sta $47
	00E475 A9 80		lda #$80
	00E477 85 46		sta $46
	00E479 A9 0B		lda #$0B
	00E47B 85 45		sta $45
	00E47D A9 02		lda #$02
	00E47F 85 44		sta $44
	00E481 20 ED E3		jsr $E3ED
	00E484 60		rts

00E485	00E485 B2 00 47		sti #$00,$47
	00E488 B2 01 46		sti #$01,$46
	00E48B B2 02 45		sti #$02,$45
	00E48E B2 46 44		sti #$46'F',$44
	00E491 20 ED E3		jsr $E3ED
	00E494 60		rts

00E495	00E495 B2 00 47		sti #$00,$47
	00E498 B2 02 46		sti #$02,$46
	00E49B B2 02 45		sti #$02,$45
	00E49E B2 46 44		sti #$46'F',$44
	00E4A1 20 ED E3		jsr $E3ED
	00E4A4 60		rts

00E4A5	00E4A5 B2 03 45		sti #$03,$45
	00E4A8 B2 2C 44		sti #$2C',',$44
	00E4AB 20 F0 E3		jsr $E3F0
	00E4AE AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E4B1 29 3F		and #$3F'?'
	00E4B3 1D BE 44		ora $44BE,x
	00E4B6 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E4B9 A9 A3		lda #$A3
	00E4BB 4C 9C FC		jmp $FC9C{meaddh_w}

00E4BE	00E4BE 00		brk
	00E4BF 40		rti
	00E4C0 80 C0		bra $00e482

00E4C2	00E4C2 DF 64 06		bbs 5,$64,$00e4cb
	00E4C5 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	00E4C7 C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
00E4CB	00E4CB B2 00 47		sti #$00,$47
	00E4CE B2 00 46		sti #$00,$46
	00E4D1 B2 02 45		sti #$02,$45
	00E4D4 B2 44 44		sti #$44'D',$44
	00E4D7 20 ED E3		jsr $E3ED
	00E4DA 60		rts

00E4DB	00E4DB A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
	00E4DD D2 10 1F 06	sba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	00E4E1 B2 00 47		sti #$00,$47
	00E4E4 B2 04 46		sti #$04,$46
	00E4E7 B2 02 45		sti #$02,$45
	00E4EA B2 44 44		sti #$44'D',$44
	00E4ED 20 ED E3		jsr $E3ED
	00E4F0 B2 00 45		sti #$00,$45
	00E4F3 B2 89 44		sti #$89,$44
	00E4F6 20 F0 E3		jsr $E3F0
	00E4F9 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E4FC 09 40		ora #$40'@'
	00E4FE 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E501 A9 A0		lda #$A0
	00E503 20 9C FC		jsr $FC9C{meaddh_w}
	00E506 60		rts

00E507	00E507 20 D3 FB		jsr $FBD3
	00E50A 4A		lsr a
	00E50B 4A		lsr a
	00E50C 85 41		sta $41
	00E50E 4A		lsr a
	00E50F 64 41		add $41
	00E511 38		sec
	00E512 20 76 F5		jsr $F576
	00E515 90 04		bcc $00e51b
	00E517 E9 34		sbc #$34'4'
	00E519 80 2C		bra $00e547

00E51B	00E51B 20 63 F5		jsr $F563
	00E51E 90 04		bcc $00e524
	00E520 E9 35		sbc #$35'5'
	00E522 80 23		bra $00e547

00E524	00E524 AA		tax
	00E525 20 8D F9		jsr $F98D
	00E528 C9 03		cmp #$03
	00E52A D0 06		bne $00e532
00E52C	00E52C 8A		txa
	00E52D 38		sec
	00E52E E9 30		sbc #$30'0'
	00E530 80 15		bra $00e547

00E532	00E532 C9 02		cmp #$02
	00E534 F0 F6		beq $00e52c
	00E536 20 A8 F8		jsr $F8A8
	00E539 C9 60		cmp #$60'`'
	00E53B D0 06		bne $00e543
	00E53D 8A		txa
	00E53E 38		sec
	00E53F E9 33		sbc #$33'3'
	00E541 80 04		bra $00e547

00E543	00E543 8A		txa
	00E544 38		sec
	00E545 E9 36		sbc #$36'6'
00E547	00E547 1A		neg a
	00E548 85 41		sta $41
	00E54A 60		rts

00E54B	00E54B B2 00 47		sti #$00,$47
	00E54E B2 00 46		sti #$00,$46
	00E551 B2 02 45		sti #$02,$45
	00E554 B2 80 44		sti #$80,$44
	00E557 20 ED E3		jsr $E3ED
	00E55A B2 00 47		sti #$00,$47
	00E55D B2 40 46		sti #$40'@',$46
	00E560 B2 02 45		sti #$02,$45
	00E563 B2 81 44		sti #$81,$44
	00E566 20 ED E3		jsr $E3ED
	00E569 4C C8 47		jmp $47C8

00E56C	00E56C B2 00 47		sti #$00,$47
	00E56F B2 AA 46		sti #$AA,$46
	00E572 B2 02 45		sti #$02,$45
	00E575 B2 80 44		sti #$80,$44
	00E578 20 ED E3		jsr $E3ED
	00E57B B2 00 47		sti #$00,$47
	00E57E B2 4A 46		sti #$4A'J',$46
	00E581 B2 02 45		sti #$02,$45
	00E584 B2 81 44		sti #$81,$44
	00E587 20 ED E3		jsr $E3ED
	00E58A 4C C8 47		jmp $47C8

00E58D	00E58D AD DA 02		lda $02DA
	00E590 85 47		sta $47
	00E592 AD D9 02		lda $02D9
	00E595 85 46		sta $46
	00E597 A9 02		lda #$02
	00E599 85 45		sta $45
	00E59B A9 1F		lda #$1F
	00E59D 85 44		sta $44
	00E59F 20 ED E3		jsr $E3ED
	00E5A2 AD DC 02		lda $02DC
	00E5A5 85 47		sta $47
	00E5A7 AD DB 02		lda $02DB
	00E5AA 85 46		sta $46
	00E5AC A9 02		lda #$02
	00E5AE 85 45		sta $45
	00E5B0 A9 1E		lda #$1E
	00E5B2 85 44		sta $44
	00E5B4 20 ED E3		jsr $E3ED
	00E5B7 60		rts

00E5B8	00E5B8 A2 01		ldx #$01
	00E5BA B1 40		lda ($40),x
	00E5BC 85 47		sta $47
	00E5BE A1 40		lda ($40)
	00E5C0 85 46		sta $46
	00E5C2 A9 0A		lda #$0A
	00E5C4 85 45		sta $45
	00E5C6 A9 B8		lda #$B8
	00E5C8 85 44		sta $44
	00E5CA 20 ED E3		jsr $E3ED
	00E5CD B1 40		lda ($40),x
	00E5CF 85 47		sta $47
	00E5D1 A1 40		lda ($40)
	00E5D3 85 46		sta $46
	00E5D5 A9 0B		lda #$0B
	00E5D7 85 45		sta $45
	00E5D9 A9 B8		lda #$B8
	00E5DB 85 44		sta $44
	00E5DD 20 ED E3		jsr $E3ED
	00E5E0 B1 42		lda ($42),x
	00E5E2 85 47		sta $47
	00E5E4 A1 42		lda ($42)
	00E5E6 85 46		sta $46
	00E5E8 A9 0B		lda #$0B
	00E5EA 85 45		sta $45
	00E5EC A9 BB		lda #$BB
	00E5EE 85 44		sta $44
	00E5F0 20 ED E3		jsr $E3ED
	00E5F3 60		rts

00E5F4	00E5F4 A5 41		lda $41
	00E5F6 85 47		sta $47
	00E5F8 A5 40		lda $40
	00E5FA 85 46		sta $46
	00E5FC A9 0A		lda #$0A
	00E5FE 85 45		sta $45
	00E600 A9 B9		lda #$B9
	00E602 85 44		sta $44
	00E604 20 ED E3		jsr $E3ED
	00E607 A5 41		lda $41
	00E609 85 47		sta $47
	00E60B A5 40		lda $40
	00E60D 85 46		sta $46
	00E60F A9 0B		lda #$0B
	00E611 85 45		sta $45
	00E613 A9 B9		lda #$B9
	00E615 85 44		sta $44
	00E617 20 ED E3		jsr $E3ED
	00E61A 60		rts

00E61B	00E61B 60		rts

00E61C	00E61C 60		rts

00E61D	00E61D B2 01 45		sti #$01,$45
	00E620 B2 01 44		sti #$01,$44
	00E623 20 F0 E3		jsr $E3F0
	00E626 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E629 48		pha
	00E62A A5 40		lda $40
	00E62C C9 06		cmp #$06
	00E62E B0 08		bcs $00e638
	00E630 C9 00		cmp #$00
	00E632 B0 06		bcs $00e63a
	00E634 A9 00		lda #$00
	00E636 80 02		bra $00e63a

00E638	00E638 A9 05		lda #$05
00E63A	00E63A AA		tax
	00E63B 68		pla
	00E63C 3D 57 46		and $4657,x
	00E63F 09 02		ora #$02
	00E641 85 40		sta $40
	00E643 A9 00		lda #$00
	00E645 85 47		sta $47
	00E647 A5 40		lda $40
	00E649 85 46		sta $46
	00E64B A9 01		lda #$01
	00E64D 85 45		sta $45
	00E64F A9 01		lda #$01
	00E651 85 44		sta $44
	00E653 20 ED E3		jsr $E3ED
	00E656 60		rts

00E657	00E657 01 01		ora ($01)		;Cx9	port B (output only)
	00E659 05 0D		ora $0D			;Cx9 PBB (R/W)
	00E65B 1D 3D 20		ora $203D,x
	00E65E D2 E3 D0 00	sba $E3,$00D0
	00E662 A5 41		lda $41
	00E664 85 47		sta $47
	00E666 A5 40		lda $40
	00E668 85 46		sta $46
	00E66A A9 02		lda #$02
	00E66C 85 45		sta $45
	00E66E A9 18		lda #$18
	00E670 85 44		sta $44
	00E672 20 ED E3		jsr $E3ED
	00E675 A9 00		lda #$00
	00E677 85 47		sta $47
	00E679 A5 41		lda $41
	00E67B 85 46		sta $46
	00E67D A9 02		lda #$02
	00E67F 85 45		sta $45
	00E681 A9 DB		lda #$DB
	00E683 85 44		sta $44
	00E685 20 ED E3		jsr $E3ED
	00E688 60		rts

00E689	00E689 20 D2 E3		jsr $E3D2
	00E68C D0 00		bne $00e68e
00E68E	00E68E A5 41		lda $41
	00E690 85 47		sta $47
	00E692 A5 40		lda $40
	00E694 85 46		sta $46
	00E696 A9 02		lda #$02
	00E698 85 45		sta $45
	00E69A A9 19		lda #$19
	00E69C 85 44		sta $44
	00E69E 20 ED E3		jsr $E3ED
	00E6A1 A9 00		lda #$00
	00E6A3 85 47		sta $47
	00E6A5 A5 41		lda $41
	00E6A7 85 46		sta $46
	00E6A9 A9 02		lda #$02
	00E6AB 85 45		sta $45
	00E6AD A9 DC		lda #$DC
	00E6AF 85 44		sta $44
	00E6B1 20 ED E3		jsr $E3ED
	00E6B4 60		rts

00E6B5	00E6B5 A5 41		lda $41
	00E6B7 85 47		sta $47
	00E6B9 A5 40		lda $40
	00E6BB 85 46		sta $46
	00E6BD A9 02		lda #$02		;! #$0290 -> $44
	00E6BF 85 45		sta $45
	00E6C1 A9 90		lda #$90
	00E6C3 85 44		sta $44
	00E6C5 20 ED E3		jsr $E3ED
	00E6C8 60		rts

00E6C9	00E6C9 A5 41		lda $41
	00E6CB 85 47		sta $47
	00E6CD A5 40		lda $40
	00E6CF 85 46		sta $46
	00E6D1 A9 02		lda #$02
	00E6D3 85 45		sta $45
	00E6D5 A9 91		lda #$91
	00E6D7 85 44		sta $44
	00E6D9 20 ED E3		jsr $E3ED
	00E6DC A9 00		lda #$00
	00E6DE 85 47		sta $47
	00E6E0 A5 41		lda $41
	00E6E2 85 46		sta $46
	00E6E4 A9 02		lda #$02
	00E6E6 85 45		sta $45
	00E6E8 A9 DA		lda #$DA
	00E6EA 85 44		sta $44
	00E6EC 20 ED E3		jsr $E3ED
	00E6EF 60		rts

00E6F0	00E6F0 A9 00		lda #$00
	00E6F2 85 47		sta $47
	00E6F4 A5 40		lda $40
	00E6F6 85 46		sta $46
	00E6F8 A9 02		lda #$02
	00E6FA 85 45		sta $45
	00E6FC A9 9B		lda #$9B
	00E6FE 85 44		sta $44
	00E700 20 ED E3		jsr $E3ED
	00E703 A9 00		lda #$00
	00E705 85 47		sta $47
	00E707 A5 41		lda $41
	00E709 85 46		sta $46
	00E70B A9 02		lda #$02
	00E70D 85 45		sta $45
	00E70F A9 9C		lda #$9C
	00E711 85 44		sta $44
	00E713 20 ED E3		jsr $E3ED
	00E716 A9 00		lda #$00
	00E718 85 47		sta $47
	00E71A A5 42		lda $42
	00E71C 85 46		sta $46
	00E71E A9 02		lda #$02
	00E720 85 45		sta $45
	00E722 A9 9D		lda #$9D
	00E724 85 44		sta $44
	00E726 20 ED E3		jsr $E3ED
	00E729 A9 00		lda #$00
	00E72B 85 47		sta $47
	00E72D A5 43		lda $43
	00E72F 85 46		sta $46
	00E731 A9 02		lda #$02
	00E733 85 45		sta $45
	00E735 A9 9E		lda #$9E
	00E737 85 44		sta $44
	00E739 20 ED E3		jsr $E3ED
	00E73C 60		rts

00E73D	00E73D B2 01 45		sti #$01,$45
	00E740 B2 0D 44		sti #$0D,$44
	00E743 20 F0 E3		jsr $E3F0
	00E746 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E749 29 E7		and #$E7
	00E74B 90 02		bcc $00e74f
	00E74D 09 18		ora #$18
00E74F	00E74F 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E752 A9 A1		lda #$A1
	00E754 4C 9C FC		jmp $FC9C{meaddh_w}

00E757	00E757 67 6C		rmb 6,$6C
	00E759 E2 4E 01 02 12	bar $014E,$02,$00e770
	00E75E B2 01 45		sti #$01,$45
	00E761 B2 03 44		sti #$03,$44
	00E764 20 F0 E3		jsr $E3F0
	00E767 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E76A 29 80		and #$80
	00E76C F0 02		beq $00e770
	00E76E E7 6C		smb 6,$6C
00E770	00E770 60		rts

00E771	00E771 B2 00 45		sti #$00,$45
	00E774 B2 67 44		sti #$67'g',$44
	00E777 20 F0 E3		jsr $E3F0
	00E77A AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E77D 09 08		ora #$08
	00E77F 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E782 A9 A0		lda #$A0
	00E784 4C 9C FC		jmp $FC9C{meaddh_w}

00E787	00E787 60		rts

00E788	00E788 60		rts

00E789	00E789 60		rts

00E78A	00E78A B2 00 47		sti #$00,$47
	00E78D B2 1C 46		sti #$1C,$46
	00E790 B2 02 45		sti #$02,$45
	00E793 B2 80 44		sti #$80,$44
	00E796 20 ED E3		jsr $E3ED
	00E799 B2 00 47		sti #$00,$47
	00E79C B2 27 46		sti #$27''',$46
	00E79F B2 02 45		sti #$02,$45
	00E7A2 B2 81 44		sti #$81,$44
	00E7A5 20 ED E3		jsr $E3ED
	00E7A8 80 1E		bra $00e7c8

00E7AA	00E7AA B2 00 47		sti #$00,$47
	00E7AD B2 38 46		sti #$38'8',$46
	00E7B0 B2 02 45		sti #$02,$45
	00E7B3 B2 80 44		sti #$80,$44
	00E7B6 20 ED E3		jsr $E3ED
	00E7B9 B2 00 47		sti #$00,$47
	00E7BC B2 2E 46		sti #$2E'.',$46
	00E7BF B2 02 45		sti #$02,$45
	00E7C2 B2 81 44		sti #$81,$44
	00E7C5 20 ED E3		jsr $E3ED
00E7C8	00E7C8 60		rts

00E7C9	00E7C9 A9 03		lda #$03
	00E7CB 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00E7CE A9 8C		lda #$8C
	00E7D0 20 9C FC		jsr $FC9C{meaddh_w}
	00E7D3 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E7D6 09 02		ora #$02
	00E7D8 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E7DB A9 AC		lda #$AC
	00E7DD 4C 9C FC		jmp $FC9C{meaddh_w}

00E7E0	00E7E0 B2 0C 45		sti #$0C,$45
	00E7E3 B2 03 44		sti #$03,$44
	00E7E6 20 F0 E3		jsr $E3F0
	00E7E9 AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	00E7EC 09 04		ora #$04
	00E7EE 85 41		sta $41
	00E7F0 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E7F3 85 40		sta $40
	00E7F5 A5 41		lda $41
	00E7F7 85 47		sta $47
	00E7F9 A5 40		lda $40
	00E7FB 85 46		sta $46
	00E7FD A9 0C		lda #$0C
	00E7FF 85 45		sta $45
	00E801 A9 03		lda #$03
	00E803 85 44		sta $44
	00E805 20 ED E3		jsr $E3ED
	00E808 60		rts

00E809	00E809 60		rts

00E80A	00E80A C2 01 0C 06	rba $01,$060C		;DPi AADET/ACDET/CADET/CCDET/SDET
	00E80E B2 02 45		sti #$02,$45
	00E811 B2 08 44		sti #$08,$44
	00E814 20 F0 E3		jsr $E3F0
	00E817 AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	00E81A 8D C4 03		sta $03C4
	00E81D AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E820 8D C3 03		sta $03C3
	00E823 60		rts

00E824	00E824 A5 41		lda $41
	00E826 85 47		sta $47
	00E828 A5 40		lda $40
	00E82A 85 46		sta $46
	00E82C A9 0A		lda #$0A
	00E82E 85 45		sta $45
	00E830 A9 48		lda #$48'H'
	00E832 85 44		sta $44
	00E834 20 ED E3		jsr $E3ED
	00E837 60		rts

00E838	00E838 B2 0E 45		sti #$0E,$45
	00E83B B2 E4 44		sti #$E4,$44
	00E83E 20 F0 E3		jsr $E3F0
	00E841 AC 18 06		ldy $0618		;DPi memory access data LSB (MEDAL)
	00E844 AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	00E847 60		rts

00E848	00E848 A5 9D		lda $9D
	00E84A 29 C0		and #$C0
	00E84C 4A		lsr a
	00E84D 4A		lsr a
	00E84E 4A		lsr a
	00E84F 4A		lsr a
	00E850 4A		lsr a
	00E851 4A		lsr a
	00E852 F0 17		beq $00e86b
	00E854 B2 04 45		sti #$04,$45
	00E857 B2 3E 44		sti #$3E'>',$44
	00E85A 20 F0 E3		jsr $E3F0
	00E85D AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E860 09 80		ora #$80
	00E862 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E865 A9 A4		lda #$A4
	00E867 20 9C FC		jsr $FC9C{meaddh_w}
	00E86A 60		rts

00E86B	00E86B B2 04 45		sti #$04,$45
	00E86E B2 3E 44		sti #$3E'>',$44
	00E871 20 F0 E3		jsr $E3F0
	00E874 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00E877 29 7F		and #$7F
	00E879 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00E87C A9 A4		lda #$A4
	00E87E 20 9C FC		jsr $FC9C{meaddh_w}
	00E881 60		rts

00E882	00E882 B2 00 47		sti #$00,$47
	00E885 B2 40 46		sti #$40'@',$46
	00E888 B2 02 45		sti #$02,$45
	00E88B B2 7C 44		sti #$7C'|',$44
	00E88E 20 ED E3		jsr $E3ED		; 0040 -> 27C
	00E891 AD 25 01		lda $0125
	00E894 20 92 F5		jsr $F592
	00E897 A0 44		ldy #$44'D'
	00E899 A2 3F		ldx #$3F'?'
	00E89B 60		rts

00E89C	00E89C 84 46		sty $46
	00E89E 86 47		stx $47
	00E8A0 B2 0A 45		sti #$0A,$45
	00E8A3 B2 48 44		sti #$48'H',$44
	00E8A6 4C ED E3		jmp $E3ED

00E8A9	00E8A9 00		brk
	00E8AA 02		mpy
	00E8AB A2 00		ldx #$00
	00E8AD BC A9 48		ldy $48A9,x
	00E8B0 E8		inx
	00E8B1 BD A9 48		lda $48A9,x
	00E8B4 AA		tax
	00E8B5 84 46		sty $46
	00E8B7 86 47		stx $47
	00E8B9 B2 0A 45		sti #$0A,$45
	00E8BC B2 7C 44		sti #$7C'|',$44
	00E8BF 4C ED E3		jmp $E3ED

00E8C2	00E8C2 38		sec
	00E8C3 02		mpy
	00E8C4 A2 00		ldx #$00
	00E8C6 BC C2 48		ldy $48C2,x
	00E8C9 E8		inx
	00E8CA BD C2 48		lda $48C2,x
	00E8CD AA		tax
	00E8CE 84 46		sty $46
	00E8D0 86 47		stx $47
	00E8D2 B2 08 45		sti #$08,$45
	00E8D5 B2 7C 44		sti #$7C'|',$44
	00E8D8 4C ED E3		jmp $E3ED

00E8DB	00E8DB 03		tip
	00E8DC 00		brk
	00E8DD AD DC 48		lda $48DC
	00E8E0 85 47		sta $47
	00E8E2 AD DB 48		lda $48DB
	00E8E5 85 46		sta $46
	00E8E7 A9 09		lda #$09
	00E8E9 85 45		sta $45
	00E8EB A9 E9		lda #$E9
	00E8ED 85 44		sta $44
	00E8EF 20 ED E3		jsr $E3ED
	00E8F2 60		rts

00E8F3	00E8F3 FF 7F FF		bbs 7,$7F,$00e8f5
	00E8F6 7F E2 30		bbr 7,$E2,$00e929
	00E8F9 01 01		ora ($01)		;Cx9	port B (output only)
	00E8FB 00		brk
	00E8FC A2 00		ldx #$00
	00E8FE BC F3 48		ldy $48F3,x
	00E901 E8		inx
	00E902 BD F3 48		lda $48F3,x
	00E905 AA		tax
	00E906 84 46		sty $46
	00E908 86 47		stx $47
	00E90A B2 0F 45		sti #$0F,$45
	00E90D B2 A1 44		sti #$A1,$44
	00E910 4C ED E3		jmp $E3ED

00E913	00E913 B2 06 47		sti #$06,$47
	00E916 B2 00 46		sti #$00,$46
	00E919 B2 0A 45		sti #$0A,$45
	00E91C B2 B8 44		sti #$B8,$44
	00E91F 20 ED E3		jsr $E3ED
	00E922 B2 06 47		sti #$06,$47
	00E925 B2 00 46		sti #$00,$46
	00E928 B2 0B 45		sti #$0B,$45
	00E92B B2 B8 44		sti #$B8,$44
	00E92E 20 ED E3		jsr $E3ED
	00E931 B2 9E 40		sti #$9E,$40
	00E934 B2 02 41		sti #$02,$41
	00E937 4C 84 42		jmp $4284

00E93A	00E93A B2 06 47		sti #$06,$47
	00E93D B2 80 46		sti #$80,$46
	00E940 B2 0A 45		sti #$0A,$45
	00E943 B2 B9 44		sti #$B9,$44
	00E946 20 ED E3		jsr $E3ED
	00E949 B2 06 47		sti #$06,$47
	00E94C B2 80 46		sti #$80,$46
	00E94F B2 0B 45		sti #$0B,$45
	00E952 B2 B9 44		sti #$B9,$44
	00E955 20 ED E3		jsr $E3ED
	00E958 B2 03 40		sti #$03,$40
	00E95B B2 4A 41		sti #$4A'J',$41
	00E95E 4C 06 43		jmp $4306

00E961	00E961 B2 11 47		sti #$11,$47
	00E964 B2 00 46		sti #$00,$46
	00E967 B2 0A 45		sti #$0A,$45
	00E96A B2 B9 44		sti #$B9,$44
	00E96D 20 ED E3		jsr $E3ED
	00E970 B2 11 47		sti #$11,$47
	00E973 B2 00 46		sti #$00,$46
	00E976 B2 0B 45		sti #$0B,$45
	00E979 B2 B9 44		sti #$B9,$44
	00E97C 20 ED E3		jsr $E3ED
	00E97F B2 DC 40		sti #$DC,$40
	00E982 B2 43 41		sti #$43'C',$41
	00E985 4C 06 43		jmp $4306

00E988	00E988 B2 10 47		sti #$10,$47
	00E98B B2 00 46		sti #$00,$46
	00E98E B2 0A 45		sti #$0A,$45
	00E991 B2 BA 44		sti #$BA,$44
	00E994 20 ED E3		jsr $E3ED
	00E997 B2 10 47		sti #$10,$47
	00E99A B2 00 46		sti #$00,$46
	00E99D B2 0B 45		sti #$0B,$45
	00E9A0 B2 BA 44		sti #$BA,$44
	00E9A3 20 ED E3		jsr $E3ED
	00E9A6 20 70 43		jsr $4370
	00E9A9 B2 F0 40		sti #$F0,$40
	00E9AC B2 43 41		sti #$43'C',$41
	00E9AF 4C 3B 43		jmp $433B

00E9B2	00E9B2 B2 11 47		sti #$11,$47
	00E9B5 B2 00 46		sti #$00,$46
	00E9B8 B2 0A 45		sti #$0A,$45
	00E9BB B2 B9 44		sti #$B9,$44
	00E9BE 20 ED E3		jsr $E3ED
	00E9C1 B2 11 47		sti #$11,$47
	00E9C4 B2 00 46		sti #$00,$46
	00E9C7 B2 0B 45		sti #$0B,$45
	00E9CA B2 B9 44		sti #$B9,$44
	00E9CD 20 ED E3		jsr $E3ED
	00E9D0 B2 30 40		sti #$30'0',$40
	00E9D3 B2 42 41		sti #$42'B',$41
	00E9D6 4C 06 43		jmp $4306

00E9D9	00E9D9 B2 10 47		sti #$10,$47
	00E9DC B2 00 46		sti #$00,$46
	00E9DF B2 0A 45		sti #$0A,$45
	00E9E2 B2 BA 44		sti #$BA,$44
	00E9E5 20 ED E3		jsr $E3ED
	00E9E8 B2 10 47		sti #$10,$47
	00E9EB B2 00 46		sti #$00,$46
	00E9EE B2 0B 45		sti #$0B,$45
	00E9F1 B2 BA 44		sti #$BA,$44
	00E9F4 20 ED E3		jsr $E3ED
	00E9F7 20 70 43		jsr $4370
	00E9FA B2 44 40		sti #$44'D',$40
	00E9FD B2 42 41		sti #$42'B',$41
	00EA00 4C 3B 43		jmp $433B

00EA03	00EA03 97 03		smb 1,$03		;Cx9	port A direction (R/O)
	00EA05 D6 F8		dec $F8,x
	00EA07 99 03		sta $03,y		;Cx9	port A direction (R/O)
	00EA09 89 C2		add #$C2
	00EA0B FF 22 97		bbs 7,$22,$00e9a5	;Cx9 SP RAM 2
	00EA0E 03		tip
	00EA0F 20 04 99		jsr $9904
	00EA12 03		tip
	00EA13 89 C2		add #$C2
	00EA15 C9 22		cmp #$22'"'
	00EA17 05 02		ora $02			;Cx9	port C (bidirectional)
	00EA19 F9 FB 06		sbc $06FB,y		;Cx9	part of ES4 RAM
	00EA1C 02		mpy
	00EA1D 47 C1		rmb 4,$C1
	00EA1F 2D D2 05		and $05D2		;Cx9	page 5 (UNAVAILABLE)
	00EA22 02		mpy
	00EA23 80 03		bra $00ea28

00EA25	00EA25 06 02		asl $02			;Cx9	port C (bidirectional)
	00EA27 47 C1		rmb 4,$C1
	00EA29 F8		sed
	00EA2A D1 B2		cmp ($B2),x
	00EA2C 1C		???			;undocumented opcode
	00EA2D 47 B2		rmb 4,$B2
	00EA2F 00		brk
	00EA30 46 B2		lsr $B2
	00EA32 0A		asl a
	00EA33 45 B2		eor $B2
	00EA35 B9 44 20		lda $2044,y
	00EA38 ED E3 B2		sbc $B2E3
	00EA3B 1C		???			;undocumented opcode
	00EA3C 47 B2		rmb 4,$B2
	00EA3E 00		brk
	00EA3F 46 B2		lsr $B2
	00EA41 0B		jsb 0			;indirect $FFE0
	00EA42 45 B2		eor $B2
	00EA44 B9 44 20		lda $2044,y
	00EA47 ED E3 B2		sbc $B2E3
	00EA4A 17 40		rmb 1,$40
	00EA4C B2 4A 41		sti #$4A'J',$41
	00EA4F 4C 06 43		jmp $4306

00EA52	00EA52 B2 06 47		sti #$06,$47
	00EA55 B2 00 46		sti #$00,$46
	00EA58 B2 0A 45		sti #$0A,$45
	00EA5B B2 BA 44		sti #$BA,$44
	00EA5E 20 ED E3		jsr $E3ED
	00EA61 B2 06 47		sti #$06,$47
	00EA64 B2 00 46		sti #$00,$46
	00EA67 B2 0B 45		sti #$0B,$45
	00EA6A B2 BA 44		sti #$BA,$44
	00EA6D 20 ED E3		jsr $E3ED
	00EA70 B2 58 40		sti #$58'X',$40
	00EA73 B2 42 41		sti #$42'B',$41
	00EA76 20 3B 43		jsr $433B
	00EA79 4C 70 43		jmp $4370

00EA7C	00EA7C B2 00 47		sti #$00,$47
	00EA7F B2 01 46		sti #$01,$46
	00EA82 B2 0B 45		sti #$0B,$45
	00EA85 B2 68 44		sti #$68'h',$44
	00EA88 20 ED E3		jsr $E3ED
	00EA8B B2 21 47		sti #$21'!',$47
	00EA8E B2 00 46		sti #$00,$46
	00EA91 B2 08 45		sti #$08,$45
	00EA94 B2 68 44		sti #$68'h',$44
	00EA97 20 ED E3		jsr $E3ED
	00EA9A B2 21 47		sti #$21'!',$47
	00EA9D B2 00 46		sti #$00,$46
	00EAA0 B2 08 45		sti #$08,$45
	00EAA3 B2 69 44		sti #$69'i',$44
	00EAA6 20 ED E3		jsr $E3ED
	00EAA9 AD 6A 86		lda $866A
	00EAAC 85 42		sta $42
	00EAAE AD 6B 86		lda $866B
	00EAB1 85 43		sta $43
	00EAB3 20 71 4B		jsr $4B71
	00EAB6 A5 44		lda $44
	00EAB8 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00EABB A5 45		lda $45
	00EABD 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00EAC0 A9 68		lda #$68'h'
	00EAC2 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00EAC5 A9 A9		lda #$A9
	00EAC7 20 9C FC		jsr $FC9C{meaddh_w}
	00EACA AD 6C 86		lda $866C
	00EACD 85 42		sta $42
	00EACF AD 6D 86		lda $866D
	00EAD2 85 43		sta $43
	00EAD4 20 71 4B		jsr $4B71
	00EAD7 A5 44		lda $44
	00EAD9 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00EADC A5 45		lda $45
	00EADE 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00EAE1 A9 69		lda #$69'i'
	00EAE3 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00EAE6 A9 A9		lda #$A9
	00EAE8 20 9C FC		jsr $FC9C{meaddh_w}
	00EAEB 4C 01 E2		jmp $E201

;;; set dual tone 1,2 frequencies?

00EAEE	00EAEE B2 00 47		sti #$00,$47
	00EAF1 B2 00 46		sti #$00,$46
	00EAF4 B2 02 45		sti #$02,$45
	00EAF7 B2 84 44		sti #$84,$44
	00EAFA 20 ED E3		jsr $E3ED
	00EAFD B2 86 44		sti #$86,$44
	00EB00 20 ED E3		jsr $E3ED
	00EB03 B2 00 47		sti #$00,$47
	00EB06 B2 21 46		sti #$21'!',$46
	00EB09 B2 02 45		sti #$02,$45
	00EB0C B2 85 44		sti #$85,$44
	00EB0F 20 ED E3		jsr $E3ED
	00EB12 B2 87 44		sti #$87,$44
	00EB15 20 ED E3		jsr $E3ED

	00EB18 AD 6A 86		lda $866A
	00EB1B 85 42		sta $42
	00EB1D AD 6B 86		lda $866B
	00EB20 85 43		sta $43			; - frequency 1
	00EB22 20 71 4B		jsr $4B71
	00EB25 A5 44		lda $44
	00EB27 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00EB2A A9 80		lda #$80
	00EB2C 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00EB2F A9 A2		lda #$A2
	00EB31 20 9C FC		jsr $FC9C{meaddh_w}	; -> 280
	00EB34 A5 45		lda $45
	00EB36 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00EB39 A9 81		lda #$81
	00EB3B 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00EB3E A9 A2		lda #$A2
	00EB40 20 9C FC		jsr $FC9C{meaddh_w}	; -> 281

	00EB43 AD 6C 86		lda $866C
	00EB46 85 42		sta $42
	00EB48 AD 6D 86		lda $866D		; - frequency 2
	00EB4B 85 43		sta $43
	00EB4D 20 71 4B		jsr $4B71
	00EB50 A5 44		lda $44
	00EB52 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00EB55 A9 82		lda #$82
	00EB57 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00EB5A A9 A2		lda #$A2
	00EB5C 20 9C FC		jsr $FC9C{meaddh_w}	; -> 282
	00EB5F A5 45		lda $45
	00EB61 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00EB64 A9 83		lda #$83
	00EB66 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00EB69 A9 A2		lda #$A2
	00EB6B 20 9C FC		jsr $FC9C{meaddh_w}	; -> 283
	00EB6E 4C 01 E2		jmp $E201

00EB71	00EB71 A9 00		lda #$00
	00EB73 85 44		sta $44
	00EB75 85 45		sta $45
	00EB77 A2 09		ldx #$09
	00EB79 20 D2 E3		jsr $E3D2
	00EB7C D0 00		bne $00eb7e
00EB7E	00EB7E A5 44		lda $44
	00EB80 65 42		adc $42
	00EB82 85 44		sta $44
	00EB84 A5 45		lda $45
	00EB86 65 43		adc $43
	00EB88 85 45		sta $45
	00EB8A CA		dex
	00EB8B D0 F1		bne $00eb7e
	00EB8D A5 42		lda $42
	00EB8F 85 46		sta $46
	00EB91 A5 43		lda $43
	00EB93 85 47		sta $47
	00EB95 46 47		lsr $47
	00EB97 66 46		ror $46
	00EB99 46 47		lsr $47
	00EB9B 66 46		ror $46
	00EB9D 46 47		lsr $47
	00EB9F 66 46		ror $46
	00EBA1 A5 44		lda $44
	00EBA3 65 46		adc $46
	00EBA5 85 44		sta $44
	00EBA7 A5 45		lda $45
	00EBA9 65 47		adc $47
	00EBAB 85 45		sta $45
	00EBAD 60		rts

00EBAE	00EBAE AD 70 86		lda $8670
	00EBB1 F0 15		beq $00ebc8
	00EBB3 C9 04		cmp #$04
	00EBB5 F0 11		beq $00ebc8
	00EBB7 B2 4E 47		sti #$4E'N',$47
	00EBBA B2 00 46		sti #$00,$46
	00EBBD B2 0F 45		sti #$0F,$45
	00EBC0 B2 60 44		sti #$60'`',$44
	00EBC3 20 ED E3		jsr $E3ED
	00EBC6 80 3F		bra $00ec07

00EBC8	00EBC8 B2 45 47		sti #$45'E',$47
	00EBCB B2 00 46		sti #$00,$46
	00EBCE B2 0F 45		sti #$0F,$45
	00EBD1 B2 E2 44		sti #$E2,$44
	00EBD4 20 ED E3		jsr $E3ED
	00EBD7 B2 E3 44		sti #$E3,$44
	00EBDA 20 ED E3		jsr $E3ED
	00EBDD B2 E4 44		sti #$E4,$44
	00EBE0 20 ED E3		jsr $E3ED
	00EBE3 B2 E5 44		sti #$E5,$44
	00EBE6 20 ED E3		jsr $E3ED
	00EBE9 B2 40 47		sti #$40'@',$47
	00EBEC B2 00 46		sti #$00,$46
	00EBEF B2 0F 45		sti #$0F,$45
	00EBF2 B2 63 44		sti #$63'c',$44
	00EBF5 20 ED E3		jsr $E3ED
	00EBF8 B2 30 47		sti #$30'0',$47
	00EBFB B2 00 46		sti #$00,$46
	00EBFE B2 0F 45		sti #$0F,$45
	00EC01 B2 60 44		sti #$60'`',$44
	00EC04 20 ED E3		jsr $E3ED
00EC07	00EC07 60		rts

00EC08	00EC08 B2 00 47		sti #$00,$47
	00EC0B B2 1B 46		sti #$1B,$46
	00EC0E B2 0F 45		sti #$0F,$45
	00EC11 B2 64 44		sti #$64'd',$44
	00EC14 20 ED E3		jsr $E3ED
	00EC17 60		rts

00EC18	00EC18 60		rts

00EC19	00EC19 AD 12 06		lda $0612		;DPi configuration (CONF)
	00EC1C 29 F0		and #$F0
	00EC1E C9 10		cmp #$10
	00EC20 D0 4D		bne $00ec6f
	00EC22 B2 01 45		sti #$01,$45
	00EC25 B2 0D 44		sti #$0D,$44
	00EC28 20 F0 E3		jsr $E3F0
	00EC2B AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00EC2E 09 04		ora #$04
	00EC30 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00EC33 A9 A1		lda #$A1
	00EC35 20 9C FC		jsr $FC9C{meaddh_w}
	00EC38 B2 00 47		sti #$00,$47
	00EC3B B2 C5 46		sti #$C5,$46
	00EC3E B2 01 45		sti #$01,$45
	00EC41 B2 34 44		sti #$34'4',$44
	00EC44 20 ED E3		jsr $E3ED
	00EC47 B2 00 47		sti #$00,$47
	00EC4A B2 05 46		sti #$05,$46
	00EC4D B2 01 45		sti #$01,$45
	00EC50 B2 35 44		sti #$35'5',$44
	00EC53 20 ED E3		jsr $E3ED
	00EC56 20 77 FA		jsr $FA77{newc_w}
	00EC59 B2 01 45		sti #$01,$45
	00EC5C B2 0D 44		sti #$0D,$44
	00EC5F 20 F0 E3		jsr $E3F0
	00EC62 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00EC65 29 FB		and #$FB
	00EC67 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00EC6A A9 A1		lda #$A1
	00EC6C 20 9C FC		jsr $FC9C{meaddh_w}
00EC6F	00EC6F 60		rts

00EC70	00EC70 AD 70 86		lda $8670
	00EC73 C9 02		cmp #$02
	00EC75 F0 3C		beq $00ecb3
	00EC77 AD 25 01		lda $0125
	00EC7A 0A		asl a
	00EC7B AA		tax
	00EC7C BD B4 4C		lda $4CB4,x
	00EC7F 85 40		sta $40
	00EC81 BD B5 4C		lda $4CB5,x
	00EC84 85 41		sta $41
	00EC86 A5 41		lda $41
	00EC88 85 47		sta $47
	00EC8A A5 40		lda $40
	00EC8C 85 46		sta $46
	00EC8E A9 08		lda #$08
	00EC90 85 45		sta $45
	00EC92 A9 F3		lda #$F3
	00EC94 85 44		sta $44
	00EC96 20 ED E3		jsr $E3ED
	00EC99 38		sec
	00EC9A A5 41		lda $41
	00EC9C E9 0A		sbc #$0A
	00EC9E 85 41		sta $41
	00ECA0 A5 41		lda $41
	00ECA2 85 47		sta $47
	00ECA4 A5 40		lda $40
	00ECA6 85 46		sta $46
	00ECA8 A9 09		lda #$09
	00ECAA 85 45		sta $45
	00ECAC A9 F3		lda #$F3
	00ECAE 85 44		sta $44
	00ECB0 20 ED E3		jsr $E3ED
00ECB3	00ECB3 60		rts

00ECB4	00ECB4 00		brk
	00ECB5 40		rti
	00ECB6 00		brk
	00ECB7 40		rti
	00ECB8 00		brk
	00ECB9 40		rti
	00ECBA 00		brk
	00ECBB 40		rti
	00ECBC 50 2D		bvc $00eceb
	00ECBE 00		brk
	00ECBF 27 00		rmb 2,$00		;Cx9	port A (bidirectional)
	00ECC1 22		psh
	00ECC2 00		brk
	00ECC3 1D 50 19		ora $1950,x
	00ECC6 50 16		bvc $00ecde
	00ECC8 50 13		bvc $00ecdd
	00ECCA 50 11		bvc $00ecdd
	00ECCC 00		brk
	00ECCD 0F 50 0D		bbr 0,$50,$00ecdd
	00ECD0 00		brk
	00ECD1 0C 70 0A		jpi ($0A70)
	00ECD4 AD B0 03		lda $03B0
	00ECD7 C9 00		cmp #$00
	00ECD9 D0 0D		bne $00ece8
	00ECDB EF 62 04		bbs 6,$62,$00ece2
00ECDE	00ECDE A5 4A		lda $4A
	00ECE0 F0 29		beq $00ed0b
00ECE2	00ECE2 20 20 51		jsr $5120
	00ECE5 4C 4F 4D		jmp $4D4F

00ECE8	00ECE8 6F 62 05		bbr 6,$62,$00ecf0
00ECEB	00ECEB 48		pha
	00ECEC 20 13 51		jsr $5113
	00ECEF 68		pla
00ECF0	00ECF0 48		pha
	00ECF1 A5 4A		lda $4A
	00ECF3 F0 04		beq $00ecf9
	00ECF5 68		pla
	00ECF6 4C 3F E0		jmp $E03F{004E16}

00ECF9	00ECF9 68		pla
	00ECFA C9 04		cmp #$04
	00ECFC D0 04		bne $00ed02
	00ECFE 87 4D		smb 0,$4D
	00ED00 80 06		bra $00ed08

00ED02	00ED02 C9 05		cmp #$05
	00ED04 D0 06		bne $00ed0c
	00ED06 07 4D		rmb 0,$4D
00ED08	00ED08 20 3C 4D		jsr $4D3C
00ED0B	00ED0B 60		rts

00ED0C	00ED0C C9 01		cmp #$01
	00ED0E F0 04		beq $00ed14
	00ED10 C9 08		cmp #$08
	00ED12 D0 03		bne $00ed17
00ED14	00ED14 4C 59 4E		jmp $4E59

00ED17	00ED17 48		pha
	00ED18 1F 61 03		bbr 1,$61,$00ed1e
	00ED1B 7F 6A 09		bbr 7,$6A,$00ed27
00ED1E	00ED1E 68		pla
	00ED1F A9 00		lda #$00
	00ED21 8D B0 03		sta $03B0
	00ED24 4C 3F E0		jmp $E03F{004E16}

00ED27	00ED27 68		pla
	00ED28 C9 03		cmp #$03
	00ED2A D0 03		bne $00ed2f
	00ED2C 4C D5 4E		jmp $4ED5

00ED2F	00ED2F 48		pha
	00ED30 20 8D F9		jsr $F98D
	00ED33 C9 00		cmp #$00
	00ED35 F0 E7		beq $00ed1e
	00ED37 AA		tax
	00ED38 68		pla
	00ED39 4C 05 4F		jmp $4F05

00ED3C	00ED3C 5F 63 01		bbr 5,$63,$00ed40
	00ED3F 60		rts

00ED40	00ED40 8F 4D 06		bbs 0,$4D,$00ed49
	00ED43 20 DF F4		jsr $F4DF
	00ED46 4C 96 F4		jmp $F496

00ED49	00ED49 20 DA F4		jsr $F4DA
	00ED4C 4C 91 F4		jmp $F491

00ED4F	00ED4F 3F 57 1E		bbr 3,$57,$00ed70
	00ED52 9F 64 03		bbs 1,$64,$00ed58
	00ED55 3F 62 18		bbr 3,$62,$00ed70
00ED58	00ED58 CF 4A 03		bbs 4,$4A,$00ed5e
	00ED5B 5F 4A 11		bbr 5,$4A,$00ed6f
00ED5E	00ED5E 20 CA F6		jsr $F6CA
	00ED61 37 58		rmb 3,$58
	00ED63 A9 AE		lda #$AE
	00ED65 8D 5A 02		sta $025A
	00ED68 A9 E0		lda #$E0
	00ED6A 8D 5B 02		sta $025B
	00ED6D B7 58		smb 3,$58
00ED6F	00ED6F 60		rts

00ED70	00ED70 A5 4A		lda $4A
	00ED72 29 BE		and #$BE
	00ED74 D0 2C		bne $00eda2
	00ED76 AD 12 06		lda $0612		;DPi configuration (CONF)
	00ED79 C9 C1		cmp #$C1
	00ED7B D0 05		bne $00ed82
	00ED7D A9 04		lda #$04
	00ED7F 20 0C F8		jsr $F80C
00ED82	00ED82 90 03		bcc $00ed87
	00ED84 20 B1 E3		jsr $E3B1
00ED87	00ED87 A5 4E		lda $4E
	00ED89 29 0B		and #$0B
	00ED8B C9 08		cmp #$08
	00ED8D D0 05		bne $00ed94
	00ED8F 20 2F FD		jsr $FD2F
	00ED92 80 09		bra $00ed9d

00ED94	00ED94 5F 4B 03		bbr 5,$4B,$00ed9a
	00ED97 20 2F FD		jsr $FD2F
00ED9A	00ED9A 6F 4B 0B		bbr 6,$4B,$00eda8
00ED9D	00ED9D 20 20 FD		jsr $FD20
	00EDA0 80 06		bra $00eda8

00EDA2	00EDA2 20 20 FD		jsr $FD20
	00EDA5 20 2C FD		jsr $FD2C
00EDA8	00EDA8 67 74		rmb 6,$74
	00EDAA A9 00		lda #$00
	00EDAC 8D B0 03		sta $03B0
	00EDAF 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	00EDB1 37 58		rmb 3,$58
	00EDB3 20 DF FD		jsr $FDDF
	00EDB6 20 72 F4		jsr $F472
	00EDB9 20 62 F4		jsr $F462
	00EDBC A9 02		lda #$02
	00EDBE 20 78 51		jsr $5178
	00EDC1 20 CA F6		jsr $F6CA
	00EDC4 A9 14		lda #$14
	00EDC6 8D 18 02		sta $0218
	00EDC9 A9 00		lda #$00
	00EDCB 8D 19 02		sta $0219
	00EDCE 37 5E		rmb 3,$5E
00EDD0	00EDD0 E2 08 06 10 03	bar $0608,$10,$00edd8	;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	00EDD5 3F 5E F8		bbr 3,$5E,$00edd0
00EDD8	00EDD8 7F 65 03		bbr 7,$65,$00edde
	00EDDB 20 F0 F3		jsr $F3F0
00EDDE	00EDDE A9 05		lda #$05
	00EDE0 20 78 51		jsr $5178
	00EDE3 67 62		rmb 6,$62
	00EDE5 A9 00		lda #$00
	00EDE7 85 4A		sta $4A
	00EDE9 20 41 FD		jsr $FD41
	00EDEC 20 FA E2		jsr $E2FA
	00EDEF 47 63		rmb 4,$63
	00EDF1 17 64		rmb 1,$64
	00EDF3 20 D7 4F		jsr $4FD7
	00EDF6 20 21 E3		jsr $E321
	00EDF9 20 24 E3		jsr $E324
	00EDFC 37 61		rmb 3,$61
	00EDFE BF 57 19		bbs 3,$57,$00ee1a
	00EE01 1F 61 16		bbr 1,$61,$00ee1a
	00EE04 AF 64 13		bbs 2,$64,$00ee1a
	00EE07 8F 62 03		bbs 0,$62,$00ee0d
	00EE0A 20 D4 FD		jsr $FDD4{ssti}
00EE0D	00EE0D FF 6A 0A		bbs 7,$6A,$00ee1a
	00EE10 A5 55		lda $55
	00EE12 29 44		and #$44'D'
	00EE14 4A		lsr a
	00EE15 4A		lsr a
	00EE16 F0 02		beq $00ee1a
	00EE18 C7 58		smb 4,$58
00EE1A	00EE1A 9F 61 03		bbs 1,$61,$00ee20
	00EE1D 20 AE E3		jsr $E3AE
00EE20	00EE20 5F 63 04		bbr 5,$63,$00ee27
	00EE23 B7 61		smb 3,$61
	00EE25 57 63		rmb 5,$63
00EE27	00EE27 27 64		rmb 2,$64
	00EE29 3F 63 1E		bbr 3,$63,$00ee4a
	00EE2C 37 59		rmb 3,$59
	00EE2E A9 68		lda #$68'h'
	00EE30 8D 6F 02		sta $026F
	00EE33 A9 09		lda #$09
	00EE35 8D 70 02		sta $0270
	00EE38 B7 59		smb 3,$59
	00EE3A 47 59		rmb 4,$59
	00EE3C A9 89		lda #$89
	00EE3E 8D 72 02		sta $0272
	00EE41 A9 09		lda #$09
	00EE43 8D 73 02		sta $0273
	00EE46 C7 59		smb 4,$59
	00EE48 37 63		rmb 3,$63
00EE4A	00EE4A 1F 61 08		bbr 1,$61,$00ee55
	00EE4D FF 65 05		bbs 7,$65,$00ee55
	00EE50 20 5D F4		jsr $F45D
	00EE53 A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
00EE55	00EE55 20 3C 4D		jsr $4D3C
	00EE58 60		rts

00EE59	00EE59 4F 61 0A		bbr 4,$61,$00ee66
	00EE5C 97 65		smb 1,$65
	00EE5E 27 57		rmb 2,$57
	00EE60 B2 48 AC		sti #$48'H',$AC
	00EE63 B7 57		smb 3,$57
	00EE65 60		rts

00EE66	00EE66 20 40 E2		jsr $E240
	00EE69 90 1C		bcc $00ee87
	00EE6B 20 20 FD		jsr $FD20
	00EE6E 20 2C FD		jsr $FD2C
	00EE71 E2 3C 01 01 14	bar $013C,$01,$00ee8a
	00EE76 48		pha
	00EE77 C2 01 3C 01	rba $01,$013C
	00EE7B 68		pla
	00EE7C 20 79 28		jsr $2879
	00EE7F 48		pha
	00EE80 D2 01 3C 01	sba $01,$013C
	00EE84 68		pla
	00EE85 80 06		bra $00ee8d

00EE87	00EE87 4C 3F E0		jmp $E03F{004E16}

00EE8A	00EE8A 20 79 28		jsr $2879
00EE8D	00EE8D 20 E1 F7		jsr $F7E1
	00EE90 A9 04		lda #$04
	00EE92 85 40		sta $40
	00EE94 20 1D 46		jsr $461D
	00EE97 20 2D FB		jsr $FB2D
	00EE9A 20 0B F5		jsr $F50B
	00EE9D A9 32		lda #$32'2'
	00EE9F 8D 18 02		sta $0218
	00EEA2 A9 00		lda #$00
	00EEA4 8D 19 02		sta $0219
	00EEA7 37 5E		rmb 3,$5E
00EEA9	00EEA9 BF 5E 0A		bbs 3,$5E,$00eeb6
	00EEAC E2 0F 06 80 F8	bar $060F,$80,$00eea9	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	00EEB1 E2 0F 06 20 F3	bar $060F,$20,$00eea9	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
00EEB6	00EEB6 20 7C 50		jsr $507C
	00EEB9 AD B0 03		lda $03B0
	00EEBC C9 08		cmp #$08
	00EEBE D0 0D		bne $00eecd
	00EEC0 E7 4A		smb 6,$4A
	00EEC2 20 EF 4F		jsr $4FEF
	00EEC5 57 3D		rmb 5,$3D		;Cx9	serial form register
	00EEC7 20 14 FE		jsr $FE14{out_crlf}
	00EECA A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
	00EECC 60		rts

00EECD	00EECD 20 81 EF		jsr $EF81
	00EED0 87 4A		smb 0,$4A
	00EED2 4C 86 51		jmp $5186

00EED5	00EED5 A7 4A		smb 2,$4A
	00EED7 20 7C 50		jsr $507C
	00EEDA 20 FD F4		jsr $F4FD
	00EEDD A5 4E		lda $4E
	00EEDF 29 0B		and #$0B
	00EEE1 C9 08		cmp #$08
	00EEE3 D0 09		bne $00eeee
	00EEE5 20 23 FD		jsr $FD23
	00EEE8 20 2F FD		jsr $FD2F
	00EEEB 4C FA 4E		jmp $4EFA

00EEEE	00EEEE 6F 4B 03		bbr 6,$4B,$00eef4
	00EEF1 20 23 FD		jsr $FD23
00EEF4	00EEF4 5F 4B 03		bbr 5,$4B,$00eefa
	00EEF7 20 2F FD		jsr $FD2F
00EEFA	00EEFA 2F 4B 05		bbr 2,$4B,$00ef02
	00EEFD 20 29 FD		jsr $FD29
	00EF00 E7 74		smb 6,$74
00EF02	00EF02 4C 20 51		jmp $5120

00EF05	00EF05 48		pha
	00EF06 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	00EF08 20 E0 F3		jsr $F3E0
	00EF0B 20 D7 FD		jsr $FDD7{scli}
	00EF0E 20 DF FD		jsr $FDDF
	00EF11 E0 04		cpx #$04
	00EF13 B0 0F		bcs $00ef24
	00EF15 20 9B F4		jsr $F49B
	00EF18 A9 0D		lda #$0D
	00EF1A 20 78 51		jsr $5178
	00EF1D 20 FF F8		jsr $F8FF
	00EF20 D0 69		bne $00ef8b
	00EF22 80 45		bra $00ef69

00EF24	00EF24 A9 10		lda #$10
	00EF26 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00EF29 A9 00		lda #$00
	00EF2B 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00EF2E A9 0F		lda #$0F
	00EF30 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00EF33 A9 AA		lda #$AA
	00EF35 20 9C FC		jsr $FC9C{meaddh_w}
	00EF38 A9 00		lda #$00
	00EF3A 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	00EF3D A9 01		lda #$01
	00EF3F 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	00EF42 A9 0F		lda #$0F
	00EF44 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00EF47 A9 AB		lda #$AB
	00EF49 20 9C FC		jsr $FC9C{meaddh_w}
	00EF4C 20 DF F4		jsr $F4DF
	00EF4F 20 D0 F4		jsr $F4D0
	00EF52 20 C0 F4		jsr $F4C0
	00EF55 A9 14		lda #$14
	00EF57 8D 18 02		sta $0218
	00EF5A A9 00		lda #$00
	00EF5C 8D 19 02		sta $0219
	00EF5F 37 5E		rmb 3,$5E
00EF61	00EF61 20 A5 F4		jsr $F4A5
	00EF64 D0 1D		bne $00ef83
	00EF66 3F 5E F8		bbr 3,$5E,$00ef61
00EF69	00EF69 20 E5 F3		jsr $F3E5
	00EF6C 68		pla
	00EF6D 20 CA F6		jsr $F6CA
	00EF70 20 D4 FD		jsr $FDD4{ssti}
	00EF73 20 D7 4F		jsr $4FD7
	00EF76 FF 65 02		bbs 7,$65,$00ef7b
	00EF79 A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
00EF7B	00EF7B A9 00		lda #$00
	00EF7D 8D B0 03		sta $03B0
	00EF80 4C 3F E0		jmp $E03F{004E16}

00EF83	00EF83 20 B1 F4		jsr $F4B1
	00EF86 A9 1E		lda #$1E
	00EF88 20 78 51		jsr $5178
00EF8B	00EF8B 20 E5 F3		jsr $F3E5
	00EF8E C2 40 08 06	rba $40,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	00EF92 A9 02		lda #$02
	00EF94 20 78 51		jsr $5178
	00EF97 D2 40 08 06	sba $40,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	00EF9B 20 D7 4F		jsr $4FD7
	00EF9E 20 7C 50		jsr $507C
	00EFA1 A5 4E		lda $4E
	00EFA3 29 0B		and #$0B
	00EFA5 C9 08		cmp #$08
	00EFA7 F0 03		beq $00efac
	00EFA9 6F 4B 03		bbr 6,$4B,$00efaf
00EFAC	00EFAC 20 23 FD		jsr $FD23
00EFAF	00EFAF 57 3D		rmb 5,$3D		;Cx9	serial form register
	00EFB1 67 3D		rmb 6,$3D		;Cx9	serial form register
	00EFB3 20 DA FD		jsr $FDDA
	00EFB6 20 14 FE		jsr $FE14{out_crlf}
	00EFB9 20 D4 FD		jsr $FDD4{ssti}
	00EFBC 20 43 F5		jsr $F543{rtson}
	00EFBF 68		pla
	00EFC0 C9 07		cmp #$07
	00EFC2 D0 0E		bne $00efd2
	00EFC4 D7 4A		smb 5,$4A
	00EFC6 20 EF 4F		jsr $4FEF
	00EFC9 7F 65 03		bbr 7,$65,$00efcf
	00EFCC 20 EB F3		jsr $F3EB
00EFCF	00EFCF A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
	00EFD1 60		rts

00EFD2	00EFD2 C7 4A		smb 4,$4A
	00EFD4 4C 86 51		jmp $5186

00EFD7	00EFD7 A9 02		lda #$02
	00EFD9 8D 18 02		sta $0218
	00EFDC A9 00		lda #$00
	00EFDE 8D 19 02		sta $0219
	00EFE1 37 5E		rmb 3,$5E
00EFE3	00EFE3 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	00EFE6 E2 0C 06 02 03	bar $060C,$02,$00efee	;DPi AADET/ACDET/CADET/CCDET/SDET
	00EFEB 3F 5E F5		bbr 3,$5E,$00efe3
00EFEE	00EFEE 60		rts

00EFEF	00EFEF B7 63		smb 3,$63
	00EFF1 A9 FF		lda #$FF
	00EFF3 8D 8E 03		sta $038E
	00EFF6 37 59		rmb 3,$59
	00EFF8 A9 BA		lda #$BA
	00EFFA 8D 6F 02		sta $026F
	00EFFD A9 E0		lda #$E0
	00EFFF 8D 70 02		sta $0270
	00F002 B7 59		smb 3,$59
	00F004 47 59		rmb 4,$59
	00F006 A9 BD		lda #$BD
	00F008 8D 72 02		sta $0272
	00F00B A9 E0		lda #$E0
	00F00D 8D 73 02		sta $0273
	00F010 C7 59		smb 4,$59
	00F012 A9 55		lda #$55'U'
	00F014 20 63 FA		jsr $FA63
	00F017 A9 02		lda #$02
	00F019 8D 2C 02		sta $022C
	00F01C A9 00		lda #$00
	00F01E 8D 2D 02		sta $022D
	00F021 57 5F		rmb 5,$5F
00F023	00F023 5F 5F FD		bbr 5,$5F,$00f023
	00F026 20 67 F4		jsr $F467
	00F029 20 5D F4		jsr $F45D
	00F02C A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
	00F02E 60		rts

00F02F	00F02F A9 55		lda #$55'U'
	00F031 20 63 FA		jsr $FA63
	00F034 4C 72 F4		jmp $F472

00F037	00F037 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	00F03A C9 55		cmp #$55'U'
	00F03C D0 0F		bne $00f04d
	00F03E A9 00		lda #$00
	00F040 8D 8E 03		sta $038E
	00F043 A9 B7		lda #$B7
	00F045 8D 72 02		sta $0272
	00F048 A9 E0		lda #$E0
	00F04A 8D 73 02		sta $0273
00F04D	00F04D 4C 67 F4		jmp $F467

00F050	00F050 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	00F053 49 55		eor #$55'U'
	00F055 F0 22		beq $00f079
	00F057 48		pha
	00F058 B7 5E		smb 3,$5E
	00F05A 37 58		rmb 3,$58
	00F05C A9 B1		lda #$B1
	00F05E 8D 5A 02		sta $025A
	00F061 A9 E0		lda #$E0
	00F063 8D 5B 02		sta $025B
	00F066 B7 58		smb 3,$58
	00F068 68		pla
	00F069 A0 08		ldy #$08
00F06B	00F06B 0A		asl a
	00F06C 90 08		bcc $00f076
	00F06E EE 8E 03		inc $038E
	00F071 D0 03		bne $00f076
	00F073 CE 8E 03		dec $038E
00F076	00F076 88		dey
	00F077 D0 F2		bne $00f06b
00F079	00F079 4C 67 F4		jmp $F467

00F07C	00F07C 20 3E FD		jsr $FD3E
	00F07F 20 FD E2		jsr $E2FD
	00F082 20 D7 4F		jsr $4FD7
	00F085 20 01 FE		jsr $FE01{in}
	00F088 20 43 F5		jsr $F543{rtson}
	00F08B 20 24 E3		jsr $E324
	00F08E 20 21 E3		jsr $E321
	00F091 47 58		rmb 4,$58
	00F093 BF 62 53		bbs 3,$62,$00f0e9
	00F096 9F 64 50		bbs 1,$64,$00f0e9
	00F099 AD 16 01		lda $0116
	00F09C F0 4B		beq $00f0e9
	00F09E 85 40		sta $40
	00F0A0 B2 00 41		sti #$00,$41
	00F0A3 85 42		sta $42
	00F0A5 B2 00 43		sti #$00,$43
	00F0A8 A9 02		lda #$02
	00F0AA F0 09		beq $00f0b5
00F0AC	00F0AC 06 40		asl $40
	00F0AE 26 41		rol $41
	00F0B0 38		sec
	00F0B1 E9 01		sbc #$01
	00F0B3 D0 F7		bne $00f0ac
00F0B5	00F0B5 18		clc
	00F0B6 A5 40		lda $40
	00F0B8 65 42		adc $42
	00F0BA 85 40		sta $40
	00F0BC A5 41		lda $41
	00F0BE 65 43		adc $43
	00F0C0 85 41		sta $41
	00F0C2 A9 01		lda #$01
	00F0C4 F0 09		beq $00f0cf
00F0C6	00F0C6 06 40		asl $40
	00F0C8 26 41		rol $41
	00F0CA 38		sec
	00F0CB E9 01		sbc #$01
	00F0CD D0 F7		bne $00f0c6
00F0CF	00F0CF A5 40		lda $40
	00F0D1 8D 18 02		sta $0218
	00F0D4 A5 41		lda $41
	00F0D6 8D 19 02		sta $0219
	00F0D9 37 5E		rmb 3,$5E
	00F0DB 37 58		rmb 3,$58
	00F0DD A9 B4		lda #$B4
	00F0DF 8D 5A 02		sta $025A
	00F0E2 A9 E0		lda #$E0
	00F0E4 8D 5B 02		sta $025B
	00F0E7 B7 58		smb 3,$58
00F0E9	00F0E9 60		rts

00F0EA	00F0EA 3F 5E 0B		bbr 3,$5E,$00f0f8
	00F0ED 67 3D		rmb 6,$3D		;Cx9	serial form register
	00F0EF 20 20 51		jsr $5120
	00F0F2 20 4F 4D		jsr $4D4F
	00F0F5 4C 42 E0		jmp $E042

00F0F8	00F0F8 60		rts

00F0F9	00F0F9 E7 62		smb 6,$62
	00F0FB 3F 5E 14		bbr 3,$5E,$00f112
	00F0FE A9 0A		lda #$0A
	00F100 8D 18 02		sta $0218
	00F103 A9 00		lda #$00
	00F105 8D 19 02		sta $0219
	00F108 37 5E		rmb 3,$5E
	00F10A 7F 01 03		bbr 7,$01,$00f110	;Cx9	port B (output only)
	00F10D 77 01		rmb 7,01		;Cx9	port B (output only)
	00F10F 60		rts

00F110	00F110 F7 01		smb 7,$01		;Cx9	port B (output only)
00F112	00F112 60		rts

00F113	00F113 67 62		rmb 6,$62
	00F115 20 41 FD		jsr $FD41
	00F118 37 58		rmb 3,$58
	00F11A 20 FA E2		jsr $E2FA
	00F11D B7 5E		smb 3,$5E
	00F11F 60		rts

00F120	00F120 3F 63 06		bbr 3,$63,$00f129
	00F123 AD 8E 03		lda $038E
	00F126 20 97 E2		jsr $E297
00F129	00F129 B2 00 A9		sti #$00,$A9
	00F12C 60		rts

00F12D	00F12D A5 AC		lda $AC
	00F12F C9 54		cmp #$54'T'
	00F131 F0 0A		beq $00f13d
	00F133 EF 62 04		bbs 6,$62,$00f13a
	00F136 A5 4A		lda $4A
	00F138 F0 03		beq $00f13d
00F13A	00F13A 4C 4F 4D		jmp $4D4F

00F13D	00F13D 60		rts

00F13E	00F13E CF 61 08		bbs 4,$61,$00f149
	00F141 A9 01		lda #$01
	00F143 8D B0 03		sta $03B0
	00F146 4C D4 4C		jmp $4CD4

00F149	00F149 9F 61 11		bbs 1,$61,$00f15d
	00F14C B7 5E		smb 3,$5E
	00F14E 37 58		rmb 3,$58
	00F150 A9 AE		lda #$AE
	00F152 8D 5A 02		sta $025A
	00F155 A9 E0		lda #$E0
	00F157 8D 5B 02		sta $025B
	00F15A B7 58		smb 3,$58
	00F15C 60		rts

00F15D	00F15D A9 06		lda #$06
	00F15F 8D B0 03		sta $03B0
	00F162 4C D4 4C		jmp $4CD4

00F165	00F165 20 FA E2		jsr $E2FA
	00F168 A9 05		lda #$05
	00F16A 20 78 51		jsr $5178
	00F16D 20 FD E2		jsr $E2FD
	00F170 A9 05		lda #$05
	00F172 20 78 51		jsr $5178
	00F175 37 58		rmb 3,$58
	00F177 60		rts

00F178	00F178 8D 18 02		sta $0218
	00F17B A9 00		lda #$00
	00F17D 8D 19 02		sta $0219
	00F180 37 5E		rmb 3,$5E
00F182	00F182 3F 5E FD		bbr 3,$5E,$00f182
	00F185 60		rts

00F186	00F186 B2 54 AC		sti #$54'T',$AC
	00F189 B7 57		smb 3,$57
	00F18B 60		rts

00F18C	00F18C EF 57 64		bbs 6,$57,$00f1f3
	00F18F 9F 64 41		bbs 1,$64,$00f1d3
	00F192 7F 02 06		bbr 7,$02,$00f19b	;Cx9	port C (bidirectional)
	00F195 5F 03 03		bbr 5,$03,$00f19b	;Cx9	port A direction (R/O)
	00F198 67 64		rmb 6,$64
	00F19A 60		rts

00F19B	00F19B EF 64 0F		bbs 6,$64,$00f1ad
	00F19E A9 0A		lda #$0A
	00F1A0 8D 06 02		sta $0206
	00F1A3 A9 00		lda #$00
	00F1A5 8D 07 02		sta $0207
	00F1A8 27 5D		rmb 2,$5D
	00F1AA E7 64		smb 6,$64
	00F1AC 60		rts

00F1AD	00F1AD 2F 5D 43		bbr 2,$5D,$00f1f3
	00F1B0 67 64		rmb 6,$64
	00F1B2 A5 4A		lda $4A
	00F1B4 F0 05		beq $00f1bb
	00F1B6 A7 64		smb 2,$64
	00F1B8 20 4F 4D		jsr $4D4F
00F1BB	00F1BB 97 64		smb 1,$64
	00F1BD 7F 02 0B		bbr 7,$02,$00f1cb	;Cx9	port C (bidirectional)
	00F1C0 20 81 EF		jsr $EF81
	00F1C3 A9 01		lda #$01
	00F1C5 8D B0 03		sta $03B0
	00F1C8 4C D4 4C		jmp $4CD4

00F1CB	00F1CB A9 06		lda #$06
	00F1CD 8D B0 03		sta $03B0
	00F1D0 4C D4 4C		jmp $4CD4

00F1D3	00F1D3 7F 02 1D		bbr 7,$02,$00f1f3	;Cx9	port C (bidirectional)
	00F1D6 5F 03 1A		bbr 5,$03,$00f1f3	;Cx9	port A direction (R/O)
	00F1D9 20 4F 4D		jsr $4D4F
	00F1DC 9F 61 14		bbs 1,$61,$00f1f3
	00F1DF B2 00 A9		sti #$00,$A9
	00F1E2 20 94 E2		jsr $E294
	00F1E5 6F 4B 05		bbr 6,$4B,$00f1ed
	00F1E8 20 23 FD		jsr $FD23
	00F1EB 80 03		bra $00f1f0

00F1ED	00F1ED 20 20 FD		jsr $FD20
00F1F0	00F1F0 4C B1 EE		jmp $EEB1

00F1F3	00F1F3 60		rts

00F1F4	00F1F4 0F 5B 03		bbr 0,$5B,$00f1fa
	00F1F7 20 80 02		jsr $0280
00F1FA	00F1FA 60		rts

00F1FB	00F1FB A9 1D		lda #$1D
	00F1FD 8D 81 02		sta $0281
	00F200 A9 52		lda #$52'R'
	00F202 8D 82 02		sta $0282
	00F205 AF 5E 14		bbs 2,$5E,$00f21c
	00F208 AD 16 02		lda $0216
	00F20B D0 0C		bne $00f219
	00F20D AD 17 02		lda $0217
	00F210 D0 04		bne $00f216
	00F212 A7 5E		smb 2,$5E
	00F214 80 06		bra $00f21c

00F216	00F216 CE 17 02		dec $0217
00F219	00F219 CE 16 02		dec $0216
00F21C	00F21C 60		rts

00F21D	00F21D A9 3F		lda #$3F'?'
	00F21F 8D 81 02		sta $0281
	00F222 A9 52		lda #$52'R'
	00F224 8D 82 02		sta $0282
	00F227 BF 5E 14		bbs 3,$5E,$00f23e
	00F22A AD 18 02		lda $0218
	00F22D D0 0C		bne $00f23b
	00F22F AD 19 02		lda $0219
	00F232 D0 04		bne $00f238
	00F234 B7 5E		smb 3,$5E
	00F236 80 06		bra $00f23e

00F238	00F238 CE 19 02		dec $0219
00F23B	00F23B CE 18 02		dec $0218
00F23E	00F23E 60		rts

00F23F	00F23F A9 61		lda #$61'a'
	00F241 8D 81 02		sta $0281
	00F244 A9 52		lda #$52'R'
	00F246 8D 82 02		sta $0282
	00F249 CF 5E 14		bbs 4,$5E,$00f260
	00F24C AD 1A 02		lda $021A
	00F24F D0 0C		bne $00f25d
	00F251 AD 1B 02		lda $021B
	00F254 D0 04		bne $00f25a
	00F256 C7 5E		smb 4,$5E
	00F258 80 06		bra $00f260

00F25A	00F25A CE 1B 02		dec $021B
00F25D	00F25D CE 1A 02		dec $021A
00F260	00F260 60		rts

00F261	00F261 A9 83		lda #$83
	00F263 8D 81 02		sta $0281
	00F266 A9 52		lda #$52'R'
	00F268 8D 82 02		sta $0282
	00F26B DF 5E 14		bbs 5,$5E,$00f282
	00F26E AD 1C 02		lda $021C
	00F271 D0 0C		bne $00f27f
	00F273 AD 1D 02		lda $021D
	00F276 D0 04		bne $00f27c
	00F278 D7 5E		smb 5,$5E
	00F27A 80 06		bra $00f282

00F27C	00F27C CE 1D 02		dec $021D
00F27F	00F27F CE 1C 02		dec $021C
00F282	00F282 60		rts

00F283	00F283 A9 A5		lda #$A5
	00F285 8D 81 02		sta $0281
	00F288 A9 52		lda #$52'R'
	00F28A 8D 82 02		sta $0282
	00F28D EF 5E 14		bbs 6,$5E,$00f2a4
	00F290 AD 1E 02		lda $021E
	00F293 D0 0C		bne $00f2a1
	00F295 AD 1F 02		lda $021F
	00F298 D0 04		bne $00f29e
	00F29A E7 5E		smb 6,$5E
	00F29C 80 06		bra $00f2a4

00F29E	00F29E CE 1F 02		dec $021F
00F2A1	00F2A1 CE 1E 02		dec $021E
00F2A4	00F2A4 60		rts

00F2A5	00F2A5 A9 C7		lda #$C7
	00F2A7 8D 81 02		sta $0281
	00F2AA A9 52		lda #$52'R'
	00F2AC 8D 82 02		sta $0282
	00F2AF FF 5E 14		bbs 7,$5E,$00f2c6
	00F2B2 AD 20 02		lda $0220
	00F2B5 D0 0C		bne $00f2c3
	00F2B7 AD 21 02		lda $0221
	00F2BA D0 04		bne $00f2c0
	00F2BC F7 5E		smb 7,$5E
	00F2BE 80 06		bra $00f2c6

00F2C0	00F2C0 CE 21 02		dec $0221
00F2C3	00F2C3 CE 20 02		dec $0220
00F2C6	00F2C6 60		rts

00F2C7	00F2C7 A9 DE		lda #$DE
	00F2C9 8D 81 02		sta $0281
	00F2CC A9 52		lda #$52'R'
	00F2CE 8D 82 02		sta $0282
	00F2D1 C7 6D		smb 4,$6D
	00F2D3 B7 6E		smb 3,$6E
	00F2D5 AD 96 9A		lda $9A96
	00F2D8 F0 03		beq $00f2dd
	00F2DA CE 96 9A		dec $9A96
00F2DD	00F2DD 60		rts

00F2DE	00F2DE A9 EF		lda #$EF
	00F2E0 8D 81 02		sta $0281
	00F2E3 A9 52		lda #$52'R'
	00F2E5 8D 82 02		sta $0282
	00F2E8 1F 5B 03		bbr 1,$5B,$00f2ee
	00F2EB 20 83 02		jsr $0283
00F2EE	00F2EE 60		rts

00F2EF	00F2EF A9 FA		lda #$FA
	00F2F1 8D 81 02		sta $0281
	00F2F4 A9 52		lda #$52'R'
	00F2F6 8D 82 02		sta $0282
	00F2F9 60		rts

00F2FA	00F2FA A9 93		lda #$93
	00F2FC 8D 81 02		sta $0281
	00F2FF A9 E0		lda #$E0
	00F301 8D 82 02		sta $0282
	00F304 EE D2 00		inc $00D2
	00F307 D0 08		bne $00f311
	00F309 EE D3 00		inc $00D3
	00F30C D0 03		bne $00f311
	00F30E EE D4 00		inc $00D4
00F311	00F311 60		rts

00F312	00F312 A9 50		lda #$50'P'
	00F314 8D 84 02		sta $0284
	00F317 A9 53		lda #$53'S'
	00F319 8D 85 02		sta $0285
	00F31C 8F 5F 14		bbs 0,$5F,$00f333
	00F31F AD 22 02		lda $0222
	00F322 D0 0C		bne $00f330
	00F324 AD 23 02		lda $0223
	00F327 D0 04		bne $00f32d
	00F329 87 5F		smb 0,$5F
	00F32B 80 06		bra $00f333

00F32D	00F32D CE 23 02		dec $0223
00F330	00F330 CE 22 02		dec $0222
00F333	00F333 D7 6D		smb 5,$6D
	00F335 9F 62 17		bbs 1,$62,$00f34f
	00F338 CF 60 14		bbs 4,$60,$00f34f
	00F33B AD 01 86		lda $8601
	00F33E D0 0C		bne $00f34c
	00F340 AD 02 86		lda $8602
	00F343 D0 04		bne $00f349
	00F345 C7 60		smb 4,$60
	00F347 80 06		bra $00f34f

00F349	00F349 CE 02 86		dec $8602
00F34C	00F34C CE 01 86		dec $8601
00F34F	00F34F 60		rts

00F350	00F350 A9 8C		lda #$8C
	00F352 8D 84 02		sta $0284
	00F355 A9 53		lda #$53'S'
	00F357 8D 85 02		sta $0285
	00F35A 9F 5F 14		bbs 1,$5F,$00f371
	00F35D AD 24 02		lda $0224
	00F360 D0 0C		bne $00f36e
	00F362 AD 25 02		lda $0225
	00F365 D0 04		bne $00f36b
	00F367 97 5F		smb 1,$5F
	00F369 80 06		bra $00f371

00F36B	00F36B CE 25 02		dec $0225
00F36E	00F36E CE 24 02		dec $0224
00F371	00F371 9F 62 17		bbs 1,$62,$00f38b
	00F374 DF 60 14		bbs 5,$60,$00f38b
	00F377 AD 03 86		lda $8603
	00F37A D0 0C		bne $00f388
	00F37C AD 04 86		lda $8604
	00F37F D0 04		bne $00f385
	00F381 D7 60		smb 5,$60
	00F383 80 06		bra $00f38b

00F385	00F385 CE 04 86		dec $8604
00F388	00F388 CE 03 86		dec $8603
00F38B	00F38B 60		rts

00F38C	00F38C A9 C8		lda #$C8
	00F38E 8D 84 02		sta $0284
	00F391 A9 53		lda #$53'S'
	00F393 8D 85 02		sta $0285
	00F396 AF 5F 14		bbs 2,$5F,$00f3ad
	00F399 AD 26 02		lda $0226
	00F39C D0 0C		bne $00f3aa
	00F39E AD 27 02		lda $0227
	00F3A1 D0 04		bne $00f3a7
	00F3A3 A7 5F		smb 2,$5F
	00F3A5 80 06		bra $00f3ad

00F3A7	00F3A7 CE 27 02		dec $0227
00F3AA	00F3AA CE 26 02		dec $0226
00F3AD	00F3AD 9F 62 17		bbs 1,$62,$00f3c7
	00F3B0 EF 60 14		bbs 6,$60,$00f3c7
	00F3B3 AD 05 86		lda $8605
	00F3B6 D0 0C		bne $00f3c4
	00F3B8 AD 06 86		lda $8606
	00F3BB D0 04		bne $00f3c1
	00F3BD E7 60		smb 6,$60
	00F3BF 80 06		bra $00f3c7

00F3C1	00F3C1 CE 06 86		dec $8606
00F3C4	00F3C4 CE 05 86		dec $8605
00F3C7	00F3C7 60		rts

00F3C8	00F3C8 A9 EA		lda #$EA
	00F3CA 8D 84 02		sta $0284
	00F3CD A9 53		lda #$53'S'
	00F3CF 8D 85 02		sta $0285
	00F3D2 BF 5F 14		bbs 3,$5F,$00f3e9
	00F3D5 AD 28 02		lda $0228
	00F3D8 D0 0C		bne $00f3e6
	00F3DA AD 29 02		lda $0229
	00F3DD D0 04		bne $00f3e3
	00F3DF B7 5F		smb 3,$5F
	00F3E1 80 06		bra $00f3e9

00F3E3	00F3E3 CE 29 02		dec $0229
00F3E6	00F3E6 CE 28 02		dec $0228
00F3E9	00F3E9 60		rts

00F3EA	00F3EA A9 0C		lda #$0C
	00F3EC 8D 84 02		sta $0284
	00F3EF A9 54		lda #$54'T'
	00F3F1 8D 85 02		sta $0285
	00F3F4 CF 5F 14		bbs 4,$5F,$00f40b
	00F3F7 AD 2A 02		lda $022A
	00F3FA D0 0C		bne $00f408
	00F3FC AD 2B 02		lda $022B
	00F3FF D0 04		bne $00f405
	00F401 C7 5F		smb 4,$5F
	00F403 80 06		bra $00f40b

00F405	00F405 CE 2B 02		dec $022B
00F408	00F408 CE 2A 02		dec $022A
00F40B	00F40B 60		rts

00F40C	00F40C A9 2E		lda #$2E'.'
	00F40E 8D 84 02		sta $0284
	00F411 A9 54		lda #$54'T'
	00F413 8D 85 02		sta $0285
	00F416 DF 5F 14		bbs 5,$5F,$00f42d
	00F419 AD 2C 02		lda $022C
	00F41C D0 0C		bne $00f42a
	00F41E AD 2D 02		lda $022D
	00F421 D0 04		bne $00f427
	00F423 D7 5F		smb 5,$5F
	00F425 80 06		bra $00f42d

00F427	00F427 CE 2D 02		dec $022D
00F42A	00F42A CE 2C 02		dec $022C
00F42D	00F42D 60		rts

00F42E	00F42E A9 50		lda #$50'P'
	00F430 8D 84 02		sta $0284
	00F433 A9 54		lda #$54'T'
	00F435 8D 85 02		sta $0285
	00F438 EF 5F 14		bbs 6,$5F,$00f44f
	00F43B AD 2E 02		lda $022E
	00F43E D0 0C		bne $00f44c
	00F440 AD 2F 02		lda $022F
	00F443 D0 04		bne $00f449
	00F445 E7 5F		smb 6,$5F
	00F447 80 06		bra $00f44f

00F449	00F449 CE 2F 02		dec $022F
00F44C	00F44C CE 2E 02		dec $022E
00F44F	00F44F 60		rts

00F450	00F450 A9 72		lda #$72'r'
	00F452 8D 84 02		sta $0284
	00F455 A9 54		lda #$54'T'
	00F457 8D 85 02		sta $0285
	00F45A FF 5F 14		bbs 7,$5F,$00f471
	00F45D AD 30 02		lda $0230
	00F460 D0 0C		bne $00f46e
	00F462 AD 31 02		lda $0231
	00F465 D0 04		bne $00f46b
	00F467 F7 5F		smb 7,$5F
	00F469 80 06		bra $00f471

00F46B	00F46B CE 31 02		dec $0231
00F46E	00F46E CE 30 02		dec $0230
00F471	00F471 60		rts

00F472	00F472 A9 7D		lda #$7D'}'
	00F474 8D 84 02		sta $0284
	00F477 A9 54		lda #$54'T'
	00F479 8D 85 02		sta $0285
	00F47C 60		rts

00F47D	00F47D A9 96		lda #$96
	00F47F 8D 84 02		sta $0284
	00F482 A9 E0		lda #$E0
	00F484 8D 85 02		sta $0285
	00F487 EE FA 9A		inc $9AFA
	00F48A D0 08		bne $00f494
	00F48C EE FB 9A		inc $9AFB
	00F48F D0 03		bne $00f494
	00F491 EE FC 9A		inc $9AFC
00F494	00F494 60		rts

00F495	00F495 AD 97 9A		lda $9A97
	00F498 0A		asl a
	00F499 AA		tax
	00F49A 7C 9D 54		jmp $549D,x

00F49D	00F49D A7 54		smb 2,$54
	00F49F D9 54 04		cmp $0454,y
	00F4A2 55 D5		eor $D5,x
	00F4A4 55 02		eor $02,x		;Cx9	port C (bidirectional)
	00F4A6 56 C2		lsr $C2,x
	00F4A8 01 78		ora ($78)
	00F4AA 01 CF		ora ($CF)
	00F4AC 07 06		rmb 0,$06		;Cx9	port C direction (W)
	00F4AE C2 20 68 01	rba $20,$0168
	00F4B2 80 04		bra $00f4b8

00F4B4	00F4B4 D2 20 68 01	sba $20,$0168
00F4B8	00F4B8 C2 08 68 01	rba $08,$0168
	00F4BC C2 20 78 01	rba $20,$0178
	00F4C0 C2 10 78 01	rba $10,$0178
	00F4C4 AD 98 9A		lda $9A98
	00F4C7 F0 06		beq $00f4cf
	00F4C9 A9 01		lda #$01
	00F4CB 8D 97 9A		sta $9A97
	00F4CE 60		rts

00F4CF	00F4CF 17 5C		rmb 1,$5C
	00F4D1 CF 61 04		bbs 4,$61,$00f4d8
	00F4D4 C2 02 07 06	rba $02,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
00F4D8	00F4D8 60		rts

00F4D9	00F4D9 20 D2 E3		jsr $E3D2
	00F4DC D0 15		bne $00f4f3
	00F4DE F2 31 01 20 20	bas $0131,$20,$00f503
	00F4E3 A9 02		lda #$02
	00F4E5 8D 97 9A		sta $9A97
	00F4E8 20 61 49		jsr $4961
	00F4EB 20 88 49		jsr $4988
	00F4EE D2 01 78 01	sba $01,$0178
	00F4F2 60		rts

00F4F3	00F4F3 20 2B 2C		jsr $2C2B
	00F4F6 90 0B		bcc $00f503
	00F4F8 20 C6 2B		jsr $2BC6
	00F4FB E2 68 01 20 03	bar $0168,$20,$00f503
	00F500 20 2E 56		jsr $562E
00F503	00F503 60		rts

00F504	00F504 20 D2 E3		jsr $E3D2
	00F507 D0 07		bne $00f510
	00F509 F2 31 01 20 1F	bas $0131,$20,$00f52d
	00F50E 80 1E		bra $00f52e

00F510	00F510 20 2B 2C		jsr $2C2B
	00F513 90 08		bcc $00f51d
	00F515 20 C6 2B		jsr $2BC6
	00F518 F2 68 01 20 75	bas $0168,$20,$00f592
00F51D	00F51D C2 10 05 06	rba $10,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	00F521 CF 61 04		bbs 4,$61,$00f528
	00F524 C2 02 07 06	rba $02,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
00F528	00F528 A9 00		lda #$00
	00F52A 8D 97 9A		sta $9A97
00F52D	00F52D 60		rts

00F52E	00F52E F2 78 01 10 20	bas $0178,$10,$00f553
	00F533 AD 0B 06		lda $060B		;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	00F536 29 E0		and #$E0
	00F538 4A		lsr a
	00F539 4A		lsr a
	00F53A 4A		lsr a
	00F53B 4A		lsr a
	00F53C 4A		lsr a
	00F53D 29 03		and #$03
	00F53F C9 02		cmp #$02
	00F541 D0 EA		bne $00f52d
	00F543 A9 1E		lda #$1E
	00F545 8D 0E 02		sta $020E
	00F548 A9 00		lda #$00
	00F54A 8D 0F 02		sta $020F
	00F54D 67 5D		rmb 6,$5D
	00F54F D2 10 78 01	sba $10,$0178
00F553	00F553 AD 0B 06		lda $060B		;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	00F556 29 E0		and #$E0
	00F558 4A		lsr a
	00F559 4A		lsr a
	00F55A 4A		lsr a
	00F55B 4A		lsr a
	00F55C 4A		lsr a
	00F55D 29 03		and #$03
	00F55F C9 02		cmp #$02
	00F561 D0 C5		bne $00f528
	00F563 6F 5D C7		bbr 6,$5D,$00f52d
	00F566 C2 10 78 01	rba $10,$0178
	00F56A 97 65		smb 1,$65
	00F56C 20 1C 1E		jsr $1E1C
	00F56F 4F 61 06		bbr 4,$61,$00f578
	00F572 AD 42 03		lda $0342
	00F575 20 DE E3		jsr $E3DE
00F578	00F578 20 B1 EE		jsr $EEB1
	00F57B 27 57		rmb 2,$57
	00F57D 20 2E 56		jsr $562E
	00F580 A9 03		lda #$03
	00F582 8D 97 9A		sta $9A97
	00F585 A9 14		lda #$14
	00F587 8D 1C 02		sta $021C
	00F58A A9 00		lda #$00
	00F58C 8D 1D 02		sta $021D
	00F58F 57 5E		rmb 5,$5E
00F591	00F591 60		rts

00F592	00F592 20 A1 55		jsr $55A1
	00F595 D0 1A		bne $00f5b1
	00F597 AD 12 06		lda $0612		;DPi configuration (CONF)
	00F59A C9 AA		cmp #$AA
	00F59C F0 F3		beq $00f591
	00F59E 4C 2E 56		jmp $562E

00F5A1	00F5A1 A9 01		lda #$01
	00F5A3 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00F5A6 A9 83		lda #$83
	00F5A8 20 9C FC		jsr $FC9C{meaddh_w}
	00F5AB AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00F5AE 29 02		and #$02
	00F5B0 60		rts

00F5B1	00F5B1 D2 10 05 06	sba $10,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	00F5B5 3F 5E 1C		bbr 3,$5E,$00f5d4
	00F5B8 A9 02		lda #$02
	00F5BA 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	00F5BD A9 83		lda #$83
	00F5BF 20 9C FC		jsr $FC9C{meaddh_w}
	00F5C2 20 36 56		jsr $5636
	00F5C5 A9 16		lda #$16
	00F5C7 8D 18 02		sta $0218
	00F5CA A9 00		lda #$00
	00F5CC 8D 19 02		sta $0219
	00F5CF 37 5E		rmb 3,$5E
	00F5D1 4C 77 FA		jmp $FA77{newc_w}

00F5D4	00F5D4 60		rts

00F5D5	00F5D5 5F 5E 2A		bbr 5,$5E,$00f602
00F5D8	00F5D8 D2 02 67 01	sba $02,$0167
	00F5DC C2 10 05 06	rba $10,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	00F5E0 A9 08		lda #$08
	00F5E2 48		pha
	00F5E3 A9 F0		lda #$F0
	00F5E5 25 9B		and $9B
	00F5E7 85 9B		sta $9B
	00F5E9 68		pla
	00F5EA 05 9B		ora $9B
	00F5EC 85 9B		sta $9B
	00F5EE E7 9B		smb 6,$9B
	00F5F0 87 57		smb 0,$57
	00F5F2 A9 D4		lda #$D4
	00F5F4 8D D7 00		sta $00D7
	00F5F7 A9 6B		lda #$6B'k'
	00F5F9 8D D8 00		sta $00D8
	00F5FC A9 00		lda #$00
	00F5FE 8D 97 9A		sta $9A97
	00F601 60		rts

00F602	00F602 E2 78 01 20 03	bar $0178,$20,$00f60a
	00F607 DF 5E CE		bbs 5,$5E,$00f5d8
00F60A	00F60A 20 A1 55		jsr $55A1
	00F60D F0 0F		beq $00f61e
	00F60F 20 85 55		jsr $5585
	00F612 D2 20 78 01	sba $20,$0178
	00F616 A9 04		lda #$04
	00F618 8D 97 9A		sta $9A97
	00F61B 4C B1 55		jmp $55B1

00F61E	00F61E AD 12 06		lda $0612		;DPi configuration (CONF)
	00F621 C9 AA		cmp #$AA
	00F623 F0 08		beq $00f62d
	00F625 20 2E 56		jsr $562E
	00F628 A9 03		lda #$03
	00F62A 8D 97 9A		sta $9A97
00F62D	00F62D 60		rts

00F62E	00F62E 20 6B E4		jsr $E46B
	00F631 D2 01 78 01	sba $01,$0178
	00F635 60		rts

00F636	00F636 08		php
	00F637 78		sei
	00F638 EF 10 1B		bbs 6,$10,$00f656	;Cx9 Timer A Mode
	00F63B 28		plp
	00F63C 3F 61 06		bbr 3,$61,$00f645
	00F63F A5 3B		lda $3B			;Cx9	serial line control register
	00F641 48		pha
	00F642 A5 3A		lda $3A			;Cx9	serial mode register
	00F644 48		pha
00F645	00F645 20 69 56		jsr $5669
	00F648 3F 61 1C		bbr 3,$61,$00f667
	00F64B 20 1E FE		jsr $FE1E
	00F64E 68		pla
	00F64F 85 3A		sta $3A			;Cx9	serial mode register
	00F651 68		pla
	00F652 85 3B		sta $3B			;Cx9	serial line control register
	00F654 80 11		bra $00f667

00F656	00F656 67 10		rmb 6,$10		;Cx9 Timer A Mode
	00F658 57 3D		rmb 5,$3D		;Cx9	serial form register
	00F65A 28		plp
	00F65B AD 5B 04		lda $045B
	00F65E 20 6D FD		jsr $FD6D
	00F661 20 69 56		jsr $5669
	00F664 20 B1 EE		jsr $EEB1
00F667	00F667 18		clc
	00F668 60		rts

00F669	00F669 20 14 FE		jsr $FE14{out_crlf}
	00F66C A9 2D		lda #$2D'-'
	00F66E 20 05 FE		jsr $FE05{out}
	00F671 A9 41		lda #$41'A'
	00F673 20 05 FE		jsr $FE05{out}
	00F676 A9 38		lda #$38'8'
	00F678 20 05 FE		jsr $FE05{out}
	00F67B A9 43		lda #$43'C'
	00F67D 20 05 FE		jsr $FE05{out}
	00F680 A9 3D		lda #$3D'='
	00F682 20 05 FE		jsr $FE05{out}
	00F685 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	00F688 29 E0		and #$E0
	00F68A 09 01		ora #$01
	00F68C 20 BB E2		jsr $E2BB
	00F68F 4C 14 FE		jmp $FE14{out_crlf}

00F692	00F692 00		brk
	00F693 00		brk
	00F694 00		brk
	00F695 00		brk
	00F696 00		brk
	00F697 00		brk
	00F698 00		brk
	00F699 00		brk
	00F69A 00		brk
	00F69B 00		brk
	00F69C 00		brk
	00F69D 00		brk
	00F69E 00		brk
	00F69F 00		brk
	00F6A0 00		brk
	00F6A1 00		brk
	00F6A2 00		brk
	00F6A3 00		brk
	00F6A4 00		brk
	00F6A5 00		brk
	00F6A6 00		brk
	00F6A7 00		brk
	00F6A8 00		brk
	00F6A9 00		brk
	00F6AA 00		brk
	00F6AB 00		brk
	00F6AC 00		brk
	00F6AD 00		brk
	00F6AE 00		brk
	00F6AF 00		brk
	00F6B0 00		brk
	00F6B1 00		brk
	00F6B2 00		brk
	00F6B3 00		brk
	00F6B4 00		brk
	00F6B5 00		brk
	00F6B6 00		brk
	00F6B7 00		brk
	00F6B8 00		brk
	00F6B9 00		brk
	00F6BA 00		brk
	00F6BB 00		brk
	00F6BC 00		brk
	00F6BD 00		brk
	00F6BE 00		brk
	00F6BF 00		brk
	00F6C0 00		brk
	00F6C1 00		brk
	00F6C2 00		brk
	00F6C3 00		brk
	00F6C4 00		brk
	00F6C5 00		brk
	00F6C6 00		brk
	00F6C7 00		brk
	00F6C8 00		brk
	00F6C9 00		brk
	00F6CA 00		brk
	00F6CB 00		brk
	00F6CC 00		brk
	00F6CD 00		brk
	00F6CE 00		brk
	00F6CF 00		brk
	00F6D0 00		brk
	00F6D1 00		brk
	00F6D2 00		brk
	00F6D3 00		brk
	00F6D4 00		brk
	00F6D5 00		brk
	00F6D6 00		brk
	00F6D7 00		brk
	00F6D8 00		brk
	00F6D9 00		brk
	00F6DA 00		brk
	00F6DB 00		brk
	00F6DC 00		brk
	00F6DD 00		brk
	00F6DE 00		brk
	00F6DF 00		brk
	00F6E0 00		brk
	00F6E1 00		brk
	00F6E2 00		brk
	00F6E3 00		brk
	00F6E4 00		brk
	00F6E5 00		brk
	00F6E6 00		brk
	00F6E7 00		brk
	00F6E8 00		brk
	00F6E9 00		brk
	00F6EA 00		brk
	00F6EB 00		brk
	00F6EC 00		brk
	00F6ED 00		brk
	00F6EE 00		brk
	00F6EF 00		brk
	00F6F0 00		brk
	00F6F1 00		brk
	00F6F2 00		brk
	00F6F3 00		brk
	00F6F4 00		brk
	00F6F5 00		brk
	00F6F6 00		brk
	00F6F7 00		brk
	00F6F8 00		brk
	00F6F9 00		brk
	00F6FA 00		brk
	00F6FB 00		brk
	00F6FC 00		brk
	00F6FD 00		brk
	00F6FE 00		brk
	00F6FF 00		brk
	00F700 00		brk
	00F701 00		brk
	00F702 00		brk
	00F703 00		brk
	00F704 00		brk
	00F705 00		brk
	00F706 00		brk
	00F707 00		brk
	00F708 00		brk
	00F709 00		brk
	00F70A 00		brk
	00F70B 00		brk
	00F70C 00		brk
	00F70D 00		brk
	00F70E 00		brk
	00F70F 00		brk
	00F710 00		brk
	00F711 00		brk
	00F712 00		brk
	00F713 00		brk
	00F714 00		brk
	00F715 00		brk
	00F716 00		brk
	00F717 00		brk
	00F718 00		brk
	00F719 00		brk
	00F71A 00		brk
	00F71B 00		brk
	00F71C 00		brk
	00F71D 00		brk
	00F71E 00		brk
	00F71F 00		brk
	00F720 00		brk
	00F721 00		brk
	00F722 00		brk
	00F723 00		brk
	00F724 00		brk
	00F725 00		brk
	00F726 00		brk
	00F727 00		brk
	00F728 00		brk
	00F729 00		brk
	00F72A 00		brk
	00F72B 00		brk
	00F72C 00		brk
	00F72D 00		brk
	00F72E 00		brk
	00F72F 00		brk
	00F730 00		brk
	00F731 00		brk
	00F732 00		brk
	00F733 00		brk
	00F734 00		brk
	00F735 00		brk
	00F736 00		brk
	00F737 00		brk
	00F738 00		brk
	00F739 00		brk
	00F73A 00		brk
	00F73B 00		brk
	00F73C 00		brk
	00F73D 00		brk
	00F73E 00		brk
	00F73F 00		brk
	00F740 00		brk
	00F741 00		brk
	00F742 00		brk
	00F743 00		brk
	00F744 00		brk
	00F745 00		brk
	00F746 00		brk
	00F747 00		brk
	00F748 00		brk
	00F749 00		brk
	00F74A 00		brk
	00F74B 00		brk
	00F74C 00		brk
	00F74D 00		brk
	00F74E 00		brk
	00F74F 00		brk
	00F750 00		brk
	00F751 00		brk
	00F752 00		brk
	00F753 00		brk
	00F754 00		brk
	00F755 00		brk
	00F756 00		brk
	00F757 00		brk
	00F758 00		brk
	00F759 00		brk
	00F75A 00		brk
	00F75B 00		brk
	00F75C 00		brk
	00F75D 00		brk
	00F75E 00		brk
	00F75F 00		brk
	00F760 00		brk
	00F761 00		brk
	00F762 00		brk
	00F763 00		brk
	00F764 00		brk
	00F765 00		brk
	00F766 00		brk
	00F767 00		brk
	00F768 00		brk
	00F769 00		brk
	00F76A 00		brk
	00F76B 00		brk
	00F76C 00		brk
	00F76D 00		brk
	00F76E 00		brk
	00F76F 00		brk
	00F770 00		brk
	00F771 00		brk
	00F772 00		brk
	00F773 00		brk
	00F774 00		brk
	00F775 00		brk
	00F776 00		brk
	00F777 00		brk
	00F778 00		brk
	00F779 00		brk
	00F77A 00		brk
	00F77B 00		brk
	00F77C 00		brk
	00F77D 00		brk
	00F77E 00		brk
	00F77F 00		brk
	00F780 00		brk
	00F781 00		brk
	00F782 00		brk
	00F783 00		brk
	00F784 00		brk
	00F785 00		brk
	00F786 00		brk
	00F787 00		brk
	00F788 00		brk
	00F789 00		brk
	00F78A 00		brk
	00F78B 00		brk
	00F78C 00		brk
	00F78D 00		brk
	00F78E 00		brk
	00F78F 00		brk
	00F790 00		brk
	00F791 00		brk
	00F792 00		brk
	00F793 00		brk
	00F794 00		brk
	00F795 00		brk
	00F796 00		brk
	00F797 00		brk
	00F798 00		brk
	00F799 00		brk
	00F79A 00		brk
	00F79B 00		brk
	00F79C 00		brk
	00F79D 00		brk
	00F79E 00		brk
	00F79F 00		brk
	00F7A0 00		brk
	00F7A1 00		brk
	00F7A2 00		brk
	00F7A3 00		brk
	00F7A4 00		brk
	00F7A5 00		brk
	00F7A6 00		brk
	00F7A7 00		brk
	00F7A8 00		brk
	00F7A9 00		brk
	00F7AA 00		brk
	00F7AB 00		brk
	00F7AC 00		brk
	00F7AD 00		brk
	00F7AE 00		brk
	00F7AF 00		brk
	00F7B0 00		brk
	00F7B1 00		brk
	00F7B2 00		brk
	00F7B3 00		brk
	00F7B4 00		brk
	00F7B5 00		brk
	00F7B6 00		brk
	00F7B7 00		brk
	00F7B8 00		brk
	00F7B9 00		brk
	00F7BA 00		brk
	00F7BB 00		brk
	00F7BC 00		brk
	00F7BD 00		brk
	00F7BE 00		brk
	00F7BF 00		brk
	00F7C0 00		brk
	00F7C1 00		brk
	00F7C2 00		brk
	00F7C3 00		brk
	00F7C4 00		brk
	00F7C5 00		brk
	00F7C6 00		brk
	00F7C7 00		brk
	00F7C8 00		brk
	00F7C9 00		brk
	00F7CA 00		brk
	00F7CB 00		brk
	00F7CC 00		brk
	00F7CD 00		brk
	00F7CE 00		brk
	00F7CF 00		brk
	00F7D0 00		brk
	00F7D1 00		brk
	00F7D2 00		brk
	00F7D3 00		brk
	00F7D4 00		brk
	00F7D5 00		brk
	00F7D6 00		brk
	00F7D7 00		brk
	00F7D8 00		brk
	00F7D9 00		brk
	00F7DA 00		brk
	00F7DB 00		brk
	00F7DC 00		brk
	00F7DD 00		brk
	00F7DE 00		brk
	00F7DF 00		brk
	00F7E0 00		brk
	00F7E1 00		brk
	00F7E2 00		brk
	00F7E3 00		brk
	00F7E4 00		brk
	00F7E5 00		brk
	00F7E6 00		brk
	00F7E7 00		brk
	00F7E8 00		brk
	00F7E9 00		brk
	00F7EA 00		brk
	00F7EB 00		brk
	00F7EC 00		brk
	00F7ED 00		brk
	00F7EE 00		brk
	00F7EF 00		brk
	00F7F0 00		brk
	00F7F1 00		brk
	00F7F2 00		brk
	00F7F3 00		brk
	00F7F4 00		brk
	00F7F5 00		brk
	00F7F6 00		brk
	00F7F7 00		brk
	00F7F8 00		brk
	00F7F9 00		brk
	00F7FA 00		brk
	00F7FB 00		brk
	00F7FC 00		brk
	00F7FD 00		brk
	00F7FE 00		brk
	00F7FF 00		brk
	00F800 00		brk
	00F801 00		brk
	00F802 00		brk
	00F803 00		brk
	00F804 00		brk
	00F805 00		brk
	00F806 00		brk
	00F807 00		brk
	00F808 00		brk
	00F809 00		brk
	00F80A 00		brk
	00F80B 00		brk
	00F80C 00		brk
	00F80D 00		brk
	00F80E 00		brk
	00F80F 00		brk
	00F810 00		brk
	00F811 00		brk
	00F812 00		brk
	00F813 00		brk
	00F814 00		brk
	00F815 00		brk
	00F816 00		brk
	00F817 00		brk
	00F818 00		brk
	00F819 00		brk
	00F81A 00		brk
	00F81B 00		brk
	00F81C 00		brk
	00F81D 00		brk
	00F81E 00		brk
	00F81F 00		brk
	00F820 00		brk
	00F821 00		brk
	00F822 00		brk
	00F823 00		brk
	00F824 00		brk
	00F825 00		brk
	00F826 00		brk
	00F827 00		brk
	00F828 00		brk
	00F829 00		brk
	00F82A 00		brk
	00F82B 00		brk
	00F82C 00		brk
	00F82D 00		brk
	00F82E 00		brk
	00F82F 00		brk
	00F830 00		brk
	00F831 00		brk
	00F832 00		brk
	00F833 00		brk
	00F834 00		brk
	00F835 00		brk
	00F836 00		brk
	00F837 00		brk
	00F838 00		brk
	00F839 00		brk
	00F83A 00		brk
	00F83B 00		brk
	00F83C 00		brk
	00F83D 00		brk
	00F83E 00		brk
	00F83F 00		brk
	00F840 00		brk
	00F841 00		brk
	00F842 00		brk
	00F843 00		brk
	00F844 00		brk
	00F845 00		brk
	00F846 00		brk
	00F847 00		brk
	00F848 00		brk
	00F849 00		brk
	00F84A 00		brk
	00F84B 00		brk
	00F84C 00		brk
	00F84D 00		brk
	00F84E 00		brk
	00F84F 00		brk
	00F850 00		brk
	00F851 00		brk
	00F852 00		brk
	00F853 00		brk
	00F854 00		brk
	00F855 00		brk
	00F856 00		brk
	00F857 00		brk
	00F858 00		brk
	00F859 00		brk
	00F85A 00		brk
	00F85B 00		brk
	00F85C 00		brk
	00F85D 00		brk
	00F85E 00		brk
	00F85F 00		brk
	00F860 00		brk
	00F861 00		brk
	00F862 00		brk
	00F863 00		brk
	00F864 00		brk
	00F865 00		brk
	00F866 00		brk
	00F867 00		brk
	00F868 00		brk
	00F869 00		brk
	00F86A 00		brk
	00F86B 00		brk
	00F86C 00		brk
	00F86D 00		brk
	00F86E 00		brk
	00F86F 00		brk
	00F870 00		brk
	00F871 00		brk
	00F872 00		brk
	00F873 00		brk
	00F874 00		brk
	00F875 00		brk
	00F876 00		brk
	00F877 00		brk
	00F878 00		brk
	00F879 00		brk
	00F87A 00		brk
	00F87B 00		brk
	00F87C 00		brk
	00F87D 00		brk
	00F87E 00		brk
	00F87F 00		brk
	00F880 00		brk
	00F881 00		brk
	00F882 00		brk
	00F883 00		brk
	00F884 00		brk
	00F885 00		brk
	00F886 00		brk
	00F887 00		brk
	00F888 00		brk
	00F889 00		brk
	00F88A 00		brk
	00F88B 00		brk
	00F88C 00		brk
	00F88D 00		brk
	00F88E 00		brk
	00F88F 00		brk
	00F890 00		brk
	00F891 00		brk
	00F892 00		brk
	00F893 00		brk
	00F894 00		brk
	00F895 00		brk
	00F896 00		brk
	00F897 00		brk
	00F898 00		brk
	00F899 00		brk
	00F89A 00		brk
	00F89B 00		brk
	00F89C 00		brk
	00F89D 00		brk
	00F89E 00		brk
	00F89F 00		brk
	00F8A0 00		brk
	00F8A1 00		brk
	00F8A2 00		brk
	00F8A3 00		brk
	00F8A4 00		brk
	00F8A5 00		brk
	00F8A6 00		brk
	00F8A7 00		brk
	00F8A8 00		brk
	00F8A9 00		brk
	00F8AA 00		brk
	00F8AB 00		brk
	00F8AC 00		brk
	00F8AD 00		brk
	00F8AE 00		brk
	00F8AF 00		brk
	00F8B0 00		brk
	00F8B1 00		brk
	00F8B2 00		brk
	00F8B3 00		brk
	00F8B4 00		brk
	00F8B5 00		brk
	00F8B6 00		brk
	00F8B7 00		brk
	00F8B8 00		brk
	00F8B9 00		brk
	00F8BA 00		brk
	00F8BB 00		brk
	00F8BC 00		brk
	00F8BD 00		brk
	00F8BE 00		brk
	00F8BF 00		brk
	00F8C0 00		brk
	00F8C1 00		brk
	00F8C2 00		brk
	00F8C3 00		brk
	00F8C4 00		brk
	00F8C5 00		brk
	00F8C6 00		brk
	00F8C7 00		brk
	00F8C8 00		brk
	00F8C9 00		brk
	00F8CA 00		brk
	00F8CB 00		brk
	00F8CC 00		brk
	00F8CD 00		brk
	00F8CE 00		brk
	00F8CF 00		brk
	00F8D0 00		brk
	00F8D1 00		brk
	00F8D2 00		brk
	00F8D3 00		brk
	00F8D4 00		brk
	00F8D5 00		brk
	00F8D6 00		brk
	00F8D7 00		brk
	00F8D8 00		brk
	00F8D9 00		brk
	00F8DA 00		brk
	00F8DB 00		brk
	00F8DC 00		brk
	00F8DD 00		brk
	00F8DE 00		brk
	00F8DF 00		brk
	00F8E0 00		brk
	00F8E1 00		brk
	00F8E2 00		brk
	00F8E3 00		brk
	00F8E4 00		brk
	00F8E5 00		brk
	00F8E6 00		brk
	00F8E7 00		brk
	00F8E8 00		brk
	00F8E9 00		brk
	00F8EA 00		brk
	00F8EB 00		brk
	00F8EC 00		brk
	00F8ED 00		brk
	00F8EE 00		brk
	00F8EF 00		brk
	00F8F0 00		brk
	00F8F1 00		brk
	00F8F2 00		brk
	00F8F3 00		brk
	00F8F4 00		brk
	00F8F5 00		brk
	00F8F6 00		brk
	00F8F7 00		brk
	00F8F8 00		brk
	00F8F9 00		brk
	00F8FA 00		brk
	00F8FB 00		brk
	00F8FC 00		brk
	00F8FD 00		brk
	00F8FE 00		brk
	00F8FF 00		brk
	00F900 00		brk
	00F901 00		brk
	00F902 00		brk
	00F903 00		brk
	00F904 00		brk
	00F905 00		brk
	00F906 00		brk
	00F907 00		brk
	00F908 00		brk
	00F909 00		brk
	00F90A 00		brk
	00F90B 00		brk
	00F90C 00		brk
	00F90D 00		brk
	00F90E 00		brk
	00F90F 00		brk
	00F910 00		brk
	00F911 00		brk
	00F912 00		brk
	00F913 00		brk
	00F914 00		brk
	00F915 00		brk
	00F916 00		brk
	00F917 00		brk
	00F918 00		brk
	00F919 00		brk
	00F91A 00		brk
	00F91B 00		brk
	00F91C 00		brk
	00F91D 00		brk
	00F91E 00		brk
	00F91F 00		brk
	00F920 00		brk
	00F921 00		brk
	00F922 00		brk
	00F923 00		brk
	00F924 00		brk
	00F925 00		brk
	00F926 00		brk
	00F927 00		brk
	00F928 00		brk
	00F929 00		brk
	00F92A 00		brk
	00F92B 00		brk
	00F92C 00		brk
	00F92D 00		brk
	00F92E 00		brk
	00F92F 00		brk
	00F930 00		brk
	00F931 00		brk
	00F932 00		brk
	00F933 00		brk
	00F934 00		brk
	00F935 00		brk
	00F936 00		brk
	00F937 00		brk
	00F938 00		brk
	00F939 00		brk
	00F93A 00		brk
	00F93B 00		brk
	00F93C 00		brk
	00F93D 00		brk
	00F93E 00		brk
	00F93F 00		brk
	00F940 00		brk
	00F941 00		brk
	00F942 00		brk
	00F943 00		brk
	00F944 00		brk
	00F945 00		brk
	00F946 00		brk
	00F947 00		brk
	00F948 00		brk
	00F949 00		brk
	00F94A 00		brk
	00F94B 00		brk
	00F94C 00		brk
	00F94D 00		brk
	00F94E 00		brk
	00F94F 00		brk
	00F950 00		brk
	00F951 00		brk
	00F952 00		brk
	00F953 00		brk
	00F954 00		brk
	00F955 00		brk
	00F956 00		brk
	00F957 00		brk
	00F958 00		brk
	00F959 00		brk
	00F95A 00		brk
	00F95B 00		brk
	00F95C 00		brk
	00F95D 00		brk
	00F95E 00		brk
	00F95F 00		brk
	00F960 00		brk
	00F961 00		brk
	00F962 00		brk
	00F963 00		brk
	00F964 00		brk
	00F965 00		brk
	00F966 00		brk
	00F967 00		brk
	00F968 00		brk
	00F969 00		brk
	00F96A 00		brk
	00F96B 00		brk
	00F96C 00		brk
	00F96D 00		brk
	00F96E 00		brk
	00F96F 00		brk
	00F970 00		brk
	00F971 00		brk
	00F972 00		brk
	00F973 00		brk
	00F974 00		brk
	00F975 00		brk
	00F976 00		brk
	00F977 00		brk
	00F978 00		brk
	00F979 00		brk
	00F97A 00		brk
	00F97B 00		brk
	00F97C 00		brk
	00F97D 00		brk
	00F97E 00		brk
	00F97F 00		brk
	00F980 00		brk
	00F981 00		brk
	00F982 00		brk
	00F983 00		brk
	00F984 00		brk
	00F985 00		brk
	00F986 00		brk
	00F987 00		brk
	00F988 00		brk
	00F989 00		brk
	00F98A 00		brk
	00F98B 00		brk
	00F98C 00		brk
	00F98D 00		brk
	00F98E 00		brk
	00F98F 00		brk
	00F990 00		brk
	00F991 00		brk
	00F992 00		brk
	00F993 00		brk
	00F994 00		brk
	00F995 00		brk
	00F996 00		brk
	00F997 00		brk
	00F998 00		brk
	00F999 00		brk
	00F99A 00		brk
	00F99B 00		brk
	00F99C 00		brk
	00F99D 00		brk
	00F99E 00		brk
	00F99F 00		brk
	00F9A0 00		brk
	00F9A1 00		brk
	00F9A2 00		brk
	00F9A3 00		brk
	00F9A4 00		brk
	00F9A5 00		brk
	00F9A6 00		brk
	00F9A7 00		brk
	00F9A8 00		brk
	00F9A9 00		brk
	00F9AA 00		brk
	00F9AB 00		brk
	00F9AC 00		brk
	00F9AD 00		brk
	00F9AE 00		brk
	00F9AF 00		brk
	00F9B0 00		brk
	00F9B1 00		brk
	00F9B2 00		brk
	00F9B3 00		brk
	00F9B4 00		brk
	00F9B5 00		brk
	00F9B6 00		brk
	00F9B7 00		brk
	00F9B8 00		brk
	00F9B9 00		brk
	00F9BA 00		brk
	00F9BB 00		brk
	00F9BC 00		brk
	00F9BD 00		brk
	00F9BE 00		brk
	00F9BF 00		brk
	00F9C0 00		brk
	00F9C1 00		brk
	00F9C2 00		brk
	00F9C3 00		brk
	00F9C4 00		brk
	00F9C5 00		brk
	00F9C6 00		brk
	00F9C7 00		brk
	00F9C8 00		brk
	00F9C9 00		brk
	00F9CA 00		brk
	00F9CB 00		brk
	00F9CC 00		brk
	00F9CD 00		brk
	00F9CE 00		brk
	00F9CF 00		brk
	00F9D0 00		brk
	00F9D1 00		brk
	00F9D2 00		brk
	00F9D3 00		brk
	00F9D4 00		brk
	00F9D5 00		brk
	00F9D6 00		brk
	00F9D7 00		brk
	00F9D8 00		brk
	00F9D9 00		brk
	00F9DA 00		brk
	00F9DB 00		brk
	00F9DC 00		brk
	00F9DD 00		brk
	00F9DE 00		brk
	00F9DF 00		brk
	00F9E0 00		brk
	00F9E1 00		brk
	00F9E2 00		brk
	00F9E3 00		brk
	00F9E4 00		brk
	00F9E5 00		brk
	00F9E6 00		brk
	00F9E7 00		brk
	00F9E8 00		brk
	00F9E9 00		brk
	00F9EA 00		brk
	00F9EB 00		brk
	00F9EC 00		brk
	00F9ED 00		brk
	00F9EE 00		brk
	00F9EF 00		brk
	00F9F0 00		brk
	00F9F1 00		brk
	00F9F2 00		brk
	00F9F3 00		brk
	00F9F4 00		brk
	00F9F5 00		brk
	00F9F6 00		brk
	00F9F7 00		brk
	00F9F8 00		brk
	00F9F9 00		brk
	00F9FA 00		brk
	00F9FB 00		brk
	00F9FC 00		brk
	00F9FD 00		brk
	00F9FE 00		brk
	00F9FF 00		brk
	00FA00 00		brk
	00FA01 00		brk
	00FA02 00		brk
	00FA03 00		brk
	00FA04 00		brk
	00FA05 00		brk
	00FA06 00		brk
	00FA07 00		brk
	00FA08 00		brk
	00FA09 00		brk
	00FA0A 00		brk
	00FA0B 00		brk
	00FA0C 00		brk
	00FA0D 00		brk
	00FA0E 00		brk
	00FA0F 00		brk
	00FA10 00		brk
	00FA11 00		brk
	00FA12 00		brk
	00FA13 00		brk
	00FA14 00		brk
	00FA15 00		brk
	00FA16 00		brk
	00FA17 00		brk
	00FA18 00		brk
	00FA19 00		brk
	00FA1A 00		brk
	00FA1B 00		brk
	00FA1C 00		brk
	00FA1D 00		brk
	00FA1E 00		brk
	00FA1F 00		brk
	00FA20 00		brk
	00FA21 00		brk
	00FA22 00		brk
	00FA23 00		brk
	00FA24 00		brk
	00FA25 00		brk
	00FA26 00		brk
	00FA27 00		brk
	00FA28 00		brk
	00FA29 00		brk
	00FA2A 00		brk
	00FA2B 00		brk
	00FA2C 00		brk
	00FA2D 00		brk
	00FA2E 00		brk
	00FA2F 00		brk
	00FA30 00		brk
	00FA31 00		brk
	00FA32 00		brk
	00FA33 00		brk
	00FA34 00		brk
	00FA35 00		brk
	00FA36 00		brk
	00FA37 00		brk
	00FA38 00		brk
	00FA39 00		brk
	00FA3A 00		brk
	00FA3B 00		brk
	00FA3C 00		brk
	00FA3D 00		brk
	00FA3E 00		brk
	00FA3F 00		brk
	00FA40 00		brk
	00FA41 00		brk
	00FA42 00		brk
	00FA43 00		brk
	00FA44 00		brk
	00FA45 00		brk
	00FA46 00		brk
	00FA47 00		brk
	00FA48 00		brk
	00FA49 00		brk
	00FA4A 00		brk
	00FA4B 00		brk
	00FA4C 00		brk
	00FA4D 00		brk
	00FA4E 00		brk
	00FA4F 00		brk
	00FA50 00		brk
	00FA51 00		brk
	00FA52 00		brk
	00FA53 00		brk
	00FA54 00		brk
	00FA55 00		brk
	00FA56 00		brk
	00FA57 00		brk
	00FA58 00		brk
	00FA59 00		brk
	00FA5A 00		brk
	00FA5B 00		brk
	00FA5C 00		brk
	00FA5D 00		brk
	00FA5E 00		brk
	00FA5F 00		brk
	00FA60 00		brk
	00FA61 00		brk
	00FA62 00		brk
	00FA63 00		brk
	00FA64 00		brk
	00FA65 00		brk
	00FA66 00		brk
	00FA67 00		brk
	00FA68 00		brk
	00FA69 00		brk
	00FA6A 00		brk
	00FA6B 00		brk
	00FA6C 00		brk
	00FA6D 00		brk
	00FA6E 00		brk
	00FA6F 00		brk
	00FA70 00		brk
	00FA71 00		brk
	00FA72 00		brk
	00FA73 00		brk
	00FA74 00		brk
	00FA75 00		brk
	00FA76 00		brk
	00FA77 00		brk
	00FA78 00		brk
	00FA79 00		brk
	00FA7A 00		brk
	00FA7B 00		brk
	00FA7C 00		brk
	00FA7D 00		brk
	00FA7E 00		brk
	00FA7F 00		brk
	00FA80 00		brk
	00FA81 00		brk
	00FA82 00		brk
	00FA83 00		brk
	00FA84 00		brk
	00FA85 00		brk
	00FA86 00		brk
	00FA87 00		brk
	00FA88 00		brk
	00FA89 00		brk
	00FA8A 00		brk
	00FA8B 00		brk
	00FA8C 00		brk
	00FA8D 00		brk
	00FA8E 00		brk
	00FA8F 00		brk
	00FA90 00		brk
	00FA91 00		brk
	00FA92 00		brk
	00FA93 00		brk
	00FA94 00		brk
	00FA95 00		brk
	00FA96 00		brk
	00FA97 00		brk
	00FA98 00		brk
	00FA99 00		brk
	00FA9A 00		brk
	00FA9B 00		brk
	00FA9C 00		brk
	00FA9D 00		brk
	00FA9E 00		brk
	00FA9F 00		brk
	00FAA0 00		brk
	00FAA1 00		brk
	00FAA2 00		brk
	00FAA3 00		brk
	00FAA4 00		brk
	00FAA5 00		brk
	00FAA6 00		brk
	00FAA7 00		brk
	00FAA8 00		brk
	00FAA9 00		brk
	00FAAA 00		brk
	00FAAB 00		brk
	00FAAC 00		brk
	00FAAD 00		brk
	00FAAE 00		brk
	00FAAF 00		brk
	00FAB0 00		brk
	00FAB1 00		brk
	00FAB2 00		brk
	00FAB3 00		brk
	00FAB4 00		brk
	00FAB5 00		brk
	00FAB6 00		brk
	00FAB7 00		brk
	00FAB8 00		brk
	00FAB9 00		brk
	00FABA 00		brk
	00FABB 00		brk
	00FABC 00		brk
	00FABD 00		brk
	00FABE 00		brk
	00FABF 00		brk
	00FAC0 00		brk
	00FAC1 00		brk
	00FAC2 00		brk
	00FAC3 00		brk
	00FAC4 00		brk
	00FAC5 00		brk
	00FAC6 00		brk
	00FAC7 00		brk
	00FAC8 00		brk
	00FAC9 00		brk
	00FACA 00		brk
	00FACB 00		brk
	00FACC 00		brk
	00FACD 00		brk
	00FACE 00		brk
	00FACF 00		brk
	00FAD0 00		brk
	00FAD1 00		brk
	00FAD2 00		brk
	00FAD3 00		brk
	00FAD4 00		brk
	00FAD5 00		brk
	00FAD6 00		brk
	00FAD7 00		brk
	00FAD8 00		brk
	00FAD9 00		brk
	00FADA 00		brk
	00FADB 00		brk
	00FADC 00		brk
	00FADD 00		brk
	00FADE 00		brk
	00FADF 00		brk
	00FAE0 00		brk
	00FAE1 00		brk
	00FAE2 00		brk
	00FAE3 00		brk
	00FAE4 00		brk
	00FAE5 00		brk
	00FAE6 00		brk
	00FAE7 00		brk
	00FAE8 00		brk
	00FAE9 00		brk
	00FAEA 00		brk
	00FAEB 00		brk
	00FAEC 00		brk
	00FAED 00		brk
	00FAEE 00		brk
	00FAEF 00		brk
	00FAF0 00		brk
	00FAF1 00		brk
	00FAF2 00		brk
	00FAF3 00		brk
	00FAF4 00		brk
	00FAF5 00		brk
	00FAF6 00		brk
	00FAF7 00		brk
	00FAF8 00		brk
	00FAF9 00		brk
	00FAFA 00		brk
	00FAFB 00		brk
	00FAFC 00		brk
	00FAFD 00		brk
	00FAFE 00		brk
	00FAFF 00		brk
	00FB00 00		brk
	00FB01 00		brk
	00FB02 00		brk
	00FB03 00		brk
	00FB04 00		brk
	00FB05 00		brk
	00FB06 00		brk
	00FB07 00		brk
	00FB08 00		brk
	00FB09 00		brk
	00FB0A 00		brk
	00FB0B 00		brk
	00FB0C 00		brk
	00FB0D 00		brk
	00FB0E 00		brk
	00FB0F 00		brk
	00FB10 00		brk
	00FB11 00		brk
	00FB12 00		brk
	00FB13 00		brk
	00FB14 00		brk
	00FB15 00		brk
	00FB16 00		brk
	00FB17 00		brk
	00FB18 00		brk
	00FB19 00		brk
	00FB1A 00		brk
	00FB1B 00		brk
	00FB1C 00		brk
	00FB1D 00		brk
	00FB1E 00		brk
	00FB1F 00		brk
	00FB20 00		brk
	00FB21 00		brk
	00FB22 00		brk
	00FB23 00		brk
	00FB24 00		brk
	00FB25 00		brk
	00FB26 00		brk
	00FB27 00		brk
	00FB28 00		brk
	00FB29 00		brk
	00FB2A 00		brk
	00FB2B 00		brk
	00FB2C 00		brk
	00FB2D 00		brk
	00FB2E 00		brk
	00FB2F 00		brk
	00FB30 00		brk
	00FB31 00		brk
	00FB32 00		brk
	00FB33 00		brk
	00FB34 00		brk
	00FB35 00		brk
	00FB36 00		brk
	00FB37 00		brk
	00FB38 00		brk
	00FB39 00		brk
	00FB3A 00		brk
	00FB3B 00		brk
	00FB3C 00		brk
	00FB3D 00		brk
	00FB3E 00		brk
	00FB3F 00		brk
	00FB40 00		brk
	00FB41 00		brk
	00FB42 00		brk
	00FB43 00		brk
	00FB44 00		brk
	00FB45 00		brk
	00FB46 00		brk
	00FB47 00		brk
	00FB48 00		brk
	00FB49 00		brk
	00FB4A 00		brk
	00FB4B 00		brk
	00FB4C 00		brk
	00FB4D 00		brk
	00FB4E 00		brk
	00FB4F 00		brk
	00FB50 00		brk
	00FB51 00		brk
	00FB52 00		brk
	00FB53 00		brk
	00FB54 00		brk
	00FB55 00		brk
	00FB56 00		brk
	00FB57 00		brk
	00FB58 00		brk
	00FB59 00		brk
	00FB5A 00		brk
	00FB5B 00		brk
	00FB5C 00		brk
	00FB5D 00		brk
	00FB5E 00		brk
	00FB5F 00		brk
	00FB60 00		brk
	00FB61 00		brk
	00FB62 00		brk
	00FB63 00		brk
	00FB64 00		brk
	00FB65 00		brk
	00FB66 00		brk
	00FB67 00		brk
	00FB68 00		brk
	00FB69 00		brk
	00FB6A 00		brk
	00FB6B 00		brk
	00FB6C 00		brk
	00FB6D 00		brk
	00FB6E 00		brk
	00FB6F 00		brk
	00FB70 00		brk
	00FB71 00		brk
	00FB72 00		brk
	00FB73 00		brk
	00FB74 00		brk
	00FB75 00		brk
	00FB76 00		brk
	00FB77 00		brk
	00FB78 00		brk
	00FB79 00		brk
	00FB7A 00		brk
	00FB7B 00		brk
	00FB7C 00		brk
	00FB7D 00		brk
	00FB7E 00		brk
	00FB7F 00		brk
	00FB80 00		brk
	00FB81 00		brk
	00FB82 00		brk
	00FB83 00		brk
	00FB84 00		brk
	00FB85 00		brk
	00FB86 00		brk
	00FB87 00		brk
	00FB88 00		brk
	00FB89 00		brk
	00FB8A 00		brk
	00FB8B 00		brk
	00FB8C 00		brk
	00FB8D 00		brk
	00FB8E 00		brk
	00FB8F 00		brk
	00FB90 00		brk
	00FB91 00		brk
	00FB92 00		brk
	00FB93 00		brk
	00FB94 00		brk
	00FB95 00		brk
	00FB96 00		brk
	00FB97 00		brk
	00FB98 00		brk
	00FB99 00		brk
	00FB9A 00		brk
	00FB9B 00		brk
	00FB9C 00		brk
	00FB9D 00		brk
	00FB9E 00		brk
	00FB9F 00		brk
	00FBA0 00		brk
	00FBA1 00		brk
	00FBA2 00		brk
	00FBA3 00		brk
	00FBA4 00		brk
	00FBA5 00		brk
	00FBA6 00		brk
	00FBA7 00		brk
	00FBA8 00		brk
	00FBA9 00		brk
	00FBAA 00		brk
	00FBAB 00		brk
	00FBAC 00		brk
	00FBAD 00		brk
	00FBAE 00		brk
	00FBAF 00		brk
	00FBB0 00		brk
	00FBB1 00		brk
	00FBB2 00		brk
	00FBB3 00		brk
	00FBB4 00		brk
	00FBB5 00		brk
	00FBB6 00		brk
	00FBB7 00		brk
	00FBB8 00		brk
	00FBB9 00		brk
	00FBBA 00		brk
	00FBBB 00		brk
	00FBBC 00		brk
	00FBBD 00		brk
	00FBBE 00		brk
	00FBBF 00		brk
	00FBC0 00		brk
	00FBC1 00		brk
	00FBC2 00		brk
	00FBC3 00		brk
	00FBC4 00		brk
	00FBC5 00		brk
	00FBC6 00		brk
	00FBC7 00		brk
	00FBC8 00		brk
	00FBC9 00		brk
	00FBCA 00		brk
	00FBCB 00		brk
	00FBCC 00		brk
	00FBCD 00		brk
	00FBCE 00		brk
	00FBCF 00		brk
	00FBD0 00		brk
	00FBD1 00		brk
	00FBD2 00		brk
	00FBD3 00		brk
	00FBD4 00		brk
	00FBD5 00		brk
	00FBD6 00		brk
	00FBD7 00		brk
	00FBD8 00		brk
	00FBD9 00		brk
	00FBDA 00		brk
	00FBDB 00		brk
	00FBDC 00		brk
	00FBDD 00		brk
	00FBDE 00		brk
	00FBDF 00		brk
	00FBE0 00		brk
	00FBE1 00		brk
	00FBE2 00		brk
	00FBE3 00		brk
	00FBE4 00		brk
	00FBE5 00		brk
	00FBE6 00		brk
	00FBE7 00		brk
	00FBE8 00		brk
	00FBE9 00		brk
	00FBEA 00		brk
	00FBEB 00		brk
	00FBEC 00		brk
	00FBED 00		brk
	00FBEE 00		brk
	00FBEF 00		brk
	00FBF0 00		brk
	00FBF1 00		brk
	00FBF2 00		brk
	00FBF3 00		brk
	00FBF4 00		brk
	00FBF5 00		brk
	00FBF6 00		brk
	00FBF7 00		brk
	00FBF8 00		brk
	00FBF9 00		brk
	00FBFA 00		brk
	00FBFB 00		brk
	00FBFC 00		brk
	00FBFD 00		brk
	00FBFE 00		brk
	00FBFF 00		brk
	00FC00 00		brk
	00FC01 00		brk
	00FC02 00		brk
	00FC03 00		brk
	00FC04 00		brk
	00FC05 00		brk
	00FC06 00		brk
	00FC07 00		brk
	00FC08 00		brk
	00FC09 00		brk
	00FC0A 00		brk
	00FC0B 00		brk
	00FC0C 00		brk
	00FC0D 00		brk
	00FC0E 00		brk
	00FC0F 00		brk
	00FC10 00		brk
	00FC11 00		brk
	00FC12 00		brk
	00FC13 00		brk
	00FC14 00		brk
	00FC15 00		brk
	00FC16 00		brk
	00FC17 00		brk
	00FC18 00		brk
	00FC19 00		brk
	00FC1A 00		brk
	00FC1B 00		brk
	00FC1C 00		brk
	00FC1D 00		brk
	00FC1E 00		brk
	00FC1F 00		brk
	00FC20 00		brk
	00FC21 00		brk
	00FC22 00		brk
	00FC23 00		brk
	00FC24 00		brk
	00FC25 00		brk
	00FC26 00		brk
	00FC27 00		brk
	00FC28 00		brk
	00FC29 00		brk
	00FC2A 00		brk
	00FC2B 00		brk
	00FC2C 00		brk
	00FC2D 00		brk
	00FC2E 00		brk
	00FC2F 00		brk
	00FC30 00		brk
	00FC31 00		brk
	00FC32 00		brk
	00FC33 00		brk
	00FC34 00		brk
	00FC35 00		brk
	00FC36 00		brk
	00FC37 00		brk
	00FC38 00		brk
	00FC39 00		brk
	00FC3A 00		brk
	00FC3B 00		brk
	00FC3C 00		brk
	00FC3D 00		brk
	00FC3E 00		brk
	00FC3F 00		brk
	00FC40 00		brk
	00FC41 00		brk
	00FC42 00		brk
	00FC43 00		brk
	00FC44 00		brk
	00FC45 00		brk
	00FC46 00		brk
	00FC47 00		brk
	00FC48 00		brk
	00FC49 00		brk
	00FC4A 00		brk
	00FC4B 00		brk
	00FC4C 00		brk
	00FC4D 00		brk
	00FC4E 00		brk
	00FC4F 00		brk
	00FC50 00		brk
	00FC51 00		brk
	00FC52 00		brk
	00FC53 00		brk
	00FC54 00		brk
	00FC55 00		brk
	00FC56 00		brk
	00FC57 00		brk
	00FC58 00		brk
	00FC59 00		brk
	00FC5A 00		brk
	00FC5B 00		brk
	00FC5C 00		brk
	00FC5D 00		brk
	00FC5E 00		brk
	00FC5F 00		brk
	00FC60 00		brk
	00FC61 00		brk
	00FC62 00		brk
	00FC63 00		brk
	00FC64 00		brk
	00FC65 00		brk
	00FC66 00		brk
	00FC67 00		brk
	00FC68 00		brk
	00FC69 00		brk
	00FC6A 00		brk
	00FC6B 00		brk
	00FC6C 00		brk
	00FC6D 00		brk
	00FC6E 00		brk
	00FC6F 00		brk
	00FC70 00		brk
	00FC71 00		brk
	00FC72 00		brk
	00FC73 00		brk
	00FC74 00		brk
	00FC75 00		brk
	00FC76 00		brk
	00FC77 00		brk
	00FC78 00		brk
	00FC79 00		brk
	00FC7A 00		brk
	00FC7B 00		brk
	00FC7C 00		brk
	00FC7D 00		brk
	00FC7E 00		brk
	00FC7F 00		brk
	00FC80 00		brk
	00FC81 00		brk
	00FC82 00		brk
	00FC83 00		brk
	00FC84 00		brk
	00FC85 00		brk
	00FC86 00		brk
	00FC87 00		brk
	00FC88 00		brk
	00FC89 00		brk
	00FC8A 00		brk
	00FC8B 00		brk
	00FC8C 00		brk
	00FC8D 00		brk
	00FC8E 00		brk
	00FC8F 00		brk
	00FC90 00		brk
	00FC91 00		brk
	00FC92 00		brk
	00FC93 00		brk
	00FC94 00		brk
	00FC95 00		brk
	00FC96 00		brk
	00FC97 00		brk
	00FC98 00		brk
	00FC99 00		brk
	00FC9A 00		brk
	00FC9B 00		brk
	00FC9C 00		brk
	00FC9D 00		brk
	00FC9E 00		brk
	00FC9F 00		brk
	00FCA0 00		brk
	00FCA1 00		brk
	00FCA2 00		brk
	00FCA3 00		brk
	00FCA4 00		brk
	00FCA5 00		brk
	00FCA6 00		brk
	00FCA7 00		brk
	00FCA8 00		brk
	00FCA9 00		brk
	00FCAA 00		brk
	00FCAB 00		brk
	00FCAC 00		brk
	00FCAD 00		brk
	00FCAE 00		brk
	00FCAF 00		brk
	00FCB0 00		brk
	00FCB1 00		brk
	00FCB2 00		brk
	00FCB3 00		brk
	00FCB4 00		brk
	00FCB5 00		brk
	00FCB6 00		brk
	00FCB7 00		brk
	00FCB8 00		brk
	00FCB9 00		brk
	00FCBA 00		brk
	00FCBB 00		brk
	00FCBC 00		brk
	00FCBD 00		brk
	00FCBE 00		brk
	00FCBF 00		brk
	00FCC0 00		brk
	00FCC1 00		brk
	00FCC2 00		brk
	00FCC3 00		brk
	00FCC4 00		brk
	00FCC5 00		brk
	00FCC6 00		brk
	00FCC7 00		brk
	00FCC8 00		brk
	00FCC9 00		brk
	00FCCA 00		brk
	00FCCB 00		brk
	00FCCC 00		brk
	00FCCD 00		brk
	00FCCE 00		brk
	00FCCF 00		brk
	00FCD0 00		brk
	00FCD1 00		brk
	00FCD2 00		brk
	00FCD3 00		brk
	00FCD4 00		brk
	00FCD5 00		brk
	00FCD6 00		brk
	00FCD7 00		brk
	00FCD8 00		brk
	00FCD9 00		brk
	00FCDA 00		brk
	00FCDB 00		brk
	00FCDC 00		brk
	00FCDD 00		brk
	00FCDE 00		brk
	00FCDF 00		brk
	00FCE0 00		brk
	00FCE1 00		brk
	00FCE2 00		brk
	00FCE3 00		brk
	00FCE4 00		brk
	00FCE5 00		brk
	00FCE6 00		brk
	00FCE7 00		brk
	00FCE8 00		brk
	00FCE9 00		brk
	00FCEA 00		brk
	00FCEB 00		brk
	00FCEC 00		brk
	00FCED 00		brk
	00FCEE 00		brk
	00FCEF 00		brk
	00FCF0 00		brk
	00FCF1 00		brk
	00FCF2 00		brk
	00FCF3 00		brk
	00FCF4 00		brk
	00FCF5 00		brk
	00FCF6 00		brk
	00FCF7 00		brk
	00FCF8 00		brk
	00FCF9 00		brk
	00FCFA 00		brk
	00FCFB 00		brk
	00FCFC 00		brk
	00FCFD 00		brk
	00FCFE 00		brk
	00FCFF 00		brk
	00FD00 00		brk
	00FD01 00		brk
	00FD02 00		brk
	00FD03 00		brk
	00FD04 00		brk
	00FD05 00		brk
	00FD06 00		brk
	00FD07 00		brk
	00FD08 00		brk
	00FD09 00		brk
	00FD0A 00		brk
	00FD0B 00		brk
	00FD0C 00		brk
	00FD0D 00		brk
	00FD0E 00		brk
	00FD0F 00		brk
	00FD10 00		brk
	00FD11 00		brk
	00FD12 00		brk
	00FD13 00		brk
	00FD14 00		brk
	00FD15 00		brk
	00FD16 00		brk
	00FD17 00		brk
	00FD18 00		brk
	00FD19 00		brk
	00FD1A 00		brk
	00FD1B 00		brk
	00FD1C 00		brk
	00FD1D 00		brk
	00FD1E 00		brk
	00FD1F 00		brk
	00FD20 00		brk
	00FD21 00		brk
	00FD22 00		brk
	00FD23 00		brk
	00FD24 00		brk
	00FD25 00		brk
	00FD26 00		brk
	00FD27 00		brk
	00FD28 00		brk
	00FD29 00		brk
	00FD2A 00		brk
	00FD2B 00		brk
	00FD2C 00		brk
	00FD2D 00		brk
	00FD2E 00		brk
	00FD2F 00		brk
	00FD30 00		brk
	00FD31 00		brk
	00FD32 00		brk
	00FD33 00		brk
	00FD34 00		brk
	00FD35 00		brk
	00FD36 00		brk
	00FD37 00		brk
	00FD38 00		brk
	00FD39 00		brk
	00FD3A 00		brk
	00FD3B 00		brk
	00FD3C 00		brk
	00FD3D 00		brk
	00FD3E 00		brk
	00FD3F 00		brk
	00FD40 00		brk
	00FD41 00		brk
	00FD42 00		brk
	00FD43 00		brk
	00FD44 00		brk
	00FD45 00		brk
	00FD46 00		brk
	00FD47 00		brk
	00FD48 00		brk
	00FD49 00		brk
	00FD4A 00		brk
	00FD4B 00		brk
	00FD4C 00		brk
	00FD4D 00		brk
	00FD4E 00		brk
	00FD4F 00		brk
	00FD50 00		brk
	00FD51 00		brk
	00FD52 00		brk
	00FD53 00		brk
	00FD54 00		brk
	00FD55 00		brk
	00FD56 00		brk
	00FD57 00		brk
	00FD58 00		brk
	00FD59 00		brk
	00FD5A 00		brk
	00FD5B 00		brk
	00FD5C 00		brk
	00FD5D 00		brk
	00FD5E 00		brk
	00FD5F 00		brk
	00FD60 00		brk
	00FD61 00		brk
	00FD62 00		brk
	00FD63 00		brk
	00FD64 00		brk
	00FD65 00		brk
	00FD66 00		brk
	00FD67 00		brk
	00FD68 00		brk
	00FD69 00		brk
	00FD6A 00		brk
	00FD6B 00		brk
	00FD6C 00		brk
	00FD6D 00		brk
	00FD6E 00		brk
	00FD6F 00		brk
	00FD70 00		brk
	00FD71 00		brk
	00FD72 00		brk
	00FD73 00		brk
	00FD74 00		brk
	00FD75 00		brk
	00FD76 00		brk
	00FD77 00		brk
	00FD78 00		brk
	00FD79 00		brk
	00FD7A 00		brk
	00FD7B 00		brk
	00FD7C 00		brk
	00FD7D 00		brk
	00FD7E 00		brk
	00FD7F 00		brk
	00FD80 00		brk
	00FD81 00		brk
	00FD82 00		brk
	00FD83 00		brk
	00FD84 00		brk
	00FD85 00		brk
	00FD86 00		brk
	00FD87 00		brk
	00FD88 00		brk
	00FD89 00		brk
	00FD8A 00		brk
	00FD8B 00		brk
	00FD8C 00		brk
	00FD8D 00		brk
	00FD8E 00		brk
	00FD8F 00		brk
	00FD90 00		brk
	00FD91 00		brk
	00FD92 00		brk
	00FD93 00		brk
	00FD94 00		brk
	00FD95 00		brk
	00FD96 00		brk
	00FD97 00		brk
	00FD98 00		brk
	00FD99 00		brk
	00FD9A 00		brk
	00FD9B 00		brk
	00FD9C 00		brk
	00FD9D 00		brk
	00FD9E 00		brk
	00FD9F 00		brk
	00FDA0 00		brk
	00FDA1 00		brk
	00FDA2 00		brk
	00FDA3 00		brk
	00FDA4 00		brk
	00FDA5 00		brk
	00FDA6 00		brk
	00FDA7 00		brk
	00FDA8 00		brk
	00FDA9 00		brk
	00FDAA 00		brk
	00FDAB 00		brk
	00FDAC 00		brk
	00FDAD 00		brk
	00FDAE 00		brk
	00FDAF 00		brk
	00FDB0 00		brk
	00FDB1 00		brk
	00FDB2 00		brk
	00FDB3 00		brk
	00FDB4 00		brk
	00FDB5 00		brk
	00FDB6 00		brk
	00FDB7 00		brk
	00FDB8 00		brk
	00FDB9 00		brk
	00FDBA 00		brk
	00FDBB 00		brk
	00FDBC 00		brk
	00FDBD 00		brk
	00FDBE 00		brk
	00FDBF 00		brk
	00FDC0 00		brk
	00FDC1 00		brk
	00FDC2 00		brk
	00FDC3 00		brk
	00FDC4 00		brk
	00FDC5 00		brk
	00FDC6 00		brk
	00FDC7 00		brk
	00FDC8 00		brk
	00FDC9 00		brk
	00FDCA 00		brk
	00FDCB 00		brk
	00FDCC 00		brk
	00FDCD 00		brk
	00FDCE 00		brk
	00FDCF 00		brk
	00FDD0 00		brk
	00FDD1 00		brk
	00FDD2 00		brk
	00FDD3 00		brk
	00FDD4 00		brk
	00FDD5 00		brk
	00FDD6 00		brk
	00FDD7 00		brk
	00FDD8 00		brk
	00FDD9 00		brk
	00FDDA 00		brk
	00FDDB 00		brk
	00FDDC 00		brk
	00FDDD 00		brk
	00FDDE 00		brk
	00FDDF 00		brk
	00FDE0 00		brk
	00FDE1 00		brk
	00FDE2 00		brk
	00FDE3 00		brk
	00FDE4 00		brk
	00FDE5 00		brk
	00FDE6 00		brk
	00FDE7 00		brk
	00FDE8 00		brk
	00FDE9 00		brk
	00FDEA 00		brk
	00FDEB 00		brk
	00FDEC 00		brk
	00FDED 00		brk
	00FDEE 00		brk
	00FDEF 00		brk
	00FDF0 00		brk
	00FDF1 00		brk
	00FDF2 00		brk
	00FDF3 00		brk
	00FDF4 00		brk
	00FDF5 00		brk
	00FDF6 00		brk
	00FDF7 00		brk
	00FDF8 00		brk
	00FDF9 00		brk
	00FDFA 00		brk
	00FDFB 00		brk
	00FDFC 00		brk
	00FDFD 00		brk
	00FDFE 00		brk
	00FDFF 00		brk
	00FE00 00		brk
	00FE01 00		brk
	00FE02 00		brk
	00FE03 00		brk
	00FE04 00		brk
	00FE05 00		brk
	00FE06 00		brk
	00FE07 00		brk
	00FE08 00		brk
	00FE09 00		brk
	00FE0A 00		brk
	00FE0B 00		brk
	00FE0C 00		brk
	00FE0D 00		brk
	00FE0E 00		brk
	00FE0F 00		brk
	00FE10 00		brk
	00FE11 00		brk
	00FE12 00		brk
	00FE13 00		brk
	00FE14 00		brk
	00FE15 00		brk
	00FE16 00		brk
	00FE17 00		brk
	00FE18 00		brk
	00FE19 00		brk
	00FE1A 00		brk
	00FE1B 00		brk
	00FE1C 00		brk
	00FE1D 00		brk
	00FE1E 00		brk
	00FE1F 00		brk
	00FE20 00		brk
	00FE21 00		brk
	00FE22 00		brk
	00FE23 00		brk
	00FE24 00		brk
	00FE25 00		brk
	00FE26 00		brk
	00FE27 00		brk
	00FE28 00		brk
	00FE29 00		brk
	00FE2A 00		brk
	00FE2B 00		brk
	00FE2C 00		brk
	00FE2D 00		brk
	00FE2E 00		brk
	00FE2F 00		brk
	00FE30 00		brk
	00FE31 00		brk
	00FE32 00		brk
	00FE33 00		brk
	00FE34 00		brk
	00FE35 00		brk
	00FE36 00		brk
	00FE37 00		brk
	00FE38 00		brk
	00FE39 00		brk
	00FE3A 00		brk
	00FE3B 00		brk
	00FE3C 00		brk
	00FE3D 00		brk
	00FE3E 00		brk
	00FE3F 00		brk
	00FE40 00		brk
	00FE41 00		brk
	00FE42 00		brk
	00FE43 00		brk
	00FE44 00		brk
	00FE45 00		brk
	00FE46 00		brk
	00FE47 00		brk
	00FE48 00		brk
	00FE49 00		brk
	00FE4A 00		brk
	00FE4B 00		brk
	00FE4C 00		brk
	00FE4D 00		brk
	00FE4E 00		brk
	00FE4F 00		brk
	00FE50 00		brk
	00FE51 00		brk
	00FE52 00		brk
	00FE53 00		brk
	00FE54 00		brk
	00FE55 00		brk
	00FE56 00		brk
	00FE57 00		brk
	00FE58 00		brk
	00FE59 00		brk
	00FE5A 00		brk
	00FE5B 00		brk
	00FE5C 00		brk
	00FE5D 00		brk
	00FE5E 00		brk
	00FE5F 00		brk
	00FE60 00		brk
	00FE61 00		brk
	00FE62 00		brk
	00FE63 00		brk
	00FE64 00		brk
	00FE65 00		brk
	00FE66 00		brk
	00FE67 00		brk
	00FE68 00		brk
	00FE69 00		brk
	00FE6A 00		brk
	00FE6B 00		brk
	00FE6C 00		brk
	00FE6D 00		brk
	00FE6E 00		brk
	00FE6F 00		brk
	00FE70 00		brk
	00FE71 00		brk
	00FE72 00		brk
	00FE73 00		brk
	00FE74 00		brk
	00FE75 00		brk
	00FE76 00		brk
	00FE77 00		brk
	00FE78 00		brk
	00FE79 00		brk
	00FE7A 00		brk
	00FE7B 00		brk
	00FE7C 00		brk
	00FE7D 00		brk
	00FE7E 00		brk
	00FE7F 00		brk
	00FE80 00		brk
	00FE81 00		brk
	00FE82 00		brk
	00FE83 00		brk
	00FE84 00		brk
	00FE85 00		brk
	00FE86 00		brk
	00FE87 00		brk
	00FE88 00		brk
	00FE89 00		brk
	00FE8A 00		brk
	00FE8B 00		brk
	00FE8C 00		brk
	00FE8D 00		brk
	00FE8E 00		brk
	00FE8F 00		brk
	00FE90 00		brk
	00FE91 00		brk
	00FE92 00		brk
	00FE93 00		brk
	00FE94 00		brk
	00FE95 00		brk
	00FE96 00		brk
	00FE97 00		brk
	00FE98 00		brk
	00FE99 00		brk
	00FE9A 00		brk
	00FE9B 00		brk
	00FE9C 00		brk
	00FE9D 00		brk
	00FE9E 00		brk
	00FE9F 00		brk
	00FEA0 00		brk
	00FEA1 00		brk
	00FEA2 00		brk
	00FEA3 00		brk
	00FEA4 00		brk
	00FEA5 00		brk
	00FEA6 00		brk
	00FEA7 00		brk
	00FEA8 00		brk
	00FEA9 00		brk
	00FEAA 00		brk
	00FEAB 00		brk
	00FEAC 00		brk
	00FEAD 00		brk
	00FEAE 00		brk
	00FEAF 00		brk
	00FEB0 00		brk
	00FEB1 00		brk
	00FEB2 00		brk
	00FEB3 00		brk
	00FEB4 00		brk
	00FEB5 00		brk
	00FEB6 00		brk
	00FEB7 00		brk
	00FEB8 00		brk
	00FEB9 00		brk
	00FEBA 00		brk
	00FEBB 00		brk
	00FEBC 00		brk
	00FEBD 00		brk
	00FEBE 00		brk
	00FEBF 00		brk
	00FEC0 00		brk
	00FEC1 00		brk
	00FEC2 00		brk
	00FEC3 00		brk
	00FEC4 00		brk
	00FEC5 00		brk
	00FEC6 00		brk
	00FEC7 00		brk
	00FEC8 00		brk
	00FEC9 00		brk
	00FECA 00		brk
	00FECB 00		brk
	00FECC 00		brk
	00FECD 00		brk
	00FECE 00		brk
	00FECF 00		brk
	00FED0 00		brk
	00FED1 00		brk
	00FED2 00		brk
	00FED3 00		brk
	00FED4 00		brk
	00FED5 00		brk
	00FED6 00		brk
	00FED7 00		brk
	00FED8 00		brk
	00FED9 00		brk
	00FEDA 00		brk
	00FEDB 00		brk
	00FEDC 00		brk
	00FEDD 00		brk
	00FEDE 00		brk
	00FEDF 00		brk
	00FEE0 00		brk
	00FEE1 00		brk
	00FEE2 00		brk
	00FEE3 00		brk
	00FEE4 00		brk
	00FEE5 00		brk
	00FEE6 00		brk
	00FEE7 00		brk
	00FEE8 00		brk
	00FEE9 00		brk
	00FEEA 00		brk
	00FEEB 00		brk
	00FEEC 00		brk
	00FEED 00		brk
	00FEEE 00		brk
	00FEEF 00		brk
	00FEF0 00		brk
	00FEF1 00		brk
	00FEF2 00		brk
	00FEF3 00		brk
	00FEF4 00		brk
	00FEF5 00		brk
	00FEF6 00		brk
	00FEF7 00		brk
	00FEF8 00		brk
	00FEF9 00		brk
	00FEFA 00		brk
	00FEFB 00		brk
	00FEFC 00		brk
	00FEFD 00		brk
	00FEFE 00		brk
	00FEFF 00		brk
	00FF00 00		brk
	00FF01 00		brk
	00FF02 00		brk
	00FF03 00		brk
	00FF04 00		brk
	00FF05 00		brk
	00FF06 00		brk
	00FF07 00		brk
	00FF08 00		brk
	00FF09 00		brk
	00FF0A 00		brk
	00FF0B 00		brk
	00FF0C 00		brk
	00FF0D 00		brk
	00FF0E 00		brk
	00FF0F 00		brk
	00FF10 00		brk
	00FF11 00		brk
	00FF12 00		brk
	00FF13 00		brk
	00FF14 00		brk
	00FF15 00		brk
	00FF16 00		brk
	00FF17 00		brk
	00FF18 00		brk
	00FF19 00		brk
	00FF1A 00		brk
	00FF1B 00		brk
	00FF1C 00		brk
	00FF1D 00		brk
	00FF1E 00		brk
	00FF1F 00		brk
	00FF20 00		brk
	00FF21 00		brk
	00FF22 00		brk
	00FF23 00		brk
	00FF24 00		brk
	00FF25 00		brk
	00FF26 00		brk
	00FF27 00		brk
	00FF28 00		brk
	00FF29 00		brk
	00FF2A 00		brk
	00FF2B 00		brk
	00FF2C 00		brk
	00FF2D 00		brk
	00FF2E 00		brk
	00FF2F 00		brk
	00FF30 00		brk
	00FF31 00		brk
	00FF32 00		brk
	00FF33 00		brk
	00FF34 00		brk
	00FF35 00		brk
	00FF36 00		brk
	00FF37 00		brk
	00FF38 00		brk
	00FF39 00		brk
	00FF3A 00		brk
	00FF3B 00		brk
	00FF3C 00		brk
	00FF3D 00		brk
	00FF3E 00		brk
	00FF3F 00		brk
	00FF40 00		brk
	00FF41 00		brk
	00FF42 00		brk
	00FF43 00		brk
	00FF44 00		brk
	00FF45 00		brk
	00FF46 00		brk
	00FF47 00		brk
	00FF48 00		brk
	00FF49 00		brk
	00FF4A 00		brk
	00FF4B 00		brk
	00FF4C 00		brk
	00FF4D 00		brk
	00FF4E 00		brk
	00FF4F 00		brk
	00FF50 00		brk
	00FF51 00		brk
	00FF52 00		brk
	00FF53 00		brk
	00FF54 00		brk
	00FF55 00		brk
	00FF56 00		brk
	00FF57 00		brk
	00FF58 00		brk
	00FF59 00		brk
	00FF5A 00		brk
	00FF5B 00		brk
	00FF5C 00		brk
	00FF5D 00		brk
	00FF5E 00		brk
	00FF5F 00		brk
	00FF60 00		brk
	00FF61 00		brk
	00FF62 00		brk
	00FF63 00		brk
	00FF64 00		brk
	00FF65 00		brk
	00FF66 00		brk
	00FF67 00		brk
	00FF68 00		brk
	00FF69 00		brk
	00FF6A 00		brk
	00FF6B 00		brk
	00FF6C 00		brk
	00FF6D 00		brk
	00FF6E 00		brk
	00FF6F 00		brk
	00FF70 00		brk
	00FF71 00		brk
	00FF72 00		brk
	00FF73 00		brk
	00FF74 00		brk
	00FF75 00		brk
	00FF76 00		brk
	00FF77 00		brk
	00FF78 00		brk
	00FF79 00		brk
	00FF7A 00		brk
	00FF7B 00		brk
	00FF7C 00		brk
	00FF7D 00		brk
	00FF7E 00		brk
	00FF7F 00		brk
	00FF80 00		brk
	00FF81 00		brk
	00FF82 00		brk
	00FF83 00		brk
	00FF84 00		brk
	00FF85 00		brk
	00FF86 00		brk
	00FF87 00		brk
	00FF88 00		brk
	00FF89 00		brk
	00FF8A 00		brk
	00FF8B 00		brk
	00FF8C 00		brk
	00FF8D 00		brk
	00FF8E 00		brk
	00FF8F 00		brk
	00FF90 00		brk
	00FF91 00		brk
	00FF92 00		brk
	00FF93 00		brk
	00FF94 00		brk
	00FF95 00		brk
	00FF96 00		brk
	00FF97 00		brk
	00FF98 00		brk
	00FF99 00		brk
	00FF9A 00		brk
	00FF9B 00		brk
	00FF9C 00		brk
	00FF9D 00		brk
	00FF9E 00		brk
	00FF9F 00		brk
	00FFA0 00		brk
	00FFA1 00		brk
	00FFA2 00		brk
	00FFA3 00		brk
	00FFA4 00		brk
	00FFA5 00		brk
	00FFA6 00		brk
	00FFA7 00		brk
	00FFA8 00		brk
	00FFA9 00		brk
	00FFAA 00		brk
	00FFAB 00		brk
	00FFAC 00		brk
	00FFAD 00		brk
	00FFAE 00		brk
	00FFAF 00		brk
	00FFB0 00		brk
	00FFB1 00		brk
	00FFB2 00		brk
	00FFB3 00		brk
	00FFB4 00		brk
	00FFB5 00		brk
	00FFB6 00		brk
	00FFB7 00		brk
	00FFB8 00		brk
	00FFB9 00		brk
	00FFBA 00		brk
	00FFBB 00		brk
	00FFBC 00		brk
	00FFBD 00		brk
	00FFBE 00		brk
	00FFBF 00		brk
	00FFC0 00		brk
	00FFC1 00		brk
	00FFC2 00		brk
	00FFC3 00		brk
	00FFC4 00		brk
	00FFC5 00		brk
	00FFC6 00		brk
	00FFC7 00		brk
	00FFC8 00		brk
	00FFC9 00		brk
	00FFCA 00		brk
	00FFCB 00		brk
	00FFCC 00		brk
	00FFCD 00		brk
	00FFCE 00		brk
	00FFCF 00		brk
	00FFD0 00		brk
	00FFD1 00		brk
	00FFD2 00		brk
	00FFD3 00		brk
	00FFD4 00		brk
	00FFD5 00		brk
	00FFD6 00		brk
	00FFD7 00		brk
	00FFD8 00		brk
	00FFD9 00		brk
	00FFDA 00		brk
	00FFDB 00		brk
	00FFDC 00		brk
	00FFDD 00		brk
	00FFDE 00		brk
	00FFDF 00		brk
	00FFE0 00		brk
	00FFE1 00		brk
	00FFE2 00		brk
	00FFE3 00		brk
	00FFE4 00		brk
	00FFE5 00		brk
	00FFE6 00		brk
	00FFE7 00		brk
	00FFE8 00		brk
	00FFE9 00		brk
	00FFEA 00		brk
	00FFEB 00		brk
	00FFEC 00		brk
	00FFED 00		brk
	00FFEE 00		brk
	00FFEF 00		brk
	00FFF0 00		brk
	00FFF1 00		brk
	00FFF2 00		brk
	00FFF3 00		brk
	00FFF4 00		brk
	00FFF5 00		brk
	00FFF6 00		brk
	00FFF7 00		brk
	00FFF8 00		brk
	00FFF9 00		brk
	00FFFA 00		brk
	00FFFB 00		brk
	00FFFC 00		brk
	00FFFD 00		brk
	00FFFE 00		brk
	00FFFF 00		brk
	010000 00		brk
	010001 00		brk
	010002 00		brk
	010003 00		brk
	010004 00		brk
	010005 00		brk
	010006 00		brk
	010007 00		brk
	010008 00		brk
	010009 00		brk
	01000A 00		brk
	01000B 00		brk
	01000C 00		brk
	01000D 00		brk
	01000E 00		brk
	01000F 00		brk
	010010 00		brk
	010011 00		brk
	010012 00		brk
	010013 00		brk
	010014 00		brk
	010015 00		brk
	010016 00		brk
	010017 00		brk
	010018 00		brk
	010019 00		brk
	01001A 00		brk
	01001B 00		brk
	01001C 00		brk
	01001D 00		brk
	01001E 00		brk
	01001F 00		brk
	010020 00		brk
	010021 00		brk
	010022 00		brk
	010023 00		brk
	010024 00		brk
	010025 00		brk
	010026 00		brk
	010027 00		brk
	010028 00		brk
	010029 00		brk
	01002A 00		brk
	01002B 00		brk
	01002C 00		brk
	01002D 00		brk
	01002E 00		brk
	01002F 00		brk
	010030 00		brk
	010031 00		brk
	010032 00		brk
	010033 00		brk
	010034 00		brk
	010035 00		brk
	010036 00		brk
	010037 00		brk
	010038 00		brk
	010039 00		brk
	01003A 00		brk
	01003B 00		brk
	01003C 00		brk
	01003D 00		brk
	01003E 00		brk
	01003F 00		brk
	010040 00		brk
	010041 00		brk
	010042 00		brk
	010043 00		brk
	010044 00		brk
	010045 00		brk
	010046 00		brk
	010047 00		brk
	010048 00		brk
	010049 00		brk
	01004A 00		brk
	01004B 00		brk
	01004C 00		brk
	01004D 00		brk
	01004E 00		brk
	01004F 00		brk
	010050 00		brk
	010051 00		brk
	010052 00		brk
	010053 00		brk
	010054 00		brk
	010055 00		brk
	010056 00		brk
	010057 00		brk
	010058 00		brk
	010059 00		brk
	01005A 00		brk
	01005B 00		brk
	01005C 00		brk
	01005D 00		brk
	01005E 00		brk
	01005F 00		brk
	010060 00		brk
	010061 00		brk
	010062 00		brk
	010063 00		brk
	010064 00		brk
	010065 00		brk
	010066 00		brk
	010067 00		brk
	010068 00		brk
	010069 00		brk
	01006A 00		brk
	01006B 00		brk
	01006C 00		brk
	01006D 00		brk
	01006E 00		brk
	01006F 00		brk
	010070 00		brk
	010071 00		brk
	010072 00		brk
	010073 00		brk
	010074 00		brk
	010075 00		brk
	010076 00		brk
	010077 00		brk
	010078 00		brk
	010079 00		brk
	01007A 00		brk
	01007B 00		brk
	01007C 00		brk
	01007D 00		brk
	01007E 00		brk
	01007F 00		brk
	010080 00		brk
	010081 00		brk
	010082 00		brk
	010083 00		brk
	010084 00		brk
	010085 00		brk
	010086 00		brk
	010087 00		brk
	010088 00		brk
	010089 00		brk
	01008A 00		brk
	01008B 00		brk
	01008C 00		brk
	01008D 00		brk
	01008E 00		brk
	01008F 00		brk
	010090 00		brk
	010091 00		brk
	010092 00		brk
	010093 00		brk
	010094 00		brk
	010095 00		brk
	010096 00		brk
	010097 00		brk
	010098 00		brk
	010099 00		brk
	01009A 00		brk
	01009B 00		brk
	01009C 00		brk
	01009D 00		brk
	01009E 00		brk
	01009F 00		brk
	0100A0 00		brk
	0100A1 00		brk
	0100A2 00		brk
	0100A3 00		brk
	0100A4 00		brk
	0100A5 00		brk
	0100A6 00		brk
	0100A7 00		brk
	0100A8 00		brk
	0100A9 00		brk
	0100AA 00		brk
	0100AB 00		brk
	0100AC 00		brk
	0100AD 00		brk
	0100AE 00		brk
	0100AF 00		brk
	0100B0 00		brk
	0100B1 00		brk
	0100B2 00		brk
	0100B3 00		brk
	0100B4 00		brk
	0100B5 00		brk
	0100B6 00		brk
	0100B7 00		brk
	0100B8 00		brk
	0100B9 00		brk
	0100BA 00		brk
	0100BB 00		brk
	0100BC 00		brk
	0100BD 00		brk
	0100BE 00		brk
	0100BF 00		brk
	0100C0 00		brk
	0100C1 00		brk
	0100C2 00		brk
	0100C3 00		brk
	0100C4 00		brk
	0100C5 00		brk
	0100C6 00		brk
	0100C7 00		brk
	0100C8 00		brk
	0100C9 00		brk
	0100CA 00		brk
	0100CB 00		brk
	0100CC 00		brk
	0100CD 00		brk
	0100CE 00		brk
	0100CF 00		brk
	0100D0 00		brk
	0100D1 00		brk
	0100D2 00		brk
	0100D3 00		brk
	0100D4 00		brk
	0100D5 00		brk
	0100D6 00		brk
	0100D7 00		brk
	0100D8 00		brk
	0100D9 00		brk
	0100DA 00		brk
	0100DB 00		brk
	0100DC 00		brk
	0100DD 00		brk
	0100DE 00		brk
	0100DF 00		brk
	0100E0 00		brk
	0100E1 00		brk
	0100E2 00		brk
	0100E3 00		brk
	0100E4 00		brk
	0100E5 00		brk
	0100E6 00		brk
	0100E7 00		brk
	0100E8 00		brk
	0100E9 00		brk
	0100EA 00		brk
	0100EB 00		brk
	0100EC 00		brk
	0100ED 00		brk
	0100EE 00		brk
	0100EF 00		brk
	0100F0 00		brk
	0100F1 00		brk
	0100F2 00		brk
	0100F3 00		brk
	0100F4 00		brk
	0100F5 00		brk
	0100F6 00		brk
	0100F7 00		brk
	0100F8 00		brk
	0100F9 00		brk
	0100FA 00		brk
	0100FB 00		brk
	0100FC 00		brk
	0100FD 00		brk
	0100FE 00		brk
	0100FF 00		brk
	010100 00		brk
	010101 00		brk
	010102 00		brk
	010103 00		brk
	010104 00		brk
	010105 00		brk
	010106 00		brk
	010107 00		brk
	010108 00		brk
	010109 00		brk
	01010A 00		brk
	01010B 00		brk
	01010C 00		brk
	01010D 00		brk
	01010E 00		brk
	01010F 00		brk
	010110 00		brk
	010111 00		brk
	010112 00		brk
	010113 00		brk
	010114 00		brk
	010115 00		brk
	010116 00		brk
	010117 00		brk
	010118 00		brk
	010119 00		brk
	01011A 00		brk
	01011B 00		brk
	01011C 00		brk
	01011D 00		brk
	01011E 00		brk
	01011F 00		brk
	010120 00		brk
	010121 00		brk
	010122 00		brk
	010123 00		brk
	010124 00		brk
	010125 00		brk
	010126 00		brk
	010127 00		brk
	010128 00		brk
	010129 00		brk
	01012A 00		brk
	01012B 00		brk
	01012C 00		brk
	01012D 00		brk
	01012E 00		brk
	01012F 00		brk
	010130 00		brk
	010131 00		brk
	010132 00		brk
	010133 00		brk
	010134 00		brk
	010135 00		brk
	010136 00		brk
	010137 00		brk
	010138 00		brk
	010139 00		brk
	01013A 00		brk
	01013B 00		brk
	01013C 00		brk
	01013D 00		brk
	01013E 00		brk
	01013F 00		brk
	010140 00		brk
	010141 00		brk
	010142 00		brk
	010143 00		brk
	010144 00		brk
	010145 00		brk
	010146 00		brk
	010147 00		brk
	010148 00		brk
	010149 00		brk
	01014A 00		brk
	01014B 00		brk
	01014C 00		brk
	01014D 00		brk
	01014E 00		brk
	01014F 00		brk
	010150 00		brk
	010151 00		brk
	010152 00		brk
	010153 00		brk
	010154 00		brk
	010155 00		brk
	010156 00		brk
	010157 00		brk
	010158 00		brk
	010159 00		brk
	01015A 00		brk
	01015B 00		brk
	01015C 00		brk
	01015D 00		brk
	01015E 00		brk
	01015F 00		brk
	010160 00		brk
	010161 00		brk
	010162 00		brk
	010163 00		brk
	010164 00		brk
	010165 00		brk
	010166 00		brk
	010167 00		brk
	010168 00		brk
	010169 00		brk
	01016A 00		brk
	01016B 00		brk
	01016C 00		brk
	01016D 00		brk
	01016E 00		brk
	01016F 00		brk
	010170 00		brk
	010171 00		brk
	010172 00		brk
	010173 00		brk
	010174 00		brk
	010175 00		brk
	010176 00		brk
	010177 00		brk
	010178 00		brk
	010179 00		brk
	01017A 00		brk
	01017B 00		brk
	01017C 00		brk
	01017D 00		brk
	01017E 00		brk
	01017F 00		brk
	010180 00		brk
	010181 00		brk
	010182 00		brk
	010183 00		brk
	010184 00		brk
	010185 00		brk
	010186 00		brk
	010187 00		brk
	010188 00		brk
	010189 00		brk
	01018A 00		brk
	01018B 00		brk
	01018C 00		brk
	01018D 00		brk
	01018E 00		brk
	01018F 00		brk
	010190 00		brk
	010191 00		brk
	010192 00		brk
	010193 00		brk
	010194 00		brk
	010195 00		brk
	010196 00		brk
	010197 00		brk
	010198 00		brk
	010199 00		brk
	01019A 00		brk
	01019B 00		brk
	01019C 00		brk
	01019D 00		brk
	01019E 00		brk
	01019F 00		brk
	0101A0 00		brk
	0101A1 00		brk
	0101A2 00		brk
	0101A3 00		brk
	0101A4 00		brk
	0101A5 00		brk
	0101A6 00		brk
	0101A7 00		brk
	0101A8 00		brk
	0101A9 00		brk
	0101AA 00		brk
	0101AB 00		brk
	0101AC 00		brk
	0101AD 00		brk
	0101AE 00		brk
	0101AF 00		brk
	0101B0 00		brk
	0101B1 00		brk
	0101B2 00		brk
	0101B3 00		brk
	0101B4 00		brk
	0101B5 00		brk
	0101B6 00		brk
	0101B7 00		brk
	0101B8 00		brk
	0101B9 00		brk
	0101BA 00		brk
	0101BB 00		brk
	0101BC 00		brk
	0101BD 00		brk
	0101BE 00		brk
	0101BF 00		brk
	0101C0 00		brk
	0101C1 00		brk
	0101C2 00		brk
	0101C3 00		brk
	0101C4 00		brk
	0101C5 00		brk
	0101C6 00		brk
	0101C7 00		brk
	0101C8 00		brk
	0101C9 00		brk
	0101CA 00		brk
	0101CB 00		brk
	0101CC 00		brk
	0101CD 00		brk
	0101CE 00		brk
	0101CF 00		brk
	0101D0 00		brk
	0101D1 00		brk
	0101D2 00		brk
	0101D3 00		brk
	0101D4 00		brk
	0101D5 00		brk
	0101D6 00		brk
	0101D7 00		brk
	0101D8 00		brk
	0101D9 00		brk
	0101DA 00		brk
	0101DB 00		brk
	0101DC 00		brk
	0101DD 00		brk
	0101DE 00		brk
	0101DF 00		brk
	0101E0 00		brk
	0101E1 00		brk
	0101E2 00		brk
	0101E3 00		brk
	0101E4 00		brk
	0101E5 00		brk
	0101E6 00		brk
	0101E7 00		brk
	0101E8 00		brk
	0101E9 00		brk
	0101EA 00		brk
	0101EB 00		brk
	0101EC 00		brk
	0101ED 00		brk
	0101EE 00		brk
	0101EF 00		brk
	0101F0 00		brk
	0101F1 00		brk
	0101F2 00		brk
	0101F3 00		brk
	0101F4 00		brk
	0101F5 00		brk
	0101F6 00		brk
	0101F7 00		brk
	0101F8 00		brk
	0101F9 00		brk
	0101FA 00		brk
	0101FB 00		brk
	0101FC 00		brk
	0101FD 00		brk
	0101FE 00		brk
	0101FF 00		brk
	010200 00		brk
	010201 00		brk
	010202 00		brk
	010203 00		brk
	010204 00		brk
	010205 00		brk
	010206 00		brk
	010207 00		brk
	010208 00		brk
	010209 00		brk
	01020A 00		brk
	01020B 00		brk
	01020C 00		brk
	01020D 00		brk
	01020E 00		brk
	01020F 00		brk
	010210 00		brk
	010211 00		brk
	010212 00		brk
	010213 00		brk
	010214 00		brk
	010215 00		brk
	010216 00		brk
	010217 00		brk
	010218 00		brk
	010219 00		brk
	01021A 00		brk
	01021B 00		brk
	01021C 00		brk
	01021D 00		brk
	01021E 00		brk
	01021F 00		brk
	010220 00		brk
	010221 00		brk
	010222 00		brk
	010223 00		brk
	010224 00		brk
	010225 00		brk
	010226 00		brk
	010227 00		brk
	010228 00		brk
	010229 00		brk
	01022A 00		brk
	01022B 00		brk
	01022C 00		brk
	01022D 00		brk
	01022E 00		brk
	01022F 00		brk
	010230 00		brk
	010231 00		brk
	010232 00		brk
	010233 00		brk
	010234 00		brk
	010235 00		brk
	010236 00		brk
	010237 00		brk
	010238 00		brk
	010239 00		brk
	01023A 00		brk
	01023B 00		brk
	01023C 00		brk
	01023D 00		brk
	01023E 00		brk
	01023F 00		brk
	010240 00		brk
	010241 00		brk
	010242 00		brk
	010243 00		brk
	010244 00		brk
	010245 00		brk
	010246 00		brk
	010247 00		brk
	010248 00		brk
	010249 00		brk
	01024A 00		brk
	01024B 00		brk
	01024C 00		brk
	01024D 00		brk
	01024E 00		brk
	01024F 00		brk
	010250 00		brk
	010251 00		brk
	010252 00		brk
	010253 00		brk
	010254 00		brk
	010255 00		brk
	010256 00		brk
	010257 00		brk
	010258 00		brk
	010259 00		brk
	01025A 00		brk
	01025B 00		brk
	01025C 00		brk
	01025D 00		brk
	01025E 00		brk
	01025F 00		brk
	010260 00		brk
	010261 00		brk
	010262 00		brk
	010263 00		brk
	010264 00		brk
	010265 00		brk
	010266 00		brk
	010267 00		brk
	010268 00		brk
	010269 00		brk
	01026A 00		brk
	01026B 00		brk
	01026C 00		brk
	01026D 00		brk
	01026E 00		brk
	01026F 00		brk
	010270 00		brk
	010271 00		brk
	010272 00		brk
	010273 00		brk
	010274 00		brk
	010275 00		brk
	010276 00		brk
	010277 00		brk
	010278 00		brk
	010279 00		brk
	01027A 00		brk
	01027B 00		brk
	01027C 00		brk
	01027D 00		brk
	01027E 00		brk
	01027F 00		brk
	010280 00		brk
	010281 00		brk
	010282 00		brk
	010283 00		brk
	010284 00		brk
	010285 00		brk
	010286 00		brk
	010287 00		brk
	010288 00		brk
	010289 00		brk
	01028A 00		brk
	01028B 00		brk
	01028C 00		brk
	01028D 00		brk
	01028E 00		brk
	01028F 00		brk
	010290 00		brk
	010291 00		brk
	010292 00		brk
	010293 00		brk
	010294 00		brk
	010295 00		brk
	010296 00		brk
	010297 00		brk
	010298 00		brk
	010299 00		brk
	01029A 00		brk
	01029B 00		brk
	01029C 00		brk
	01029D 00		brk
	01029E 00		brk
	01029F 00		brk
	0102A0 00		brk
	0102A1 00		brk
	0102A2 00		brk
	0102A3 00		brk
	0102A4 00		brk
	0102A5 00		brk
	0102A6 00		brk
	0102A7 00		brk
	0102A8 00		brk
	0102A9 00		brk
	0102AA 00		brk
	0102AB 00		brk
	0102AC 00		brk
	0102AD 00		brk
	0102AE 00		brk
	0102AF 00		brk
	0102B0 00		brk
	0102B1 00		brk
	0102B2 00		brk
	0102B3 00		brk
	0102B4 00		brk
	0102B5 00		brk
	0102B6 00		brk
	0102B7 00		brk
	0102B8 00		brk
	0102B9 00		brk
	0102BA 00		brk
	0102BB 00		brk
	0102BC 00		brk
	0102BD 00		brk
	0102BE 00		brk
	0102BF 00		brk
	0102C0 00		brk
	0102C1 00		brk
	0102C2 00		brk
	0102C3 00		brk
	0102C4 00		brk
	0102C5 00		brk
	0102C6 00		brk
	0102C7 00		brk
	0102C8 00		brk
	0102C9 00		brk
	0102CA 00		brk
	0102CB 00		brk
	0102CC 00		brk
	0102CD 00		brk
	0102CE 00		brk
	0102CF 00		brk
	0102D0 00		brk
	0102D1 00		brk
	0102D2 00		brk
	0102D3 00		brk
	0102D4 00		brk
	0102D5 00		brk
	0102D6 00		brk
	0102D7 00		brk
	0102D8 00		brk
	0102D9 00		brk
	0102DA 00		brk
	0102DB 00		brk
	0102DC 00		brk
	0102DD 00		brk
	0102DE 00		brk
	0102DF 00		brk
	0102E0 00		brk
	0102E1 00		brk
	0102E2 00		brk
	0102E3 00		brk
	0102E4 00		brk
	0102E5 00		brk
	0102E6 00		brk
	0102E7 00		brk
	0102E8 00		brk
	0102E9 00		brk
	0102EA 00		brk
	0102EB 00		brk
	0102EC 00		brk
	0102ED 00		brk
	0102EE 00		brk
	0102EF 00		brk
	0102F0 00		brk
	0102F1 00		brk
	0102F2 00		brk
	0102F3 00		brk
	0102F4 00		brk
	0102F5 00		brk
	0102F6 00		brk
	0102F7 00		brk
	0102F8 00		brk
	0102F9 00		brk
	0102FA 00		brk
	0102FB 00		brk
	0102FC 00		brk
	0102FD 00		brk
	0102FE 00		brk
	0102FF 00		brk
	010300 00		brk
	010301 00		brk
	010302 00		brk
	010303 00		brk
	010304 00		brk
	010305 00		brk
	010306 00		brk
	010307 00		brk
	010308 00		brk
	010309 00		brk
	01030A 00		brk
	01030B 00		brk
	01030C 00		brk
	01030D 00		brk
	01030E 00		brk
	01030F 00		brk
	010310 00		brk
	010311 00		brk
	010312 00		brk
	010313 00		brk
	010314 00		brk
	010315 00		brk
	010316 00		brk
	010317 00		brk
	010318 00		brk
	010319 00		brk
	01031A 00		brk
	01031B 00		brk
	01031C 00		brk
	01031D 00		brk
	01031E 00		brk
	01031F 00		brk
	010320 00		brk
	010321 00		brk
	010322 00		brk
	010323 00		brk
	010324 00		brk
	010325 00		brk
	010326 00		brk
	010327 00		brk
	010328 00		brk
	010329 00		brk
	01032A 00		brk
	01032B 00		brk
	01032C 00		brk
	01032D 00		brk
	01032E 00		brk
	01032F 00		brk
	010330 00		brk
	010331 00		brk
	010332 00		brk
	010333 00		brk
	010334 00		brk
	010335 00		brk
	010336 00		brk
	010337 00		brk
	010338 00		brk
	010339 00		brk
	01033A 00		brk
	01033B 00		brk
	01033C 00		brk
	01033D 00		brk
	01033E 00		brk
	01033F 00		brk
	010340 00		brk
	010341 00		brk
	010342 00		brk
	010343 00		brk
	010344 00		brk
	010345 00		brk
	010346 00		brk
	010347 00		brk
	010348 00		brk
	010349 00		brk
	01034A 00		brk
	01034B 00		brk
	01034C 00		brk
	01034D 00		brk
	01034E 00		brk
	01034F 00		brk
	010350 00		brk
	010351 00		brk
	010352 00		brk
	010353 00		brk
	010354 00		brk
	010355 00		brk
	010356 00		brk
	010357 00		brk
	010358 00		brk
	010359 00		brk
	01035A 00		brk
	01035B 00		brk
	01035C 00		brk
	01035D 00		brk
	01035E 00		brk
	01035F 00		brk
	010360 00		brk
	010361 00		brk
	010362 00		brk
	010363 00		brk
	010364 00		brk
	010365 00		brk
	010366 00		brk
	010367 00		brk
	010368 00		brk
	010369 00		brk
	01036A 00		brk
	01036B 00		brk
	01036C 00		brk
	01036D 00		brk
	01036E 00		brk
	01036F 00		brk
	010370 00		brk
	010371 00		brk
	010372 00		brk
	010373 00		brk
	010374 00		brk
	010375 00		brk
	010376 00		brk
	010377 00		brk
	010378 00		brk
	010379 00		brk
	01037A 00		brk
	01037B 00		brk
	01037C 00		brk
	01037D 00		brk
	01037E 00		brk
	01037F 00		brk
	010380 00		brk
	010381 00		brk
	010382 00		brk
	010383 00		brk
	010384 00		brk
	010385 00		brk
	010386 00		brk
	010387 00		brk
	010388 00		brk
	010389 00		brk
	01038A 00		brk
	01038B 00		brk
	01038C 00		brk
	01038D 00		brk
	01038E 00		brk
	01038F 00		brk
	010390 00		brk
	010391 00		brk
	010392 00		brk
	010393 00		brk
	010394 00		brk
	010395 00		brk
	010396 00		brk
	010397 00		brk
	010398 00		brk
	010399 00		brk
	01039A 00		brk
	01039B 00		brk
	01039C 00		brk
	01039D 00		brk
	01039E 00		brk
	01039F 00		brk
	0103A0 00		brk
	0103A1 00		brk
	0103A2 00		brk
	0103A3 00		brk
	0103A4 00		brk
	0103A5 00		brk
	0103A6 00		brk
	0103A7 00		brk
	0103A8 00		brk
	0103A9 00		brk
	0103AA 00		brk
	0103AB 00		brk
	0103AC 00		brk
	0103AD 00		brk
	0103AE 00		brk
	0103AF 00		brk
	0103B0 00		brk
	0103B1 00		brk
	0103B2 00		brk
	0103B3 00		brk
	0103B4 00		brk
	0103B5 00		brk
	0103B6 00		brk
	0103B7 00		brk
	0103B8 00		brk
	0103B9 00		brk
	0103BA 00		brk
	0103BB 00		brk
	0103BC 00		brk
	0103BD 00		brk
	0103BE 00		brk
	0103BF 00		brk
	0103C0 00		brk
	0103C1 00		brk
	0103C2 00		brk
	0103C3 00		brk
	0103C4 00		brk
	0103C5 00		brk
	0103C6 00		brk
	0103C7 00		brk
	0103C8 00		brk
	0103C9 00		brk
	0103CA 00		brk
	0103CB 00		brk
	0103CC 00		brk
	0103CD 00		brk
	0103CE 00		brk
	0103CF 00		brk
	0103D0 00		brk
	0103D1 00		brk
	0103D2 00		brk
	0103D3 00		brk
	0103D4 00		brk
	0103D5 00		brk
	0103D6 00		brk
	0103D7 00		brk
	0103D8 00		brk
	0103D9 00		brk
	0103DA 00		brk
	0103DB 00		brk
	0103DC 00		brk
	0103DD 00		brk
	0103DE 00		brk
	0103DF 00		brk
	0103E0 00		brk
	0103E1 00		brk
	0103E2 00		brk
	0103E3 00		brk
	0103E4 00		brk
	0103E5 00		brk
	0103E6 00		brk
	0103E7 00		brk
	0103E8 00		brk
	0103E9 00		brk
	0103EA 00		brk
	0103EB 00		brk
	0103EC 00		brk
	0103ED 00		brk
	0103EE 00		brk
	0103EF 00		brk
	0103F0 00		brk
	0103F1 00		brk
	0103F2 00		brk
	0103F3 00		brk
	0103F4 00		brk
	0103F5 00		brk
	0103F6 00		brk
	0103F7 00		brk
	0103F8 00		brk
	0103F9 00		brk
	0103FA 00		brk
	0103FB 00		brk
	0103FC 00		brk
	0103FD 00		brk
	0103FE 00		brk
	0103FF 00		brk
	010400 00		brk
	010401 00		brk
	010402 00		brk
	010403 00		brk
	010404 00		brk
	010405 00		brk
	010406 00		brk
	010407 00		brk
	010408 00		brk
	010409 00		brk
	01040A 00		brk
	01040B 00		brk
	01040C 00		brk
	01040D 00		brk
	01040E 00		brk
	01040F 00		brk
	010410 00		brk
	010411 00		brk
	010412 00		brk
	010413 00		brk
	010414 00		brk
	010415 00		brk
	010416 00		brk
	010417 00		brk
	010418 00		brk
	010419 00		brk
	01041A 00		brk
	01041B 00		brk
	01041C 00		brk
	01041D 00		brk
	01041E 00		brk
	01041F 00		brk
	010420 00		brk
	010421 00		brk
	010422 00		brk
	010423 00		brk
	010424 00		brk
	010425 00		brk
	010426 00		brk
	010427 00		brk
	010428 00		brk
	010429 00		brk
	01042A 00		brk
	01042B 00		brk
	01042C 00		brk
	01042D 00		brk
	01042E 00		brk
	01042F 00		brk
	010430 00		brk
	010431 00		brk
	010432 00		brk
	010433 00		brk
	010434 00		brk
	010435 00		brk
	010436 00		brk
	010437 00		brk
	010438 00		brk
	010439 00		brk
	01043A 00		brk
	01043B 00		brk
	01043C 00		brk
	01043D 00		brk
	01043E 00		brk
	01043F 00		brk
	010440 00		brk
	010441 00		brk
	010442 00		brk
	010443 00		brk
	010444 00		brk
	010445 00		brk
	010446 00		brk
	010447 00		brk
	010448 00		brk
	010449 00		brk
	01044A 00		brk
	01044B 00		brk
	01044C 00		brk
	01044D 00		brk
	01044E 00		brk
	01044F 00		brk
	010450 00		brk
	010451 00		brk
	010452 00		brk
	010453 00		brk
	010454 00		brk
	010455 00		brk
	010456 00		brk
	010457 00		brk
	010458 00		brk
	010459 00		brk
	01045A 00		brk
	01045B 00		brk
	01045C 00		brk
	01045D 00		brk
	01045E 00		brk
	01045F 00		brk
	010460 00		brk
	010461 00		brk
	010462 00		brk
	010463 00		brk
	010464 00		brk
	010465 00		brk
	010466 00		brk
	010467 00		brk
	010468 00		brk
	010469 00		brk
	01046A 00		brk
	01046B 00		brk
	01046C 00		brk
	01046D 00		brk
	01046E 00		brk
	01046F 00		brk
	010470 00		brk
	010471 00		brk
	010472 00		brk
	010473 00		brk
	010474 00		brk
	010475 00		brk
	010476 00		brk
	010477 00		brk
	010478 00		brk
	010479 00		brk
	01047A 00		brk
	01047B 00		brk
	01047C 00		brk
	01047D 00		brk
	01047E 00		brk
	01047F 00		brk
	010480 00		brk
	010481 00		brk
	010482 00		brk
	010483 00		brk
	010484 00		brk
	010485 00		brk
	010486 00		brk
	010487 00		brk
	010488 00		brk
	010489 00		brk
	01048A 00		brk
	01048B 00		brk
	01048C 00		brk
	01048D 00		brk
	01048E 00		brk
	01048F 00		brk
	010490 00		brk
	010491 00		brk
	010492 00		brk
	010493 00		brk
	010494 00		brk
	010495 00		brk
	010496 00		brk
	010497 00		brk
	010498 00		brk
	010499 00		brk
	01049A 00		brk
	01049B 00		brk
	01049C 00		brk
	01049D 00		brk
	01049E 00		brk
	01049F 00		brk
	0104A0 00		brk
	0104A1 00		brk
	0104A2 00		brk
	0104A3 00		brk
	0104A4 00		brk
	0104A5 00		brk
	0104A6 00		brk
	0104A7 00		brk
	0104A8 00		brk
	0104A9 00		brk
	0104AA 00		brk
	0104AB 00		brk
	0104AC 00		brk
	0104AD 00		brk
	0104AE 00		brk
	0104AF 00		brk
	0104B0 00		brk
	0104B1 00		brk
	0104B2 00		brk
	0104B3 00		brk
	0104B4 00		brk
	0104B5 00		brk
	0104B6 00		brk
	0104B7 00		brk
	0104B8 00		brk
	0104B9 00		brk
	0104BA 00		brk
	0104BB 00		brk
	0104BC 00		brk
	0104BD 00		brk
	0104BE 00		brk
	0104BF 00		brk
	0104C0 00		brk
	0104C1 00		brk
	0104C2 00		brk
	0104C3 00		brk
	0104C4 00		brk
	0104C5 00		brk
	0104C6 00		brk
	0104C7 00		brk
	0104C8 00		brk
	0104C9 00		brk
	0104CA 00		brk
	0104CB 00		brk
	0104CC 00		brk
	0104CD 00		brk
	0104CE 00		brk
	0104CF 00		brk
	0104D0 00		brk
	0104D1 00		brk
	0104D2 00		brk
	0104D3 00		brk
	0104D4 00		brk
	0104D5 00		brk
	0104D6 00		brk
	0104D7 00		brk
	0104D8 00		brk
	0104D9 00		brk
	0104DA 00		brk
	0104DB 00		brk
	0104DC 00		brk
	0104DD 00		brk
	0104DE 00		brk
	0104DF 00		brk
	0104E0 00		brk
	0104E1 00		brk
	0104E2 00		brk
	0104E3 00		brk
	0104E4 00		brk
	0104E5 00		brk
	0104E6 00		brk
	0104E7 00		brk
	0104E8 00		brk
	0104E9 00		brk
	0104EA 00		brk
	0104EB 00		brk
	0104EC 00		brk
	0104ED 00		brk
	0104EE 00		brk
	0104EF 00		brk
	0104F0 00		brk
	0104F1 00		brk
	0104F2 00		brk
	0104F3 00		brk
	0104F4 00		brk
	0104F5 00		brk
	0104F6 00		brk
	0104F7 00		brk
	0104F8 00		brk
	0104F9 00		brk
	0104FA 00		brk
	0104FB 00		brk
	0104FC 00		brk
	0104FD 00		brk
	0104FE 00		brk
	0104FF 00		brk
	010500 00		brk
	010501 00		brk
	010502 00		brk
	010503 00		brk
	010504 00		brk
	010505 00		brk
	010506 00		brk
	010507 00		brk
	010508 00		brk
	010509 00		brk
	01050A 00		brk
	01050B 00		brk
	01050C 00		brk
	01050D 00		brk
	01050E 00		brk
	01050F 00		brk
	010510 00		brk
	010511 00		brk
	010512 00		brk
	010513 00		brk
	010514 00		brk
	010515 00		brk
	010516 00		brk
	010517 00		brk
	010518 00		brk
	010519 00		brk
	01051A 00		brk
	01051B 00		brk
	01051C 00		brk
	01051D 00		brk
	01051E 00		brk
	01051F 00		brk
	010520 00		brk
	010521 00		brk
	010522 00		brk
	010523 00		brk
	010524 00		brk
	010525 00		brk
	010526 00		brk
	010527 00		brk
	010528 00		brk
	010529 00		brk
	01052A 00		brk
	01052B 00		brk
	01052C 00		brk
	01052D 00		brk
	01052E 00		brk
	01052F 00		brk
	010530 00		brk
	010531 00		brk
	010532 00		brk
	010533 00		brk
	010534 00		brk
	010535 00		brk
	010536 00		brk
	010537 00		brk
	010538 00		brk
	010539 00		brk
	01053A 00		brk
	01053B 00		brk
	01053C 00		brk
	01053D 00		brk
	01053E 00		brk
	01053F 00		brk
	010540 00		brk
	010541 00		brk
	010542 00		brk
	010543 00		brk
	010544 00		brk
	010545 00		brk
	010546 00		brk
	010547 00		brk
	010548 00		brk
	010549 00		brk
	01054A 00		brk
	01054B 00		brk
	01054C 00		brk
	01054D 00		brk
	01054E 00		brk
	01054F 00		brk
	010550 00		brk
	010551 00		brk
	010552 00		brk
	010553 00		brk
	010554 00		brk
	010555 00		brk
	010556 00		brk
	010557 00		brk
	010558 00		brk
	010559 00		brk
	01055A 00		brk
	01055B 00		brk
	01055C 00		brk
	01055D 00		brk
	01055E 00		brk
	01055F 00		brk
	010560 00		brk
	010561 00		brk
	010562 00		brk
	010563 00		brk
	010564 00		brk
	010565 00		brk
	010566 00		brk
	010567 00		brk
	010568 00		brk
	010569 00		brk
	01056A 00		brk
	01056B 00		brk
	01056C 00		brk
	01056D 00		brk
	01056E 00		brk
	01056F 00		brk
	010570 00		brk
	010571 00		brk
	010572 00		brk
	010573 00		brk
	010574 00		brk
	010575 00		brk
	010576 00		brk
	010577 00		brk
	010578 00		brk
	010579 00		brk
	01057A 00		brk
	01057B 00		brk
	01057C 00		brk
	01057D 00		brk
	01057E 00		brk
	01057F 00		brk
	010580 00		brk
	010581 00		brk
	010582 00		brk
	010583 00		brk
	010584 00		brk
	010585 00		brk
	010586 00		brk
	010587 00		brk
	010588 00		brk
	010589 00		brk
	01058A 00		brk
	01058B 00		brk
	01058C 00		brk
	01058D 00		brk
	01058E 00		brk
	01058F 00		brk
	010590 00		brk
	010591 00		brk
	010592 00		brk
	010593 00		brk
	010594 00		brk
	010595 00		brk
	010596 00		brk
	010597 00		brk
	010598 00		brk
	010599 00		brk
	01059A 00		brk
	01059B 00		brk
	01059C 00		brk
	01059D 00		brk
	01059E 00		brk
	01059F 00		brk
	0105A0 00		brk
	0105A1 00		brk
	0105A2 00		brk
	0105A3 00		brk
	0105A4 00		brk
	0105A5 00		brk
	0105A6 00		brk
	0105A7 00		brk
	0105A8 00		brk
	0105A9 00		brk
	0105AA 00		brk
	0105AB 00		brk
	0105AC 00		brk
	0105AD 00		brk
	0105AE 00		brk
	0105AF 00		brk
	0105B0 00		brk
	0105B1 00		brk
	0105B2 00		brk
	0105B3 00		brk
	0105B4 00		brk
	0105B5 00		brk
	0105B6 00		brk
	0105B7 00		brk
	0105B8 00		brk
	0105B9 00		brk
	0105BA 00		brk
	0105BB 00		brk
	0105BC 00		brk
	0105BD 00		brk
	0105BE 00		brk
	0105BF 00		brk
	0105C0 00		brk
	0105C1 00		brk
	0105C2 00		brk
	0105C3 00		brk
	0105C4 00		brk
	0105C5 00		brk
	0105C6 00		brk
	0105C7 00		brk
	0105C8 00		brk
	0105C9 00		brk
	0105CA 00		brk
	0105CB 00		brk
	0105CC 00		brk
	0105CD 00		brk
	0105CE 00		brk
	0105CF 00		brk
	0105D0 00		brk
	0105D1 00		brk
	0105D2 00		brk
	0105D3 00		brk
	0105D4 00		brk
	0105D5 00		brk
	0105D6 00		brk
	0105D7 00		brk
	0105D8 00		brk
	0105D9 00		brk
	0105DA 00		brk
	0105DB 00		brk
	0105DC 00		brk
	0105DD 00		brk
	0105DE 00		brk
	0105DF 00		brk
	0105E0 00		brk
	0105E1 00		brk
	0105E2 00		brk
	0105E3 00		brk
	0105E4 00		brk
	0105E5 00		brk
	0105E6 00		brk
	0105E7 00		brk
	0105E8 00		brk
	0105E9 00		brk
	0105EA 00		brk
	0105EB 00		brk
	0105EC 00		brk
	0105ED 00		brk
	0105EE 00		brk
	0105EF 00		brk
	0105F0 00		brk
	0105F1 00		brk
	0105F2 00		brk
	0105F3 00		brk
	0105F4 00		brk
	0105F5 00		brk
	0105F6 00		brk
	0105F7 00		brk
	0105F8 00		brk
	0105F9 00		brk
	0105FA 00		brk
	0105FB 00		brk
	0105FC 00		brk
	0105FD 00		brk
	0105FE 00		brk
	0105FF 00		brk
	010600 00		brk
	010601 00		brk
	010602 00		brk
	010603 00		brk
	010604 00		brk
	010605 00		brk
	010606 00		brk
	010607 00		brk
	010608 00		brk
	010609 00		brk
	01060A 00		brk
	01060B 00		brk
	01060C 00		brk
	01060D 00		brk
	01060E 00		brk
	01060F 00		brk
	010610 00		brk
	010611 00		brk
	010612 00		brk
	010613 00		brk
	010614 00		brk
	010615 00		brk
	010616 00		brk
	010617 00		brk
	010618 00		brk
	010619 00		brk
	01061A 00		brk
	01061B 00		brk
	01061C 00		brk
	01061D 00		brk
	01061E 00		brk
	01061F 00		brk
	010620 00		brk
	010621 00		brk
	010622 00		brk
	010623 00		brk
	010624 00		brk
	010625 00		brk
	010626 00		brk
	010627 00		brk
	010628 00		brk
	010629 00		brk
	01062A 00		brk
	01062B 00		brk
	01062C 00		brk
	01062D 00		brk
	01062E 00		brk
	01062F 00		brk
	010630 00		brk
	010631 00		brk
	010632 00		brk
	010633 00		brk
	010634 00		brk
	010635 00		brk
	010636 00		brk
	010637 00		brk
	010638 00		brk
	010639 00		brk
	01063A 00		brk
	01063B 00		brk
	01063C 00		brk
	01063D 00		brk
	01063E 00		brk
	01063F 00		brk
	010640 00		brk
	010641 00		brk
	010642 00		brk
	010643 00		brk
	010644 00		brk
	010645 00		brk
	010646 00		brk
	010647 00		brk
	010648 00		brk
	010649 00		brk
	01064A 00		brk
	01064B 00		brk
	01064C 00		brk
	01064D 00		brk
	01064E 00		brk
	01064F 00		brk
	010650 00		brk
	010651 00		brk
	010652 00		brk
	010653 00		brk
	010654 00		brk
	010655 00		brk
	010656 00		brk
	010657 00		brk
	010658 00		brk
	010659 00		brk
	01065A 00		brk
	01065B 00		brk
	01065C 00		brk
	01065D 00		brk
	01065E 00		brk
	01065F 00		brk
	010660 00		brk
	010661 00		brk
	010662 00		brk
	010663 00		brk
	010664 00		brk
	010665 00		brk
	010666 00		brk
	010667 00		brk
	010668 00		brk
	010669 00		brk
	01066A 00		brk
	01066B 00		brk
	01066C 00		brk
	01066D 00		brk
	01066E 00		brk
	01066F 00		brk
	010670 00		brk
	010671 00		brk
	010672 00		brk
	010673 00		brk
	010674 00		brk
	010675 00		brk
	010676 00		brk
	010677 00		brk
	010678 00		brk
	010679 00		brk
	01067A 00		brk
	01067B 00		brk
	01067C 00		brk
	01067D 00		brk
	01067E 00		brk
	01067F 00		brk
	010680 00		brk
	010681 00		brk
	010682 00		brk
	010683 00		brk
	010684 00		brk
	010685 00		brk
	010686 00		brk
	010687 00		brk
	010688 00		brk
	010689 00		brk
	01068A 00		brk
	01068B 00		brk
	01068C 00		brk
	01068D 00		brk
	01068E 00		brk
	01068F 00		brk
	010690 00		brk
	010691 00		brk
	010692 00		brk
	010693 00		brk
	010694 00		brk
	010695 00		brk
	010696 00		brk
	010697 00		brk
	010698 00		brk
	010699 00		brk
	01069A 00		brk
	01069B 00		brk
	01069C 00		brk
	01069D 00		brk
	01069E 00		brk
	01069F 00		brk
	0106A0 00		brk
	0106A1 00		brk
	0106A2 00		brk
	0106A3 00		brk
	0106A4 00		brk
	0106A5 00		brk
	0106A6 00		brk
	0106A7 00		brk
	0106A8 00		brk
	0106A9 00		brk
	0106AA 00		brk
	0106AB 00		brk
	0106AC 00		brk
	0106AD 00		brk
	0106AE 00		brk
	0106AF 00		brk
	0106B0 00		brk
	0106B1 00		brk
	0106B2 00		brk
	0106B3 00		brk
	0106B4 00		brk
	0106B5 00		brk
	0106B6 00		brk
	0106B7 00		brk
	0106B8 00		brk
	0106B9 00		brk
	0106BA 00		brk
	0106BB 00		brk
	0106BC 00		brk
	0106BD 00		brk
	0106BE 00		brk
	0106BF 00		brk
	0106C0 00		brk
	0106C1 00		brk
	0106C2 00		brk
	0106C3 00		brk
	0106C4 00		brk
	0106C5 00		brk
	0106C6 00		brk
	0106C7 00		brk
	0106C8 00		brk
	0106C9 00		brk
	0106CA 00		brk
	0106CB 00		brk
	0106CC 00		brk
	0106CD 00		brk
	0106CE 00		brk
	0106CF 00		brk
	0106D0 00		brk
	0106D1 00		brk
	0106D2 00		brk
	0106D3 00		brk
	0106D4 00		brk
	0106D5 00		brk
	0106D6 00		brk
	0106D7 00		brk
	0106D8 00		brk
	0106D9 00		brk
	0106DA 00		brk
	0106DB 00		brk
	0106DC 00		brk
	0106DD 00		brk
	0106DE 00		brk
	0106DF 00		brk
	0106E0 00		brk
	0106E1 00		brk
	0106E2 00		brk
	0106E3 00		brk
	0106E4 00		brk
	0106E5 00		brk
	0106E6 00		brk
	0106E7 00		brk
	0106E8 00		brk
	0106E9 00		brk
	0106EA 00		brk
	0106EB 00		brk
	0106EC 00		brk
	0106ED 00		brk
	0106EE 00		brk
	0106EF 00		brk
	0106F0 00		brk
	0106F1 00		brk
	0106F2 00		brk
	0106F3 00		brk
	0106F4 00		brk
	0106F5 00		brk
	0106F6 00		brk
	0106F7 00		brk
	0106F8 00		brk
	0106F9 00		brk
	0106FA 00		brk
	0106FB 00		brk
	0106FC 00		brk
	0106FD 00		brk
	0106FE 00		brk
	0106FF 00		brk
	010700 00		brk
	010701 00		brk
	010702 00		brk
	010703 00		brk
	010704 00		brk
	010705 00		brk
	010706 00		brk
	010707 00		brk
	010708 00		brk
	010709 00		brk
	01070A 00		brk
	01070B 00		brk
	01070C 00		brk
	01070D 00		brk
	01070E 00		brk
	01070F 00		brk
	010710 00		brk
	010711 00		brk
	010712 00		brk
	010713 00		brk
	010714 00		brk
	010715 00		brk
	010716 00		brk
	010717 00		brk
	010718 00		brk
	010719 00		brk
	01071A 00		brk
	01071B 00		brk
	01071C 00		brk
	01071D 00		brk
	01071E 00		brk
	01071F 00		brk
	010720 00		brk
	010721 00		brk
	010722 00		brk
	010723 00		brk
	010724 00		brk
	010725 00		brk
	010726 00		brk
	010727 00		brk
	010728 00		brk
	010729 00		brk
	01072A 00		brk
	01072B 00		brk
	01072C 00		brk
	01072D 00		brk
	01072E 00		brk
	01072F 00		brk
	010730 00		brk
	010731 00		brk
	010732 00		brk
	010733 00		brk
	010734 00		brk
	010735 00		brk
	010736 00		brk
	010737 00		brk
	010738 00		brk
	010739 00		brk
	01073A 00		brk
	01073B 00		brk
	01073C 00		brk
	01073D 00		brk
	01073E 00		brk
	01073F 00		brk
	010740 00		brk
	010741 00		brk
	010742 00		brk
	010743 00		brk
	010744 00		brk
	010745 00		brk
	010746 00		brk
	010747 00		brk
	010748 00		brk
	010749 00		brk
	01074A 00		brk
	01074B 00		brk
	01074C 00		brk
	01074D 00		brk
	01074E 00		brk
	01074F 00		brk
	010750 00		brk
	010751 00		brk
	010752 00		brk
	010753 00		brk
	010754 00		brk
	010755 00		brk
	010756 00		brk
	010757 00		brk
	010758 00		brk
	010759 00		brk
	01075A 00		brk
	01075B 00		brk
	01075C 00		brk
	01075D 00		brk
	01075E 00		brk
	01075F 00		brk
	010760 00		brk
	010761 00		brk
	010762 00		brk
	010763 00		brk
	010764 00		brk
	010765 00		brk
	010766 00		brk
	010767 00		brk
	010768 00		brk
	010769 00		brk
	01076A 00		brk
	01076B 00		brk
	01076C 00		brk
	01076D 00		brk
	01076E 00		brk
	01076F 00		brk
	010770 00		brk
	010771 00		brk
	010772 00		brk
	010773 00		brk
	010774 00		brk
	010775 00		brk
	010776 00		brk
	010777 00		brk
	010778 00		brk
	010779 00		brk
	01077A 00		brk
	01077B 00		brk
	01077C 00		brk
	01077D 00		brk
	01077E 00		brk
	01077F 00		brk
	010780 00		brk
	010781 00		brk
	010782 00		brk
	010783 00		brk
	010784 00		brk
	010785 00		brk
	010786 00		brk
	010787 00		brk
	010788 00		brk
	010789 00		brk
	01078A 00		brk
	01078B 00		brk
	01078C 00		brk
	01078D 00		brk
	01078E 00		brk
	01078F 00		brk
	010790 00		brk
	010791 00		brk
	010792 00		brk
	010793 00		brk
	010794 00		brk
	010795 00		brk
	010796 00		brk
	010797 00		brk
	010798 00		brk
	010799 00		brk
	01079A 00		brk
	01079B 00		brk
	01079C 00		brk
	01079D 00		brk
	01079E 00		brk
	01079F 00		brk
	0107A0 00		brk
	0107A1 00		brk
	0107A2 00		brk
	0107A3 00		brk
	0107A4 00		brk
	0107A5 00		brk
	0107A6 00		brk
	0107A7 00		brk
	0107A8 00		brk
	0107A9 00		brk
	0107AA 00		brk
	0107AB 00		brk
	0107AC 00		brk
	0107AD 00		brk
	0107AE 00		brk
	0107AF 00		brk
	0107B0 00		brk
	0107B1 00		brk
	0107B2 00		brk
	0107B3 00		brk
	0107B4 00		brk
	0107B5 00		brk
	0107B6 00		brk
	0107B7 00		brk
	0107B8 00		brk
	0107B9 00		brk
	0107BA 00		brk
	0107BB 00		brk
	0107BC 00		brk
	0107BD 00		brk
	0107BE 00		brk
	0107BF 00		brk
	0107C0 00		brk
	0107C1 00		brk
	0107C2 00		brk
	0107C3 00		brk
	0107C4 00		brk
	0107C5 00		brk
	0107C6 00		brk
	0107C7 00		brk
	0107C8 00		brk
	0107C9 00		brk
	0107CA 00		brk
	0107CB 00		brk
	0107CC 00		brk
	0107CD 00		brk
	0107CE 00		brk
	0107CF 00		brk
	0107D0 00		brk
	0107D1 00		brk
	0107D2 00		brk
	0107D3 00		brk
	0107D4 00		brk
	0107D5 00		brk
	0107D6 00		brk
	0107D7 00		brk
	0107D8 00		brk
	0107D9 00		brk
	0107DA 00		brk
	0107DB 00		brk
	0107DC 00		brk
	0107DD 00		brk
	0107DE 00		brk
	0107DF 00		brk
	0107E0 00		brk
	0107E1 00		brk
	0107E2 00		brk
	0107E3 00		brk
	0107E4 00		brk
	0107E5 00		brk
	0107E6 00		brk
	0107E7 00		brk
	0107E8 00		brk
	0107E9 00		brk
	0107EA 00		brk
	0107EB 00		brk
	0107EC 00		brk
	0107ED 00		brk
	0107EE 00		brk
	0107EF 00		brk
	0107F0 00		brk
	0107F1 00		brk
	0107F2 00		brk
	0107F3 00		brk
	0107F4 00		brk
	0107F5 00		brk
	0107F6 00		brk
	0107F7 00		brk
	0107F8 00		brk
	0107F9 00		brk
	0107FA 00		brk
	0107FB 00		brk
	0107FC 00		brk
	0107FD 00		brk
	0107FE 00		brk
	0107FF 02		mpy
	010800 20 6C E5		jsr $E56C
	010803 4C D8 1F		jmp $1FD8

010806	010806 4C 0C 08		jmp $080C

010809	010809 EA		nop
	01080A EA		nop
	01080B EA		nop
	01080C 20 82 E5		jsr $E582
	01080F 20 D8 1F		jsr $1FD8
	010812 4C 82 E5		jmp $E582

010815	010815 20 43 E5		jsr $E543
	010818 20 D8 1F		jsr $1FD8
	01081B 4C 43 E5		jmp $E543

01081E	01081E 20 59 E5		jsr $E559
	010821 20 D8 1F		jsr $1FD8
	010824 4C 59 E5		jmp $E559

010827	010827 20 6C E5		jsr $E56C
	01082A 4C EF 11		jmp $11EF

01082D	01082D 4C 33 08		jmp $0833

010830	010830 EA		nop
	010831 EA		nop
	010832 EA		nop
	010833 20 82 E5		jsr $E582
	010836 20 EF 11		jsr $11EF
	010839 4C 82 E5		jmp $E582

01083C	01083C 20 43 E5		jsr $E543
	01083F 20 EF 11		jsr $11EF
	010842 4C 43 E5		jmp $E543

010845	010845 20 59 E5		jsr $E559
	010848 20 EF 11		jsr $11EF
	01084B 4C 59 E5		jmp $E559

01084E	01084E 20 6C E5		jsr $E56C
	010851 4C 36 0A		jmp $0A36

010854	010854 4C 5A 08		jmp $085A

010857	010857 EA		nop
	010858 EA		nop
	010859 EA		nop
	01085A 20 82 E5		jsr $E582
	01085D 20 36 0A		jsr $0A36
	010860 4C 82 E5		jmp $E582

010863	010863 20 43 E5		jsr $E543
	010866 20 36 0A		jsr $0A36
	010869 4C 43 E5		jmp $E543

01086C	01086C 20 59 E5		jsr $E559
	01086F 20 36 0A		jsr $0A36
	010872 4C 59 E5		jmp $E559

010875	010875 20 6C E5		jsr $E56C
	010878 4C CA 1B		jmp $1BCA

01087B	01087B 4C 81 08		jmp $0881

01087E	01087E EA		nop
	01087F EA		nop
	010880 EA		nop
	010881 20 82 E5		jsr $E582
	010884 20 CA 1B		jsr $1BCA
	010887 4C 82 E5		jmp $E582

01088A	01088A 20 43 E5		jsr $E543
	01088D 20 CA 1B		jsr $1BCA
	010890 4C 43 E5		jmp $E543

010893	010893 20 59 E5		jsr $E559
	010896 20 CA 1B		jsr $1BCA
	010899 4C 59 E5		jmp $E559

01089C	01089C 20 6C E5		jsr $E56C
	01089F 4C 19 1C		jmp $1C19

0108A2	0108A2 4C A8 08		jmp $08A8

0108A5	0108A5 EA		nop
	0108A6 EA		nop
	0108A7 EA		nop
	0108A8 20 82 E5		jsr $E582
	0108AB 20 19 1C		jsr $1C19
	0108AE 4C 82 E5		jmp $E582

0108B1	0108B1 20 43 E5		jsr $E543
	0108B4 20 19 1C		jsr $1C19
	0108B7 4C 43 E5		jmp $E543

0108BA	0108BA 20 59 E5		jsr $E559
	0108BD 20 19 1C		jsr $1C19
	0108C0 4C 59 E5		jmp $E559

0108C3	0108C3 20 6C E5		jsr $E56C
	0108C6 4C D4 1B		jmp $1BD4

0108C9	0108C9 20 82 E5		jsr $E582
	0108CC 20 D4 1B		jsr $1BD4
	0108CF 4C 82 E5		jmp $E582

0108D2	0108D2 20 43 E5		jsr $E543
	0108D5 20 D4 1B		jsr $1BD4
	0108D8 4C 43 E5		jmp $E543

0108DB	0108DB 20 59 E5		jsr $E559
	0108DE 20 D4 1B		jsr $1BD4
	0108E1 4C 59 E5		jmp $E559

0108E4	0108E4 20 6C E5		jsr $E56C
	0108E7 4C F9 1B		jmp $1BF9

0108EA	0108EA 20 82 E5		jsr $E582
	0108ED 20 F9 1B		jsr $1BF9
	0108F0 4C 82 E5		jmp $E582

0108F3	0108F3 20 43 E5		jsr $E543
	0108F6 20 F9 1B		jsr $1BF9
	0108F9 4C 43 E5		jmp $E543

0108FC	0108FC 20 59 E5		jsr $E559
	0108FF 20 F9 1B		jsr $1BF9
	010902 4C 59 E5		jmp $E559

010905	010905 20 6C E5		jsr $E56C
	010908 4C 43 4C		jmp $4C43

01090B	01090B 20 82 E5		jsr $E582
	01090E 20 43 4C		jsr $4C43
	010911 4C 82 E5		jmp $E582

010914	010914 20 43 E5		jsr $E543
	010917 20 43 4C		jsr $4C43
	01091A 4C 43 E5		jmp $E543

01091D	01091D 20 59 E5		jsr $E559
	010920 20 43 4C		jsr $4C43
	010923 4C 59 E5		jmp $E559

010926	010926 20 6C E5		jsr $E56C
	010929 4C 73 4B		jmp $4B73

01092C	01092C 20 82 E5		jsr $E582
	01092F 20 73 4B		jsr $4B73
	010932 4C 82 E5		jmp $E582

010935	010935 20 43 E5		jsr $E543
	010938 20 73 4B		jsr $4B73
	01093B 4C 43 E5		jmp $E543

01093E	01093E 20 59 E5		jsr $E559
	010941 20 73 4B		jsr $4B73
	010944 4C 59 E5		jmp $E559

010947	010947 20 6C E5		jsr $E56C
	01094A 4C 39 1C		jmp $1C39

01094D	01094D 20 82 E5		jsr $E582
	010950 20 39 1C		jsr $1C39
	010953 4C 82 E5		jmp $E582

010956	010956 20 43 E5		jsr $E543
	010959 20 39 1C		jsr $1C39
	01095C 4C 43 E5		jmp $E543

01095F	01095F 20 59 E5		jsr $E559
	010962 20 39 1C		jsr $1C39
	010965 4C 59 E5		jmp $E559

010968	010968 20 6C E5		jsr $E56C
	01096B 4C 63 0D		jmp $0D63

01096E	01096E 20 82 E5		jsr $E582
	010971 20 63 0D		jsr $0D63
	010974 4C 82 E5		jmp $E582

010977	010977 20 43 E5		jsr $E543
	01097A 20 63 0D		jsr $0D63
	01097D 4C 43 E5		jmp $E543

010980	010980 20 59 E5		jsr $E559
	010983 20 63 0D		jsr $0D63
	010986 4C 59 E5		jmp $E559

010989	010989 20 6C E5		jsr $E56C
	01098C 4C 3C 10		jmp $103C

01098F	01098F 20 82 E5		jsr $E582
	010992 20 3C 10		jsr $103C
	010995 4C 82 E5		jmp $E582

010998	010998 20 43 E5		jsr $E543
	01099B 20 3C 10		jsr $103C
	01099E 4C 43 E5		jmp $E543

0109A1	0109A1 20 59 E5		jsr $E559
	0109A4 20 3C 10		jsr $103C
	0109A7 4C 59 E5		jmp $E559

0109AA	0109AA 4C 63 E5		jmp $E563

0109AD	0109AD 4C C8 E5		jmp $E5C8

0109B0	0109B0 4C 2A E6		jmp $E62A

0109B3	0109B3 4C 8F E6		jmp $E68F

0109B6	0109B6 00		brk
	0109B7 81 82		sta ($82)
	0109B9 03		tip
	0109BA 84 05		sty $05			;Cx9	port B select (R/W)
	0109BC 06 87		asl $87
	0109BE 88		dey
	0109BF 09 0A		ora #$0A
	0109C1 8B		nxt
	0109C2 0C 8D 8E		jpi ($8E8D)
	0109C5 0F 90 11		bbr 0,$90,$0109d9
	0109C8 12		mpa
	0109C9 93		???			;undocumented opcode
	0109CA 14		???			;undocumented opcode
	0109CB 95 96		sta $96,x
	0109CD 17 18		rmb 1,$18		;Cx9	bank switch register 0 (R/W)
	0109CF 99 9A		sta $9A,y
	0109D1 1B		jsb 1			;indirect $FFE2
	0109D2 9C		???			;undocumented opcode
	0109D3 1D 1E 9F		ora $9F1E,x
	0109D6 A0 21		ldy #$21'!'
	0109D8 22		psh
0109D9	0109D9 A3		???			;undocumented opcode
	0109DA 24 A5		bit $A5
	0109DC A6 27		ldx $27			;Cx9 SP RAM 7
	0109DE 28		plp
	0109DF A9 AA		lda #$AA
	0109E1 2B		jsb 2			;indirect $FFE4
	0109E2 AC 2D 2E		ldy $2E2D
	0109E5 AF 30 B1		bbs 2,$30,$010999	;C39	only : FIFO status register
	0109E8 B2 33 B4		sti #$33'3',$B4
	0109EB 35 36		and $36,x		;Cx9 PAUL, PAB-PALL
	0109ED B7 B8		smb 3,$B8
	0109EF 39 3A BB		and $BB3A,y
	0109F2 3C		???			;undocumented opcode
	0109F3 BD BE 3F		lda $3FBE,x
	0109F6 C0 41		cpy #$41'A'
	0109F8 42		rnd
	0109F9 C3		???			;undocumented opcode
	0109FA 44		???			;undocumented opcode
	0109FB C5 C6		cmp $C6
	0109FD 47 48		rmb 4,$48
	0109FF C9 CA		cmp #$CA
	010A01 4B		jsb 4			;indirect $FFE8
	010A02 CC 4D 4E		cpy $4E4D
	010A05 CF 50 D1		bbs 4,$50,$0109d9
	010A08 D2 53 D4 55	sba $53,$55D4
	010A0C 56 D7		lsr $D7,x
	010A0E D8		cld
	010A0F 59 5A DB		eor $DB5A,y
	010A12 5C		???			;undocumented opcode
	010A13 DD DE 5F		cmp $5FDE,x
	010A16 60		rts

010A17	010A17 E1 E2		sbc ($E2)
	010A19 63		???			;undocumented opcode
	010A1A E4 65		cpx $65
	010A1C 66 E7		ror $E7
	010A1E E8		inx
	010A1F 69 6A		adc #$6A'j'
	010A21 EB		lai
	010A22 6C ED EE		jmp ($EEED)

010A25	010A25 6F F0 71		bbr 6,$F0,$010a99
	010A28 72		twa
	010A29 F3		???			;undocumented opcode
	010A2A 74 F5		add $F5,x
	010A2C F6 77		inc $77,x
	010A2E 78		sei
	010A2F F9 FA 7B		sbc $7BFA,y
	010A32 FC		???			;undocumented opcode
	010A33 7D 7E FF		adc $FF7E,x
	010A36 4F 66 29		bbr 4,$66,$010a62
	010A39 A5 38		lda $38			;Cx9	serial I/O buffers
	010A3B D0 04		bne $010a41
	010A3D 3F 3C 01		bbr 3,$3C,$010a41	;Cx9	serial status register
	010A40 60		rts

010A41	010A41 6F 66 01		bbr 6,$66,$010a45
	010A44 60		rts

010A45	010A45 A8		tay
	010A46 CD B6 03		cmp $03B6
	010A49 D0 05		bne $010a50
	010A4B 20 AC 14		jsr $14AC
	010A4E 80 0B		bra $010a5b

010A50	010A50 AE 7F 03		ldx $037F
	010A53 F0 06		beq $010a5b
	010A55 20 1F 15		jsr $151F
	010A58 80 01		bra $010a5b

010A5A	010A5A 60		rts

010A5B	010A5B 98		tya
	010A5C 20 86 2E		jsr $2E86
	010A5F 4C 1E 16		jmp $161E

010A62	010A62 A5 38		lda $38			;Cx9	serial I/O buffers
	010A64 D0 04		bne $010a6a
	010A66 3F 3C 01		bbr 3,$3C,$010a6a	;Cx9	serial status register
	010A69 60		rts

010A6A	010A6A 6F 66 01		bbr 6,$66,$010a6e
	010A6D 60		rts

010A6E	010A6E EF 57 0C		bbs 6,$57,$010a7d
	010A71 BF 9B 06		bbs 3,$9B,$010a7a
	010A74 8F 69 03		bbs 0,$69,$010a7a
	010A77 1F 69 03		bbr 1,$69,$010a7d
010A7A	010A7A 4C 16 0C		jmp $0C16

010A7D	010A7D A8		tay
	010A7E 0F 81 0A		bbr 0,$81,$010a8b
	010A81 AF 81 03		bbs 2,$81,$010a87
	010A84 1F 81 04		bbr 1,$81,$010a8b
010A87	010A87 20 F6 0A		jsr $0AF6
	010A8A 60		rts

010A8B	010A8B 6F 81 04		bbr 6,$81,$010a92
	010A8E 20 11 0B		jsr $0B11
	010A91 60		rts

010A92	010A92 2F 6D 03		bbr 2,$6D,$010a98
	010A95 4C 0E 0C		jmp $0C0E

010A98	010A98 CD B6 03		cmp $03B6
	010A9B D0 08		bne $010aa5
	010A9D 20 AC 14		jsr $14AC
	010AA0 7F 65 3B		bbr 7,$65,$010ade
	010AA3 80 38		bra $010add

010AA5	010AA5 AE 7F 03		ldx $037F
	010AA8 F0 05		beq $010aaf
	010AAA 20 1F 15		jsr $151F
	010AAD 90 2F		bcc $010ade
010AAF	010AAF FF 65 2B		bbs 7,$65,$010add
	010AB2 E2 31 01 20 03	bar $0131,$20,$010aba
	010AB7 8F 86 24		bbs 0,$86,$010ade
010ABA	010ABA 2F 53 21		bbr 2,$53,$010ade
	010ABD CD B7 03		cmp $03B7
	010AC0 D0 09		bne $010acb
	010AC2 DF 74 02		bbs 5,$74,$010ac7
	010AC5 B7 64		smb 3,$64
010AC7	010AC7 47 74		rmb 4,$74
	010AC9 80 0F		bra $010ada

010ACB	010ACB CD B8 03		cmp $03B8
	010ACE D0 0E		bne $010ade
	010AD0 9F 74 05		bbs 1,$74,$010ad8
	010AD3 8F 74 02		bbs 0,$74,$010ad8
	010AD6 37 64		rmb 3,$64
010AD8	010AD8 C7 74		smb 4,$74
010ADA	010ADA 8F 53 01		bbs 0,$53,$010ade
010ADD	010ADD 60		rts

010ADE	010ADE 98		tya
	010ADF E2 31 01 20 05	bar $0131,$20,$010ae9
	010AE4 20 53 E4		jsr $E453
	010AE7 80 03		bra $010aec

010AE9	010AE9 20 86 2E		jsr $2E86
010AEC	010AEC 20 1E 16		jsr $161E
	010AEF EF 57 03		bbs 6,$57,$010af5
	010AF2 20 67 F4		jsr $F467
010AF5	010AF5 60		rts

010AF6	010AF6 2F 81 06		bbr 2,$81,$010aff
	010AF9 20 43 18		jsr $1843
	010AFC 90 06		bcc $010b04
010AFE	010AFE 60		rts

010AFF	010AFF 20 15 19		jsr $1915
	010B02 B0 FA		bcs $010afe
010B04	010B04 98		tya
	010B05 20 86 2E		jsr $2E86
	010B08 20 1E 16		jsr $161E
	010B0B AF 81 F0		bbs 2,$81,$010afe
	010B0E 4C 67 F4		jmp $F467

010B11	010B11 5F 83 0E		bbr 5,$83,$010b22
	010B14 57 83		rmb 5,$83
	010B16 89 E2		add #$E2
	010B18 C9 11		cmp #$11
	010B1A B0 03		bcs $010b1f
	010B1C 8D 37 01		sta $0137
010B1F	010B1F E7 83		smb 6,$83
	010B21 60		rts

010B22	010B22 6F 83 03		bbr 6,$83,$010b28
	010B25 67 83		rmb 6,$83
	010B27 60		rts

010B28	010B28 BF 85 27		bbs 3,$85,$010b52
	010B2B C9 19		cmp #$19
	010B2D F0 04		beq $010b33
	010B2F C9 99		cmp #$99
	010B31 D0 03		bne $010b36
010B33	010B33 B7 85		smb 3,$85
010B35	010B35 60		rts

010B36	010B36 7F 82 08		bbr 7,$82,$010b41
	010B39 EF 82 33		bbs 6,$82,$010b6f
	010B3C BF 84 F6		bbs 3,$84,$010b35
	010B3F 97 82		smb 1,$82
010B41	010B41 20 86 2E		jsr $2E86
	010B44 90 03		bcc $010b49
	010B46 4C F9 0B		jmp $0BF9

010B49	010B49 20 1E 16		jsr $161E
	010B4C FF 82 E6		bbs 7,$82,$010b35
	010B4F 4C 67 F4		jmp $F467

010B52	010B52 C9 19		cmp #$19
	010B54 F0 DF		beq $010b35
	010B56 37 85		rmb 3,$85
	010B58 C9 B0		cmp #$B0
	010B5A D0 06		bne $010b62
	010B5C B7 81		smb 3,$81
	010B5E 20 62 F4		jsr $F462
	010B61 60		rts

010B62	010B62 C9 B1		cmp #$B1
	010B64 D0 23		bne $010b89
	010B66 FF 82 0F		bbs 7,$82,$010b78
	010B69 C7 81		smb 4,$81
	010B6B 20 62 F4		jsr $F462
	010B6E 60		rts

010B6F	010B6F EE 79 03		inc $0379
	010B72 D0 6C		bne $010be0
	010B74 EE 7A 03		inc $037A
	010B77 60		rts

010B78	010B78 BF 84 0B		bbs 3,$84,$010b86
	010B7B 1F 82 0A		bbr 1,$82,$010b88
	010B7E 17 82		rmb 1,$82
	010B80 EE 73 03		inc $0373
	010B83 4C EC 0B		jmp $0BEC

010B86	010B86 37 84		rmb 3,$84
010B88	010B88 60		rts

010B89	010B89 C9 B2		cmp #$B2
	010B8B D0 13		bne $010ba0
	010B8D 20 24 18		jsr $1824
	010B90 20 A2 2F		jsr $2FA2
	010B93 20 82 16		jsr $1682
	010B96 A9 00		lda #$00
	010B98 8D 73 03		sta $0373
	010B9B 17 82		rmb 1,$82
	010B9D 37 84		rmb 3,$84
	010B9F 60		rts

010BA0	010BA0 C9 B3		cmp #$B3
	010BA2 D0 09		bne $010bad
	010BA4 7F 82 05		bbr 7,$82,$010bac
	010BA7 20 B8 2F		jsr $2FB8
	010BAA F7 6E		smb 7,$6E
010BAC	010BAC 60		rts

010BAD	010BAD C9 B7		cmp #$B7
	010BAF D0 03		bne $010bb4
	010BB1 B7 83		smb 3,$83
	010BB3 60		rts

010BB4	010BB4 C9 BA		cmp #$BA
	010BB6 D0 06		bne $010bbe
	010BB8 20 62 F4		jsr $F462
	010BBB C7 82		smb 4,$82
	010BBD 60		rts

010BBE	010BBE C9 BB		cmp #$BB
	010BC0 D0 0A		bne $010bcc
	010BC2 7F 82 1B		bbr 7,$82,$010be0
	010BC5 D7 81		smb 5,$81
	010BC7 17 74		rmb 1,$74
	010BC9 07 74		rmb 0,$74
	010BCB 60		rts

010BCC	010BCC C9 BC		cmp #$BC
	010BCE D0 03		bne $010bd3
	010BD0 A7 84		smb 2,$84
	010BD2 60		rts

010BD3	010BD3 C9 BD		cmp #$BD
	010BD5 D0 03		bne $010bda
	010BD7 97 84		smb 1,$84
	010BD9 60		rts

010BDA	010BDA C9 BE		cmp #$BE
	010BDC D0 03		bne $010be1
	010BDE D7 83		smb 5,$83
010BE0	010BE0 60		rts

010BE1	010BE1 7F 82 08		bbr 7,$82,$010bec
	010BE4 EF 82 88		bbs 6,$82,$010b6f
	010BE7 BF 84 F6		bbs 3,$84,$010be0
	010BEA 97 82		smb 1,$82
010BEC	010BEC 48		pha
	010BED A9 19		lda #$19
	010BEF 20 86 2E		jsr $2E86
	010BF2 B0 04		bcs $010bf8
	010BF4 68		pla
	010BF5 4C 41 0B		jmp $0B41

010BF8	010BF8 68		pla
	010BF9 B7 82		smb 3,$82
	010BFB 7F 82 E2		bbr 7,$82,$010be0
	010BFE E7 82		smb 6,$82
	010C00 17 82		rmb 1,$82
	010C02 A9 00		lda #$00
	010C04 8D 73 03		sta $0373
	010C07 8D 79 03		sta $0379
	010C0A 8D 7A 03		sta $037A
	010C0D 60		rts

010C0E	010C0E 98		tya
	010C0F 20 86 2E		jsr $2E86
	010C12 20 1E 16		jsr $161E
	010C15 60		rts

010C16	010C16 48		pha
	010C17 A9 05		lda #$05
	010C19 8D 30 02		sta $0230
	010C1C A9 00		lda #$00
	010C1E 8D 31 02		sta $0231
	010C21 77 5F		rmb 7,5F
	010C23 B7 8C		smb 3,$8C
	010C25 3F 9B 03		bbr 3,$9B,$010c2b
	010C28 20 6D EF		jsr $EF6D
010C2B	010C2B 68		pla
	010C2C 8F 85 03		bbs 0,$85,$010c32
	010C2F 4C 3A 0D		jmp $0D3A

010C32	010C32 4F 85 04		bbr 4,$85,$010c39
	010C35 BF 9B 01		bbs 3,$9B,$010c39
	010C38 60		rts

010C39	010C39 BF 85 0E		bbs 3,$85,$010c4a
	010C3C C9 10		cmp #$10
	010C3E F0 07		beq $010c47
	010C40 4F 85 01		bbr 4,$85,$010c44
	010C43 60		rts

010C44	010C44 4C FC 0C		jmp $0CFC

010C47	010C47 B7 85		smb 3,$85
	010C49 60		rts

010C4A	010C4A 37 85		rmb 3,$85
	010C4C C9 10		cmp #$10
	010C4E D0 07		bne $010c57
	010C50 4F 85 01		bbr 4,$85,$010c54
	010C53 60		rts

010C54	010C54 4C FC 0C		jmp $0CFC

010C57	010C57 C9 03		cmp #$03
	010C59 F0 64		beq $010cbf
	010C5B 0F 8C 04		bbr 0,$8C,$010c62
	010C5E C9 1A		cmp #$1A
	010C60 F0 7D		beq $010cdf
010C62	010C62 3F 9B 59		bbr 3,$9B,$010cbe
	010C65 C9 70		cmp #$70'p'
	010C67 F0 11		beq $010c7a
	010C69 C9 72		cmp #$72'r'
	010C6B F0 12		beq $010c7f
	010C6D C9 18		cmp #$18
	010C6F F0 3E		beq $010caf
	010C71 C9 45		cmp #$45'E'
	010C73 F0 0F		beq $010c84
	010C75 C9 04		cmp #$04
	010C77 F0 16		beq $010c8f
	010C79 60		rts

010C7A	010C7A D7 9B		smb 5,$9B
	010C7C 4C 72 F4		jmp $F472

010C7F	010C7F 57 9B		rmb 5,$9B
	010C81 4C 67 F4		jmp $F467

010C84	010C84 20 72 F4		jsr $F472
	010C87 A9 00		lda #$00
	010C89 8D 6E 86		sta $866E
	010C8C 4C B8 2F		jmp $2FB8

010C8F	010C8F 20 72 F4		jsr $F472
	010C92 B2 5C 40		sti #$5C'\',$40
	010C95 B2 65 41		sti #$65'e',$41
	010C98 20 AA 5B		jsr $5BAA
	010C9B A5 B2		lda $B2
	010C9D 20 05 FE		jsr $FE05{out}
	010CA0 A5 B1		lda $B1
	010CA2 20 05 FE		jsr $FE05{out}
	010CA5 A9 10		lda #$10
	010CA7 20 05 FE		jsr $FE05{out}
	010CAA A9 2E		lda #$2E'.'
	010CAC 4C 05 FE		jmp $FE05{out}

010CAF	010CAF 20 72 F4		jsr $F472
	010CB2 57 9B		rmb 5,$9B
	010CB4 C7 85		smb 4,$85
	010CB6 A9 00		lda #$00
	010CB8 8D 6E 86		sta $866E
	010CBB 20 B8 2F		jsr $2FB8
010CBE	010CBE 60		rts

010CBF	010CBF 3F 9B 08		bbr 3,$9B,$010cca
	010CC2 5F 9B 05		bbr 5,$9B,$010cca
	010CC5 57 9B		rmb 5,$9B
	010CC7 20 67 F4		jsr $F467
010CCA	010CCA C7 85		smb 4,$85
	010CCC A9 FF		lda #$FF
	010CCE 8D DA 00		sta $00DA
	010CD1 AD 6E 86		lda $866E
	010CD4 6F 8A 4A		bbr 6,$8A,$010d21
	010CD7 C9 02		cmp #$02
	010CD9 B0 46		bcs $010d21
	010CDB A7 85		smb 2,$85
	010CDD 80 42		bra $010d21

010CDF	010CDF A9 10		lda #$10
	010CE1 20 48 2F		jsr $2F48
	010CE4 EE 6E 86		inc $866E
	010CE7 A9 10		lda #$10
	010CE9 20 48 2F		jsr $2F48
	010CEC 20 53 16		jsr $1653
	010CEF AD 6E 86		lda $866E
	010CF2 C9 12		cmp #$12
	010CF4 B0 05		bcs $010cfb
	010CF6 89 01		add #$01
	010CF8 8D 6E 86		sta $866E
010CFB	010CFB 60		rts

010CFC	010CFC 48		pha
	010CFD 20 48 2F		jsr $2F48
	010D00 20 53 16		jsr $1653
	010D03 AD 6E 86		lda $866E
	010D06 C9 12		cmp #$12
	010D08 F0 05		beq $010d0f
	010D0A 89 01		add #$01
	010D0C 8D 6E 86		sta $866E
010D0F	010D0F 68		pla
	010D10 6F 8A 0E		bbr 6,$8A,$010d21
	010D13 85 40		sta $40
	010D15 AD 6E 86		lda $866E
	010D18 C9 02		cmp #$02
	010D1A D0 05		bne $010d21
	010D1C 4F 40 02		bbr 4,$40,$010d21
	010D1F A7 85		smb 2,$85
010D21	010D21 3F 9B 15		bbr 3,$9B,$010d39
	010D24 E2 08 06 40 10	bar $0608,$40,$010d39	;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	010D29 DF 9B 0D		bbs 5,$9B,$010d39
	010D2C CF 85 07		bbs 4,$85,$010d36
	010D2F AD 6E 86		lda $866E
	010D32 C9 12		cmp #$12
	010D34 90 03		bcc $010d39
010D36	010D36 4C 67 F4		jmp $F467

010D39	010D39 60		rts

010D3A	010D3A 2F 53 0F		bbr 2,$53,$010d4c
	010D3D CD B7 03		cmp $03B7
	010D40 F0 0C		beq $010d4e
	010D42 CD B8 03		cmp $03B8
	010D45 D0 05		bne $010d4c
	010D47 37 64		rmb 3,$64
	010D49 C7 74		smb 4,$74
	010D4B 60		rts

010D4C	010D4C 80 05		bra $010d53

010D4E	010D4E B7 64		smb 3,$64
	010D50 47 74		rmb 4,$74
	010D52 60		rts

010D53	010D53 A7 62		smb 2,$62
	010D55 20 62 F4		jsr $F462
	010D58 57 57		rmb 5,$57
	010D5A 57 85		rmb 5,$85
	010D5C BF 9B 03		bbs 3,$9B,$010d62
	010D5F 20 B8 2F		jsr $2FB8
010D62	010D62 60		rts

010D63	010D63 3F 9B 0D		bbr 3,$9B,$010d73
	010D66 A9 47		lda #$47'G'
	010D68 8D 6F 02		sta $026F
	010D6B A9 09		lda #$09
	010D6D 8D 70 02		sta $0270
	010D70 4C 47 09		jmp $0947

010D73	010D73 1F 69 03		bbr 1,$69,$010d79
	010D76 4C 30 7C		jmp $7C30

010D79	010D79 AF 68 23		bbs 2,$68,$010d9f
	010D7C AD 88 03		lda $0388
	010D7F 8D 30 02		sta $0230
	010D82 AD 89 03		lda $0389
	010D85 8D 31 02		sta $0231
	010D88 77 5F		rmb 7,5F
	010D8A 2F 81 03		bbr 2,$81,$010d90
	010D8D 4C F6 0D		jmp $0DF6

010D90	010D90 6F 81 06		bbr 6,$81,$010d99
	010D93 20 3C 0E		jsr $0E3C
	010D96 90 2F		bcc $010dc7
	010D98 60		rts

010D99	010D99 2F 6D 03		bbr 2,$6D,$010d9f
	010D9C 4C D9 0D		jmp $0DD9

010D9F	010D9F 4F 64 1A		bbr 4,$64,$010dbc
	010DA2 A5 B5		lda $B5
	010DA4 CD 8A 03		cmp $038A
	010DA7 D0 13		bne $010dbc
	010DA9 A5 B6		lda $B6
	010DAB CD 8B 03		cmp $038B
	010DAE D0 0C		bne $010dbc
	010DB0 47 64		rmb 4,$64
	010DB2 F7 62		smb 7,$62
	010DB4 AF 68 05		bbs 2,$68,$010dbc
	010DB7 77 62		rmb 7,62
	010DB9 4C AD 13		jmp $13AD

010DBC	010DBC 20 E7 2E		jsr $2EE7
	010DBF 90 06		bcc $010dc7
	010DC1 AF 68 14		bbs 2,$68,$010dd8
	010DC4 4C 72 F4		jmp $F472

010DC7	010DC7 2F 68 03		bbr 2,$68,$010dcd
	010DCA 48		pha
	010DCB 80 03		bra $010dd0

010DCD	010DCD 20 63 FA		jsr $FA63
010DD0	010DD0 20 82 16		jsr $1682
	010DD3 2F 68 02		bbr 2,$68,$010dd8
	010DD6 68		pla
	010DD7 18		clc
010DD8	010DD8 60		rts

010DD9	010DD9 20 E7 2E		jsr $2EE7
	010DDC 90 0D		bcc $010deb
	010DDE F2 17 01 02 02	bas $0117,$02,$010de5
	010DE3 38		sec
	010DE4 60		rts

010DE5	010DE5 20 72 F4		jsr $F472
	010DE8 E7 86		smb 6,$86
	010DEA 60		rts

010DEB	010DEB 20 63 FA		jsr $FA63
	010DEE 6F 74 03		bbr 6,$74,$010df4
	010DF1 20 89 16		jsr $1689
010DF4	010DF4 18		clc
	010DF5 60		rts

010DF6	010DF6 C2 02 11 06	rba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	010DFA 20 E7 2E		jsr $2EE7
	010DFD B0 1B		bcs $010e1a
	010DFF C9 10		cmp #$10
	010E01 D0 09		bne $010e0c
	010E03 20 E7 2E		jsr $2EE7
	010E06 B0 12		bcs $010e1a
	010E08 C9 03		cmp #$03
	010E0A F0 21		beq $010e2d
010E0C	010E0C AE 74 03		ldx $0374
	010E0F 8D 74 03		sta $0374
	010E12 8E 10 06		stx $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	010E15 A7 83		smb 2,$83
	010E17 4C 82 16		jmp $1682

010E1A	010E1A 20 0C 0E		jsr $0E0C
	010E1D B7 83		smb 3,$83
	010E1F 27 83		rmb 2,$83
	010E21 A9 05		lda #$05
	010E23 20 2E 18		jsr $182E
	010E26 B7 64		smb 3,$64
	010E28 20 24 18		jsr $1824
	010E2B 80 0C		bra $010e39

010E2D	010E2D D2 02 11 06	sba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	010E31 20 0C 0E		jsr $0E0C
	010E34 CE 73 03		dec $0373
	010E37 27 83		rmb 2,$83
010E39	010E39 4C 72 F4		jmp $F472

010E3C	010E3C 20 97 0E		jsr $0E97
	010E3F B0 12		bcs $010e53
	010E41 FF 82 02		bbs 7,$82,$010e46
	010E44 18		clc
	010E45 60		rts

010E46	010E46 AA		tax
	010E47 C2 02 11 06	rba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	010E4B 8E 10 06		stx $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	010E4E 20 82 16		jsr $1682
	010E51 38		sec
	010E52 60		rts

010E53	010E53 C9 B1		cmp #$B1
	010E55 D0 15		bne $010e6c
	010E57 D2 02 11 06	sba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	010E5B AD 74 03		lda $0374
	010E5E 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	010E61 20 82 16		jsr $1682
	010E64 CE 73 03		dec $0373
	010E67 EF 82 2B		bbs 6,$82,$010e95
	010E6A 80 26		bra $010e92

010E6C	010E6C A9 FF		lda #$FF
	010E6E 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	010E71 EF 82 14		bbs 6,$82,$010e88
	010E74 A7 82		smb 2,$82
	010E76 7F 82 19		bbr 7,$82,$010e92
	010E79 E7 82		smb 6,$82
	010E7B A9 00		lda #$00
	010E7D 8D 73 03		sta $0373
	010E80 8D 79 03		sta $0379
	010E83 8D 7A 03		sta $037A
	010E86 17 82		rmb 1,$82
010E88	010E88 37 84		rmb 3,$84
	010E8A AD 84 04		lda $0484		;Cx9 CRC	control area
	010E8D D0 03		bne $010e92
	010E8F 20 24 18		jsr $1824
010E92	010E92 20 72 F4		jsr $F472
010E95	010E95 38		sec
	010E96 60		rts

010E97	010E97 0F 83 07		bbr 0,$83,$010ea1
	010E9A 07 83		rmb 0,$83
	010E9C AD 76 03		lda $0376
	010E9F 80 1B		bra $010ebc

010EA1	010EA1 20 E7 2E		jsr $2EE7
	010EA4 90 03		bcc $010ea9
	010EA6 A9 B4		lda #$B4
	010EA8 60		rts

010EA9	010EA9 AF 83 08		bbs 2,$83,$010eb4
	010EAC C9 19		cmp #$19
	010EAE D0 0C		bne $010ebc
	010EB0 A7 83		smb 2,$83
	010EB2 80 ED		bra $010ea1

010EB4	010EB4 27 83		rmb 2,$83
	010EB6 C9 B1		cmp #$B1
	010EB8 D0 0F		bne $010ec9
	010EBA 38		sec
	010EBB 60		rts

010EBC	010EBC 18		clc
	010EBD FF 82 01		bbs 7,$82,$010ec1
	010EC0 60		rts

010EC1	010EC1 AE 74 03		ldx $0374
	010EC4 8D 74 03		sta $0374
	010EC7 8A		txa
	010EC8 60		rts

010EC9	010EC9 C9 5C		cmp #$5C'\'
	010ECB D0 04		bne $010ed1
	010ECD A9 19		lda #$19
	010ECF 80 EB		bra $010ebc

010ED1	010ED1 C9 76		cmp #$76'v'
	010ED3 D0 04		bne $010ed9
	010ED5 A9 99		lda #$99
	010ED7 80 E3		bra $010ebc

010ED9	010ED9 C9 A0		cmp #$A0
	010EDB D0 04		bne $010ee1
	010EDD A9 11		lda #$11
	010EDF 80 DB		bra $010ebc

010EE1	010EE1 C9 A1		cmp #$A1
	010EE3 D0 04		bne $010ee9
	010EE5 A9 13		lda #$13
	010EE7 80 D3		bra $010ebc

010EE9	010EE9 C9 5D		cmp #$5D']'
	010EEB D0 09		bne $010ef6
	010EED 87 83		smb 0,$83
	010EEF A9 19		lda #$19
	010EF1 8D 76 03		sta $0376
	010EF4 80 C6		bra $010ebc

010EF6	010EF6 C9 77		cmp #$77'w'
	010EF8 D0 09		bne $010f03
	010EFA 87 83		smb 0,$83
	010EFC A9 99		lda #$99
	010EFE 8D 76 03		sta $0376
	010F01 80 B9		bra $010ebc

010F03	010F03 C9 A2		cmp #$A2
	010F05 D0 09		bne $010f10
	010F07 87 83		smb 0,$83
	010F09 A9 11		lda #$11
	010F0B 8D 76 03		sta $0376
	010F0E 80 AC		bra $010ebc

010F10	010F10 C9 A3		cmp #$A3
	010F12 D0 09		bne $010f1d
	010F14 87 83		smb 0,$83
	010F16 A9 13		lda #$13
	010F18 8D 76 03		sta $0376
	010F1B 80 9F		bra $010ebc

010F1D	010F1D C9 A4		cmp #$A4
	010F1F D0 0C		bne $010f2d
	010F21 87 83		smb 0,$83
	010F23 A9 99		lda #$99
	010F25 8D 76 03		sta $0376
	010F28 A9 19		lda #$19
	010F2A 4C BC 0E		jmp $0EBC

010F2D	010F2D C9 A5		cmp #$A5
	010F2F D0 0C		bne $010f3d
	010F31 87 83		smb 0,$83
	010F33 A9 11		lda #$11
	010F35 8D 76 03		sta $0376
	010F38 A9 19		lda #$19
	010F3A 4C BC 0E		jmp $0EBC

010F3D	010F3D C9 A6		cmp #$A6
	010F3F D0 0C		bne $010f4d
	010F41 87 83		smb 0,$83
	010F43 A9 13		lda #$13
	010F45 8D 76 03		sta $0376
	010F48 A9 19		lda #$19
	010F4A 4C BC 0E		jmp $0EBC

010F4D	010F4D C9 A7		cmp #$A7
	010F4F D0 0C		bne $010f5d
	010F51 87 83		smb 0,$83
	010F53 A9 19		lda #$19
	010F55 8D 76 03		sta $0376
	010F58 A9 99		lda #$99
	010F5A 4C BC 0E		jmp $0EBC

010F5D	010F5D C9 A8		cmp #$A8
	010F5F D0 0C		bne $010f6d
	010F61 87 83		smb 0,$83
	010F63 A9 11		lda #$11
	010F65 8D 76 03		sta $0376
	010F68 A9 99		lda #$99
	010F6A 4C BC 0E		jmp $0EBC

010F6D	010F6D C9 A9		cmp #$A9
	010F6F D0 0C		bne $010f7d
	010F71 87 83		smb 0,$83
	010F73 A9 13		lda #$13
	010F75 8D 76 03		sta $0376
	010F78 A9 99		lda #$99
	010F7A 4C BC 0E		jmp $0EBC

010F7D	010F7D C9 AA		cmp #$AA
	010F7F D0 0C		bne $010f8d
	010F81 87 83		smb 0,$83
	010F83 A9 19		lda #$19
	010F85 8D 76 03		sta $0376
	010F88 A9 11		lda #$11
	010F8A 4C BC 0E		jmp $0EBC

010F8D	010F8D C9 AB		cmp #$AB
	010F8F D0 0C		bne $010f9d
	010F91 87 83		smb 0,$83
	010F93 A9 99		lda #$99
	010F95 8D 76 03		sta $0376
	010F98 A9 11		lda #$11
	010F9A 4C BC 0E		jmp $0EBC

010F9D	010F9D C9 AC		cmp #$AC
	010F9F D0 0C		bne $010fad
	010FA1 87 83		smb 0,$83
	010FA3 A9 13		lda #$13
	010FA5 8D 76 03		sta $0376
	010FA8 A9 11		lda #$11
	010FAA 4C BC 0E		jmp $0EBC

010FAD	010FAD C9 AD		cmp #$AD
	010FAF D0 0C		bne $010fbd
	010FB1 87 83		smb 0,$83
	010FB3 A9 19		lda #$19
	010FB5 8D 76 03		sta $0376
	010FB8 A9 13		lda #$13
	010FBA 4C BC 0E		jmp $0EBC

010FBD	010FBD C9 AE		cmp #$AE
	010FBF D0 0C		bne $010fcd
	010FC1 87 83		smb 0,$83
	010FC3 A9 99		lda #$99
	010FC5 8D 76 03		sta $0376
	010FC8 A9 13		lda #$13
	010FCA 4C BC 0E		jmp $0EBC

010FCD	010FCD C9 AF		cmp #$AF
	010FCF D0 0C		bne $010fdd
	010FD1 87 83		smb 0,$83
	010FD3 A9 11		lda #$11
	010FD5 8D 76 03		sta $0376
	010FD8 A9 13		lda #$13
	010FDA 4C BC 0E		jmp $0EBC

010FDD	010FDD 4C A1 0E		jmp $0EA1

;;; store byte from RBUFFER to ($AD)++

010FE0	010FE0 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	010FE3 48		pha
	010FE4 20 39 2F		jsr $2F39
	010FE7 BF 9B 0E		bbs 3,$9B,$010ff8
	010FEA A9 05		lda #$05
	010FEC 8D 30 02		sta $0230
	010FEF A9 00		lda #$00
	010FF1 8D 31 02		sta $0231
	010FF4 77 5F		rmb 7,$5F
	010FF6 80 0E		bra $011006

010FF8	010FF8 A5 9A		lda $9A
	010FFA 29 3F		and #$3F'?'
	010FFC F0 08		beq $011006
	010FFE AD 1D 01		lda $011D
	011001 8D 30 02		sta $0230
	011004 77 5F		rmb 7,5F
011006	011006 68		pla
	011007 B0 27		bcs $011030
	011009 3F 9B 02		bbr 3,$9B,$01100e
	01100C 77 86		rmb 7,86
01100E	01100E C9 10		cmp #$10
	011010 D0 05		bne $011017
	011012 20 48 2F		jsr $2F48
	011015 77 86		rmb 7,86
011017	011017 97 85		smb 1,$85
	011019 3F 61 08		bbr 3,$61,$011024
	01101C CF 74 05		bbs 4,$74,$011024
	01101F DF 74 0D		bbs 5,$74,$01102f
	011022 B7 64		smb 3,$64
011024	011024 6F 8A 08		bbr 6,$8A,$01102f
	011027 C2 08 1F 06	rba $08,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	01102B D2 10 1F 06	sba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
01102F	01102F 60		rts

011030	011030 3F 9B 05		bbr 3,$9B,$011038
	011033 7F 86 02		bbr 7,$86,$011038
	011036 F7 9A		smb 7,$9A
011038	011038 F7 86		smb 7,$86
	01103A 80 DB		bra $011017

01103C	01103C 3F 9B 23		bbr 3,$9B,$011062
	01103F A9 E2		lda #$E2
	011041 8D 72 02		sta $0272
	011044 A9 E2		lda #$E2
	011046 8D 73 02		sta $0273
	011049 A5 9D		lda $9D
	01104B 29 C0		and #$C0
	01104D 4A		lsr a
	01104E 4A		lsr a
	01104F 4A		lsr a
	011050 4A		lsr a
	011051 4A		lsr a
	011052 4A		lsr a
	011053 F0 0A		beq $01105f
	011055 A9 DF		lda #$DF
	011057 8D 72 02		sta $0272
	01105A A9 E2		lda #$E2
	01105C 8D 73 02		sta $0273
01105F	01105F 4C E2 E2		jmp $E2E2

011062	011062 0F 81 03		bbr 0,$81,$011068
	011065 4C BF 10		jmp $10BF

011068	011068 6F 81 03		bbr 6,$81,$01106e
	01106B 4C 02 11		jmp $1102

01106E	01106E 6F 57 0B		bbr 6,$57,$01107c
	011071 4F 62 05		bbr 4,$62,$011079
	011074 47 62		rmb 4,$62
	011076 4C FA 13		jmp $13FA

011079	011079 4C A5 10		jmp $10A5

01107C	01107C AD 88 03		lda $0388
	01107F 8D 30 02		sta $0230
	011082 AD 89 03		lda $0389
	011085 8D 31 02		sta $0231
	011088 77 5F		rmb 7,5F
	01108A 20 3F FA		jsr $FA3F
	01108D 90 16		bcc $0110a5
	01108F 48		pha
	011090 20 52 F5		jsr $F552
	011093 68		pla
	011094 90 01		bcc $011097
	011096 60		rts

011097	011097 C9 08		cmp #$08
	011099 90 08		bcc $0110a3
	01109B A9 01		lda #$01
	01109D 8D 86 03		sta $0386
	0110A0 4C 62 F4		jmp $F462

0110A3	0110A3 A5 40		lda $40
0110A5	0110A5 20 B7 2E		jsr $2EB7
	0110A8 6F 57 05		bbr 6,$57,$0110b0
	0110AB 20 FA 15		jsr $15FA
	0110AE 80 03		bra $0110b3

0110B0	0110B0 CF 5B 0B		bbs 4,$5B,$0110be
0110B3	0110B3 CF 74 08		bbs 4,$74,$0110be
	0110B6 DF 74 05		bbs 5,$74,$0110be
	0110B9 3F 61 02		bbr 3,$61,$0110be
	0110BC B7 64		smb 3,$64
0110BE	0110BE 60		rts

0110BF	0110BF AC 0A 06		ldy $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	0110C2 98		tya
	0110C3 AE 00 06		ldx $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	0110C6 2F 81 29		bbr 2,$81,$0110f2
	0110C9 29 39		and #$39'9'
	0110CB F0 09		beq $0110d6
	0110CD 4A		lsr a
	0110CE 90 03		bcc $0110d3
	0110D0 4C BB 16		jmp $16BB

0110D3	0110D3 F7 6E		smb 7,$6E
	0110D5 60		rts

0110D6	0110D6 E0 10		cpx #$10
	0110D8 F0 11		beq $0110eb
	0110DA 2F 53 15		bbr 2,$53,$0110f2
	0110DD E0 13		cpx #$13
	0110DF D0 04		bne $0110e5
	0110E1 A2 0A		ldx #$0A
	0110E3 80 06		bra $0110eb

0110E5	0110E5 E0 11		cpx #$11
	0110E7 D0 09		bne $0110f2
	0110E9 A2 0B		ldx #$0B
0110EB	0110EB DA		phx
	0110EC A9 10		lda #$10
	0110EE 20 B7 2E		jsr $2EB7
	0110F1 FA		plx
0110F2	0110F2 8A		txa
	0110F3 20 B7 2E		jsr $2EB7
	0110F6 CF 74 08		bbs 4,$74,$011101
	0110F9 DF 74 05		bbs 5,$74,$011101
	0110FC 3F 61 02		bbr 3,$61,$011101
	0110FF B7 64		smb 3,$64
011101	011101 60		rts

011102	011102 AC 0A 06		ldy $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	011105 98		tya
	011106 AE 00 06		ldx $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	011109 7F 82 4D		bbr 7,$82,$011159
	01110C 5F 84 04		bbr 5,$84,$011113
	01110F 29 39		and #$39'9'
	011111 80 02		bra $011115

011113	011113 29 19		and #$19
011115	011115 F0 1D		beq $011134
	011117 4A		lsr a
	011118 90 07		bcc $011121
	01111A 67 84		rmb 6,$84
	01111C 77 84		rmb 7,84
	01111E 4C 55 19		jmp $1955

011121	011121 F7 6E		smb 7,$6E
	011123 29 08		and #$08
	011125 D0 01		bne $011128
	011127 60		rts

011128	011128 A9 19		lda #$19
	01112A 20 B7 2E		jsr $2EB7
	01112D B0 53		bcs $011182
	01112F A9 B0		lda #$B0
	011131 4C B3 11		jmp $11B3

011134	011134 5F 84 1E		bbr 5,$84,$011155
	011137 EF 84 0F		bbs 6,$84,$011149
	01113A FF 84 06		bbs 7,$84,$011143
	01113D 8E 78 03		stx $0378
	011140 F7 84		smb 7,$84
	011142 60		rts

011143	011143 8E 77 03		stx $0377
	011146 E7 84		smb 6,$84
	011148 60		rts

011149	011149 AD 77 03		lda $0377
	01114C 8E 77 03		stx $0377
	01114F AE 78 03		ldx $0378
	011152 8D 78 03		sta $0378
011155	011155 7F 6E 01		bbr 7,$6E,$011159
	011158 60		rts

011159	011159 8A		txa
	01115A C9 19		cmp #$19
	01115C D0 04		bne $011162
	01115E A9 00		lda #$00
	011160 80 16		bra $011178

011162	011162 C9 99		cmp #$99
	011164 D0 04		bne $01116a
	011166 A9 01		lda #$01
	011168 80 0E		bra $011178

01116A	01116A C9 11		cmp #$11
	01116C D0 04		bne $011172
	01116E A9 02		lda #$02
	011170 80 06		bra $011178

011172	011172 C9 13		cmp #$13
	011174 D0 24		bne $01119a
	011176 A9 03		lda #$03
011178	011178 8F 82 09		bbs 0,$82,$011184
	01117B 8D 75 03		sta $0375
	01117E 87 82		smb 0,$82
	011180 60		rts

011181	011181 68		pla
011182	011182 80 54		bra $0111d8

011184	011184 07 82		rmb 0,$82
	011186 48		pha
	011187 A9 19		lda #$19
	011189 20 B7 2E		jsr $2EB7
	01118C B0 F3		bcs $011181
	01118E 68		pla
	01118F 0A		asl a
	011190 0A		asl a
	011191 0D 75 03		ora $0375
	011194 AA		tax
	011195 BD C8 11		lda $11C8,x
	011198 80 19		bra $0111b3

01119A	01119A 0F 82 16		bbr 0,$82,$0111b3
	01119D 07 82		rmb 0,$82
	01119F 48		pha
	0111A0 A9 19		lda #$19
	0111A2 20 B7 2E		jsr $2EB7
	0111A5 B0 DA		bcs $011181
	0111A7 AE 75 03		ldx $0375
	0111AA BD C4 11		lda $11C4,x
	0111AD 20 B7 2E		jsr $2EB7
	0111B0 B0 CF		bcs $011181
	0111B2 68		pla
0111B3	0111B3 20 B7 2E		jsr $2EB7
	0111B6 B0 CA		bcs $011182
	0111B8 CF 74 08		bbs 4,$74,$0111c3
	0111BB DF 74 05		bbs 5,$74,$0111c3
	0111BE 3F 61 02		bbr 3,$61,$0111c3
	0111C1 B7 64		smb 3,$64
0111C3	0111C3 60		rts

0111C4	0111C4 5C		???			;undocumented opcode
	0111C5 76 A0		ror $A0,x
	0111C7 A1 5D		lda ($5D)
	0111C9 A7 AA		smb 2,$AA
	0111CB AD A4 77		lda $77A4
	0111CE AB		lan
	0111CF AE A5 A8		ldx $A8A5
	0111D2 A2 AF		ldx #$AF
	0111D4 A6 A9		ldx $A9
	0111D6 AC A3 08		ldy $08A3
	0111D9 78		sei
	0111DA 20 B8 2F		jsr $2FB8
	0111DD A9 19		lda #$19
	0111DF 20 B7 2E		jsr $2EB7
	0111E2 A9 B6		lda #$B6
	0111E4 20 B7 2E		jsr $2EB7
	0111E7 3F 61 03		bbr 3,$61,$0111ed
	0111EA 20 DA FD		jsr $FDDA
0111ED	0111ED 28		plp
	0111EE 60		rts

0111EF	0111EF 4F 66 39		bbr 4,$66,$01122b
	0111F2 20 67 FD		jsr $FD67
	0111F5 B0 13		bcs $01120a
	0111F7 D7 74		smb 5,$74
	0111F9 27 59		rmb 2,$59
	0111FB A9 B7		lda #$B7
	0111FD 8D 6C 02		sta $026C
	011200 A9 1B		lda #$1B
	011202 8D 6D 02		sta $026D
	011205 A7 59		smb 2,$59
	011207 37 64		rmb 3,$64
	011209 60		rts

01120A	01120A 5F 62 11		bbr 5,$62,$01121e
	01120D A5 AF		lda $AF
	01120F CD 8C 03		cmp $038C
	011212 D0 0A		bne $01121e
	011214 A5 B0		lda $B0
	011216 CD 8D 03		cmp $038D
	011219 D0 03		bne $01121e
	01121B 4C 4A 14		jmp $144A

01121E	01121E 20 10 2F		jsr $2F10
	011221 90 03		bcc $011226
	011223 37 64		rmb 3,$64
	011225 60		rts

011226	011226 85 38		sta $38			;Cx9	serial I/O buffers
	011228 4C 0C 16		jmp $160C

01122B	01122B 1F 74 09		bbr 1,$74,$011237
	01122E 17 74		rmb 1,$74
	011230 A7 74		smb 2,$74
	011232 AD B8 03		lda $03B8
	011235 80 0A		bra $011241

011237	011237 0F 74 1F		bbr 0,$74,$011259
	01123A 07 74		rmb 0,$74
	01123C 27 74		rmb 2,$74
	01123E AD B7 03		lda $03B7
011241	011241 20 0A FE		jsr $FE0A
	011244 8F 69 0C		bbs 0,$69,$011253
	011247 9F 69 09		bbs 1,$69,$011253
	01124A BF 9B 06		bbs 3,$9B,$011253
	01124D DF 74 03		bbs 5,$74,$011253
	011250 CF 74 00		bbs 4,$74,$011253
011253	011253 EF 57 02		bbs 6,$57,$011258
	011256 37 64		rmb 3,$64
011258	011258 60		rts

011259	011259 1F 53 1B		bbr 1,$53,$011277
	01125C 20 67 FD		jsr $FD67
	01125F B0 16		bcs $011277
	011261 D7 74		smb 5,$74
	011263 27 59		rmb 2,$59
	011265 A9 B7		lda #$B7
	011267 8D 6C 02		sta $026C
	01126A A9 1B		lda #$1B
	01126C 8D 6D 02		sta $026D
	01126F A7 59		smb 2,$59
	011271 AF 6D 03		bbs 2,$6D,$011277
	011274 37 64		rmb 3,$64
	011276 60		rts

011277	011277 EF 57 0C		bbs 6,$57,$011286
	01127A 3F 9B 03		bbr 3,$9B,$011280
	01127D 4C D8 12		jmp $12D8

011280	011280 8F 69 17		bbs 0,$69,$01129a
	011283 9F 69 14		bbs 1,$69,$01129a
011286	011286 5F 62 14		bbr 5,$62,$01129d
	011289 A5 AF		lda $AF
	01128B CD 8C 03		cmp $038C
	01128E D0 0D		bne $01129d
	011290 A5 B0		lda $B0
	011292 CD 8D 03		cmp $038D
	011295 D0 06		bne $01129d
	011297 4C 4A 14		jmp $144A

01129A	01129A 4C D8 12		jmp $12D8

01129D	01129D 20 10 2F		jsr $2F10
	0112A0 90 03		bcc $0112a5
	0112A2 37 64		rmb 3,$64
	0112A4 60		rts

0112A5	0112A5 2F 6D 2B		bbr 2,$6D,$0112d3
	0112A8 C9 10		cmp #$10
	0112AA D0 25		bne $0112d1
	0112AC 20 10 2F		jsr $2F10
	0112AF C9 10		cmp #$10
	0112B1 F0 1E		beq $0112d1
	0112B3 77 3B		rmb 7,3B		;Cx9	serial line control register
	0112B5 48		pha
	0112B6 05 D8		ora $D8
	0112B8 20 0A FE		jsr $FE0A
	0112BB 07 87		rmb 0,$87
	0112BD 68		pla
	0112BE C9 0C		cmp #$0C
	0112C0 D0 04		bne $0112c6
	0112C2 C7 87		smb 4,$87
	0112C4 80 0A		bra $0112d0

0112C6	0112C6 C9 06		cmp #$06
	0112C8 F0 04		beq $0112ce
	0112CA C9 04		cmp #$04
	0112CC D0 02		bne $0112d0
0112CE	0112CE A7 86		smb 2,$86
0112D0	0112D0 60		rts

0112D1	0112D1 F7 3B		smb 7,$3B		;Cx9	serial line control register
0112D3	0112D3 85 38		sta $38			;Cx9	serial I/O buffers
	0112D5 4C 0C 16		jmp $160C

0112D8	0112D8 20 78 2F		jsr $2F78
	0112DB 90 03		bcc $0112e0
	0112DD 37 64		rmb 3,$64
	0112DF 60		rts

0112E0	0112E0 48		pha
	0112E1 20 0A FE		jsr $FE0A
	0112E4 68		pla
	0112E5 BF 85 07		bbs 3,$85,$0112ef
	0112E8 C9 10		cmp #$10
	0112EA D0 23		bne $01130f
	0112EC B7 85		smb 3,$85
	0112EE 60		rts

0112EF	0112EF 37 85		rmb 3,$85
	0112F1 C9 03		cmp #$03
	0112F3 D0 1A		bne $01130f
	0112F5 8F 57 15		bbs 0,$57,$01130d
	0112F8 20 78 2F		jsr $2F78
	0112FB 85 A9		sta $A9
	0112FD 27 5B		rmb 2,$5B
	0112FF A9 84		lda #$84
	011301 8D 87 02		sta $0287
	011304 A9 E3		lda #$E3
	011306 8D 88 02		sta $0288
	011309 A7 5B		smb 2,$5B
	01130B 37 61		rmb 3,$61
01130D	01130D 37 64		rmb 3,$64
01130F	01130F 60		rts

011310	011310 E7 66		smb 6,$66
	011312 67 3A		rmb 6,$3A		;Cx9	serial mode register
	011314 20 EF FD		jsr $FDEF
	011317 7F 65 13		bbr 7,$65,$01132d
	01131A A5 54		lda $54
	01131C 29 38		and #$38'8'
	01131E 4A		lsr a
	01131F 4A		lsr a
	011320 4A		lsr a
	011321 C9 00		cmp #$00
	011323 F0 08		beq $01132d
	011325 C9 02		cmp #$02
	011327 F0 04		beq $01132d
	011329 C9 04		cmp #$04
	01132B D0 0E		bne $01133b
01132D	01132D 37 5B		rmb 3,$5B
	01132F A9 3C		lda #$3C'<'
	011331 8D 8A 02		sta $028A
	011334 A9 13		lda #$13
	011336 8D 8B 02		sta $028B
	011339 B7 5B		smb 3,$5B
01133B	01133B 60		rts

01133C	01133C EF 66 23		bbs 6,$66,$011362
	01133F 37 5B		rmb 3,$5B
	011341 20 EC FD		jsr $FDEC
	011344 A5 54		lda $54
	011346 29 38		and #$38'8'
	011348 4A		lsr a
	011349 4A		lsr a
	01134A 4A		lsr a
	01134B 2F 6D 05		bbr 2,$6D,$011353
	01134E 07 86		rmb 0,$86
	011350 D7 86		smb 5,$86
	011352 60		rts

011353	011353 C9 00		cmp #$00
	011355 F0 08		beq $01135f
	011357 C9 02		cmp #$02
	011359 F0 04		beq $01135f
	01135B C9 04		cmp #$04
	01135D D0 04		bne $011363
01135F	01135F 4C D9 15		jmp $15D9

011362	011362 60		rts

011363	011363 C9 01		cmp #$01
	011365 D0 2F		bne $011396
	011367 6F 57 05		bbr 6,$57,$01136f
	01136A 4F 85 02		bbr 4,$85,$01136f
	01136D 80 1C		bra $01138b

01136F	01136F 20 A2 2F		jsr $2FA2
	011372 20 B8 2F		jsr $2FB8
	011375 A9 00		lda #$00
	011377 85 73		sta $73
	011379 6F 57 0C		bbr 6,$57,$011388
	01137C 20 82 16		jsr $1682
	01137F 3F 61 06		bbr 3,$61,$011388
	011382 3F 64 03		bbr 3,$64,$011388
	011385 20 DA FD		jsr $FDDA
011388	011388 20 26 FD		jsr $FD26
01138B	01138B F7 62		smb 7,$62
	01138D EF 57 05		bbs 6,$57,$011395
	011390 77 62		rmb 7,62
	011392 4C AD 13		jmp $13AD

011395	011395 60		rts

011396	011396 C9 03		cmp #$03
	011398 F0 F1		beq $01138b
	01139A C7 64		smb 4,$64
	01139C A5 B3		lda $B3
	01139E 8D 8A 03		sta $038A
	0113A1 A5 B4		lda $B4
	0113A3 8D 8B 03		sta $038B
	0113A6 EF 57 03		bbs 6,$57,$0113ac
	0113A9 4C 67 F4		jmp $F467

0113AC	0113AC 60		rts

0113AD	0113AD 20 72 F4		jsr $F472
	0113B0 A9 00		lda #$00
	0113B2 8D 82 03		sta $0382
	0113B5 37 5B		rmb 3,$5B
	0113B7 A9 CF		lda #$CF
	0113B9 8D 8A 02		sta $028A
	0113BC A9 13		lda #$13
	0113BE 8D 8B 02		sta $028B
	0113C1 B7 5B		smb 3,$5B
	0113C3 20 EB F3		jsr $F3EB
	0113C6 7F 65 03		bbr 7,$65,$0113cc
	0113C9 20 E5 F3		jsr $F3E5
0113CC	0113CC 4C 6D FA		jmp $FA6D

0113CF	0113CF AC 82 03		ldy $0382
	0113D2 C8		iny
	0113D3 8C 82 03		sty $0382
	0113D6 CC 93 03		cpy $0393
	0113D9 D0 1E		bne $0113f9
	0113DB 20 72 FA		jsr $FA72
	0113DE 7F 65 06		bbr 7,$65,$0113e7
	0113E1 BF 61 03		bbs 3,$61,$0113e7
	0113E4 20 E0 F3		jsr $F3E0
0113E7	0113E7 37 5B		rmb 3,$5B
	0113E9 47 64		rmb 4,$64
	0113EB A9 1E		lda #$1E
	0113ED 8D 93 03		sta $0393
	0113F0 20 82 16		jsr $1682
	0113F3 20 0C 16		jsr $160C
	0113F6 4C 67 F4		jmp $F467

0113F9	0113F9 60		rts

0113FA	0113FA EF 57 09		bbs 6,$57,$011406
	0113FD A5 54		lda $54
	0113FF 29 38		and #$38'8'
	011401 4A		lsr a
	011402 4A		lsr a
	011403 4A		lsr a
	011404 80 03		bra $011409

011406	011406 AD C7 99		lda $99C7
011409	011409 C9 00		cmp #$00
	01140B F0 04		beq $011411
	01140D C9 01		cmp #$01
	01140F D0 0D		bne $01141e
011411	011411 20 B8 2F		jsr $2FB8
	011414 20 A2 2F		jsr $2FA2
	011417 A9 00		lda #$00
	011419 85 73		sta $73
	01141B 4C 4A 14		jmp $144A

01141E	01141E C9 02		cmp #$02
	011420 F0 04		beq $011426
	011422 C9 03		cmp #$03
	011424 D0 03		bne $011429
011426	011426 4C 4A 14		jmp $144A

011429	011429 EF 57 06		bbs 6,$57,$011432
	01142C A5 B1		lda $B1
	01142E 05 B2		ora $B2
	011430 F0 F4		beq $011426
011432	011432 D7 62		smb 5,$62
	011434 A5 AD		lda $AD
	011436 8D 8C 03		sta $038C
	011439 A5 AE		lda $AE
	01143B 8D 8D 03		sta $038D
	01143E CF 74 08		bbs 4,$74,$011449
	011441 DF 74 05		bbs 5,$74,$011449
	011444 3F 61 02		bbr 3,$61,$011449
	011447 B7 64		smb 3,$64
011449	011449 60		rts

01144A	01144A 3F 61 15		bbr 3,$61,$011462
	01144D 37 64		rmb 3,$64
	01144F A9 1E		lda #$1E
	011451 8D 83 03		sta $0383
	011454 47 5B		rmb 4,$5B
	011456 A9 63		lda #$63'c'
	011458 8D 8D 02		sta $028D
	01145B A9 14		lda #$14
	01145D 8D 8E 02		sta $028E
	011460 C7 5B		smb 4,$5B
011462	011462 60		rts

011463	011463 EF 3C 05		bbs 6,$3C,$01146b	;Cx9	serial status register
	011466 CE 83 03		dec $0383
	011469 D0 12		bne $01147d
01146B	01146B A9 00		lda #$00
	01146D 8D 83 03		sta $0383
	011470 A9 7E		lda #$7E'~'
	011472 8D 8D 02		sta $028D
	011475 A9 14		lda #$14
	011477 8D 8E 02		sta $028E
	01147A 4C 28 FE		jmp $FE28

01147D	01147D 60		rts

01147E	01147E AC 83 03		ldy $0383
	011481 C8		iny
	011482 8C 83 03		sty $0383
	011485 C0 1E		cpy #$1E
	011487 D0 22		bne $0114ab
	011489 20 2D FE		jsr $FE2D
	01148C 47 5B		rmb 4,$5B
	01148E 57 62		rmb 5,$62
	011490 EF 57 06		bbs 6,$57,$011499
	011493 20 32 FB		jsr $FB32
	011496 20 5D F4		jsr $F45D
011499	011499 20 82 16		jsr $1682
	01149C 20 0C 16		jsr $160C
	01149F CF 74 09		bbs 4,$74,$0114ab
	0114A2 DF 74 06		bbs 5,$74,$0114ab
	0114A5 3F 61 03		bbr 3,$61,$0114ab
	0114A8 4C DA FD		jmp $FDDA

0114AB	0114AB 60		rts

0114AC	0114AC AD 08 01		lda $0108
	0114AF 30 3D		bmi $0114ee
	0114B1 AE 7F 03		ldx $037F
	0114B4 E0 FF		cpx #$FF
	0114B6 F0 36		beq $0114ee
	0114B8 E0 02		cpx #$02
	0114BA F0 33		beq $0114ef
	0114BC 90 2D		bcc $0114eb
	0114BE E0 04		cpx #$04
	0114C0 F0 22		beq $0114e4
	0114C2 90 15		bcc $0114d9
	0114C4 AE 7E 03		ldx $037E
	0114C7 E0 3F		cpx #$3F'?'
	0114C9 B0 07		bcs $0114d2
	0114CB 91 A7		sta ($A7),x
	0114CD EE 7E 03		inc $037E
	0114D0 80 1C		bra $0114ee

0114D2	0114D2 A2 FF		ldx #$FF
	0114D4 8E 7F 03		stx $037F
	0114D7 80 15		bra $0114ee

0114D9	0114D9 27 5B		rmb 2,$5B
	0114DB 07 65		rmb 0,$65
	0114DD A2 FF		ldx #$FF
	0114DF 8E 7F 03		stx $037F
	0114E2 80 0A		bra $0114ee

0114E4	0114E4 A2 01		ldx #$01
	0114E6 8E 7F 03		stx $037F
	0114E9 80 03		bra $0114ee

0114EB	0114EB EE 7F 03		inc $037F
0114EE	0114EE 60		rts

0114EF	0114EF 27 6E		rmb 2,$6E
	0114F1 37 6E		rmb 3,$6E
	0114F3 A2 00		ldx #$00
	0114F5 8E 03 02		stx $0203
	0114F8 AD 12 01		lda $0112
	0114FB D0 07		bne $011504
	0114FD A9 01		lda #$01
	0114FF 8D 02 02		sta $0202
	011502 80 09		bra $01150d

011504	011504 8D 02 02		sta $0202
	011507 0E 02 02		asl $0202
	01150A 2E 03 02		rol $0203
01150D	01150D 07 5D		rmb 0,$5D
	01150F 27 5B		rmb 2,$5B
	011511 A9 9F		lda #$9F
	011513 8D 87 02		sta $0287
	011516 A9 15		lda #$15
	011518 8D 88 02		sta $0288
	01151B A7 5B		smb 2,$5B
	01151D 80 CC		bra $0114eb

01151F	01151F E0 FF		cpx #$FF
	011521 F0 2B		beq $01154e
	011523 E0 03		cpx #$03
	011525 90 27		bcc $01154e
	011527 27 5B		rmb 2,$5B
	011529 07 65		rmb 0,$65
	01152B C9 61		cmp #$61'a'
	01152D 90 07		bcc $011536
	01152F C9 7B		cmp #$7B'{'
	011531 B0 03		bcs $011536
	011533 38		sec
	011534 E9 20		sbc #$20' '
011536	011536 E0 04		cpx #$04
	011538 F0 0B		beq $011545
	01153A 90 03		bcc $01153f
	01153C 4C 61 15		jmp $1561

01153F	01153F C9 41		cmp #$41'A'
	011541 F0 12		beq $011555
	011543 80 09		bra $01154e

011545	011545 A2 00		ldx #$00
	011547 8E 7E 03		stx $037E
	01154A C9 54		cmp #$54'T'
	01154C F0 07		beq $011555
01154E	01154E A2 00		ldx #$00
	011550 8E 7F 03		stx $037F
011553	011553 38		sec
	011554 60		rts

011555	011555 EE 7F 03		inc $037F
	011558 80 05		bra $01155f

01155A	01155A A2 00		ldx #$00
	01155C 8E 7F 03		stx $037F
01155F	01155F 18		clc
	011560 60		rts

011561	011561 AA		tax
	011562 30 F6		bmi $01155a
	011564 E0 0B		cpx #$0B
	011566 90 F7		bcc $01155f
	011568 E0 20		cpx #$20' '
	01156A F0 F3		beq $01155f
	01156C CD 09 01		cmp $0109
	01156F D0 1E		bne $01158f
	011571 98		tya
	011572 20 86 2E		jsr $2E86
	011575 A9 0D		lda #$0D
	011577 AE 7E 03		ldx $037E
	01157A 91 A7		sta ($A7),x
	01157C 20 B5 15		jsr $15B5
	01157F 20 81 EF		jsr $EF81
	011582 A7 57		smb 2,$57
	011584 B2 00 A9		sti #$00,$A9
	011587 B7 6E		smb 3,$6E
	011589 A2 00		ldx #$00
	01158B 8E 7F 03		stx $037F
	01158E 60		rts

01158F	01158F AE 7E 03		ldx $037E
	011592 91 A7		sta ($A7),x
	011594 E0 3F		cpx #$3F'?'
	011596 90 02		bcc $01159a
	011598 80 B4		bra $01154e

01159A	01159A EE 7E 03		inc $037E
	01159D 80 B4		bra $011553

01159F	01159F 8F 5D 01		bbs 0,$5D,$0115a3
	0115A2 60		rts

0115A3	0115A3 27 5B		rmb 2,$5B
	0115A5 20 B5 15		jsr $15B5
	0115A8 20 B1 EE		jsr $EEB1
	0115AB 67 3D		rmb 6,$3D		;Cx9	serial form register
	0115AD 87 65		smb 0,$65
	0115AF B2 00 A9		sti #$00,$A9
	0115B2 A7 6E		smb 2,$6E
	0115B4 60		rts

0115B5	0115B5 A5 3A		lda $3A			;Cx9	serial mode register
	0115B7 8D 60 04		sta $0460
	0115BA 37 61		rmb 3,$61
	0115BC 2F 53 08		bbr 2,$53,$0115c7
	0115BF AD B7 03		lda $03B7
	0115C2 20 05 FE		jsr $FE05{out}
	0115C5 80 06		bra $0115cd

0115C7	0115C7 1F 53 03		bbr 1,$53,$0115cd
	0115CA 20 26 FD		jsr $FD26
0115CD	0115CD 60		rts

0115CE	0115CE AD 12 01		lda $0112
	0115D1 F0 04		beq $0115d7
	0115D3 8F 5D 01		bbs 0,$5D,$0115d7
	0115D6 60		rts

0115D7	0115D7 27 5B		rmb 2,$5B
	0115D9 37 61		rmb 3,$61
	0115DB 2F 53 09		bbr 2,$53,$0115e7
	0115DE AD B7 03		lda $03B7
	0115E1 20 05 FE		jsr $FE05{out}
	0115E4 20 1E FE		jsr $FE1E
0115E7	0115E7 1F 53 03		bbr 1,$53,$0115ed
	0115EA 20 26 FD		jsr $FD26
0115ED	0115ED 20 B1 EE		jsr $EEB1
	0115F0 20 CC E0		jsr $E0CC
	0115F3 87 65		smb 0,$65
	0115F5 A9 00		lda #$00
	0115F7 85 A9		sta $A9
	0115F9 60		rts

0115FA	0115FA AF 73 0E		bbs 2,$73,$01160b
	0115FD A5 B2		lda $B2
	0115FF C9 01		cmp #$01
	011601 D0 04		bne $011607
	011603 A5 B1		lda $B1
	011605 C9 00		cmp #$00
011607	011607 90 02		bcc $01160b
	011609 A7 73		smb 2,$73
01160B	01160B 60		rts

01160C	01160C 2F 73 0E		bbr 2,$73,$01161d
	01160F A5 B2		lda $B2
	011611 C9 00		cmp #$00
	011613 D0 04		bne $011619
	011615 A5 B1		lda $B1
	011617 C9 40		cmp #$40'@'
011619	011619 B0 02		bcs $01161d
	01161B 27 73		rmb 2,$73
01161D	01161D 60		rts

01161E	01161E EF 81 25		bbs 6,$81,$011646
	011621 A5 B8		lda $B8
	011623 C9 01		cmp #$01
	011625 D0 04		bne $01162b
	011627 A5 B7		lda $B7
	011629 C9 00		cmp #$00
01162B	01162B 90 18		bcc $011645
	01162D AF 6D 10		bbs 2,$6D,$011640
	011630 2F 53 0A		bbr 2,$53,$01163d
	011633 AF 74 07		bbs 2,$74,$01163d
	011636 9F 74 04		bbs 1,$74,$01163d
	011639 97 74		smb 1,$74
	01163B B7 64		smb 3,$64
01163D	01163D 1F 53 05		bbr 1,$53,$011645
011640	011640 E7 74		smb 6,$74
	011642 4C 29 FD		jmp $FD29

011645	011645 60		rts

011646	011646 A5 B8		lda $B8
	011648 C9 00		cmp #$00
	01164A D0 DF		bne $01162b
	01164C A5 B7		lda $B7
	01164E CD 87 04		cmp $0487		;Cx9 CRC	control area
	011651 80 D8		bra $01162b

011653	011653 A5 B2		lda $B2
	011655 3F 9B 0A		bbr 3,$9B,$011662
	011658 C9 26		cmp #$26'&'
	01165A D0 0E		bne $01166a
	01165C A5 B1		lda $B1
	01165E C9 66		cmp #$66'f'
	011660 80 08		bra $01166a

011662	011662 C9 04		cmp #$04
	011664 D0 04		bne $01166a
	011666 A5 B1		lda $B1
	011668 C9 CC		cmp #$CC
01166A	01166A 90 15		bcc $011681
	01166C 2F 53 0A		bbr 2,$53,$011679
	01166F AF 74 07		bbs 2,$74,$011679
	011672 9F 74 04		bbs 1,$74,$011679
	011675 97 74		smb 1,$74
	011677 B7 64		smb 3,$64
011679	011679 1F 53 05		bbr 1,$53,$011681
	01167C E7 74		smb 6,$74
	01167E 4C 29 FD		jmp $FD29

011681	011681 60		rts

011682	011682 AF 74 04		bbs 2,$74,$011689
	011685 EF 74 01		bbs 6,$74,$011689
	011688 60		rts

011689	011689 EF 81 22		bbs 6,$81,$0116ae
	01168C A5 B8		lda $B8
	01168E C9 00		cmp #$00
	011690 D0 04		bne $011696
	011692 A5 B7		lda $B7
	011694 C9 40		cmp #$40'@'
011696	011696 B0 15		bcs $0116ad
	011698 AF 6D 0D		bbs 2,$6D,$0116a8
	01169B 2F 53 07		bbr 2,$53,$0116a5
	01169E 8F 74 04		bbs 0,$74,$0116a5
	0116A1 87 74		smb 0,$74
	0116A3 B7 64		smb 3,$64
0116A5	0116A5 1F 53 05		bbr 1,$53,$0116ad
0116A8	0116A8 67 74		rmb 6,$74
	0116AA 4C 26 FD		jmp $FD26

0116AD	0116AD 60		rts

0116AE	0116AE A5 B8		lda $B8
	0116B0 C9 00		cmp #$00
	0116B2 D0 E2		bne $011696
	0116B4 A5 B7		lda $B7
	0116B6 CD 86 04		cmp $0486		;Cx9 CRC	control area
	0116B9 80 DB		bra $011696

0116BB	0116BB FF 6E 07		bbs 7,$6E,$0116c5
	0116BE 80 09		bra $0116c9

0116C0	0116C0 98		tya
	0116C1 29 38		and #$38'8'
	0116C3 F0 04		beq $0116c9
0116C5	0116C5 A9 04		lda #$04
	0116C7 80 02		bra $0116cb

0116C9	0116C9 A9 03		lda #$03
0116CB	0116CB 20 2E 18		jsr $182E
	0116CE 20 5D F4		jsr $F45D
	0116D1 77 6E		rmb 7,6E
	0116D3 3F 61 02		bbr 3,$61,$0116d8
	0116D6 B7 64		smb 3,$64
0116D8	0116D8 60		rts

0116D9	0116D9 1F 6F 08		bbr 1,$6F,$0116e4
	0116DC CF 81 05		bbs 4,$81,$0116e4
	0116DF AF 81 02		bbs 2,$81,$0116e4
	0116E2 C7 81		smb 4,$81
0116E4	0116E4 CF 81 03		bbs 4,$81,$0116ea
	0116E7 4C 83 17		jmp $1783

0116EA	0116EA 17 81		rmb 1,$81
	0116EC 77 6E		rmb 7,6E
	0116EE F2 06 06 10 44	bas $0606,$10,$011737	;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
	0116F3 08		php
	0116F4 78		sei
	0116F5 20 62 F4		jsr $F462
	0116F8 20 72 F4		jsr $F472
	0116FB A0 00		ldy #$00
	0116FD 20 36 F4		jsr $F436
	011700 A2 02		ldx #$02
	011702 20 C5 E1		jsr $E1C5
	011705 D2 10 04 06	sba $10,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	011709 D2 01 08 06	sba $01,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	01170D 28		plp
	01170E AD 5B 04		lda $045B
	011711 8D BB 03		sta $03BB
	011714 9F 6F 12		bbs 1,$6F,$011729
	011717 A9 08		lda #$08
	011719 7F 81 02		bbr 7,$81,$01171e
	01171C A9 09		lda #$09
01171E	01171E 5F 82 02		bbr 5,$82,$011723
	011721 A9 11		lda #$11
011723	011723 8D 5B 04		sta $045B
	011726 20 6D FD		jsr $FD6D
011729	011729 A9 C8		lda #$C8
	01172B 8D 12 02		sta $0212
	01172E A9 00		lda #$00
	011730 8D 13 02		sta $0213
	011733 07 5E		rmb 0,$5E
	011735 80 4C		bra $011783

011737	011737 8F 5E 0E		bbs 0,$5E,$011748
	01173A E2 1E 06 01 44	bar $061E,$01,$011783	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01173F AD 0A 06		lda $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	011742 AE 00 06		ldx $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	011745 4A		lsr a
	011746 90 3B		bcc $011783
011748	011748 47 81		rmb 4,$81
	01174A A7 81		smb 2,$81
	01174C 07 83		rmb 0,$83
	01174E 17 83		rmb 1,$83
	011750 27 83		rmb 2,$83
	011752 20 A2 2F		jsr $2FA2
	011755 20 B8 2F		jsr $2FB8
	011758 20 82 16		jsr $1682
	01175B A9 00		lda #$00
	01175D 8D 73 03		sta $0373
	011760 A9 0C		lda #$0C
	011762 20 3C 18		jsr $183C
	011765 9F 6F 18		bbs 1,$6F,$011780
	011768 FF 64 15		bbs 7,$64,$011780
	01176B A5 53		lda $53
	01176D 29 07		and #$07
	01176F 8D C3 00		sta $00C3
	011772 A9 06		lda #$06
	011774 48		pha
	011775 A9 F8		lda #$F8
	011777 25 53		and $53
	011779 85 53		sta $53
	01177B 68		pla
	01177C 05 53		ora $53
	01177E 85 53		sta $53
011780	011780 20 5D F4		jsr $F45D
011783	011783 3F 81 2B		bbr 3,$81,$0117b1
	011786 20 E5 F3		jsr $F3E5
	011789 A9 08		lda #$08
	01178B 0F 82 0F		bbr 0,$82,$01179d
	01178E 07 82		rmb 0,$82
	011790 20 B8 2F		jsr $2FB8
	011793 B2 03 A9		sti #$03,$A9
	011796 B2 48 AC		sti #$48'H',$AC
	011799 B7 57		smb 3,$57
	01179B A9 09		lda #$09
01179D	01179D 20 3C 18		jsr $183C
	0117A0 67 57		rmb 6,$57
	0117A2 37 81		rmb 3,$81
	0117A4 20 1E FE		jsr $FE1E
	0117A7 AD BB 03		lda $03BB
	0117AA 8D 5B 04		sta $045B
	0117AD 20 6D FD		jsr $FD6D
	0117B0 60		rts

0117B1	0117B1 9F 6C 3F		bbs 1,$6C,$0117f3
	0117B4 2F 81 3C		bbr 2,$81,$0117f3
	0117B7 F2 07 06 01 2C	bas $0607,$01,$0117e8	;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	0117BC F2 1E 06 20 32	bas $061E,$20,$0117f3	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	0117C1 E2 0A 06 02 2D	bar $060A,$02,$0117f3	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	0117C6 AD 73 03		lda $0373
	0117C9 D0 06		bne $0117d1
	0117CB AF 74 03		bbs 2,$74,$0117d1
	0117CE 6F 74 22		bbr 6,$74,$0117f3
0117D1	0117D1 78		sei
	0117D2 20 E7 2E		jsr $2EE7
	0117D5 C9 10		cmp #$10
	0117D7 D0 03		bne $0117dc
	0117D9 20 E7 2E		jsr $2EE7
0117DC	0117DC 48		pha
	0117DD 20 82 16		jsr $1682
	0117E0 68		pla
	0117E1 58		cli
	0117E2 8D 74 03		sta $0374
	0117E5 4C 67 F4		jmp $F467

0117E8	0117E8 AD CC 00		lda $00CC
	0117EB C9 0A		cmp #$0A
	0117ED 90 04		bcc $0117f3
	0117EF C2 01 07 06	rba $01,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
0117F3	0117F3 60		rts

0117F4	0117F4 78		sei
	0117F5 2F 83 07		bbr 2,$83,$0117ff
	0117F8 20 E7 2E		jsr $2EE7
	0117FB 90 04		bcc $011801
	0117FD 87 83		smb 0,$83
0117FF	0117FF 58		cli
	011800 60		rts

011801	011801 58		cli
	011802 C9 10		cmp #$10
	011804 F0 05		beq $01180b
	011806 9F 83 06		bbs 1,$83,$01180f
	011809 80 E9		bra $0117f4

01180B	01180B 97 83		smb 1,$83
	01180D 80 E5		bra $0117f4

01180F	01180F C9 03		cmp #$03
	011811 F0 04		beq $011817
	011813 17 83		rmb 1,$83
	011815 80 DD		bra $0117f4

011817	011817 17 83		rmb 1,$83
	011819 27 83		rmb 2,$83
	01181B AD 73 03		lda $0373
	01181E F0 03		beq $011823
	011820 CE 73 03		dec $0373
011823	011823 60		rts

011824	011824 D2 01 07 06	sba $01,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	011828 A9 00		lda #$00
	01182A 8D CC 00		sta $00CC
	01182D 60		rts

01182E	01182E 08		php
	01182F 78		sei
	011830 48		pha
	011831 A9 10		lda #$10
	011833 20 B7 2E		jsr $2EB7
	011836 68		pla
	011837 20 B7 2E		jsr $2EB7
	01183A 28		plp
	01183B 60		rts

01183C	01183C 20 2E 18		jsr $182E
	01183F 20 DA FD		jsr $FDDA
	011842 60		rts

011843	011843 BF 85 1B		bbs 3,$85,$011861
	011846 C9 10		cmp #$10
	011848 F0 13		beq $01185d
	01184A 8F 83 0E		bbs 0,$83,$01185b
	01184D BF 83 0B		bbs 3,$83,$01185b
011850	011850 18		clc
	011851 60		rts

011852	011852 A9 10		lda #$10
	011854 5A		phy
	011855 20 86 2E		jsr $2E86
	011858 7A		ply
	011859 80 F5		bra $011850

01185B	01185B 38		sec
	01185C 60		rts

01185D	01185D B7 85		smb 3,$85
	01185F 80 FA		bra $01185b

011861	011861 37 85		rmb 3,$85
	011863 8F 83 0C		bbs 0,$83,$011872
	011866 BF 83 15		bbs 3,$83,$01187e
	011869 C9 03		cmp #$03
	01186B D0 1E		bne $01188b
	01186D EE 73 03		inc $0373
	011870 80 E0		bra $011852

011872	011872 C9 03		cmp #$03
	011874 F0 02		beq $011878
	011876 80 E3		bra $01185b

011878	011878 07 83		rmb 0,$83
	01187A 27 83		rmb 2,$83
	01187C 80 DD		bra $01185b

01187E	01187E 80 1A		bra $01189a

011880	011880 C9 04		cmp #$04
	011882 D0 05		bne $011889
	011884 37 83		rmb 3,$83
	011886 4C 07 19		jmp $1907

011889	011889 80 D0		bra $01185b

01188B	01188B C9 10		cmp #$10
	01188D F0 C3		beq $011852
	01188F C9 09		cmp #$09
	011891 D0 07		bne $01189a
	011893 20 62 F4		jsr $F462
	011896 87 82		smb 0,$82
	011898 80 04		bra $01189e

01189A	01189A C9 08		cmp #$08
	01189C D0 1F		bne $0118bd
01189E	01189E 27 81		rmb 2,$81
	0118A0 B7 81		smb 3,$81
	0118A2 9F 6F 12		bbs 1,$6F,$0118b7
	0118A5 FF 64 0F		bbs 7,$64,$0118b7
	0118A8 AD C3 00		lda $00C3
	0118AB 48		pha
	0118AC A9 F8		lda #$F8
	0118AE 25 53		and $53
	0118B0 85 53		sta $53
	0118B2 68		pla
	0118B3 05 53		ora $53
	0118B5 85 53		sta $53
0118B7	0118B7 17 74		rmb 1,$74
	0118B9 07 74		rmb 0,$74
	0118BB 80 9E		bra $01185b

0118BD	0118BD C9 00		cmp #$00
	0118BF D0 29		bne $0118ea
	0118C1 A9 01		lda #$01
	0118C3 20 2E 18		jsr $182E
	0118C6 A9 00		lda #$00
	0118C8 EF 74 02		bbs 6,$74,$0118cd
	0118CB 09 01		ora #$01
0118CD	0118CD E2 0A 06 01 02	bar $060A,$01,$0118d4	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	0118D2 09 02		ora #$02
0118D4	0118D4 E2 0A 06 10 02	bar $060A,$10,$0118db	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	0118D9 09 04		ora #$04
0118DB	0118DB 3F 83 02		bbr 3,$83,$0118e0
	0118DE 09 08		ora #$08
0118E0	0118E0 78		sei
	0118E1 20 B7 2E		jsr $2EB7
	0118E4 58		cli
	0118E5 B7 64		smb 3,$64
	0118E7 4C 5B 18		jmp $185B

0118EA	0118EA 3F 83 0B		bbr 3,$83,$0118f8
	0118ED C9 04		cmp #$04
	0118EF D0 04		bne $0118f5
	0118F1 37 83		rmb 3,$83
	0118F3 80 12		bra $011907

0118F5	0118F5 4C 5B 18		jmp $185B

0118F8	0118F8 C9 04		cmp #$04
	0118FA F0 03		beq $0118ff
	0118FC 4C 52 18		jmp $1852

0118FF	0118FF E2 1E 06 20 0E	bar $061E,$20,$011912	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	011904 20 24 18		jsr $1824
011907	011907 20 A2 2F		jsr $2FA2
	01190A 20 82 16		jsr $1682
	01190D A9 00		lda #$00
	01190F 8D 73 03		sta $0373
011912	011912 4C 5B 18		jmp $185B

011915	011915 FF 82 13		bbs 7,$82,$01192b
	011918 EF 82 08		bbs 6,$82,$011923
	01191B C9 55		cmp #$55'U'
	01191D D0 2B		bne $01194a
	01191F E7 82		smb 6,$82
	011921 80 27		bra $01194a

011923	011923 C9 10		cmp #$10
	011925 D0 21		bne $011948
	011927 F7 82		smb 7,$82
	011929 80 1D		bra $011948

01192B	01192B C9 CC		cmp #$CC
	01192D D0 04		bne $011933
	01192F 57 81		rmb 5,$81
	011931 80 13		bra $011946

011933	011933 C9 55		cmp #$55'U'
	011935 D0 07		bne $01193e
	011937 C7 81		smb 4,$81
	011939 20 62 F4		jsr $F462
	01193C 80 08		bra $011946

01193E	01193E C9 AA		cmp #$AA
	011940 D0 04		bne $011946
	011942 17 81		rmb 1,$81
	011944 67 57		rmb 6,$57
011946	011946 77 82		rmb 7,82
011948	011948 67 82		rmb 6,$82
01194A	01194A 5F 81 04		bbr 5,$81,$011951
	01194D C9 FF		cmp #$FF
	01194F F0 02		beq $011953
011951	011951 18		clc
	011952 60		rts

011953	011953 38		sec
	011954 60		rts

011955	011955 FF 6E 0C		bbs 7,$6E,$011964
	011958 98		tya
	011959 5F 84 04		bbr 5,$84,$011960
	01195C 29 38		and #$38'8'
	01195E 80 02		bra $011962

011960	011960 29 18		and #$18
011962	011962 F0 04		beq $011968
011964	011964 A9 B2		lda #$B2
	011966 80 02		bra $01196a

011968	011968 A9 B1		lda #$B1
01196A	01196A 48		pha
	01196B 0F 82 14		bbr 0,$82,$011982
	01196E 07 82		rmb 0,$82
	011970 A9 19		lda #$19
	011972 20 B7 2E		jsr $2EB7
	011975 B0 23		bcs $01199a
	011977 AE 75 03		ldx $0375
	01197A BD C4 11		lda $11C4,x
	01197D 20 B7 2E		jsr $2EB7
	011980 B0 18		bcs $01199a
011982	011982 A9 19		lda #$19
	011984 20 B7 2E		jsr $2EB7
	011987 B0 11		bcs $01199a
	011989 68		pla
	01198A 20 B7 2E		jsr $2EB7
	01198D B0 0C		bcs $01199b
	01198F 20 5D F4		jsr $F45D
	011992 77 6E		rmb 7,6E
	011994 3F 61 02		bbr 3,$61,$011999
	011997 B7 64		smb 3,$64
011999	011999 60		rts

01199A	01199A 68		pla
01199B	01199B 4C D8 11		jmp $11D8

01199E	01199E CF 81 03		bbs 4,$81,$0119a4
	0119A1 4C DE 19		jmp $19DE

0119A4	0119A4 47 81		rmb 4,$81
	0119A6 F7 82		smb 7,$82
	0119A8 F7 6E		smb 7,$6E
	0119AA 07 83		rmb 0,$83
	0119AC 17 83		rmb 1,$83
	0119AE 27 83		rmb 2,$83
	0119B0 20 A2 2F		jsr $2FA2
	0119B3 20 B8 2F		jsr $2FB8
	0119B6 20 82 16		jsr $1682
	0119B9 A9 00		lda #$00
	0119BB 8D 73 03		sta $0373
	0119BE 37 84		rmb 3,$84
	0119C0 08		php
	0119C1 78		sei
	0119C2 20 62 F4		jsr $F462
	0119C5 20 72 F4		jsr $F472
	0119C8 A0 00		ldy #$00
	0119CA 20 36 F4		jsr $F436
	0119CD A2 02		ldx #$02
	0119CF 20 C5 E1		jsr $E1C5
	0119D2 D2 10 04 06	sba $10,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	0119D6 D2 01 08 06	sba $01,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	0119DA 28		plp
	0119DB 20 5D F4		jsr $F45D
	0119DE 3F 81 29		bbr 3,$81,$011a0a
	0119E1 37 81		rmb 3,$81
	0119E3 20 A2 2F		jsr $2FA2
	0119E6 20 B8 2F		jsr $2FB8
	0119E9 20 82 16		jsr $1682
	0119EC 08		php
	0119ED 78		sei
	0119EE 20 62 F4		jsr $F462
	0119F1 20 72 F4		jsr $F472
	0119F4 20 2C F4		jsr $F42C
	0119F7 D2 40 08 06	sba $40,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	0119FB A2 02		ldx #$02
	0119FD 20 C5 E1		jsr $E1C5
	011A00 D2 10 04 06	sba $10,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	011A04 28		plp
	011A05 20 5D F4		jsr $F45D
	011A08 77 82		rmb 7,82
011A0A	011A0A 5F 81 18		bbr 5,$81,$011a25
	011A0D 57 81		rmb 5,$81
	011A0F 20 DF FD		jsr $FDDF
	011A12 20 1E FE		jsr $FE1E
	011A15 A9 19		lda #$19
	011A17 20 05 FE		jsr $FE05{out}
	011A1A A9 BB		lda #$BB
	011A1C 20 05 FE		jsr $FE05{out}
	011A1F 20 1E FE		jsr $FE1E
	011A22 20 D9 15		jsr $15D9
011A25	011A25 4F 82 1E		bbr 4,$82,$011a46
	011A28 20 DF FD		jsr $FDDF
	011A2B 20 1E FE		jsr $FE1E
	011A2E A9 19		lda #$19
	011A30 20 05 FE		jsr $FE05{out}
	011A33 A9 BA		lda #$BA
	011A35 20 05 FE		jsr $FE05{out}
	011A38 20 1E FE		jsr $FE1E
	011A3B B2 03 A9		sti #$03,$A9
	011A3E B2 48 AC		sti #$48'H',$AC
	011A41 B7 57		smb 3,$57
	011A43 67 57		rmb 6,$57
	011A45 60		rts

011A46	011A46 2F 82 16		bbr 2,$82,$011a5f
	011A49 3F 61 13		bbr 3,$61,$011a5f
	011A4C A9 19		lda #$19
	011A4E 20 B7 2E		jsr $2EB7
	011A51 B0 69		bcs $011abc
	011A53 A9 B4		lda #$B4
	011A55 20 B7 2E		jsr $2EB7
	011A58 B0 62		bcs $011abc
	011A5A 27 82		rmb 2,$82
	011A5C 20 DA FD		jsr $FDDA
011A5F	011A5F 3F 82 16		bbr 3,$82,$011a78
	011A62 3F 61 13		bbr 3,$61,$011a78
	011A65 A9 19		lda #$19
	011A67 20 B7 2E		jsr $2EB7
	011A6A B0 50		bcs $011abc
	011A6C A9 B5		lda #$B5
	011A6E 20 B7 2E		jsr $2EB7
	011A71 B0 49		bcs $011abc
	011A73 37 82		rmb 3,$82
	011A75 20 DA FD		jsr $FDDA
011A78	011A78 3F 83 3F		bbr 3,$83,$011aba
	011A7B 6F 82 3A		bbr 6,$82,$011ab8
	011A7E 3F 61 39		bbr 3,$61,$011aba
	011A81 F2 1E 06 20 34	bas $061E,$20,$011aba	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	011A86 A9 19		lda #$19
	011A88 20 B7 2E		jsr $2EB7
	011A8B B0 2F		bcs $011abc
	011A8D A9 B9		lda #$B9
	011A8F 20 B7 2E		jsr $2EB7
	011A92 B0 28		bcs $011abc
	011A94 AD 79 03		lda $0379
	011A97 0A		asl a
	011A98 20 B7 2E		jsr $2EB7
	011A9B B0 1F		bcs $011abc
	011A9D AD 79 03		lda $0379
	011AA0 2A		rol a
	011AA1 AD 7A 03		lda $037A
	011AA4 2A		rol a
	011AA5 0A		asl a
	011AA6 20 B7 2E		jsr $2EB7
	011AA9 B0 11		bcs $011abc
	011AAB 20 DA FD		jsr $FDDA
	011AAE A9 00		lda #$00
	011AB0 8D 79 03		sta $0379
	011AB3 8D 7A 03		sta $037A
	011AB6 67 82		rmb 6,$82
011AB8	011AB8 37 83		rmb 3,$83
011ABA	011ABA 80 04		bra $011ac0

011ABC	011ABC 4C D8 11		jmp $11D8

011ABF	011ABF 60		rts

011AC0	011AC0 7F 83 16		bbr 7,$83,$011ad9
	011AC3 3F 61 13		bbr 3,$61,$011ad9
	011AC6 A9 19		lda #$19
	011AC8 20 B7 2E		jsr $2EB7
	011ACB B0 EF		bcs $011abc
	011ACD A9 BC		lda #$BC
	011ACF 20 B7 2E		jsr $2EB7
	011AD2 B0 E8		bcs $011abc
	011AD4 20 DA FD		jsr $FDDA
	011AD7 77 83		rmb 7,83
011AD9	011AD9 0F 84 16		bbr 0,$84,$011af2
	011ADC 3F 61 13		bbr 3,$61,$011af2
	011ADF A9 19		lda #$19
	011AE1 20 B7 2E		jsr $2EB7
	011AE4 B0 D6		bcs $011abc
	011AE6 A9 BD		lda #$BD
	011AE8 20 B7 2E		jsr $2EB7
	011AEB B0 CF		bcs $011abc
	011AED 20 DA FD		jsr $FDDA
	011AF0 07 84		rmb 0,$84
011AF2	011AF2 4F 83 26		bbr 4,$83,$011b1b
	011AF5 3F 61 23		bbr 3,$61,$011b1b
	011AF8 A9 19		lda #$19
	011AFA 20 B7 2E		jsr $2EB7
	011AFD B0 BD		bcs $011abc
	011AFF A9 BE		lda #$BE
	011B01 20 B7 2E		jsr $2EB7
	011B04 B0 B6		bcs $011abc
	011B06 20 65 1B		jsr $1B65
	011B09 20 B7 2E		jsr $2EB7
	011B0C B0 AE		bcs $011abc
	011B0E 20 72 1B		jsr $1B72
	011B11 20 B7 2E		jsr $2EB7
	011B14 B0 A6		bcs $011abc
	011B16 47 83		rmb 4,$83
	011B18 20 DA FD		jsr $FDDA
011B1B	011B1B 1F 84 05		bbr 1,$84,$011b23
	011B1E 17 84		rmb 1,$84
	011B20 20 12 25		jsr $2512
011B23	011B23 2F 84 09		bbr 2,$84,$011b2f
	011B26 27 84		rmb 2,$84
	011B28 87 70		smb 0,$70
	011B2A 17 70		rmb 1,$70
	011B2C 20 12 25		jsr $2512
011B2F	011B2F 9F 6C 32		bbs 1,$6C,$011b64
	011B32 7F 82 2F		bbr 7,$82,$011b64
	011B35 F2 07 06 01 1F	bas $0607,$01,$011b59	;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	011B3A F2 1E 06 20 25	bas $061E,$20,$011b64	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	011B3F E2 0A 06 02 20	bar $060A,$02,$011b64	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	011B44 AD 73 03		lda $0373
	011B47 D0 06		bne $011b4f
	011B49 AF 74 03		bbs 2,$74,$011b4f
	011B4C 6F 74 15		bbr 6,$74,$011b64
011B4F	011B4F 78		sei
	011B50 20 97 0E		jsr $0E97
	011B53 58		cli
	011B54 20 67 F4		jsr $F467
	011B57 80 0B		bra $011b64

011B59	011B59 AD CC 00		lda $00CC
	011B5C C9 0A		cmp #$0A
	011B5E 90 04		bcc $011b64
	011B60 C2 01 07 06	rba $01,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
011B64	011B64 60		rts

011B65	011B65 20 76 F5		jsr $F576
	011B68 90 24		bcc $011b8e
	011B6A 20 29 2D		jsr $2D29
	011B6D AA		tax
	011B6E BD 7F 1B		lda $1B7F,x
	011B71 60		rts

011B72	011B72 20 76 F5		jsr $F576
	011B75 90 17		bcc $011b8e
	011B77 20 16 2D		jsr $2D16
	011B7A AA		tax
	011B7B BD 7F 1B		lda $1B7F,x
	011B7E 60		rts

011B7F	011B7F 2E 21 22		rol $2221
	011B82 23		phw
	011B83 24 25		bit $25			;Cx9 SP RAM 5
	011B85 26 27		rol $27			;Cx9 SP RAM 7
	011B87 28		plp
	011B88 29 2A		and #$2A'*'
	011B8A 2B		jsb 2			;indirect $FFE4
	011B8B 2C 2D 2E		bit $2E2D
011B8E	011B8E 20 F7 F9		jsr $F9F7
	011B91 AA		tax
	011B92 BD 96 1B		lda $1B96,x
	011B95 60		rts

011B96	011B96 20 20 20		jsr $2020
	011B99 21 22		and ($22)		;Cx9 SP RAM 2
	011B9B 24 25		bit $25			;Cx9 SP RAM 5
	011B9D 26 23		rol $23			;Cx9 SP RAM 3
	011B9F 27 28		rmb 2,$28		;Cx9 SP RAM 8
	011BA1 29 2A		and #$2A'*'
	011BA3 2B		jsb 2			;indirect $FFE4
	011BA4 2C 78 B7		bit $B778
	011BA7 84 20		sty $20			;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	011BA9 A2 2F		ldx #$2F'/'
	011BAB 20 82 16		jsr $1682
	011BAE A9 00		lda #$00
	011BB0 8D 73 03		sta $0373
	011BB3 17 82		rmb 1,$82
	011BB5 58		cli
	011BB6 60		rts

011BB7	011BB7 20 67 FD		jsr $FD67
	011BBA B0 01		bcs $011bbd
011BBC	011BBC 60		rts

011BBD	011BBD 57 74		rmb 5,$74
	011BBF 27 59		rmb 2,$59
	011BC1 CF 74 F8		bbs 4,$74,$011bbc
	011BC4 3F 61 F5		bbr 3,$61,$011bbc
	011BC7 4C DA FD		jmp $FDDA

011BCA	011BCA 78		sei
	011BCB A7 68		smb 2,$68
	011BCD 20 63 0D		jsr $0D63
	011BD0 27 68		rmb 2,$68
	011BD2 58		cli
	011BD3 60		rts

011BD4	011BD4 78		sei
	011BD5 4F 64 12		bbr 4,$64,$011bea
	011BD8 A5 B5		lda $B5
	011BDA CD 8A 03		cmp $038A
	011BDD D0 0B		bne $011bea
	011BDF A5 B6		lda $B6
	011BE1 CD 8B 03		cmp $038B
	011BE4 D0 04		bne $011bea
	011BE6 47 64		rmb 4,$64
	011BE8 F7 62		smb 7,$62
011BEA	011BEA 20 E7 2E		jsr $2EE7
	011BED 90 02		bcc $011bf1
	011BEF 80 06		bra $011bf7

011BF1	011BF1 48		pha
	011BF2 20 82 16		jsr $1682
	011BF5 68		pla
	011BF6 18		clc
011BF7	011BF7 58		cli
	011BF8 60		rts

011BF9	011BF9 78		sei
	011BFA 4F 62 07		bbr 4,$62,$011c04
	011BFD 47 62		rmb 4,$62
	011BFF 20 FA 13		jsr $13FA
	011C02 58		cli
	011C03 60		rts

011C04	011C04 20 B7 2E		jsr $2EB7
	011C07 20 FA 15		jsr $15FA
	011C0A CF 74 0A		bbs 4,$74,$011c17
	011C0D DF 74 07		bbs 5,$74,$011c17
	011C10 3F 61 04		bbr 3,$61,$011c17
	011C13 B7 64		smb 3,$64
	011C15 97 39		smb 1,$39		;Cx9	serial interrupt enable
011C17	011C17 58		cli
	011C18 60		rts

011C19	011C19 78		sei
	011C1A 20 62 10		jsr $1062
	011C1D 3F 64 03		bbr 3,$64,$011c23
	011C20 20 DA FD		jsr $FDDA
011C23	011C23 58		cli
	011C24 60		rts

011C25	011C25 08		php
	011C26 78		sei
	011C27 48		pha
	011C28 A9 10		lda #$10
	011C2A 20 62 10		jsr $1062
	011C2D 68		pla
	011C2E 20 62 10		jsr $1062
	011C31 3F 64 03		bbr 3,$64,$011c37
	011C34 20 DA FD		jsr $FDDA
011C37	011C37 28		plp
	011C38 60		rts

011C39	011C39 A5 B2		lda $B2
	011C3B D0 09		bne $011c46
	011C3D A5 B1		lda $B1
	011C3F C9 04		cmp #$04
	011C41 B0 03		bcs $011c46
	011C43 4C DC 1C		jmp $1CDC

011C46	011C46 A5 B1		lda $B1
	011C48 C9 03		cmp #$03
	011C4A B0 03		bcs $011c4f
011C4C	011C4C 4C CB 1C		jmp $1CCB

011C4F	011C4F A5 AF		lda $AF
	011C51 F0 F9		beq $011c4c
	011C53 C9 FE		cmp #$FE
	011C55 B0 74		bcs $011ccb
	011C57 C9 FE		cmp #$FE
	011C59 B0 70		bcs $011ccb
	011C5B C6 B1		dec $B1
	011C5D CF 9B 02		bbs 4,$9B,$011c62
	011C60 C6 B1		dec $B1
011C62	011C62 A1 AF		lda ($AF)
	011C64 A8		tay
	011C65 E6 AF		inc $AF
	011C67 CF 9B 04		bbs 4,$9B,$011c6e
	011C6A A1 AF		lda ($AF)
	011C6C E6 AF		inc $AF
011C6E	011C6E FF 9B 12		bbs 7,$9B,$011c83
	011C71 8C 10 06		sty $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	011C74 48		pha
	011C75 D2 02 11 06	sba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	011C79 68		pla
	011C7A 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	011C7D C2 02 11 06	rba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	011C81 80 2A		bra $011cad

011C83	011C83 4F 9B 17		bbr 4,$9B,$011c9d
	011C86 A9 00		lda #$00
	011C88 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	011C8B 48		pha
	011C8C D2 02 11 06	sba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	011C90 68		pla
	011C91 98		tya
	011C92 49 80		eor #$80
	011C94 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	011C97 C2 02 11 06	rba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	011C9B 80 10		bra $011cad

011C9D	011C9D 8C 10 06		sty $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	011CA0 48		pha
	011CA1 D2 02 11 06	sba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	011CA5 68		pla
	011CA6 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	011CA9 C2 02 11 06	rba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
011CAD	011CAD A5 B2		lda $B2
	011CAF C9 24		cmp #$24'$'
	011CB1 D0 04		bne $011cb7
	011CB3 A5 B1		lda $B1
	011CB5 C9 D6		cmp #$D6
011CB7	011CB7 B0 03		bcs $011cbc
	011CB9 20 80 7C		jsr $7C80
011CBC	011CBC A5 9A		lda $9A
	011CBE 29 3F		and #$3F'?'
	011CC0 F0 08		beq $011cca
	011CC2 AD 1D 01		lda $011D
	011CC5 8D 30 02		sta $0230
	011CC8 77 5F		rmb 7,5F
011CCA	011CCA 60		rts

011CCB	011CCB 20 78 2F		jsr $2F78
	011CCE B0 17		bcs $011ce7
	011CD0 A8		tay
	011CD1 CF 9B 05		bbs 4,$9B,$011cd9
	011CD4 20 78 2F		jsr $2F78
	011CD7 B0 0E		bcs $011ce7
011CD9	011CD9 4C 6E 1C		jmp $1C6E

011CDC	011CDC CF 85 EC		bbs 4,$85,$011ccb
	011CDF 8D 6E 86		sta $866E
	011CE2 E7 9A		smb 6,$9A
	011CE4 4C 72 F4		jmp $F472

011CE7	011CE7 A9 00		lda #$00
	011CE9 8D 6E 86		sta $866E
	011CEC 4C 72 F4		jmp $F472

011CEF	011CEF 4F 9C 08		bbr 4,$9C,$011cfa
	011CF2 AD 01 06		lda $0601		;DPi VOLUME/VPAUSE/CELULR/xXHF/RXP
	011CF5 09 20		ora #$20' '
	011CF7 8D 01 06		sta $0601		;DPi VOLUME/VPAUSE/CELULR/xXHF/RXP
011CFA	011CFA 7F 9B 03		bbr 7,$9B,$011d00
	011CFD 4C DF E2		jmp $E2DF

011D00	011D00 A6 B2		ldx $B2
	011D02 E0 2F		cpx #$2F'/'
	011D04 90 13		bcc $011d19
	011D06 D0 06		bne $011d0e
	011D08 A6 B1		ldx $B1
	011D0A E0 F0		cpx #$F0
	011D0C 90 0B		bcc $011d19
011D0E	011D0E AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	011D11 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	011D14 F7 9A		smb 7,$9A
	011D16 F7 86		smb 7,$86
	011D18 60		rts

011D19	011D19 AD 78 04		lda $0478
	011D1C F0 1A		beq $011d38
	011D1E 4F 5E 17		bbr 4,$5E,$011d38
	011D21 A9 10		lda #$10
	011D23 20 48 2F		jsr $2F48
	011D26 A9 54		lda #$54'T'
	011D28 20 E3 0F		jsr $0FE3
	011D2B AD 78 04		lda $0478
	011D2E 8D 1A 02		sta $021A
	011D31 A9 00		lda #$00
	011D33 8D 1B 02		sta $021B
	011D36 47 5E		rmb 4,$5E
011D38	011D38 6F 9A 07		bbr 6,$9A,$011d42
	011D3B E2 0A 06 20 16	bar $060A,$20,$011d56	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	011D40 67 9A		rmb 6,$9A
011D42	011D42 AC 00 06		ldy $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	011D45 E2 0A 06 10 0F	bar $060A,$10,$011d59	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	011D4A AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	011D4D 48		pha
	011D4E 98		tya
	011D4F 20 E3 0F		jsr $0FE3
	011D52 68		pla
	011D53 4C E3 0F		jmp $0FE3

011D56	011D56 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
011D59	011D59 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	011D5C 60		rts

011D5D	011D5D A6 B2		ldx $B2
	011D5F E0 2F		cpx #$2F'/'
	011D61 90 15		bcc $011d78
	011D63 D0 06		bne $011d6b
	011D65 A6 B1		ldx $B1
	011D67 E0 F0		cpx #$F0
	011D69 90 0D		bcc $011d78
011D6B	011D6B AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	011D6E AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	011D71 77 9B		rmb 7,$9B
	011D73 F7 86		smb 7,$86
	011D75 80 56		bra $011dcd

011D77	011D77 60		rts

011D78	011D78 6F 9A 07		bbr 6,$9A,$011d82
	011D7B E2 0A 06 20 F7	bar $060A,$20,$011d77	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	011D80 67 9A		rmb 6,$9A
011D82	011D82 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	011D85 4F 9B 0A		bbr 4,$9B,$011d92
	011D88 E2 0A 06 10 EA	bar $060A,$10,$011d77	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	011D8D AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	011D90 49 80		eor #$80
011D92	011D92 A8		tay
	011D93 20 39 2F		jsr $2F39
	011D96 98		tya
	011D97 B0 34		bcs $011dcd
	011D99 77 86		rmb 7,86
	011D9B C9 10		cmp #$10
	011D9D D0 03		bne $011da2
	011D9F 20 48 2F		jsr $2F48
011DA2	011DA2 CF 74 05		bbs 4,$74,$011daa
	011DA5 DF 74 02		bbs 5,$74,$011daa
	011DA8 B7 64		smb 3,$64
011DAA	011DAA CF 9B 11		bbs 4,$9B,$011dbe
	011DAD 7F 9B 0C		bbr 7,$9B,$011dbc
	011DB0 77 9B		rmb 7,9B
	011DB2 E2 0A 06 10 C0	bar $060A,$10,$011d77	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	011DB7 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	011DBA 80 D6		bra $011d92

011DBC	011DBC F7 9B		smb 7,$9B
011DBE	011DBE A5 9A		lda $9A
	011DC0 29 3F		and #$3F'?'
	011DC2 F0 08		beq $011dcc
	011DC4 AD 1D 01		lda $011D
	011DC7 8D 30 02		sta $0230
	011DCA 77 5F		rmb 7,5F
011DCC	011DCC 60		rts

011DCD	011DCD 7F 86 02		bbr 7,$86,$011dd2
	011DD0 F7 9A		smb 7,$9A
011DD2	011DD2 F7 86		smb 7,$86
	011DD4 80 CC		bra $011da2

;;;

011DD6	011DD6 D7 5D		smb 5,$5D
	011DD8 E7 5D		smb 6,$5D
	011DDA 57 57		rmb 5,$57
	011DDC A9 06		lda #$06
	011DDE 8D 3F 02		sta $023F
	011DE1 A9 E3		lda #$E3
	011DE3 8D 40 02		sta $0240
	011DE6 D7 57		smb 5,$57
	011DE8 07 63		rmb 0,$63
	011DEA 27 61		rmb 2,$61
	011DEC 20 CB 1E		jsr $1ECB

011DEF	011DEF E2 31 01 20 03	bar $0131,$20,$011df7
	011DF4 20 59 E4		jsr $E459		;! 18B9F 
011DF7	011DF7 20 77 1E		jsr $1E77
	011DFA B0 01		bcs $011dfd
	011DFC 60		rts

;;; ring?

011DFD	011DFD 07 63		rmb 0,$63
	011DFF 20 35 FD		jsr $FD35
	011E02 AD BC 03		lda $03BC
	011E05 8D 0C 02		sta $020C
	011E08 AD BD 03		lda $03BD
	011E0B 8D 0D 02		sta $020D
	011E0E 57 5D		rmb 5,$5D
	011E10 AD 34 01		lda $0134
	011E13 F0 08		beq $011e1d
	011E15 AE 6F 86		ldx $866F
	011E18 3D 73 1E		and $1E73,x
	011E1B F0 55		beq $011e72
011E1D	011E1D AF 57 52		bbs 2,$57,$011e72
	011E20 BF 57 4F		bbs 3,$57,$011e72
	011E23 C9 00		cmp #$00
	011E25 F0 11		beq $011e38
	011E27 A2 02		ldx #$02
	011E29 C9 04		cmp #$04
	011E2B B0 08		bcs $011e35
	011E2D A2 01		ldx #$01
	011E2F C9 02		cmp #$02
	011E31 B0 02		bcs $011e35
	011E33 A2 00		ldx #$00
011E35	011E35 8E 83 01		stx $0183
011E38	011E38 EE 07 01		inc $0107{s1}		;! RING counter
	011E3B 20 63 E0		jsr $E063		;! 001454 - blink AA
	011E3E A5 4A		lda $4A
	011E40 D0 30		bne $011e72
	011E42 B2 02 A9		sti #$02,$A9
	011E45 20 8C 5C		jsr $5C8C		;! print "RING"
	011E48 20 C4 2B		jsr $2BC4		;! check CID settings and ring counter
	011E4B B0 03		bcs $011e50
	011E4D 4C 67 E2		jmp $E267		;! 007F4E this shoud be what i'm looking for

011E50	011E50 F2 31 01 20 1D	bas $0131,$20,$011e72
	011E55 CF 68 1A		bbs 4,$68,$011e72
	011E58 AD 06 01		lda $0106{s0}
	011E5B F0 15		beq $011e72		;! s0==0 -> don't pick up
	011E5D CD 07 01		cmp $0107{s1}
	011E60 F0 02		beq $011e64		;! go off hook
	011E62 B0 0E		bcs $011e72
011E64	011E64 20 AE E3		jsr $E3AE		;! 
	011E67 B2 41 AC		sti #$41'A',$AC
	011E6A B7 57		smb 3,$57
	011E6C 20 01 FE		jsr $FE01{in}		; a -> $38
	011E6F 20 81 EF		jsr $EF81
011E72	011E72 60		rts

011E73	011E73 00 01 02 04

011E77	011E77 5F 5D 05		bbr 5,$5D,$011e7f
	011E7A A9 00		lda #$00
	011E7C 8D 07 01		sta $0107{s1}
011E7F	011E7F 8F 63 1D		bbs 0,$63,$011e9f
	011E82 2F 61 42		bbr 2,$61,$011ec7
	011E85 27 61		rmb 2,$61
	011E87 87 63		smb 0,$63
	011E89 F7 78		smb 7,$78
	011E8B A9 01		lda #$01
	011E8D 8D 6F 86		sta $866F
	011E90 AD 34 01		lda $0134
	011E93 F0 05		beq $011e9a
	011E95 AD 07 01		lda $0107{s1}
	011E98 F0 2D		beq $011ec7
011E9A	011E9A 20 32 FD		jsr $FD32
	011E9D 80 28		bra $011ec7

011E9F	011E9F 7F 78 18		bbr 7,$78,$011eba
	011EA2 20 48 F3		jsr $F348{lda46D.1}
	011EA5 D0 20		bne $011ec7
	011EA7 27 61		rmb 2,$61
	011EA9 77 78		rmb 7,78
	011EAB AD 80 03		lda $0380
	011EAE 8D 0E 02		sta $020E
	011EB1 A9 00		lda #$00
	011EB3 8D 0F 02		sta $020F
	011EB6 67 5D		rmb 6,$5D
	011EB8 80 0D		bra $011ec7

011EBA	011EBA EF 5D 0C		bbs 6,$5D,$011ec9
	011EBD 20 48 F3		jsr $F348{lda46D.1}
	011EC0 F0 05		beq $011ec7
	011EC2 F7 78		smb 7,$78
	011EC4 EE 6F 86		inc $866F
011EC7	011EC7 18		clc
	011EC8 60		rts

011EC9	011EC9 38		sec
	011ECA 60		rts

011ECB	011ECB A0 0F		ldy #$0F
	011ECD B9 E0 02		lda $02E0,y
	011ED0 8D BC 03		sta $03BC
	011ED3 B9 E1 02		lda $02E1,y
	011ED6 8D BD 03		sta $03BD
	011ED9 AD 1C 03		lda $031C
	011EDC 85 40		sta $40
	011EDE AD 1D 03		lda $031D
	011EE1 85 41		sta $41
	011EE3 A5 41		lda $41
	011EE5 CD BD 03		cmp $03BD
	011EE8 D0 05		bne $011eef
	011EEA A5 40		lda $40
	011EEC CD BC 03		cmp $03BC
011EEF	011EEF 90 03		bcc $011ef4
	011EF1 20 17 1F		jsr $1F17
011EF4	011EF4 A9 01		lda #$01
	011EF6 F0 0B		beq $011f03
011EF8	011EF8 0E BC 03		asl $03BC
	011EFB 2E BD 03		rol $03BD
	011EFE 38		sec
	011EFF E9 01		sbc #$01
	011F01 D0 F5		bne $011ef8
011F03	011F03 B2 20 40		sti #$20' ',$40
	011F06 B2 03 41		sti #$03,$41
	011F09 A5 41		lda $41
	011F0B CD BD 03		cmp $03BD
	011F0E D0 05		bne $011f15
	011F10 A5 40		lda $40
	011F12 CD BC 03		cmp $03BC
011F15	011F15 90 0A		bcc $011f21
	011F17 A5 40		lda $40
	011F19 8D BC 03		sta $03BC
	011F1C A5 41		lda $41
	011F1E 8D BD 03		sta $03BD
011F21	011F21 60		rts

011F22	011F22 D7 5E		smb 5,$5E
	011F24 E7 5E		smb 6,$5E
	011F26 07 63		rmb 0,$63
	011F28 97 63		smb 1,$63
	011F2A C7 5F		smb 4,$5F
	011F2C C2 08 4B 01	rba $08,$014B
	011F30 A9 00		lda #$00
	011F32 8D B4 03		sta $03B4
	011F35 8D B1 03		sta $03B1
	011F38 8D B2 03		sta $03B2
	011F3B C2 40 53 01	rba $40,$0153
	011F3F C2 08 4D 01	rba $08,$014D
	011F43 17 6C		rmb 1,$6C
	011F45 07 6C		rmb 0,$6C
	011F47 37 70		rmb 3,$70
	011F49 67 70		rmb 6,$70
	011F4B 77 70		rmb 7,70
	011F4D C2 02 4D 01	rba $02,$014D
	011F51 C2 40 48 01	rba $40,$0148
	011F55 D7 70		smb 5,$70
	011F57 20 CE E1		jsr $E1CE
	011F5A 20 48 29		jsr $2948
	011F5D 20 4B 2C		jsr $2C4B
	011F60 20 12 2C		jsr $2C12
	011F63 20 B3 2C		jsr $2CB3
	011F66 20 5C 2C		jsr $2C5C
	011F69 A9 C8		lda #$C8
	011F6B 8D 0E 02		sta $020E
	011F6E A9 00		lda #$00
	011F70 8D 0F 02		sta $020F
	011F73 67 5D		rmb 6,$5D
	011F75 A9 00		lda #$00
	011F77 FF 6A 03		bbs 7,$6A,$011f7d
	011F7A 20 D3 FB		jsr $FBD3
011F7D	011F7D 8D 92 03		sta $0392
	011F80 A9 FF		lda #$FF
	011F82 8D 7B 01		sta $017B
	011F85 8D 7C 01		sta $017C
	011F88 A9 00		lda #$00
	011F8A 8D 7D 01		sta $017D
	011F8D 8D 7E 01		sta $017E
	011F90 A9 00		lda #$00
	011F92 8D 51 01		sta $0151
	011F95 27 6C		rmb 2,$6C
	011F97 A5 69		lda $69
	011F99 29 07		and #$07
	011F9B F0 0B		beq $011fa8
	011F9D A9 96		lda #$96
	011F9F 8D 3F 02		sta $023F
	011FA2 A9 E3		lda #$E3
	011FA4 8D 40 02		sta $0240
	011FA7 60		rts

011FA8	011FA8 A9 00		lda #$00
	011FAA 8D 3F 02		sta $023F
	011FAD A9 08		lda #$08
	011FAF 8D 40 02		sta $0240
	011FB2 47 58		rmb 4,$58
	011FB4 A9 C1		lda #$C1
	011FB6 8D 60 02		sta $0260
	011FB9 A9 1F		lda #$1F
	011FBB 8D 61 02		sta $0261
	011FBE C7 58		smb 4,$58
	011FC0 60		rts

011FC1	011FC1 EF 57 03		bbs 6,$57,$011fc7
	011FC4 6F 5D 10		bbr 6,$5D,$011fd7
011FC7	011FC7 3F 61 0D		bbr 3,$61,$011fd7
	011FCA A9 09		lda #$09
	011FCC 8D 60 02		sta $0260
	011FCF A9 E3		lda #$E3
	011FD1 8D 61 02		sta $0261
	011FD4 20 EA 2B		jsr $2BEA
011FD7	011FD7 60		rts

011FD8	011FD8 4F 6D 05		bbr 4,$6D,$011fe0
	011FDB 20 FE 1F		jsr $1FFE
	011FDE 47 6D		rmb 4,$6D
011FE0	011FE0 5F 6D 08		bbr 5,$6D,$011feb
	011FE3 4F 58 03		bbr 4,$58,$011fe9
	011FE6 20 5F 02		jsr $025F
011FE9	011FE9 57 6D		rmb 5,$6D
011FEB	011FEB 5F 58 03		bbr 5,$58,$011ff1
	011FEE 20 62 02		jsr $0262
011FF1	011FF1 20 7E 20		jsr $207E
	011FF4 B0 05		bcs $011ffb
	011FF6 20 B4 29		jsr $29B4
	011FF9 80 02		bra $011ffd

011FFB	011FFB 17 6C		rmb 1,$6C
011FFD	011FFD 60		rts

011FFE	011FFE 20 22 20		jsr $2022
	012001 20 08 23		jsr $2308
	012004 20 61 20		jsr $2061
	012007 20 C0 21		jsr $21C0
	01200A 20 24 23		jsr $2324
	01200D 20 E6 22		jsr $22E6
	012010 20 72 23		jsr $2372
	012013 20 EE 2A		jsr $2AEE
	012016 20 D0 20		jsr $20D0
	012019 20 7E 20		jsr $207E
	01201C B0 03		bcs $012021
	01201E 20 BC 20		jsr $20BC
012021	012021 60		rts

012022	012022 E2 4D 01 01 30	bar $014D,$01,$012057
	012027 A9 04		lda #$04
	012029 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	01202C A9 8C		lda #$8C
	01202E 20 9C FC		jsr $FC9C{meaddh_w}
	012031 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	012034 29 1E		and #$1E
	012036 F0 1F		beq $012057
	012038 F2 4B 01 04 23	bas $014B,$04,$012060
	01203D A2 0F		ldx #$0F
	01203F 20 BB F2		jsr $F2BB
	012042 D2 04 4B 01	sba $04,$014B
	012046 A9 45		lda #$45'E'
	012048 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	01204B A9 89		lda #$89
	01204D 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012050 A9 A3		lda #$A3
	012052 20 9C FC		jsr $FC9C{meaddh_w}
	012055 80 09		bra $012060

012057	012057 E2 4B 01 04 04	bar $014B,$04,$012060
	01205C C2 04 4B 01	rba $04,$014B
012060	012060 60		rts

012061	012061 20 D3 FB		jsr $FBD3
	012064 9F 6C 16		bbs 1,$6C,$01207d
	012067 20 8D F9		jsr $F98D
	01206A AA		tax
	01206B AD B4 03		lda $03B4
	01206E DD 58 2E		cmp $2E58,x
	012071 B0 0A		bcs $01207d
	012073 AD B5 03		lda $03B5
	012076 F0 05		beq $01207d
	012078 30 03		bmi $01207d
	01207A 8D 92 03		sta $0392
01207D	01207D 60		rts

01207E	01207E 20 99 F9		jsr $F999
	012081 C9 03		cmp #$03
	012083 B0 0B		bcs $012090
	012085 AD 12 06		lda $0612		;DPi configuration (CONF)
	012088 C9 82		cmp #$82
	01208A F0 04		beq $012090
	01208C C9 84		cmp #$84
	01208E D0 02		bne $012092
012090	012090 18		clc
	012091 60		rts

012092	012092 38		sec
	012093 60		rts

012094	012094 20 63 F5		jsr $F563
	012097 90 22		bcc $0120bb
	012099 20 8D F9		jsr $F98D
	01209C AA		tax
	01209D AD B4 03		lda $03B4
	0120A0 DD 2A 2E		cmp $2E2A,x
	0120A3 B0 16		bcs $0120bb
	0120A5 20 99 F9		jsr $F999
	0120A8 20 43 E2		jsr $E243
	0120AB CD 39 01		cmp $0139
	0120AE B0 0B		bcs $0120bb
	0120B0 89 01		add #$01
	0120B2 20 49 E2		jsr $E249
	0120B5 20 EA E0		jsr $E0EA
	0120B8 20 F9 2C		jsr $2CF9
0120BB	0120BB 60		rts

0120BC	0120BC 9F 6C 10		bbs 1,$6C,$0120cf
	0120BF 6F 68 0D		bbr 6,$68,$0120cf
	0120C2 8F 6C 0A		bbs 0,$6C,$0120cf
	0120C5 A5 4A		lda $4A
	0120C7 D0 06		bne $0120cf
	0120C9 DF 63 03		bbs 5,$63,$0120cf
	0120CC 20 2B 2C		jsr $2C2B
0120CF	0120CF 60		rts

0120D0	0120D0 AD 97 02		lda $0297
	0120D3 C9 16		cmp #$16
	0120D5 D0 11		bne $0120e8
	0120D7 AD 10 01		lda $0110
	0120DA C9 00		cmp #$00
	0120DC D0 0A		bne $0120e8
	0120DE EE 4F 01		inc $014F
	0120E1 AD 4F 01		lda $014F
	0120E4 C9 10		cmp #$10
	0120E6 F0 01		beq $0120e9
0120E8	0120E8 60		rts

0120E9	0120E9 F2 0E 06 80 67	bas $060E,$80,$012155	;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	0120EE F2 0E 06 20 62	bas $060E,$20,$012155	;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	0120F3 9F 6C 5F		bbs 1,$6C,$012155
	0120F6 A9 08		lda #$08
	0120F8 8D 4F 01		sta $014F
	0120FB CF 67 41		bbs 4,$67,$01213f
	0120FE C7 67		smb 4,$67
	012100 A9 A0		lda #$A0
	012102 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	012105 A9 07		lda #$07
	012107 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	01210A A9 07		lda #$07
	01210C 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	01210F A9 AB		lda #$AB
	012111 20 9C FC		jsr $FC9C{meaddh_w}
	012114 A9 00		lda #$00
	012116 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	012119 A9 04		lda #$04
	01211B 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	01211E A9 04		lda #$04
	012120 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012123 A9 AA		lda #$AA
	012125 20 9C FC		jsr $FC9C{meaddh_w}
	012128 A9 FA		lda #$FA
	01212A 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	01212D A9 80		lda #$80
	01212F 20 9C FC		jsr $FC9C{meaddh_w}
	012132 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	012135 29 3F		and #$3F'?'
	012137 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	01213A A9 A0		lda #$A0
	01213C 20 9C FC		jsr $FC9C{meaddh_w}
01213F	01213F A9 FA		lda #$FA
	012141 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012144 A9 80		lda #$80
	012146 20 9C FC		jsr $FC9C{meaddh_w}
	012149 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	01214C 29 C0		and #$C0
	01214E F0 0C		beq $01215c
	012150 47 67		rmb 4,$67
	012152 4C 3A 2C		jmp $2C3A

012155	012155 47 67		rmb 4,$67
	012157 A9 00		lda #$00
	012159 8D 4F 01		sta $014F
01215C	01215C 60		rts

01215D	01215D F2 4B 01 08 2E	bas $014B,$08,$012190
	012162 20 F3 F8		jsr $F8F3
	012165 D0 57		bne $0121be
	012167 AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	01216A 8D 38 01		sta $0138
	01216D A9 05		lda #$05
	01216F 8D 2A 02		sta $022A
	012172 A9 00		lda #$00
	012174 8D 2B 02		sta $022B
	012177 47 5F		rmb 4,$5F
	012179 E2 4D 01 01 0C	bar $014D,$01,$01218a
	01217E A9 0F		lda #$0F
	012180 8D 2A 02		sta $022A
	012183 A9 00		lda #$00
	012185 8D 2B 02		sta $022B
	012188 47 5F		rmb 4,$5F
01218A	01218A D2 08 4B 01	sba $08,$014B
	01218E 80 2E		bra $0121be

012190	012190 20 F3 F8		jsr $F8F3
	012193 D0 23		bne $0121b8
	012195 CF 5F 1E		bbs 4,$5F,$0121b6
	012198 F2 0C 06 10 0D	bas $060C,$10,$0121aa	;DPi AADET/ACDET/CADET/CCDET/SDET
	01219D F2 0C 06 40 08	bas $060C,$40,$0121aa	;DPi AADET/ACDET/CADET/CCDET/SDET
	0121A2 AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	0121A5 CD 38 01		cmp $0138
	0121A8 F0 14		beq $0121be
0121AA	0121AA C7 5F		smb 4,$5F
	0121AC C2 08 4B 01	rba $08,$014B
	0121B0 20 CD 27		jsr $27CD
	0121B3 4C CD 25		jmp $25CD

0121B6	0121B6 18		clc
	0121B7 60		rts

0121B8	0121B8 C7 5F		smb 4,$5F
	0121BA C2 08 4B 01	rba $08,$014B
0121BE	0121BE 38		sec
	0121BF 60		rts

0121C0	0121C0 9F 6C 20		bbs 1,$6C,$0121e3
	0121C3 20 5D 21		jsr $215D
	0121C6 90 57		bcc $01221f
	0121C8 FF 6A 19		bbs 7,$6A,$0121e4
	0121CB 20 88 F5		jsr $F588
	0121CE 90 19		bcc $0121e9
	0121D0 E2 0B 06 02 0F	bar $060B,$02,$0121e4	;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	0121D5 AD 12 06		lda $0612		;DPi configuration (CONF)
	0121D8 C9 C1		cmp #$C1
	0121DA D0 43		bne $01221f
	0121DC C2 02 0B 06	rba $02,$060B		;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	0121E0 20 12 25		jsr $2512
0121E3	0121E3 60		rts

0121E4	0121E4 20 BB 22		jsr $22BB
	0121E7 90 36		bcc $01221f
0121E9	0121E9 0F 63 32		bbr 0,$63,$01221e
	0121EC AD 10 01		lda $0110
	0121EF C9 FF		cmp #$FF
	0121F1 F0 05		beq $0121f8
	0121F3 6F 5E 02		bbr 6,$5E,$0121f8
	0121F6 80 27		bra $01221f

0121F8	0121F8 5F 5E 23		bbr 5,$5E,$01221e
	0121FB 1F 63 08		bbr 1,$63,$012206
	0121FE 20 D0 F8		jsr $F8D0
	012201 07 63		rmb 0,$63
	012203 E7 5E		smb 6,$5E
	012205 60		rts

012206	012206 AD BA 03		lda $03BA
	012209 20 89 E1		jsr $E189
	01220C 97 63		smb 1,$63
	01220E 20 2C FD		jsr $FD2C
	012211 AD 0F 01		lda $010F
	012214 8D 1C 02		sta $021C
	012217 A9 00		lda #$00
	012219 8D 1D 02		sta $021D
	01221C 57 5E		rmb 5,$5E
01221E	01221E 60		rts

01221F	01221F 20 A7 22		jsr $22A7
	012222 B0 1A		bcs $01223e
	012224 EF 57 06		bbs 6,$57,$01222d
	012227 5F 4B 03		bbr 5,$4B,$01222d
	01222A 20 2F FD		jsr $FD2F
01222D	01222D 1F 63 17		bbr 1,$63,$012247
	012230 AD 12 06		lda $0612		;DPi configuration (CONF)
	012233 C9 82		cmp #$82
	012235 F0 04		beq $01223b
	012237 C9 84		cmp #$84
	012239 D0 0C		bne $012247
01223B	01223B 5F 63 01		bbr 5,$63,$01223f
01223E	01223E 60		rts

01223F	01223F 20 FF F8		jsr $F8FF
	012242 D0 03		bne $012247
	012244 20 79 F4		jsr $F479
012247	012247 17 63		rmb 1,$63
	012249 D7 5E		smb 5,$5E
	01224B 6F 5E 58		bbr 6,$5E,$0122a6
	01224E AD 10 01		lda $0110
	012251 C9 FF		cmp #$FF
	012253 F0 33		beq $012288
	012255 0F 63 30		bbr 0,$63,$012288
	012258 F2 4D 01 01 0F	bas $014D,$01,$01226c
	01225D 5F 64 0C		bbr 5,$64,$01226c
	012260 AF 85 09		bbs 2,$85,$01226c
	012263 17 63		rmb 1,$63
	012265 07 63		rmb 0,$63
	012267 D2 20 47 9A	sba $20,$9A47
	01226B 60		rts

01226C	01226C 20 88 F5		jsr $F588
	01226F 90 0F		bcc $012280
	012271 D2 40 48 01	sba $40,$0148
	012275 07 63		rmb 0,$63
	012277 AD B5 03		lda $03B5
	01227A 8D 92 03		sta $0392
	01227D 4C 12 25		jmp $2512

012280	012280 A9 04		lda #$04
	012282 8D 24 01		sta $0124
	012285 4C 3A 2C		jmp $2C3A

012288	012288 87 63		smb 0,$63
	01228A F2 4D 01 01 03	bas $014D,$01,$012292
	01228F DF 64 03		bbs 5,$64,$012295
012292	012292 20 B4 F8		jsr $F8B4
012295	012295 AD 10 01		lda $0110
	012298 C9 FF		cmp #$FF
	01229A F0 0A		beq $0122a6
	01229C 8D 1E 02		sta $021E
	01229F A9 00		lda #$00
	0122A1 8D 1F 02		sta $021F
	0122A4 67 5E		rmb 6,$5E
0122A6	0122A6 60		rts

0122A7	0122A7 E2 0F 06 04 0D	bar $060F,$04,$0122b9	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	0122AC 20 D0 F8		jsr $F8D0
	0122AF E2 0F 06 40 05	bar $060F,$40,$0122b9	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	0122B4 20 E9 21		jsr $21E9
	0122B7 38		sec
	0122B8 60		rts

0122B9	0122B9 18		clc
	0122BA 60		rts

0122BB	0122BB FF 6A 0B		bbs 7,$6A,$0122c9
	0122BE 9F 6C 06		bbs 1,$6C,$0122c7
	0122C1 20 D6 22		jsr $22D6
	0122C4 B0 01		bcs $0122c7
	0122C6 60		rts

0122C7	0122C7 38		sec
	0122C8 60		rts

0122C9	0122C9 20 D6 22		jsr $22D6
	0122CC B0 01		bcs $0122cf
	0122CE 60		rts

0122CF	0122CF AD B5 03		lda $03B5
	0122D2 8D 92 03		sta $0392
	0122D5 60		rts

0122D6	0122D6 AD B5 03		lda $03B5
	0122D9 F0 EC		beq $0122c7
	0122DB 30 EA		bmi $0122c7
	0122DD 38		sec
	0122DE ED 92 03		sbc $0392
	0122E1 B0 E4		bcs $0122c7
	0122E3 C9 E8		cmp #$E8
	0122E5 60		rts

0122E6	0122E6 AF 6D 1E		bbs 2,$6D,$012307
	0122E9 8F 62 1B		bbs 0,$62,$012307
	0122EC FF 65 18		bbs 7,$65,$012307
	0122EF AD 1D 01		lda $011D
	0122F2 F0 13		beq $012307
	0122F4 7F 5F 10		bbr 7,$5F,$012307
	0122F7 9F 62 05		bbs 1,$62,$0122ff
	0122FA A9 05		lda #$05
	0122FC 8D 61 86		sta $8661
0122FF	0122FF A9 11		lda #$11
	012301 8D 24 01		sta $0124
	012304 20 3A 2C		jsr $2C3A
012307	012307 60		rts

012308	012308 AD 12 06		lda $0612		;DPi configuration (CONF)
	01230B C9 C0		cmp #$C0
	01230D F0 04		beq $012313
	01230F C9 70		cmp #$70'p'
	012311 D0 10		bne $012323
012313	012313 17 6C		rmb 1,$6C
	012315 D7 67		smb 5,$67
	012317 C2 08 4D 01	rba $08,$014D
	01231B A9 10		lda #$10
	01231D 8D 24 01		sta $0124
	012320 20 3A 2C		jsr $2C3A
012323	012323 60		rts

012324	012324 EF 57 4A		bbs 6,$57,$012371
	012327 7F 4B 26		bbr 7,$4B,$012350
	01232A AD 84 03		lda $0384
	01232D C9 A0		cmp #$A0
	01232F B0 07		bcs $012338
	012331 AD 86 03		lda $0386
	012334 C9 A0		cmp #$A0
	012336 90 18		bcc $012350
012338	012338 A9 00		lda #$00
	01233A 8D 86 03		sta $0386
	01233D 8D 87 03		sta $0387
	012340 8D 84 03		sta $0384
	012343 8D 85 03		sta $0385
	012346 D7 67		smb 5,$67
	012348 A9 13		lda #$13
	01234A 8D 24 01		sta $0124
	01234D 4C 3A 2C		jmp $2C3A

012350	012350 FF 65 1E		bbs 7,$65,$012371
	012353 F2 0E 06 40 19	bas $060E,$40,$012371	;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	012358 AD 86 03		lda $0386
	01235B F0 11		beq $01236e
	01235D A9 00		lda #$00
	01235F 8D 86 03		sta $0386
	012362 8D 87 03		sta $0387
	012365 8D 84 03		sta $0384
	012368 8D 85 03		sta $0385
	01236B 20 FA 13		jsr $13FA
01236E	01236E 4C 5D F4		jmp $F45D

012371	012371 60		rts

012372	012372 1F 61 23		bbr 1,$61,$012398
	012375 A5 4A		lda $4A
	012377 29 F7		and #$F7
	012379 D0 1D		bne $012398
	01237B 20 99 F9		jsr $F999
	01237E C9 04		cmp #$04
	012380 B0 17		bcs $012399
	012382 DF 63 06		bbs 5,$63,$01238b
	012385 20 FF F8		jsr $F8FF
	012388 D0 42		bne $0123cc
	01238A 60		rts

01238B	01238B 20 FF F8		jsr $F8FF
	01238E D0 08		bne $012398
012390	012390 20 20 FD		jsr $FD20
	012393 20 A5 E0		jsr $E0A5
	012396 A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
012398	012398 60		rts

012399	012399 20 A5 F4		jsr $F4A5
	01239C F0 FA		beq $012398
	01239E 20 B1 F4		jsr $F4B1
	0123A1 E2 02 06 01 EA	bar $0602,$01,$012390	;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	0123A6 20 DF F4		jsr $F4DF
	0123A9 20 C6 F4		jsr $F4C6
	0123AC 20 BB F4		jsr $F4BB
	0123AF A9 01		lda #$01
	0123B1 8D 18 02		sta $0218
	0123B4 A9 00		lda #$00
	0123B6 8D 19 02		sta $0219
	0123B9 37 5E		rmb 3,$5E
0123BB	0123BB 3F 5E FD		bbr 3,$5E,$0123bb
	0123BE 20 FD F4		jsr $F4FD
	0123C1 A5 4E		lda $4E
	0123C3 29 0B		and #$0B
	0123C5 C9 08		cmp #$08
	0123C7 D0 03		bne $0123cc
	0123C9 20 23 FD		jsr $FD23
0123CC	0123CC D7 63		smb 5,$63
	0123CE B7 4A		smb 3,$4A
	0123D0 20 3E FD		jsr $FD3E
	0123D3 20 FA 2B		jsr $2BFA
	0123D6 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	0123D8 60		rts

0123D9	0123D9 6F 5D 3F		bbr 6,$5D,$01241b
	0123DC 9F 6C 3C		bbs 1,$6C,$01241b
	0123DF 6F 57 10		bbr 6,$57,$0123f2
	0123E2 07 6C		rmb 0,$6C
	0123E4 F2 4D 01 01 09	bas $014D,$01,$0123f2
	0123E9 5F 64 06		bbr 5,$64,$0123f2
	0123EC 20 CC 56		jsr $56CC
	0123EF 90 01		bcc $0123f2
	0123F1 60		rts

0123F2	0123F2 20 D7 2B		jsr $2BD7
	0123F5 D0 02		bne $0123f9
	0123F7 07 6C		rmb 0,$6C
0123F9	0123F9 20 3E FC		jsr $FC3E
	0123FC E2 52 01 01 0A	bar $0152,$01,$01240b
	012401 E2 52 01 40 05	bar $0152,$40,$01240b
	012406 E2 52 01 20 03	bar $0152,$20,$01240e
01240B	01240B 20 94 20		jsr $2094
01240E	01240E 07 70		rmb 0,$70
	012410 17 70		rmb 1,$70
	012412 20 62 28		jsr $2862
	012415 8F 70 03		bbs 0,$70,$01241b
	012418 1F 70 06		bbr 1,$70,$012421
01241B	01241B A9 00		lda #$00
	01241D 8D 51 01		sta $0151
	012420 60		rts

012421	012421 20 8D F9		jsr $F98D
	012424 AA		tax
	012425 AD B4 03		lda $03B4
	012428 E2 52 01 01 14	bar $0152,$01,$012441
	01242D E2 52 01 40 0F	bar $0152,$40,$012441
	012432 E2 52 01 20 08	bar $0152,$20,$01243f
	012437 20 55 2D		jsr $2D55
	01243A B0 2A		bcs $012466
	01243C 6F 70 18		bbr 6,$70,$012457
01243F	01243F 80 08		bra $012449

012441	012441 6F 70 0E		bbr 6,$70,$012452
	012444 20 B7 27		jsr $27B7
	012447 B0 1D		bcs $012466
012449	012449 E2 0F 06 20 18	bar $060F,$20,$012466	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	01244E 67 70		rmb 6,$70
	012450 80 05		bra $012457

012452	012452 20 BB 27		jsr $27BB
	012455 B0 0F		bcs $012466
012457	012457 07 6C		rmb 0,$6C
	012459 A9 00		lda #$00
	01245B 8D 51 01		sta $0151
	01245E 20 D0 F8		jsr $F8D0
	012461 77 70		rmb 7,70
	012463 4C 12 2C		jmp $2C12

012466	012466 0F 63 18		bbr 0,$63,$012481
	012469 20 88 F5		jsr $F588
	01246C B0 01		bcs $01246f
01246E	01246E 60		rts

01246F	01246F AD B5 03		lda $03B5
	012472 30 FA		bmi $01246e
	012474 C9 22		cmp #$22'"'
	012476 90 F6		bcc $01246e
	012478 ED 92 03		sbc $0392
	01247B B0 04		bcs $012481
	01247D C9 E8		cmp #$E8
	01247F 90 ED		bcc $01246e
012481	012481 F2 4D 01 01 46	bas $014D,$01,$0124cc
	012486 20 88 F5		jsr $F588
	012489 90 41		bcc $0124cc
	01248B AD 51 01		lda $0151
	01248E D0 17		bne $0124a7
	012490 20 EA 2B		jsr $2BEA
	012493 AD B4 03		lda $03B4
	012496 C9 58		cmp #$58'X'
	012498 90 32		bcc $0124cc
	01249A E0 05		cpx #$05
	01249C B0 04		bcs $0124a2
	01249E C9 68		cmp #$68'h'
	0124A0 90 2A		bcc $0124cc
0124A2	0124A2 A9 05		lda #$05
	0124A4 8D 51 01		sta $0151
0124A7	0124A7 AD B4 03		lda $03B4
	0124AA C9 58		cmp #$58'X'
	0124AC 90 1E		bcc $0124cc
	0124AE E0 05		cpx #$05
	0124B0 B0 04		bcs $0124b6
	0124B2 C9 68		cmp #$68'h'
	0124B4 90 16		bcc $0124cc
0124B6	0124B6 AD 10 01		lda $0110
	0124B9 C9 FF		cmp #$FF
	0124BB F0 0F		beq $0124cc
	0124BD E2 0F 06 80 0A	bar $060F,$80,$0124cc	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	0124C2 20 3E FC		jsr $FC3E
	0124C5 CE 51 01		dec $0151
	0124C8 D0 A4		bne $01246e
	0124CA 80 10		bra $0124dc

0124CC	0124CC A9 00		lda #$00
	0124CE 8D 51 01		sta $0151
	0124D1 3F 5F 9A		bbr 3,$5F,$01246e
	0124D4 20 D7 2B		jsr $2BD7
	0124D7 F0 95		beq $01246e
	0124D9 6F 5F 17		bbr 6,$5F,$0124f3
0124DC	0124DC 20 D7 2B		jsr $2BD7
	0124DF F0 0F		beq $0124f0
	0124E1 D2 40 48 01	sba $40,$0148
	0124E5 D2 01 15 06	sba $01,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	0124E9 A9 00		lda #$00
	0124EB 8D 51 01		sta $0151
	0124EE 80 22		bra $012512

0124F0	0124F0 4C 3A 2C		jmp $2C3A

0124F3	0124F3 A5 4A		lda $4A
	0124F5 D0 1A		bne $012511
	0124F7 20 23 29		jsr $2923
	0124FA B0 0F		bcs $01250b
	0124FC 20 8D F9		jsr $F98D
	0124FF C9 04		cmp #$04
	012501 F0 08		beq $01250b
	012503 C9 09		cmp #$09
	012505 F0 04		beq $01250b
	012507 B7 5F		smb 3,$5F
	012509 80 06		bra $012511

01250B	01250B 20 58 2C		jsr $2C58
	01250E 20 12 25		jsr $2512
012511	012511 60		rts

012512	012512 E2 52 01 01 0E	bar $0152,$01,$012525
	012517 E2 52 01 40 09	bar $0152,$40,$012525
	01251C 48		pha
	01251D C2 10 52 01	rba $10,$0152
	012521 68		pla
	012522 20 C6 2D		jsr $2DC6
012525	012525 87 6C		smb 0,$6C
	012527 A9 00		lda #$00
	012529 8D 90 87		sta $8790
	01252C 8D 91 87		sta $8791
	01252F EF 57 03		bbs 6,$57,$012535
	012532 20 B4 F8		jsr $F8B4
012535	012535 97 85		smb 1,$85
	012537 5F 64 08		bbr 5,$64,$012542
	01253A AD 37 9A		lda $9A37
	01253D D0 24		bne $012563
	01253F 4C B8 25		jmp $25B8

012542	012542 9F 70 1B		bbs 1,$70,$012560
	012545 8F 70 07		bbs 0,$70,$01254f
	012548 D2 01 15 06	sba $01,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	01254C 4C B8 25		jmp $25B8

01254F	01254F 20 8D F9		jsr $F98D
	012552 C9 0A		cmp #$0A
	012554 F0 04		beq $01255a
	012556 C9 08		cmp #$08
	012558 D0 06		bne $012560
01255A	01255A 20 E4 2B		jsr $2BE4
	01255D 4C B8 25		jmp $25B8

012560	012560 20 E4 2B		jsr $2BE4
012563	012563 E2 4D 01 02 06	bar $014D,$02,$01256e
	012568 20 9F 2C		jsr $2C9F
	01256B 4C B8 25		jmp $25B8

01256E	01256E AD B4 03		lda $03B4
	012571 C9 58		cmp #$58'X'
	012573 E2 52 01 01 10	bar $0152,$01,$012588
	012578 E2 52 01 40 0B	bar $0152,$40,$012588
	01257D E2 52 01 20 04	bar $0152,$20,$012586
	012582 C9 45		cmp #$45'E'
	012584 80 02		bra $012588

012586	012586 C9 60		cmp #$60'`'
012588	012588 90 07		bcc $012591
	01258A D2 01 15 06	sba $01,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	01258E 4C B8 25		jmp $25B8

012591	012591 20 76 F5		jsr $F576
	012594 B0 06		bcs $01259c
	012596 AF 6F 03		bbs 2,$6F,$01259c
	012599 4C B8 25		jmp $25B8

01259C	01259C F2 4D 01 01 09	bas $014D,$01,$0125aa
	0125A1 5F 64 06		bbr 5,$64,$0125aa
	0125A4 6F 84 03		bbr 6,$84,$0125aa
	0125A7 4C B8 25		jmp $25B8

0125AA	0125AA 20 CD 27		jsr $27CD
	0125AD 20 53 F4		jsr $F453
	0125B0 4C CD 25		jmp $25CD

0125B3	0125B3 60		rts

0125B4	0125B4 EF 5D F3		bbs 6,$5D,$0125aa
	0125B7 60		rts

0125B8	0125B8 D2 08 4D 01	sba $08,$014D
	0125BC 20 CD 27		jsr $27CD
	0125BF A9 FF		lda #$FF
	0125C1 20 45 2B		jsr $2B45
	0125C4 5F 64 02		bbr 5,$64,$0125c9
	0125C7 A7 85		smb 2,$85
0125C9	0125C9 F7 70		smb 7,$70
	0125CB E7 70		smb 6,$70
	0125CD 47 58		rmb 4,$58
	0125CF E2 4E 01 02 08	bar $014E,$02,$0125dc
	0125D4 AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	0125D7 8D 38 01		sta $0138
	0125DA 80 06		bra $0125e2

0125DC	0125DC AD 0C 06		lda $060C		;DPi AADET/ACDET/CADET/CCDET/SDET
	0125DF 8D 38 01		sta $0138
0125E2	0125E2 A9 08		lda #$08
	0125E4 8D 2A 02		sta $022A
	0125E7 A9 00		lda #$00
	0125E9 8D 2B 02		sta $022B
	0125EC 47 5F		rmb 4,$5F
	0125EE F2 48 01 40 24	bas $0148,$40,$012617
	0125F3 20 29 26		jsr $2629
	0125F6 A9 2C		lda #$2C','
	0125F8 8D 0E 02		sta $020E
	0125FB A9 01		lda #$01
	0125FD 8D 0F 02		sta $020F
	012600 67 5D		rmb 6,$5D
	012602 20 8D F9		jsr $F98D
	012605 C9 04		cmp #$04
	012607 90 1D		bcc $012626
	012609 A9 80		lda #$80
	01260B 8D 0E 02		sta $020E
	01260E A9 0C		lda #$0C
	012610 8D 0F 02		sta $020F
	012613 67 5D		rmb 6,$5D
	012615 80 0F		bra $012626

012617	012617 20 29 26		jsr $2629
	01261A A9 DC		lda #$DC
	01261C 8D 0E 02		sta $020E
	01261F A9 05		lda #$05
	012621 8D 0F 02		sta $020F
	012624 67 5D		rmb 6,$5D
012626	012626 4C FD 2B		jmp $2BFD

012629	012629 57 58		rmb 5,$58
	01262B A9 8C		lda #$8C
	01262D 8D 63 02		sta $0263
	012630 A9 26		lda #$26'&'
	012632 8D 64 02		sta $0264
	012635 D7 58		smb 5,$58
	012637 60		rts

012638	012638 6F 5D 03		bbr 6,$5D,$01263e
01263B	01263B 4C 1F 2C		jmp $2C1F

01263E	01263E E2 4E 01 02 3C	bar $014E,$02,$01267f
	012643 AD 14 06		lda $0614		;DPi handshake abort code (ABCODE)
	012646 F0 0B		beq $012653
	012648 A9 00		lda #$00
	01264A 8D 14 06		sta $0614		;DPi handshake abort code (ABCODE)
	01264D 20 B3 2C		jsr $2CB3
	012650 20 5C 2C		jsr $2C5C
012653	012653 20 47 E1		jsr $E147
	012656 20 35 E1		jsr $E135
	012659 20 38 E1		jsr $E138
	01265C 20 44 E1		jsr $E144
	01265F 20 3B E1		jsr $E13B
	012662 20 3E E1		jsr $E13E
	012665 20 41 E1		jsr $E141
	012668 20 4D E1		jsr $E14D
	01266B 20 50 E1		jsr $E150
	01266E 20 59 E1		jsr $E159
	012671 20 5C E1		jsr $E15C
	012674 E2 4D 01 08 06	bar $014D,$08,$01267f
	012679 20 4A E1		jsr $E14A
	01267C 20 5F E1		jsr $E15F
01267F	01267F 20 BF 27		jsr $27BF
	012682 B0 06		bcs $01268a
	012684 20 70 27		jsr $2770
	012687 B0 B2		bcs $01263b
	012689 60		rts

01268A	01268A 80 5C		bra $0126e8

01268C	01268C EF 5D 4C		bbs 6,$5D,$0126db
	01268F E2 4E 01 02 3C	bar $014E,$02,$0126d0
	012694 AD 14 06		lda $0614		;DPi handshake abort code (ABCODE)
	012697 F0 0B		beq $0126a4
	012699 A9 00		lda #$00
	01269B 8D 14 06		sta $0614		;DPi handshake abort code (ABCODE)
	01269E 20 B3 2C		jsr $2CB3
	0126A1 20 5C 2C		jsr $2C5C
0126A4	0126A4 20 47 E1		jsr $E147
	0126A7 20 35 E1		jsr $E135
	0126AA 20 38 E1		jsr $E138
	0126AD 20 44 E1		jsr $E144
	0126B0 20 3B E1		jsr $E13B
	0126B3 20 3E E1		jsr $E13E
	0126B6 20 41 E1		jsr $E141
	0126B9 20 4D E1		jsr $E14D
	0126BC 20 50 E1		jsr $E150
	0126BF 20 59 E1		jsr $E159
	0126C2 20 5C E1		jsr $E15C
	0126C5 E2 4D 01 08 06	bar $014D,$08,$0126d0
	0126CA 20 4A E1		jsr $E14A
	0126CD 20 5F E1		jsr $E15F
0126D0	0126D0 20 BF 27		jsr $27BF
	0126D3 B0 13		bcs $0126e8
	0126D5 20 70 27		jsr $2770
	0126D8 B0 01		bcs $0126db
	0126DA 60		rts

0126DB	0126DB A9 2D		lda #$2D'-'
	0126DD 8D 63 02		sta $0263
	0126E0 A9 27		lda #$27'''
	0126E2 8D 64 02		sta $0264
	0126E5 4C 4B 2C		jmp $2C4B

0126E8	0126E8 C2 02 4D 01	rba $02,$014D
	0126EC 20 62 E1		jsr $E162
	0126EF 20 FD 27		jsr $27FD
	0126F2 C7 83		smb 4,$83
	0126F4 1F 70 0C		bbr 1,$70,$012703
	0126F7 20 48 29		jsr $2948
	0126FA EC 7A 01		cpx $017A
	0126FD D0 04		bne $012703
	0126FF 57 70		rmb 5,$70
	012701 80 03		bra $012706

012703	012703 20 12 2C		jsr $2C12
012706	012706 07 70		rmb 0,$70
	012708 17 70		rmb 1,$70
	01270A C2 20 0E 06	rba $20,$060E		;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	01270E 20 EA 2B		jsr $2BEA
	012711 20 48 29		jsr $2948
	012714 20 4B 2C		jsr $2C4B
	012717 20 D0 F8		jsr $F8D0
	01271A 20 43 28		jsr $2843
	01271D 6F 68 07		bbr 6,$68,$012727
	012720 B2 4F AC		sti #$4F'O',$AC
	012723 B7 57		smb 3,$57
	012725 67 68		rmb 6,$68
012727	012727 3F 55 02		bbr 3,$55,$01272c
	01272A D7 73		smb 5,$73
01272C	01272C 60		rts

01272D	01272D 20 FD 27		jsr $27FD
	012730 C2 08 4D 01	rba $08,$014D
	012734 17 6C		rmb 1,$6C
	012736 67 68		rmb 6,$68
	012738 C2 20 0E 06	rba $20,$060E		;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	01273C C2 80 0F 06	rba $80,$060F		;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	012740 07 70		rmb 0,$70
	012742 17 70		rmb 1,$70
	012744 20 EA 2B		jsr $2BEA
	012747 5F 64 09		bbr 5,$64,$012753
	01274A AF 85 06		bbs 2,$85,$012753
	01274D E7 84		smb 6,$84
	01274F 20 43 28		jsr $2843
	012752 60		rts

012753	012753 E2 4D 01 01 0F	bar $014D,$01,$012767
	012758 F2 4D 01 02 0A	bas $014D,$02,$012767
	01275D D2 02 4D 01	sba $02,$014D
	012761 20 12 2C		jsr $2C12
	012764 4C 12 25		jmp $2512

012767	012767 C2 02 4D 01	rba $02,$014D
	01276B 57 58		rmb 5,$58
	01276D 4C 1F 2C		jmp $2C1F

012770	012770 E2 4E 01 02 21	bar $014E,$02,$012796
	012775 CF 5F 1C		bbs 4,$5F,$012794
	012778 AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	01277B CD 38 01		cmp $0138
	01277E F0 12		beq $012792
	012780 AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	012783 8D 38 01		sta $0138
	012786 A9 08		lda #$08
	012788 8D 2A 02		sta $022A
	01278B A9 00		lda #$00
	01278D 8D 2B 02		sta $022B
	012790 47 5F		rmb 4,$5F
012792	012792 18		clc
	012793 60		rts

012794	012794 38		sec
	012795 60		rts

012796	012796 20 63 F5		jsr $F563
	012799 90 F7		bcc $012792
	01279B CF 5F F6		bbs 4,$5F,$012794
	01279E AD 0C 06		lda $060C		;DPi AADET/ACDET/CADET/CCDET/SDET
	0127A1 CD 38 01		cmp $0138
	0127A4 F0 EC		beq $012792
	0127A6 8D 38 01		sta $0138
	0127A9 A9 0F		lda #$0F
	0127AB 8D 2A 02		sta $022A
	0127AE A9 00		lda #$00
	0127B0 8D 2B 02		sta $022B
	0127B3 47 5F		rmb 4,$5F
	0127B5 80 DB		bra $012792

0127B7	0127B7 DD 58 2E		cmp $2E58,x
	0127BA 60		rts

0127BB	0127BB DD 41 2E		cmp $2E41,x
	0127BE 60		rts

0127BF	0127BF 20 81 F9		jsr $F981
	0127C2 F0 07		beq $0127cb
	0127C4 20 F3 F8		jsr $F8F3
	0127C7 F0 02		beq $0127cb
	0127C9 38		sec
	0127CA 60		rts

0127CB	0127CB 18		clc
	0127CC 60		rts

0127CD	0127CD 20 5C 4D		jsr $4D5C
	0127D0 A9 05		lda #$05
	0127D2 8D 02 02		sta $0202
	0127D5 A9 00		lda #$00
	0127D7 8D 03 02		sta $0203
	0127DA 07 5D		rmb 0,$5D
0127DC	0127DC 8F 5D 05		bbs 0,$5D,$0127e4
	0127DF E2 1E 06 08 F8	bar $061E,$08,$0127dc	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
0127E4	0127E4 08		php
	0127E5 78		sei
	0127E6 67 6D		rmb 6,$6D
	0127E8 E2 1E 06 20 06	bar $061E,$20,$0127f3	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	0127ED E7 6D		smb 6,$6D
	0127EF C2 20 1E 06	rba $20,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
0127F3	0127F3 28		plp
	0127F4 97 6C		smb 1,$6C
	0127F6 20 B3 2C		jsr $2CB3
	0127F9 20 5C 2C		jsr $2C5C
	0127FC 60		rts

0127FD	0127FD C2 80 0E 06	rba $80,$060E		;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	012801 C2 20 0E 06	rba $20,$060E		;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	012805 C2 01 15 06	rba $01,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	012809 C2 08 4D 01	rba $08,$014D
	01280D 17 6C		rmb 1,$6C
	01280F 20 32 E1		jsr $E132
	012812 20 B3 2C		jsr $2CB3
	012815 20 5C 2C		jsr $2C5C
	012818 E2 52 01 01 1E	bar $0152,$01,$01283b
	01281D E2 52 01 40 19	bar $0152,$40,$01283b
	012822 AE 7F 04		ldx $047F
	012825 20 17 E1		jsr $E117
	012828 20 C1 2D		jsr $2DC1
	01282B A9 20		lda #$20' '
	01282D 8D BD 00		sta $00BD
	012830 A9 E1		lda #$E1
	012832 8D BE 00		sta $00BE
	012835 48		pha
	012836 D2 10 52 01	sba $10,$0152
	01283A 68		pla
01283B	01283B 6F 6D 04		bbr 6,$6D,$012842
	01283E D2 20 1E 06	sba $20,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
012842	012842 60		rts

012843	012843 57 58		rmb 5,$58
	012845 47 58		rmb 4,$58
	012847 A9 09		lda #$09
	012849 8D 60 02		sta $0260
	01284C A9 E3		lda #$E3
	01284E 8D 61 02		sta $0261
	012851 C7 58		smb 4,$58
	012853 A9 2C		lda #$2C','
	012855 8D 0E 02		sta $020E
	012858 A9 01		lda #$01
	01285A 8D 0F 02		sta $020F
	01285D 67 5D		rmb 6,$5D
	01285F 07 6C		rmb 0,$6C
	012861 60		rts

012862	012862 E2 52 01 01 36	bar $0152,$01,$01289d
	012867 E2 52 01 40 31	bar $0152,$40,$01289d
	01286C E2 52 01 20 0D	bar $0152,$20,$01287e
	012871 20 55 2D		jsr $2D55
	012874 AD B4 03		lda $03B4
	012877 90 51		bcc $0128ca
	012879 20 EA 2B		jsr $2BEA
	01287C 80 42		bra $0128c0

01287E	01287E 20 A4 2D		jsr $2DA4
	012881 E0 51		cpx #$51'Q'
	012883 F0 0E		beq $012893
	012885 C0 0F		cpy #$0F
	012887 F0 0A		beq $012893
	012889 AE B4 03		ldx $03B4
	01288C E0 60		cpx #$60'`'
	01288E 90 3A		bcc $0128ca
	012890 4C 12 25		jmp $2512

012893	012893 AE B4 03		ldx $03B4
	012896 E0 14		cpx #$14
	012898 90 30		bcc $0128ca
	01289A 4C 12 25		jmp $2512

01289D	01289D 20 8D F9		jsr $F98D
	0128A0 AA		tax
	0128A1 AD B4 03		lda $03B4
	0128A4 DD 6F 2E		cmp $2E6F,x
	0128A7 90 21		bcc $0128ca
	0128A9 20 EA 2B		jsr $2BEA
	0128AC BF 70 0E		bbs 3,$70,$0128bd
	0128AF A9 C8		lda #$C8
	0128B1 8D 04 02		sta $0204
	0128B4 A9 00		lda #$00
	0128B6 8D 05 02		sta $0205
	0128B9 17 5D		rmb 1,$5D
	0128BB B7 70		smb 3,$70
0128BD	0128BD 1F 5D 27		bbr 1,$5D,$0128e7
0128C0	0128C0 37 70		rmb 3,$70
	0128C2 D7 70		smb 5,$70
	0128C4 87 70		smb 0,$70
	0128C6 17 70		rmb 1,$70
	0128C8 80 29		bra $0128f3

0128CA	0128CA E2 4E 01 02 07	bar $014E,$02,$0128d6
	0128CF 48		pha
	0128D0 20 25 FA		jsr $FA25
	0128D3 68		pla
	0128D4 B0 03		bcs $0128d9
0128D6	0128D6 5F 70 0E		bbr 5,$70,$0128e7
0128D9	0128D9 37 70		rmb 3,$70
	0128DB E2 0F 06 20 E0	bar $060F,$20,$0128c0	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	0128E0 DD 2A 2E		cmp $2E2A,x
	0128E3 90 07		bcc $0128ec
	0128E5 F0 05		beq $0128ec
0128E7	0128E7 20 EA 2B		jsr $2BEA
	0128EA 80 32		bra $01291e

0128EC	0128EC 5F 5F 2F		bbr 5,$5F,$01291e
	0128EF 07 70		rmb 0,$70
	0128F1 97 70		smb 1,$70
0128F3	0128F3 3F 5F 28		bbr 3,$5F,$01291e
	0128F6 20 23 29		jsr $2923
	0128F9 B0 23		bcs $01291e
	0128FB 20 59 29		jsr $2959
	0128FE B0 1E		bcs $01291e
	012900 5F 64 01		bbr 5,$64,$012904
	012903 60		rts

012904	012904 FF 49 14		bbs 7,$49,$01291b
	012907 A9 64		lda #$64'd'
	012909 8D 04 02		sta $0204
	01290C A9 00		lda #$00
	01290E 8D 05 02		sta $0205
	012911 17 5D		rmb 1,$5D
012913	012913 20 17 F9		jsr $F917
	012916 D0 06		bne $01291e
	012918 1F 5D F8		bbr 1,$5D,$012913
01291B	01291B 4C 12 25		jmp $2512

01291E	01291E 07 70		rmb 0,$70
	012920 17 70		rmb 1,$70
	012922 60		rts

012923	012923 20 DE 2B		jsr $2BDE
	012926 D0 1E		bne $012946
	012928 20 88 F5		jsr $F588
	01292B 90 19		bcc $012946
	01292D 20 F3 F8		jsr $F8F3
	012930 F0 14		beq $012946
	012932 FF 65 11		bbs 7,$65,$012946
	012935 0F 62 0C		bbr 0,$62,$012944
	012938 A5 4E		lda $4E
	01293A 29 30		and #$30'0'
	01293C 4A		lsr a
	01293D 4A		lsr a
	01293E 4A		lsr a
	01293F 4A		lsr a
	012940 C9 01		cmp #$01
	012942 F0 02		beq $012946
012944	012944 18		clc
	012945 60		rts

012946	012946 38		sec
	012947 60		rts

012948	012948 20 8D F9		jsr $F98D
	01294B AA		tax
	01294C BD CB 2D		lda $2DCB,x
	01294F AE 7A 01		ldx $017A
	012952 8D 7A 01		sta $017A
	012955 8E 16 86		stx $8616
	012958 60		rts

012959	012959 20 48 29		jsr $2948
	01295C 0A		asl a
	01295D AA		tax
01295E	01295E 8F 70 04		bbs 0,$70,$012965
	012961 E8		inx
	012962 E8		inx
	012963 80 02		bra $012967

012965	012965 CA		dex
	012966 CA		dex
012967	012967 BD E2 2D		lda $2DE2,x
	01296A C9 FF		cmp #$FF
	01296C F0 39		beq $0129a7
	01296E 2D C3 03		and $03C3
	012971 2D 3D 01		and $013D
	012974 85 40		sta $40
	012976 BD E3 2D		lda $2DE3,x
	012979 2D C4 03		and $03C4
	01297C 2D 3E 01		and $013E
	01297F 05 40		ora $40
	012981 F0 DB		beq $01295e
	012983 18		clc
	012984 8A		txa
	012985 6A		ror a
	012986 AA		tax
	012987 85 40		sta $40
	012989 20 76 F5		jsr $F576
	01298C 90 1B		bcc $0129a9
	01298E A9 E3		lda #$E3
	012990 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012993 A9 82		lda #$82
	012995 20 9C FC		jsr $FC9C{meaddh_w}
	012998 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	01299B A8		tay
	01299C A5 40		lda $40
	01299E AA		tax
	01299F B9 AE 29		lda $29AE,y
	0129A2 DD 12 2E		cmp $2E12,x
	0129A5 B0 02		bcs $0129a9
0129A7	0129A7 38		sec
	0129A8 60		rts

0129A9	0129A9 BD 12 2E		lda $2E12,x
	0129AC 18		clc
	0129AD 60		rts

0129AE	0129AE C9 C9		cmp #$C9
	0129B0 CA		dex
	0129B1 CB		phi
	0129B2 CD CE 0F		cmp $0FCE
	0129B5 6C 01 60		jmp ($6001)

0129B8	0129B8 F2 4D 01 01 03	bas $014D,$01,$0129c0
	0129BD 5F 64 00		bbr 5,$64,$0129c0
0129C0	0129C0 9F 6C 1C		bbs 1,$6C,$0129df
	0129C3 F2 0E 06 80 21	bas $060E,$80,$0129e9	;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	0129C8 F2 0E 06 20 14	bas $060E,$20,$0129e1	;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	0129CD E2 08 06 80 0C	bar $0608,$80,$0129de	;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	0129D2 20 48 29		jsr $2948
	0129D5 EC 7A 01		cpx $017A
	0129D8 F0 04		beq $0129de
	0129DA 90 02		bcc $0129de
	0129DC 57 70		rmb 5,$70
0129DE	0129DE 60		rts

0129DF	0129DF 80 67		bra $012a48

0129E1	0129E1 A7 6C		smb 2,$6C
	0129E3 C2 04 4A 01	rba $04,$014A
	0129E7 F7 83		smb 7,$83
0129E9	0129E9 E2 52 01 01 0E	bar $0152,$01,$0129fc
	0129EE E2 52 01 40 09	bar $0152,$40,$0129fc
	0129F3 20 C6 2D		jsr $2DC6
	0129F6 48		pha
	0129F7 C2 10 52 01	rba $10,$0152
	0129FB 68		pla
0129FC	0129FC E2 0E 06 80 0E	bar $060E,$80,$012a0f	;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	012A01 D2 08 4D 01	sba $08,$014D
	012A05 D2 01 15 06	sba $01,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	012A09 C2 80 05 06	rba $80,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	012A0D 87 84		smb 0,$84
012A0F	012A0F A9 00		lda #$00
	012A11 8D 90 87		sta $8790
	012A14 8D 91 87		sta $8791
	012A17 20 08 23		jsr $2308
	012A1A A9 80		lda #$80
	012A1C 8D 0E 02		sta $020E
	012A1F A9 0C		lda #$0C
	012A21 8D 0F 02		sta $020F
	012A24 67 5D		rmb 6,$5D
	012A26 AD 0C 06		lda $060C		;DPi AADET/ACDET/CADET/CCDET/SDET
	012A29 8D 38 01		sta $0138
	012A2C A9 08		lda #$08
	012A2E 8D 2A 02		sta $022A
	012A31 A9 00		lda #$00
	012A33 8D 2B 02		sta $022B
	012A36 47 5F		rmb 4,$5F
	012A38 EF 57 03		bbs 6,$57,$012a3e
	012A3B 20 B4 F8		jsr $F8B4
012A3E	012A3E 97 85		smb 1,$85
	012A40 20 CD 27		jsr $27CD
	012A43 07 6C		rmb 0,$6C
	012A45 4C FD 2B		jmp $2BFD

012A48	012A48 EF 5D 68		bbs 6,$5D,$012ab3
	012A4B 20 63 F5		jsr $F563
	012A4E 90 1C		bcc $012a6c
	012A50 CF 5F 60		bbs 4,$5F,$012ab3
	012A53 AD 0C 06		lda $060C		;DPi AADET/ACDET/CADET/CCDET/SDET
	012A56 CD 38 01		cmp $0138
	012A59 F0 21		beq $012a7c
	012A5B 8D 38 01		sta $0138
	012A5E A9 0F		lda #$0F
	012A60 8D 2A 02		sta $022A
	012A63 A9 00		lda #$00
	012A65 8D 2B 02		sta $022B
	012A68 47 5F		rmb 4,$5F
	012A6A 80 10		bra $012a7c

012A6C	012A6C AD 14 06		lda $0614		;DPi handshake abort code (ABCODE)
	012A6F F0 0B		beq $012a7c
	012A71 A9 00		lda #$00
	012A73 8D 14 06		sta $0614		;DPi handshake abort code (ABCODE)
	012A76 20 B3 2C		jsr $2CB3
	012A79 20 5C 2C		jsr $2C5C
012A7C	012A7C 20 BF 27		jsr $27BF
	012A7F B0 35		bcs $012ab6
	012A81 E2 0E 06 20 03	bar $060E,$20,$012a89	;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	012A86 20 6F 2B		jsr $2B6F
012A89	012A89 20 47 E1		jsr $E147
	012A8C 20 35 E1		jsr $E135
	012A8F 20 38 E1		jsr $E138
	012A92 20 44 E1		jsr $E144
	012A95 20 3E E1		jsr $E13E
	012A98 20 41 E1		jsr $E141
	012A9B 20 4D E1		jsr $E14D
	012A9E 20 50 E1		jsr $E150
	012AA1 20 59 E1		jsr $E159
	012AA4 20 5C E1		jsr $E15C
	012AA7 E2 4D 01 08 06	bar $014D,$08,$012ab2
	012AAC 20 4A E1		jsr $E14A
	012AAF 20 5F E1		jsr $E15F
012AB2	012AB2 60		rts

012AB3	012AB3 4C 2D 27		jmp $272D

012AB6	012AB6 20 48 29		jsr $2948
	012AB9 EC 7A 01		cpx $017A
	012ABC F0 04		beq $012ac2
	012ABE 90 02		bcc $012ac2
	012AC0 57 70		rmb 5,$70
012AC2	012AC2 20 62 E1		jsr $E162
	012AC5 20 FD 27		jsr $27FD
	012AC8 20 D0 F8		jsr $F8D0
	012ACB A9 2C		lda #$2C','
	012ACD 8D 0E 02		sta $020E
	012AD0 A9 01		lda #$01
	012AD2 8D 0F 02		sta $020F
	012AD5 67 5D		rmb 6,$5D
	012AD7 A9 0F		lda #$0F
	012AD9 8D 28 02		sta $0228
	012ADC A9 00		lda #$00
	012ADE 8D 29 02		sta $0229
	012AE1 37 5F		rmb 3,$5F
	012AE3 20 12 2C		jsr $2C12
	012AE6 20 EA 2B		jsr $2BEA
	012AE9 67 61		rmb 6,$61
	012AEB C7 83		smb 4,$83
	012AED 60		rts

012AEE	012AEE 9F 6C 53		bbs 1,$6C,$012b44
	012AF1 F2 0E 06 80 4E	bas $060E,$80,$012b44	;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	012AF6 F2 0E 06 20 49	bas $060E,$20,$012b44	;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	012AFB 20 F7 F9		jsr $F9F7
	012AFE CD 7B 01		cmp $017B
	012B01 F0 16		beq $012b19
	012B03 AE 7B 01		ldx $017B
	012B06 8D 7B 01		sta $017B
	012B09 CD 7D 01		cmp $017D
	012B0C 90 03		bcc $012b11
	012B0E 8D 7D 01		sta $017D
012B11	012B11 1F 6F 05		bbr 1,$6F,$012b19
	012B14 89 80		add #$80
	012B16 20 34 2B		jsr $2B34
012B19	012B19 20 99 F9		jsr $F999
	012B1C CD 7C 01		cmp $017C
	012B1F F0 23		beq $012b44
	012B21 AE 7C 01		ldx $017C
	012B24 8D 7C 01		sta $017C
	012B27 CD 7E 01		cmp $017E
	012B2A 90 03		bcc $012b2f
	012B2C 8D 7E 01		sta $017E
012B2F	012B2F 1F 6F 12		bbr 1,$6F,$012b44
	012B32 89 98		add #$98
	012B34 08		php
	012B35 78		sei
	012B36 48		pha
	012B37 A9 10		lda #$10
	012B39 20 B7 2E		jsr $2EB7
	012B3C 68		pla
	012B3D 20 B7 2E		jsr $2EB7
	012B40 20 DA FD		jsr $FDDA
	012B43 28		plp
012B44	012B44 60		rts

012B45	012B45 E2 52 01 01 05	bar $0152,$01,$012b4f
	012B4A F2 52 01 40 19	bas $0152,$40,$012b68
012B4F	012B4F F2 4D 01 01 14	bas $014D,$01,$012b68
	012B54 20 76 F5		jsr $F576
	012B57 B0 0F		bcs $012b68
	012B59 48		pha
	012B5A 20 99 F9		jsr $F999
	012B5D C9 00		cmp #$00
	012B5F D0 02		bne $012b63
	012B61 68		pla
	012B62 60		rts

012B63	012B63 C9 04		cmp #$04
	012B65 B0 04		bcs $012b6b
	012B67 68		pla
012B68	012B68 4C 4D F5		jmp $F54D

012B6B	012B6B 68		pla
	012B6C 4C 77 FA		jmp $FA77{newc_w}

012B6F	012B6F E2 2F 01 01 4F	bar $012F,$01,$012bc3
	012B74 AD 12 06		lda $0612		;DPi configuration (CONF)
	012B77 29 F0		and #$F0
	012B79 C9 C0		cmp #$C0
	012B7B D0 46		bne $012bc3
	012B7D AD 17 06		lda $0617		;DPi sec Tx/V.34 Tx status (SECTXB)
	012B80 C9 85		cmp #$85
	012B82 D0 3F		bne $012bc3
	012B84 AD 16 06		lda $0616		;DPi sec Rx/V.34 Rx status (SECRXB)
	012B87 C9 84		cmp #$84
	012B89 D0 38		bne $012bc3
	012B8B F2 4A 01 04 10	bas $014A,$04,$012ba0
	012B90 A9 28		lda #$28'('
	012B92 8D 18 02		sta $0218
	012B95 A9 00		lda #$00
	012B97 8D 19 02		sta $0219
	012B9A 37 5E		rmb 3,$5E
	012B9C D2 04 4A 01	sba $04,$014A
012BA0	012BA0 3F 5E 20		bbr 3,$5E,$012bc3
	012BA3 A9 45		lda #$45'E'
	012BA5 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012BA8 A9 80		lda #$80
	012BAA 20 9C FC		jsr $FC9C{meaddh_w}
	012BAD AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	012BB0 09 80		ora #$80
	012BB2 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	012BB5 A9 45		lda #$45'E'
	012BB7 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012BBA A9 A0		lda #$A0
	012BBC 20 9C FC		jsr $FC9C{meaddh_w}
	012BBF C2 04 4A 01	rba $04,$014A
012BC3	012BC3 60		rts

;;; CID again

012BC4	012BC4 A5 50		lda $50
	012BC6 29 30		and #$30'0'
	012BC8 4A		lsr a
	012BC9 4A		lsr a
	012BCA 4A		lsr a
	012BCB 4A		lsr a
	012BCC F0 07		beq $012bd5		;! CID == 0 -> s
	012BCE AD 07 01		lda $0107{s1}
	012BD1 C9 02		cmp #$02
	012BD3 90 01		bcc $012bd6		;! s1 >= 2
012BD5	012BD5 38		sec
012BD6	012BD6 60		rts

012BD7	012BD7 A5 55		lda $55
	012BD9 29 44		and #$44'D'
	012BDB 4A		lsr a
	012BDC 4A		lsr a
	012BDD 60		rts

012BDE	012BDE 20 D7 2B		jsr $2BD7
	012BE1 C9 10		cmp #$10
	012BE3 60		rts

012BE4	012BE4 20 59 29		jsr $2959
	012BE7 4C AC F8		jmp $F8AC

012BEA	012BEA A9 14		lda #$14
	012BEC 8D 2C 02		sta $022C
	012BEF A9 00		lda #$00
	012BF1 8D 2D 02		sta $022D
	012BF4 57 5F		rmb 5,$5F
	012BF6 60		rts

012BF7	012BF7 F7 01		smb 7,$01		;Cx9	port B (output only)
	012BF9 60		rts

012BFA	012BFA 77 01		rmb 7,01		;Cx9	port B (output only)
	012BFC 60		rts

012BFD	012BFD A9 1E		lda #$1E
	012BFF 8D 04 02		sta $0204
	012C02 A9 00		lda #$00
	012C04 8D 05 02		sta $0205
	012C07 17 5D		rmb 1,$5D
012C09	012C09 E2 0F 06 20 03	bar $060F,$20,$012c11	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	012C0E 1F 5D F8		bbr 1,$5D,$012c09
012C11	012C11 60		rts

012C12	012C12 A9 1E		lda #$1E
	012C14 8D 2E 02		sta $022E
	012C17 A9 00		lda #$00
	012C19 8D 2F 02		sta $022F
	012C1C 67 5F		rmb 6,$5F
	012C1E 60		rts

012C1F	012C1F A9 04		lda #$04
	012C21 8D 24 01		sta $0124
	012C24 AD 10 01		lda $0110
	012C27 C9 FF		cmp #$FF
	012C29 D0 0F		bne $012c3a
	012C2B 47 58		rmb 4,$58
	012C2D A9 12		lda #$12
	012C2F 8D 60 02		sta $0260
	012C32 A9 25		lda #$25'%'
	012C34 8D 61 02		sta $0261
	012C37 C7 58		smb 4,$58
	012C39 60		rts

012C3A	012C3A 67 57		rmb 6,$57
	012C3C A9 03		lda #$03
	012C3E 1F 65 02		bbr 1,$65,$012c43
	012C41 A9 00		lda #$00
012C43	012C43 85 A9		sta $A9
	012C45 B2 48 AC		sti #$48'H',$AC
	012C48 B7 57		smb 3,$57
	012C4A 60		rts

012C4B	012C4B A9 0C		lda #$0C
	012C4D 8D 28 02		sta $0228
	012C50 A9 00		lda #$00
	012C52 8D 29 02		sta $0229
	012C55 37 5F		rmb 3,$5F
	012C57 60		rts

012C58	012C58 60		rts

012C59	012C59 89 01		add #$01
	012C5B 60		rts

012C5C	012C5C E2 52 01 01 0B	bar $0152,$01,$012c6c
	012C61 E2 52 01 40 06	bar $0152,$40,$012c6c
	012C66 F2 52 01 20 06	bas $0152,$20,$012c71
	012C6B 60		rts

012C6C	012C6C F2 30 01 01 2D	bas $0130,$01,$012c9e
012C71	012C71 A9 20		lda #$20' '
	012C73 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	012C76 A9 6B		lda #$6B'k'
	012C78 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012C7B A9 A2		lda #$A2
	012C7D 20 9C FC		jsr $FC9C{meaddh_w}
	012C80 A9 64		lda #$64'd'
	012C82 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	012C85 A9 6C		lda #$6C'l'
	012C87 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012C8A A9 A2		lda #$A2
	012C8C 20 9C FC		jsr $FC9C{meaddh_w}
	012C8F A9 60		lda #$60'`'
	012C91 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	012C94 A9 6D		lda #$6D'm'
	012C96 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012C99 A9 A2		lda #$A2
	012C9B 20 9C FC		jsr $FC9C{meaddh_w}
012C9E	012C9E 60		rts

012C9F	012C9F 20 63 F5		jsr $F563
	012CA2 90 04		bcc $012ca8
	012CA4 A9 71		lda #$71'q'
	012CA6 80 07		bra $012caf

012CA8	012CA8 20 76 F5		jsr $F576
	012CAB 90 05		bcc $012cb2
	012CAD A9 C2		lda #$C2
012CAF	012CAF 8D 12 06		sta $0612		;DPi configuration (CONF)
012CB2	012CB2 60		rts

012CB3	012CB3 C2 20 4A 01	rba $20,$014A
	012CB7 C2 80 4A 01	rba $80,$014A
	012CBB C2 40 4A 01	rba $40,$014A
	012CBF C2 10 4D 01	rba $10,$014D
	012CC3 C2 40 4B 01	rba $40,$014B
	012CC7 C2 40 4E 01	rba $40,$014E
	012CCB C2 20 4E 01	rba $20,$014E
	012CCF C2 80 49 01	rba $80,$0149
	012CD3 C2 02 4A 01	rba $02,$014A
	012CD7 C2 08 4A 01	rba $08,$014A
	012CDB C2 10 4A 01	rba $10,$014A
	012CDF C2 02 4B 01	rba $02,$014B
	012CE3 C2 04 4D 01	rba $04,$014D
	012CE7 C2 40 4D 01	rba $40,$014D
	012CEB C2 10 4E 01	rba $10,$014E
	012CEF E2 4B 01 01 04	bar $014B,$01,$012cf8
	012CF4 D2 20 4A 01	sba $20,$014A
012CF8	012CF8 60		rts

012CF9	012CF9 AD 41 01		lda $0141
	012CFC 8D C3 03		sta $03C3
	012CFF AD 42 01		lda $0142
	012D02 8D C4 03		sta $03C4
	012D05 60		rts

012D06	012D06 A9 00		lda #$00
	012D08 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	012D0B A9 E4		lda #$E4
	012D0D 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012D10 A9 A2		lda #$A2
	012D12 20 9C FC		jsr $FC9C{meaddh_w}
	012D15 60		rts

012D16	012D16 A9 E4		lda #$E4
	012D18 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012D1B A9 82		lda #$82
	012D1D 20 9C FC		jsr $FC9C{meaddh_w}
	012D20 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	012D23 D0 02		bne $012d27
	012D25 18		clc
	012D26 60		rts

012D27	012D27 38		sec
	012D28 60		rts

012D29	012D29 A9 E5		lda #$E5
	012D2B 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012D2E A9 82		lda #$82
	012D30 20 9C FC		jsr $FC9C{meaddh_w}
	012D33 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	012D36 D0 02		bne $012d3a
	012D38 18		clc
	012D39 60		rts

012D3A	012D3A 38		sec
	012D3B 60		rts

012D3C	012D3C A9 2A		lda #$2A'*'
	012D3E 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012D41 A9 8F		lda #$8F
	012D43 20 9C FC		jsr $FC9C{meaddh_w}
	012D46 AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	012D49 CD B3 03		cmp $03B3
	012D4C D0 02		bne $012d50
	012D4E 18		clc
	012D4F 60		rts

012D50	012D50 8D B3 03		sta $03B3
	012D53 38		sec
	012D54 60		rts

012D55	012D55 20 94 2D		jsr $2D94
	012D58 C9 02		cmp #$02
	012D5A 90 2D		bcc $012d89
	012D5C AA		tax
	012D5D AD B4 03		lda $03B4
	012D60 DD 8A 2D		cmp $2D8A,x
	012D63 B0 12		bcs $012d77
	012D65 E2 53 01 40 1F	bar $0153,$40,$012d89
	012D6A C2 40 53 01	rba $40,$0153
	012D6E AD B2 03		lda $03B2
	012D71 C9 06		cmp #$06
	012D73 B0 05		bcs $012d7a
	012D75 80 00		bra $012d77

012D77	012D77 38		sec
	012D78 80 01		bra $012d7b

012D7A	012D7A 18		clc
012D7B	012D7B AD B2 03		lda $03B2
	012D7E AD B4 03		lda $03B4
	012D81 A9 00		lda #$00
	012D83 8D B2 03		sta $03B2
	012D86 8D B1 03		sta $03B1
012D89	012D89 60		rts

012D8A	012D8A 38		sec
	012D8B 3A		asr a
	012D8C 3F 41 43		bbr 3,$41,$012dd2
	012D8F 43		???			;undocumented opcode
	012D90 43		???			;undocumented opcode
	012D91 44		???			;undocumented opcode
	012D92 44		???			;undocumented opcode
	012D93 44		???			;undocumented opcode
	012D94 A9 FD		lda #$FD
	012D96 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012D99 A9 8B		lda #$8B
	012D9B 20 9C FC		jsr $FC9C{meaddh_w}
	012D9E AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	012DA1 29 0F		and #$0F
	012DA3 60		rts

012DA4	012DA4 A9 2E		lda #$2E'.'
	012DA6 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012DA9 A9 84		lda #$84
	012DAB 20 9C FC		jsr $FC9C{meaddh_w}
	012DAE AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	012DB1 AA		tax
	012DB2 A9 2F		lda #$2F'/'
	012DB4 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	012DB7 A9 84		lda #$84
	012DB9 20 9C FC		jsr $FC9C{meaddh_w}
	012DBC AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	012DBF A8		tay
	012DC0 60		rts

012DC1	012DC1 A9 02		lda #$02
	012DC3 4C 9B FA		jmp $FA9B

012DC6	012DC6 A9 00		lda #$00
	012DC8 4C 9B FA		jmp $FA9B

012DCB	012DCB 00		brk
	012DCC 01 01		ora ($01)		;Cx9	port B (output only)
	012DCE 02		mpy
	012DCF 03		tip
	012DD0 05 06		ora $06			;Cx9	port C direction (W)
012DD2	012DD2 07 04		rmb 0,$04		;Cx9	port D & direction control
	012DD4 09 0A		ora #$0A
	012DD6 0C 0D 0E		jpi ($0E0D)
	012DD9 0B		jsb 0			;indirect $FFE0
	012DDA 0F 10 11		bbr 0,$10,$012dee	;Cx9 Timer A Mode
	012DDD 12		mpa
	012DDE 13		lab a
	012DDF 14		???			;undocumented opcode
	012DE0 15 16		ora $16,x		;Cx9 TBS (R), TBUL (W)
	012DE2 FF 00 FF		bbs 7,$00,$012de4	;Cx9	port A (bidirectional)
	012DE5 00		brk
	012DE6 FF 00 00		bbs 7,$00,$012de9	;Cx9	port A (bidirectional)
012DE9	012DE9 04		???			;undocumented opcode
	012DEA 40		rti
	012DEB 00		brk
	012DEC 00		brk
	012DED 02		mpy
012DEE	012DEE 20 00 08		jsr $0800
	012DF1 00		brk
	012DF2 FF 00 01		bbs 7,$00,$012df6	;Cx9	port A (bidirectional)
	012DF5 00		brk
012DF6	012DF6 02		mpy
	012DF7 00		brk
	012DF8 04		???			;undocumented opcode
	012DF9 00		brk
	012DFA 08		php
	012DFB 00		brk
	012DFC 10 00		bpl $012dfe
012DFE	012DFE 20 00 40		jsr $4000
	012E01 00		brk
	012E02 80 00		bra $012e04

012E04	012E04 00		brk
	012E05 01 00		ora ($00)		;Cx9	port A (bidirectional)
	012E07 02		mpy
	012E08 00		brk
	012E09 04		???			;undocumented opcode
	012E0A 00		brk
	012E0B 08		php
	012E0C 00		brk
	012E0D 10 00		bpl $012e0f
012E0F	012E0F 20 FF 00		jsr $00FF
	012E12 00		brk
	012E13 00		brk
	012E14 00		brk
	012E15 71 78		adc ($78),x
	012E17 74 72		add $72,x
	012E19 76 00		ror $00,x		;Cx9	port A (bidirectional)
	012E1B C1 C2		cmp ($C2)
	012E1D C3		???			;undocumented opcode
	012E1E C4 C5		cpy $C5
	012E20 C6 C7		dec $C7
	012E22 C8		iny
	012E23 C9 CA		cmp #$CA
	012E25 CB		phi
	012E26 CC CD CE		cpy $CECD
	012E29 00		brk
	012E2A 4B		jsb 4			;indirect $FFE8
	012E2B 4B		jsb 4			;indirect $FFE8
	012E2C 0B		jsb 0			;indirect $FFE0
	012E2D 22		psh
	012E2E 13		lab a
	012E2F 10 0C		bpl $012e3d
	012E31 06 12		asl $12			;Cx9 TAS (R), TAUL (W)
	012E33 22		psh
	012E34 13		lab a
	012E35 10 11		bpl $012e48
	012E37 0C 12 0C		jpi ($0C12)
	012E3A 0C 0C 0C		jpi ($0C0C)
012E3D	012E3D 10 14		bpl $012e53
	012E3F 1B		jsb 1			;indirect $FFE2
	012E40 1B		jsb 1			;indirect $FFE2
	012E41 4B		jsb 4			;indirect $FFE8
	012E42 4B		jsb 4			;indirect $FFE8
	012E43 53		???			;undocumented opcode
	012E44 3E 34 4A		rol $4A34,x
	012E47 43		???			;undocumented opcode
012E48	012E48 3C		???			;undocumented opcode
	012E49 55 3E		eor $3E,x		;Cx9 SOUT (RxD) divider latch (R)
	012E4B 34		???			;undocumented opcode
	012E4C 4A		lsr a
	012E4D 43		???			;undocumented opcode
	012E4E 3C		???			;undocumented opcode
	012E4F 55 3C		eor $3C,x		;Cx9	serial status register
	012E51 3C		???			;undocumented opcode
	012E52 3E 3E 40		rol $403E,x
	012E55 40		rti
	012E56 46 48		lsr $48
	012E58 4B		jsb 4			;indirect $FFE8
	012E59 4B		jsb 4			;indirect $FFE8
	012E5A 3E 32 3D		rol $3D32,x
	012E5D 3E 3C 34		rol $343C,x
	012E60 4B		jsb 4			;indirect $FFE8
	012E61 32		pul
	012E62 3D 3E 3C		and $3C3E,x
	012E65 34		???			;undocumented opcode
	012E66 4B		jsb 4			;indirect $FFE8
	012E67 3A		asr a
	012E68 3A		asr a
	012E69 3A		asr a
	012E6A 3A		asr a
	012E6B 3A		asr a
	012E6C 3A		asr a
	012E6D 55 57		eor $57,x
	012E6F FF FF FF		bbs 7,$FF,$012e71
	012E72 FF 25 2A		bbs 7,$25,$012e9f	;Cx9 SP RAM 5
	012E75 2A		rol a
	012E76 23		phw
	012E77 1F FF 25		bbr 1,$FF,$012e9f
	012E7A 2A		rol a
	012E7B 2A		rol a
	012E7C 23		phw
	012E7D 1F 37 38		bbr 1,$37,$012eb8	;Cx9 PAUL PAB-PALL clear download
	012E80 37 37		rmb 3,$37		;Cx9 PAUL PAB-PALL clear download
	012E82 37 37		rmb 3,$37		;Cx9 PAUL PAB-PALL clear download
	012E84 3D 3D E6		and $E63D,x
	012E87 B7 F0		smb 3,$F0
	012E89 08		php
	012E8A 81 B3		sta ($B3)
	012E8C E6 B3		inc $B3
	012E8E F0 16		beq $012ea6
	012E90 18		clc
	012E91 60		rts

012E92	012E92 A6 B8		ldx $B8
	012E94 E0 02		cpx #$02
	012E96 F0 0A		beq $012ea2
	012E98 E6 B8		inc $B8
	012E9A 81 B3		sta ($B3)
	012E9C E6 B3		inc $B3
	012E9E F0 06		beq $012ea6
	012EA0 18		clc
	012EA1 60		rts

012EA2	012EA2 C6 B7		dec $B7
	012EA4 38		sec
	012EA5 60		rts

012EA6	012EA6 E6 B4		inc $B4
	012EA8 A5 B4		lda $B4
	012EAA C9 86		cmp #$86
	012EAC F0 01		beq $012eaf
	012EAE 60		rts

012EAF	012EAF 18		clc
	012EB0 B2 01 B3		sti #$01,$B3
	012EB3 B2 84 B4		sti #$84,$B4
	012EB6 60		rts

;;; ($AD)++ = a, $B1++

012EB7	012EB7 E6 B1		inc $B1
	012EB9 F0 08		beq $012ec3
	012EBB 81 AD		sta ($AD)
	012EBD E6 AD		inc $AD
	012EBF F0 15		beq $012ed6
	012EC1 18		clc
	012EC2 60		rts

012EC3	012EC3 A6 B2		ldx $B2
	012EC5 E0 01		cpx #$01
	012EC7 F0 09		beq $012ed2
	012EC9 E6 B2		inc $B2
	012ECB 81 AD		sta ($AD)
	012ECD E6 AD		inc $AD
	012ECF F0 05		beq $012ed6
	012ED1 60		rts

012ED2	012ED2 C6 B1		dec $B1
	012ED4 38		sec
	012ED5 60		rts

012ED6	012ED6 E6 AE		inc $AE
	012ED8 A5 AE		lda $AE
	012EDA C9 84		cmp #$84
	012EDC F0 01		beq $012edf
	012EDE 60		rts

;;; pointer to receive buffer

012EDF	012EDF 18		clc
	012EE0 B2 01 AD		sti #$01,$AD
	012EE3 B2 82 AE		sti #$82,$AE
	012EE6 60		rts

012EE7	012EE7 A5 B7		lda $B7
	012EE9 F0 0A		beq $012ef5
012EEB	012EEB C6 B7		dec $B7
	012EED A1 B5		lda ($B5)
	012EEF E6 B5		inc $B5
	012EF1 F0 0C		beq $012eff
	012EF3 18		clc
	012EF4 60		rts

012EF5	012EF5 05 B8		ora $B8
	012EF7 F0 04		beq $012efd
	012EF9 C6 B8		dec $B8
	012EFB 80 EE		bra $012eeb

012EFD	012EFD 38		sec
	012EFE 60		rts

012EFF	012EFF E6 B6		inc $B6
	012F01 A6 B6		ldx $B6
	012F03 E0 86		cpx #$86
	012F05 F0 01		beq $012f08
	012F07 60		rts

012F08	012F08 18		clc
	012F09 B2 01 B5		sti #$01,$B5
	012F0C B2 84 B6		sti #$84,$B6
	012F0F 60		rts

012F10	012F10 A5 B1		lda $B1
	012F12 F0 0A		beq $012f1e
012F14	012F14 C6 B1		dec $B1
	012F16 A1 AF		lda ($AF)
	012F18 E6 AF		inc $AF
	012F1A F0 0C		beq $012f28
	012F1C 18		clc
	012F1D 60		rts

012F1E	012F1E 05 B2		ora $B2
	012F20 F0 04		beq $012f26
	012F22 C6 B2		dec $B2
	012F24 80 EE		bra $012f14

012F26	012F26 38		sec
	012F27 60		rts

012F28	012F28 E6 B0		inc $B0
	012F2A A6 B0		ldx $B0
	012F2C E0 84		cpx #$84
	012F2E F0 01		beq $012f31
	012F30 60		rts

012F31	012F31 18		clc
	012F32 B2 01 AF		sti #$01,$AF
	012F35 B2 82 B0		sti #$82,$B0
	012F38 60		rts

;;;

012F39	012F39 A6 B2		ldx $B2
	012F3B E0 2F		cpx #$2F'/'
	012F3D 90 09		bcc $012f48
	012F3F D0 06		bne $012f47
	012F41 A6 B1		ldx $B1
	012F43 E0 FA		cpx #$FA
	012F45 90 01		bcc $012f48
012F47	012F47 60		rts

012F48	012F48 A6 B1		ldx $B1
	012F4A E0 00		cpx #$00
	012F4C D0 08		bne $012f56
	012F4E A6 B2		ldx $B2
	012F50 E0 30		cpx #$30'0'
	012F52 D0 02		bne $012f56
	012F54 38		sec
	012F55 60		rts

012F56	012F56 E6 B1		inc $B1
	012F58 D0 02		bne $012f5c
	012F5A E6 B2		inc $B2
012F5C	012F5C 81 AD		sta ($AD)
	012F5E E6 AD		inc $AD
	012F60 D0 02		bne $012f64
	012F62 E6 AE		inc $AE
012F64	012F64 A6 AD		ldx $AD
	012F66 E0 00		cpx #$00
	012F68 90 0D		bcc $012f77
	012F6A A6 AE		ldx $AE
	012F6C E0 E0		cpx #$E0
	012F6E D0 07		bne $012f77
	012F70 18		clc
	012F71 B2 00 AD		sti #$00,$AD		;! buffer bounds?
	012F74 B2 B0 AE		sti #$B0,$AE
012F77	012F77 60		rts

012F78	012F78 A5 B1		lda $B1
	012F7A D0 06		bne $012f82
	012F7C 05 B2		ora $B2
	012F7E F0 20		beq $012fa0
	012F80 C6 B2		dec $B2
012F82	012F82 C6 B1		dec $B1
	012F84 A1 AF		lda ($AF)
	012F86 E6 AF		inc $AF
	012F88 D0 02		bne $012f8c
	012F8A E6 B0		inc $B0
012F8C	012F8C A6 AF		ldx $AF
	012F8E E0 00		cpx #$00
	012F90 90 0D		bcc $012f9f
	012F92 A6 B0		ldx $B0
	012F94 E0 E0		cpx #$E0
	012F96 D0 07		bne $012f9f
	012F98 18		clc
	012F99 B2 00 AF		sti #$00,$AF
	012F9C B2 B0 B0		sti #$B0,$B0
012F9F	012F9F 60		rts

012FA0	012FA0 38		sec
	012FA1 60		rts

012FA2	012FA2 08		php
	012FA3 78		sei
	012FA4 A9 00		lda #$00
	012FA6 85 B7		sta $B7
	012FA8 85 B8		sta $B8
	012FAA A9 01		lda #$01
	012FAC 85 B5		sta $B5
	012FAE 85 B3		sta $B3
	012FB0 A9 84		lda #$84
	012FB2 85 B6		sta $B6
	012FB4 85 B4		sta $B4
	012FB6 28		plp
	012FB7 60		rts

012FB8	012FB8 08		php
	012FB9 78		sei
	012FBA BF 9B 1A		bbs 3,$9B,$012fd7
	012FBD 8F 69 17		bbs 0,$69,$012fd7
	012FC0 9F 69 14		bbs 1,$69,$012fd7
	012FC3 A9 00		lda #$00
	012FC5 85 B1		sta $B1
	012FC7 85 B2		sta $B2
	012FC9 A9 01		lda #$01
	012FCB 85 AF		sta $AF
	012FCD 85 AD		sta $AD
	012FCF A9 82		lda #$82
	012FD1 85 B0		sta $B0
	012FD3 85 AE		sta $AE
	012FD5 28		plp
	012FD6 60		rts

012FD7	012FD7 A9 00		lda #$00
	012FD9 85 B1		sta $B1
	012FDB 85 B2		sta $B2
	012FDD A9 00		lda #$00
	012FDF 85 AF		sta $AF
	012FE1 85 AD		sta $AD
	012FE3 A9 B0		lda #$B0
	012FE5 85 B0		sta $B0
	012FE7 85 AE		sta $AE
	012FE9 28		plp
	012FEA 60		rts

012FEB	012FEB A9 00		lda #$00
	012FED 85 41		sta $41
	012FEF A0 09		ldy #$09
	012FF1 18		clc
012FF2	012FF2 66 41		ror $41
	012FF4 66 40		ror $40
	012FF6 90 07		bcc $012fff
	012FF8 18		clc
	012FF9 A5 41		lda $41
	012FFB 65 44		adc $44
	012FFD 85 41		sta $41
012FFF	012FFF 88		dey
	013000 D0 F0		bne $012ff2
	013002 60		rts

013003	013003 20 48 E0		jsr $E048{0009B6}
	013006 B0 72		bcs $01307a
	013008 A2 00		ldx #$00
	01300A 86 EE		stx $EE
	01300C B2 EC 40		sti #$EC,$40
	01300F B2 00 41		sti #$00,$41
013012	013012 20 5A E0		jsr $E05A{000A8E}
	013015 95 D5		sta $D5,x
	013017 F0 2D		beq $013046
	013019 64 EE		add $EE
	01301B 85 EE		sta $EE
	01301D E8		inx
	01301E E0 07		cpx #$07
	013020 90 F0		bcc $013012
	013022 A9 5C		lda #$5C'\'
	013024 95 D5		sta $D5,x
	013026 A2 00		ldx #$00
	013028 B2 F3 40		sti #$F3,$40
	01302B B2 00 41		sti #$00,$41
01302E	01302E 20 5A E0		jsr $E05A{000A8E}
	013031 95 DD		sta $DD,x
	013033 F0 11		beq $013046
	013035 64 EE		add $EE
	013037 85 EE		sta $EE
	013039 E8		inx
	01303A E0 08		cpx #$08
	01303C 90 F0		bcc $01302e
	01303E 20 5A E0		jsr $E05A{000A8E}
	013041 64 EE		add $EE
	013043 D0 01		bne $013046
	013045 60		rts

013046	013046 A2 00		ldx #$00
	013048 86 EE		stx $EE
	01304A B2 EC 42		sti #$EC,$42
	01304D B2 00 43		sti #$00,$43
013050	013050 BD F9 31		lda $31F9,x
	013053 20 57 E0		jsr $E057
	013056 64 EE		add $EE
	013058 85 EE		sta $EE
	01305A E8		inx
	01305B E0 07		cpx #$07
	01305D 90 F1		bcc $013050
	01305F B2 F3 42		sti #$F3,$42
	013062 B2 00 43		sti #$00,$43
	013065 A2 00		ldx #$00
013067	013067 BD 01 32		lda $3201,x
	01306A 20 57 E0		jsr $E057
	01306D 64 EE		add $EE
	01306F 85 EE		sta $EE
	013071 E8		inx
	013072 E0 08		cpx #$08
	013074 90 F1		bcc $013067
	013076 1A		neg a
	013077 20 57 E0		jsr $E057
01307A	01307A A2 00		ldx #$00
01307C	01307C BD F9 31		lda $31F9,x
	01307F 95 D5		sta $D5,x
	013081 E8		inx
	013082 E0 10		cpx #$10
	013084 90 F6		bcc $01307c
	013086 60		rts

013087	013087 AF 61 2A		bbs 2,$61,$0130b4
	01308A AD 07 01		lda $0107{s1}
	01308D D0 25		bne $0130b4
	01308F AF 57 22		bbs 2,$57,$0130b4
	013092 BF 57 1F		bbs 3,$57,$0130b4
	013095 8F 4A 1C		bbs 0,$4A,$0130b4
	013098 EF 61 34		bbs 6,$61,$0130cf
	01309B EF 62 0C		bbs 6,$62,$0130aa
	01309E 20 67 FD		jsr $FD67
	0130A1 B0 11		bcs $0130b4
	0130A3 20 60 FD		jsr $FD60
	0130A6 B0 0C		bcs $0130b4
	0130A8 E7 62		smb 6,$62
0130AA	0130AA 20 67 FD		jsr $FD67
	0130AD B0 55		bcs $013104
	0130AF 20 60 FD		jsr $FD60
	0130B2 B0 01		bcs $0130b5
0130B4	0130B4 60		rts

0130B5	0130B5 E7 61		smb 6,$61
	0130B7 A9 0F		lda #$0F
	0130B9 8D 02 02		sta $0202
	0130BC A9 00		lda #$00
	0130BE 8D 03 02		sta $0203
	0130C1 07 5D		rmb 0,$5D
	0130C3 A9 18		lda #$18
	0130C5 8D 04 02		sta $0204
	0130C8 A9 00		lda #$00
	0130CA 8D 05 02		sta $0205
	0130CD 17 5D		rmb 1,$5D
0130CF	0130CF 9F 5D 32		bbs 1,$5D,$013104
	0130D2 20 60 FD		jsr $FD60
	0130D5 90 2D		bcc $013104
	0130D7 20 67 FD		jsr $FD67
	0130DA 90 D8		bcc $0130b4
	0130DC 0F 5D 25		bbr 0,$5D,$013104
	0130DF AD 5B 04		lda $045B
	0130E2 48		pha
	0130E3 AD 5F 04		lda $045F
	0130E6 48		pha
	0130E7 A9 04		lda #$04
	0130E9 8D 5B 04		sta $045B
	0130EC 20 6D FD		jsr $FD6D
	0130EF A9 06		lda #$06
	0130F1 8D 5F 04		sta $045F
	0130F4 20 09 31		jsr $3109
	0130F7 68		pla
	0130F8 8D 5F 04		sta $045F
	0130FB 85 3B		sta $3B			;Cx9	serial line control register
	0130FD 68		pla
	0130FE 8D 5B 04		sta $045B
	013101 20 6D FD		jsr $FD6D
013104	013104 67 62		rmb 6,$62
	013106 67 61		rmb 6,$61
	013108 60		rts

013109	013109 08		php
	01310A 78		sei
	01310B EF 10 06		bbs 6,$10,$013114	;Cx9 Timer A Mode
	01310E 28		plp
	01310F 20 26 31		jsr $3126
	013112 80 11		bra $013125

013114	013114 67 10		rmb 6,$10		;Cx9 Timer A Mode
	013116 57 3D		rmb 5,$3D		;Cx9	serial form register
	013118 28		plp
	013119 AD 5B 04		lda $045B
	01311C 20 6D FD		jsr $FD6D
	01311F 20 26 31		jsr $3126
	013122 20 B1 EE		jsr $EEB1
013125	013125 60		rts

013126	013126 AD 5F 04		lda $045F
	013129 85 3B		sta $3B			;Cx9	serial line control register
	01312B AD 60 04		lda $0460
	01312E 85 3A		sta $3A			;Cx9	serial mode register
	013130 4C 55 31		jmp $3155

013133	013133 A2 00		ldx #$00
013135	013135 B5 D5		lda $D5,x
	013137 20 05 FE		jsr $FE05{out}
	01313A 64 EC		add $EC
	01313C 85 EC		sta $EC
	01313E E8		inx
	01313F E0 10		cpx #$10
	013141 90 F2		bcc $013135
	013143 60		rts

013144	013144 A2 00		ldx #$00
013146	013146 B1 40		lda ($40),x
	013148 F0 0A		beq $013154
	01314A E8		inx
	01314B 20 05 FE		jsr $FE05{out}
	01314E 64 EC		add $EC
	013150 85 EC		sta $EC
	013152 80 F2		bra $013146

013154	013154 60		rts

013155	013155 AD 09 32		lda $3209
	013158 85 EC		sta $EC
	01315A B2 AC 40		sti #$AC,$40
	01315D B2 31 41		sti #$31'1',$41
	013160 20 44 31		jsr $3144
	013163 20 03 30		jsr $3003
	013166 20 33 31		jsr $3133
	013169 B2 B0 40		sti #$B0,$40
	01316C B2 31 41		sti #$31'1',$41
	01316F 20 44 31		jsr $3144
	013172 B2 CF 40		sti #$CF,$40
	013175 B2 31 41		sti #$31'1',$41
	013178 20 44 31		jsr $3144
	01317B A2 01		ldx #$01
	01317D A5 EC		lda $EC
	01317F 29 0F		and #$0F
	013181 80 06		bra $013189

013183	013183 A5 EC		lda $EC
	013185 4A		lsr a
	013186 4A		lsr a
	013187 4A		lsr a
	013188 4A		lsr a
013189	013189 C9 0A		cmp #$0A
	01318B B0 04		bcs $013191
	01318D 89 30		add #$30'0'
	01318F 80 02		bra $013193

013191	013191 89 37		add #$37'7'
013193	013193 95 EC		sta $EC,x
	013195 CA		dex
	013196 F0 EB		beq $013183
	013198 A5 EC		lda $EC
	01319A 20 05 FE		jsr $FE05{out}
	01319D A5 ED		lda $ED
	01319F 20 05 FE		jsr $FE05{out}
	0131A2 AD 09 32		lda $3209
	0131A5 20 05 FE		jsr $FE05{out}
	0131A8 20 1E FE		jsr $FE1E
	0131AB 60		rts

0131AC	0131AC 28		plp
	0131AD 01 24		ora ($24)		;Cx9 SP RAM 4
	0131AF 00		brk

	0131B0			.asciz /\MODEM\RSS00A0/

	0131BF 00		brk
	0131C0 00		brk
	0131C1 00		brk
	0131C2 00		brk
	0131C3 00		brk
	0131C4 00		brk
	0131C5 00		brk
	0131C6 00		brk
	0131C7 00		brk
	0131C8 00		brk
	0131C9 00		brk
	0131CA 00		brk
	0131CB 00		brk
	0131CC 00		brk
	0131CD 00		brk
	0131CE 00		brk

	0131CF			.asciz /\33.6Modem/

	0131DA 00
	0131DB 00		brk
	0131DC 00		brk
	0131DD 00		brk
	0131DE 00		brk
	0131DF 00		brk
	0131E0 00		brk
	0131E1 00		brk
	0131E2 00		brk
	0131E3 00		brk
	0131E4 00		brk
	0131E5 00		brk
	0131E6 00		brk
	0131E7 00		brk
	0131E8 00		brk
	0131E9 00		brk
	0131EA 00		brk
	0131EB 00		brk
0131EC	0131EC 00		brk
	0131ED 00		brk
	0131EE 00		brk
	0131EF 00		brk
	0131F0 00		brk
	0131F1 00		brk
	0131F2 00		brk
	0131F3 00		brk
	0131F4 00		brk
	0131F5 00		brk
	0131F6 00		brk
	0131F7 00		brk
	0131F8 00		brk

	0131F9			.ascii /RSS00A0\12345678/

	013209 29 78		and #$78'x'
	01320B 20 BD 40		jsr $40BD
	01320E 20 21 46		jsr $4621
	013211 AD A5 99		lda $99A5
	013214 8D BA 99		sta $99BA
	013217 AD A6 99		lda $99A6
	01321A 8D BB 99		sta $99BB
	01321D 20 90 38		jsr $3890
	013220 67 57		rmb 6,$57
	013222 A9 3C		lda #$3C'<'
	013224 8D 42 02		sta $0242
	013227 A9 E3		lda #$E3
	013229 8D 43 02		sta $0243
	01322C E7 57		smb 6,$57
01322E	01322E 58		cli
	01322F 60		rts

013230	013230 AD 60 86		lda $8660
	013233 C9 48		cmp #$48'H'
	013235 D0 0F		bne $013246
	013237 A9 00		lda #$00
	013239 7F 87 02		bbr 7,$87,$01323e
	01323C A9 02		lda #$02
01323E	01323E 8D D4 99		sta $99D4
	013241 A9 02		lda #$02
	013243 8D B9 99		sta $99B9
013246	013246 20 59 32		jsr $3259
	013249 6F 57 03		bbr 6,$57,$01324f
	01324C 20 67 32		jsr $3267
01324F	01324F BF 88 01		bbs 3,$88,$013253
	013252 60		rts

013253	013253 37 88		rmb 3,$88
	013255 A9 01		lda #$01
	013257 80 E5		bra $01323e

013259	013259 AD B9 99		lda $99B9
	01325C 0A		asl a
	01325D AA		tax
	01325E 7C 61 32		jmp $3261,x

013261	013261 75 32		adc $32,x		;Cx9	host control register
	013263 59 35 9E		eor $9E35,y
	013266 33		plw
	013267 AD B9 99		lda $99B9
	01326A 0A		asl a
	01326B AA		tax
	01326C 7C 6F 32		jmp $326F,x

01326F	01326F 75 32		adc $32,x		;Cx9	host control register
	013271 A5 34		lda $34			;Cx9 PTG A	mode
	013273 9E		???			;undocumented opcode
	013274 33		plw
	013275 AD BC 99		lda $99BC
	013278 0A		asl a
	013279 AA		tax
	01327A 7C 7D 32		jmp $327D,x

01327D	01327D 87 32		smb 0,$32		;Cx9	host control register
	01327F B6 32		ldx $32,y		;Cx9	host control register
	013281 C0 32		cpy #$32'2'
	013283 36 33		rol $33,x		;Cx9	chip select fast/slow
	013285 4E 33 08		lsr $0833
	013288 78		sei
	013289 FF 49 06		bbs 7,$49,$013292
	01328C 07 86		rmb 0,$86
	01328E A9 02		lda #$02
	013290 80 1F		bra $0132b1

013292	013292 87 86		smb 0,$86
	013294 A9 50		lda #$50'P'
	013296 8D 10 02		sta $0210
	013299 A9 00		lda #$00
	01329B 8D 11 02		sta $0211
	01329E 77 5D		rmb 7,5D
	0132A0 AF 54 0C		bbs 2,$54,$0132af
	0132A3 A9 04		lda #$04
	0132A5 8D 10 02		sta $0210
	0132A8 A9 00		lda #$00
	0132AA 8D 11 02		sta $0211
	0132AD 77 5D		rmb 7,5D
0132AF	0132AF A9 01		lda #$01
0132B1	0132B1 8D BC 99		sta $99BC
	0132B4 28		plp
	0132B5 60		rts

0132B6	0132B6 FF 5D 01		bbs 7,$5D,$0132ba
	0132B9 60		rts

0132BA	0132BA A9 02		lda #$02
	0132BC 8D BC 99		sta $99BC
	0132BF 60		rts

0132C0	0132C0 08		php
	0132C1 78		sei
	0132C2 A9 F4		lda #$F4
	0132C4 8D 10 02		sta $0210
	0132C7 A9 01		lda #$01
	0132C9 8D 11 02		sta $0211
	0132CC 77 5D		rmb 7,5D
	0132CE 8F 51 0C		bbs 0,$51,$0132dd
	0132D1 A9 B8		lda #$B8
	0132D3 8D 10 02		sta $0210
	0132D6 A9 0B		lda #$0B
	0132D8 8D 11 02		sta $0211
	0132DB 77 5D		rmb 7,5D
0132DD	0132DD A2 A2		ldx #$A2
	0132DF A0 37		ldy #$37'7'
	0132E1 0F 86 04		bbr 0,$86,$0132e8
	0132E4 A2 DC		ldx #$DC
	0132E6 A0 37		ldy #$37'7'
0132E8	0132E8 8E CA 99		stx $99CA
	0132EB 8C CB 99		sty $99CB
	0132EE 20 D3 40		jsr $40D3
	0132F1 37 86		rmb 3,$86
	0132F3 17 86		rmb 1,$86
	0132F5 6F 65 03		bbr 6,$65,$0132fb
	0132F8 20 0A 33		jsr $330A
0132FB	0132FB 20 BD 46		jsr $46BD
	0132FE A9 00		lda #$00
	013300 8D B8 99		sta $99B8
	013303 A9 03		lda #$03
	013305 8D BC 99		sta $99BC
	013308 28		plp
	013309 60		rts

01330A	01330A 08		php
	01330B 78		sei
	01330C 67 65		rmb 6,$65
	01330E A9 00		lda #$00
	013310 8D CC 99		sta $99CC
	013313 8D CF 99		sta $99CF
	013316 8D DF 99		sta $99DF
	013319 AD 0B 86		lda $860B
	01331C 89 08		add #$08
	01331E 8D 0B 86		sta $860B
	013321 A2 00		ldx #$00
013323	013323 BD 25 86		lda $8625,x
	013326 20 8F 48		jsr $488F
	013329 EE DF 99		inc $99DF
	01332C AE DF 99		ldx $99DF
	01332F EC 0B 86		cpx $860B
	013332 D0 EF		bne $013323
	013334 28		plp
	013335 60		rts

013336	013336 CF 88 0A		bbs 4,$88,$013343
	013339 FF 5D 07		bbs 7,$5D,$013343
	01333C 20 49 36		jsr $3649
	01333F FF 87 16		bbs 7,$87,$013358
	013342 60		rts

013343	013343 A9 02		lda #$02
	013345 8D B9 99		sta $99B9
	013348 A9 00		lda #$00
	01334A 8D D4 99		sta $99D4
	01334D 60		rts

01334E	01334E 20 5F 38		jsr $385F
	013351 20 05 38		jsr $3805
	013354 20 58 33		jsr $3358
	013357 60		rts

013358	013358 E7 6E		smb 6,$6E
	01335A 20 B8 2F		jsr $2FB8
	01335D D7 80		smb 5,$80
	01335F B2 50 AA		sti #$50'P',$AA
	013362 6F 85 03		bbr 6,$85,$013368
	013365 B2 51 AA		sti #$51'Q',$AA
013368	013368 B2 45 AB		sti #$45'E',$AB
	01336B 2F 58 0B		bbr 2,$58,$013379
	01336E C7 80		smb 4,$80
	013370 B2 43 AB		sti #$43'C',$AB
	013373 BF 84 03		bbs 3,$84,$013379
	013376 B2 42 AB		sti #$42'B',$AB
013379	013379 20 C4 59		jsr $59C4
	01337C 17 59		rmb 1,$59
	01337E A9 4E		lda #$4E'N'
	013380 8D 69 02		sta $0269
	013383 A9 08		lda #$08
	013385 8D 6A 02		sta $026A
	013388 97 59		smb 1,$59
	01338A A9 01		lda #$01
	01338C 8D B9 99		sta $99B9
	01338F AD 88 03		lda $0388
	013392 8D 30 02		sta $0230
	013395 AD 89 03		lda $0389
	013398 8D 31 02		sta $0231
	01339B 77 5F		rmb 7,5F
	01339D 60		rts

01339E	01339E AD D4 99		lda $99D4
	0133A1 0A		asl a
	0133A2 AA		tax
	0133A3 7C A6 33		jmp $33A6,x

0133A6	0133A6 B0 33		bcs $0133db
	0133A8 D0 33		bne $0133dd
	0133AA D6 33		dec $33,x		;Cx9	chip select fast/slow
	0133AC FE 33 0E		inc $0E33,x
	0133AF 34		???			;undocumented opcode
	0133B0 AD 60 86		lda $8660
	0133B3 A0 00		ldy #$00
	0133B5 8C 60 86		sty $8660
	0133B8 C9 48		cmp #$48'H'
	0133BA F0 61		beq $01341d
	0133BC CF 88 06		bbs 4,$88,$0133c5
	0133BF 0F 51 03		bbr 0,$51,$0133c5
	0133C2 4C 31 34		jmp $3431

0133C5	0133C5 A9 05		lda #$05
	0133C7 8D 24 01		sta $0124
	0133CA A9 03		lda #$03
	0133CC 85 A9		sta $A9
	0133CE 80 4D		bra $01341d

0133D0	0133D0 A9 02		lda #$02
	0133D2 8D D4 99		sta $99D4
	0133D5 60		rts

0133D6	0133D6 A9 00		lda #$00
	0133D8 8D 60 86		sta $8660
0133DB	0133DB A9 C8		lda #$C8
0133DD	0133DD 8D 10 02		sta $0210
	0133E0 A9 00		lda #$00
	0133E2 8D 11 02		sta $0211
	0133E5 77 5D		rmb 7,5D
	0133E7 20 1B 36		jsr $361B
	0133EA B0 04		bcs $0133f0
	0133EC A9 04		lda #$04
	0133EE 80 0A		bra $0133fa

0133F0	0133F0 A9 FF		lda #$FF
	0133F2 8D A8 99		sta $99A8
	0133F5 20 69 3C		jsr $3C69
	0133F8 A9 03		lda #$03
0133FA	0133FA 8D D4 99		sta $99D4
	0133FD 60		rts

0133FE	0133FE FF 5D 04		bbs 7,$5D,$013405
	013401 6F 87 01		bbr 6,$87,$013405
	013404 60		rts

013405	013405 A2 01		ldx #$01
	013407 20 AB F2		jsr $F2AB
	01340A 20 17 34		jsr $3417
	01340D 60		rts

01340E	01340E FF 5D F4		bbs 7,$5D,$013405
	013411 20 1B 36		jsr $361B
	013414 B0 DA		bcs $0133f0
	013416 60		rts

013417	013417 9F 65 03		bbs 1,$65,$01341d
	01341A B2 03 A9		sti #$03,$A9
01341D	01341D 20 81 34		jsr $3481
	013420 20 72 F4		jsr $F472
	013423 20 62 F4		jsr $F462
	013426 67 57		rmb 6,$57
	013428 A9 48		lda #$48'H'
	01342A 85 AC		sta $AC
	01342C B7 57		smb 3,$57
	01342E D7 67		smb 5,$67
	013430 60		rts

013431	013431 20 81 34		jsr $3481
	013434 08		php
	013435 78		sei
	013436 67 57		rmb 6,$57
	013438 20 72 F4		jsr $F472
	01343B A9 68		lda #$68'h'
	01343D 8D 6F 02		sta $026F
	013440 A9 09		lda #$09
	013442 8D 70 02		sta $0270
	013445 A9 89		lda #$89
	013447 8D 72 02		sta $0272
	01344A A9 09		lda #$09
	01344C 8D 73 02		sta $0273
	01344F 20 E5 F3		jsr $F3E5
	013452 20 67 F4		jsr $F467
	013455 28		plp
	013456 57 80		rmb 5,$80
	013458 47 80		rmb 4,$80
	01345A B2 46 AA		sti #$46'F',$AA
	01345D F7 65		smb 7,$65
	01345F 1F 51 07		bbr 1,$51,$013469
	013462 77 65		rmb 7,65
	013464 20 C4 59		jsr $59C4
	013467 80 11		bra $01347a

013469	013469 B2 46 A9		sti #$46'F',$A9
	01346C 20 D2 E0		jsr $E0D2
	01346F 5A		phy
	013470 20 8C 5C		jsr $5C8C
	013473 68		pla
	013474 8D 5B 04		sta $045B
	013477 20 6D FD		jsr $FD6D
01347A	01347A 20 C0 E0		jsr $E0C0
	01347D 20 DA FD		jsr $FDDA
	013480 60		rts

013481	013481 A9 00		lda #$00
	013483 8D 37 9A		sta $9A37
	013486 8D 38 9A		sta $9A38
	013489 8D 47 9A		sta $9A47
	01348C 8D 46 9A		sta $9A46
	01348F 8D 3D 9A		sta $9A3D
	013492 8D 3A 9A		sta $9A3A
	013495 8D 3C 9A		sta $9A3C
	013498 8D 39 9A		sta $9A39
	01349B 8D 3B 9A		sta $9A3B
	01349E 85 89		sta $89
	0134A0 57 64		rmb 5,$64
	0134A2 67 85		rmb 6,$85
	0134A4 60		rts

0134A5	0134A5 9F 8B 41		bbs 1,$8B,$0134e9
	0134A8 AD 99 99		lda $9999
	0134AB F0 15		beq $0134c2
	0134AD C5 DA		cmp $DA
	0134AF D0 11		bne $0134c2
	0134B1 AD 98 99		lda $9998
	0134B4 C5 D9		cmp $D9
	0134B6 D0 0A		bne $0134c2
	0134B8 A9 00		lda #$00
	0134BA 8D 98 99		sta $9998
	0134BD 8D 99 99		sta $9999
	0134C0 80 4C		bra $01350e

0134C2	0134C2 7F 62 24		bbr 7,$62,$0134e9
	0134C5 77 62		rmb 7,62
	0134C7 AD A9 99		lda $99A9
	0134CA C9 01		cmp #$01
	0134CC F0 1B		beq $0134e9
	0134CE A5 54		lda $54
	0134D0 29 38		and #$38'8'
	0134D2 4A		lsr a
	0134D3 4A		lsr a
	0134D4 4A		lsr a
	0134D5 29 04		and #$04
	0134D7 F0 35		beq $01350e
	0134D9 AD 99 99		lda $9999
	0134DC D0 0B		bne $0134e9
	0134DE A5 DB		lda $DB
	0134E0 8D 98 99		sta $9998
	0134E3 A5 DC		lda $DC
	0134E5 8D 99 99		sta $9999
	0134E8 60		rts

0134E9	0134E9 CF 8B 03		bbs 4,$8B,$0134ef
	0134EC 20 11 35		jsr $3511
0134EF	0134EF 3F 85 18		bbr 3,$85,$01350a
	0134F2 AD 3F 9A		lda $9A3F
	0134F5 F0 03		beq $0134fa
	0134F7 4C E0 44		jmp $44E0

0134FA	0134FA 0F 60 0D		bbr 0,$60,$01350a
	0134FD AD 6B 9A		lda $9A6B
	013500 0D 6C 9A		ora $9A6C
	013503 D0 05		bne $01350a
	013505 A9 0A		lda #$0A
	013507 8D 3F 9A		sta $9A3F
01350A	01350A 20 49 36		jsr $3649
	01350D 60		rts

01350E	01350E D7 8B		smb 5,$8B
	013510 60		rts

013511	013511 AD 94 99		lda $9994
	013514 85 40		sta $40
	013516 AD 95 99		lda $9995
	013519 85 41		sta $41
	01351B A5 41		lda $41
	01351D C9 07		cmp #$07
	01351F D0 04		bne $013525
	013521 A5 40		lda $40
	013523 C9 F6		cmp #$F6
013525	013525 B0 31		bcs $013558
	013527 2F 58 26		bbr 2,$58,$013550
	01352A A2 04		ldx #$04
	01352C A5 B7		lda $B7
	01352E 05 B8		ora $B8
	013530 D0 02		bne $013534
	013532 A2 01		ldx #$01
013534	013534 DA		phx
	013535 BF 84 05		bbs 3,$84,$01353d
	013538 20 B1 67		jsr $67B1
	01353B 80 03		bra $013540

01353D	01353D 20 2D 08		jsr $082D
013540	013540 5F 6A 08		bbr 5,$6A,$01354b
	013543 57 6A		rmb 5,$6A
	013545 AD 5C 86		lda $865C
	013548 20 B2 35		jsr $35B2
01354B	01354B FA		plx
	01354C CA		dex
	01354D D0 E5		bne $013534
	01354F 60		rts

013550	013550 20 D4 1B		jsr $1BD4
	013553 B0 03		bcs $013558
	013555 20 B2 35		jsr $35B2
013558	013558 60		rts

013559	013559 20 0F 4F		jsr $4F0F
	01355C AD 37 9A		lda $9A37
	01355F F0 03		beq $013564
	013561 20 DC 52		jsr $52DC
013564	013564 CF 8B 4A		bbs 4,$8B,$0135b1
	013567 DF 74 47		bbs 5,$74,$0135b1
	01356A AF 73 44		bbs 2,$73,$0135b1
	01356D 2F 58 31		bbr 2,$58,$0135a1
	013570 A2 04		ldx #$04
	013572 AD 92 99		lda $9992
	013575 0D 93 99		ora $9993
	013578 D0 02		bne $01357c
	01357A A2 01		ldx #$01
01357C	01357C DA		phx
	01357D CF 6A 11		bbs 4,$6A,$013591
	013580 20 D7 35		jsr $35D7
	013583 B0 07		bcs $01358c
	013585 C9 00		cmp #$00
	013587 F0 08		beq $013591
	013589 FA		plx
	01358A 80 1E		bra $0135aa

01358C	01358C 8D 5B 86		sta $865B
	01358F C7 6A		smb 4,$6A
013591	013591 BF 84 05		bbs 3,$84,$013599
	013594 20 87 69		jsr $6987
	013597 80 03		bra $01359c

013599	013599 20 54 08		jsr $0854
01359C	01359C FA		plx
	01359D CA		dex
	01359E D0 DC		bne $01357c
	0135A0 60		rts

0135A1	0135A1 20 D7 35		jsr $35D7
	0135A4 90 04		bcc $0135aa
	0135A6 20 19 1C		jsr $1C19
	0135A9 60		rts

0135AA	0135AA C9 00		cmp #$00
	0135AC F0 03		beq $0135b1
	0135AE 20 DC 39		jsr $39DC
0135B1	0135B1 60		rts

0135B2	0135B2 81 DB		sta ($DB)
	0135B4 A6 DB		ldx $DB
	0135B6 A4 DC		ldy $DC
	0135B8 E8		inx
	0135B9 D0 01		bne $0135bc
	0135BB C8		iny
0135BC	0135BC E0 92		cpx #$92
	0135BE D0 08		bne $0135c8
	0135C0 C0 97		cpy #$97
	0135C2 D0 04		bne $0135c8
	0135C4 A2 92		ldx #$92
	0135C6 A0 8F		ldy #$8F
0135C8	0135C8 78		sei
	0135C9 86 DB		stx $DB
	0135CB 84 DC		sty $DC
	0135CD EE 94 99		inc $9994
	0135D0 D0 03		bne $0135d5
	0135D2 EE 95 99		inc $9995
0135D5	0135D5 58		cli
	0135D6 60		rts

0135D7	0135D7 A6 D5		ldx $D5
	0135D9 A4 D6		ldy $D6
	0135DB 4F 86 0E		bbr 4,$86,$0135ec
	0135DE EC 96 99		cpx $9996
	0135E1 D0 09		bne $0135ec
	0135E3 CC 97 99		cpy $9997
	0135E6 D0 04		bne $0135ec
	0135E8 A9 FF		lda #$FF
	0135EA 80 2D		bra $013619

0135EC	0135EC 78		sei
	0135ED AD 92 99		lda $9992
	0135F0 D0 0B		bne $0135fd
	0135F2 0D 93 99		ora $9993
	0135F5 D0 03		bne $0135fa
	0135F7 58		cli
	0135F8 80 1F		bra $013619

0135FA	0135FA CE 93 99		dec $9993
0135FD	0135FD CE 92 99		dec $9992
	013600 58		cli
	013601 A1 D5		lda ($D5)
	013603 E8		inx
	013604 D0 01		bne $013607
	013606 C8		iny
013607	013607 E0 92		cpx #$92
	013609 D0 08		bne $013613
	01360B C0 8F		cpy #$8F
	01360D D0 04		bne $013613
	01360F A2 92		ldx #$92
	013611 A0 87		ldy #$87
013613	013613 86 D5		stx $D5
	013615 84 D6		sty $D6
	013617 38		sec
	013618 60		rts

013619	013619 18		clc
	01361A 60		rts

01361B	01361B 1F 6C 10		bbr 1,$6C,$01362e
	01361E EF 88 26		bbs 6,$88,$013647
	013621 67 87		rmb 6,$87
	013623 E7 88		smb 6,$88
	013625 20 E4 46		jsr $46E4
	013628 37 8B		rmb 3,$8B
	01362A 27 87		rmb 2,$87
	01362C 80 19		bra $013647

01362E	01362E 6F 88 09		bbr 6,$88,$01363a
	013631 67 88		rmb 6,$88
	013633 97 85		smb 1,$85
	013635 87 8B		smb 0,$8B
	013637 20 21 46		jsr $4621
01363A	01363A EF 87 0A		bbs 6,$87,$013647
	01363D DF 87 05		bbs 5,$87,$013645
	013640 20 67 FA		jsr $FA67
	013643 F0 02		beq $013647
013645	013645 38		sec
	013646 60		rts

013647	013647 18		clc
	013648 60		rts

013649	013649 20 1B 36		jsr $361B
	01364C B0 01		bcs $01364f
	01364E 60		rts

01364F	01364F A9 00		lda #$00
	013651 8D A7 99		sta $99A7
	013654 27 88		rmb 2,$88
	013656 A0 FE		ldy #$FE
	013658 1F 5E 1C		bbr 1,$5E,$013677
	01365B 20 BD 46		jsr $46BD
	01365E A0 00		ldy #$00
	013660 EE B8 99		inc $99B8
	013663 AD B8 99		lda $99B8
	013666 CD E5 99		cmp $99E5
	013669 B0 0C		bcs $013677
	01366B A0 FF		ldy #$FF
	01366D AD C0 99		lda $99C0
	013670 CD 9B 99		cmp $999B
	013673 F0 02		beq $013677
	013675 A7 88		smb 2,$88
013677	013677 20 DF 36		jsr $36DF
	01367A C0 FE		cpy #$FE
	01367C D0 22		bne $0136a0
	01367E AE D1 99		ldx $99D1
	013681 BD 4E 99		lda $994E,x
	013684 D0 16		bne $01369c
	013686 1F 86 08		bbr 1,$86,$013691
	013689 78		sei
	01368A 17 86		rmb 1,$86
	01368C 58		cli
	01368D A0 04		ldy #$04
	01368F 80 0F		bra $0136a0

013691	013691 3F 86 0C		bbr 3,$86,$0136a0
	013694 78		sei
	013695 37 86		rmb 3,$86
	013697 58		cli
	013698 A0 05		ldy #$05
	01369A 80 04		bra $0136a0

01369C	01369C 8D A7 99		sta $99A7
	01369F A8		tay
0136A0	0136A0 98		tya
	0136A1 89 02		add #$02
	0136A3 0A		asl a
	0136A4 AA		tax
	0136A5 B1 DF		lda ($DF),x
	0136A7 A8		tay
	0136A8 B9 E6 36		lda $36E6,y
	0136AB 85 40		sta $40
	0136AD B9 E7 36		lda $36E7,y
	0136B0 85 41		sta $41
	0136B2 E8		inx
	0136B3 B1 DF		lda ($DF),x
	0136B5 F0 0D		beq $0136c4
	0136B7 A8		tay
	0136B8 B9 04 37		lda $3704,y
	0136BB 8D CA 99		sta $99CA
	0136BE B9 05 37		lda $3705,y
	0136C1 8D CB 99		sta $99CB
0136C4	0136C4 20 E2 36		jsr $36E2
	0136C7 AD A7 99		lda $99A7
	0136CA F0 12		beq $0136de
	0136CC AE D1 99		ldx $99D1
	0136CF 78		sei
	0136D0 A9 00		lda #$00
	0136D2 9D 4E		sta $4E,x
	0136D4 99 58		sta $58,y
	0136D6 8A		txa
	0136D7 89 01		add #$01
	0136D9 29 03		and #$03
	0136DB 8D D1 99		sta $99D1
0136DE	0136DE 60		rts

0136DF	0136DF 6C CA 99		jmp ($99CA)

0136E2	0136E2 6C 40 00		jmp ($0040)

0136E5	0136E5 60		rts

0136E6	0136E6 E5 36		sbc $36			;Cx9 PAUL, PAB-PALL
	0136E8 5A		phy
	0136E9 38		sec
	0136EA 5F 38 5F		bbr 5,$38,$01374c	;Cx9	serial I/O buffers
	0136ED 3A		asr a
	0136EE 80 3C		bra $01372c

0136F0	0136F0 F3		???			;undocumented opcode
	0136F1 39 77 39		and $3977,y
	0136F4 76 3B		ror $3B,x		;Cx9	serial line control register
	0136F6 B9 3C 8C		lda $8C3C,y
	0136F9 38		sec
	0136FA 6F 38 88		bbr 6,$38,$013685	;Cx9	serial I/O buffers
	0136FD 38		sec
	0136FE 48		pha
	0136FF 38		sec
	013700 49 3D		eor #$3D'='
	013702 3E 38 E5		rol $E538,x
	013705 36 DC		rol $DC,x
	013707 37 BD		rmb 3,$BD
	013709 37 F6		rmb 3,$F6
	01370B 37 05		rmb 3,$05		;Cx9	port B select (R/W)
	01370D 38		sec
	01370E 9C		???			;undocumented opcode
	01370F 37 A2		rmb 3,$A2
	013711 37 A8		rmb 3,$A8
	013713 37 AE		rmb 3,$AE
	013715 37 B7		rmb 3,$B7
	013717 37 00		rmb 3,$00		;Cx9	port A (bidirectional)
	013719 00		brk
	01371A 1A		neg a
	01371B 00		brk
	01371C 00		brk
	01371D 00		brk
	01371E 1C		???			;undocumented opcode
	01371F 04		???			;undocumented opcode
	013720 10 06		bpl $013728
	013722 00		brk
	013723 00		brk
	013724 00		brk
	013725 00		brk
	013726 00		brk
	013727 00		brk
013728	013728 00		brk
	013729 00		brk
	01372A 00		brk
	01372B 00		brk
01372C	01372C 00		brk
	01372D 00		brk
	01372E 00		brk
	01372F 00		brk
	013730 00		brk
	013731 00		brk
	013732 00		brk
	013733 00		brk
	013734 18		clc
	013735 00		brk
	013736 10 06		bpl $01373e
	013738 00		brk
	013739 00		brk
	01373A 00		brk
	01373B 00		brk
	01373C 02		mpy
	01373D 08		php
01373E	01373E 00		brk
	01373F 00		brk
	013740 00		brk
	013741 00		brk
	013742 00		brk
	013743 00		brk
	013744 00		brk
	013745 00		brk
	013746 04		???			;undocumented opcode
	013747 08		php
	013748 00		brk
	013749 00		brk
	01374A 00		brk
	01374B 00		brk
01374C	01374C 10 06		bpl $013754
	01374E 00		brk
	01374F 00		brk
	013750 04		???			;undocumented opcode
	013751 08		php
	013752 04		???			;undocumented opcode
	013753 08		php
013754	013754 00		brk
	013755 00		brk
	013756 00		brk
	013757 00		brk
	013758 00		brk
	013759 00		brk
	01375A 00		brk
	01375B 00		brk
	01375C 00		brk
	01375D 00		brk
	01375E 00		brk
	01375F 00		brk
	013760 00		brk
	013761 00		brk
	013762 00		brk
	013763 00		brk
	013764 00		brk
	013765 00		brk
	013766 00		brk
	013767 00		brk
	013768 00		brk
	013769 00		brk
	01376A 00		brk
	01376B 00		brk
	01376C 00		brk
	01376D 00		brk
	01376E 00		brk
	01376F 00		brk
	013770 0E 00 12		asl $1200
	013773 00		brk
	013774 00		brk
	013775 06 06		asl $06			;Cx9	port C direction (W)
	013777 00		brk
	013778 10 06		bpl $013780
	01377A 06 00		asl $00			;Cx9	port A (bidirectional)
	01377C 14		???			;undocumented opcode
	01377D 00		brk
	01377E 16 00		asl $00,x		;Cx9	port A (bidirectional)
013780	013780 0C 00 00		jpi ($0000)		;Cx9	port A (bidirectional)
	013783 00		brk
	013784 00		brk
	013785 00		brk
	013786 00		brk
	013787 00		brk
	013788 08		php
	013789 00		brk
	01378A 00		brk
	01378B 06 00		asl $00			;Cx9	port A (bidirectional)
	01378D 00		brk
	01378E 10 06		bpl $013796
	013790 00		brk
	013791 00		brk
	013792 00		brk
	013793 00		brk
	013794 00		brk
	013795 00		brk
013796	013796 0C 00 0A		jpi ($0A00)
	013799 10 00		bpl $01379b
01379B	01379B 00		brk
	01379C A9 18		lda #$18
	01379E A2 37		ldx #$37'7'
	0137A0 80 4F		bra $0137f1

0137A2	0137A2 A9 2E		lda #$2E'.'
	0137A4 A2 37		ldx #$37'7'
	0137A6 80 49		bra $0137f1

0137A8	0137A8 A9 44		lda #$44'D'
	0137AA A2 37		ldx #$37'7'
	0137AC 80 43		bra $0137f1

0137AE	0137AE DF 8B 71		bbs 5,$8B,$013822
	0137B1 A9 70		lda #$70'p'
	0137B3 A2 37		ldx #$37'7'
	0137B5 80 3A		bra $0137f1

0137B7	0137B7 A9 86		lda #$86
	0137B9 A2 37		ldx #$37'7'
	0137BB 80 34		bra $0137f1

0137BD	0137BD 20 5F 3A		jsr $3A5F
	0137C0 A9 A8		lda #$A8
	0137C2 8D CA 99		sta $99CA
	0137C5 A9 37		lda #$37'7'
	0137C7 8D CB 99		sta $99CB
	0137CA 97 5E		smb 1,$5E
	0137CC A9 0A		lda #$0A
	0137CE 8D 14 02		sta $0214
	0137D1 A9 00		lda #$00
	0137D3 8D 15 02		sta $0215
	0137D6 17 5E		rmb 1,$5E
	0137D8 A0 FE		ldy #$FE
	0137DA 80 CC		bra $0137a8

0137DC	0137DC A0 FF		ldy #$FF
	0137DE A9 00		lda #$00
	0137E0 8D B8 99		sta $99B8
	0137E3 A9 9C		lda #$9C
	0137E5 8D CA 99		sta $99CA
	0137E8 A9 37		lda #$37'7'
	0137EA 8D CB 99		sta $99CB
	0137ED A9 18		lda #$18
	0137EF A2 37		ldx #$37'7'
0137F1	0137F1 85 DF		sta $DF
	0137F3 86 E0		stx $E0
	0137F5 60		rts

0137F6	0137F6 7F 87 04		bbr 7,$87,$0137fd
	0137F9 B7 88		smb 3,$88
	0137FB 80 02		bra $0137ff

0137FD	0137FD C7 88		smb 4,$88
0137FF	0137FF A9 5A		lda #$5A'Z'
	013801 A2 37		ldx #$37'7'
	013803 80 EC		bra $0137f1

013805	013805 A9 00		lda #$00
	013807 8D B8 99		sta $99B8
	01380A 1F 5E 03		bbr 1,$5E,$013810
	01380D 20 BD 46		jsr $46BD
013810	013810 F7 87		smb 7,$87
	013812 A9 AE		lda #$AE
	013814 8D CA 99		sta $99CA
	013817 A9 37		lda #$37'7'
	013819 8D CB 99		sta $99CB
	01381C A9 70		lda #$70'p'
	01381E A2 37		ldx #$37'7'
	013820 80 CF		bra $0137f1

013822	013822 A0 FF		ldy #$FF
	013824 20 BD 46		jsr $46BD
	013827 A9 00		lda #$00
	013829 8D B8 99		sta $99B8
	01382C 57 8B		rmb 5,$8B
	01382E A9 B7		lda #$B7
	013830 8D CA 99		sta $99CA
	013833 A9 37		lda #$37'7'
	013835 8D CB 99		sta $99CB
	013838 A9 86		lda #$86
	01383A A2 37		ldx #$37'7'
	01383C 80 B3		bra $0137f1

01383E	01383E 20 50 3E		jsr $3E50
	013841 20 4E 38		jsr $384E
	013844 20 5F 3A		jsr $3A5F
	013847 60		rts

013848	013848 20 50 3E		jsr $3E50
	01384B 20 84 3D		jsr $3D84
	01384E A7 89		smb 2,$89
	013850 AD AE 99		lda $99AE
	013853 29 02		and #$02
	013855 D0 02		bne $013859
	013857 27 89		rmb 2,$89
013859	013859 60		rts

01385A	01385A A2 01		ldx #$01
	01385C 20 AB F2		jsr $F2AB
	01385F 20 21 46		jsr $4621
	013862 20 48 45		jsr $4548
	013865 20 CF 38		jsr $38CF
	013868 20 BD 46		jsr $46BD
	01386B 20 CF 46		jsr $46CF
	01386E 60		rts

01386F	01386F 20 1E 3A		jsr $3A1E
	013872 90 10		bcc $013884
	013874 20 76 3B		jsr $3B76
	013877 EF 87 0D		bbs 6,$87,$013887
	01387A AD DC 99		lda $99DC
	01387D 89 01		add #$01
	01387F CD 9A 99		cmp $999A
	013882 F0 03		beq $013887
013884	013884 20 5F 3A		jsr $3A5F
013887	013887 60		rts

013888	013888 20 76 3B		jsr $3B76
	01388B 60		rts

01388C	01388C 20 76 3B		jsr $3B76
	01388F 60		rts

013890	013890 08		php
	013891 78		sei
	013892 D7 87		smb 5,$87
	013894 47 59		rmb 4,$59
	013896 A9 42		lda #$42'B'
	013898 8D 72 02		sta $0272
	01389B A9 E3		lda #$E3
	01389D 8D 73 02		sta $0273
	0138A0 C7 59		smb 4,$59
	0138A2 37 59		rmb 3,$59
	0138A4 A9 3F		lda #$3F'?'
	0138A6 8D 6F 02		sta $026F
	0138A9 A9 E3		lda #$E3
	0138AB 8D 70 02		sta $0270
	0138AE B7 59		smb 3,$59
	0138B0 A9 03		lda #$03
	0138B2 20 8A FA		jsr $FA8A
	0138B5 A9 01		lda #$01
	0138B7 20 AC FA		jsr $FAAC
	0138BA C2 08 06 06	rba $08,$0606		;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
	0138BE 20 E5 F3		jsr $F3E5
	0138C1 D2 01 08 06	sba $01,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	0138C5 D2 04 1E 06	sba $04,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	0138C9 C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	0138CD 28		plp
	0138CE 60		rts

0138CF	0138CF AD AA 99		lda $99AA
	0138D2 C9 03		cmp #$03
	0138D4 B0 02		bcs $0138d8
	0138D6 80 06		bra $0138de

0138D8	0138D8 DF 87 01		bbs 5,$87,$0138dc
	0138DB 60		rts

0138DC	0138DC 57 87		rmb 5,$87
0138DE	0138DE 20 72 F4		jsr $F472
	0138E1 AD AA 99		lda $99AA
	0138E4 C9 03		cmp #$03
	0138E6 B0 01		bcs $0138e9
	0138E8 60		rts

0138E9	0138E9 08		php
	0138EA 78		sei
	0138EB 37 59		rmb 3,$59
	0138ED A9 26		lda #$26'&'
	0138EF 8D 6F 02		sta $026F
	0138F2 A9 09		lda #$09
	0138F4 8D 70 02		sta $0270
	0138F7 B7 59		smb 3,$59
	0138F9 47 59		rmb 4,$59
	0138FB A9 05		lda #$05
	0138FD 8D 72 02		sta $0272
	013900 A9 09		lda #$09
	013902 8D 73 02		sta $0273
	013905 C7 59		smb 4,$59
	013907 A0 00		ldy #$00
	013909 20 36 F4		jsr $F436
	01390C A2 02		ldx #$02
	01390E 20 C5 E1		jsr $E1C5
	013911 D2 10 04 06	sba $10,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	013915 A9 A5		lda #$A5
	013917 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
01391A	01391A A9 83		lda #$83
	01391C 8D 1D 06		sta $061D		;DPi MEACC/MEMW/MEMCR/addr bits 8-11
01391F	01391F F2 1D 06 80 FB	bas $061D,$80,$01391f	;DPi MEACC/MEMW/MEMCR/addr bits 8-11
	013924 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	013927 09 40		ora #$40'@'
	013929 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	01392C A9 A5		lda #$A5
	01392E 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	013931 A9 A3		lda #$A3
	013933 8D 1D 06		sta $061D		;DPi MEACC/MEMW/MEMCR/addr bits 8-11
013936	013936 F2 1D 06 80 FB	bas $061D,$80,$013936	;DPi MEACC/MEMW/MEMCR/addr bits 8-11
	01393B D2 01 08 06	sba $01,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	01393F D2 04 1E 06	sba $04,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	013943 C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	013947 28		plp
	013948 60		rts

013949	013949 6E 98 73		ror $7398
	01394C 98		tya
	01394D 78		sei
	01394E 98		tya
	01394F 7D 98 82		adc $8298,x
	013952 98		tya
	013953 87 98		smb 0,$98
	013955 8C 98 91		sty $9198
	013958 98		tya
	013959 96 98		stx $98,y
	01395B 9B		lii
	01395C 98		tya
	01395D A0 98		ldy #$98
	01395F A5 98		lda $98
	013961 AA		tax
	013962 98		tya
	013963 AF 98 B4		bbs 2,$98,$01391a
	013966 98		tya
	013967 B9 98 8A		lda $8A98,y
	01396A 0A		asl a
	01396B AA		tax
	01396C BD 49 39		lda $3949,x
	01396F 85 E5		sta $E5
	013971 BD 4A 39		lda $394A,x
	013974 85 E6		sta $E6
	013976 60		rts

013977	013977 20 BC 47		jsr $47BC
	01397A A2 04		ldx #$04
	01397C B1 DD		lda ($DD),x
	01397E CD 9C 99		cmp $999C
	013981 D0 3E		bne $0139c1
	013983 EE 9C 99		inc $999C
	013986 AD A9 99		lda $99A9
	013989 C9 01		cmp #$01
	01398B F0 34		beq $0139c1
	01398D A2 07		ldx #$07
	01398F B1 DD		lda ($DD),x
	013991 29 03		and #$03
	013993 0A		asl a
	013994 AA		tax
	013995 7C 98 39		jmp $3998,x

013998	013998 C1 39		cmp ($39)		;Cx9	serial interrupt enable
	01399A A0 39		ldy #$39'9'
	01399C B0 39		bcs $0139d7
	01399E B4 39		ldy $39,x		;Cx9	serial interrupt enable
	0139A0 20 BA 41		jsr $41BA
	0139A3 20 A2 41		jsr $41A2
	0139A6 20 D3 40		jsr $40D3
	0139A9 20 F8 40		jsr $40F8
	0139AC A9 01		lda #$01
	0139AE 80 0E		bra $0139be

0139B0	0139B0 A9 02		lda #$02
	0139B2 80 0A		bra $0139be

0139B4	0139B4 AD 92 99		lda $9992
	0139B7 0D 93 99		ora $9993
	0139BA D0 09		bne $0139c5
	0139BC A9 04		lda #$04
0139BE	0139BE 20 E0 39		jsr $39E0
0139C1	0139C1 20 51 3C		jsr $3C51
	0139C4 60		rts

0139C5	0139C5 C7 86		smb 4,$86
	0139C7 78		sei
	0139C8 AD 97 99		lda $9997
	0139CB D0 0A		bne $0139d7
	0139CD A5 D7		lda $D7
	0139CF 8D 96 99		sta $9996
	0139D2 A5 D8		lda $D8
	0139D4 8D 97 99		sta $9997
0139D7	0139D7 58		cli
	0139D8 20 51 3C		jsr $3C51
	0139DB 60		rts

0139DC	0139DC 47 86		rmb 4,$86
	0139DE A9 04		lda #$04
	0139E0 8D C7 99		sta $99C7
	0139E3 78		sei
	0139E4 C7 62		smb 4,$62
	0139E6 20 19 1C		jsr $1C19
	0139E9 58		cli
	0139EA A9 00		lda #$00
	0139EC 8D 96 99		sta $9996
	0139EF 8D 97 99		sta $9997
	0139F2 60		rts

0139F3	0139F3 20 BC 47		jsr $47BC
	0139F6 A2 04		ldx #$04
	0139F8 B1 DD		lda ($DD),x
	0139FA CD 9D 99		cmp $999D
	0139FD D0 1E		bne $013a1d
	0139FF EE 9D 99		inc $999D
	013A02 17 8B		rmb 1,$8B
	013A04 A5 54		lda $54
	013A06 29 38		and #$38'8'
	013A08 4A		lsr a
	013A09 4A		lsr a
	013A0A 4A		lsr a
	013A0B 29 06		and #$06
	013A0D D0 0E		bne $013a1d
	013A0F 47 8B		rmb 4,$8B
	013A11 20 BA 41		jsr $41BA
	013A14 20 A2 41		jsr $41A2
	013A17 20 D3 40		jsr $40D3
	013A1A 20 F8 40		jsr $40F8
013A1D	013A1D 60		rts

013A1E	013A1E AD 94 99		lda $9994
	013A21 0D 95 99		ora $9995
	013A24 D0 0C		bne $013a32
	013A26 A9 64		lda #$64'd'
	013A28 8D 8E 9A		sta $9A8E
	013A2B A9 00		lda #$00
	013A2D 8D 8F 9A		sta $9A8F
	013A30 07 60		rmb 0,$60
013A32	013A32 AD 88 03		lda $0388
	013A35 8D 30 02		sta $0230
	013A38 AD 89 03		lda $0389
	013A3B 8D 31 02		sta $0231
	013A3E 77 5F		rmb 7,5F
	013A40 AD DC 99		lda $99DC
	013A43 89 02		add #$02
	013A45 CD 9A 99		cmp $999A
	013A48 D0 05		bne $013a4f
	013A4A 20 CF 46		jsr $46CF
	013A4D 38		sec
	013A4E 60		rts

013A4F	013A4F AD 9A 99		lda $999A
	013A52 38		sec
	013A53 ED DC 99		sbc $99DC
	013A56 85 40		sta $40
	013A58 AD A0 99		lda $99A0
	013A5B 4A		lsr a
	013A5C C5 40		cmp $40
	013A5E 60		rts

013A5F	013A5F 07 8B		rmb 0,$8B
	013A61 20 CF 46		jsr $46CF
	013A64 1F 88 04		bbr 1,$88,$013a6b
	013A67 9F 89 01		bbs 1,$89,$013a6b
	013A6A 60		rts

013A6B	013A6B AE 9A 99		ldx $999A
	013A6E CA		dex
	013A6F 8E DC 99		stx $99DC
	013A72 B2 00 40		sti #$00,$40
	013A75 B2 08 41		sti #$08,$41
	013A78 38		sec
	013A79 A5 40		lda $40
	013A7B ED 92 99		sbc $9992
	013A7E 85 40		sta $40
	013A80 A5 41		lda $41
	013A82 ED 93 99		sbc $9993
	013A85 85 41		sta $41
	013A87 A5 40		lda $40
	013A89 E9 0A		sbc #$0A
	013A8B 85 40		sta $40
	013A8D A5 41		lda $41
	013A8F E9 00		sbc #$00
	013A91 85 41		sta $41
	013A93 A2 FF		ldx #$FF
013A95	013A95 E8		inx
	013A96 38		sec
	013A97 A5 40		lda $40
	013A99 ED A1 99		sbc $99A1
	013A9C 85 40		sta $40
	013A9E A5 41		lda $41
	013AA0 ED A2 99		sbc $99A2
	013AA3 85 41		sta $41
	013AA5 10 EE		bpl $013a95
	013AA7 EC A0 99		cpx $99A0
	013AAA 90 03		bcc $013aaf
	013AAC AE A0 99		ldx $99A0
013AAF	013AAF 86 41		stx $41
	013AB1 AE DC 99		ldx $99DC
	013AB4 86 40		stx $40
	013AB6 3F 85 1B		bbr 3,$85,$013ad4
	013AB9 1F 89 06		bbr 1,$89,$013ac2
	013ABC 17 89		rmb 1,$89
	013ABE A9 00		lda #$00
	013AC0 85 41		sta $41
013AC2	013AC2 0F 89 0F		bbr 0,$89,$013ad4
	013AC5 07 89		rmb 0,$89
	013AC7 AD 4C 9A		lda $9A4C
	013ACA 85 42		sta $42
	013ACC A2 61		ldx #$61'a'
	013ACE 86 47		stx $47
	013AD0 A2 59		ldx #$59'Y'
	013AD2 80 11		bra $013ae5

013AD4	013AD4 AF 89 08		bbs 2,$89,$013adf
	013AD7 A2 2B		ldx #$2B'+'
	013AD9 86 47		stx $47
	013ADB A2 21		ldx #$21'!'
	013ADD 80 06		bra $013ae5

013ADF	013ADF A2 31		ldx #$31'1'
	013AE1 86 47		stx $47
	013AE3 A2 2B		ldx #$2B'+'
013AE5	013AE5 20 C4 3C		jsr $3CC4
	013AE8 8C E0 99		sty $99E0
	013AEB 37 8B		rmb 3,$8B
	013AED 20 E4 46		jsr $46E4
	013AF0 60		rts

013AF1	013AF1 AE BD 99		ldx $99BD
	013AF4 D0 0A		bne $013b00
	013AF6 3F 85 5F		bbr 3,$85,$013b58
	013AF9 A9 0A		lda #$0A
	013AFB 8D 3F 9A		sta $9A3F
	013AFE 80 58		bra $013b58

013B00	013B00 AD BF 99		lda $99BF
	013B03 CD 9B 99		cmp $999B
	013B06 F0 4E		beq $013b56
	013B08 29 0F		and #$0F
	013B0A AA		tax
	013B0B BD FE 98		lda $98FE,x
	013B0E F0 46		beq $013b56
	013B10 EE D5 99		inc $99D5
	013B13 3F 85 16		bbr 3,$85,$013b2c
	013B16 AD D5 99		lda $99D5
	013B19 C9 14		cmp #$14
	013B1B 90 0F		bcc $013b2c
	013B1D A9 0D		lda #$0D
	013B1F 8D 24 01		sta $0124
	013B22 A9 00		lda #$00
	013B24 8D D5 99		sta $99D5
	013B27 A9 0A		lda #$0A
	013B29 8D 3F 9A		sta $9A3F
013B2C	013B2C 20 69 39		jsr $3969
	013B2F BD 2E 99		lda $992E,x
	013B32 85 E7		sta $E7
	013B34 BD 2F 99		lda $992F,x
	013B37 85 E8		sta $E8
	013B39 BD 0E 99		lda $990E,x
	013B3C 8D DD 99		sta $99DD
	013B3F BD 0F 99		lda $990F,x
	013B42 8D DE 99		sta $99DE
	013B45 A7 87		smb 2,$87
	013B47 A1 E5		lda ($E5)
	013B49 89 01		add #$01
	013B4B 8D E0 99		sta $99E0
	013B4E 20 E4 46		jsr $46E4
	013B51 EE BF 99		inc $99BF
	013B54 80 02		bra $013b58

013B56	013B56 57 88		rmb 5,$88
013B58	013B58 AD 88 03		lda $0388
	013B5B 8D 30 02		sta $0230
	013B5E AD 89 03		lda $0389
	013B61 8D 31 02		sta $0231
	013B64 77 5F		rmb 7,5F
	013B66 A9 64		lda #$64'd'
	013B68 8D 8E 9A		sta $9A8E
	013B6B A9 00		lda #$00
	013B6D 8D 8F 9A		sta $9A8F
	013B70 07 60		rmb 0,$60
	013B72 20 BD 46		jsr $46BD
	013B75 60		rts

013B76	013B76 8F 8B 09		bbs 0,$8B,$013b82
	013B79 0F 5E 09		bbr 0,$5E,$013b85
	013B7C 3F 85 03		bbr 3,$85,$013b82
	013B7F 4C BD 44		jmp $44BD

013B82	013B82 4C 5F 3A		jmp $3A5F

013B85	013B85 3F 85 0E		bbr 3,$85,$013b96
	013B88 AD 6B 9A		lda $9A6B
	013B8B 0D 6C 9A		ora $9A6C
	013B8E F0 06		beq $013b96
	013B90 A9 00		lda #$00
	013B92 8D B8 99		sta $99B8
	013B95 60		rts

013B96	013B96 DF 88 0B		bbs 5,$88,$013ba4
	013B99 2F 88 0C		bbr 2,$88,$013ba8
	013B9C D7 88		smb 5,$88
	013B9E AD C0 99		lda $99C0
	013BA1 8D BF 99		sta $99BF
013BA4	013BA4 4C F1 3A		jmp $3AF1

013BA7	013BA7 60		rts

013BA8	013BA8 A5 DB		lda $DB
	013BAA 85 40		sta $40
	013BAC A5 DC		lda $DC
	013BAE 85 41		sta $41
	013BB0 38		sec
	013BB1 A5 40		lda $40
	013BB3 E5 D9		sbc $D9
	013BB5 85 40		sta $40
	013BB7 A5 41		lda $41
	013BB9 E5 DA		sbc $DA
	013BBB 85 41		sta $41
	013BBD A5 41		lda $41
	013BBF D0 10		bne $013bd1
	013BC1 A5 40		lda $40
	013BC3 F0 E2		beq $013ba7
	013BC5 29 F0		and #$F0
	013BC7 D0 08		bne $013bd1
	013BC9 E6 E9		inc $E9
	013BCB A5 E9		lda $E9
	013BCD 29 01		and #$01
	013BCF D0 D6		bne $013ba7
013BD1	013BD1 AE E4 99		ldx $99E4
	013BD4 F0 D1		beq $013ba7
	013BD6 AD 9B 99		lda $999B
	013BD9 29 0F		and #$0F
	013BDB AA		tax
	013BDC BD FE 98		lda $98FE,x
	013BDF D0 C6		bne $013ba7
	013BE1 AD BD 99		lda $99BD
	013BE4 F0 C1		beq $013ba7
	013BE6 20 69 39		jsr $3969
	013BE9 DA		phx
	013BEA 20 6D 45		jsr $456D
	013BED A2 00		ldx #$00
	013BEF AF 89 11		bbs 2,$89,$013c03
	013BF2 A9 04		lda #$04
	013BF4 91 E5		sta ($E5),x
	013BF6 E8		inx
	013BF7 91 E5		sta ($E5),x
	013BF9 E8		inx
	013BFA A9 01		lda #$01
	013BFC 91 E5		sta ($E5),x
	013BFE E8		inx
	013BFF 91 E5		sta ($E5),x
	013C01 80 09		bra $013c0c

013C03	013C03 A9 02		lda #$02
	013C05 91 E5		sta ($E5),x
	013C07 E8		inx
	013C08 A9 04		lda #$04
	013C0A 91 E5		sta ($E5),x
013C0C	013C0C E8		inx
	013C0D AD 9B 99		lda $999B
	013C10 91 E5		sta ($E5),x
	013C12 E8		inx
	013C13 8E E0 99		stx $99E0
	013C16 FA		plx
	013C17 A5 D9		lda $D9
	013C19 9D 2E		sta $2E,x		;Cx9 SP RAM E
	013C1B 99 85		sta $85,y
	013C1D E7 A5		smb 6,$A5
	013C1F DA		phx
	013C20 9D 2F		sta $2F,x		;Cx9	host handshake register
	013C22 99 85		sta $85,y
	013C24 E8		inx
	013C25 AD DA 99		lda $99DA
	013C28 8D DD 99		sta $99DD
	013C2B AD DB 99		lda $99DB
	013C2E 8D DE 99		sta $99DE
	013C31 B7 8B		smb 3,$8B
	013C33 20 E4 46		jsr $46E4
	013C36 AD 88 03		lda $0388
	013C39 8D 30 02		sta $0230
	013C3C AD 89 03		lda $0389
	013C3F 8D 31 02		sta $0231
	013C42 77 5F		rmb 7,5F
	013C44 A9 64		lda #$64'd'
	013C46 8D 8E 9A		sta $9A8E
	013C49 A9 00		lda #$00
	013C4B 8D 8F 9A		sta $9A8F
	013C4E 07 60		rmb 0,$60
	013C50 60		rts

013C51	013C51 AE 9C 99		ldx $999C
	013C54 CA		dex
	013C55 86 40		stx $40
	013C57 A2 41		ldx #$41'A'
	013C59 86 47		stx $47
	013C5B A2 3B		ldx #$3B';'
	013C5D 20 C4 3C		jsr $3CC4
	013C60 8C E0 99		sty $99E0
	013C63 37 8B		rmb 3,$8B
	013C65 20 E4 46		jsr $46E4
	013C68 60		rts

013C69	013C69 AD A8 99		lda $99A8
	013C6C 85 40		sta $40
	013C6E A2 21		ldx #$21'!'
	013C70 86 47		stx $47
	013C72 A2 1B		ldx #$1B
	013C74 20 C4 3C		jsr $3CC4
	013C77 8C E0 99		sty $99E0
	013C7A 37 8B		rmb 3,$8B
	013C7C 20 E4 46		jsr $46E4
	013C7F 60		rts

013C80	013C80 AD 9D 99		lda $999D
	013C83 85 40		sta $40
	013C85 A5 54		lda $54
	013C87 29 38		and #$38'8'
	013C89 4A		lsr a
	013C8A 4A		lsr a
	013C8B 4A		lsr a
	013C8C 4A		lsr a
	013C8D 89 01		add #$01
	013C8F 85 41		sta $41
	013C91 A2 3B		ldx #$3B';'
	013C93 86 47		stx $47
	013C95 A2 31		ldx #$31'1'
	013C97 20 C4 3C		jsr $3CC4
	013C9A 8C E0 99		sty $99E0
	013C9D 37 8B		rmb 3,$8B
	013C9F 20 E4 46		jsr $46E4
	013CA2 97 8B		smb 1,$8B
	013CA4 20 BD 46		jsr $46BD
	013CA7 CF 8B 0E		bbs 4,$8B,$013cb8
	013CAA A5 41		lda $41
	013CAC C9 01		cmp #$01
	013CAE D0 08		bne $013cb8
	013CB0 20 A2 2F		jsr $2FA2
	013CB3 20 B8 2F		jsr $2FB8
	013CB6 C7 8B		smb 4,$8B
013CB8	013CB8 60		rts

013CB9	013CB9 A9 0C		lda #$0C
	013CBB 8D 24 01		sta $0124
	013CBE A9 FF		lda #$FF
	013CC0 8D A8 99		sta $99A8
	013CC3 60		rts

013CC4	013CC4 A0 00		ldy #$00
	013CC6 A9 BE		lda #$BE
	013CC8 85 E5		sta $E5
	013CCA A9 98		lda #$98
	013CCC 85 E6		sta $E6
013CCE	013CCE BD E8 3C		lda $3CE8,x
	013CD1 C9 10		cmp #$10
	013CD3 D0 09		bne $013cde
	013CD5 E8		inx
	013CD6 BD E8 3C		lda $3CE8,x
	013CD9 DA		phx
	013CDA AA		tax
	013CDB B5 00		lda $00,x		;Cx9	port A (bidirectional)
	013CDD FA		plx
013CDE	013CDE 99 BE		sta $BE,y
	013CE0 98		tya
	013CE1 E8		inx
	013CE2 C8		iny
	013CE3 E4 47		cpx $47
	013CE5 D0 E7		bne $013cce
	013CE7 60		rts

013CE8	013CE8 1A		neg a
	013CE9 01 02		ora ($02)		;Cx9	port C (bidirectional)
	013CEB 01 06		ora ($06)		;Cx9	port C direction (W)
	013CED 01 00		ora ($00)		;Cx9	port A (bidirectional)
	013CEF 00		brk
	013CF0 00		brk
	013CF1 00		brk
	013CF2 FF 02 01		bbs 7,$02,$013cf6	;Cx9	port C (bidirectional)
	013CF5 03		tip
013CF6	013CF6 03		tip
	013CF7 01 08		ora ($08)		;Cx9	mask option & port E dir'n
	013CF9 04		???			;undocumented opcode
	013CFA 02		mpy
	013CFB 40		rti
	013CFC 00		brk
	013CFD 08		php
	013CFE 01 03		ora ($03)		;Cx9	port A direction (R/O)
	013D00 09 01		ora #$01
	013D02 01 04		ora ($04)		;Cx9	port D & direction control
	013D04 02		mpy
	013D05 01 01		ora ($01)		;Cx9	port B (output only)
	013D07 10 40		bpl $013d49
	013D09 07 05		rmb 0,$05		;Cx9	port B select (R/W)
	013D0B 01 01		ora ($01)		;Cx9	port B (output only)
	013D0D 10 40		bpl $013d4f
	013D0F 02		mpy
	013D10 01 10		ora ($10)		;Cx9 Timer A Mode
	013D12 41 03		eor ($03)		;Cx9	port A direction (R/O)
	013D14 05 10		ora $10			;Cx9 Timer A Mode
	013D16 40		rti
	013D17 10 41		bpl $013d5a
	013D19 07 06		rmb 0,$06		;Cx9	port C direction (W)
	013D1B 01 01		ora ($01)		;Cx9	port B (output only)
	013D1D 10 40		bpl $013d5f
	013D1F 02		mpy
	013D20 01 10		ora ($10)		;Cx9 Timer A Mode
	013D22 41 04		eor ($04)		;Cx9	port D & direction control
	013D24 07 01		rmb 0,$01		;Cx9	port B (output only)
	013D26 01 10		ora ($10)		;Cx9 Timer A Mode
	013D28 40		rti
	013D29 06 08		asl $08			;Cx9	mask option & port E dir'n
	013D2B 10 40		bpl $013d6d
	013D2D 10 41		bpl $013d70
	013D2F 10 42		bpl $013d73
	013D31 10 43		bpl $013d76
	013D33 10 44		bpl $013d79
	013D35 04		???			;undocumented opcode
	013D36 08		php
	013D37 10 40		bpl $013d79
	013D39 10 41		bpl $013d7c
	013D3B 10 42		bpl $013d7f
	013D3D 02		mpy
	013D3E 08		php
	013D3F 10 40		bpl $013d81
	013D41 04		???			;undocumented opcode
	013D42 09 10		ora #$10
	013D44 42		rnd
	013D45 10 40		bpl $013d87
	013D47 10 41		bpl $013d8a
013D49	013D49 A2 1B		ldx #$1B
	013D4B 86 47		stx $47
	013D4D A2 00		ldx #$00
013D4F	013D4F 20 C4 3C		jsr $3CC4
	013D52 AD AA 99		lda $99AA
	013D55 8D CB 98		sta $98CB
	013D58 1F 87 05		bbr 1,$87,$013d60
	013D5B A9 10		lda #$10
	013D5D 8D CE 98		sta $98CE
013D60	013D60 A2 01		ldx #$01
	013D62 20 CB 3F		jsr $3FCB
	013D65 C9 00		cmp #$00
	013D67 F0 07		beq $013d70
	013D69 8D D8 98		sta $98D8
	013D6C A9 1B		lda #$1B
	013D6E 80 02		bra $013d72

013D70	013D70 A9 18		lda #$18
013D72	013D72 20 3E 44		jsr $443E
	013D75 8D E0 99		sta $99E0
	013D78 38		sec
013D79	013D79 E9 01		sbc #$01
	013D7B 8D BE 98		sta $98BE
	013D7E 37 8B		rmb 3,$8B
	013D80 20 E4 46		jsr $46E4
	013D83 60		rts

013D84	013D84 A2 1B		ldx #$1B
	013D86 86 47		stx $47
	013D88 A2 00		ldx #$00
013D8A	013D8A 20 C4 3C		jsr $3CC4
	013D8D AD A9 99		lda $99A9
	013D90 8D C0 98		sta $98C0
	013D93 A0 0B		ldy #$0B
	013D95 0F 8A 08		bbr 0,$8A,$013da0
	013D98 AD AA 99		lda $99AA
	013D9B 8D CB 98		sta $98CB
	013D9E A0 0E		ldy #$0E
013DA0	013DA0 1F 8A 13		bbr 1,$8A,$013db6
	013DA3 A9 03		lda #$03
	013DA5 99 BE		sta $BE,y
	013DA7 98		tya
	013DA8 C8		iny
	013DA9 A9 01		lda #$01
	013DAB 99 BE		sta $BE,y
	013DAD 98		tya
	013DAE C8		iny
	013DAF AD A0 99		lda $99A0
	013DB2 99 BE		sta $BE,y
	013DB4 98		tya
	013DB5 C8		iny
013DB6	013DB6 2F 8A 1A		bbr 2,$8A,$013dd3
	013DB9 A9 04		lda #$04
	013DBB 99 BE		sta $BE,y
	013DBD 98		tya
	013DBE C8		iny
	013DBF A9 02		lda #$02
	013DC1 99 BE		sta $BE,y
	013DC3 98		tya
	013DC4 C8		iny
	013DC5 AD AC 99		lda $99AC
	013DC8 99 BE		sta $BE,y
	013DCA 98		tya
	013DCB C8		iny
	013DCC AD AD 99		lda $99AD
	013DCF 99 BE		sta $BE,y
	013DD1 98		tya
	013DD2 C8		iny
013DD3	013DD3 3F 8A 1C		bbr 3,$8A,$013df2
	013DD6 A9 08		lda #$08
	013DD8 99 BE		sta $BE,y
	013DDA 98		tya
	013DDB C8		iny
	013DDC A9 01		lda #$01
	013DDE 99 BE		sta $BE,y
	013DE0 98		tya
	013DE1 C8		iny
	013DE2 AD AE 99		lda $99AE
	013DE5 3F 85 04		bbr 3,$85,$013dec
	013DE8 29 7F		and #$7F
	013DEA 80 02		bra $013dee

013DEC	013DEC 29 03		and #$03
013DEE	013DEE 99 BE		sta $BE,y
	013DF0 98		tya
	013DF1 C8		iny
013DF2	013DF2 AD AF 99		lda $99AF
	013DF5 F0 17		beq $013e0e
	013DF7 C9 FF		cmp #$FF
	013DF9 F0 13		beq $013e0e
	013DFB A9 09		lda #$09
	013DFD 99 BE		sta $BE,y
	013DFF 98		tya
	013E00 C8		iny
	013E01 A9 01		lda #$01
	013E03 99 BE		sta $BE,y
	013E05 98		tya
	013E06 C8		iny
	013E07 AD AF 99		lda $99AF
	013E0A 99 BE		sta $BE,y
	013E0C 98		tya
	013E0D C8		iny
013E0E	013E0E 20 F0 43		jsr $43F0
	013E11 AD AF 99		lda $99AF
	013E14 C9 FF		cmp #$FF
	013E16 D0 28		bne $013e40
	013E18 A9 0E		lda #$0E
	013E1A 99 BE		sta $BE,y
	013E1C 98		tya
	013E1D C8		iny
	013E1E A9 04		lda #$04
	013E20 99 BE		sta $BE,y
	013E22 98		tya
	013E23 C8		iny
	013E24 AD 64 9A		lda $9A64
	013E27 99 BE		sta $BE,y
	013E29 98		tya
	013E2A C8		iny
	013E2B AD 67 9A		lda $9A67
	013E2E 99 BE		sta $BE,y
	013E30 98		tya
	013E31 C8		iny
	013E32 AD 68 9A		lda $9A68
	013E35 99 BE		sta $BE,y
	013E37 98		tya
	013E38 C8		iny
	013E39 AD 6A 9A		lda $9A6A
	013E3C 99 BE		sta $BE,y
	013E3E 98		tya
	013E3F C8		iny
013E40	013E40 98		tya
	013E41 8D E0 99		sta $99E0
	013E44 38		sec
	013E45 E9 01		sbc #$01
	013E47 8D BE 98		sta $98BE
	013E4A 37 8B		rmb 3,$8B
	013E4C 20 E4 46		jsr $46E4
	013E4F 60		rts

013E50	013E50 20 BC 47		jsr $47BC
	013E53 A2 02		ldx #$02
	013E55 B1 DD		lda ($DD),x
	013E57 8D A9 99		sta $99A9
	013E5A A9 02		lda #$02
	013E5C 85 40		sta $40
	013E5E B2 AA 42		sti #$AA,$42
	013E61 B2 99 43		sti #$99,$43
	013E64 20 F1 3E		jsr $3EF1
	013E67 90 09		bcc $013e72
	013E69 87 8A		smb 0,$8A
	013E6B A9 03		lda #$03
	013E6D CD AA 99		cmp $99AA
	013E70 B0 05		bcs $013e77
013E72	013E72 A9 02		lda #$02
	013E74 8D AA 99		sta $99AA
013E77	013E77 A9 03		lda #$03
	013E79 85 40		sta $40
	013E7B B2 AB 42		sti #$AB,$42
	013E7E B2 99 43		sti #$99,$43
	013E81 20 F1 3E		jsr $3EF1
	013E84 B0 0A		bcs $013e90
	013E86 A9 01		lda #$01
	013E88 8D A0 99		sta $99A0
	013E8B 8D E4 99		sta $99E4
	013E8E 80 17		bra $013ea7

013E90	013E90 97 8A		smb 1,$8A
	013E92 A9 08		lda #$08
	013E94 1F 87 02		bbr 1,$87,$013e99
	013E97 A9 10		lda #$10
013E99	013E99 CD AB 99		cmp $99AB
	013E9C 90 03		bcc $013ea1
	013E9E AD AB 99		lda $99AB
013EA1	013EA1 8D A0 99		sta $99A0
	013EA4 8D E4 99		sta $99E4
013EA7	013EA7 A9 04		lda #$04
	013EA9 85 40		sta $40
	013EAB B2 AC 42		sti #$AC,$42
	013EAE B2 99 43		sti #$99,$43
	013EB1 20 F1 3E		jsr $3EF1
	013EB4 90 02		bcc $013eb8
	013EB6 A7 8A		smb 2,$8A
013EB8	013EB8 A9 08		lda #$08
	013EBA 85 40		sta $40
	013EBC B2 AE 42		sti #$AE,$42
	013EBF B2 99 43		sti #$99,$43
	013EC2 20 F1 3E		jsr $3EF1
	013EC5 90 02		bcc $013ec9
	013EC7 B7 8A		smb 3,$8A
013EC9	013EC9 20 52 3F		jsr $3F52
	013ECC A9 09		lda #$09
	013ECE 85 40		sta $40
	013ED0 B2 AF 42		sti #$AF,$42
	013ED3 B2 99 43		sti #$99,$43
	013ED6 20 F1 3E		jsr $3EF1
	013ED9 90 09		bcc $013ee4
	013EDB A2 00		ldx #$00
	013EDD 20 CB 3F		jsr $3FCB
	013EE0 C9 00		cmp #$00
	013EE2 F0 00		beq $013ee4
013EE4	013EE4 20 48 43		jsr $4348
	013EE7 20 00 40		jsr $4000
	013EEA AD AF 99		lda $99AF
	013EED 20 61 40		jsr $4061
	013EF0 60		rts

013EF1	013EF1 A2 03		ldx #$03
	013EF3 A1 DD		lda ($DD)
	013EF5 85 41		sta $41
	013EF7 C6 41		dec $41
	013EF9 C6 41		dec $41
013EFB	013EFB B1 DD		lda ($DD),x
	013EFD C5 40		cmp $40
	013EFF F0 19		beq $013f1a
	013F01 E8		inx
	013F02 B1 DD		lda ($DD),x
	013F04 E8		inx
	013F05 85 44		sta $44
	013F07 8A		txa
	013F08 64 44		add $44
	013F0A AA		tax
	013F0B C6 41		dec $41
	013F0D C6 41		dec $41
	013F0F A5 41		lda $41
	013F11 38		sec
	013F12 E5 44		sbc $44
	013F14 85 41		sta $41
	013F16 D0 E3		bne $013efb
	013F18 18		clc
	013F19 60		rts

013F1A	013F1A E8		inx
	013F1B B1 DD		lda ($DD),x
	013F1D 85 41		sta $41
	013F1F E8		inx
013F20	013F20 B1 DD		lda ($DD),x
	013F22 81 42		sta ($42)
	013F24 E8		inx
	013F25 E6 42		inc $42
	013F27 D0 02		bne $013f2b
	013F29 E6 43		inc $43
013F2B	013F2B C6 41		dec $41
	013F2D D0 F1		bne $013f20
	013F2F 38		sec
	013F30 60		rts

013F31	013F31 A5 54		lda $54
	013F33 29 C0		and #$C0
	013F35 4A		lsr a
	013F36 4A		lsr a
	013F37 4A		lsr a
	013F38 4A		lsr a
	013F39 4A		lsr a
	013F3A 4A		lsr a
	013F3B 0A		asl a
	013F3C AA		tax
	013F3D BD 4A 3F		lda $3F4A,x
	013F40 8D 9E 99		sta $999E
	013F43 BD 4B 3F		lda $3F4B,x
	013F46 8D 9F 99		sta $999F
	013F49 60		rts

013F4A	013F4A 40		rti
	013F4B 00		brk
	013F4C 80 00		bra $013f4e

013F4E	013F4E C0 00		cpy #$00
	013F50 00		brk
	013F51 01 20		ora ($20)		;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	013F53 31 3F		and ($3F),x		;Cx9 SIN (TxD) divider latch (R)
	013F55 AD AC 99		lda $99AC
	013F58 85 40		sta $40
	013F5A AD AD 99		lda $99AD
	013F5D 85 41		sta $41
	013F5F A5 40		lda $40
	013F61 8D A1 99		sta $99A1
	013F64 A5 41		lda $41
	013F66 8D A2 99		sta $99A2
	013F69 AD 9E 99		lda $999E
	013F6C 85 40		sta $40
	013F6E AD 9F 99		lda $999F
	013F71 85 41		sta $41
	013F73 A5 41		lda $41
	013F75 CD A2 99		cmp $99A2
	013F78 D0 05		bne $013f7f
	013F7A A5 40		lda $40
	013F7C CD A1 99		cmp $99A1
013F7F	013F7F 90 0A		bcc $013f8b
	013F81 AD A1 99		lda $99A1
	013F84 85 40		sta $40
	013F86 AD A2 99		lda $99A2
	013F89 85 41		sta $41
013F8B	013F8B A5 40		lda $40
	013F8D 8D A3 99		sta $99A3
	013F90 A5 41		lda $41
	013F92 8D A4 99		sta $99A4
	013F95 3F 8A 32		bbr 3,$8A,$013fca
	013F98 AD AE 99		lda $99AE
	013F9B 29 01		and #$01
	013F9D F0 2B		beq $013fca
	013F9F AD A1 99		lda $99A1
	013FA2 C9 40		cmp #$40'@'
	013FA4 D0 24		bne $013fca
	013FA6 B2 00 40		sti #$00,$40
	013FA9 B2 01 41		sti #$01,$41
	013FAC A5 40		lda $40
	013FAE 8D A1 99		sta $99A1
	013FB1 A5 41		lda $41
	013FB3 8D A2 99		sta $99A2
	013FB6 AD 9E 99		lda $999E
	013FB9 85 40		sta $40
	013FBB AD 9F 99		lda $999F
	013FBE 85 41		sta $41
	013FC0 A5 40		lda $40
	013FC2 8D A3 99		sta $99A3
	013FC5 A5 41		lda $41
	013FC7 8D A4 99		sta $99A4
013FCA	013FCA 60		rts

013FCB	013FCB A5 55		lda $55
	013FCD 29 03		and #$03
	013FCF F0 2B		beq $013ffc
	013FD1 C9 01		cmp #$01
	013FD3 F0 1B		beq $013ff0
	013FD5 29 01		and #$01
	013FD7 85 40		sta $40
	013FD9 AD 74 9A		lda $9A74
	013FDC C9 08		cmp #$08
	013FDE D0 04		bne $013fe4
	013FE0 A9 1C		lda #$1C
	013FE2 80 0A		bra $013fee

013FE4	013FE4 C9 04		cmp #$04
	013FE6 D0 04		bne $013fec
	013FE8 A9 0C		lda #$0C
	013FEA 80 02		bra $013fee

013FEC	013FEC A9 04		lda #$04
013FEE	013FEE 05 40		ora $40
013FF0	013FF0 E0 01		cpx #$01
	013FF2 F0 0B		beq $013fff
	013FF4 2D AF 99		and $99AF
	013FF7 F0 03		beq $013ffc
	013FF9 20 54 40		jsr $4054
013FFC	013FFC 8D AF 99		sta $99AF
013FFF	013FFF 60		rts

014000	014000 AD AF 99		lda $99AF
	014003 29 1C		and #$1C
	014005 F0 02		beq $014009
	014007 80 4A		bra $014053

014009	014009 1F 55 47		bbr 1,$55,$014053
	01400C A9 0E		lda #$0E
	01400E 85 40		sta $40
	014010 B2 B4 42		sti #$B4,$42
	014013 B2 99 43		sti #$99,$43
	014016 20 F1 3E		jsr $3EF1
	014019 90 38		bcc $014053
	01401B A9 03		lda #$03
	01401D CD B4 99		cmp $99B4
	014020 D0 31		bne $014053
	014022 8D 64 9A		sta $9A64
	014025 AD B7 99		lda $99B7
	014028 F0 29		beq $014053
	01402A C9 21		cmp #$21'!'
	01402C 90 02		bcc $014030
	01402E A9 20		lda #$20' '
014030	014030 8D 6A 9A		sta $9A6A
	014033 AD B5 99		lda $99B5
	014036 F0 1B		beq $014053
	014038 8F 86 0B		bbs 0,$86,$014046
	01403B CD 74 9A		cmp $9A74
	01403E 90 03		bcc $014043
	014040 AD 74 9A		lda $9A74
014043	014043 20 54 40		jsr $4054
014046	014046 8D 67 9A		sta $9A67
	014049 A9 00		lda #$00
	01404B 8D 68 9A		sta $9A68
	01404E A9 FF		lda #$FF
	014050 8D AF 99		sta $99AF
014053	014053 60		rts

014054	014054 A2 00		ldx #$00
014056	014056 E8		inx
	014057 2A		rol a
	014058 90 FC		bcc $014056
	01405A A9 00		lda #$00
01405C	01405C 6A		ror a
	01405D CA		dex
	01405E D0 FC		bne $01405c
	014060 60		rts

014061	014061 C9 00		cmp #$00
	014063 F0 45		beq $0140aa
	014065 A7 58		smb 2,$58
	014067 C9 FF		cmp #$FF
	014069 F0 21		beq $01408c
	01406B A2 00		ldx #$00
01406D	01406D E8		inx
	01406E 2A		rol a
	01406F 90 FC		bcc $01406d
	014071 8A		txa
	014072 38		sec
	014073 E9 04		sbc #$04
	014075 C9 04		cmp #$04
	014077 F0 32		beq $0140ab
	014079 29 03		and #$03
	01407B AA		tax
	01407C BD B1 40		lda $40B1,x
	01407F 8D 67 9A		sta $9A67
	014082 A9 20		lda #$20' '
	014084 8D 6A 9A		sta $9A6A
	014087 A9 03		lda #$03
	014089 8D 64 9A		sta $9A64
01408C	01408C 87 84		smb 0,$84
	01408E 97 84		smb 1,$84
	014090 97 92		smb 1,$92
	014092 87 92		smb 0,$92
	014094 B7 84		smb 3,$84
	014096 AE 6A 9A		ldx $9A6A
	014099 AC 64 9A		ldy $9A64
	01409C A9 00		lda #$00
	01409E 8D EA 99		sta $99EA
	0140A1 AD 67 9A		lda $9A67
	0140A4 8D EB 99		sta $99EB
	0140A7 20 B9 40		jsr $40B9
0140AA	0140AA 60		rts

0140AB	0140AB A7 84		smb 2,$84
	0140AD 20 B5 40		jsr $40B5
	0140B0 60		rts

0140B1	0140B1 08		php
	0140B2 04		???			;undocumented opcode
	0140B3 02		mpy
	0140B4 00		brk
	0140B5 20 6F 67		jsr $676F
	0140B8 60		rts

0140B9	0140B9 20 11 E4		jsr $E411
	0140BC 60		rts

0140BD	0140BD 08		php
	0140BE 78		sei
	0140BF 20 E1 41		jsr $41E1
	0140C2 20 3B 41		jsr $413B
	0140C5 20 0F 41		jsr $410F
	0140C8 20 D3 40		jsr $40D3
	0140CB 20 BA 41		jsr $41BA
	0140CE 20 A2 41		jsr $41A2
	0140D1 28		plp
	0140D2 60		rts

0140D3	0140D3 A9 00		lda #$00
	0140D5 AA		tax
0140D6	0140D6 9D FE		sta $FE,x
	0140D8 98		tya
	0140D9 E8		inx
	0140DA E0 10		cpx #$10
	0140DC D0 F8		bne $0140d6
	0140DE 85 8B		sta $8B
	0140E0 8D DC 99		sta $99DC
	0140E3 A9 01		lda #$01
	0140E5 8D C0 99		sta $99C0
	0140E8 8D 9B 99		sta $999B
	0140EB 8D 9A 99		sta $999A
	0140EE AD A0 99		lda $99A0
	0140F1 8D E4 99		sta $99E4
	0140F4 8D BD 99		sta $99BD
	0140F7 60		rts

0140F8	0140F8 2F 58 13		bbr 2,$58,$01410e
	0140FB 2F 84 03		bbr 2,$84,$014101
	0140FE 4C B5 40		jmp $40B5

014101	014101 3F 84 0A		bbr 3,$84,$01410e
	014104 AC EC 99		ldy $99EC
	014107 AE 12 9A		ldx $9A12
	01410A CA		dex
	01410B 4C B9 40		jmp $40B9

01410E	01410E 60		rts

01410F	01410F A9 00		lda #$00
	014111 8D CC 99		sta $99CC
	014114 8D CF 99		sta $99CF
	014117 8D E1 99		sta $99E1
	01411A 8D DF 99		sta $99DF
	01411D 8D D0 99		sta $99D0
	014120 8D D1 99		sta $99D1
	014123 8D D3 99		sta $99D3
	014126 8D B9 99		sta $99B9
	014129 8D BC 99		sta $99BC
	01412C C7 85		smb 4,$85
	01412E 77 63		rmb 7,63
	014130 67 61		rmb 6,$61
	014132 77 69		rmb 7,69
	014134 27 58		rmb 2,$58
	014136 47 6A		rmb 4,$6A
	014138 57 6A		rmb 5,$6A
	01413A 60		rts

01413B	01413B A9 00		lda #$00
	01413D AA		tax
01413E	01413E 9D 4E		sta $4E,x
	014140 99 E8		sta $E8,y
	014142 E0 04		cpx #$04
	014144 D0 F8		bne $01413e
	014146 A9 02		lda #$02
	014148 8D A9 99		sta $99A9
	01414B A9 03		lda #$03
	01414D E2 84 01 20 02	bar $0184,$20,$014154
	014152 A9 02		lda #$02
014154	014154 8D AA 99		sta $99AA
	014157 A9 01		lda #$01
	014159 8D AB 99		sta $99AB
	01415C 8D 9C 99		sta $999C
	01415F 8D 9D 99		sta $999D
	014162 B2 04 40		sti #$04,$40
	014165 B2 01 41		sti #$01,$41
	014168 A5 40		lda $40
	01416A 8D AC 99		sta $99AC
	01416D A5 41		lda $41
	01416F 8D AD 99		sta $99AD
	014172 A5 40		lda $40
	014174 8D A1 99		sta $99A1
	014177 A5 41		lda $41
	014179 8D A2 99		sta $99A2
	01417C A5 40		lda $40
	01417E 8D A3 99		sta $99A3
	014181 A5 41		lda $41
	014183 8D A4 99		sta $99A4
	014186 A9 00		lda #$00
	014188 8D AE 99		sta $99AE
	01418B 8D AF 99		sta $99AF
	01418E 8D B4 99		sta $99B4
	014191 8D B5 99		sta $99B5
	014194 8D B6 99		sta $99B6
	014197 8D B7 99		sta $99B7
	01419A A9 10		lda #$10
	01419C 8D A0 99		sta $99A0
	01419F D7 87		smb 5,$87
	0141A1 60		rts

0141A2	0141A2 08		php
	0141A3 78		sei
	0141A4 A9 92		lda #$92
	0141A6 85 D9		sta $D9
	0141A8 85 DB		sta $DB
	0141AA A9 8F		lda #$8F
	0141AC 85 DA		sta $DA
	0141AE 85 DC		sta $DC
	0141B0 A9 00		lda #$00
	0141B2 8D 94 99		sta $9994
	0141B5 8D 95 99		sta $9995
	0141B8 28		plp
	0141B9 60		rts

0141BA	0141BA 08		php
	0141BB 78		sei
	0141BC A9 92		lda #$92
	0141BE 85 D5		sta $D5
	0141C0 85 D7		sta $D7
	0141C2 A9 87		lda #$87
	0141C4 85 D6		sta $D6
	0141C6 85 D8		sta $D8
	0141C8 A9 00		lda #$00
	0141CA 8D 92 99		sta $9992
	0141CD 8D 93 99		sta $9993
	0141D0 28		plp
	0141D1 60		rts

0141D2	0141D2 A9 00		lda #$00
	0141D4 8D 96 99		sta $9996
	0141D7 8D 97 99		sta $9997
	0141DA 8D 98 99		sta $9998
	0141DD 8D 99 99		sta $9999
	0141E0 60		rts

0141E1	0141E1 B2 D5 40		sti #$D5,$40
	0141E4 B2 00 41		sti #$00,$41
	0141E7 B2 EA 42		sti #$EA,$42
	0141EA B2 00 43		sti #$00,$43
	0141ED 20 53 42		jsr $4253
	0141F0 85 86		sta $86
	0141F2 85 87		sta $87
	0141F4 85 88		sta $88
	0141F6 85 89		sta $89
	0141F8 85 8A		sta $8A
	0141FA 85 8B		sta $8B
	0141FC 85 84		sta $84
	0141FE 85 85		sta $85
	014200 B2 92 40		sti #$92,$40
	014203 B2 99 41		sti #$99,$41
	014206 B2 E6 42		sti #$E6,$42
	014209 B2 99 43		sti #$99,$43
	01420C 20 53 42		jsr $4253
	01420F B2 37 40		sti #$37'7',$40
	014212 B2 9A 41		sti #$9A,$41
	014215 B2 70 42		sti #$70'p',$42
	014218 B2 9A 43		sti #$9A,$43
	01421B 20 53 42		jsr $4253
	01421E A9 FF		lda #$FF
	014220 8D 44 9A		sta $9A44
	014223 A9 08		lda #$08
	014225 8D 4F 9A		sta $9A4F
	014228 A9 20		lda #$20' '
	01422A 8D 3E 9A		sta $9A3E
	01422D A9 3C		lda #$3C'<'
	01422F 8D 56 9A		sta $9A56
	014232 20 48 29		jsr $2948
	014235 A9 00		lda #$00
	014237 8D 6C 9A		sta $9A6C
	01423A 8D 6B 9A		sta $9A6B
	01423D 8D 6E 9A		sta $9A6E
	014240 87 60		smb 0,$60
	014242 97 60		smb 1,$60
	014244 A7 60		smb 2,$60
	014246 C7 60		smb 4,$60
	014248 D7 60		smb 5,$60
	01424A E7 60		smb 6,$60
	01424C F7 5D		smb 7,$5D
	01424E 87 5E		smb 0,$5E
	014250 97 5E		smb 1,$5E
	014252 60		rts

014253	014253 A9 00		lda #$00
	014255 81 40		sta ($40)
	014257 E6 40		inc $40
	014259 D0 02		bne $01425d
	01425B E6 41		inc $41
01425D	01425D A5 40		lda $40
	01425F C5 42		cmp $42
	014261 D0 F0		bne $014253
	014263 A5 41		lda $41
	014265 C5 43		cmp $43
	014267 D0 EA		bne $014253
	014269 60		rts

01426A	01426A A9 00		lda #$00
	01426C AE 37 01		ldx $0137
	01426F EC 36 01		cpx $0136
	014272 F0 02		beq $014276
	014274 09 03		ora #$03
014276	014276 E2 84 01 04 02	bar $0184,$04,$01427d
	01427B 09 80		ora #$80
01427D	01427D 60		rts

01427E	01427E A9 00		lda #$00
	014280 F2 4E 01 02 30	bas $014E,$02,$0142b5
	014285 A2 04		ldx #$04
	014287 20 3A 43		jsr $433A
	01428A 90 02		bcc $01428e
	01428C 09 04		ora #$04
01428E	01428E A2 06		ldx #$06
	014290 20 3A 43		jsr $433A
	014293 90 02		bcc $014297
	014295 09 01		ora #$01
014297	014297 2F 6F 1B		bbr 2,$6F,$0142b5
	01429A A2 05		ldx #$05
	01429C 20 3A 43		jsr $433A
	01429F 90 02		bcc $0142a3
	0142A1 09 10		ora #$10
0142A3	0142A3 A2 07		ldx #$07
	0142A5 20 3A 43		jsr $433A
	0142A8 90 02		bcc $0142ac
	0142AA 09 08		ora #$08
0142AC	0142AC A2 08		ldx #$08
	0142AE 20 3A 43		jsr $433A
	0142B1 90 02		bcc $0142b5
	0142B3 09 20		ora #$20' '
0142B5	0142B5 60		rts

0142B6	0142B6 A9 01		lda #$01
	0142B8 A2 0F		ldx #$0F
	0142BA 20 3A 43		jsr $433A
	0142BD 90 02		bcc $0142c1
	0142BF 09 02		ora #$02
0142C1	0142C1 A2 10		ldx #$10
	0142C3 20 3A 43		jsr $433A
	0142C6 90 02		bcc $0142ca
	0142C8 09 04		ora #$04
0142CA	0142CA A2 03		ldx #$03
	0142CC 20 3A 43		jsr $433A
	0142CF 90 02		bcc $0142d3
	0142D1 09 10		ora #$10
0142D3	0142D3 A2 04		ldx #$04
	0142D5 20 3A 43		jsr $433A
	0142D8 90 02		bcc $0142dc
	0142DA 09 20		ora #$20' '
0142DC	0142DC A2 05		ldx #$05
	0142DE 20 3A 43		jsr $433A
	0142E1 90 02		bcc $0142e5
	0142E3 09 40		ora #$40'@'
0142E5	0142E5 A2 06		ldx #$06
	0142E7 20 3A 43		jsr $433A
	0142EA 90 02		bcc $0142ee
	0142EC 09 80		ora #$80
0142EE	0142EE 60		rts

0142EF	0142EF A9 00		lda #$00
	0142F1 A2 07		ldx #$07
	0142F3 20 3A 43		jsr $433A
	0142F6 90 02		bcc $0142fa
	0142F8 09 01		ora #$01
0142FA	0142FA A2 08		ldx #$08
	0142FC 20 3A 43		jsr $433A
	0142FF 90 02		bcc $014303
	014301 09 02		ora #$02
014303	014303 A2 09		ldx #$09
	014305 20 3A 43		jsr $433A
	014308 90 02		bcc $01430c
	01430A 09 04		ora #$04
01430C	01430C A2 0A		ldx #$0A
	01430E 20 3A 43		jsr $433A
	014311 90 02		bcc $014315
	014313 09 08		ora #$08
014315	014315 A2 0B		ldx #$0B
	014317 20 3A 43		jsr $433A
	01431A 90 02		bcc $01431e
	01431C 09 10		ora #$10
01431E	01431E A2 0C		ldx #$0C
	014320 20 3A 43		jsr $433A
	014323 90 02		bcc $014327
	014325 09 20		ora #$20' '
014327	014327 A2 0D		ldx #$0D
	014329 20 3A 43		jsr $433A
	01432C 90 02		bcc $014330
	01432E 09 40		ora #$40'@'
014330	014330 A2 0E		ldx #$0E
	014332 20 3A 43		jsr $433A
	014335 90 02		bcc $014339
	014337 09 80		ora #$80
014339	014339 60		rts

01433A	01433A EC 37 01		cpx $0137
	01433D F0 02		beq $014341
	01433F B0 05		bcs $014346
014341	014341 EC 36 01		cpx $0136
	014344 B0 01		bcs $014347
014346	014346 18		clc
014347	014347 60		rts

014348	014348 3F 8A 0C		bbr 3,$8A,$014357
	01434B 20 8B 44		jsr $448B
	01434E 90 07		bcc $014357
	014350 A9 93		lda #$93
	014352 20 31 44		jsr $4431
	014355 80 02		bra $014359

014357	014357 A9 03		lda #$03
014359	014359 2D AE 99		and $99AE
	01435C 8D AE 99		sta $99AE
	01435F 29 90		and #$90
	014361 8F 86 06		bbs 0,$86,$01436a
	014364 C9 90		cmp #$90
	014366 D0 0A		bne $014372
	014368 80 04		bra $01436e

01436A	01436A C9 10		cmp #$10
	01436C D0 04		bne $014372
01436E	01436E D7 64		smb 5,$64
	014370 B7 85		smb 3,$85
014372	014372 3F 85 13		bbr 3,$85,$014388
	014375 AD AE 99		lda $99AE
	014378 29 20		and #$20' '
	01437A D0 06		bne $014382
	01437C C2 01 4D 01	rba $01,$014D
	014380 80 06		bra $014388

014382	014382 D2 01 4D 01	sba $01,$014D
	014386 57 64		rmb 5,$64
014388	014388 3F 85 64		bbr 3,$85,$0143ef
	01438B A9 0C		lda #$0C
	01438D 85 40		sta $40
	01438F B2 B0 42		sti #$B0,$42
	014392 B2 99 43		sti #$99,$43
	014395 20 F1 3E		jsr $3EF1
	014398 B0 06		bcs $0143a0
	01439A 57 64		rmb 5,$64
	01439C 37 85		rmb 3,$85
	01439E 80 4F		bra $0143ef

0143A0	0143A0 20 6A 42		jsr $426A
	0143A3 2D B0 99		and $99B0
	0143A6 8D B0 99		sta $99B0
	0143A9 8D 5C 9A		sta $9A5C
	0143AC 20 7E 42		jsr $427E
	0143AF 2D B1 99		and $99B1
	0143B2 8D B1 99		sta $99B1
	0143B5 8D 5E 9A		sta $9A5E
	0143B8 20 B6 42		jsr $42B6
	0143BB 2D B2 99		and $99B2
	0143BE 8D B2 99		sta $99B2
	0143C1 8D 60 9A		sta $9A60
	0143C4 20 EF 42		jsr $42EF
	0143C7 2D B3 99		and $99B3
	0143CA 8D B3 99		sta $99B3
	0143CD 8D 62 9A		sta $9A62
	0143D0 A9 80		lda #$80
	0143D2 2D B0 99		and $99B0
	0143D5 F0 02		beq $0143d9
	0143D7 E7 85		smb 6,$85
0143D9	0143D9 A9 01		lda #$01
	0143DB 2D B0 99		and $99B0
	0143DE F0 04		beq $0143e4
	0143E0 D2 01 47 9A	sba $01,$9A47
0143E4	0143E4 A9 02		lda #$02
	0143E6 2D B0 99		and $99B0
	0143E9 F0 04		beq $0143ef
	0143EB D2 01 46 9A	sba $01,$9A46
0143EF	0143EF 60		rts

0143F0	0143F0 DF 64 04		bbs 5,$64,$0143f7
	0143F3 BF 85 01		bbs 3,$85,$0143f7
	0143F6 60		rts

0143F7	0143F7 A9 0C		lda #$0C
	0143F9 99 BE		sta $BE,y
	0143FB 98		tya
	0143FC C8		iny
	0143FD E2 4E 01 02 04	bar $014E,$02,$014406
	014402 A9 04		lda #$04
	014404 80 02		bra $014408

014406	014406 A9 02		lda #$02
014408	014408 99 BE		sta $BE,y
	01440A 98		tya
	01440B C8		iny
	01440C AD B0 99		lda $99B0
	01440F 99 BE		sta $BE,y
	014411 98		tya
	014412 C8		iny
	014413 AD B1 99		lda $99B1
	014416 99 BE		sta $BE,y
	014418 98		tya
	014419 C8		iny
	01441A E2 4E 01 02 0E	bar $014E,$02,$01442d
	01441F AD B2 99		lda $99B2
	014422 99 BE		sta $BE,y
	014424 98		tya
	014425 C8		iny
	014426 AD B3 99		lda $99B3
	014429 99 BE		sta $BE,y
	01442B 98		tya
	01442C C8		iny
01442D	01442D 20 9E 44		jsr $449E
	014430 60		rts

014431	014431 F2 4D 01 01 05	bas $014D,$01,$01443b
	014436 E2 4C 01 01 02	bar $014C,$01,$01443d
01443B	01443B 09 20		ora #$20' '
01443D	01443D 60		rts

01443E	01443E 20 8B 44		jsr $448B
	014441 B0 01		bcs $014444
	014443 60		rts

014444	014444 A8		tay
	014445 AD D5 98		lda $98D5
	014448 09 90		ora #$90
	01444A 20 31 44		jsr $4431
	01444D 8D D5 98		sta $98D5
	014450 A9 0C		lda #$0C
	014452 99 BE		sta $BE,y
	014454 98		tya
	014455 C8		iny
	014456 E2 4E 01 02 04	bar $014E,$02,$01445f
	01445B A9 04		lda #$04
	01445D 80 02		bra $014461

01445F	01445F A9 02		lda #$02
014461	014461 99 BE		sta $BE,y
	014463 98		tya
	014464 C8		iny
	014465 20 6A 42		jsr $426A
	014468 99 BE		sta $BE,y
	01446A 98		tya
	01446B C8		iny
	01446C 20 7E 42		jsr $427E
	01446F 99 BE		sta $BE,y
	014471 98		tya
	014472 C8		iny
	014473 E2 4E 01 02 0E	bar $014E,$02,$014486
	014478 20 B6 42		jsr $42B6
	01447B 99 BE		sta $BE,y
	01447D 98		tya
	01447E C8		iny
	01447F 20 EF 42		jsr $42EF
	014482 99 BE		sta $BE,y
	014484 98		tya
	014485 C8		iny
014486	014486 20 9E 44		jsr $449E
	014489 98		tya
	01448A 60		rts

01448B	01448B 48		pha
	01448C 20 8D F9		jsr $F98D
	01448F C9 04		cmp #$04
	014491 90 08		bcc $01449b
	014493 F2 84 01 40 03	bas $0184,$40,$01449b
	014498 38		sec
	014499 80 01		bra $01449c

01449B	01449B 18		clc
01449C	01449C 68		pla
	01449D 60		rts

01449E	01449E 8F 86 03		bbs 0,$86,$0144a4
	0144A1 6F 85 18		bbr 6,$85,$0144bc
0144A4	0144A4 A9 0D		lda #$0D
	0144A6 99 BE		sta $BE,y
	0144A8 98		tya
	0144A9 C8		iny
	0144AA A9 02		lda #$02
	0144AC 99 BE		sta $BE,y
	0144AE 98		tya
	0144AF C8		iny
	0144B0 A9 FF		lda #$FF
	0144B2 99 BE		sta $BE,y
	0144B4 98		tya
	0144B5 C8		iny
	0144B6 A9 FF		lda #$FF
	0144B8 99 BE		sta $BE,y
	0144BA 98		tya
	0144BB C8		iny
0144BC	0144BC 60		rts

0144BD	0144BD AD DC 99		lda $99DC
	0144C0 89 01		add #$01
	0144C2 CD 9A 99		cmp $999A
	0144C5 F0 03		beq $0144ca
	0144C7 4C 5F 3A		jmp $3A5F

0144CA	0144CA 20 CF 46		jsr $46CF
	0144CD 60		rts

0144CE	0144CE 08		php
	0144CF 78		sei
	0144D0 07 60		rmb 0,$60
	0144D2 A9 64		lda #$64'd'
	0144D4 8D 8E 9A		sta $9A8E
	0144D7 A9 00		lda #$00
	0144D9 8D 8F 9A		sta $9A8F
	0144DC 07 60		rmb 0,$60
	0144DE 28		plp
	0144DF 60		rts

0144E0	0144E0 20 CE 44		jsr $44CE
	0144E3 1F 6C 06		bbr 1,$6C,$0144ec
	0144E6 A9 00		lda #$00
	0144E8 8D 3F 9A		sta $9A3F
	0144EB 60		rts

0144EC	0144EC 20 1B 36		jsr $361B
	0144EF B0 01		bcs $0144f2
	0144F1 60		rts

0144F2	0144F2 AD 3F 9A		lda $9A3F
	0144F5 85 40		sta $40
	0144F7 A2 00		ldx #$00
	0144F9 8E 3F 9A		stx $9A3F
	0144FC C9 0A		cmp #$0A
	0144FE F0 08		beq $014508
	014500 A2 59		ldx #$59'Y'
	014502 86 47		stx $47
	014504 A2 55		ldx #$55'U'
	014506 80 34		bra $01453c

014508	014508 07 89		rmb 0,$89
	01450A AE 4B 9A		ldx $9A4B
	01450D 86 41		stx $41
	01450F 8A		txa
	014510 89 01		add #$01
	014512 29 7F		and #$7F
	014514 8D 4B 9A		sta $9A4B
	014517 8A		txa
	014518 29 80		and #$80
	01451A 0D 4B 9A		ora $9A4B
	01451D 8D 4B 9A		sta $9A4B
	014520 AD 4C 9A		lda $9A4C
	014523 85 42		sta $42
	014525 EF 85 08		bbs 6,$85,$014530
	014528 A2 55		ldx #$55'U'
	01452A 86 47		stx $47
	01452C A2 4D		ldx #$4D'M'
	01452E 80 0C		bra $01453c

014530	014530 A2 4D		ldx #$4D'M'
	014532 86 47		stx $47
	014534 A2 41		ldx #$41'A'
	014536 A9 FF		lda #$FF
	014538 85 43		sta $43
	01453A 85 44		sta $44
01453C	01453C 20 C4 3C		jsr $3CC4
	01453F 8C E0 99		sty $99E0
	014542 37 8B		rmb 3,$8B
	014544 20 E4 46		jsr $46E4
	014547 60		rts

014548	014548 A9 00		lda #$00
	01454A AA		tax
01454B	01454B 9D 52		sta $52,x
	01454D 99 E8		sta $E8,y
	01454F E0 40		cpx #$40'@'
	014551 D0 F8		bne $01454b
	014553 8D D6 99		sta $99D6
	014556 8D D7 99		sta $99D7
	014559 8D D8 99		sta $99D8
	01455C 8D DB 99		sta $99DB
	01455F A9 01		lda #$01
	014561 8D D5 99		sta $99D5
	014564 A9 20		lda #$20' '
	014566 8D DA 99		sta $99DA
	014569 8D D9 99		sta $99D9
	01456C 60		rts

01456D	01456D AD D9 99		lda $99D9
	014570 D0 06		bne $014578
	014572 A9 FD		lda #$FD
	014574 8D D9 99		sta $99D9
	014577 60		rts

014578	014578 89 01		add #$01
	01457A 8D D9 99		sta $99D9
	01457D 29 03		and #$03
	01457F C9 03		cmp #$03
	014581 F0 01		beq $014584
	014583 60		rts

014584	014584 AD D6 99		lda $99D6
	014587 AA		tax
	014588 89 01		add #$01
	01458A 29 3F		and #$3F'?'
	01458C 8D D6 99		sta $99D6
	01458F BD 52 99		lda $9952,x
	014592 85 40		sta $40
	014594 AD D5 99		lda $99D5
	014597 85 42		sta $42
	014599 9D 52		sta $52,x
	01459B 99 A9		sta $A9,y
	01459D 00		brk
	01459E 8D D5 99		sta $99D5
	0145A1 85 41		sta $41
	0145A3 85 43		sta $43
	0145A5 AD D7 99		lda $99D7
	0145A8 85 44		sta $44
	0145AA AD D8 99		lda $99D8
	0145AD 85 45		sta $45
	0145AF 18		clc
	0145B0 A5 44		lda $44
	0145B2 65 42		adc $42
	0145B4 85 44		sta $44
	0145B6 A5 45		lda $45
	0145B8 65 43		adc $43
	0145BA 85 45		sta $45
	0145BC 38		sec
	0145BD A5 44		lda $44
	0145BF E5 40		sbc $40
	0145C1 85 44		sta $44
	0145C3 A5 45		lda $45
	0145C5 E5 41		sbc $41
	0145C7 85 45		sta $45
	0145C9 A5 44		lda $44
	0145CB 8D D7 99		sta $99D7
	0145CE A5 45		lda $45
	0145D0 8D D8 99		sta $99D8
	0145D3 A5 45		lda $45
	0145D5 D0 1D		bne $0145f4
	0145D7 AD D9 99		lda $99D9
	0145DA 85 40		sta $40
	0145DC A2 08		ldx #$08
0145DE	0145DE 06 40		asl $40
	0145E0 26 41		rol $41
	0145E2 A5 41		lda $41
	0145E4 38		sec
	0145E5 E5 44		sbc $44
	0145E7 90 04		bcc $0145ed
	0145E9 85 41		sta $41
	0145EB E6 40		inc $40
0145ED	0145ED CA		dex
	0145EE D0 EE		bne $0145de
	0145F0 A5 40		lda $40
	0145F2 D0 02		bne $0145f6
0145F4	0145F4 A9 01		lda #$01
0145F6	0145F6 A0 06		ldy #$06
	0145F8 02		mpy
	0145F9 85 41		sta $41
	0145FB 84 40		sty $40
	0145FD A5 41		lda $41
	0145FF CD A4 99		cmp $99A4
	014602 D0 05		bne $014609
	014604 A5 40		lda $40
	014606 CD A3 99		cmp $99A3
014609	014609 90 0A		bcc $014615
	01460B AD A3 99		lda $99A3
	01460E 85 40		sta $40
	014610 AD A4 99		lda $99A4
	014613 85 41		sta $41
014615	014615 A5 40		lda $40
	014617 8D DA 99		sta $99DA
	01461A A5 41		lda $41
	01461C 8D DB 99		sta $99DB
	01461F 60		rts

014620	014620 60		rts

014621	014621 20 48 29		jsr $2948
	014624 20 E2 4D		jsr $4DE2
	014627 C0 0A		cpy #$0A
	014629 90 02		bcc $01462d
	01462B 97 87		smb 1,$87
01462D	01462D 20 F7 F9		jsr $F9F7
	014630 0A		asl a
	014631 0A		asl a
	014632 AA		tax
	014633 BD 5E 46		lda $465E,x
	014636 8D BB 99		sta $99BB
	014639 BD 5D 46		lda $465D,x
	01463C 64 40		add $40
	01463E 8D BA 99		sta $99BA
	014641 90 03		bcc $014646
	014643 EE BB 99		inc $99BB
014646	014646 BD 60 46		lda $4660,x
	014649 8D A6 99		sta $99A6
	01464C BD 5F 46		lda $465F,x
	01464F 64 40		add $40
	014651 8D A5 99		sta $99A5
	014654 90 03		bcc $014659
	014656 EE A6 99		inc $99A6
014659	014659 20 A1 46		jsr $46A1
	01465C 60		rts

01465D	01465D 88		dey
	01465E 13		lab a
	01465F 90 01		bcc $014662
	014661 F0 0A		beq $01466d
	014663 90 01		bcc $014666
	014665 78		sei
014666	014666 05 58		ora $58
	014668 02		mpy
	014669 BC 02 90		ldy $9002,x
	01466C 01 5E		ora ($5E)
	01466E 01 C8		ora ($C8)
	014670 00		brk
	014671 AA		tax
	014672 00		brk
	014673 6E 00 8C		ror $8C00
	014676 00		brk
	014677 64 00		add $00			;Cx9	port A (bidirectional)
	014679 6E 00 50		ror $5000
	01467C 00		brk
	01467D E6 00		inc $00			;Cx9	port A (bidirectional)
	01467F A0 00		ldy #$00
	014681 64 00		add $00			;Cx9	port A (bidirectional)
	014683 46 00		lsr $00			;Cx9	port A (bidirectional)
	014685 62		taw
	014686 00		brk
	014687 46 00		lsr $00			;Cx9	port A (bidirectional)
	014689 58		cli
	01468A 00		brk
	01468B 46 00		lsr $00			;Cx9	port A (bidirectional)
	01468D 50 00		bvc $01468f
01468F	01468F 3C		???			;undocumented opcode
	014690 00		brk
	014691 46 00		lsr $00			;Cx9	port A (bidirectional)
	014693 32		pul
	014694 00		brk
	014695 46 00		lsr $00			;Cx9	port A (bidirectional)
	014697 32		pul
	014698 00		brk
	014699 46 00		lsr $00			;Cx9	port A (bidirectional)
	01469B 32		pul
	01469C 00		brk
	01469D 46 00		lsr $00			;Cx9	port A (bidirectional)
	01469F 32		pul
	0146A0 00		brk
	0146A1 20 F7 F9		jsr $F9F7
	0146A4 AA		tax
	0146A5 BD AC 46		lda $46AC,x
	0146A8 8D E5 99		sta $99E5
	0146AB 60		rts

0146AC	0146AC 03		tip
	0146AD 0C 0C 0C		jpi ($0C0C)
	0146B0 0F 1B 1E		bbr 0,$1B,$0146d1	;Cx9	bank switch register 3 (R/W)
	0146B3 25 13		and $13			;Cx9 TAS, TAUL, Clear, Download
	0146B5 2A		rol a
	0146B6 2A		rol a
	0146B7 2A		rol a
	0146B8 32		pul
	0146B9 3C		???			;undocumented opcode
	0146BA 3C		???			;undocumented opcode
	0146BB 3C		???			;undocumented opcode
	0146BC 3C		???			;undocumented opcode
	0146BD 08		php
	0146BE 78		sei
	0146BF AE BA 99		ldx $99BA
	0146C2 8E 14 02		stx $0214
	0146C5 AE BB 99		ldx $99BB
	0146C8 8E 15 02		stx $0215
	0146CB 17 5E		rmb 1,$5E
	0146CD 28		plp
	0146CE 60		rts

0146CF	0146CF 08		php
	0146D0 78		sei
0146D1	0146D1 AE A5 99		ldx $99A5
	0146D4 8E 12 02		stx $0212
	0146D7 AE A6 99		ldx $99A6
	0146DA 8E 13 02		stx $0213
	0146DD 07 5E		rmb 0,$5E
	0146DF 28		plp
	0146E0 60		rts

0146E1	0146E1 16 10		asl $10,x		;Cx9 Timer A Mode
	0146E3 02		mpy
	0146E4 08		php
	0146E5 78		sei
	0146E6 5F 87 1B		bbr 5,$87,$014704
	0146E9 37 59		rmb 3,$59
	0146EB A9 3F		lda #$3F'?'
	0146ED 8D 6F 02		sta $026F
	0146F0 A9 E3		lda #$E3
	0146F2 8D 70 02		sta $0270
	0146F5 B7 59		smb 3,$59
	0146F7 A9 00		lda #$00
	0146F9 8D C6 99		sta $99C6
	0146FC 8D C5 99		sta $99C5
	0146FF 8D E1 99		sta $99E1
	014702 80 18		bra $01471c

014704	014704 37 59		rmb 3,$59
	014706 A9 26		lda #$26'&'
	014708 8D 6F 02		sta $026F
	01470B A9 09		lda #$09
	01470D 8D 70 02		sta $0270
	014710 B7 59		smb 3,$59
	014712 A9 98		lda #$98
	014714 8D E2 99		sta $99E2
	014717 A9 4B		lda #$4B'K'
	014719 8D E3 99		sta $99E3
01471C	01471C A9 00		lda #$00
	01471E 8D DF 99		sta $99DF
	014721 EF 88 05		bbs 6,$88,$014729
	014724 E7 87		smb 6,$87
	014726 20 67 F4		jsr $F467
014729	014729 28		plp
	01472A 60		rts

01472B	01472B 81 E1		sta ($E1)
	01472D A6 E1		ldx $E1
	01472F A4 E2		ldy $E2
	014731 E8		inx
	014732 D0 01		bne $014735
	014734 C8		iny
014735	014735 E0 92		cpx #$92
	014737 D0 08		bne $014741
	014739 C0 8F		cpy #$8F
	01473B D0 04		bne $014741
	01473D A2 92		ldx #$92
	01473F A0 87		ldy #$87
014741	014741 E4 D5		cpx $D5
	014743 D0 06		bne $01474b
	014745 C4 D6		cpy $D6
	014747 D0 02		bne $01474b
	014749 18		clc
	01474A 60		rts

01474B	01474B 86 E1		stx $E1
	01474D 84 E2		sty $E2
	01474F EE C1 99		inc $99C1
	014752 D0 03		bne $014757
	014754 EE C2 99		inc $99C2
014757	014757 38		sec
	014758 60		rts

014759	014759 A2 00		ldx #$00
	01475B 8E CC 99		stx $99CC
	01475E 8E CF 99		stx $99CF
	014761 60		rts

014762	014762 CE E0 99		dec $99E0
	014765 AE DF 99		ldx $99DF
	014768 EE DF 99		inc $99DF
	01476B B1 E5		lda ($E5),x
	01476D 60		rts

01476E	01476E A6 E7		ldx $E7
	014770 A4 E8		ldy $E8
	014772 E4 DB		cpx $DB
	014774 D0 04		bne $01477a
	014776 C4 DC		cpy $DC
	014778 F0 28		beq $0147a2
01477A	01477A AD DD 99		lda $99DD
	01477D D0 08		bne $014787
	01477F AD DE 99		lda $99DE
	014782 F0 1E		beq $0147a2
	014784 CE DE 99		dec $99DE
014787	014787 CE DD 99		dec $99DD
	01478A A1 E7		lda ($E7)
	01478C E8		inx
	01478D D0 01		bne $014790
	01478F C8		iny
014790	014790 E0 92		cpx #$92
	014792 D0 08		bne $01479c
	014794 C0 97		cpy #$97
	014796 D0 04		bne $01479c
	014798 A2 92		ldx #$92
	01479A A0 8F		ldy #$8F
01479C	01479C 86 E7		stx $E7
	01479E 84 E8		sty $E8
	0147A0 38		sec
	0147A1 60		rts

0147A2	0147A2 18		clc
	0147A3 60		rts

0147A4	0147A4 92		???			;undocumented opcode
	0147A5 97 C9		smb 1,$C9
	0147A7 97 00		smb 1,$00		;Cx9	port A (bidirectional)
	0147A9 98		tya
	0147AA 37 98		rmb 3,$98
	0147AC AD D0 99		lda $99D0
	0147AF 0A		asl a
	0147B0 AA		tax
	0147B1 BD A4 47		lda $47A4,x
	0147B4 85 E3		sta $E3
	0147B6 BD A5 47		lda $47A5,x
	0147B9 85 E4		sta $E4
	0147BB 60		rts

0147BC	0147BC AD D1 99		lda $99D1
	0147BF 0A		asl a
	0147C0 AA		tax
	0147C1 BD A4 47		lda $47A4,x
	0147C4 85 DD		sta $DD
	0147C6 BD A5 47		lda $47A5,x
	0147C9 85 DE		sta $DE
	0147CB 60		rts

0147CC	0147CC 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	0147CF 4D C6 99		eor $99C6
	0147D2 AC C5 99		ldy $99C5
	0147D5 20 2D 4D		jsr $4D2D
	0147D8 8D C6 99		sta $99C6
	0147DB 8E C5 99		stx $99C5
	0147DE 60		rts

0147DF	0147DF 20 72 F4		jsr $F472
	0147E2 67 87		rmb 6,$87
	0147E4 60		rts

0147E5	0147E5 6F 87 F7		bbr 6,$87,$0147df
	0147E8 AD E1 99		lda $99E1
	0147EB 0A		asl a
	0147EC AA		tax
	0147ED 7C F0 47		jmp $47F0,x

0147F0	0147F0 00		brk
	0147F1 48		pha
	0147F2 1B		jsb 1			;indirect $FFE2
	0147F3 48		pha
	0147F4 37 48		rmb 3,$48
	0147F6 4E 48 52		lsr $5248
	0147F9 48		pha
	0147FA 5D 48 67		eor $6748,x
	0147FD 48		pha
	0147FE 73		???			;undocumented opcode
	0147FF 48		pha
	014800 AE DF 99		ldx $99DF
	014803 EE DF 99		inc $99DF
	014806 BD E1 46		lda $46E1,x
	014809 E0 02		cpx #$02
	01480B D0 0A		bne $014817
	01480D A2 00		ldx #$00
	01480F 8E DF 99		stx $99DF
	014812 A2 01		ldx #$01
	014814 8E E1 99		stx $99E1
014817	014817 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	01481A 60		rts

01481B	01481B AD E0 99		lda $99E0
	01481E F0 0F		beq $01482f
	014820 20 62 47		jsr $4762
	014823 C9 10		cmp #$10
	014825 D0 05		bne $01482c
	014827 A2 03		ldx #$03
	014829 8E E1 99		stx $99E1
01482C	01482C 4C CC 47		jmp $47CC

01482F	01482F BF 8B 05		bbs 3,$8B,$014837
	014832 2F 87 07		bbr 2,$87,$01483c
	014835 27 87		rmb 2,$87
014837	014837 20 6E 47		jsr $476E
	01483A B0 04		bcs $014840
01483C	01483C A2 05		ldx #$05
	01483E 80 14		bra $014854

014840	014840 A2 02		ldx #$02
	014842 C9 10		cmp #$10
	014844 D0 02		bne $014848
	014846 A2 04		ldx #$04
014848	014848 8E E1 99		stx $99E1
	01484B 4C CC 47		jmp $47CC

01484E	01484E A2 01		ldx #$01
	014850 80 02		bra $014854

014852	014852 A2 02		ldx #$02
014854	014854 8E E1 99		stx $99E1
	014857 A9 10		lda #$10
	014859 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	01485C 60		rts

01485D	01485D A2 06		ldx #$06
	01485F 8E E1 99		stx $99E1
	014862 A9 03		lda #$03
	014864 4C CC 47		jmp $47CC

014867	014867 A2 07		ldx #$07
	014869 8E E1 99		stx $99E1
	01486C AD C6 99		lda $99C6
	01486F 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	014872 60		rts

014873	014873 A2 00		ldx #$00
	014875 8E E1 99		stx $99E1
	014878 AD C5 99		lda $99C5
	01487B 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	01487E 20 DF 47		jsr $47DF
	014881 4C E1 4B		jmp $4BE1

014884	014884 FF 87 05		bbs 7,$87,$01488c
	014887 20 A5 FC		jsr $FCA5
	01488A 80 03		bra $01488f

01488C	01488C 20 3F FA		jsr $FA3F
01488F	01488F 8D C8 99		sta $99C8
	014892 AD CF 99		lda $99CF
	014895 0A		asl a
	014896 AA		tax
	014897 7C 9A 48		jmp $489A,x

01489A	01489A A8		tay
	01489B 48		pha
	01489C E0 48		cpx #$48'H'
	01489E 32		pul
	01489F 49 69		eor #$69'i'
	0148A1 49 78		eor #$78'x'
	0148A3 49 90		eor #$90
	0148A5 49 9C		eor #$9C
	0148A7 49 AE		eor #$AE
	0148A9 CC 99 EE		cpy $EE99
	0148AC CC 99 BD		cpy $BD99
	0148AF E1 46		sbc ($46)
	0148B1 CD C8 99		cmp $99C8
	0148B4 D0 26		bne $0148dc
	0148B6 E0 02		cpx #$02
	0148B8 D0 25		bne $0148df
	0148BA EE CF 99		inc $99CF
	0148BD A2 00		ldx #$00
	0148BF 8E CC 99		stx $99CC
	0148C2 8E C1 99		stx $99C1
	0148C5 8E C2 99		stx $99C2
	0148C8 8E C4 99		stx $99C4
	0148CB 8E C3 99		stx $99C3
	0148CE 8E CD 99		stx $99CD
	0148D1 20 AC 47		jsr $47AC
	0148D4 AE D0 99		ldx $99D0
	0148D7 BD 4E 99		lda $994E,x
	0148DA F0 03		beq $0148df
0148DC	0148DC 20 59 47		jsr $4759
0148DF	0148DF 60		rts

0148E0	0148E0 AE CC 99		ldx $99CC
	0148E3 EE CC 99		inc $99CC
	0148E6 AD C8 99		lda $99C8
	0148E9 91 E3		sta ($E3),x
	0148EB C9 10		cmp #$10
	0148ED D0 06		bne $0148f5
	0148EF A2 03		ldx #$03
	0148F1 8E CF 99		stx $99CF
	0148F4 60		rts

0148F5	0148F5 EE CD 99		inc $99CD
	0148F8 AC CD 99		ldy $99CD
	0148FB C0 37		cpy #$37'7'
	0148FD F0 66		beq $014965
	0148FF AE CC 99		ldx $99CC
	014902 E0 01		cpx #$01
	014904 D0 08		bne $01490e
	014906 8D CE 99		sta $99CE
	014909 EE CE 99		inc $99CE
	01490C 80 07		bra $014915

01490E	01490E E0 02		cpx #$02
	014910 D0 03		bne $014915
	014912 8D D3 99		sta $99D3
014915	014915 20 1D 4D		jsr $4D1D
	014918 AD CD 99		lda $99CD
	01491B CD CE 99		cmp $99CE
	01491E D0 11		bne $014931
	014920 AD C8 99		lda $99C8
	014923 8D D2 99		sta $99D2
	014926 EE CF 99		inc $99CF
	014929 A6 D7		ldx $D7
	01492B 86 E1		stx $E1
	01492D A6 D8		ldx $D8
	01492F 86 E2		stx $E2
014931	014931 60		rts

014932	014932 AD A1 99		lda $99A1
	014935 85 40		sta $40
	014937 AD A2 99		lda $99A2
	01493A 85 41		sta $41
	01493C E6 40		inc $40
	01493E D0 02		bne $014942
	014940 E6 41		inc $41
014942	014942 A5 41		lda $41
	014944 CD C2 99		cmp $99C2
	014947 D0 05		bne $01494e
	014949 A5 40		lda $40
	01494B CD C1 99		cmp $99C1
01494E	01494E F0 15		beq $014965
	014950 AD C8 99		lda $99C8
	014953 C9 10		cmp #$10
	014955 D0 06		bne $01495d
	014957 A2 04		ldx #$04
	014959 8E CF 99		stx $99CF
	01495C 60		rts

01495D	01495D 20 2B 47		jsr $472B
	014960 90 03		bcc $014965
	014962 4C 1D 4D		jmp $4D1D

014965	014965 20 59 47		jsr $4759
	014968 60		rts

014969	014969 AD C8 99		lda $99C8
	01496C C9 10		cmp #$10
	01496E D0 F5		bne $014965
	014970 A2 01		ldx #$01
	014972 8E CF 99		stx $99CF
	014975 4C F5 48		jmp $48F5

014978	014978 AD C8 99		lda $99C8
	01497B C9 10		cmp #$10
	01497D D0 07		bne $014986
	01497F A2 02		ldx #$02
	014981 8E CF 99		stx $99CF
	014984 80 D7		bra $01495d

014986	014986 C9 03		cmp #$03
	014988 D0 DB		bne $014965
	01498A EE CF 99		inc $99CF
	01498D 4C 1D 4D		jmp $4D1D

014990	014990 AD C8 99		lda $99C8
	014993 CD C4 99		cmp $99C4
	014996 D0 CD		bne $014965
	014998 EE CF 99		inc $99CF
	01499B 60		rts

01499C	01499C AD C8 99		lda $99C8
	01499F CD C3 99		cmp $99C3
	0149A2 D0 C1		bne $014965
	0149A4 B7 89		smb 3,$89
	0149A6 0F 3C 03		bbr 0,$3C,$0149ac	;Cx9	serial status register
	0149A9 20 68 02		jsr $0268
0149AC	0149AC A2 00		ldx #$00
	0149AE 8E CC 99		stx $99CC
	0149B1 8E CF 99		stx $99CF
	0149B4 8E B8 99		stx $99B8
	0149B7 AD D3 99		lda $99D3
	0149BA C9 04		cmp #$04
	0149BC D0 02		bne $0149c0
	0149BE 80 33		bra $0149f3

0149C0	0149C0 C9 05		cmp #$05
	0149C2 D0 03		bne $0149c7
	0149C4 4C C1 4A		jmp $4AC1

0149C7	0149C7 3F 85 13		bbr 3,$85,$0149dd
	0149CA C9 09		cmp #$09
	0149CC D0 03		bne $0149d1
	0149CE 4C F4 4E		jmp $4EF4

0149D1	0149D1 C9 08		cmp #$08
	0149D3 D0 03		bne $0149d8
	0149D5 4C 61 4E		jmp $4E61

0149D8	0149D8 C9 0A		cmp #$0A
	0149DA 90 05		bcc $0149e1
	0149DC 60		rts

0149DD	0149DD C9 08		cmp #$08
	0149DF B0 11		bcs $0149f2
0149E1	0149E1 C9 00		cmp #$00
	0149E3 F0 0D		beq $0149f2
	0149E5 AE D0 99		ldx $99D0
	0149E8 9D 4E		sta $4E,x
	0149EA 99 E8		sta $E8,y
	0149EC 8A		txa
	0149ED 29 03		and #$03
	0149EF 8D D0 99		sta $99D0
0149F2	0149F2 60		rts

0149F3	0149F3 AE D2 99		ldx $99D2
	0149F6 EC 9A 99		cpx $999A
	0149F9 F0 1A		beq $014a15
	0149FB 90 17		bcc $014a14
	0149FD BF 87 14		bbs 3,$87,$014a14
	014A00 AD 9A 99		lda $999A
	014A03 38		sec
	014A04 ED A0 99		sbc $99A0
	014A07 B0 07		bcs $014a10
	014A09 89 FF		add #$FF
	014A0B CD D2 99		cmp $99D2
	014A0E 90 04		bcc $014a14
014A10	014A10 B7 87		smb 3,$87
	014A12 87 8B		smb 0,$8B
014A14	014A14 60		rts

014A15	014A15 37 87		rmb 3,$87
	014A17 97 86		smb 1,$86
	014A19 EE 9A 99		inc $999A
	014A1C A5 E1		lda $E1
	014A1E 85 40		sta $40
	014A20 A5 E2		lda $E2
	014A22 85 41		sta $41
	014A24 5F 87 03		bbr 5,$87,$014a2a
	014A27 4C AD 4A		jmp $4AAD

014A2A	014A2A 38		sec
	014A2B A5 40		lda $40
	014A2D E9 92		sbc #$92
	014A2F 85 40		sta $40
	014A31 A5 41		lda $41
	014A33 E9 87		sbc #$87
	014A35 85 41		sta $41
	014A37 A5 41		lda $41
	014A39 D0 24		bne $014a5f
	014A3B A5 40		lda $40
	014A3D F0 18		beq $014a57
	014A3F C9 01		cmp #$01
	014A41 F0 0C		beq $014a4f
	014A43 C9 02		cmp #$02
	014A45 D0 18		bne $014a5f
	014A47 B2 92 40		sti #$92,$40
	014A4A B2 87 41		sti #$87,$41
	014A4D 80 25		bra $014a74

014A4F	014A4F B2 91 40		sti #$91,$40
	014A52 B2 8F 41		sti #$8F,$41
	014A55 80 1D		bra $014a74

014A57	014A57 B2 90 40		sti #$90,$40
	014A5A B2 8F 41		sti #$8F,$41
	014A5D 80 15		bra $014a74

014A5F	014A5F A5 E1		lda $E1
	014A61 85 40		sta $40
	014A63 A5 E2		lda $E2
	014A65 85 41		sta $41
	014A67 38		sec
	014A68 A5 40		lda $40
	014A6A E9 02		sbc #$02
	014A6C 85 40		sta $40
	014A6E A5 41		lda $41
	014A70 E9 00		sbc #$00
	014A72 85 41		sta $41
014A74	014A74 A5 40		lda $40
	014A76 85 D7		sta $D7
	014A78 A5 41		lda $41
	014A7A 85 D8		sta $D8
	014A7C AD C1 99		lda $99C1
	014A7F 85 40		sta $40
	014A81 AD C2 99		lda $99C2
	014A84 85 41		sta $41
	014A86 38		sec
	014A87 A5 40		lda $40
	014A89 E9 02		sbc #$02
	014A8B 85 40		sta $40
	014A8D A5 41		lda $41
	014A8F E9 00		sbc #$00
	014A91 85 41		sta $41
014A93	014A93 18		clc
	014A94 A5 40		lda $40
	014A96 6D 92 99		adc $9992
	014A99 85 40		sta $40
	014A9B A5 41		lda $41
	014A9D 6D 93 99		adc $9993
	014AA0 85 41		sta $41
	014AA2 A5 40		lda $40
	014AA4 8D 92 99		sta $9992
	014AA7 A5 41		lda $41
	014AA9 8D 93 99		sta $9993
	014AAC 60		rts

014AAD	014AAD A5 40		lda $40
	014AAF 85 D7		sta $D7
	014AB1 A5 41		lda $41
	014AB3 85 D8		sta $D8
	014AB5 AD C1 99		lda $99C1
	014AB8 85 40		sta $40
	014ABA AD C2 99		lda $99C2
	014ABD 85 41		sta $41
	014ABF 80 D2		bra $014a93

014AC1	014AC1 B7 86		smb 3,$86
	014AC3 AE CE 99		ldx $99CE
	014AC6 E0 04		cpx #$04
	014AC8 F0 06		beq $014ad0
	014ACA A2 04		ldx #$04
	014ACC A0 07		ldy #$07
	014ACE 80 04		bra $014ad4

014AD0	014AD0 A2 02		ldx #$02
	014AD2 A0 03		ldy #$03
014AD4	014AD4 B1 E3		lda ($E3),x
	014AD6 8D BE 99		sta $99BE
	014AD9 98		tya
	014ADA AA		tax
	014ADB B1 E3		lda ($E3),x
	014ADD 8D BD 99		sta $99BD
	014AE0 AE C0 99		ldx $99C0
	014AE3 CA		dex
	014AE4 EC BE 99		cpx $99BE
	014AE7 D0 14		bne $014afd
	014AE9 AE C0 99		ldx $99C0
	014AEC EC 9B 99		cpx $999B
	014AEF F0 0B		beq $014afc
	014AF1 9F 87 08		bbs 1,$87,$014afc
	014AF4 DF 88 05		bbs 5,$88,$014afc
	014AF7 8E BF 99		stx $99BF
	014AFA D7 88		smb 5,$88
014AFC	014AFC 60		rts

014AFD	014AFD 0F 3C 03		bbr 0,$3C,$014b03	;Cx9	serial status register
	014B00 20 68 02		jsr $0268
014B03	014B03 AD 9B 99		lda $999B
	014B06 CD C0 99		cmp $99C0
	014B09 90 0F		bcc $014b1a
	014B0B AD BE 99		lda $99BE
	014B0E CD 9B 99		cmp $999B
	014B11 B0 59		bcs $014b6c
	014B13 CD C0 99		cmp $99C0
	014B16 90 54		bcc $014b6c
	014B18 80 0D		bra $014b27

014B1A	014B1A AD BE 99		lda $99BE
	014B1D CD C0 99		cmp $99C0
	014B20 B0 05		bcs $014b27
	014B22 CD 9B 99		cmp $999B
	014B25 B0 45		bcs $014b6c
014B27	014B27 AD C0 99		lda $99C0
	014B2A 29 0F		and #$0F
	014B2C AA		tax
	014B2D A9 00		lda #$00
	014B2F 9D FE		sta $FE,x
	014B31 98		tya
	014B32 8A		txa
	014B33 0A		asl a
	014B34 AA		tax
	014B35 BD 0E 99		lda $990E,x
	014B38 8D C1 99		sta $99C1
	014B3B BD 0F 99		lda $990F,x
	014B3E 8D C2 99		sta $99C2
	014B41 AD 94 99		lda $9994
	014B44 85 40		sta $40
	014B46 AD 95 99		lda $9995
	014B49 85 41		sta $41
	014B4B 38		sec
	014B4C A5 40		lda $40
	014B4E ED C1 99		sbc $99C1
	014B51 85 40		sta $40
	014B53 A5 41		lda $41
	014B55 ED C2 99		sbc $99C2
	014B58 85 41		sta $41
	014B5A A5 40		lda $40
	014B5C 8D 94 99		sta $9994
	014B5F A5 41		lda $41
	014B61 8D 95 99		sta $9995
	014B64 EE C0 99		inc $99C0
	014B67 EE E4 99		inc $99E4
	014B6A 80 91		bra $014afd

014B6C	014B6C 20 BD 46		jsr $46BD
	014B6F 20 59 47		jsr $4759
	014B72 60		rts

014B73	014B73 EF 87 05		bbs 6,$87,$014b7b
	014B76 C2 20 1E 06	rba $20,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	014B7A 60		rts

014B7B	014B7B C2 02 11 06	rba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	014B7F AD 14 06		lda $0614		;DPi handshake abort code (ABCODE)
	014B82 C9 41		cmp #$41'A'
	014B84 D0 0F		bne $014b95
	014B86 A9 00		lda #$00
	014B88 8D 14 06		sta $0614		;DPi handshake abort code (ABCODE)
	014B8B 20 72 F4		jsr $F472
	014B8E 67 87		rmb 6,$87
	014B90 37 8B		rmb 3,$8B
	014B92 27 87		rmb 2,$87
	014B94 60		rts

014B95	014B95 6C E2 99		jmp ($99E2)

014B98	014B98 20 62 47		jsr $4762
	014B9B AE E0 99		ldx $99E0
	014B9E F0 04		beq $014ba4
	014BA0 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	014BA3 60		rts

014BA4	014BA4 BF 8B 05		bbs 3,$8B,$014bac
	014BA7 2F 87 29		bbr 2,$87,$014bd3
	014BAA 27 87		rmb 2,$87
014BAC	014BAC 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	014BAF A9 BA		lda #$BA
	014BB1 8D E2 99		sta $99E2
	014BB4 A9 4B		lda #$4B'K'
	014BB6 8D E3 99		sta $99E3
	014BB9 60		rts

014BBA	014BBA 20 6E 47		jsr $476E
	014BBD E4 DB		cpx $DB
	014BBF D0 04		bne $014bc5
	014BC1 C4 DC		cpy $DC
	014BC3 F0 0E		beq $014bd3
014BC5	014BC5 AE DD 99		ldx $99DD
	014BC8 D0 05		bne $014bcf
	014BCA AE DE 99		ldx $99DE
	014BCD F0 04		beq $014bd3
014BCF	014BCF 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	014BD2 60		rts

014BD3	014BD3 48		pha
	014BD4 D2 02 11 06	sba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	014BD8 20 72 F4		jsr $F472
	014BDB 67 87		rmb 6,$87
	014BDD 68		pla
	014BDE 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	014BE1 3F 8B 5E		bbr 3,$8B,$014c42
	014BE4 0F 3C 03		bbr 0,$3C,$014bea	;Cx9	serial status register
	014BE7 20 68 02		jsr $0268
014BEA	014BEA 37 8B		rmb 3,$8B
	014BEC A6 E7		ldx $E7
	014BEE 86 D9		stx $D9
	014BF0 A6 E8		ldx $E8
	014BF2 86 DA		stx $DA
	014BF4 AD DA 99		lda $99DA
014BF7	014BF7 85 40		sta $40
	014BF9 AD DB 99		lda $99DB
	014BFC 85 41		sta $41
	014BFE 38		sec
	014BFF A5 40		lda $40
	014C01 ED DD 99		sbc $99DD
	014C04 85 40		sta $40
	014C06 A5 41		lda $41
	014C08 ED DE 99		sbc $99DE
	014C0B 85 41		sta $41
	014C0D AD 9B 99		lda $999B
	014C10 EE 9B 99		inc $999B
	014C13 29 0F		and #$0F
	014C15 AA		tax
	014C16 A9 FF		lda #$FF
	014C18 9D FE		sta $FE,x
	014C1A 98		tya
	014C1B 8A		txa
	014C1C 0A		asl a
	014C1D AA		tax
	014C1E A5 40		lda $40
	014C20 9D 0E		sta $0E,x		;Cx9 PBUL, PBB	to PBLL
	014C22 99 A5		sta $A5,y
	014C24 41 9D		eor ($9D)
	014C26 0F 99 CE		bbr 0,$99,$014bf7
	014C29 E4 99		cpx $99
	014C2B 9F 87 08		bbs 1,$87,$014c36
	014C2E AD BD 99		lda $99BD
	014C31 F0 03		beq $014c36
	014C33 CE BD 99		dec $99BD
014C36	014C36 AE C0 99		ldx $99C0
	014C39 E8		inx
	014C3A EC 9B 99		cpx $999B
	014C3D D0 03		bne $014c42
	014C3F 20 BD 46		jsr $46BD
014C42	014C42 60		rts

014C43	014C43 AD 0A 06		lda $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	014C46 CD 0A 06		cmp $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	014C49 EA		nop
	014C4A EA		nop
	014C4B EA		nop
	014C4C EA		nop
	014C4D EA		nop
	014C4E D0 F3		bne $014c43
	014C50 AE 00 06		ldx $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	014C53 A8		tay
	014C54 29 39		and #$39'9'
	014C56 F0 09		beq $014c61
	014C58 4A		lsr a
	014C59 90 02		bcc $014c5d
	014C5B 80 18		bra $014c75

014C5D	014C5D D7 86		smb 5,$86
	014C5F 60		rts

014C60	014C60 60		rts

014C61	014C61 DF 86 FC		bbs 5,$86,$014c60
	014C64 8E C8 99		stx $99C8
	014C67 AD CF 99		lda $99CF
	014C6A 0A		asl a
	014C6B AA		tax
	014C6C 7C 6F 4C		jmp $4C6F,x

014C6F	014C6F 93		???			;undocumented opcode
	014C70 4C C2 4C		jmp $4CC2

014C73	014C73 EF 4C DF		bbs 6,$4C,$014c55
	014C76 86 13		stx $13			;Cx9 TAS, TAUL, Clear, Download
	014C78 8F 87 10		bbs 0,$87,$014c8b
	014C7B 98		tya
	014C7C 29 38		and #$38'8'
	014C7E D0 0B		bne $014c8b
	014C80 9F 6C 08		bbs 1,$6C,$014c8b
	014C83 9F 85 03		bbs 1,$85,$014c89
	014C86 4C A4 49		jmp $49A4

014C89	014C89 87 8B		smb 0,$8B
014C8B	014C8B 17 85		rmb 1,$85
	014C8D 57 86		rmb 5,$86
	014C8F 20 59 47		jsr $4759
	014C92 60		rts

014C93	014C93 AE D0 99		ldx $99D0
	014C96 BD 4E 99		lda $994E,x
	014C99 D0 4E		bne $014ce9
	014C9B 87 87		smb 0,$87
	014C9D 20 AC 47		jsr $47AC
	014CA0 AD C8 99		lda $99C8
	014CA3 81 E3		sta ($E3)
	014CA5 89 01		add #$01
	014CA7 8D CE 99		sta $99CE
	014CAA A2 00		ldx #$00
	014CAC 8E C1 99		stx $99C1
	014CAF 8E C2 99		stx $99C2
	014CB2 E8		inx
	014CB3 8E CD 99		stx $99CD
	014CB6 8E CF 99		stx $99CF
	014CB9 A6 D7		ldx $D7
	014CBB 86 E1		stx $E1
	014CBD A6 D8		ldx $D8
	014CBF 86 E2		stx $E2
	014CC1 60		rts

014CC2	014CC2 AD C8 99		lda $99C8
	014CC5 AE CD 99		ldx $99CD
	014CC8 91 E3		sta ($E3),x
	014CCA E8		inx
	014CCB 8E CD 99		stx $99CD
	014CCE E0 37		cpx #$37'7'
	014CD0 F0 17		beq $014ce9
	014CD2 E0 02		cpx #$02
	014CD4 D0 03		bne $014cd9
	014CD6 8D D3 99		sta $99D3
014CD9	014CD9 EC CE 99		cpx $99CE
	014CDC D0 0A		bne $014ce8
	014CDE 8D D2 99		sta $99D2
	014CE1 07 87		rmb 0,$87
	014CE3 A2 02		ldx #$02
	014CE5 8E CF 99		stx $99CF
014CE8	014CE8 60		rts

014CE9	014CE9 D7 86		smb 5,$86
	014CEB 20 59 47		jsr $4759
	014CEE 60		rts

014CEF	014CEF AD A1 99		lda $99A1
	014CF2 85 40		sta $40
	014CF4 AD A2 99		lda $99A2
	014CF7 85 41		sta $41
	014CF9 18		clc
	014CFA A5 40		lda $40
	014CFC 69 02		adc #$02
	014CFE 85 40		sta $40
	014D00 A5 41		lda $41
	014D02 69 00		adc #$00
	014D04 85 41		sta $41
	014D06 A5 41		lda $41
	014D08 CD C2 99		cmp $99C2
	014D0B D0 05		bne $014d12
	014D0D A5 40		lda $40
	014D0F CD C1 99		cmp $99C1
014D12	014D12 F0 D5		beq $014ce9
	014D14 AD C8 99		lda $99C8
	014D17 20 2B 47		jsr $472B
	014D1A 90 CD		bcc $014ce9
	014D1C 60		rts

014D1D	014D1D 4D C4 99		eor $99C4
	014D20 AC C3 99		ldy $99C3
	014D23 20 2D 4D		jsr $4D2D
	014D26 8D C4 99		sta $99C4
	014D29 8E C3 99		stx $99C3
	014D2C 60		rts

014D2D	014D2D 85 40		sta $40
	014D2F 0A		asl a
	014D30 45 40		eor $40
	014D32 85 40		sta $40
	014D34 0A		asl a
	014D35 0A		asl a
	014D36 45 40		eor $40
	014D38 85 40		sta $40
	014D3A 0A		asl a
	014D3B 0A		asl a
	014D3C 0A		asl a
	014D3D 0A		asl a
	014D3E 45 40		eor $40
	014D40 85 40		sta $40
	014D42 4A		lsr a
	014D43 4A		lsr a
	014D44 45 40		eor $40
	014D46 AA		tax
	014D47 A5 40		lda $40
	014D49 6A		ror a
	014D4A 6A		ror a
	014D4B 6A		ror a
	014D4C 29 C0		and #$C0
	014D4E 85 40		sta $40
	014D50 8A		txa
	014D51 2A		rol a
	014D52 2A		rol a
	014D53 29 01		and #$01
	014D55 05 40		ora $40
	014D57 84 40		sty $40
	014D59 45 40		eor $40
	014D5B 60		rts

014D5C	014D5C 6F 57 2A		bbr 6,$57,$014d89
	014D5F 97 85		smb 1,$85
	014D61 20 72 F4		jsr $F472
	014D64 D2 01 07 06	sba $01,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	014D68 20 8A 4D		jsr $4D8A
	014D6B 20 A1 4D		jsr $4DA1
	014D6E 20 B8 4D		jsr $4DB8
	014D71 2F 81 03		bbr 2,$81,$014d77
	014D74 20 F4 17		jsr $17F4
014D77	014D77 6F 81 06		bbr 6,$81,$014d80
	014D7A 7F 82 03		bbr 7,$82,$014d80
	014D7D 20 A5 1B		jsr $1BA5
014D80	014D80 A2 0A		ldx #$0A
	014D82 20 BB F2		jsr $F2BB
	014D85 C2 01 07 06	rba $01,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
014D89	014D89 60		rts

014D8A	014D8A A9 31		lda #$31'1'
	014D8C 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	014D8F A9 80		lda #$80
	014D91 20 9C FC		jsr $FC9C{meaddh_w}
	014D94 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	014D97 09 80		ora #$80
	014D99 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	014D9C A9 A0		lda #$A0
	014D9E 4C 9C FC		jmp $FC9C{meaddh_w}

014DA1	014DA1 A9 B1		lda #$B1
	014DA3 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	014DA6 A9 80		lda #$80
	014DA8 20 9C FC		jsr $FC9C{meaddh_w}
	014DAB AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	014DAE 09 01		ora #$01
	014DB0 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	014DB3 A9 A0		lda #$A0
	014DB5 4C 9C FC		jmp $FC9C{meaddh_w}

014DB8	014DB8 A9 00		lda #$00
	014DBA 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	014DBD A9 70		lda #$70'p'
	014DBF 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	014DC2 A9 A0		lda #$A0
	014DC4 20 9C FC		jsr $FC9C{meaddh_w}
	014DC7 A9 00		lda #$00
	014DC9 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	014DCC A9 71		lda #$71'q'
	014DCE 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	014DD1 A9 A0		lda #$A0
	014DD3 4C 9C FC		jmp $FC9C{meaddh_w}

014DD6	014DD6 BE 18 90		lda $9018,y
	014DD9 18		clc
	014DDA A8		tay
	014DDB 1C		???			;undocumented opcode
	014DDC B4 1E		ldy $1E,x		;Cx9	bank switch register 6 (R/W)
	014DDE C0 20		cpy #$20' '
	014DE0 CE 22 A0		dec $A022
	014DE3 05 20		ora $20			;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	014DE5 76 F5		ror $F5,x
	014DE7 B0 09		bcs $014df2
	014DE9 20 63 F5		jsr $F563
	014DEC 90 66		bcc $014e54
	014DEE A9 00		lda #$00
	014DF0 80 1E		bra $014e10

014DF2	014DF2 A9 E3		lda #$E3
	014DF4 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	014DF7 A9 82		lda #$82
	014DF9 20 9C FC		jsr $FC9C{meaddh_w}
	014DFC AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	014DFF D0 04		bne $014e05
	014E01 A9 01		lda #$01
	014E03 80 0B		bra $014e10

014E05	014E05 A2 08		ldx #$08
014E07	014E07 CA		dex
	014E08 2A		rol a
	014E09 90 FC		bcc $014e07
	014E0B 8A		txa
	014E0C C9 06		cmp #$06
	014E0E B0 44		bcs $014e54
014E10	014E10 0A		asl a
	014E11 AA		tax
	014E12 BD D6 4D		lda $4DD6,x
	014E15 85 40		sta $40
	014E17 B2 00 41		sti #$00,$41
	014E1A BD D7 4D		lda $4DD7,x
	014E1D 85 42		sta $42
	014E1F B2 00 43		sti #$00,$43
	014E22 A9 39		lda #$39'9'
	014E24 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	014E27 A9 82		lda #$82
	014E29 20 9C FC		jsr $FC9C{meaddh_w}
	014E2C AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	014E2F 85 44		sta $44
	014E31 AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	014E34 85 45		sta $45
014E36	014E36 A5 45		lda $45
	014E38 C5 41		cmp $41
	014E3A D0 04		bne $014e40
	014E3C A5 44		lda $44
	014E3E C5 40		cmp $40
014E40	014E40 90 12		bcc $014e54
	014E42 C8		iny
	014E43 18		clc
	014E44 A5 40		lda $40
	014E46 65 42		adc $42
	014E48 85 40		sta $40
	014E4A A5 41		lda $41
	014E4C 65 43		adc $43
	014E4E 85 41		sta $41
	014E50 C0 96		cpy #$96
	014E52 90 E2		bcc $014e36
014E54	014E54 84 40		sty $40
	014E56 C0 0A		cpy #$0A
	014E58 90 06		bcc $014e60
	014E5A A5 40		lda $40
	014E5C 89 0A		add #$0A
	014E5E 85 40		sta $40
014E60	014E60 60		rts

014E61	014E61 A2 02		ldx #$02
	014E63 B1 E3		lda ($E3),x
	014E65 C9 0B		cmp #$0B
	014E67 90 01		bcc $014e6a
	014E69 60		rts

014E6A	014E6A 0A		asl a
	014E6B AA		tax
	014E6C 7C 6F 4E		jmp $4E6F,x

014E6F	014E6F 89 4E		add #$4E'N'
	014E71 89 4E		add #$4E'N'
	014E73 85 4E		sta $4E
	014E75 8A		txa
	014E76 4E 8F 4E		lsr $4E8F
	014E79 94 4E		sty $4E,x
	014E7B 89 4E		add #$4E'N'
	014E7D 89 4E		add #$4E'N'
	014E7F 89 4E		add #$4E'N'
	014E81 9E		???			;undocumented opcode
	014E82 4E A3 4E		lsr $4EA3
	014E85 D2 40 47 9A	sba $40,$9A47
	014E89 60		rts

014E8A	014E8A D2 80 47 9A	sba $80,$9A47
	014E8E 60		rts

014E8F	014E8F D2 20 46 9A	sba $20,$9A46
	014E93 60		rts

014E94	014E94 37 89		rmb 3,$89
	014E96 EE 50 9A		inc $9A50
	014E99 D2 40 46 9A	sba $40,$9A46
	014E9D 60		rts

014E9E	014E9E D2 80 46 9A	sba $80,$9A46
	014EA2 60		rts

014EA3	014EA3 87 89		smb 0,$89
	014EA5 87 8B		smb 0,$8B
	014EA7 A2 03		ldx #$03
	014EA9 B1 E3		lda ($E3),x
	014EAB 8D 48 9A		sta $9A48
	014EAE E8		inx
	014EAF B1 E3		lda ($E3),x
	014EB1 8D 49 9A		sta $9A49
	014EB4 20 BB 4E		jsr $4EBB
	014EB7 20 E4 4E		jsr $4EE4
	014EBA 60		rts

014EBB	014EBB AD 48 9A		lda $9A48
	014EBE 4D 4C 9A		eor $9A4C
	014EC1 10 01		bpl $014ec4
	014EC3 60		rts

014EC4	014EC4 F0 09		beq $014ecf
	014EC6 A9 80		lda #$80
	014EC8 4D 4C 9A		eor $9A4C
	014ECB 8D 4C 9A		sta $9A4C
	014ECE 60		rts

014ECF	014ECF AE 4C 9A		ldx $9A4C
	014ED2 8A		txa
	014ED3 89 01		add #$01
	014ED5 29 7F		and #$7F
	014ED7 8D 4C 9A		sta $9A4C
	014EDA 8A		txa
	014EDB 29 80		and #$80
	014EDD 0D 4C 9A		ora $9A4C
	014EE0 8D 4C 9A		sta $9A4C
	014EE3 60		rts

014EE4	014EE4 AD 49 9A		lda $9A49
	014EE7 4D 4B 9A		eor $9A4B
	014EEA 30 01		bmi $014eed
	014EEC 60		rts

014EED	014EED AD 49 9A		lda $9A49
	014EF0 8D 4B 9A		sta $9A4B
	014EF3 60		rts

014EF4	014EF4 A2 02		ldx #$02
	014EF6 B1 E3		lda ($E3),x
	014EF8 8D 49 9A		sta $9A49
	014EFB 20 E4 4E		jsr $4EE4
	014EFE AE CE 99		ldx $99CE
	014F01 E0 05		cpx #$05
	014F03 D0 09		bne $014f0e
	014F05 B7 86		smb 3,$86
	014F07 A2 03		ldx #$03
	014F09 A0 04		ldy #$04
	014F0B 4C D4 4A		jmp $4AD4

014F0E	014F0E 60		rts

014F0F	014F0F 5F 64 08		bbr 5,$64,$014f1a
	014F12 AD 6C 9A		lda $9A6C
	014F15 F0 04		beq $014f1b
	014F17 4C 1F 51		jmp $511F

014F1A	014F1A 60		rts

014F1B	014F1B AD 6B 9A		lda $9A6B
	014F1E 0A		asl a
	014F1F AA		tax
	014F20 7C 23 4F		jmp $4F23,x

014F23	014F23 31 4F		and ($4F),x
	014F25 BC 4F EB		ldy $EB4F,x
	014F28 4F 0C 50		bbr 4,$0C,$014f7b	;Cx9 PTG B Mode (R/W)
	014F2B 3C		???			;undocumented opcode
	014F2C 50 6D		bvc $014f9b
	014F2E 50 97		bvc $014ec7
	014F30 50 1F		bvc $014f51
	014F32 6C 01 60		jmp ($6001)

014F35	014F35 CF 89 08		bbs 4,$89,$014f40
	014F38 F2 46 9A 20 3F	bas $9A46,$20,$014f7c
	014F3D 4C B0 4F		jmp $4FB0

014F40	014F40 47 89		rmb 4,$89
	014F42 E2 47 9A 01 1A	bar $9A47,$01,$014f61
	014F47 E2 46 9A 01 15	bar $9A46,$01,$014f61
	014F4C 20 64 4F		jsr $4F64
	014F4F 30 10		bmi $014f61
014F51	014F51 D2 08 40 9A	sba $08,$9A40
	014F55 20 D5 56		jsr $56D5
	014F58 20 9F 52		jsr $529F
	014F5B A9 06		lda #$06
	014F5D 8D 6B 9A		sta $9A6B
	014F60 60		rts

014F61	014F61 4C 19 51		jmp $5119

014F64	014F64 A9 01		lda #$01
	014F66 80 02		bra $014f6a

014F68	014F68 A9 00		lda #$00
014F6A	014F6A 8D 37 9A		sta $9A37
	014F6D 07 70		rmb 0,$70
	014F6F 17 70		rmb 1,$70
	014F71 20 AB 54		jsr $54AB
	014F74 48		pha
	014F75 A9 00		lda #$00
	014F77 8D 37 9A		sta $9A37
	014F7A 68		pla
014F7B	014F7B 60		rts

014F7C	014F7C F2 4E 01 02 12	bas $014E,$02,$014f93
	014F81 1F 70 05		bbr 1,$70,$014f89
	014F84 20 64 4F		jsr $4F64
	014F87 10 0A		bpl $014f93
014F89	014F89 C2 20 46 9A	rba $20,$9A46
	014F8D A9 09		lda #$09
	014F8F 8D 3F 9A		sta $9A3F
	014F92 60		rts

014F93	014F93 20 D5 56		jsr $56D5
	014F96 C2 01 3A 9A	rba $01,$9A3A
	014F9A 17 89		rmb 1,$89
	014F9C 17 88		rmb 1,$88
	014F9E C2 20 46 9A	rba $20,$9A46
	014FA2 A9 05		lda #$05
	014FA4 8D 3F 9A		sta $9A3F
	014FA7 20 92 52		jsr $5292
	014FAA A9 02		lda #$02
	014FAC 8D 6B 9A		sta $9A6B
	014FAF 60		rts

014FB0	014FB0 5F 60 06		bbr 5,$60,$014fb9
	014FB3 1F 70 03		bbr 1,$70,$014fb9
	014FB6 4C 42 4F		jmp $4F42

014FB9	014FB9 4C 19 51		jmp $5119

014FBC	014FBC 2F 60 19		bbr 2,$60,$014fd8
	014FBF DF 60 20		bbs 5,$60,$014fe2
	014FC2 E2 46 9A 20 03	bar $9A46,$20,$014fca
	014FC7 4C 93 4F		jmp $4F93

014FCA	014FCA E2 46 9A 40 0A	bar $9A46,$40,$014fd9
	014FCF C2 40 46 9A	rba $40,$9A46
	014FD3 A9 02		lda #$02
	014FD5 8D 6B 9A		sta $9A6B
014FD8	014FD8 60		rts

014FD9	014FD9 E2 46 9A 80 FA	bar $9A46,$80,$014fd8
	014FDE C2 80 46 9A	rba $80,$9A46
014FE2	014FE2 20 A6 52		jsr $52A6
	014FE5 20 EE 50		jsr $50EE
	014FE8 4C 19 51		jmp $5119

014FEB	014FEB 2F 60 1D		bbr 2,$60,$01500b
	014FEE C2 01 39 9A	rba $01,$9A39
	014FF2 C2 02 39 9A	rba $02,$9A39
	014FF6 A9 00		lda #$00
	014FF8 8D 6D 9A		sta $9A6D
	014FFB 8D 50 9A		sta $9A50
	014FFE 8D 38 9A		sta $9A38
	015001 A9 01		lda #$01
	015003 8D 37 9A		sta $9A37
	015006 A9 03		lda #$03
	015008 8D 6B 9A		sta $9A6B
01500B	01500B 60		rts

01500C	01500C E2 39 9A 01 0F	bar $9A39,$01,$015020
	015011 F2 39 9A 02 0B	bas $9A39,$02,$015021
	015016 37 89		rmb 3,$89
	015018 A9 04		lda #$04
	01501A 8D 6B 9A		sta $9A6B
	01501D 20 48 29		jsr $2948
015020	015020 60		rts

015021	015021 E2 46 9A 01 0E	bar $9A46,$01,$015034
	015026 E2 47 9A 01 09	bar $9A47,$01,$015034
	01502B 20 A6 52		jsr $52A6
	01502E 20 EE 50		jsr $50EE
	015031 4C 19 51		jmp $5119

015034	015034 A9 00		lda #$00
	015036 8D 40 9A		sta $9A40
	015039 4C 17 34		jmp $3417

01503C	01503C E2 3A 9A 01 06	bar $9A3A,$01,$015047
015041	015041 A9 05		lda #$05
	015043 8D 6B 9A		sta $9A6B
	015046 60		rts

015047	015047 AD 50 9A		lda $9A50
	01504A C9 0A		cmp #$0A
	01504C B0 F3		bcs $015041
	01504E F2 47 9A 40 CE	bas $9A47,$40,$015021
	015053 3F 89 03		bbr 3,$89,$015059
	015056 4C D3 50		jmp $50D3

015059	015059 2F 60 10		bbr 2,$60,$01506c
	01505C 87 8B		smb 0,$8B
	01505E 17 88		rmb 1,$88
	015060 20 92 52		jsr $5292
	015063 4F 60 06		bbr 4,$60,$01506c
	015066 D2 02 39 9A	sba $02,$9A39
	01506A 80 B5		bra $015021

01506C	01506C 60		rts

01506D	01506D E2 3A 9A 01 07	bar $9A3A,$01,$015079
	015072 AD 50 9A		lda $9A50
	015075 C9 0A		cmp #$0A
	015077 B0 5A		bcs $0150d3
015079	015079 F2 47 9A 40 A3	bas $9A47,$40,$015021
	01507E BF 89 52		bbs 3,$89,$0150d3
	015081 4F 60 07		bbr 4,$60,$01508b
	015084 D2 02 39 9A	sba $02,$9A39
	015088 4C 21 50		jmp $5021

01508B	01508B 2F 60 08		bbr 2,$60,$015096
	01508E A9 05		lda #$05
	015090 8D 3F 9A		sta $9A3F
	015093 20 92 52		jsr $5292
015096	015096 60		rts

015097	015097 E2 46 9A 20 03	bar $9A46,$20,$01509f
	01509C 4C 93 4F		jmp $4F93

01509F	01509F 9F 89 28		bbs 1,$89,$0150ca
	0150A2 A9 04		lda #$04
	0150A4 8D 3F 9A		sta $9A3F
	0150A7 D2 01 3A 9A	sba $01,$9A3A
	0150AB C2 80 46 9A	rba $80,$9A46
	0150AF C2 40 46 9A	rba $40,$9A46
	0150B3 08		php
	0150B4 78		sei
	0150B5 20 92 52		jsr $5292
	0150B8 A9 04		lda #$04
	0150BA 8D 03 86		sta $8603
	0150BD A9 00		lda #$00
	0150BF 8D 04 86		sta $8604
	0150C2 57 60		rmb 5,$60
	0150C4 28		plp
	0150C5 A9 01		lda #$01
	0150C7 8D 6B 9A		sta $9A6B
0150CA	0150CA E2 47 9A 40 03	bar $9A47,$40,$0150d2
	0150CF 4C 21 50		jmp $5021

0150D2	0150D2 60		rts

0150D3	0150D3 A9 20		lda #$20' '
	0150D5 8D 3E 9A		sta $9A3E
	0150D8 78		sei
	0150D9 87 8B		smb 0,$8B
	0150DB 58		cli
	0150DC A9 1E		lda #$1E
	0150DE 8D 03 86		sta $8603
	0150E1 A9 00		lda #$00
	0150E3 8D 04 86		sta $8604
	0150E6 57 60		rmb 5,$60
	0150E8 20 EE 50		jsr $50EE
	0150EB 4C 19 51		jmp $5119

0150EE	0150EE 17 88		rmb 1,$88
	0150F0 A9 00		lda #$00
	0150F2 8D 40 9A		sta $9A40
	0150F5 8D 50 9A		sta $9A50
	0150F8 8D 6D 9A		sta $9A6D
	0150FB 8D 37 9A		sta $9A37
	0150FE 8D 6B 9A		sta $9A6B
	015101 A9 01		lda #$01
	015103 8D 47 9A		sta $9A47
	015106 A9 01		lda #$01
	015108 8D 46 9A		sta $9A46
	01510B C2 01 39 9A	rba $01,$9A39
	01510F C2 01 3A 9A	rba $01,$9A3A
	015113 A9 0A		lda #$0A
	015115 8D 3F 9A		sta $9A3F
	015118 60		rts

015119	015119 AD 6B 9A		lda $9A6B
	01511C F0 01		beq $01511f
	01511E 60		rts

01511F	01511F AD 6C 9A		lda $9A6C
	015122 0A		asl a
	015123 AA		tax
	015124 7C 27 51		jmp $5127,x

015127	015127 33		plw
	015128 51 B4		eor ($B4),x
	01512A 51 DB		eor ($DB),x
	01512C 51 F6		eor ($F6),x
	01512E 51 16		eor ($16),x		;Cx9 TBS (R), TBUL (W)
	015130 52		clw
	015131 4C 52 9F		jmp $9F52

015134	015134 6C 06 DF		jmp ($DF06)

015137	015137 89 04		add #$04
	015139 4C 78 51		jmp $5178

01513C	01513C 60		rts

01513D	01513D 57 89		rmb 5,$89
	01513F F2 47 9A 01 03	bas $9A47,$01,$015147
	015144 4C 17 34		jmp $3417

015147	015147 F2 46 9A 01 01	bas $9A46,$01,$01514d
	01514C 60		rts

01514D	01514D 20 68 4F		jsr $4F68
	015150 20 D5 56		jsr $56D5
	015153 D2 08 40 9A	sba $08,$9A40
	015157 F2 47 9A 20 0C	bas $9A47,$20,$015168
	01515C A9 00		lda #$00
	01515E 8D 6D 9A		sta $9A6D
	015161 A9 04		lda #$04
	015163 8D 6C 9A		sta $9A6C
	015166 80 07		bra $01516f

015168	015168 A7 60		smb 2,$60
	01516A A9 01		lda #$01
	01516C 8D 6C 9A		sta $9A6C
01516F	01516F AD 47 9A		lda $9A47
	015172 29 C1		and #$C1
	015174 8D 47 9A		sta $9A47
	015177 60		rts

015178	015178 E2 47 9A 40 18	bar $9A47,$40,$015195
	01517D C2 40 47 9A	rba $40,$9A47
	015181 20 68 4F		jsr $4F68
	015184 20 D5 56		jsr $56D5
	015187 A9 03		lda #$03
	015189 8D 3F 9A		sta $9A3F
	01518C 20 92 52		jsr $5292
	01518F A9 02		lda #$02
	015191 8D 6C 9A		sta $9A6C
	015194 60		rts

015195	015195 E2 39 9A 02 04	bar $9A39,$02,$01519e
	01519A C2 02 39 9A	rba $02,$9A39
01519E	01519E 8F 70 07		bbs 0,$70,$0151a8
	0151A1 AD 47 9A		lda $9A47
	0151A4 29 20		and #$20' '
	0151A6 F0 0B		beq $0151b3
0151A8	0151A8 20 68 4F		jsr $4F68
	0151AB 10 03		bpl $0151b0
	0151AD 4C 17 34		jmp $3417

0151B0	0151B0 4C 3D 51		jmp $513D

0151B3	0151B3 60		rts

0151B4	0151B4 AF 60 10		bbs 2,$60,$0151c7
	0151B7 E2 47 9A 40 06	bar $9A47,$40,$0151c2
	0151BC A9 00		lda #$00
	0151BE 8D 6C 9A		sta $9A6C
	0151C1 60		rts

0151C2	0151C2 E2 47 9A 80 13	bar $9A47,$80,$0151da
0151C7	0151C7 C2 80 47 9A	rba $80,$9A47
	0151CB A9 00		lda #$00
	0151CD 8D 38 9A		sta $9A38
	0151D0 A9 02		lda #$02
	0151D2 8D 37 9A		sta $9A37
	0151D5 A9 03		lda #$03
	0151D7 8D 6C 9A		sta $9A6C
0151DA	0151DA 60		rts

0151DB	0151DB 2F 60 17		bbr 2,$60,$0151f5
	0151DE C2 01 3B 9A	rba $01,$9A3B
	0151E2 C2 02 3B 9A	rba $02,$9A3B
	0151E6 A9 00		lda #$00
	0151E8 8D 38 9A		sta $9A38
	0151EB A9 02		lda #$02
	0151ED 8D 37 9A		sta $9A37
	0151F0 A9 03		lda #$03
	0151F2 8D 6C 9A		sta $9A6C
0151F5	0151F5 60		rts

0151F6	0151F6 E2 3B 9A 01 1A	bar $9A3B,$01,$015215
	0151FB F2 3B 9A 02 53	bas $9A3B,$02,$015253
	015200 37 89		rmb 3,$89
	015202 87 8B		smb 0,$8B
	015204 A9 F4		lda #$F4
	015206 8D 92 9A		sta $9A92
	015209 A9 01		lda #$01
	01520B 8D 93 9A		sta $9A93
	01520E 27 60		rmb 2,$60
	015210 A9 05		lda #$05
	015212 8D 6C 9A		sta $9A6C
015215	015215 60		rts

015216	015216 E2 47 9A 40 03	bar $9A47,$40,$01521e
	01521B 4C 84 51		jmp $5184

01521E	01521E 9F 6C 1E		bbs 1,$6C,$01523f
	015221 F2 47 9A 80 19	bas $9A47,$80,$01523f
	015226 EF 87 22		bbs 6,$87,$01524b
	015229 2F 60 1F		bbr 2,$60,$01524b
	01522C AD 6D 9A		lda $9A6D
	01522F C9 06		cmp #$06
	015231 B0 0C		bcs $01523f
	015233 EE 6D 9A		inc $9A6D
	015236 A9 02		lda #$02
	015238 8D 3F 9A		sta $9A3F
	01523B 20 92 52		jsr $5292
	01523E 60		rts

01523F	01523F A7 60		smb 2,$60
	015241 A9 00		lda #$00
	015243 8D 6D 9A		sta $9A6D
	015246 A9 01		lda #$01
	015248 8D 6C 9A		sta $9A6C
01524B	01524B 60		rts

01524C	01524C AF 60 04		bbs 2,$60,$015253
	01524F BF 89 09		bbs 3,$89,$01525b
	015252 60		rts

015253	015253 A9 00		lda #$00
	015255 8D 40 9A		sta $9A40
	015258 4C 17 34		jmp $3417

01525B	01525B A9 20		lda #$20' '
	01525D 8D 3E 9A		sta $9A3E
	015260 A9 00		lda #$00
	015262 8D 40 9A		sta $9A40
	015265 8D 6C 9A		sta $9A6C
	015268 8D 37 9A		sta $9A37
	01526B 8D 6D 9A		sta $9A6D
	01526E AD 47 9A		lda $9A47
	015271 29 01		and #$01
	015273 8D 47 9A		sta $9A47
	015276 C2 01 3B 9A	rba $01,$9A3B
	01527A C2 02 39 9A	rba $02,$9A39
	01527E 08		php
	01527F 78		sei
	015280 A9 1E		lda #$1E
	015282 8D 03 86		sta $8603
	015285 A9 00		lda #$00
	015287 8D 04 86		sta $8604
	01528A 57 60		rmb 5,$60
	01528C 87 8B		smb 0,$8B
	01528E 28		plp
	01528F 4C 48 29		jmp $2948

015292	015292 A9 0A		lda #$0A
	015294 8D 92 9A		sta $9A92
	015297 A9 00		lda #$00
	015299 8D 93 9A		sta $9A93
	01529C 27 60		rmb 2,$60
	01529E 60		rts

01529F	01529F 87 8B		smb 0,$8B
	0152A1 97 89		smb 1,$89
	0152A3 97 88		smb 1,$88
	0152A5 60		rts

0152A6	0152A6 A9 3C		lda #$3C'<'
	0152A8 8D 03 86		sta $8603
	0152AB A9 00		lda #$00
	0152AD 8D 04 86		sta $8604
	0152B0 57 60		rmb 5,$60
	0152B2 60		rts

0152B3	0152B3 AA		tax
	0152B4 E2 84 01 04 18	bar $0184,$04,$0152d1
	0152B9 AD 28 01		lda $0128
	0152BC 29 1F		and #$1F
	0152BE F0 0E		beq $0152ce
	0152C0 C9 01		cmp #$01
	0152C2 F0 07		beq $0152cb
	0152C4 CD 25 01		cmp $0125
	0152C7 B0 09		bcs $0152d2
	0152C9 80 06		bra $0152d1

0152CB	0152CB A9 1E		lda #$1E
	0152CD 60		rts

0152CE	0152CE A9 1A		lda #$1A
	0152D0 60		rts

0152D1	0152D1 8A		txa
0152D2	0152D2 60		rts

0152D3	0152D3 A9 FF		lda #$FF
	0152D5 8D 42 9A		sta $9A42
	0152D8 8D 41 9A		sta $9A41
	0152DB 60		rts

0152DC	0152DC AD 38 9A		lda $9A38
	0152DF 29 FE		and #$FE
	0152E1 F0 06		beq $0152e9
	0152E3 4F 60 03		bbr 4,$60,$0152e9
	0152E6 4C 74 54		jmp $5474

0152E9	0152E9 20 FB 52		jsr $52FB
	0152EC CD 38 9A		cmp $9A38
	0152EF F0 07		beq $0152f8
	0152F1 8D 38 9A		sta $9A38
	0152F4 D7 84		smb 5,$84
	0152F6 80 E4		bra $0152dc

0152F8	0152F8 57 84		rmb 5,$84
	0152FA 60		rts

0152FB	0152FB AD 38 9A		lda $9A38
	0152FE 0A		asl a
	0152FF AA		tax
	015300 7C 03 53		jmp $5303,x

015303	015303 17 53		rmb 1,$53
	015305 1C		???			;undocumented opcode
	015306 53		???			;undocumented opcode
	015307 4E 53 77		lsr $7753
	01530A 53		???			;undocumented opcode
	01530B AC 53 C6		ldy $C653
	01530E 53		???			;undocumented opcode
	01530F F8		sed
	015310 53		???			;undocumented opcode
	015311 1D 54 31		ora $3154,x
	015314 54		???			;undocumented opcode
	015315 41 54		eor ($54)
	015317 27 85		rmb 2,$85
	015319 A9 01		lda #$01
	01531B 60		rts

01531C	01531C 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	01531E E2 4E 01 02 07	bar $014E,$02,$01532a
	015323 F2 40 9A 08 02	bas $9A40,$08,$01532a
	015328 80 0D		bra $015337

01532A	01532A AC 17 86		ldy $8617
	01532D C0 FF		cpy #$FF
	01532F F0 06		beq $015337
	015331 B9 4E F3		lda $F34E,y
	015334 20 AC F8		jsr $F8AC
015337	015337 A9 19		lda #$19
	015339 8D 01 86		sta $8601
	01533C A9 00		lda #$00
	01533E 8D 02 86		sta $8602
	015341 47 60		rmb 4,$60
	015343 67 84		rmb 6,$84
	015345 FF 49 03		bbs 7,$49,$01534b
	015348 A9 02		lda #$02
	01534A 60		rts

01534B	01534B A9 05		lda #$05
	01534D 60		rts

01534E	01534E 20 C0 29		jsr $29C0
	015351 9F 6C 1C		bbs 1,$6C,$015370
	015354 AF 6C 19		bbs 2,$6C,$015370
	015357 DF 84 06		bbs 5,$84,$015360
	01535A 1F 60 0F		bbr 1,$60,$01536c
	01535D A9 05		lda #$05
	01535F 60		rts

015360	015360 A9 32		lda #$32'2'
	015362 8D 90 9A		sta $9A90
	015365 A9 00		lda #$00
	015367 8D 91 9A		sta $9A91
	01536A 17 60		rmb 1,$60
01536C	01536C AD 38 9A		lda $9A38
	01536F 60		rts

015370	015370 C2 20 0E 06	rba $20,$060E		;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	015374 A9 03		lda #$03
	015376 60		rts

015377	015377 20 C0 29		jsr $29C0
	01537A 9F 6C 06		bbs 1,$6C,$015383
	01537D EF 84 08		bbs 6,$84,$015388
	015380 A9 09		lda #$09
	015382 60		rts

015383	015383 DF 84 05		bbs 5,$84,$01538b
	015386 80 20		bra $0153a8

015388	015388 A9 04		lda #$04
	01538A 60		rts

01538B	01538B A9 DC		lda #$DC
	01538D 8D 0E 02		sta $020E
	015390 A9 05		lda #$05
	015392 8D 0F 02		sta $020F
	015395 67 5D		rmb 6,$5D
	015397 2F 6C 0E		bbr 2,$6C,$0153a8
	01539A 27 6C		rmb 2,$6C
	01539C A9 C8		lda #$C8
	01539E 8D 0E 02		sta $020E
	0153A1 A9 00		lda #$00
	0153A3 8D 0F 02		sta $020F
	0153A6 67 5D		rmb 6,$5D
0153A8	0153A8 AD 38 9A		lda $9A38
	0153AB 60		rts

0153AC	0153AC 2F 85 06		bbr 2,$85,$0153b5
	0153AF C7 60		smb 4,$60
	0153B1 AD 38 9A		lda $9A38
	0153B4 60		rts

0153B5	0153B5 C2 20 0E 06	rba $20,$060E		;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	0153B9 C2 02 08 06	rba $02,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	0153BD C2 04 15 06	rba $04,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	0153C1 E7 84		smb 6,$84
	0153C3 A9 05		lda #$05
	0153C5 60		rts

0153C6	0153C6 5F 84 0E		bbr 5,$84,$0153d7
	0153C9 A9 02		lda #$02
	0153CB 8D 90 9A		sta $9A90
	0153CE A9 00		lda #$00
	0153D0 8D 91 9A		sta $9A91
	0153D3 17 60		rmb 1,$60
	0153D5 80 1D		bra $0153f4

0153D7	0153D7 20 C0 29		jsr $29C0
	0153DA 1F 6C 03		bbr 1,$6C,$0153e0
	0153DD A9 03		lda #$03
	0153DF 60		rts

0153E0	0153E0 1F 60 11		bbr 1,$60,$0153f4
	0153E3 F2 4E 01 02 03	bas $014E,$02,$0153eb
	0153E8 2F 6F 06		bbr 2,$6F,$0153f1
0153EB	0153EB EF 84 03		bbs 6,$84,$0153f1
	0153EE A9 06		lda #$06
	0153F0 60		rts

0153F1	0153F1 A9 07		lda #$07
	0153F3 60		rts

0153F4	0153F4 AD 38 9A		lda $9A38
	0153F7 60		rts

0153F8	0153F8 20 12 25		jsr $2512
	0153FB C2 20 0E 06	rba $20,$060E		;DPi RTDET/BRKD/RREDT/V32BDT/SPEED
	0153FF FF 49 0C		bbs 7,$49,$01540e
	015402 A9 AA		lda #$AA
	015404 8D 0E 02		sta $020E
	015407 A9 00		lda #$00
	015409 8D 0F 02		sta $020F
	01540C 67 5D		rmb 6,$5D
01540E	01540E A9 82		lda #$82
	015410 8D 0E 02		sta $020E
	015413 A9 00		lda #$00
	015415 8D 0F 02		sta $020F
	015418 67 5D		rmb 6,$5D
	01541A A9 08		lda #$08
	01541C 60		rts

01541D	01541D 20 12 25		jsr $2512
	015420 67 84		rmb 6,$84
	015422 A9 B8		lda #$B8
	015424 8D 0E 02		sta $020E
	015427 A9 0B		lda #$0B
	015429 8D 0F 02		sta $020F
	01542C 67 5D		rmb 6,$5D
	01542E A9 08		lda #$08
	015430 60		rts

015431	015431 1F 6C 04		bbr 1,$6C,$015438
	015434 AD 38 9A		lda $9A38
	015437 60		rts

015438	015438 6F 84 03		bbr 6,$84,$01543e
	01543B A9 04		lda #$04
	01543D 60		rts

01543E	01543E A9 09		lda #$09
	015440 60		rts

015441	015441 20 48 54		jsr $5448
	015444 AD 38 9A		lda $9A38
	015447 60		rts

015448	015448 F2 37 9A 80 0A	bas $9A37,$80,$015457
	01544D 20 24 F9		jsr $F924
	015450 F0 0A		beq $01545c
	015452 D2 80 37 9A	sba $80,$9A37
	015456 60		rts

015457	015457 20 F3 F8		jsr $F8F3
	01545A D0 01		bne $01545d
01545C	01545C 60		rts

01545D	01545D 07 63		rmb 0,$63
	01545F E7 5E		smb 6,$5E
	015461 20 A3 54		jsr $54A3
	015464 B0 07		bcs $01546d
	015466 A9 01		lda #$01
	015468 8D 3B 9A		sta $9A3B
	01546B 80 1B		bra $015488

01546D	01546D A9 01		lda #$01
	01546F 8D 39 9A		sta $9A39
	015472 80 14		bra $015488

015474	015474 20 B5 F3		jsr $F3B5
	015477 20 A3 54		jsr $54A3
	01547A B0 07		bcs $015483
	01547C A9 03		lda #$03
	01547E 8D 3B 9A		sta $9A3B
	015481 80 05		bra $015488

015483	015483 A9 03		lda #$03
	015485 8D 39 9A		sta $9A39
015488	015488 A9 00		lda #$00
	01548A 8D 37 9A		sta $9A37
	01548D 8D 38 9A		sta $9A38
	015490 57 84		rmb 5,$84
	015492 A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
	015494 D2 10 03 06	sba $10,$0603		;DPi EPT/SEPT/SRCEN/RLSDE/ARC/SDIS
	015498 20 4B 2C		jsr $2C4B
	01549B 77 70		rmb 7,70
	01549D 20 43 28		jsr $2843
	0154A0 27 6C		rmb 2,$6C
	0154A2 60		rts

0154A3	0154A3 38		sec
	0154A4 F2 37 9A 01 01	bas $9A37,$01,$0154aa
	0154A9 18		clc
0154AA	0154AA 60		rts

0154AB	0154AB AD 7A 01		lda $017A
	0154AE 0A		asl a
	0154AF AA		tax
0154B0	0154B0 20 CC 54		jsr $54CC
	0154B3 B0 FB		bcs $0154b0
	0154B5 8D 17 86		sta $8617
	0154B8 8A		txa
	0154B9 6A		ror a
	0154BA 8D 15 86		sta $8615
	0154BD CD 7A 01		cmp $017A
	0154C0 D0 06		bne $0154c8
	0154C2 A9 FF		lda #$FF
	0154C4 8D 17 86		sta $8617
	0154C7 60		rts

0154C8	0154C8 AD 17 86		lda $8617
	0154CB 60		rts

0154CC	0154CC 18		clc
	0154CD E2 37 9A 01 04	bar $9A37,$01,$0154d6
	0154D2 E8		inx
	0154D3 E8		inx
	0154D4 80 02		bra $0154d8

0154D6	0154D6 CA		dex
	0154D7 CA		dex
0154D8	0154D8 E0 30		cpx #$30'0'
	0154DA B0 03		bcs $0154df
	0154DC 7C E2 54		jmp $54E2,x

0154DF	0154DF 4C 3C 55		jmp $553C

0154E2	0154E2 3E 55 3A		rol $3A55,x
	0154E5 55 3A		eor $3A,x		;Cx9	serial mode register
	0154E7 55 32		eor $32,x		;Cx9	host control register
	0154E9 55 2A		eor $2A,x		;Cx9 SP RAM A
	0154EB 55 22		eor $22,x		;Cx9 SP RAM 2
	0154ED 55 1A		eor $1A,x		;Cx9	bank switch register 2 (R/W)
	0154EF 55 12		eor $12,x		;Cx9 TAS (R), TAUL (W)
	0154F1 55 3E		eor $3E,x		;Cx9 SOUT (RxD) divider latch (R)
	0154F3 55 41		eor $41,x
	0154F5 55 49		eor $49,x
	0154F7 55 69		eor $69,x
	0154F9 55 51		eor $51,x
	0154FB 55 59		eor $59,x
	0154FD 55 61		eor $61,x
	0154FF 55 71		eor $71,x
	015501 55 79		eor $79,x
	015503 55 81		eor $81,x
	015505 55 89		eor $89,x
	015507 55 91		eor $91,x
	015509 55 99		eor $99,x
	01550B 55 A1		eor $A1,x
	01550D 55 A9		eor $A9,x
	01550F 55 3E		eor $3E,x		;Cx9 SOUT (RxD) divider latch (R)
	015511 55 E2		eor $E2,x
	015513 5E 9A 20		lsr $209A,x
	015516 25 A9		and $A9
	015518 0B		jsb 0			;indirect $FFE0
	015519 60		rts

01551A	01551A E2 5E 9A 08 1D	bar $9A5E,$08,$01553c
	01551F A9 0A		lda #$0A
	015521 60		rts

015522	015522 E2 5E 9A 01 15	bar $9A5E,$01,$01553c
	015527 A9 09		lda #$09
	015529 60		rts

01552A	01552A E2 5E 9A 10 0D	bar $9A5E,$10,$01553c
	01552F A9 07		lda #$07
	015531 60		rts

015532	015532 E2 5E 9A 04 05	bar $9A5E,$04,$01553c
	015537 A9 06		lda #$06
	015539 60		rts

01553A	01553A 80 02		bra $01553e

01553C	01553C 38		sec
	01553D 60		rts

01553E	01553E A9 FF		lda #$FF
	015540 60		rts

015541	015541 E2 60 9A 10 F6	bar $9A60,$10,$01553c
	015546 A9 18		lda #$18
	015548 60		rts

015549	015549 E2 60 9A 20 EE	bar $9A60,$20,$01553c
	01554E A9 19		lda #$19
	015550 60		rts

015551	015551 E2 60 9A 80 E6	bar $9A60,$80,$01553c
	015556 A9 1B		lda #$1B
	015558 60		rts

015559	015559 E2 62 9A 01 DE	bar $9A62,$01,$01553c
	01555E A9 1C		lda #$1C
	015560 60		rts

015561	015561 E2 62 9A 02 D6	bar $9A62,$02,$01553c
	015566 A9 1D		lda #$1D
	015568 60		rts

015569	015569 E2 60 9A 40 CE	bar $9A60,$40,$01553c
	01556E A9 1A		lda #$1A
	015570 60		rts

015571	015571 E2 62 9A 04 C6	bar $9A62,$04,$01553c
	015576 A9 1E		lda #$1E
	015578 60		rts

015579	015579 E2 62 9A 08 BE	bar $9A62,$08,$01553c
	01557E A9 1F		lda #$1F
	015580 60		rts

015581	015581 E2 62 9A 10 B6	bar $9A62,$10,$01553c
	015586 A9 20		lda #$20' '
	015588 60		rts

015589	015589 E2 62 9A 20 AE	bar $9A62,$20,$01553c
	01558E A9 21		lda #$21'!'
	015590 60		rts

015591	015591 E2 62 9A 40 A6	bar $9A62,$40,$01553c
	015596 A9 22		lda #$22'"'
	015598 60		rts

015599	015599 E2 62 9A 80 9E	bar $9A62,$80,$01553c
	01559E A9 23		lda #$23'#'
	0155A0 60		rts

0155A1	0155A1 E2 60 9A 02 96	bar $9A60,$02,$01553c
	0155A6 A9 24		lda #$24'$'
	0155A8 60		rts

0155A9	0155A9 E2 60 9A 04 8E	bar $9A60,$04,$01553c
	0155AE A9 25		lda #$25'%'
	0155B0 60		rts

0155B1	0155B1 08		php
	0155B2 78		sei
	0155B3 C2 04 1E 06	rba $04,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	0155B7 C2 20 1E 06	rba $20,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	0155BB C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	0155BF 47 59		rmb 4,$59
	0155C1 A9 05		lda #$05
	0155C3 8D 72 02		sta $0272
	0155C6 A9 09		lda #$09
	0155C8 8D 73 02		sta $0273
	0155CB C7 59		smb 4,$59
	0155CD 37 59		rmb 3,$59
	0155CF A9 26		lda #$26'&'
	0155D1 8D 6F 02		sta $026F
	0155D4 A9 09		lda #$09
	0155D6 8D 70 02		sta $0270
	0155D9 B7 59		smb 3,$59
	0155DB 67 57		rmb 6,$57
	0155DD A9 3C		lda #$3C'<'
	0155DF 8D 42 02		sta $0242
	0155E2 A9 E3		lda #$E3
	0155E4 8D 43 02		sta $0243
	0155E7 E7 57		smb 6,$57
	0155E9 28		plp
	0155EA 20 BD 40		jsr $40BD
	0155ED A9 02		lda #$02
	0155EF 8D A9 99		sta $99A9
	0155F2 A9 03		lda #$03
	0155F4 8D AA 99		sta $99AA
	0155F7 AD 83 9A		lda $9A83
	0155FA 8D A0 99		sta $99A0
	0155FD 8D E4 99		sta $99E4
	015600 A9 40		lda #$40'@'
	015602 8D AC 99		sta $99AC
	015605 A9 00		lda #$00
	015607 8D AD 99		sta $99AD
	01560A AD 84 9A		lda $9A84
	01560D 8D AE 99		sta $99AE
	015610 E2 AE 99 01 02	bar $99AE,$01,$015617
	015615 B7 8A		smb 3,$8A
015617	015617 20 52 3F		jsr $3F52
	01561A AD 85 9A		lda $9A85
	01561D 8D AF 99		sta $99AF
	015620 AD 7F 9A		lda $9A7F
	015623 8D 64 9A		sta $9A64
	015626 AD 80 9A		lda $9A80
	015629 8D 67 9A		sta $9A67
	01562C AD 81 9A		lda $9A81
	01562F 8D 68 9A		sta $9A68
	015632 AD 82 9A		lda $9A82
	015635 8D 6A 9A		sta $9A6A
	015638 AD 88 9A		lda $9A88
	01563B 8D 5C 9A		sta $9A5C
	01563E AD 89 9A		lda $9A89
	015641 8D 5E 9A		sta $9A5E
	015644 E2 4E 01 02 0C	bar $014E,$02,$015655
	015649 AD 8A 9A		lda $9A8A
	01564C 8D 60 9A		sta $9A60
	01564F AD 8B 9A		lda $9A8B
	015652 8D 62 9A		sta $9A62
015655	015655 7F 49 02		bbr 7,$49,$01565a
	015658 87 86		smb 0,$86
01565A	01565A E2 12 86 04 02	bar $8612,$04,$015661
	01565F A7 89		smb 2,$89
015661	015661 E2 12 86 08 04	bar $8612,$08,$01566a
	015666 D7 64		smb 5,$64
	015668 B7 85		smb 3,$85
01566A	01566A 3F 85 13		bbr 3,$85,$015680
	01566D AD AE 99		lda $99AE
	015670 29 20		and #$20' '
	015672 D0 06		bne $01567a
	015674 C2 01 4D 01	rba $01,$014D
	015678 80 06		bra $015680

01567A	01567A D2 01 4D 01	sba $01,$014D
	01567E 57 64		rmb 5,$64
015680	015680 E2 12 86 10 02	bar $8612,$10,$015687
	015685 E7 85		smb 6,$85
015687	015687 E2 12 86 40 02	bar $8612,$40,$01568e
	01568C 87 84		smb 0,$84
01568E	01568E E2 12 86 80 02	bar $8612,$80,$015695
	015693 97 84		smb 1,$84
015695	015695 AD 8C 9A		lda $9A8C
	015698 8D 47 9A		sta $9A47
	01569B AD 8D 9A		lda $9A8D
	01569E 8D 46 9A		sta $9A46
	0156A1 AD AF 99		lda $99AF
	0156A4 20 61 40		jsr $4061
	0156A7 A9 00		lda #$00
	0156A9 8D B9 99		sta $99B9
	0156AC A9 04		lda #$04
	0156AE 8D BC 99		sta $99BC
	0156B1 57 87		rmb 5,$87
	0156B3 D2 04 1E 06	sba $04,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	0156B7 17 59		rmb 1,$59
	0156B9 A9 4E		lda #$4E'N'
	0156BB 8D 69 02		sta $0269
	0156BE A9 08		lda #$08
	0156C0 8D 6A 02		sta $026A
	0156C3 97 59		smb 1,$59
	0156C5 60		rts

0156C6	0156C6 80 0B		bra $0156d3

0156C8	0156C8 60		rts

0156C9	0156C9 80 08		bra $0156d3

0156CB	0156CB 60		rts

0156CC	0156CC E2 40 9A 01 02	bar $9A40,$01,$0156d3
	0156D1 38		sec
	0156D2 60		rts

0156D3	0156D3 18		clc
	0156D4 60		rts

0156D5	0156D5 D2 01 40 9A	sba $01,$9A40
	0156D9 07 70		rmb 0,$70
	0156DB 17 70		rmb 1,$70
	0156DD 60		rts

0156DE	0156DE D2 02 40 9A	sba $02,$9A40
	0156E2 60		rts

0156E3	0156E3 D2 04 40 9A	sba $04,$9A40
	0156E7 60		rts

0156E8	0156E8			.asciz /OK/
0156EB	0156EB			.asciz /CONNECT/
	0156F3			.asciz /RING/
	0156F8			.asciz /NO CARRIER/
	015703			.byte 84 00
015707	015705			.asciz $80,/1200/
	01570B			.asciz /NO DIALTONE/
	015717			.asciz /BUSY/
	01571C			.asciz /NO ANSWER/
	015726			.asciz $80,/0600/
	01572C			.asciz $80,/2400/
	015732			.asciz $80,/4800/
	015738			.asciz $80,/9600/
	01573E			.asciz $80,/7200/
	015744			.asciz $80,/12000/
	01574B			.asciz $80,/14400/
	015752			.asciz $80,/19200/
	015759			.asciz $80,/38400/
	015760			.asciz $80,/57600/
	015767			.asciz $80,/115200/
	01576F			.asciz $80,/230400/
	015777			.asciz $80,/75TX/1200RX/
	015784			.asciz $80,/1200TX/75RX/
	015791			.asciz /DELAYED/
	015799			.asciz /BLACKLISTED/
	0157A5			.asciz /FAX/
	0157A9			.asciz /+FC/,$84
	0157AE			.asciz /DATA/
	0157B3			.asciz $81,/300/
	0157B8			.asciz $81,/600/
	0157BD			.asciz $81,/1200/75/
	0157C6			.asciz $81,/75/1200/
	0157CF			.asciz $81,/1200/
	0157D5			.asciz $81,/2400/
	0157DB			.asciz $81,/4800/
	0157E1			.asciz $81,/7200/
	0157E7			.asciz $81,/9600/
	0157ED			.asciz $81,/12000/
	0157F4			.asciz $81,/14400/
	0157FB			.asciz $81,/16800/
	015802			.asciz $81,/19200/
	015809			.asciz $81,/21600/
	015810			.asciz $81,/24000/
	015817			.asciz $81,/26400/
	01581E			.asciz $81,/28800/
	015825			.asciz $80,/16800/
	01582C			.asciz $80,/21600/
	015833			.asciz $80,/24000/
	01583A			.asciz $80,/26400/
	015841			.asciz $80,/28800/
	015848			.asciz $82,/CLASS 5/
	015851			.asciz $82,/V.42BIS/
	01585A			.asciz $82,/NONE/
	015860			.asciz $83,/NONE/
	015866			.asciz $83,/LAP-M/
	01586D			.asciz $83,/ALT/
	015872			.asciz $83,/ALT - CELLULAR/
	015882			.asciz /Download initiated ../
	015898			.asciz $81,/31200/
	01589F			.asciz $81,/33600/
	0158A6			.asciz $80,/33600/

	0158AD 00		brk
	0158AE 00		brk
	0158AF 00		brk

	0158B0			.asciz $80,/31200/

	0158B7	E8 56		0 -> "OK"
		EB 56		1 -> "CONNECT"
		F3 56		2 -> "RING"
		F8 56		3 -> "NO CARRIER"
		03 57		4 -> "\0x80"
		05 57		5 -> /1200/
		0B 57		6 -> /NO DIALTONE/
		17 57		7 -> /BUSY/
		1C 57		8 -> /NO ANSWER/
		26 57
		2C 57
		32 57
		38 57
		3E 57
		44 57
		4B 57
		52 57
		59 57
		60 57
		67 57
		6F 57
77
	0158E2 57 84
	0158E4 57 91
0158E6	0158E6 57 99
	0158E8 57 A5
	0158EA 57 A9
	0158EC 57 AE
	0158EE 57 B3
	0158F0 57 B8
	0158F2 57 BD
0158F4	0158F4 57 C6
	0158F6 57 CF
	0158F8 57 D5
	0158FA 57 DB
	0158FC 57 E1
	0158FE 57 E7
	015900 57 ED
	015902 57 F4
	015904 57 FB
	015906 57 02
	015908 58
	015909 09 58
	01590B 10 58
	01590D 17 58
	01590F 1E 58 25		asl $2558,x
	015912 58		cli
	015913 2C 58 33		bit $3358
	015916 58		cli
	015917 3A		asr a
	015918 58		cli
	015919 41 58		eor ($58)
	01591B 48		pha
	01591C 58		cli
	01591D 51 58		eor ($58),x
	01591F 5A		phy
	015920 58		cli
	015921 60		rts

015922	015922 58		cli
	015923 66 58		ror $58
	015925 6D 58 72		adc $7258
	015928 58		cli
	015929 82		???			;undocumented opcode
	01592A 58		cli
	01592B 98		tya
	01592C 58		cli
	01592D 9F 58 A6		bbs 1,$58,$0158d6
	015930 58		cli
	015931 B0 58		bcs $01598b
	015933 00		brk
	015934 01 02		ora ($02)		;Cx9	port C (bidirectional)
	015936 03		tip
	015937 04		???			;undocumented opcode
	015938 05 06		ora $06			;Cx9	port C direction (W)
	01593A 07 08		rmb 0,$08		;Cx9	mask option & port E dir'n
	01593C 09 0A		ora #$0A
	01593E 0B		jsb 0			;indirect $FFE0
	01593F 0C 0D 0E		jpi ($0E0D)
	015942 0F 10 11		bbr 0,$10,$015956	;Cx9 Timer A Mode
	015945 12		mpa
	015946 13		lab a
	015947 14		???			;undocumented opcode
	015948 16 17		asl $17,x		;Cx9 TBS, TBUL, Clear, Download
	01594A 18		clc
	01594B 20 21 22		jsr $2221
	01594E 23		phw
	01594F 28		plp
	015950 2A		rol a
	015951 2C 2D 2E		bit $2E2D
	015954 2F 30 31		bbr 2,$30,$015988	;C39	only : FIFO status register
	015957 32		pul
	015958 33		plw
	015959 34		???			;undocumented opcode
	01595A 35 36		and $36,x		;Cx9 PAUL, PAB-PALL
	01595C 37 38		rmb 3,$38		;Cx9	serial I/O buffers
	01595E 39 3A 3B		and $3B3A,y
	015961 3D 3E 3F		and $3F3E,x
	015964 40		rti
015965	015965 42		rnd
	015966 43		???			;undocumented opcode
	015967 45 46		eor $46
	015969 4D 50 51		eor $5150
	01596C 52		clw
	01596D 4E 4F 54		lsr $544F
	015970 5B		jsb 5			;indirect $FFEA
	015971 FF 8E 59		bbs 7,$8E,$0159cd
	015974 90 59		bcc $0159cf
	015976 92		???			;undocumented opcode
	015977 59 94 59		eor $5994,y
	01597A 98		tya
	01597B 59 9B 59		eor $599B,y
	01597E 9E		???			;undocumented opcode
	01597F 59 A3 59		eor $59A3,y
	015982 A8		tay
	015983 59 AD 59		eor $59AD,y
	015986 B2 59 B6		sti #$59'Y',$B6
	015989 59 BA 59		eor $59BA,y
	01598C BF 59 31		bbs 3,$59,$0159c0
	01598F 00		brk
	015990 32		pul
	015991 00		brk
	015992 33		plw
	015993 00		brk
	015994 2D 45 43		and $4345
	015997 00		brk
	015998 2F 54 00		bbr 2,$54,$01599b
01599B	01599B 2F 52 00		bbr 2,$52,$01599e
01599E	01599E 2F 41 52		bbr 2,$41,$0159f3
	0159A1 51 00		eor ($00),x		;Cx9	port A (bidirectional)
	0159A3 2F 56 46		bbr 2,$56,$0159ec
	0159A6 43		???			;undocumented opcode
	0159A7 00		brk
	0159A8 2F 56 33		bbr 2,$56,$0159de
	0159AB 34		???			;undocumented opcode
	0159AC 00		brk
	0159AD 2F 56 33		bbr 2,$56,$0159e3
	0159B0 32		pul
	0159B1 00		brk
	0159B2 3A		asr a
	0159B3 54		???			;undocumented opcode
	0159B4 58		cli
	0159B5 00		brk
	0159B6 3A		asr a
	0159B7 52		clw
	0159B8 58		cli
	0159B9 00		brk
	0159BA 2F 53 56		bbr 2,$53,$015a13
	0159BD 44		???			;undocumented opcode
	0159BE 00		brk
	0159BF 2F 56 37		bbr 2,$56,$0159f9
	0159C2 30 00		bmi $0159c4
0159C4	0159C4 A5 AA		lda $AA
	0159C6 85 A9		sta $A9
	0159C8 C9 FF		cmp #$FF
	0159CA F0 12		beq $0159de
	0159CC 20 DF 59		jsr $59DF
0159CF	0159CF 20 3F 5A		jsr $5A3F
	0159D2 5F 4F 04		bbr 5,$4F,$0159d9
	0159D5 77 80		rmb 7,80
	0159D7 80 05		bra $0159de

0159D9	0159D9 0F 62 02		bbr 0,$62,$0159de
	0159DC F7 80		smb 7,$80
0159DE	0159DE 60		rts

0159DF	0159DF 7F 98 01		bbr 7,$98,$0159e3
	0159E2 60		rts

0159E3	0159E3 0F 50 01		bbr 0,$50,$0159e7
	0159E6 60		rts

0159E7	0159E7 3F 79 03		bbr 3,$79,$0159ed
	0159EA 20 8C 5C		jsr $5C8C
0159ED	0159ED 5F 79 2C		bbr 5,$79,$015a1c
	0159F0 A5 AA		lda $AA
	0159F2 C9 46		cmp #$46'F'
	0159F4 F0 26		beq $015a1c
	0159F6 A5 AB		lda $AB
	0159F8 C9 43		cmp #$43'C'
	0159FA D0 1B		bne $015a17
	0159FC 0F 92 0A		bbr 0,$92,$015a09
	0159FF 9F 92 15		bbs 1,$92,$015a17
	015A02 A9 04		lda #$04
	015A04 8D 83 01		sta $0183
	015A07 80 0C		bra $015a15

015A09	015A09 9F 92 04		bbs 1,$92,$015a10
	015A0C A9 45		lda #$45'E'
	015A0E 80 07		bra $015a17

015A10	015A10 A9 05		lda #$05
	015A12 8D 83 01		sta $0183
015A15	015A15 A9 43		lda #$43'C'
015A17	015A17 85 A9		sta $A9
	015A19 20 8C 5C		jsr $5C8C
015A1C	015A1C 60		rts

015A1D	015A1D 01 01		ora ($01)		;Cx9	port B (output only)
	015A1F 01 09		ora ($09)		;Cx9 Low Power Register (LPR)
	015A21 05 0A		ora $0A			;Cx9 External Interrupt Register
	015A23 0B		jsb 0			;indirect $FFE0
	015A24 0C 10 11		jpi ($1110)
	015A27 FF FF FF		bbs 7,$FF,$015a29
	015A2A 0D 0E 0F		ora $0F0E
	015A2D FF 12 13		bbs 7,$12,$015a43	;Cx9 TAS (R), TAUL (W)
	015A30 16 17		asl $17,x		;Cx9 TBS, TBUL, Clear, Download
	015A32 3B		jsb 3			;indirect $FFE6
	015A33 3D 3E 3F		and $3F3E,x
	015A36 40		rti
	015A37 5B		jsb 5			;indirect $FFEA
	015A38 54		???			;undocumented opcode
	015A39 5A		phy
	015A3A 5B		jsb 5			;indirect $FFEA
	015A3B 5C		???			;undocumented opcode
	015A3C 5D 5E 14		eor $145E,x
	015A3F 9F 6F 11		bbs 1,$6F,$015a53
	015A42 7F 98 0E		bbr 7,$98,$015a53
	015A45 20 2C FD		jsr $FD2C
	015A48 20 BD 5A		jsr $5ABD
	015A4B 4F 98 03		bbr 4,$98,$015a51
	015A4E 20 6D 5B		jsr $5B6D
015A51	015A51 80 35		bra $015a88

015A53	015A53 A9 01		lda #$01
	015A55 85 A9		sta $A9
	015A57 EF 79 2B		bbs 6,$79,$015a85
	015A5A 1F 79 0B		bbr 1,$79,$015a68
	015A5D A5 AA		lda $AA
	015A5F C9 46		cmp #$46'F'
	015A61 F0 05		beq $015a68
	015A63 A9 06		lda #$06
	015A65 8D 83 01		sta $0183
015A68	015A68 8F 79 17		bbs 0,$79,$015a82
	015A6B A5 4E		lda $4E
	015A6D 29 0B		and #$0B
	015A6F C9 08		cmp #$08
	015A71 F0 0F		beq $015a82
	015A73 0F 50 02		bbr 0,$50,$015a78
	015A76 F7 79		smb 7,$79
015A78	015A78 AE 5B 04		ldx $045B
	015A7B BD 1D 5A		lda $5A1D,x
	015A7E 85 A9		sta $A9
	015A80 80 03		bra $015a85

015A82	015A82 20 D2 E0		jsr $E0D2
015A85	015A85 20 8C 5C		jsr $5C8C
015A88	015A88 20 1E FE		jsr $FE1E
	015A8B AD 5F 04		lda $045F
	015A8E 29 03		and #$03
	015A90 C9 02		cmp #$02
	015A92 F0 05		beq $015a99
	015A94 AD 5F 04		lda $045F
	015A97 80 02		bra $015a9b

015A99	015A99 A9 03		lda #$03
015A9B	015A9B 08		php
	015A9C 78		sei
	015A9D 67 3A		rmb 6,$3A		;Cx9	serial mode register
	015A9F 85 3B		sta $3B			;Cx9	serial line control register
	015AA1 B2 C0 3A		sti #$C0,$3A		;Cx9	serial mode register
	015AA4 20 01 FE		jsr $FE01{in}
	015AA7 28		plp
	015AA8 B7 61		smb 3,$61
	015AAA CF 74 09		bbs 4,$74,$015ab6
	015AAD DF 74 06		bbs 5,$74,$015ab6
	015AB0 AF 53 03		bbs 2,$53,$015ab6
	015AB3 20 DA FD		jsr $FDDA
015AB6	015AB6 20 26 FD		jsr $FD26
	015AB9 20 2C FD		jsr $FD2C
	015ABC 60		rts

015ABD	015ABD B2 60 40		sti #$60'`',$40
	015AC0 B2 5B 41		sti #$5B'[',$41
	015AC3 20 AA 5B		jsr $5BAA
	015AC6 A9 31		lda #$31'1'
	015AC8 FF 49 02		bbs 7,$49,$015acd
	015ACB A9 30		lda #$30'0'
015ACD	015ACD 20 05 FE		jsr $FE05{out}
	015AD0 20 5B 5B		jsr $5B5B
	015AD3 A5 4E		lda $4E
	015AD5 29 0B		and #$0B
	015AD7 C9 09		cmp #$09
	015AD9 F0 0C		beq $015ae7
	015ADB A9 03		lda #$03
	015ADD 20 22 61		jsr $6122
	015AE0 A9 80		lda #$80
	015AE2 20 22 61		jsr $6122
	015AE5 80 0B		bra $015af2

015AE7	015AE7 A5 51		lda $51
	015AE9 20 22 61		jsr $6122
	015AEC AD 22 01		lda $0122
	015AEF 20 22 61		jsr $6122
015AF2	015AF2 20 5B 5B		jsr $5B5B
	015AF5 A5 55		lda $55
	015AF7 29 03		and #$03
	015AF9 20 22 61		jsr $6122
	015AFC 20 5B 5B		jsr $5B5B
	015AFF 20 A8 F8		jsr $F8A8
	015B02 C9 A1		cmp #$A1
	015B04 D0 04		bne $015b0a
	015B06 A9 00		lda #$00
	015B08 80 13		bra $015b1d

015B0A	015B0A 20 99 F9		jsr $F999
	015B0D C9 05		cmp #$05
	015B0F 90 0C		bcc $015b1d
	015B11 C9 08		cmp #$08
	015B13 F0 06		beq $015b1b
	015B15 B0 06		bcs $015b1d
	015B17 89 01		add #$01
	015B19 80 02		bra $015b1d

015B1B	015B1B A9 05		lda #$05
015B1D	015B1D 20 22 61		jsr $6122
	015B20 20 5B 5B		jsr $5B5B
	015B23 A5 4C		lda $4C
	015B25 29 70		and #$70'p'
	015B27 4A		lsr a
	015B28 4A		lsr a
	015B29 4A		lsr a
	015B2A 4A		lsr a
	015B2B F0 02		beq $015b2f
	015B2D 89 FD		add #$FD
015B2F	015B2F 3F 49 02		bbr 3,$49,$015b34
	015B32 09 80		ora #$80
015B34	015B34 20 22 61		jsr $6122
	015B37 A5 50		lda $50
	015B39 29 0C		and #$0C
	015B3B 4A		lsr a
	015B3C 4A		lsr a
	015B3D AA		tax
	015B3E BD 6A 5B		lda $5B6A,x
	015B41 05 56		ora $56
	015B43 20 22 61		jsr $6122
	015B46 20 5B 5B		jsr $5B5B
	015B49 A9 0B		lda #$0B
	015B4B DF 82 07		bbs 5,$82,$015b55
	015B4E A9 0A		lda #$0A
	015B50 FF 81 02		bbs 7,$81,$015b55
	015B53 A9 09		lda #$09
015B55	015B55 20 22 61		jsr $6122
	015B58 4C 14 FE		jmp $FE14{out_crlf}

015B5B	015B5B A9 2C		lda #$2C','
	015B5D 4C 05 FE		jmp $FE05{out}

015B60	015B60 52		clw
	015B61 50 49		bvc $015bac
	015B63 2B		jsb 2			;indirect $FFE4
	015B64 3A		asr a
	015B65 30 31		bmi $015b98
	015B67 2C 30 00		bit $0030		;C39	only : FIFO status register
	015B6A 00		brk
	015B6B 0C 01 E2		jpi ($E201)
	015B6E 5C		???			;undocumented opcode
	015B6F 01 10		ora ($10)		;Cx9 Timer A Mode
	015B71 04		???			;undocumented opcode
	015B72 A9 40		lda #$40'@'
	015B74 80 16		bra $015b8c

015B76	015B76 E2 71 01 08 04	bar $0171,$08,$015b7f
	015B7B A9 41		lda #$41'A'
	015B7D 80 0D		bra $015b8c

015B7F	015B7F AD 86 01		lda $0186
	015B82 C9 04		cmp #$04
	015B84 F0 04		beq $015b8a
	015B86 A9 42		lda #$42'B'
	015B88 80 02		bra $015b8c

015B8A	015B8A A9 43		lda #$43'C'
015B8C	015B8C 20 2E 18		jsr $182E
	015B8F A9 51		lda #$51'Q'
	015B91 20 2E 18		jsr $182E
	015B94 A9 04		lda #$04
	015B96 E2 5D 01 02 02	bar $015D,$02,$015b9d
	015B9B 09 02		ora #$02
015B9D	015B9D F2 5D 01 04 02	bas $015D,$04,$015ba4
	015BA2 29 FB		and #$FB
015BA4	015BA4 4C B7 2E		jmp $2EB7

015BA7	015BA7 AF 49 09		bbs 2,$49,$015bb3
	015BAA B2 F0 46		sti #$F0,$46
	015BAD B2 5B 47		sti #$5B'[',$47
	015BB0 20 AC 5C		jsr $5CAC
015BB3	015BB3 60		rts

015BB4	BE 5B
	C7 5B
	D0 5B
	DE 5B
	E9 5B
	43 4F
	4E 4E
	45 43
	54 20
	00 43
	41 52
	52 49
	45 52
	20 00
	43 4F
	4D 50
	52 45
	53 53
	49 4F
	4E 3A
	20 00
	50 52
	4F 54
	4F 43
	4F 4C
	3A 20
	00 45
	52 52
	4F 52
	00
015BEF	00

015BF0	015BF0 A2 00		ldx #$00
	015BF2 B1 40		lda ($40),x
	015BF4 10 3B		bpl $015c31
	015BF6 A5 40		lda $40
	015BF8 48		pha
	015BF9 A5 41		lda $41
	015BFB 22		psh
	015BFC B1 40		lda ($40),x
	015BFE 29 7F		and #$7F
	015C00 0A		asl a
	015C01 C9 0A		cmp #$0A
	015C03 90 09		bcc $015c0e
	015C05 32		pul
	015C06 85 41		sta $41
	015C08 68		pla
	015C09 85 40		sta $40
	015C0B 4C 7C 5C		jmp $5C7C

015C0E	015C0E AA		tax
	015C0F BD B4 5B		lda $5BB4,x
	015C12 85 40		sta $40
	015C14 BD B5 5B		lda $5BB5,x
	015C17 85 41		sta $41
	015C19 3F 6C 05		bbr 3,$6C,$015c21
	015C1C 20 80 5C		jsr $5C80
	015C1F 80 03		bra $015c24

015C21	015C21 20 F0 5B		jsr $5BF0
015C24	015C24 32		pul
	015C25 85 41		sta $41
	015C27 68		pla
	015C28 85 40		sta $40
	015C2A 3F 6C 42		bbr 3,$6C,$015c6f
	015C2D A9 2F		lda #$2F'/'
	015C2F 80 23		bra $015c54

015C31	015C31 29 7F		and #$7F
	015C33 F0 47		beq $015c7c
	015C35 C9 0D		cmp #$0D
	015C37 D0 05		bne $015c3e
	015C39 AD 09 01		lda $0109
	015C3C D0 07		bne $015c45
015C3E	015C3E C9 0A		cmp #$0A
	015C40 D0 03		bne $015c45
	015C42 AD 0A 01		lda $010A
015C45	015C45 3F 6C 0C		bbr 3,$6C,$015c54
	015C48 C9 2D		cmp #$2D'-'
	015C4A F0 23		beq $015c6f
	015C4C C9 2E		cmp #$2E'.'
	015C4E F0 1F		beq $015c6f
	015C50 C9 20		cmp #$20' '
	015C52 F0 1B		beq $015c6f
015C54	015C54 C9 03		cmp #$03
	015C56 D0 09		bne $015c61
	015C58 A9 34		lda #$34'4'
	015C5A F2 2E 01 01 02	bas $012E,$01,$015c61
	015C5F A9 32		lda #$32'2'
015C61	015C61 C9 10		cmp #$10
	015C63 D0 07		bne $015c6c
	015C65 A9 43		lda #$43'C'
	015C67 1F 62 F7		bbr 1,$62,$015c61
	015C6A A9 54		lda #$54'T'
015C6C	015C6C 20 05 FE		jsr $FE05{out}
015C6F	015C6F E8		inx
	015C70 F0 03		beq $015c75
	015C72 4C F2 5B		jmp $5BF2

015C75	015C75 E6 41		inc $41
	015C77 F0 03		beq $015c7c
	015C79 4C F2 5B		jmp $5BF2

015C7C	015C7C 20 1E FE		jsr $FE1E
	015C7F 60		rts

015C80	015C80 A2 00		ldx #$00
015C82	015C82 B1 40		lda ($40),x
	015C84 29 7F		and #$7F
	015C86 F0 03		beq $015c8b
	015C88 E8		inx
	015C89 80 F7		bra $015c82

015C8B	015C8B 60		rts

;;; 005C8C - print a message number $A9

015C8C	015C8C A5 A9		lda $A9
	015C8E 85 41		sta $41
	015C90 C9 FF		cmp #$FF
	015C92 F0 0F		beq $015ca3
	015C94 B2 FF A9		sti #$FF,$A9
	015C97 AF 49 09		bbs 2,$49,$015ca3
	015C9A B2 EC 46		sti #$EC,$46
	015C9D B2 5C 47		sti #$5C'\',$47
	015CA0 20 AC 5C		jsr $5CAC
015CA3	015CA3 A9 FF		lda #$FF
	015CA5 8D 83 01		sta $0183
	015CA8 77 79		rmb 7,79
	015CAA 18		clc
	015CAB 60		rts

015CAC	015CAC 08		php
	015CAD 78		sei
	015CAE EF 10 1B		bbs 6,$10,$015ccc	;Cx9 Timer A Mode
	015CB1 28		plp
	015CB2 3F 61 06		bbr 3,$61,$015cbb
	015CB5 A5 3B		lda $3B			;Cx9	serial line control register
	015CB7 48		pha
	015CB8 A5 3A		lda $3A			;Cx9	serial mode register
	015CBA 48		pha
015CBB	015CBB 20 DF 5C		jsr $5CDF
	015CBE 3F 61 1C		bbr 3,$61,$015cdd
	015CC1 20 1E FE		jsr $FE1E
	015CC4 68		pla
	015CC5 85 3A		sta $3A			;Cx9	serial mode register
	015CC7 68		pla
	015CC8 85 3B		sta $3B			;Cx9	serial line control register
	015CCA 80 11		bra $015cdd

015CCC	015CCC 67 10		rmb 6,$10		;Cx9 Timer A Mode
	015CCE 57 3D		rmb 5,$3D		;Cx9	serial form register
	015CD0 28		plp
	015CD1 AD 5B 04		lda $045B
	015CD4 20 6D FD		jsr $FD6D
	015CD7 20 DF 5C		jsr $5CDF
	015CDA 20 B1 EE		jsr $EEB1
015CDD	015CDD 18		clc
	015CDE 60		rts

015CDF	015CDF AD 5F 04		lda $045F
	015CE2 85 3B		sta $3B			;Cx9	serial line control register
	015CE4 AD 60 04		lda $0460
	015CE7 85 3A		sta $3A			;Cx9	serial mode register
	015CE9 6C 46 00		jmp ($0046)

;;; who the fuck calls it???

015CEC	015CEC A5 41		lda $41
	015CEE C9 FF		cmp #$FF
	015CF0 F0 07		beq $015cf9
	015CF2 85 47		sta $47
	015CF4 20 7C 5D		jsr $5D7C	;! this routine will set 'x'
	015CF7 B0 01		bcs $015cfa
015CF9	015CF9 60		rts

015CFA	015CFA A5 41		lda $41
	015CFC C9 03		cmp #$03
	015CFE D0 2E		bne $015d2e
	015D00 2F 81 19		bbr 2,$81,$015d1c
	015D03 A9 10		lda #$10
	015D05 20 05 FE		jsr $FE05{out}
	015D08 A9 09		lda #$09
	015D0A 20 05 FE		jsr $FE05{out}
	015D0D 20 1E FE		jsr $FE1E
	015D10 A9 9C		lda #$9C
	015D12 8D CC 00		sta $00CC
015D15	015D15 AD CC 00		lda $00CC
	015D18 D0 FB		bne $015d15
	015D1A 80 12		bra $015d2e

015D1C	015D1C 1F 81 0F		bbr 1,$81,$015d2e
	015D1F A9 AA		lda #$AA
	015D21 20 05 FE		jsr $FE05{out}
	015D24 A9 10		lda #$10
	015D26 20 05 FE		jsr $FE05{out}
	015D29 A9 AA		lda #$AA
	015D2B 20 05 FE		jsr $FE05{out}
015D2E	015D2E 2F 81 0B		bbr 2,$81,$015d3c
	015D31 22		psh
	015D32 AD BB 03		lda $03BB
	015D35 8D 5B 04		sta $045B
	015D38 20 6D FD		jsr $FD6D
	015D3B 32		pul
015D3C	015D3C 6F 81 13		bbr 6,$81,$015d52
	015D3F CF 82 10		bbs 4,$82,$015d52
	015D42 A5 41		lda $41
	015D44 C9 03		cmp #$03
	015D46 D0 0A		bne $015d52
	015D48 A9 19		lda #$19
	015D4A 20 05 FE		jsr $FE05{out}
	015D4D A9 BA		lda #$BA
	015D4F 20 05 FE		jsr $FE05{out}
015D52	015D52 BF 49 1E		bbs 3,$49,$015d73
	015D55 A5 41		lda $41
	015D57 C9 22		cmp #$22'"'
	015D59 D0 0D		bne $015d68
	015D5B A9 2B		lda #$2B'+'
	015D5D 20 05 FE		jsr $FE05{out}
	015D60 A9 46		lda #$46'F'
	015D62 20 05 FE		jsr $FE05{out}
	015D65 B2 04 41		sti #$04,$41
015D68	015D68 B2 30 43		sti #$30'0',$43
	015D6B 20 E2 60		jsr $60E2
	015D6E 20 0D FE		jsr $FE0D{cr}
	015D71 18		clc
	015D72 60		rts

015D73	015D73 20 8C 5D		jsr $5D8C
	015D76 F0 03		beq $015d7b
	015D78 20 9F 5D		jsr $5D9F
015D7B	015D7B 60		rts

;

015D7C	015D7C A2 FF		ldx #$FF
015D7E	015D7E E8		inx
	015D7F BD 33 59		lda $5933,x
	015D82 C5 41		cmp $41
	015D84 F0 05		beq $015d8b
	015D86 C9 FF		cmp #$FF
	015D88 D0 F4		bne $015d7e
	015D8A 18		clc
015D8B	015D8B 60		rts

;;; store poiter to message number 'x' (RING, etc)

015D8C	015D8C 8A		txa
	015D8D 0A		asl a
	015D8E AA		tax
	015D8F BD B7 58		lda $58B7,x
	015D92 85 40		sta $40
	015D94 E8		inx
	015D95 BD B7 58		lda $58B7,x
	015D98 85 41		sta $41
	015D9A A1 40		lda ($40)
	015D9C C9 FF		cmp #$FF
	015D9E 60		rts

015D9F	015D9F A5 47		lda $47
	015DA1 C9 18		cmp #$18
	015DA3 D0 20		bne $015dc5
	015DA5 A2 00		ldx #$00
015DA7	015DA7 B1 40		lda ($40),x
	015DA9 C9 00		cmp #$00
	015DAB F0 06		beq $015db3
	015DAD 9D D2		sta $D2,x
	015DAF 03		tip
	015DB0 E8		inx
	015DB1 D0 F4		bne $015da7
015DB3	015DB3 A9 20		lda #$20' '
	015DB5 9D D2		sta $D2,x
	015DB7 03		tip
	015DB8 E8		inx
	015DB9 9D D2		sta $D2,x
	015DBB 03		tip
	015DBC 20 74 60		jsr $6074
	015DBF B2 D2 40		sti #$D2,$40
	015DC2 B2 03 41		sti #$03,$41
015DC5	015DC5 A2 00		ldx #$00
	015DC7 B1 40		lda ($40),x
	015DC9 F0 16		beq $015de1
	015DCB 20 14 FE		jsr $FE14{out_crlf}
	015DCE 20 F0 5B		jsr $5BF0
	015DD1 20 E3 5D		jsr $5DE3
	015DD4 AD 83 01		lda $0183
	015DD7 C9 0E		cmp #$0E
	015DD9 B0 03		bcs $015dde
	015DDB 20 81 5E		jsr $5E81
015DDE	015DDE 20 14 FE		jsr $FE14{out_crlf}
015DE1	015DE1 18		clc
	015DE2 60		rts

015DE3	015DE3 7F 79 18		bbr 7,$79,$015dfe
	015DE6 20 FF 5D		jsr $5DFF
	015DE9 B7 6C		smb 3,$6C
	015DEB 20 18 5E		jsr $5E18
	015DEE 20 25 5E		jsr $5E25
	015DF1 20 2A 5E		jsr $5E2A
	015DF4 20 6B 5E		jsr $5E6B
	015DF7 37 6C		rmb 3,$6C
	015DF9 A9 FF		lda #$FF
	015DFB 8D 83 01		sta $0183
015DFE	015DFE 60		rts

015DFF	015DFF EF 69 06		bbs 6,$69,$015e08
	015E02 F2 4E 01 02 09	bas $014E,$02,$015e10
	015E07 60		rts

015E08	015E08 A9 09		lda #$09
	015E0A 8D 83 01		sta $0183
	015E0D 4C 81 5E		jmp $5E81

015E10	015E10 A9 08		lda #$08
	015E12 8D 83 01		sta $0183
	015E15 4C 81 5E		jmp $5E81

015E18	015E18 A5 AA		lda $AA
	015E1A C9 46		cmp #$46'F'
	015E1C D0 04		bne $015e22
	015E1E A2 FF		ldx #$FF
	015E20 86 AB		stx $AB
015E22	015E22 4C 5C 5E		jmp $5E5C

015E25	015E25 A5 AB		lda $AB
	015E27 4C 5C 5E		jmp $5E5C

015E2A	015E2A E2 4E 01 02 2A	bar $014E,$02,$015e59
	015E2F 20 1A FA		jsr $FA1A
	015E32 98		tya
	015E33 90 1F		bcc $015e54
	015E35 DA		phx
	015E36 20 E7 E0		jsr $E0E7
	015E39 20 5C 5E		jsr $5E5C
	015E3C A9 0A		lda #$0A
	015E3E 8D 83 01		sta $0183
	015E41 20 81 5E		jsr $5E81
	015E44 FA		plx
	015E45 8A		txa
	015E46 20 E7 E0		jsr $E0E7
	015E49 20 5C 5E		jsr $5E5C
	015E4C A9 0B		lda #$0B
	015E4E 8D 83 01		sta $0183
	015E51 4C 81 5E		jmp $5E81

015E54	015E54 20 E7 E0		jsr $E0E7
	015E57 80 03		bra $015e5c

015E59	015E59 20 E4 E0		jsr $E0E4
015E5C	015E5C 85 41		sta $41
	015E5E 20 7C 5D		jsr $5D7C
	015E61 90 9B		bcc $015dfe
	015E63 20 8C 5D		jsr $5D8C
	015E66 F0 96		beq $015dfe
	015E68 4C F0 5B		jmp $5BF0

015E6B	015E6B F2 52 01 40 01	bas $0152,$40,$015e71
	015E70 60		rts

015E71	015E71 A9 0C		lda #$0C
	015E73 8D 83 01		sta $0183
	015E76 4C 81 5E		jmp $5E81

015E79	015E79 A9 0D		lda #$0D
	015E7B 8D 83 01		sta $0183
	015E7E 4C 81 5E		jmp $5E81

015E81	015E81 0A		asl a
	015E82 AA		tax
	015E83 BD 72 59		lda $5972,x
	015E86 85 40		sta $40
	015E88 BD 73 59		lda $5973,x
	015E8B 85 41		sta $41
	015E8D 4C F0 5B		jmp $5BF0

015E90	015E90 85 41		sta $41
	015E92 B2 9B 46		sti #$9B,$46
	015E95 B2 5E 47		sti #$5E'^',$47
	015E98 4C AC 5C		jmp $5CAC

015E9B	015E9B 3F 49 03		bbr 3,$49,$015ea1
	015E9E 20 14 FE		jsr $FE14{out_crlf}
015EA1	015EA1 B2 00 43		sti #$00,$43
	015EA4 20 E2 60		jsr $60E2
	015EA7 4C 14 FE		jmp $FE14{out_crlf}

015EAA	015EAA 0D 0A 56		ora $560A
	015EAD 32		pul
	015EAE 2E 32 30		rol $3032
	015EB1 30 46		bmi $015ef9
	015EB3 36 2D		rol $2D,x		;Cx9 SP RAM D
	015EB5 56 33		lsr $33,x		;Cx9	chip select fast/slow
	015EB7 03		tip
	015EB8 5F 41 10		bbr 5,$41,$015ecb
	015EBB 46 5F		lsr $5F
	015EBD 44		???			;undocumented opcode
	015EBE 53		???			;undocumented opcode
	015EBF 31 00		and ($00),x		;Cx9	port A (bidirectional)
	015EC1 31 34		and ($34),x		;Cx9 PTG A	mode
	015EC3 34		???			;undocumented opcode
	015EC4 30 30		bmi $015ef6
	015EC6 00		brk
	015EC7 31 39		and ($39),x		;Cx9	serial interrupt enable
	015EC9 32		pul
	015ECA 30 30		bmi $015efc
	015ECC 00		brk
	015ECD 32		pul
	015ECE 34		???			;undocumented opcode
	015ECF 30 30		bmi $015f01
	015ED1 30 00		bmi $015ed3
015ED3	015ED3 33		plw
	015ED4 33		plw
	015ED5 36 30		rol $30,x		;C39	only : FIFO status register
	015ED7 30 00		bmi $015ed9
015ED9	015ED9 20 52 65		jsr $6552
	015EDC 76 20		ror $20,x		;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	015EDE 00		brk
	015EDF 20 52 4F		jsr $4F52
	015EE2 43		???			;undocumented opcode
	015EE3 4B		jsb 4			;indirect $FFE8
	015EE4 57 45		rmb 5,$45
	015EE6 4C 4C 20		jmp $204C

015EE9	015EE9 52		clw
	015EEA 50 49		bvc $015f35
	015EEC 20 28 54		jsr $5428
	015EEF 4D 29 20		eor $2029
	015EF2 4D 4F 44		eor $444F
	015EF5 45 4D		eor $4D
	015EF7 2B		jsb 2			;indirect $FFE4
	015EF8 30 31		bmi $015f2b
	015EFA 00		brk
	015EFB AA		tax
015EFC	015EFC 5E D9 5E		lsr $5ED9,x
	015EFF 0A		asl a
	015F00 AA		tax
015F01	015F01 BD FB 5E		lda $5EFB,x
	015F04 85 40		sta $40
	015F06 E8		inx
	015F07 BD FB 5E		lda $5EFB,x
	015F0A 85 41		sta $41
	015F0C 4C AA 5B		jmp $5BAA

015F0F	015F0F 8C CE 03		sty $03CE
	015F12 48		pha
	015F13 C9 01		cmp #$01
	015F15 D0 03		bne $015f1a
	015F17 20 ED 5F		jsr $5FED
015F1A	015F1A 68		pla
	015F1B 48		pha
	015F1C 6A		ror a
	015F1D 90 03		bcc $015f22
	015F1F 20 14 FE		jsr $FE14{out_crlf}
015F22	015F22 A9 4C		lda #$4C'L'
	015F24 8D CC 03		sta $03CC
	015F27 A9 53		lda #$53'S'
	015F29 8D CD 03		sta $03CD
	015F2C A9 2D		lda #$2D'-'
	015F2E 8D D1 03		sta $03D1
	015F31 20 69 60		jsr $6069
	015F34 A2 09		ldx #$09
	015F36 A0 00		ldy #$00
015F38	015F38 B1 40		lda ($40),x
	015F3A 48		pha
	015F3B 29 0F		and #$0F
	015F3D 20 7B 5F		jsr $5F7B
	015F40 68		pla
	015F41 4A		lsr a
	015F42 4A		lsr a
	015F43 4A		lsr a
	015F44 4A		lsr a
	015F45 20 7B 5F		jsr $5F7B
	015F48 CA		dex
	015F49 E0 01		cpx #$01
	015F4B D0 EB		bne $015f38
	015F4D 98		tya
	015F4E AA		tax
	015F4F 68		pla
	015F50 48		pha
	015F51 20 32 60		jsr $6032
	015F54 AD CE 03		lda $03CE
	015F57 C9 46		cmp #$46'F'
	015F59 F0 0A		beq $015f65
	015F5B A9 20		lda #$20' '
	015F5D 9D D2		sta $D2,x
	015F5F 03		tip
	015F60 A2 11		ldx #$11
	015F62 20 74 60		jsr $6074
015F65	015F65 20 52 60		jsr $6052
	015F68 86 47		stx $47
	015F6A 68		pla
	015F6B 8F 62 0C		bbs 0,$62,$015f7a
	015F6E 6A		ror a
	015F6F 90 09		bcc $015f7a
	015F71 A9 28		lda #$28'('
	015F73 38		sec
	015F74 E5 47		sbc $47
	015F76 A8		tay
	015F77 20 D9 60		jsr $60D9
015F7A	015F7A 60		rts

015F7B	015F7B C9 0F		cmp #$0F
	015F7D F0 07		beq $015f86
	015F7F 18		clc
	015F80 69 30		adc #$30'0'
	015F82 99 D2		sta $D2,y
	015F84 03		tip
	015F85 C8		iny
015F86	015F86 60		rts

015F87	015F87			.asciz / NO.  PHONE    -       DELAY TIME/
	015FA9			.asciz / NO.  PHONE                      /
	015FCB			.asciz /----- ---------------------------/

	015FED 8F 62 35		bbs 0,$62,$016025
	015FF0 A5 40		lda $40
	015FF2 85 42		sta $42
	015FF4 A5 41		lda $41
	015FF6 85 43		sta $43
	015FF8 20 14 FE		jsr $FE14{out_crlf}
	015FFB B2 A9 40		sti #$A9,$40
	015FFE B2 5F 41		sti #$5F'_',$41
	016001 AD CE 03		lda $03CE
	016004 C9 46		cmp #$46'F'
	016006 F0 06		beq $01600e
	016008 B2 87 40		sti #$87,$40
	01600B B2 5F 41		sti #$5F'_',$41
01600E	01600E 20 26 60		jsr $6026
	016011 20 14 FE		jsr $FE14{out_crlf}
	016014 B2 CB 40		sti #$CB,$40
	016017 B2 5F 41		sti #$5F'_',$41
	01601A 20 26 60		jsr $6026
	01601D A5 42		lda $42
	01601F 85 40		sta $40
	016021 A5 43		lda $43
	016023 85 41		sta $41
016025	016025 60		rts

016026	016026 20 AA 5B		jsr $5BAA
	016029 A0 07		ldy #$07
	01602B 20 D9 60		jsr $60D9
	01602E 20 AA 5B		jsr $5BAA
	016031 60		rts

016032	016032 85 41		sta $41
	016034 A9 00		lda #$00
	016036 9D D2		sta $D2,x
	016038 03		tip
	016039 B2 30 43		sti #$30'0',$43
	01603C B2 0A 40		sti #$0A,$40
	01603F 20 01 61		jsr $6101
	016042 D0 02		bne $016046
	016044 A9 20		lda #$20' '
016046	016046 8D CF 03		sta $03CF
	016049 A5 41		lda $41
	01604B 18		clc
	01604C 69 30		adc #$30'0'
	01604E 8D D0 03		sta $03D0
	016051 60		rts

016052	016052 A9 20		lda #$20' '
	016054 8D CC 03		sta $03CC
	016057 8D CD 03		sta $03CD
	01605A 8D CE 03		sta $03CE
	01605D B2 CC 40		sti #$CC,$40
	016060 B2 03 41		sti #$03,$41
	016063 A2 00		ldx #$00
	016065 20 AA 5B		jsr $5BAA
	016068 60		rts

016069	016069 A2 1A		ldx #$1A
	01606B A9 20		lda #$20' '
01606D	01606D 9D D2		sta $D2,x
	01606F 03		tip
	016070 CA		dex
	016071 D0 FA		bne $01606d
	016073 60		rts

016074	016074 AD 99 03		lda $0399
	016077 85 42		sta $42
	016079 AD 9A 03		lda $039A
	01607C 85 43		sta $43
	01607E B2 10 44		sti #$10,$44
	016081 B2 0E 45		sti #$0E,$45
	016084 20 A1 60		jsr $60A1
	016087 B2 3C 44		sti #$3C'<',$44
	01608A B2 00 45		sti #$00,$45
	01608D 20 A1 60		jsr $60A1
	016090 A5 42		lda $42
	016092 85 40		sta $40
	016094 A5 43		lda $43
	016096 85 41		sta $41
	016098 20 B4 60		jsr $60B4
	01609B A9 00		lda #$00
	01609D 9D D2		sta $D2,x
	01609F 03		tip
	0160A0 60		rts

0160A1	0160A1 A5 42		lda $42
	0160A3 85 40		sta $40
	0160A5 A5 43		lda $43
	0160A7 85 41		sta $41
	0160A9 A9 00		lda #$00
	0160AB 85 42		sta $42
	0160AD 85 43		sta $43
	0160AF DA		phx
	0160B0 20 55 61		jsr $6155
	0160B3 FA		plx
	0160B4 B2 30 41		sti #$30'0',$41
	0160B7 38		sec
	0160B8 A5 40		lda $40
0160BA	0160BA E9 0A		sbc #$0A
	0160BC 90 04		bcc $0160c2
	0160BE E6 41		inc $41
	0160C0 D0 F8		bne $0160ba
0160C2	0160C2 18		clc
	0160C3 69 0A		adc #$0A
	0160C5 18		clc
	0160C6 69 30		adc #$30'0'
	0160C8 48		pha
	0160C9 A5 41		lda $41
	0160CB 20 D4 60		jsr $60D4
	0160CE 68		pla
	0160CF 20 D4 60		jsr $60D4
	0160D2 A9 3A		lda #$3A':'
	0160D4 E8		inx
	0160D5 9D D2		sta $D2,x
	0160D7 03		tip
	0160D8 60		rts

0160D9	0160D9 A9 20		lda #$20' '
	0160DB 20 05 FE		jsr $FE05{out}
	0160DE 88		dey
	0160DF D0 F8		bne $0160d9
	0160E1 60		rts

0160E2	0160E2 B2 64 40		sti #$64'd',$40
	0160E5 20 01 61		jsr $6101
	0160E8 F0 03		beq $0160ed
	0160EA 20 05 FE		jsr $FE05{out}
0160ED	0160ED B2 0A 40		sti #$0A,$40
	0160F0 20 01 61		jsr $6101
	0160F3 F0 03		beq $0160f8
	0160F5 20 05 FE		jsr $FE05{out}
0160F8	0160F8 A5 41		lda $41
	0160FA 18		clc
	0160FB 69 30		adc #$30'0'
	0160FD 20 05 FE		jsr $FE05{out}
	016100 60		rts

016101	016101 B2 30 42		sti #$30'0',$42
	016104 38		sec
	016105 A5 41		lda $41
016107	016107 E5 40		sbc $40
	016109 90 04		bcc $01610f
	01610B E6 42		inc $42
	01610D D0 F8		bne $016107
01610F	01610F 18		clc
	016110 65 40		adc $40
	016112 85 41		sta $41
	016114 A5 42		lda $42
	016116 C9 30		cmp #$30'0'
	016118 F0 05		beq $01611f
	01611A 48		pha
	01611B B2 00 43		sti #$00,$43
	01611E 68		pla
01611F	01611F C5 43		cmp $43
	016121 60		rts

016122	016122 48		pha
	016123 4A		lsr a
	016124 4A		lsr a
	016125 4A		lsr a
	016126 4A		lsr a
	016127 20 31 61		jsr $6131
	01612A 68		pla
	01612B 29 0F		and #$0F
	01612D 20 31 61		jsr $6131
	016130 60		rts

016131	016131 20 43 61		jsr $6143
	016134 20 05 FE		jsr $FE05{out}
	016137 60		rts

016138	016138 C9 61		cmp #$61'a'
	01613A 90 06		bcc $016142
	01613C C9 7B		cmp #$7B'{'
	01613E B0 02		bcs $016142
	016140 29 DF		and #$DF
016142	016142 60		rts

016143	016143 C9 0A		cmp #$0A
	016145 90 02		bcc $016149
	016147 69 06		adc #$06
016149	016149 69 30		adc #$30'0'
	01614B 60		rts

01614C	01614C C9 41		cmp #$41'A'
	01614E 90 02		bcc $016152
	016150 E9 08		sbc #$08
016152	016152 E9 2F		sbc #$2F'/'
	016154 60		rts

016155	016155 A0 11		ldy #$11
	016157 18		clc
016158	016158 90 10		bcc $01616a
	01615A 18		clc
	01615B A5 42		lda $42
	01615D E5 44		sbc $44
	01615F 85 42		sta $42
	016161 A5 43		lda $43
	016163 E5 45		sbc $45
	016165 85 43		sta $43
	016167 38		sec
	016168 B0 10		bcs $01617a
01616A	01616A 38		sec
	01616B A5 42		lda $42
	01616D E5 44		sbc $44
	01616F AA		tax
	016170 A5 43		lda $43
	016172 E5 45		sbc $45
	016174 90 04		bcc $01617a
	016176 86 42		stx $42
	016178 85 43		sta $43
01617A	01617A 26 40		rol $40
	01617C 26 41		rol $41
	01617E 26 42		rol $42
	016180 26 43		rol $43
	016182 88		dey
	016183 D0 D3		bne $016158
	016185 66 43		ror $43
	016187 66 42		ror $42
	016189 60		rts

01618A	01618A 48		pha
	01618B AD 5F 04		lda $045F
	01618E 85 40		sta $40
	016190 29 03		and #$03
	016192 C9 03		cmp #$03
	016194 F0 1C		beq $0161b2
	016196 3F 40 1B		bbr 3,$40,$0161b4
	016199 A9 01		lda #$01
	01619B 4F 40 02		bbr 4,$40,$0161a0
	01619E A9 00		lda #$00
0161A0	0161A0 85 40		sta $40
	0161A2 68		pla
	0161A3 A0 07		ldy #$07
0161A5	0161A5 6A		ror a
	0161A6 90 02		bcc $0161aa
	0161A8 E6 40		inc $40
0161AA	0161AA 88		dey
	0161AB D0 F8		bne $0161a5
	0161AD 6A		ror a
	0161AE 66 40		ror $40
	0161B0 6A		ror a
	0161B1 60		rts

0161B2	0161B2 68		pla
	0161B3 60		rts

0161B4	0161B4 68		pla
	0161B5 09 80		ora #$80
	0161B7 60		rts

0161B8	0161B8 20 14 FE		jsr $FE14{out_crlf}
	0161BB B2 CA 40		sti #$CA,$40
	0161BE B2 61 41		sti #$61'a',$41
	0161C1 4C C4 61		jmp $61C4

0161C4	0161C4 20 AA 5B		jsr $5BAA
	0161C7 4C 14 FE		jmp $FE14{out_crlf}

0161CA	0161CA			.asciz /XT-336SAR FOR RUSSIA 03/07/98/

	0161E8			.asciz /0/
	0161EA			.asciz /0,1/
	0161F4			.asciz /0-3/
	0161F8			.asciz /0-4/
	0161FC			.asciz /1-5/
	016200			.asciz /0-6/
	016204			.asciz /0-7/
	016208			.asciz /0-8/
	01620C			.asciz /0-9/
	016210			.asciz /0-255/
	016216			.asciz /0-65535/
	01621E			.asciz /16384,13107,3276,0/
	016231			.asciz /(20)(32,33,35-96,123-126)/
	01624B			.asciz /(0,1),(0-5),(0-2),(0-2),0,0,0,(0-7)/
	01626F			.asciz /(0,1),(0-3),(0-2),(0-2),0,0,0,(0-7)/
	016293			.asciz /3,24,48,72,96/
	0162A1			.asciz /3,24,48,72,73,74,96,97,98,121,122,145,146/
	0162CB			.asciz /(0-7),(0-4),(0-9)/
	0162DD			.asciz /(0),(0),(0-1),,(0-1),(0),(255),/
	0162FD			.asciz /+FC/,$84

	016302 80 00		bra $016304

016304	016304			.asciz /ROCKWELL            /

	016319			.asciz /AC/V34              /
	01632E			.ascii /V2.200F6-V3/

	016339 03		tip
	01633A 5F 41 10		bbr 5,$41,$01634d
	01633D 46 5F		lsr $5F
	01633F 44		???			;undocumented opcode
	016340 53		???			;undocumented opcode
	016341 31 00		and ($00),x		;Cx9	port A (bidirectional)
	016343 00		brk
	016344 00		brk
	016345 00		brk
	016346 00		brk
	016347 00		brk
	016348 00		brk
	016349 00		brk
	01634A 00		brk
	01634B 00		brk
	01634C 00		brk
01634D	01634D 00		brk
	01634E 00		brk
	01634F 00		brk
	016350 00		brk
016351	016351 00		brk
	016352 00		brk
016353	016353 00		brk
	016354 00		brk
	016355 00		brk
	016356 00		brk
	016357 00		brk
	016358 00		brk
	016359 00		brk
	01635A 00		brk
	01635B 00		brk
	01635C 00		brk
	01635D 00		brk

	01635E			.asciz /+FDCS: /
	016366			.asciz /+FDIS: /
	01636E			.asciz /+FDTC: /
	016376			.asciz /+FPOLL/
	01637D			.asciz /+FCFR/
	016383			.asciz /+FTSI: "/
	01638C			.asciz /+FCSI: "/
	016395			.asciz /+FCIG: "/
	01639E			.asciz /+FNSF: /
	0163A6			.asciz /+FNSS: /
	0163AE			.asciz /+FNSC: /
	0163B6			.asciz /+FHT: /
	0163BD			.asciz /+FHR: /
	0163C4			.asciz /+FCON/
	0163CA			.asciz /+FET: /
	0163D1			.asciz /+FPTS: /
	0163D9			.asciz /+FHNG: /
	0163E1			.asciz /+FVOICE/

	0163E9			.asciz /0,2/
	0163ED			.asciz /(0,1,2,3,9,10,11,64,69),(0,1),(300-33600),(300-33600)/
	016423			.asciz /0,1,1.0,80/
	01642E			.asciz /(0,1)/
	016434			.asciz /((0),(1-7),(1-7))/

	016446			.asciz /(254)/

	01644C			.asciz /-SSV/,0x0D,0x0A
	016453			.asciz /-SMD/,0x0D,0x0A
	01645A			.asciz /-SFA/,0x0D,0x0A
	016461			.asciz /-SRA/
	016466			.asciz /-SRQ/
	01646B			.asciz /-SRC:/
	016471			.asciz /-STO/,0x0D,0x0A
	016478			.asciz /-SCD:/
	01647E			.asciz /(0,1,2,3)/
	016488			.asciz /(0,1,2,4,8,10,18)/
	01649A			.asciz /(0-255),(0,1)/
	0164A8			.asciz /(0-255),(0-255),0/
	0164BA			.asciz /0,1,2,4,8,16,32,64,128/
	0164D1			.asciz /+FRH:3/
	0164D8			.asciz /-A8C=/
	0164DE			.asciz /0,1,2,3,4,8,16,24,48/
	0164F3			.asciz /0,1,8/
	0164F9			.asciz /2.4.8/
	0164FF			.asciz /VCON/
	016504			.asciz /QUIET/
	01650A			.asciz /BUSY/
	01650F			.asciz /DIALTONE/
	016518			.asciz /DISCONNECT/
	016523			.asciz /ROCKWELL;ADPCM;8/
	016534			.asciz /0-40/
	016539			.asciz /7200,11025/
	016544			.asciz /16384/
	01654A			.asciz /FF,FF,FF/
	016553			.asciz /255/
	016557			.asciz /0,10/
	01655C 10
	01655D			.asciz /XZBBC=/
	016564			.asciz /128-131/
	01656C			.asciz /0-9/
	016570			.asciz /(0-2),(0-16),(0-3)/
	016583			.asciz /(0,1,2,3),(4800-14400),(4800-14400),(0,1,2,3,4,5,6)/
	0165B7			.asciz /(0,1)/
	0165BD			.asciz /(0,1,2),(0,1)/
	0165CB			.asciz /(0,1),(0,1)/
	0165D7			.asciz /(0,1,2,3,9,10,64,69),(0,1),(300-14400),(300-14400)/


	01660A A5 9D		lda $9D
	01660C 29 C0		and #$C0
	01660E 4A		lsr a
	01660F 4A		lsr a
	016610 4A		lsr a
016611	016611 4A		lsr a
	016612 4A		lsr a
	016613 4A		lsr a
	016614 0A		asl a
	016615 AA		tax
	016616 BD 33 66		lda $6633,x
	016619 85 40		sta $40
01661B	01661B E8		inx
	01661C BD 33 66		lda $6633,x
	01661F 85 41		sta $41
	016621 20 14 FE		jsr $FE14{out_crlf}
	016624 4C C4 61		jmp $61C4

016627	016627 20 E7 6C		jsr $6CE7
	01662A 60		rts

01662B	01662B 20 F8 71		jsr $71F8
	01662E 60		rts

01662F	01662F 20 50 71		jsr $7150
016632	016632 60		rts

016633	016633 37 66		-> "7200"
	016635 3C 66		-> "11025"

	016637			.asciz /7200/
	01663C			.asciz /11025/
	016642 00
	016643			.asciz /DATE = /
	01664B			.asciz /TIME = /
	016653			.asciz /NMBR = /
	01665B			.asciz /NAME = /
	016663			.asciz /MESG = /

01666B	01666B 00		brk
	01666C 40		rti
	01666D 80 C0		bra $01662f

01666F	01666F 00		brk
	016670 10 20		bpl $016692
016672	016672 30 40		bmi $0166b4
	016674 48		pha
	016675 50
	016676 58 60

016678	016678 64 68		add $68
	01667A 6C 70 74		jmp ($7470)

01667D	01667D 78		sei
	01667E 7C 80 82		jmp $8280,x

016681	016681 84 86		sty $86
	016683 88		dey
	016684 8A		txa
	016685 8C 8E 90		sty $908E
	016688 92		???			;undocumented opcode
	016689 94 96		sty $96,x
	01668B 98		tya
	01668C 9A		txs
	01668D 9C		???			;undocumented opcode
	01668E 9E		???			;undocumented opcode
	01668F A0 A1		ldy #$A1
	016691 A2 A3		ldx #$A3
	016693 A4 A5		ldy $A5
	016695 A6 A7		ldx $A7
	016697 A8		tay
	016698 A9 AA		lda #$AA
	01669A AB		lan
	01669B AC AD AE		ldy $AEAD
	01669E AF B0 B1		bbs 2,$B0,$016652
	0166A1 B2 B3 B4		sti #$B3,$B4
	0166A4 B5 B6		lda $B6,x
	0166A6 B7 B8		smb 3,$B8
	0166A8 B9 BA BB		lda $BBBA,y
	0166AB BC BD BE		ldy $BEBD,x
	0166AE BF C0 C0		bbs 3,$C0,$016671
	0166B1 C1 C1		cmp ($C1)
	0166B3 C2 C2 C3 C3	rba $C2,$C3C3
	0166B7 C4 C4		cpy $C4
	0166B9 C5 C5		cmp $C5
	0166BB C6 C6		dec $C6
	0166BD C7 C7		smb 4,$C7
	0166BF C8		iny
	0166C0 C8		iny
	0166C1 C9 C9		cmp #$C9
	0166C3 CA		dex
	0166C4 CA		dex
	0166C5 CB		phi
	0166C6 CB		phi
	0166C7 CC CC CD		cpy $CDCC
	0166CA CD CE CE		cmp $CECE
	0166CD CF CF D0		bbs 4,$CF,$0166a0
	0166D0 D0 D1		bne $0166a3
	0166D2 D1 D2		cmp ($D2),x
	0166D4 D2 D3 D3 D4	sba $D3,$D4D3
	0166D8 D4 D5		exc $D5,x
	0166DA D5 D6		cmp $D6,x
	0166DC D6 D7		dec $D7,x
	0166DE D7 D8		smb 5,$D8
	0166E0 D8		cld
	0166E1 D9 D9 DA		cmp $DAD9,y
	0166E4 DA		phx
	0166E5 DB		pli
	0166E6 DB		pli
	0166E7 DC		???			;undocumented opcode
	0166E8 DC		???			;undocumented opcode
	0166E9 DD DD DE		cmp $DEDD,x
	0166EC DE DF DF		dec $DFDF,x
	0166EF E0 E0		cpx #$E0
	0166F1 E0 E0		cpx #$E0
	0166F3 E1 E1		sbc ($E1)
	0166F5 E1 E1		sbc ($E1)
	0166F7 E2 E2 E2 E2 E3	bar $E2E2,$E2,$0166df
	0166FC E3		???			;undocumented opcode
	0166FD E3		???			;undocumented opcode
	0166FE E3		???			;undocumented opcode
	0166FF E4 E4		cpx $E4
	016701 E4 E4		cpx $E4
	016703 E5 E5		sbc $E5
	016705 E5 E5		sbc $E5
	016707 E6 E6		inc $E6
	016709 E6 E6		inc $E6
	01670B E7 E7		smb 6,$E7
	01670D E7 E7		smb 6,$E7
	01670F E8		inx
	016710 E8		inx
	016711 E8		inx
	016712 E8		inx
	016713 E9 E9		sbc #$E9
	016715 E9 E9		sbc #$E9
	016717 EA		nop
	016718 EA		nop
	016719 EA		nop
	01671A EA		nop
	01671B EB		lai
	01671C EB		lai
01671D	01671D EB		lai
	01671E EB		lai
	01671F EC EC EC		cpx $ECEC
	016722 EC ED ED		cpx $EDED
	016725 ED ED EE		sbc $EEED
	016728 EE EE EE		inc $EEEE
	01672B EF EF EF		bbs 6,$EF,$01671d
	01672E EF F0 F0		bbs 6,$F0,$016721
	016731 F0 F0		beq $016723
	016733 F1 F1		sbc ($F1),x
	016735 F1 F1		sbc ($F1),x
	016737 F2 F2 F2 F2 F3	bas $F2F2,$F2,$01672f
	01673C F3		???			;undocumented opcode
	01673D F3		???			;undocumented opcode
	01673E F3		???			;undocumented opcode
	01673F F4		???			;undocumented opcode
	016740 F4		???			;undocumented opcode
	016741 F4		???			;undocumented opcode
	016742 F4		???			;undocumented opcode
	016743 F5 F5		sbc $F5,x
	016745 F5 F5		sbc $F5,x
	016747 F6 F6		inc $F6,x
	016749 F6 F6		inc $F6,x
01674B	01674B F7 F7		smb 7,$F7
	01674D F7 F7		smb 7,$F7
	01674F F8		sed
	016750 F8		sed
	016751 F8		sed
	016752 F8		sed
	016753 F9 F9 F9		sbc $F9F9,y
	016756 F9 FA FA		sbc $FAFA,y
	016759 FA		plx
	01675A FA		plx
	01675B FB		pia
	01675C FB		pia
	01675D FB		pia
	01675E FB		pia
	01675F FC		???			;undocumented opcode
	016760 FC		???			;undocumented opcode
	016761 FC		???			;undocumented opcode
	016762 FC		???			;undocumented opcode
	016763 FD FD FD		sbc $FDFD,x
	016766 FD FE FE		sbc $FEFE,x
	016769 FE FE FF		inc $FFFE,x
	01676C FF FF FF		bbs 7,$FF,$01676e
	01676F A9 00		lda #$00
	016771 8D F0 99		sta $99F0
	016774 8D EC 99		sta $99EC
	016777 8D ED 99		sta $99ED
	01677A 8D E8 99		sta $99E8
	01677D 8D E7 99		sta $99E7
	016780 8D EA 99		sta $99EA
	016783 8D E6 99		sta $99E6
	016786 8D F2 99		sta $99F2
	016789 8D F3 99		sta $99F3
	01678C 87 8C		smb 0,$8C
	01678E 17 8C		rmb 1,$8C
	016790 27 8C		rmb 2,$8C
	016792 A2 00		ldx #$00
016794	016794 8A		txa
	016795 9D 00		sta $00,x		;Cx9	port A (bidirectional)
	016797 B5 9D		lda $9D,x
	016799 00		brk
	01679A B3		???			;undocumented opcode
	01679B 9D 00		sta $00,x		;Cx9	port A (bidirectional)
	01679D B2 9D 00		sti #$9D,$00		;Cx9	port A (bidirectional)
	0167A0 B0 A9		bcs $01674b
	0167A2 00		brk
	0167A3 9D 00		sta $00,x		;Cx9	port A (bidirectional)
	0167A5 B4 9D		ldy $9D,x
	0167A7 00		brk
	0167A8 B1 E8		lda ($E8),x
	0167AA D0 E8		bne $016794
	0167AC 57 6A		rmb 5,$6A
	0167AE 47 6A		rmb 4,$6A
	0167B0 60		rts

0167B1	0167B1 5F 6A 01		bbr 5,$6A,$0167b5
	0167B4 60		rts

0167B5	0167B5 AD F3 99		lda $99F3
	0167B8 F0 03		beq $0167bd
	0167BA 4C 58 69		jmp $6958

0167BD	0167BD A5 B7		lda $B7
	0167BF D0 07		bne $0167c8
	0167C1 05 B8		ora $B8
	0167C3 D0 03		bne $0167c8
	0167C5 4F 64 05		bbr 4,$64,$0167cd
0167C8	0167C8 20 D4 1B		jsr $1BD4
	0167CB 90 09		bcc $0167d6
0167CD	0167CD AD 33 01		lda $0133
	0167D0 D0 03		bne $0167d5
	0167D2 4C D3 68		jmp $68D3

0167D5	0167D5 60		rts

0167D6	0167D6 85 44		sta $44
	0167D8 AD 0D 86		lda $860D
	0167DB 8D 33 01		sta $0133
	0167DE 07 8C		rmb 0,$8C
	0167E0 AD E6 99		lda $99E6
	0167E3 C9 03		cmp #$03
	0167E5 F0 1B		beq $016802
	0167E7 A5 44		lda $44
	0167E9 CD E9 99		cmp $99E9
	0167EC D0 0A		bne $0167f8
	0167EE A2 00		ldx #$00
	0167F0 8E EA 99		stx $99EA
	0167F3 EE E6 99		inc $99E6
	0167F6 80 32		bra $01682a

0167F8	0167F8 8D E9 99		sta $99E9
	0167FB A2 01		ldx #$01
	0167FD 8E E6 99		stx $99E6
	016800 80 28		bra $01682a

016802	016802 A5 44		lda $44
	016804 CD E9 99		cmp $99E9
	016807 D0 13		bne $01681c
	016809 EE EA 99		inc $99EA
	01680C A9 FA		lda #$FA
	01680E CD EA 99		cmp $99EA
	016811 D0 08		bne $01681b
	016813 20 36 68		jsr $6836
	016816 A9 00		lda #$00
	016818 8D E6 99		sta $99E6
01681B	01681B 60		rts

01681C	01681C 8D E9 99		sta $99E9
	01681F AD EA 99		lda $99EA
	016822 20 36 68		jsr $6836
	016825 A9 01		lda #$01
	016827 8D E6 99		sta $99E6
01682A	01682A A6 44		ldx $44
	01682C BD 00 B2		lda $B200,x
	01682F 20 36 68		jsr $6836
	016832 20 07 69		jsr $6907
	016835 60		rts

016836	016836 85 45		sta $45
	016838 AA		tax
	016839 BD 6F 66		lda $666F,x
	01683C 85 46		sta $46
	01683E 9F 8C 0E		bbs 1,$8C,$01684f
	016841 A5 45		lda $45
	016843 C9 02		cmp #$02
	016845 B0 04		bcs $01684b
	016847 A9 04		lda #$04
	016849 80 11		bra $01685c

01684B	01684B C9 FF		cmp #$FF
	01684D D0 04		bne $016853
01684F	01684F A9 0B		lda #$0B
	016851 80 09		bra $01685c

016853	016853 A5 46		lda $46
	016855 4A		lsr a
	016856 4A		lsr a
	016857 4A		lsr a
	016858 4A		lsr a
	016859 4A		lsr a
	01685A 89 03		add #$03
01685C	01685C 18		clc
	01685D 6D E8 99		adc $99E8
	016860 85 42		sta $42
	016862 A5 45		lda $45
	016864 C9 40		cmp #$40'@'
	016866 B0 04		bcs $01686c
	016868 A9 00		lda #$00
	01686A 80 0B		bra $016877

01686C	01686C C9 80		cmp #$80
	01686E B0 05		bcs $016875
	016870 29 01		and #$01
	016872 0A		asl a
	016873 80 02		bra $016877

016875	016875 29 03		and #$03
016877	016877 AA		tax
	016878 BD 6B 66		lda $666B,x
	01687B 85 45		sta $45
	01687D A9 00		lda #$00
	01687F 85 47		sta $47
	016881 1F 8C 08		bbr 1,$8C,$01688c
	016884 A9 FF		lda #$FF
	016886 85 45		sta $45
	016888 85 46		sta $46
	01688A 17 8C		rmb 1,$8C
01688C	01688C A9 08		lda #$08
	01688E 38		sec
	01688F ED E8 99		sbc $99E8
	016892 AA		tax
016893	016893 18		clc
	016894 26 45		rol $45
	016896 26 46		rol $46
	016898 26 47		rol $47
	01689A CA		dex
	01689B D0 F6		bne $016893
	01689D A5 47		lda $47
	01689F 0D E7 99		ora $99E7
	0168A2 85 47		sta $47
0168A4	0168A4 A5 42		lda $42
	0168A6 C9 08		cmp #$08
	0168A8 B0 09		bcs $0168b3
	0168AA 8D E8 99		sta $99E8
	0168AD A5 47		lda $47
	0168AF 8D E7 99		sta $99E7
	0168B2 60		rts

0168B3	0168B3 A5 47		lda $47
	0168B5 AE F3 99		ldx $99F3
	0168B8 9D F4		sta $F4,x
	0168BA 99 EE		sta $EE,y
	0168BC F3		???			;undocumented opcode
	0168BD 99 A2		sta $A2,y
	0168BF 08		php
0168C0	0168C0 18		clc
	0168C1 26 45		rol $45
	0168C3 26 46		rol $46
	0168C5 26 47		rol $47
	0168C7 CA		dex
	0168C8 D0 F6		bne $0168c0
	0168CA A5 42		lda $42
	0168CC 38		sec
	0168CD E9 08		sbc #$08
	0168CF 85 42		sta $42
	0168D1 80 D1		bra $0168a4

0168D3	0168D3 0F 8C 01		bbr 0,$8C,$0168d7
	0168D6 60		rts

0168D7	0168D7 87 8C		smb 0,$8C
	0168D9 AD E6 99		lda $99E6
	0168DC C9 03		cmp #$03
	0168DE D0 06		bne $0168e6
	0168E0 AD EA 99		lda $99EA
	0168E3 20 36 68		jsr $6836
0168E6	0168E6 97 8C		smb 1,$8C
	0168E8 20 36 68		jsr $6836
	0168EB AD E8 99		lda $99E8
	0168EE F0 0B		beq $0168fb
	0168F0 A9 FF		lda #$FF
	0168F2 AE F3 99		ldx $99F3
	0168F5 9D F4		sta $F4,x
	0168F7 99 EE		sta $EE,y
	0168F9 F3		???			;undocumented opcode
	0168FA 99 A9		sta $A9,y
	0168FC 00		brk
	0168FD 8D E8 99		sta $99E8
	016900 8D E7 99		sta $99E7
	016903 8D E6 99		sta $99E6
	016906 60		rts

016907	016907 AD 00 B1		lda $B100
	01690A C9 FF		cmp #$FF
	01690C D0 0D		bne $01691b
	01690E A2 00		ldx #$00
016910	016910 BD 00 B1		lda $B100,x
	016913 F0 06		beq $01691b
	016915 5E 00 B1		lsr $B100,x
	016918 E8		inx
	016919 D0 F5		bne $016910
01691B	01691B AE E9 99		ldx $99E9
	01691E BD 00 B2		lda $B200,x
	016921 D0 04		bne $016927
	016923 EE 00 B1		inc $B100
	016926 60		rts

016927	016927 85 45		sta $45
016929	016929 A6 45		ldx $45
	01692B BD 00 B1		lda $B100,x
	01692E CA		dex
	01692F DD 00 B1		cmp $B100,x
	016932 D0 11		bne $016945
	016934 BD 00 B0		lda $B000,x
	016937 E8		inx
	016938 9D 00		sta $00,x		;Cx9	port A (bidirectional)
	01693A B0 AA		bcs $0168e6
	01693C A5 45		lda $45
	01693E 9D 00		sta $00,x		;Cx9	port A (bidirectional)
	016940 B2 C6 45		sti #$C6,$45
	016943 D0 E4		bne $016929
016945	016945 A6 45		ldx $45
	016947 FE 00 B1		inc $B100,x
	01694A AD E9 99		lda $99E9
	01694D 9D 00		sta $00,x		;Cx9	port A (bidirectional)
	01694F B0 8A		bcs $0168db
	016951 AE E9 99		ldx $99E9
	016954 9D 00		sta $00,x		;Cx9	port A (bidirectional)
	016956 B2 60 AD		sti #$60'`',$AD
	016959 F3		???			;undocumented opcode
	01695A 99 F0		sta $F0,y
	01695C 21 DF		and ($DF)
	01695E 6A		ror a
	01695F 1E AE F2		asl $F2AE,x
	016962 99 BD		sta $BD,y
	016964 F4		???			;undocumented opcode
	016965 99 8D		sta $8D,y
016967	016967 5C		???			;undocumented opcode
	016968 86 D7		stx $D7
	01696A 6A		ror a
	01696B EE F2 99		inc $99F2
	01696E AD F2 99		lda $99F2
	016971 CD F3 99		cmp $99F3
	016974 D0 08		bne $01697e
	016976 A9 00		lda #$00
	016978 8D F2 99		sta $99F2
	01697B 8D F3 99		sta $99F3
01697E	01697E 60		rts

01697F	01697F 00		brk
	016980 02		mpy
	016981 04		???			;undocumented opcode
	016982 08		php
	016983 10 20		bpl $0169a5
	016985 40		rti
	016986 80 DF		bra $016967

016988	016988 74 05		add $05,x		;Cx9	port B select (R/W)
	01698A AF 73 02		bbs 2,$73,$01698f
	01698D 80 01		bra $016990

01698F	01698F 60		rts

016990	016990 2F 8C 1A		bbr 2,$8C,$0169ad
	016993 AD EF 99		lda $99EF
	016996 20 F9 1B		jsr $1BF9
	016999 CE F0 99		dec $99F0
	01699C F0 01		beq $01699f
	01699E 60		rts

01699F	01699F 27 8C		rmb 2,$8C
0169A1	0169A1 20 DA 6A		jsr $6ADA
	0169A4 B0 01		bcs $0169a7
	0169A6 60		rts

0169A7	0169A7 20 50 6A		jsr $6A50
	0169AA B0 F5		bcs $0169a1
	0169AC 60		rts

0169AD	0169AD CF 6A 01		bbs 4,$6A,$0169b1
	0169B0 60		rts

0169B1	0169B1 47 6A		rmb 4,$6A
	0169B3 AC 5B 86		ldy $865B
	0169B6 A9 00		lda #$00
	0169B8 85 44		sta $44
	0169BA 85 45		sta $45
	0169BC 85 46		sta $46
	0169BE 85 47		sta $47
	0169C0 AD EC 99		lda $99EC
	0169C3 D0 07		bne $0169cc
	0169C5 8C EE 99		sty $99EE
	0169C8 84 46		sty $46
	0169CA 80 50		bra $016a1c

0169CC	0169CC AD EC 99		lda $99EC
	0169CF 29 07		and #$07
	0169D1 D0 04		bne $0169d7
	0169D3 84 46		sty $46
	0169D5 80 14		bra $0169eb

0169D7	0169D7 84 45		sty $45
	0169D9 85 42		sta $42
	0169DB A9 08		lda #$08
	0169DD 38		sec
	0169DE E5 42		sbc $42
	0169E0 AA		tax
0169E1	0169E1 18		clc
	0169E2 26 45		rol $45
	0169E4 26 46		rol $46
	0169E6 26 47		rol $47
	0169E8 CA		dex
	0169E9 D0 F6		bne $0169e1
0169EB	0169EB AD EC 99		lda $99EC
	0169EE C9 08		cmp #$08
	0169F0 B0 14		bcs $016a06
	0169F2 AD EE 99		lda $99EE
	0169F5 05 46		ora $46
	0169F7 8D EE 99		sta $99EE
	0169FA A5 45		lda $45
	0169FC 8D ED 99		sta $99ED
	0169FF AD EE 99		lda $99EE
	016A02 85 46		sta $46
	016A04 80 16		bra $016a1c

016A06	016A06 AD ED 99		lda $99ED
	016A09 05 46		ora $46
	016A0B 8D ED 99		sta $99ED
	016A0E AD EE 99		lda $99EE
	016A11 85 46		sta $46
	016A13 A5 45		lda $45
	016A15 85 44		sta $44
	016A17 AD ED 99		lda $99ED
	016A1A 85 45		sta $45
016A1C	016A1C AD EC 99		lda $99EC
	016A1F 89 08		add #$08
	016A21 8D EC 99		sta $99EC
	016A24 38		sec
	016A25 E9 03		sbc #$03
	016A27 8D EB 99		sta $99EB
	016A2A A2 03		ldx #$03
016A2C	016A2C 18		clc
	016A2D 26 44		rol $44
	016A2F 26 45		rol $45
	016A31 26 46		rol $46
	016A33 26 47		rol $47
	016A35 CA		dex
	016A36 D0 F4		bne $016a2c
	016A38 20 0B 6B		jsr $6B0B
	016A3B B0 01		bcs $016a3e
	016A3D 60		rts

016A3E	016A3E 20 50 6A		jsr $6A50
	016A41 B0 01		bcs $016a44
	016A43 60		rts

016A44	016A44 20 DA 6A		jsr $6ADA
	016A47 B0 01		bcs $016a4a
	016A49 60		rts

016A4A	016A4A 20 50 6A		jsr $6A50
	016A4D B0 F5		bcs $016a44
	016A4F 60		rts

016A50	016A50 AD F0 99		lda $99F0
	016A53 C9 03		cmp #$03
	016A55 D0 0E		bne $016a65
	016A57 AD F1 99		lda $99F1
	016A5A 8D F0 99		sta $99F0
	016A5D D0 02		bne $016a61
	016A5F 38		sec
	016A60 60		rts

016A61	016A61 A7 8C		smb 2,$8C
	016A63 18		clc
	016A64 60		rts

016A65	016A65 AE F1 99		ldx $99F1
	016A68 BD 00 B3		lda $B300,x
	016A6B 8D F1 99		sta $99F1
	016A6E 20 F9 1B		jsr $1BF9
	016A71 EE F0 99		inc $99F0
	016A74 AD F1 99		lda $99F1
	016A77 CD EF 99		cmp $99EF
	016A7A F0 08		beq $016a84
	016A7C 8D EF 99		sta $99EF
	016A7F A9 01		lda #$01
	016A81 8D F0 99		sta $99F0
016A84	016A84 20 89 6A		jsr $6A89
	016A87 38		sec
	016A88 60		rts

016A89	016A89 AD 00 B4		lda $B400
	016A8C C9 FF		cmp #$FF
	016A8E D0 0D		bne $016a9d
	016A90 A2 00		ldx #$00
016A92	016A92 BD 00 B4		lda $B400,x
	016A95 F0 06		beq $016a9d
	016A97 5E 00 B4		lsr $B400,x
	016A9A E8		inx
	016A9B D0 F5		bne $016a92
016A9D	016A9D AE EF 99		ldx $99EF
	016AA0 BD 00 B5		lda $B500,x
	016AA3 D0 04		bne $016aa9
	016AA5 EE 00 B4		inc $B400
	016AA8 60		rts

016AA9	016AA9 85 43		sta $43
016AAB	016AAB A6 43		ldx $43
	016AAD BD 00 B4		lda $B400,x
	016AB0 CA		dex
	016AB1 DD 00 B4		cmp $B400,x
	016AB4 D0 11		bne $016ac7
	016AB6 BD 00 B3		lda $B300,x
	016AB9 E8		inx
	016ABA 9D 00		sta $00,x		;Cx9	port A (bidirectional)
	016ABC B3		???			;undocumented opcode
	016ABD AA		tax
	016ABE A5 43		lda $43
	016AC0 9D 00		sta $00,x		;Cx9	port A (bidirectional)
	016AC2 B5 C6		lda $C6,x
	016AC4 43		???			;undocumented opcode
	016AC5 D0 E4		bne $016aab
016AC7	016AC7 A6 43		ldx $43
	016AC9 FE 00 B4		inc $B400,x
	016ACC AD EF 99		lda $99EF
	016ACF 9D 00		sta $00,x		;Cx9	port A (bidirectional)
	016AD1 B3		???			;undocumented opcode
	016AD2 8A		txa
	016AD3 AE EF 99		ldx $99EF
	016AD6 9D 00		sta $00,x		;Cx9	port A (bidirectional)
	016AD8 B5 60		lda $60,x
	016ADA AD EC 99		lda $99EC
	016ADD C9 04		cmp #$04
	016ADF B0 01		bcs $016ae2
	016AE1 60		rts

016AE2	016AE2 A9 00		lda #$00
	016AE4 85 44		sta $44
	016AE6 85 47		sta $47
	016AE8 AD ED 99		lda $99ED
	016AEB 85 45		sta $45
	016AED AD EE 99		lda $99EE
	016AF0 85 46		sta $46
	016AF2 AD EC 99		lda $99EC
	016AF5 38		sec
	016AF6 E9 03		sbc #$03
	016AF8 8D EB 99		sta $99EB
	016AFB A2 03		ldx #$03
016AFD	016AFD 18		clc
	016AFE 26 45		rol $45
	016B00 26 46		rol $46
	016B02 26 47		rol $47
	016B04 CA		dex
	016B05 D0 F6		bne $016afd
	016B07 20 0B 6B		jsr $6B0B
	016B0A 60		rts

016B0B	016B0B A6 47		ldx $47
	016B0D BD 7F 69		lda $697F,x
	016B10 8D F1 99		sta $99F1
	016B13 8A		txa
	016B14 D0 02		bne $016b18
	016B16 E6 47		inc $47
016B18	016B18 AD EB 99		lda $99EB
	016B1B C5 47		cmp $47
	016B1D B0 01		bcs $016b20
	016B1F 60		rts

016B20	016B20 38		sec
	016B21 E5 47		sbc $47
	016B23 8D EB 99		sta $99EB
	016B26 A6 47		ldx $47
	016B28 A9 00		lda #$00
	016B2A 85 47		sta $47
016B2C	016B2C 18		clc
	016B2D 26 44		rol $44
	016B2F 26 45		rol $45
	016B31 26 46		rol $46
	016B33 26 47		rol $47
	016B35 CA		dex
	016B36 D0 F4		bne $016b2c
	016B38 A5 47		lda $47
	016B3A 0D F1 99		ora $99F1
	016B3D 8D F1 99		sta $99F1
	016B40 C9 FF		cmp #$FF
	016B42 D0 29		bne $016b6d
	016B44 AD EB 99		lda $99EB
	016B47 D0 02		bne $016b4b
	016B49 18		clc
	016B4A 60		rts

016B4B	016B4B CE EB 99		dec $99EB
	016B4E 18		clc
	016B4F 26 44		rol $44
	016B51 26 45		rol $45
	016B53 26 46		rol $46
	016B55 26 47		rol $47
	016B57 A5 47		lda $47
	016B59 29 01		and #$01
	016B5B F0 10		beq $016b6d
	016B5D A9 00		lda #$00
	016B5F 8D EE 99		sta $99EE
	016B62 8D ED 99		sta $99ED
	016B65 8D EC 99		sta $99EC
	016B68 8D F0 99		sta $99F0
	016B6B 18		clc
	016B6C 60		rts

016B6D	016B6D A5 46		lda $46
	016B6F 8D EE 99		sta $99EE
	016B72 A5 45		lda $45
	016B74 8D ED 99		sta $99ED
	016B77 AD EB 99		lda $99EB
	016B7A 8D EC 99		sta $99EC
	016B7D 38		sec
	016B7E 60		rts

016B7F	016B7F 22		psh
	016B80 AD D7 00		lda $00D7
	016B83 8D D5 00		sta $00D5
	016B86 AD D8 00		lda $00D8
	016B89 8D D6 00		sta $00D6
	016B8C 8E D7 00		stx $00D7
	016B8F 8C D8 00		sty $00D8
	016B92 32		pul
	016B93 60		rts

016B94	016B94 22		psh
	016B95 AD D5 00		lda $00D5
	016B98 8D D7 00		sta $00D7
	016B9B AD D6 00		lda $00D6
	016B9E 8D D8 00		sta $00D8
	016BA1 32		pul
	016BA2 60		rts

016BA3	016BA3 AD DD 00		lda $00DD
	016BA6 C9 48		cmp #$48'H'
	016BA8 F0 03		beq $016bad
	016BAA 6C D7 00		jmp ($00D7)

016BAD	016BAD A9 00		lda #$00
	016BAF 20 B8 FC		jsr $FCB8
	016BB2 37 9B		rmb 3,$9B
	016BB4 27 62		rmb 2,$62
	016BB6 20 AC 6F		jsr $6FAC
	016BB9 07 57		rmb 0,$57
	016BBB 20 BD FB		jsr $FBBD
	016BBE 20 72 F4		jsr $F472
	016BC1 20 62 F4		jsr $F462
	016BC4 20 01 FB		jsr $FB01
	016BC7 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	016BC9 A9 00		lda #$00
	016BCB 85 A9		sta $A9
	016BCD A9 48		lda #$48'H'
	016BCF 85 AC		sta $AC
	016BD1 B7 57		smb 3,$57
	016BD3 60		rts

016BD4	016BD4 A9 29		lda #$29')'
	016BD6 8D D7 00		sta $00D7
	016BD9 A9 6C		lda #$6C'l'
	016BDB 8D D8 00		sta $00D8
	016BDE 67 8A		rmb 6,$8A
	016BE0 57 59		rmb 5,$59
	016BE2 A9 5D		lda #$5D']'
	016BE4 8D 75 02		sta $0275
	016BE7 A9 E3		lda #$E3
	016BE9 8D 76 02		sta $0276
	016BEC D7 59		smb 5,$59
	016BEE 20 B0 FB		jsr $FBB0
	016BF1 20 72 F4		jsr $F472
	016BF4 20 62 F4		jsr $F462
	016BF7 A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
	016BF9 97 61		smb 1,$61
	016BFB 67 9F		rmb 6,$9F
	016BFD A9 00		lda #$00
	016BFF 8D 8E 87		sta $878E
	016C02 77 9F		rmb 7,9F
	016C04 A9 A0		lda #$A0
	016C06 8D 8F 87		sta $878F
	016C09 20 D2 E3		jsr $E3D2
	016C0C F0 02		beq $016c10
	016C0E 77 A2		rmb 7,A2
016C10	016C10 AD 70 86		lda $8670
	016C13 C9 05		cmp #$05
	016C15 D0 08		bne $016c1f
	016C17 20 2A 74		jsr $742A
	016C1A A2 02		ldx #$02
	016C1C 20 0D E2		jsr $E20D
016C1F	016C1F A9 00		lda #$00
	016C21 8D 97 9A		sta $9A97
	016C24 97 5C		smb 1,$5C
	016C26 4C B2 6F		jmp $6FB2

016C29	016C29 20 01 FB		jsr $FB01
	016C2C 20 0B FB		jsr $FB0B
	016C2F 20 E1 F8		jsr $F8E1
	016C32 20 52 FB		jsr $FB52
	016C35 20 48 FB		jsr $FB48
	016C38 20 19 73		jsr $7319
	016C3B 20 0D E2		jsr $E20D
	016C3E A2 64		ldx #$64'd'
	016C40 20 BB F2		jsr $F2BB
	016C43 20 8C E1		jsr $E18C
	016C46 20 B6 E1		jsr $E1B6
	016C49 20 6E E1		jsr $E16E
	016C4C 20 E3 FA		jsr $FAE3
	016C4F 20 A2 2F		jsr $2FA2
	016C52 20 B8 2F		jsr $2FB8
	016C55 20 0A E2		jsr $E20A
	016C58 20 A3 71		jsr $71A3
	016C5B 20 F1 72		jsr $72F1
	016C5E 20 05 73		jsr $7305
	016C61 AD 70 86		lda $8670
	016C64 C9 05		cmp #$05
	016C66 90 03		bcc $016c6b
	016C68 20 EA F8		jsr $F8EA
016C6B	016C6B 22		psh
	016C6C A2 74		ldx #$74't'
	016C6E A0 6C		ldy #$6C'l'
	016C70 20 7F 6B		jsr $6B7F
	016C73 32		pul
	016C74 3F 61 06		bbr 3,$61,$016c7d
	016C77 20 94 6B		jsr $6B94
	016C7A 4C C2 6C		jmp $6CC2

016C7D	016C7D 0F 9C 03		bbr 0,$9C,$016c83
	016C80 4C DC 6C		jmp $6CDC

016C83	016C83 BF 61 02		bbs 3,$61,$016c88
	016C86 80 01		bra $016c89

016C88	016C88 60		rts

016C89	016C89 AD 70 86		lda $8670
	016C8C C9 05		cmp #$05
	016C8E F0 26		beq $016cb6
	016C90 C9 06		cmp #$06
	016C92 D0 2B		bne $016cbf
	016C94 20 D2 E3		jsr $E3D2
	016C97 F0 1D		beq $016cb6
	016C99 AD 12 06		lda $0612		;DPi configuration (CONF)
	016C9C C9 AC		cmp #$AC
	016C9E D0 05		bne $016ca5
	016CA0 F2 11 06 08 1A	bas $0611,$08,$016cbf	;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
016CA5	016CA5 20 30 F9		jsr $F930
	016CA8 D0 15		bne $016cbf
	016CAA 20 2A 74		jsr $742A
	016CAD 20 A3 71		jsr $71A3
	016CB0 20 0A E2		jsr $E20A
	016CB3 20 F1 72		jsr $72F1
016CB6	016CB6 20 56 73		jsr $7356
	016CB9 20 EF 74		jsr $74EF
	016CBC 20 F2 75		jsr $75F2
016CBF	016CBF 4C C7 6F		jmp $6FC7

016CC2	016CC2 37 61		rmb 3,$61
	016CC4 20 E1 F8		jsr $F8E1
	016CC7 20 A3 71		jsr $71A3
	016CCA A9 00		lda #$00
	016CCC 20 B8 FC		jsr $FCB8
	016CCF AE DD 00		ldx $00DD
	016CD2 20 AC 6F		jsr $6FAC
	016CD5 E0 44		cpx #$44'D'
	016CD7 F0 19		beq $016cf2
	016CD9 4C 5C 6E		jmp $6E5C

016CDC	016CDC 07 9C		rmb 0,$9C
	016CDE B2 27 46		sti #$27''',$46
	016CE1 B2 66 47		sti #$66'f',$47
	016CE4 4C AC 5C		jmp $5CAC

016CE7	016CE7 A9 10		lda #$10
	016CE9 20 05 FE		jsr $FE05{out}
	016CEC AD 62 86		lda $8662
	016CEF 4C 05 FE		jmp $FE05{out}

016CF2	016CF2 20 F0 F3		jsr $F3F0
	016CF5 47 85		rmb 4,$85
	016CF7 20 24 76		jsr $7624
	016CFA A9 68		lda #$68'h'
	016CFC 8D 6F 02		sta $026F
	016CFF A9 09		lda #$09
	016D01 8D 70 02		sta $0270
	016D04 A9 15		lda #$15
	016D06 20 1C E2		jsr $E21C
	016D09 B7 61		smb 3,$61
	016D0B AD 5B 03		lda $035B
	016D0E 20 1C 72		jsr $721C
016D11	016D11 9F 5D 02		bbs 1,$5D,$016d16
	016D14 80 FB		bra $016d11

016D16	016D16 20 72 F4		jsr $F472
	016D19 20 E0 F3		jsr $F3E0
	016D1C 20 2D FB		jsr $FB2D
	016D1F 20 52 FB		jsr $FB52
	016D22 20 48 FB		jsr $FB48
	016D25 20 F0 F3		jsr $F3F0
	016D28 20 01 FB		jsr $FB01
	016D2B 20 0B FB		jsr $FB0B
	016D2E 20 66 FB		jsr $FB66
	016D31 20 57 FB		jsr $FB57
	016D34 7F 9B 03		bbr 7,$9B,$016d3a
	016D37 20 5C FB		jsr $FB5C
016D3A	016D3A A5 9E		lda $9E
	016D3C 29 78		and #$78'x'
	016D3E 4A		lsr a
	016D3F 4A		lsr a
	016D40 4A		lsr a
	016D41 20 7F 72		jsr $727F
	016D44 20 19 73		jsr $7319
	016D47 FF 9B 03		bbs 7,$9B,$016d4d
	016D4A 20 FC FA		jsr $FAFC
016D4D	016D4D 20 43 FB		jsr $FB43
	016D50 20 E3 FA		jsr $FAE3
	016D53 20 77 FA		jsr $FA77{newc_w}
016D56	016D56 E2 1E 06 01 05	bar $061E,$01,$016d60	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	016D5B AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	016D5E 80 F6		bra $016d56

016D60	016D60 20 7A E1		jsr $E17A
	016D63 20 8C E1		jsr $E18C
	016D66 20 F1 72		jsr $72F1
	016D69 20 05 73		jsr $7305
	016D6C 20 F2 E1		jsr $E1F2
	016D6F A5 9D		lda $9D
	016D71 29 C0		and #$C0
	016D73 4A		lsr a
	016D74 4A		lsr a
	016D75 4A		lsr a
	016D76 4A		lsr a
	016D77 4A		lsr a
	016D78 4A		lsr a
	016D79 D0 09		bne $016d84
	016D7B 20 B6 E1		jsr $E1B6
	016D7E 20 6E E1		jsr $E16E
	016D81 4C 84 6D		jmp $6D84

016D84	016D84 20 EB F3		jsr $F3EB
	016D87 20 BD F3		jsr $F3BD
	016D8A FF 9B 1B		bbs 7,$9B,$016da8
	016D8D 48		pha
	016D8E C2 02 11 06	rba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	016D92 68		pla
	016D93 A9 00		lda #$00
	016D95 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	016D98 48		pha
	016D99 D2 02 11 06	sba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	016D9D 68		pla
	016D9E A9 00		lda #$00
	016DA0 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
016DA3	016DA3 E2 1E 06 08 FB	bar $061E,$08,$016da3	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
016DA8	016DA8 7F 9B 00		bbr 7,$9B,$016dab
016DAB	016DAB 20 67 F4		jsr $F467
	016DAE A2 05		ldx #$05
	016DB0 20 BB F2		jsr $F2BB
	016DB3 20 EA F8		jsr $F8EA
	016DB6 20 0A E2		jsr $E20A
016DB9	016DB9 4F 85 05		bbr 4,$85,$016dc1
	016DBC AD 6E 86		lda $866E
	016DBF F0 23		beq $016de4
016DC1	016DC1 0F 9C 0B		bbr 0,$9C,$016dcf
	016DC4 07 9C		rmb 0,$9C
	016DC6 20 9D 6F		jsr $6F9D
	016DC9 AD 62 86		lda $8662
	016DCC 20 05 FE		jsr $FE05{out}
016DCF	016DCF 6F 9A 0A		bbr 6,$9A,$016ddc
	016DD2 67 9A		rmb 6,$9A
	016DD4 20 9D 6F		jsr $6F9D
	016DD7 A9 75		lda #$75'u'
	016DD9 20 05 FE		jsr $FE05{out}
016DDC	016DDC 20 C7 6F		jsr $6FC7
	016DDF 20 26 73		jsr $7326
	016DE2 80 D5		bra $016db9

016DE4	016DE4 A9 29		lda #$29')'
	016DE6 8D D7 00		sta $00D7
	016DE9 A9 6C		lda #$6C'l'
	016DEB 8D D8 00		sta $00D8
	016DEE 20 B2 6F		jsr $6FB2
	016DF1 A9 00		lda #$00
	016DF3 20 B8 FC		jsr $FCB8
	016DF6 20 E1 F8		jsr $F8E1
	016DF9 20 0B FB		jsr $FB0B
	016DFC 20 01 FB		jsr $FB01
	016DFF 20 C2 F3		jsr $F3C2
016E02	016E02 E2 1E 06 08 FB	bar $061E,$08,$016e02	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	016E07 20 4D FB		jsr $FB4D
	016E0A 20 48 FB		jsr $FB48
	016E0D 4C 77 FA		jmp $FA77{newc_w}

016E10	016E10 A9 00		lda #$00
	016E12 20 B8 FC		jsr $FCB8
	016E15 57 57		rmb 5,$57
	016E17 20 62 F4		jsr $F462
	016E1A 20 3F FA		jsr $FA3F
	016E1D 20 0B FB		jsr $FB0B
	016E20 20 52 FB		jsr $FB52
	016E23 20 4D FB		jsr $FB4D
	016E26 20 15 FB		jsr $FB15
	016E29 20 77 FA		jsr $FA77{newc_w}
	016E2C 67 9A		rmb 6,$9A
	016E2E F2 30 01 01 08	bas $0130,$01,$016e3b
	016E33 C2 04 04 06	rba $04,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	016E37 C2 02 04 06	rba $02,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
016E3B	016E3B 27 62		rmb 2,$62
	016E3D 20 95 6F		jsr $6F95
	016E40 20 A2 6F		jsr $6FA2
	016E43 20 A7 6F		jsr $6FA7
016E46	016E46 A5 B2		lda $B2
	016E48 05 B1		ora $B1
	016E4A D0 FA		bne $016e46
	016E4C A9 29		lda #$29')'
	016E4E 8D D7 00		sta $00D7
	016E51 A9 6C		lda #$6C'l'
	016E53 8D D8 00		sta $00D8
	016E56 20 1E FE		jsr $FE1E
	016E59 4C B2 6F		jmp $6FB2

016E5C	016E5C 20 24 76		jsr $7624
	016E5F A9 89		lda #$89
	016E61 8D 72 02		sta $0272
	016E64 A9 09		lda #$09
	016E66 8D 73 02		sta $0273
	016E69 A9 15		lda #$15
	016E6B 20 1C E2		jsr $E21C
	016E6E B7 61		smb 3,$61
	016E70 AD 65 86		lda $8665
	016E73 20 E6 72		jsr $72E6
	016E76 A9 09		lda #$09
	016E78 8D 1E 02		sta $021E
	016E7B A9 00		lda #$00
	016E7D 8D 1F 02		sta $021F
	016E80 67 5E		rmb 6,$5E
	016E82 57 57		rmb 5,$57
	016E84 A9 57		lda #$57'W'
	016E86 8D 3F 02		sta $023F
	016E89 A9 E3		lda #$E3
	016E8B 8D 40 02		sta $0240
	016E8E D7 57		smb 5,$57
	016E90 A9 0A		lda #$0A
	016E92 20 1C 72		jsr $721C
016E95	016E95 1F 5D FD		bbr 1,$5D,$016e95
	016E98 20 F7 FA		jsr $FAF7
	016E9B 20 62 F4		jsr $F462
	016E9E 20 01 FB		jsr $FB01
	016EA1 20 15 FB		jsr $FB15
	016EA4 20 19 73		jsr $7319
	016EA7 20 2D FB		jsr $FB2D
	016EAA F2 30 01 01 0D	bas $0130,$01,$016ebc
	016EAF 20 E0 E1		jsr $E1E0
	016EB2 20 4D FB		jsr $FB4D
	016EB5 D2 04 04 06	sba $04,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	016EB9 20 77 FA		jsr $FA77{newc_w}
016EBC	016EBC 20 5C FB		jsr $FB5C
	016EBF 20 66 FB		jsr $FB66
	016EC2 7F 9B 05		bbr 7,$9B,$016eca
	016EC5 20 0B FB		jsr $FB0B
	016EC8 80 03		bra $016ecd

016ECA	016ECA 20 06 FB		jsr $FB06
016ECD	016ECD A5 9E		lda $9E
	016ECF 29 78		and #$78'x'
	016ED1 4A		lsr a
	016ED2 4A		lsr a
	016ED3 4A		lsr a
	016ED4 20 7F 72		jsr $727F
	016ED7 78		sei
	016ED8 20 48 FB		jsr $FB48
	016EDB 20 4D FB		jsr $FB4D
016EDE	016EDE E2 1E 06 01 05	bar $061E,$01,$016ee8	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	016EE3 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	016EE6 80 F6		bra $016ede

016EE8	016EE8 D2 04 04 06	sba $04,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	016EEC C2 02 04 06	rba $02,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	016EF0 20 77 FA		jsr $FA77{newc_w}
	016EF3 A9 00		lda #$00
	016EF5 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	016EF8 A9 02		lda #$02
	016EFA 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	016EFD A9 62		lda #$62'b'
	016EFF 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	016F02 A9 AF		lda #$AF
	016F04 8D 1D 06		sta $061D		;DPi MEACC/MEMW/MEMCR/addr bits 8-11
016F07	016F07 F2 1D 06 80 FB	bas $061D,$80,$016f07	;DPi MEACC/MEMW/MEMCR/addr bits 8-11
	016F0C E7 9A		smb 6,$9A
	016F0E 20 5D F4		jsr $F45D
	016F11 58		cli
	016F12 A9 03		lda #$03
	016F14 20 1C 72		jsr $721C
016F17	016F17 1F 5D FD		bbr 1,$5D,$016f17
016F1A	016F1A F2 1D 06 80 FB	bas $061D,$80,$016f1a	;DPi MEACC/MEMW/MEMCR/addr bits 8-11
	016F1F 20 E3 FA		jsr $FAE3
	016F22 A5 9D		lda $9D
	016F24 29 C0		and #$C0
	016F26 4A		lsr a
	016F27 4A		lsr a
	016F28 4A		lsr a
	016F29 4A		lsr a
	016F2A 4A		lsr a
	016F2B 4A		lsr a
	016F2C F0 00		beq $016f2e
016F2E	016F2E 20 AA E1		jsr $E1AA
	016F31 20 B6 E1		jsr $E1B6
	016F34 20 6E E1		jsr $E16E
	016F37 20 F1 72		jsr $72F1
	016F3A 20 05 73		jsr $7305
	016F3D AD 70 86		lda $8670
	016F40 C9 03		cmp #$03
	016F42 D0 03		bne $016f47
	016F44 20 10 76		jsr $7610
016F47	016F47 20 0A E2		jsr $E20A
	016F4A 22		psh
	016F4B A2 53		ldx #$53'S'
	016F4D A0 6F		ldy #$6F'o'
	016F4F 20 7F 6B		jsr $6B7F
	016F52 32		pul
	016F53 2F 62 06		bbr 2,$62,$016f5c
	016F56 20 94 6B		jsr $6B94
	016F59 4C 10 6E		jmp $6E10

016F5C	016F5C AF 62 02		bbs 2,$62,$016f61
	016F5F 80 01		bra $016f62

016F61	016F61 60		rts

016F62	016F62 20 C7 6F		jsr $6FC7
	016F65 0F 9C 03		bbr 0,$9C,$016f6b
	016F68 20 72 6F		jsr $6F72
016F6B	016F6B 7F 9A 03		bbr 7,$9A,$016f71
	016F6E 20 85 6F		jsr $6F85
016F71	016F71 60		rts

016F72	016F72 F7 9C		smb 7,$9C
	016F74 07 9C		rmb 0,$9C
	016F76 20 95 6F		jsr $6F95
	016F79 AD 62 86		lda $8662
	016F7C 20 27 E3		jsr $E327
	016F7F 20 5D F4		jsr $F45D
	016F82 4C A7 6F		jmp $6FA7

016F85	016F85 77 9A		rmb 7,9A
	016F87 20 95 6F		jsr $6F95
	016F8A A9 6F		lda #$6F'o'
	016F8C 20 27 E3		jsr $E327
	016F8F 20 5D F4		jsr $F45D
	016F92 4C A7 6F		jmp $6FA7

016F95	016F95 20 62 F4		jsr $F462
	016F98 A9 10		lda #$10
	016F9A 4C 27 E3		jmp $E327

016F9D	016F9D A9 10		lda #$10
	016F9F 4C 05 FE		jmp $FE05{out}

016FA2	016FA2 A9 03		lda #$03
	016FA4 4C 27 E3		jmp $E327

016FA7	016FA7 B7 64		smb 3,$64
	016FA9 4C DA FD		jmp $FDDA

016FAC	016FAC A9 00		lda #$00
	016FAE 8D DD 00		sta $00DD
	016FB1 60		rts

016FB2	016FB2 20 81 EF		jsr $EF81
	016FB5 F2 67 01 02 05	bas $0167,$02,$016fbf
	016FBA A9 2F		lda #$2F'/'
	016FBC 20 1C E2		jsr $E21C
016FBF	016FBF 20 0E 7C		jsr $7C0E
	016FC2 07 65		rmb 0,$65
	016FC4 47 9C		rmb 4,$9C
	016FC6 60		rts

016FC7	016FC7 EF 5E 02		bbs 6,$5E,$016fcc
	016FCA 77 9C		rmb 7,9C
016FCC	016FCC CF 9C 40		bbs 4,$9C,$01700f
	016FCF 20 38 72		jsr $7238
	016FD2 B0 2F		bcs $017003
	016FD4 A5 9D		lda $9D
	016FD6 29 C0		and #$C0
	016FD8 4A		lsr a
	016FD9 4A		lsr a
	016FDA 4A		lsr a
	016FDB 4A		lsr a
	016FDC 4A		lsr a
	016FDD 4A		lsr a
	016FDE F0 03		beq $016fe3
	016FE0 4C 4B 71		jmp $714B

016FE3	016FE3 20 D5 E0		jsr $E0D5
	016FE6 20 A8 72		jsr $72A8
	016FE9 2F 9C 1A		bbr 2,$9C,$017006
	016FEC 27 9C		rmb 2,$9C
	016FEE A5 9E		lda $9E
	016FF0 29 03		and #$03
	016FF2 F0 12		beq $017006
	016FF4 AD 65 86		lda $8665
	016FF7 F0 0D		beq $017006
	016FF9 20 E6 72		jsr $72E6
	016FFC A9 71		lda #$71'q'
	016FFE FF 9C 02		bbs 7,$9C,$017003
	017001 A9 73		lda #$73's'
017003	017003 4C 28 71		jmp $7128

017006	017006 7F 78 35		bbr 7,$78,$01703e
	017009 BF 61 06		bbs 3,$61,$017012
	01700C DF A1 12		bbs 5,$A1,$017021
01700F	01700F 4C 4B 71		jmp $714B

017012	017012 0F 85 06		bbr 0,$85,$01701b
	017015 DF 9F 09		bbs 5,$9F,$017021
	017018 4C 4B 71		jmp $714B

01701B	01701B DF A0 03		bbs 5,$A0,$017021
	01701E 4C 4B 71		jmp $714B

017021	017021 8F 78 03		bbs 0,$78,$017027
	017024 2F 78 09		bbr 2,$78,$017030
017027	017027 A9 1F		lda #$1F
	017029 85 78		sta $78
	01702B A9 62		lda #$62'b'
	01702D 4C 28 71		jmp $7128

017030	017030 0F 76 0B		bbr 0,$76,$01703e
	017033 07 76		rmb 0,$76
	017035 A9 1F		lda #$1F
	017037 85 78		sta $78
	017039 A9 64		lda #$64'd'
	01703B 4C 28 71		jmp $7128

01703E	01703E E2 67 01 08 37	bar $0167,$08,$01707a
	017043 20 D2 E3		jsr $E3D2
	017046 D0 32		bne $01707a
	017048 20 42 F9		jsr $F942
	01704B 29 03		and #$03
	01704D C9 02		cmp #$02
	01704F F0 03		beq $017054
	017051 4C DC 70		jmp $70DC

017054	017054 EF 9C 07		bbs 6,$9C,$01705e
	017057 E7 9C		smb 6,$9C
	017059 A9 03		lda #$03
	01705B 20 39 76		jsr $7639
01705E	01705E DF 5E 01		bbs 5,$5E,$017062
	017061 60		rts

017062	017062 67 9C		rmb 6,$9C
	017064 97 65		smb 1,$65
	017066 20 C9 E0		jsr $E0C9
	017069 20 F6 E3		jsr $E3F6
	01706C 20 B1 EE		jsr $EEB1
	01706F 27 57		rmb 2,$57
	017071 D2 02 67 01	sba $02,$0167
	017075 C2 20 5C 01	rba $20,$015C
	017079 60		rts

01707A	01707A 1F 5C 08		bbr 1,$5C,$017085
	01707D AD 70 86		lda $8670
	017080 C9 06		cmp #$06
	017082 D0 01		bne $017085
	017084 60		rts

017085	017085 20 42 F9		jsr $F942
	017088 C9 03		cmp #$03
	01708A D0 03		bne $01708f
	01708C 4C 4B 71		jmp $714B

01708F	01708F FF 49 29		bbs 7,$49,$0170bb
	017092 C9 01		cmp #$01
	017094 F0 25		beq $0170bb
	017096 20 59 71		jsr $7159
	017099 B0 01		bcs $01709c
	01709B 60		rts

01709C	01709C F0 1A		beq $0170b8
	01709E A9 63		lda #$63'c'
	0170A0 BF 61 05		bbs 3,$61,$0170a8
	0170A3 AF A1 0F		bbs 2,$A1,$0170b5
	0170A6 80 10		bra $0170b8

0170A8	0170A8 0F 85 05		bbr 0,$85,$0170b0
	0170AB AF 9F 07		bbs 2,$9F,$0170b5
	0170AE 80 08		bra $0170b8

0170B0	0170B0 AF A0 02		bbs 2,$A0,$0170b5
	0170B3 80 03		bra $0170b8

0170B5	0170B5 4C 28 71		jmp $7128

0170B8	0170B8 4C 4B 71		jmp $714B

0170BB	0170BB 29 03		and #$03
	0170BD F0 1D		beq $0170dc
	0170BF EF 9C 07		bbs 6,$9C,$0170c9
	0170C2 E7 9C		smb 6,$9C
	0170C4 A9 04		lda #$04
	0170C6 20 39 76		jsr $7639
0170C9	0170C9 DF 5E 01		bbs 5,$5E,$0170cd
	0170CC 60		rts

0170CD	0170CD 7F 49 3E		bbr 7,$49,$01710e
	0170D0 C9 01		cmp #$01
	0170D2 D0 1D		bne $0170f1
	0170D4 A9 61		lda #$61'a'
	0170D6 BF 61 06		bbs 3,$61,$0170df
	0170D9 BF A1 12		bbs 3,$A1,$0170ee
0170DC	0170DC 4C 4B 71		jmp $714B

0170DF	0170DF 0F 85 06		bbr 0,$85,$0170e8
	0170E2 BF 9F 09		bbs 3,$9F,$0170ee
	0170E5 4C 4B 71		jmp $714B

0170E8	0170E8 BF A0 03		bbs 3,$A0,$0170ee
	0170EB 4C 4B 71		jmp $714B

0170EE	0170EE 4C 28 71		jmp $7128

0170F1	0170F1 A9 66		lda #$66'f'
	0170F3 BF 61 06		bbs 3,$61,$0170fc
	0170F6 CF A1 12		bbs 4,$A1,$01710b
	0170F9 4C 4B 71		jmp $714B

0170FC	0170FC 0F 85 06		bbr 0,$85,$017105
	0170FF CF 9F 09		bbs 4,$9F,$01710b
	017102 4C 4B 71		jmp $714B

017105	017105 CF A0 03		bbs 4,$A0,$01710b
	017108 4C 4B 71		jmp $714B

01710B	01710B 4C 28 71		jmp $7128

01710E	01710E A9 65		lda #$65'e'
	017110 BF 61 06		bbs 3,$61,$017119
	017113 9F A1 12		bbs 1,$A1,$017128
	017116 4C 4B 71		jmp $714B

017119	017119 0F 85 06		bbr 0,$85,$017122
	01711C 9F 9F 09		bbs 1,$9F,$017128
	01711F 4C 4B 71		jmp $714B

017122	017122 9F A0 03		bbs 1,$A0,$017128
	017125 4C 4B 71		jmp $714B

017128	017128 8D C0 03		sta $03C0
	01712B 3F 61 14		bbr 3,$61,$017142
	01712E 8F 85 11		bbs 0,$85,$017142
	017131 67 9C		rmb 6,$9C
	017133 20 95 6F		jsr $6F95
	017136 AD C0 03		lda $03C0
	017139 20 27 E3		jsr $E327
	01713C 20 5D F4		jsr $F45D
	01713F 4C A7 6F		jmp $6FA7

017142	017142 B2 2F 46		sti #$2F'/',$46
	017145 B2 66 47		sti #$66'f',$47
	017148 20 AC 5C		jsr $5CAC
	01714B 67 88		rmb 6,$88
	01714D 67 9C		rmb 6,$9C
	01714F 60		rts

017150	017150 20 9D 6F		jsr $6F9D
	017153 AD C0 03		lda $03C0
	017156 4C 05 FE		jmp $FE05{out}

017159	017159 C9 02		cmp #$02
	01715B D0 28		bne $017185
	01715D EF 88 0B		bbs 6,$88,$01716b
	017160 E7 88		smb 6,$88
	017162 47 8B		rmb 4,$8B
	017164 57 8B		rmb 5,$8B
	017166 A9 04		lda #$04
	017168 20 39 76		jsr $7639
01716B	01716B DF 8B 05		bbs 5,$8B,$017173
	01716E DF 5E 07		bbs 5,$5E,$017178
017171	017171 18		clc
	017172 60		rts

017173	017173 DF 5E 0B		bbs 5,$5E,$017181
	017176 18		clc
	017177 60		rts

017178	017178 D7 8B		smb 5,$8B
	01717A A9 02		lda #$02
	01717C 20 39 76		jsr $7639
	01717F 18		clc
	017180 60		rts

017181	017181 67 88		rmb 6,$88
	017183 80 1A		bra $01719f

017185	017185 5F 8B F9		bbr 5,$8B,$017181
	017188 CF 8B 09		bbs 4,$8B,$017194
	01718B 67 88		rmb 6,$88
	01718D C7 8B		smb 4,$8B
	01718F A9 02		lda #$02
	017191 20 39 76		jsr $7639
017194	017194 5F 5E DA		bbr 5,$5E,$017171
	017197 47 8B		rmb 4,$8B
	017199 57 8B		rmb 5,$8B
	01719B A9 01		lda #$01
	01719D 38		sec
	01719E 60		rts

01719F	01719F A9 00		lda #$00
	0171A1 38		sec
	0171A2 60		rts

0171A3	0171A3 67 9A		rmb 6,$9A
	0171A5 77 9A		rmb 7,9A
	0171A7 67 88		rmb 6,$88
	0171A9 47 8B		rmb 4,$8B
	0171AB 57 8B		rmb 5,$8B
	0171AD 20 7A E1		jsr $E17A
	0171B0 20 E3 FA		jsr $FAE3
	0171B3 A9 1F		lda #$1F
	0171B5 85 78		sta $78
	0171B7 20 8F E1		jsr $E18F
	0171BA AD 98 9A		lda $9A98
	0171BD F0 0F		beq $0171ce
	0171BF AD 70 86		lda $8670
	0171C2 C9 06		cmp #$06
	0171C4 D0 08		bne $0171ce
	0171C6 20 9E E1		jsr $E19E
	0171C9 20 A1 E1		jsr $E1A1
	0171CC 80 13		bra $0171e1

0171CE	0171CE A7 67		smb 2,$67
	0171D0 FF 49 08		bbs 7,$49,$0171db
	0171D3 20 92 E1		jsr $E192
	0171D6 20 95 E1		jsr $E195
	0171D9 80 06		bra $0171e1

0171DB	0171DB 20 98 E1		jsr $E198
	0171DE 20 9B E1		jsr $E19B
0171E1	0171E1 4C EA 71		jmp $71EA

0171E4	0171E4 3F 5E 02		bbr 3,$5E,$0171e9
	0171E7 A7 9C		smb 2,$9C
0171E9	0171E9 60		rts

0171EA	0171EA 20 38 72		jsr $7238
	0171ED 90 FA		bcc $0171e9
	0171EF B2 2B 46		sti #$2B'+',$46
	0171F2 B2 66 47		sti #$66'f',$47
	0171F5 4C AC 5C		jmp $5CAC

0171F8	0171F8 A9 10		lda #$10
	0171FA 20 05 FE		jsr $FE05{out}
	0171FD A9 68		lda #$68'h'
	0171FF 2F 66 02		bbr 2,$66,$017204
	017202 A9 74		lda #$74't'
017204	017204 4C 05 FE		jmp $FE05{out}

017207	017207 20 90 FB		jsr $FB90
	01720A F0 1B		beq $017227
	01720C CF 9C 28		bbs 4,$9C,$017237
	01720F 20 C9 E3		jsr $E3C9
	017212 C7 9C		smb 4,$9C
	017214 20 A6 FB		jsr $FBA6               ;DPi DTMFW -> ascii
	017217 8D 62 86		sta $8662
	01721A A9 04		lda #$04
	01721C 8D 04 02		sta $0204
	01721F A9 00		lda #$00
	017221 8D 05 02		sta $0205
	017224 17 5D		rmb 1,$5D
	017226 60		rts

017227	017227 4F 9C 0D		bbr 4,$9C,$017237
	01722A 47 9C		rmb 4,$9C
	01722C 20 3E FB		jsr $FB3E
	01722F 20 CC E3		jsr $E3CC
	017232 1F 5D 02		bbr 1,$5D,$017237
	017235 87 9C		smb 0,$9C
017237	017237 60		rts

017238	017238 20 48 F3		jsr $F348{lda46D.1}
	01723B D0 40		bne $01727d
	01723D CF 07 2C		bbs 4,$07,$01726c	;Cx9	port E (R/W)
	017240 1F 9C 0C		bbr 1,$9C,$01724f
	017243 5F 9C 37		bbr 5,$9C,$01727d
	017246 3F 60 34		bbr 3,$60,$01727d
	017249 27 66		rmb 2,$66
	01724B A9 68		lda #$68'h'
	01724D 80 2A		bra $017279

01724F	01724F 97 9C		smb 1,$9C
	017251 80 02		bra $017255

017253	017253 17 9C		rmb 1,$9C
017255	017255 DF 9C 10		bbs 5,$9C,$017268
	017258 A9 64		lda #$64'd'
	01725A 8D 94 9A		sta $9A94
	01725D A9 00		lda #$00
	01725F 8D 95 9A		sta $9A95
	017262 37 60		rmb 3,$60
	017264 D7 9C		smb 5,$9C
	017266 80 15		bra $01727d

017268	017268 57 9C		rmb 5,$9C
	01726A 80 11		bra $01727d

01726C	01726C 9F 9C E4		bbs 1,$9C,$017253
	01726F 5F 9C 0B		bbr 5,$9C,$01727d
	017272 3F 60 08		bbr 3,$60,$01727d
	017275 A7 66		smb 2,$66
	017277 A9 74		lda #$74't'
017279	017279 57 9C		rmb 5,$9C
	01727B 38		sec
	01727C 60		rts

01727D	01727D 18		clc
	01727E 60		rts

01727F	01727F 7F 9B 02		bbr 7,$9B,$017284
	017282 A9 00		lda #$00
017284	017284 48		pha
	017285 20 75 FB		jsr $FB75
	017288 68		pla
	017289 F0 12		beq $01729d
	01728B 38		sec
	01728C E9 02		sbc #$02
	01728E 0A		asl a
	01728F AA		tax
	017290 BD 9E 72		lda $729E,x
	017293 8D 64 86		sta $8664
	017296 E8		inx
	017297 BD 9E 72		lda $729E,x
	01729A 8D 63 86		sta $8663
01729D	01729D 60		rts

01729E	01729E 13		lab a
	01729F EC 23 DE		cpx $DE23
	0172A2 C1 1C		cmp ($1C)		;Cx9	bank switch register 4 (R/W)
	0172A4 00		brk
	0172A5 90 02		bcc $0172a9
	0172A7 04		???			;undocumented opcode
	0172A8 3F 61 45		bbr 3,$61,$0172f0
	0172AB 8F 85 42		bbs 0,$85,$0172f0
	0172AE AD 70 86		lda $8670
	0172B1 C9 03		cmp #$03
	0172B3 F0 2C		beq $0172e1
	0172B5 A5 9E		lda $9E
	0172B7 29 03		and #$03
	0172B9 AA		tax
	0172BA BD A4 72		lda $72A4,x
	0172BD 85 40		sta $40
	0172BF F0 20		beq $0172e1
	0172C1 20 A4 E1		jsr $E1A4
	0172C4 85 42		sta $42
	0172C6 0A		asl a
	0172C7 90 02		bcc $0172cb
	0172C9 80 25		bra $0172f0

0172CB	0172CB E0 01		cpx #$01
	0172CD D0 0C		bne $0172db
	0172CF A5 42		lda $42
	0172D1 C9 00		cmp #$00
	0172D3 D0 0C		bne $0172e1
	0172D5 C4 40		cpy $40
	0172D7 90 17		bcc $0172f0
	0172D9 80 06		bra $0172e1

0172DB	0172DB A5 42		lda $42
	0172DD C5 40		cmp $40
	0172DF 90 0F		bcc $0172f0
0172E1	0172E1 F7 9C		smb 7,$9C
	0172E3 AD 65 86		lda $8665
	0172E6 8D 18 02		sta $0218
	0172E9 A9 00		lda #$00
	0172EB 8D 19 02		sta $0219
	0172EE 37 5E		rmb 3,$5E
0172F0	0172F0 60		rts

0172F1	0172F1 A9 50		lda #$50'P'
	0172F3 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0172F6 A9 27		lda #$27'''
	0172F8 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	0172FB A9 9A		lda #$9A
	0172FD 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	017300 A9 AE		lda #$AE
	017302 4C 9C FC		jmp $FC9C{meaddh_w}

017305	017305 A9 00		lda #$00
	017307 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	01730A A9 00		lda #$00
	01730C 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	01730F A9 0A		lda #$0A
	017311 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	017314 A9 AA		lda #$AA
	017316 4C 9C FC		jmp $FC9C{meaddh_w}

017319	017319 20 D2 E3		jsr $E3D2
	01731C F0 07		beq $017325
	01731E 60		rts

01731F	01731F 20 2B F8		jsr $F82B
	017322 20 0D E2		jsr $E20D
017325	017325 60		rts

017326	017326 AD 70 86		lda $8670
	017329 F0 10		beq $01733b
	01732B C9 01		cmp #$01
	01732D F0 0C		beq $01733b
	01732F C9 03		cmp #$03
	017331 F0 08		beq $01733b
	017333 AD 77 04		lda $0477
	017336 CD 76 04		cmp $0476
	017339 D0 01		bne $01733c
01733B	01733B 60		rts

01733C	01733C AD 77 04		lda $0477
	01733F 8D 76 04		sta $0476
	017342 38		sec
	017343 E9 80		sbc #$80
	017345 48		pha
	017346 48		pha
	017347 A9 FC		lda #$FC
	017349 25 4C		and $4C
	01734B 85 4C		sta $4C
	01734D 68		pla
	01734E 05 4C		ora $4C
	017350 85 4C		sta $4C
	017352 68		pla
	017353 4C B8 FC		jmp $FCB8

017356	017356 AD 70 86		lda $8670
	017359 C9 05		cmp #$05
	01735B D0 60		bne $0173bd
	01735D AD 7D 04		lda $047D
	017360 CD 7C 04		cmp $047C
	017363 D0 01		bne $017366
	017365 60		rts

017366	017366 8D 7C 04		sta $047C
	017369 C9 10		cmp #$10
	01736B D0 16		bne $017383
	01736D B2 03 45		sti #$03,$45
	017370 B2 E1 44		sti #$E1,$44
	017373 20 F0 E3		jsr $E3F0
	017376 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	017379 09 05		ora #$05
	01737B 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	01737E A9 A3		lda #$A3
	017380 4C 9C FC		jmp $FC9C{meaddh_w}

017383	017383 B2 03 45		sti #$03,$45
	017386 B2 E1 44		sti #$E1,$44
	017389 20 F0 E3		jsr $E3F0
	01738C AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	01738F 29 FA		and #$FA
	017391 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	017394 A9 A3		lda #$A3
	017396 20 9C FC		jsr $FC9C{meaddh_w}
	017399 AD 7D 04		lda $047D
	01739C C9 02		cmp #$02
	01739E B0 0C		bcs $0173ac
	0173A0 C9 01		cmp #$01
	0173A2 F0 04		beq $0173a8
	0173A4 A9 03		lda #$03
	0173A6 80 06		bra $0173ae

0173A8	0173A8 A9 02		lda #$02
	0173AA 80 02		bra $0173ae

0173AC	0173AC A9 01		lda #$01
0173AE	0173AE 48		pha
	0173AF A9 FC		lda #$FC
	0173B1 25 4C		and $4C
	0173B3 85 4C		sta $4C
	0173B5 68		pla
	0173B6 05 4C		ora $4C
	0173B8 85 4C		sta $4C
	0173BA 4C 0A E2		jmp $E20A

0173BD	0173BD AD 7D 04		lda $047D
	0173C0 C9 10		cmp #$10
	0173C2 D0 10		bne $0173d4
	0173C4 F2 13 06 08 08	bas $0613,$08,$0173d1	;DPi TLVL/RTH/TXCLK
	0173C9 20 2A F6		jsr $F62A
	0173CC A9 00		lda #$00
	0173CE 20 B8 FC		jsr $FCB8
0173D1	0173D1 4C 0E 74		jmp $740E

0173D4	0173D4 E2 13 06 08 08	bar $0613,$08,$0173e1	;DPi TLVL/RTH/TXCLK
	0173D9 48		pha
	0173DA 20 0A E2		jsr $E20A
	0173DD 20 3A F6		jsr $F63A
	0173E0 68		pla
0173E1	0173E1 CD 7C 04		cmp $047C
	0173E4 D0 02		bne $0173e8
	0173E6 80 26		bra $01740e

0173E8	0173E8 90 13		bcc $0173fd
	0173EA F2 13 06 20 0C	bas $0613,$20,$0173fb	;DPi TLVL/RTH/TXCLK
	0173EF A2 02		ldx #$02
	0173F1 20 BB F2		jsr $F2BB
	0173F4 D2 20 13 06	sba $20,$0613		;DPi TLVL/RTH/TXCLK
	0173F8 EE 7C 04		inc $047C
0173FB	0173FB 80 11		bra $01740e

0173FD	0173FD F2 13 06 40 0C	bas $0613,$40,$01740e	;DPi TLVL/RTH/TXCLK
	017402 A2 02		ldx #$02
	017404 20 BB F2		jsr $F2BB
	017407 D2 40 13 06	sba $40,$0613		;DPi TLVL/RTH/TXCLK
	01740B CE 7C 04		dec $047C
01740E	01740E 7F A2 06		bbr 7,$A2,$017417
	017411 D2 04 13 06	sba $04,$0613		;DPi TLVL/RTH/TXCLK
	017415 80 04		bra $01741b

017417	017417 C2 04 13 06	rba $04,$0613		;DPi TLVL/RTH/TXCLK
01741B	01741B AD 7B 04		lda $047B
	01741E CD 7A 04		cmp $047A
	017421 F0 06		beq $017429
	017423 8D 7A 04		sta $047A
	017426 20 C6 E3		jsr $E3C6
017429	017429 60		rts

01742A	01742A F7 67		smb 7,$67
	01742C C2 02 67 01	rba $02,$0167
	017430 A2 02		ldx #$02
	017432 20 0D E2		jsr $E20D
	017435 4C B4 E3		jmp $E3B4

;;; 007438 (E369)

017438	017438 A9 00		lda #$00
	01743A 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	01743D A9 02		lda #$02
	01743F A2 16		ldx #$16		; 0002 -> B16
	017441 20 E8 74		jsr $74E8
	017444 A9 AB		lda #$AB
	017446 20 9C FC		jsr $FC9C{meaddh_w}

	017449 A9 00		lda #$00
	01744B 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	01744E A9 20		lda #$20
	017450 A2 13		ldx #$13		; 0020 -> A13
	017452 20 E8 74		jsr $74E8
	017455 A9 AA		lda #$AA
	017457 20 9C FC		jsr $FC9C{meaddh_w}

	01745A A9 55		lda #$55'U'
	01745C A2 F9		ldx #$F9		; 0055 -> 2F9
	01745E 20 E8 74		jsr $74E8
	017461 A9 A2		lda #$A2
	017463 20 9C FC		jsr $FC9C{meaddh_w}

	017466 A9 00		lda #$00
	017468 A2 1A		ldx #$1A
	01746A 20 E8 74		jsr $74E8
	01746D A9 A3		lda #$A3
	01746F 20 9C FC		jsr $FC9C{meaddh_w}	; 0000 -> 31A

	017472 A9 60		lda #$60'`'
	017474 A2 F2		ldx #$F2
	017476 20 E8 74		jsr $74E8
	017479 A9 A2		lda #$A2
	01747B 20 9C FC		jsr $FC9C{meaddh_w}	; 0060 -> 2F2

	01747E A9 30		lda #$30'0'
	017480 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	017483 A9 00		lda #$00
	017485 A2 08		ldx #$08
	017487 20 E8 74		jsr $74E8
	01748A A9 AB		lda #$AB
	01748C 20 9C FC		jsr $FC9C{meaddh_w}	; 3000 -> B08

	01748F A9 00		lda #$00
	017491 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	017494 A9 00		lda #$00
	017496 A2 09		ldx #$09
	017498 20 E8 74		jsr $74E8
	01749B A9 AB		lda #$AB
	01749D 20 9C FC		jsr $FC9C{meaddh_w}	; 0000 -> B09

	0174A0 A9 00		lda #$00
	0174A2 A2 1F		ldx #$1F
	0174A4 20 E8 74		jsr $74E8
	0174A7 A9 A3		lda #$A3
	0174A9 20 9C FC		jsr $FC9C{meaddh_w}	; 0000 -> 31F

	0174AC A9 00		lda #$00
	0174AE A2 10		ldx #$10
	0174B0 20 E8 74		jsr $74E8
	0174B3 A9 A3		lda #$A3
	0174B5 20 9C FC		jsr $FC9C{meaddh_w}	; 0000 -> 310

	0174B8 A9 FF		lda #$FF
	0174BA A2 1D		ldx #$1D
	0174BC 20 E8 74		jsr $74E8
	0174BF A9 A3		lda #$A3
	0174C1 20 9C FC		jsr $FC9C{meaddh_w}	; 00FF -> 31D

	0174C4 A9 01		lda #$01
	0174C6 A2 1E		ldx #$1E
	0174C8 20 E8 74		jsr $74E8
	0174CB A9 A3		lda #$A3
	0174CD 20 9C FC		jsr $FC9C{meaddh_w}	; 0001 -> 31E

	0174D0 A9 7F		lda #$7F
	0174D2 A2 A7		ldx #$A7
	0174D4 20 E8 74		jsr $74E8
	0174D7 A9 A0		lda #$A0
	0174D9 20 9C FC		jsr $FC9C{meaddh_w}	; 007F -> 0A7

	0174DC A9 7F		lda #$7F
	0174DE A2 FA		ldx #$FA
	0174E0 20 E8 74		jsr $74E8
	0174E3 A9 A2		lda #$A2
	0174E5 20 9C FC		jsr $FC9C{meaddh_w}	; 007F -> 2FA

	0174E8 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0174EB 8E 1C 06		stx $061C		;DPi memory access addr LSB (MEADDL)
	0174EE 60		rts

;;;

0174EF	0174EF BF 5E 03		bbs 3,$5E,$0174f5
	0174F2 4C E4 75		jmp $75E4

0174F5	0174F5 6F 9F 15		bbr 6,$9F,$01750d
	0174F8 B2 03 45		sti #$03,$45
	0174FB B2 13 44		sti #$13,$44
	0174FE 20 F0 E3		jsr $E3F0
	017501 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	017504 C9 F0		cmp #$F0
	017506 F0 05		beq $01750d
	017508 A9 F0		lda #$F0
	01750A 20 E5 75		jsr $75E5
01750D	01750D B2 00 45		sti #$00,$45
	017510 B2 85 44		sti #$85,$44
	017513 20 F0 E3		jsr $E3F0
	017516 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	017519 C9 11		cmp #$11
	01751B 90 13		bcc $017530
	01751D C9 80		cmp #$80
	01751F B0 0F		bcs $017530
	017521 A9 10		lda #$10
	017523 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	017526 A9 85		lda #$85
	017528 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	01752B A9 A0		lda #$A0
	01752D 20 9C FC		jsr $FC9C{meaddh_w}
017530	017530 B2 0C 45		sti #$0C,$45
	017533 B2 04 44		sti #$04,$44
	017536 20 F0 E3		jsr $E3F0
	017539 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	01753C C9 66		cmp #$66'f'
	01753E 90 16		bcc $017556
	017540 AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	017543 C9 66		cmp #$66'f'
	017545 90 0F		bcc $017556
	017547 A9 00		lda #$00
	017549 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	01754C A9 A8		lda #$A8
	01754E 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	017551 A9 A0		lda #$A0
	017553 20 9C FC		jsr $FC9C{meaddh_w}
017556	017556 B2 0C 45		sti #$0C,$45
	017559 B2 01 44		sti #$01,$44
	01755C 20 F0 E3		jsr $E3F0
	01755F AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	017562 29 20		and #$20' '
	017564 F0 17		beq $01757d
	017566 A2 FA		ldx #$FA
	017568 20 BB F2		jsr $F2BB
	01756B B2 0C 45		sti #$0C,$45
	01756E B2 01 44		sti #$01,$44
	017571 20 F0 E3		jsr $E3F0
	017574 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	017577 29 20		and #$20' '
	017579 F0 02		beq $01757d
	01757B 80 4C		bra $0175c9

01757D	01757D EF 9F 32		bbs 6,$9F,$0175b2
	017580 2F 5E 2F		bbr 2,$5E,$0175b2
	017583 7F 9F 04		bbr 7,$9F,$01758a
	017586 77 9F		rmb 7,9F
	017588 80 08		bra $017592

01758A	01758A AD 8F 87		lda $878F
	01758D 89 10		add #$10
	01758F 8D 8F 87		sta $878F
017592	017592 AD 8F 87		lda $878F
	017595 20 E5 75		jsr $75E5
	017598 AD 8E 87		lda $878E
	01759B C9 04		cmp #$04
	01759D B0 11		bcs $0175b0
	01759F A9 19		lda #$19
	0175A1 8D 16 02		sta $0216
	0175A4 A9 00		lda #$00
	0175A6 8D 17 02		sta $0217
	0175A9 27 5E		rmb 2,$5E
	0175AB EE 8E 87		inc $878E
	0175AE 80 02		bra $0175b2

0175B0	0175B0 E7 9F		smb 6,$9F
0175B2	0175B2 B2 0A 45		sti #$0A,$45
	0175B5 B2 00 44		sti #$00,$44
	0175B8 20 F0 E3		jsr $E3F0
	0175BB AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	0175BE C9 FF		cmp #$FF
	0175C0 D0 22		bne $0175e4
	0175C2 AD 19 06		lda $0619		;DPi memory access data MSB (MEDAM)
	0175C5 C9 1F		cmp #$1F
	0175C7 D0 1B		bne $0175e4
0175C9	0175C9 F7 9F		smb 7,$9F
	0175CB A9 40		lda #$40'@'
	0175CD 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0175D0 A9 85		lda #$85
	0175D2 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	0175D5 A9 A0		lda #$A0
	0175D7 20 9C FC		jsr $FC9C{meaddh_w}
	0175DA A9 A0		lda #$A0
	0175DC 20 E5 75		jsr $75E5
	0175DF A9 0A		lda #$0A
	0175E1 20 E6 72		jsr $72E6
0175E4	0175E4 60		rts

0175E5	0175E5 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	0175E8 A2 13		ldx #$13
	0175EA 8E 1C 06		stx $061C		;DPi memory access addr LSB (MEADDL)
	0175ED A9 A3		lda #$A3
	0175EF 4C 9C FC		jmp $FC9C{meaddh_w}

0175F2	0175F2 F2 31 01 20 18	bas $0131,$20,$01760f
	0175F7 F2 67 01 08 08	bas $0167,$08,$017604
	0175FC AF 67 10		bbs 2,$67,$01760f
	0175FF A7 67		smb 2,$67
	017601 4C A3 71		jmp $71A3

017604	017604 2F 67 08		bbr 2,$67,$01760f
	017607 27 67		rmb 2,$67
	017609 20 9E E1		jsr $E19E
	01760C 20 A1 E1		jsr $E1A1
01760F	01760F 60		rts

017610	017610 A9 00		lda #$00
	017612 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	017615 A9 25		lda #$25'%'
	017617 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	01761A A9 62		lda #$62'b'
	01761C 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	01761F A9 AF		lda #$AF
	017621 4C 9C FC		jmp $FC9C{meaddh_w}

017624	017624 A9 27		lda #$27'''
	017626 8D 66 02		sta $0266
	017629 A9 08		lda #$08
	01762B 8D 67 02		sta $0267
	01762E A9 4E		lda #$4E'N'
	017630 8D 69 02		sta $0269
	017633 A9 08		lda #$08
	017635 8D 6A 02		sta $026A
	017638 60		rts

017639	017639 8D 1C 02		sta $021C
	01763C A9 00		lda #$00
	01763E 8D 1D 02		sta $021D
	017641 57 5E		rmb 5,$5E
	017643 60		rts

017644	017644 6C 42 02		jmp ($0242)

;;; prepare for indirect jump: x,y -> ($0242}

017647	017647 A9 9C		lda #$9C
	017649 8D 54 02		sta $0254
	01764C A9 E3		lda #$E3
	01764E 8D 55 02		sta $0255
	017651 8E 42 02		stx $0242
	017654 8C 43 02		sty $0243
	017657 B7 76		smb 3,$76
	017659 60		rts

01765A	01765A 27 62		rmb 2,$62
	01765C 37 57		rmb 3,$57
	01765E 37 76		rmb 3,$76
	017660 20 87 E3		jsr $E387
	017663 4C 01 FE		jmp $FE01{in}

017666	017666 37 76		rmb 3,$76
	017668 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	01766A 20 B5 F3		jsr $F3B5
	01766D 37 57		rmb 3,$57
	01766F 27 57		rmb 2,$57
	017671 37 61		rmb 3,$61
	017673 20 8C 5C		jsr $5C8C
	017676 20 B1 EE		jsr $EEB1
	017679 67 3D		rmb 6,$3D		;Cx9	serial form register
	01767B 60		rts

01767C	01767C A5 4C		lda $4C
	01767E 29 0C		and #$0C
	017680 4A		lsr a
	017681 4A		lsr a
	017682 C9 02		cmp #$02
	017684 F0 05		beq $01768b
	017686 A9 00		lda #$00
	017688 20 B8 FC		jsr $FCB8
01768B	01768B 60		rts

01768C	01768C 7F 49 15		bbr 7,$49,$0176a4
	01768F 7F 5F 03		bbr 7,$5F,$017695
	017692 4C 55 79		jmp $7955

017695	017695 1F 5E 3C		bbr 1,$5E,$0176d4
	017698 F2 0B 06 10 37	bas $060B,$10,$0176d4	;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	01769D 07 85		rmb 0,$85
	01769F 20 48 F5		jsr $F548{rtsoff}
	0176A2 80 3C		bra $0176e0

0176A4	0176A4 BF 76 2E		bbs 3,$76,$0176d5
	0176A7 87 85		smb 0,$85
	0176A9 20 37 F7		jsr $F737
	0176AC 20 E9 E1		jsr $E1E9
	0176AF 20 43 F5		jsr $F543{rtson}
	0176B2 AD 26 01		lda $0126
	0176B5 20 DE E0		jsr $E0DE
	0176B8 D2 01 1F 06	sba $01,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	0176BC A9 40		lda #$40'@'
	0176BE 8D 14 02		sta $0214
	0176C1 A9 01		lda #$01
	0176C3 8D 15 02		sta $0215
	0176C6 17 5E		rmb 1,$5E
	0176C8 B7 76		smb 3,$76
	0176CA A9 8A		lda #$8A
	0176CC 8D 54 02		sta $0254
	0176CF A9 E3		lda #$E3
	0176D1 8D 55 02		sta $0255
0176D4	0176D4 60		rts

0176D5	0176D5 1F 5E FC		bbr 1,$5E,$0176d4
	0176D8 20 48 F5		jsr $F548{rtsoff}
	0176DB A9 02		lda #$02
	0176DD 20 62 7A		jsr $7A62
0176E0	0176E0 0F 69 1C		bbr 0,$69,$0176ff
	0176E3 37 59		rmb 3,$59
	0176E5 A9 8D		lda #$8D
	0176E7 8D 6F 02		sta $026F
	0176EA A9 E3		lda #$E3
	0176EC 8D 70 02		sta $0270
	0176EF B7 59		smb 3,$59
	0176F1 47 59		rmb 4,$59
	0176F3 A9 90		lda #$90
	0176F5 8D 72 02		sta $0272
	0176F8 A9 E3		lda #$E3
	0176FA 8D 73 02		sta $0273
	0176FD C7 59		smb 4,$59
0176FF	0176FF A2 07		ldx #$07
	017701 A0 77		ldy #$77'w'
	017703 20 47 76		jsr $7647{xy->242}
	017706 60		rts

017707	017707 9F 5E 01		bbs 1,$5E,$01770b
	01770A 60		rts

01770B	01770B 20 EF E1		jsr $E1EF
	01770E 20 E6 E1		jsr $E1E6
	017711 47 86		rmb 4,$86
	017713 E7 86		smb 6,$86
	017715 E7 8A		smb 6,$8A
	017717 A9 00		lda #$00
	017719 8D 92 03		sta $0392
	01771C A9 00		lda #$00
	01771E 48		pha
	01771F A9 F0		lda #$F0
	017721 25 84		and $84
	017723 85 84		sta $84
	017725 68		pla
	017726 05 84		ora $84
	017728 85 84		sta $84
	01772A 20 EB F3		jsr $F3EB
	01772D 20 E0 F3		jsr $F3E0
	017730 57 85		rmb 5,$85
	017732 4C 35 77		jmp $7735

017735	017735 9F 61 03		bbs 1,$61,$01773b
	017738 20 7C 76		jsr $767C
01773B	01773B 20 73 77		jsr $7773
	01773E 90 03		bcc $017743
	017740 4C 8A 79		jmp $798A

017743	017743 5F 85 0E		bbr 5,$85,$017754
	017746 57 85		rmb 5,$85
	017748 A9 03		lda #$03
	01774A 85 A9		sta $A9
	01774C A2 66		ldx #$66'f'		;! CID printout indirect?
	01774E A0 76		ldy #$76'v'
	017750 20 47 76		jsr $7647{xy->242}
	017753 60		rts

017754	017754 A2 63		ldx #$63'c'
	017756 A0 78		ldy #$78'x'
	017758 20 47 76		jsr $7647{xy->242}
	01775B 4F 86 14		bbr 4,$86,$017772
	01775E 47 86		rmb 4,$86
	017760 A2 3B		ldx #$3B';'
	017762 A0 7A		ldy #$7A'z'
	017764 20 47 76		jsr $7647{xy->242}
	017767 8F 85 05		bbs 0,$85,$01776f
	01776A 20 5F 7A		jsr $7A5F
	01776D 80 03		bra $017772

01776F	01776F 20 D7 FD		jsr $FDD7{scli}
017772	017772 60		rts

017773	017773 CF 86 30		bbs 4,$86,$0177a6
	017776 8F 85 33		bbs 0,$85,$0177ac
	017779 EF 8A 27		bbs 6,$8A,$0177a3
	01777C FF 8A 2D		bbs 7,$8A,$0177ac
01777F	01777F A5 84		lda $84
	017781 29 F0		and #$F0
	017783 4A		lsr a
	017784 4A		lsr a
	017785 4A		lsr a
	017786 4A		lsr a
	017787 85 40		sta $40
	017789 A5 84		lda $84
	01778B 29 0F		and #$0F
	01778D C5 40		cmp $40
	01778F D0 1B		bne $0177ac
	017791 E7 8C		smb 6,$8C
	017793 A5 B2		lda $B2
	017795 05 B1		ora $B1
	017797 D0 03		bne $01779c
	017799 EF 86 02		bbs 6,$86,$01779e
01779C	01779C 38		sec
	01779D 60		rts

01779E	01779E 5F 85 0B		bbr 5,$85,$0177ac
	0177A1 18		clc
	0177A2 60		rts

0177A3	0177A3 FF 8A D9		bbs 7,$8A,$01777f
0177A6	0177A6 0F 85 03		bbr 0,$85,$0177ac
	0177A9 20 5F 7A		jsr $7A5F
0177AC	0177AC 67 8C		rmb 6,$8C
	0177AE 57 85		rmb 5,$85
	0177B0 C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	0177B4 C2 08 1F 06	rba $08,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	0177B8 57 57		rmb 5,$57
	0177BA 20 B5 F3		jsr $F3B5
	0177BD 48		pha
	0177BE C2 01 0A 06	rba $01,$060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	0177C2 68		pla
	0177C3 20 F3 F4		jsr $F4F3{dtroff}
	0177C6 20 48 F5		jsr $F548{rtsoff}
	0177C9 20 A2 2F		jsr $2FA2
	0177CC 20 B8 2F		jsr $2FB8
	0177CF A9 03		lda #$03
	0177D1 85 3B		sta $3B			;Cx9	serial line control register
	0177D3 A9 C0		lda #$C0
	0177D5 85 3A		sta $3A			;Cx9	serial mode register
	0177D7 67 3D		rmb 6,$3D		;Cx9	serial form register
	0177D9 77 65		rmb 7,65
	0177DB A9 00		lda #$00
	0177DD CF 86 16		bbs 4,$86,$0177f6
	0177E0 A5 84		lda $84
	0177E2 29 0F		and #$0F
	0177E4 AA		tax
	0177E5 0A		asl a
	0177E6 0A		asl a
	0177E7 0A		asl a
	0177E8 0A		asl a
	0177E9 48		pha
	0177EA A9 0F		lda #$0F
	0177EC 25 84		and $84
	0177EE 85 84		sta $84
	0177F0 68		pla
	0177F1 05 84		ora $84
	0177F3 85 84		sta $84
	0177F5 8A		txa
0177F6	0177F6 F0 0A		beq $017802
	0177F8 8F 85 07		bbs 0,$85,$017802
	0177FB 48		pha
	0177FC A9 B1		lda #$B1
	0177FE 20 2B F8		jsr $F82B
	017801 68		pla
017802	017802 89 26		add #$26'&'
	017804 48		pha
	017805 20 86 E1		jsr $E186
	017808 68		pla
	017809 20 59 F7		jsr $F759
	01780C 20 EC E1		jsr $E1EC
	01780F 6F 8A 17		bbr 6,$8A,$017829
	017812 CF 86 14		bbs 4,$86,$017829
	017815 F7 8A		smb 7,$8A
	017817 0F 85 07		bbr 0,$85,$017821
	01781A A0 03		ldy #$03
	01781C 20 36 F4		jsr $F436
	01781F 80 13		bra $017834

017821	017821 20 E0 F3		jsr $F3E0
	017824 20 2C F4		jsr $F42C
	017827 80 0B		bra $017834

017829	017829 20 E0 F3		jsr $F3E0
	01782C 20 2C F4		jsr $F42C
	01782F 77 8A		rmb 7,8A
	017831 8F 85 00		bbs 0,$85,$017834
017834	017834 20 62 F4		jsr $F462
	017837 20 72 F4		jsr $F472
	01783A 20 B0 F3		jsr $F3B0
	01783D CF 86 1B		bbs 4,$86,$01785b
	017840 0F 85 0B		bbr 0,$85,$01784e
	017843 20 43 F5		jsr $F543{rtson}
	017846 48		pha
	017847 C2 10 05 06	rba $10,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	01784B 68		pla
	01784C 18		clc
	01784D 60		rts

01784E	01784E AD 0D 01		lda $010D
	017851 8D 30 02		sta $0230
	017854 A9 00		lda #$00
	017856 8D 31 02		sta $0231
	017859 77 5F		rmb 7,5F
01785B	01785B 20 EE F4		jsr $F4EE
	01785E 20 48 F5		jsr $F548{rtsoff}
	017861 18		clc
	017862 60		rts

017863	017863 8F 85 0A		bbs 0,$85,$017870
	017866 7F 5F 07		bbr 7,$5F,$017870
	017869 B2 03 A9		sti #$03,$A9
01786C	01786C 20 58 79		jsr $7958
01786F	01786F 60		rts

017870	017870 20 20 FD		jsr $FD20
	017873 0F 85 03		bbr 0,$85,$017879
	017876 4C 04 79		jmp $7904

017879	017879 A5 84		lda $84
	01787B 29 0F		and #$0F
	01787D F0 55		beq $0178d4
	01787F A9 1E		lda #$1E
	017881 AE 12 06		ldx $0612		;DPi configuration (CONF)
	017884 E0 12		cpx #$12
	017886 F0 04		beq $01788c
	017888 E0 14		cpx #$14
	01788A D0 02		bne $01788e
01788C	01788C A9 14		lda #$14
01788E	01788E 20 62 7A		jsr $7A62
017891	017891 F2 0A 06 80 37	bas $060A,$80,$0178cd	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	017896 E2 0A 06 40 D4	bar $060A,$40,$01786f	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	01789B 1F 5E F3		bbr 1,$5E,$017891
	01789E 2F 69 27		bbr 2,$69,$0178c8
	0178A1 4F 8C 24		bbr 4,$8C,$0178c8
	0178A4 20 14 FE		jsr $FE14{out_crlf}
	0178A7 B2 D1 40		sti #$D1,$40
	0178AA B2 64 41		sti #$64'd',$41
	0178AD 20 AA 5B		jsr $5BAA
	0178B0 20 14 FE		jsr $FE14{out_crlf}
	0178B3 07 85		rmb 0,$85
	0178B5 E7 8A		smb 6,$8A
	0178B7 A9 00		lda #$00
	0178B9 48		pha
	0178BA A9 F0		lda #$F0
	0178BC 25 84		and $84
	0178BE 85 84		sta $84
	0178C0 68		pla
	0178C1 05 84		ora $84
	0178C3 85 84		sta $84
	0178C5 4C 35 77		jmp $7735

0178C8	0178C8 B2 22 A9		sti #$22'"',$A9
	0178CB 80 9F		bra $01786c

0178CD	0178CD 20 F3 F8		jsr $F8F3
	0178D0 F0 9D		beq $01786f
	0178D2 80 0A		bra $0178de

0178D4	0178D4 A9 05		lda #$05
	0178D6 20 62 7A		jsr $7A62
	0178D9 20 F3 F8		jsr $F8F3
	0178DC F0 91		beq $01786f
0178DE	0178DE 97 63		smb 1,$63
	0178E0 F2 4C 01 01 0C	bas $014C,$01,$0178f1
	0178E5 AD 12 06		lda $0612		;DPi configuration (CONF)
	0178E8 29 F0		and #$F0
	0178EA C9 B0		cmp #$B0
	0178EC D0 03		bne $0178f1
	0178EE 20 1F FC		jsr $FC1F
0178F1	0178F1 A5 84		lda $84
	0178F3 29 0F		and #$0F
	0178F5 C9 01		cmp #$01
	0178F7 D0 03		bne $0178fc
	0178F9 20 DB E0		jsr $E0DB
0178FC	0178FC 6F 8A 05		bbr 6,$8A,$017904
	0178FF A0 03		ldy #$03
	017901 20 36 F4		jsr $F436
017904	017904 A9 00		lda #$00
	017906 8D 24 01		sta $0124
	017909 67 86		rmb 6,$86
	01790B A2 24		ldx #$24'$'
	01790D A0 79		ldy #$79'y'
	01790F 20 47 76		jsr $7647{xy->242}
	017912 47 85		rmb 4,$85
	017914 37 85		rmb 3,$85
	017916 27 85		rmb 2,$85
	017918 57 86		rmb 5,$86
	01791A 17 85		rmb 1,$85
	01791C 77 86		rmb 7,86
	01791E A9 00		lda #$00
	017920 8D 6E 86		sta $866E
	017923 60		rts

017924	017924 77 85		rmb 7,85
	017926 0F 85 05		bbr 0,$85,$01792e
	017929 F7 85		smb 7,$85
	01792B 4C 8A 79		jmp $798A

01792E	01792E FF 5F 24		bbs 7,$5F,$017955
	017931 EF 8A 03		bbs 6,$8A,$017937
	017934 4C 87 79		jmp $7987

017937	017937 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	01793A E2 0A 06 01 15	bar $060A,$01,$017954	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	01793F A2 14		ldx #$14
	017941 A5 84		lda $84
	017943 29 0F		and #$0F
	017945 F0 02		beq $017949
	017947 A2 03		ldx #$03
017949	017949 8A		txa
	01794A 20 62 7A		jsr $7A62
	01794D A2 5F		ldx #$5F'_'
	01794F A0 79		ldy #$79'y'
	017951 20 47 76		jsr $7647{xy->242}
017954	017954 60		rts

017955	017955 B2 03 A9		sti #$03,$A9
	017958 A2 66		ldx #$66'f'
	01795A A0 76		ldy #$76'v'
	01795C 4C 47 76		jmp $7647{xy->242}

01795F	01795F 9F 5E 25		bbs 1,$5E,$017987
	017962 A5 84		lda $84
	017964 29 0F		and #$0F
	017966 D0 05		bne $01796d
	017968 20 3C F9		jsr $F93C
	01796B F0 0F		beq $01797c
01796D	01796D E2 0A 06 01 0A	bar $060A,$01,$01797c	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	017972 20 ED FB		jsr $FBED
	017975 90 05		bcc $01797c
	017977 E2 1E 06 01 0A	bar $061E,$01,$017986	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
01797C	01797C AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	01797F A2 24		ldx #$24'$'
	017981 A0 79		ldy #$79'y'
	017983 20 47 76		jsr $7647{xy->242}
017986	017986 60		rts

017987	017987 20 3F FA		jsr $FA3F
	01798A 97 61		smb 1,$61
	01798C B7 7F		smb 3,$7F
	01798E 37 57		rmb 3,$57
	017990 37 76		rmb 3,$76
	017992 07 61		rmb 0,$61
	017994 17 59		rmb 1,$59
	017996 A9 4E		lda #$4E'N'
	017998 8D 69 02		sta $0269
	01799B A9 08		lda #$08
	01799D 8D 6A 02		sta $026A
	0179A0 97 59		smb 1,$59
	0179A2 8F 85 4C		bbs 0,$85,$0179f1
	0179A5 BF 49 0A		bbs 3,$49,$0179b2
	0179A8 A9 31		lda #$31'1'
	0179AA 20 05 FE		jsr $FE05{out}
	0179AD 20 0D FE		jsr $FE0D{cr}
	0179B0 80 06		bra $0179b8

0179B2	0179B2 B2 01 A9		sti #$01,$A9
	0179B5 20 8C 5C		jsr $5C8C
0179B8	0179B8 B7 61		smb 3,$61
	0179BA 3F 85 05		bbr 3,$85,$0179c2
	0179BD A9 10		lda #$10
	0179BF 20 05 FE		jsr $FE05{out}
0179C2	0179C2 EF 86 27		bbs 6,$86,$0179ec
	0179C5 E2 0A 06 01 03	bar $060A,$01,$0179cd	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	0179CA 20 3F FA		jsr $FA3F
0179CD	0179CD 6F 8A 06		bbr 6,$8A,$0179d6
	0179D0 7F 8A 03		bbr 7,$8A,$0179d6
	0179D3 EF 8C 16		bbs 6,$8C,$0179ec
0179D6	0179D6 20 72 F4		jsr $F472
	0179D9 20 5D F4		jsr $F45D
	0179DC 57 57		rmb 5,$57
	0179DE A9 F7		lda #$F7
	0179E0 8D 3F 02		sta $023F
	0179E3 A9 E2		lda #$E2
	0179E5 8D 40 02		sta $0240
	0179E8 D7 57		smb 5,$57
	0179EA A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
0179EC	0179EC 20 DA FD		jsr $FDDA
	0179EF 80 38		bra $017a29

0179F1	0179F1 A9 05		lda #$05
	0179F3 8D 30 02		sta $0230
	0179F6 A9 00		lda #$00
	0179F8 8D 31 02		sta $0231
	0179FB 77 5F		rmb 7,5F
	0179FD B7 8C		smb 3,$8C
	0179FF 20 D4 FD		jsr $FDD4{ssti}
	017A02 B2 01 A9		sti #$01,$A9
	017A05 20 8C 5C		jsr $5C8C
	017A08 B7 61		smb 3,$61
	017A0A 20 62 F4		jsr $F462
	017A0D 2F 69 09		bbr 2,$69,$017a19
	017A10 57 57		rmb 5,$57
	017A12 A9 02		lda #$02
	017A14 8D 8B 87		sta $878B
	017A17 80 0E		bra $017a27

017A19	017A19 57 57		rmb 5,$57
	017A1B A9 93		lda #$93
	017A1D 8D 3F 02		sta $023F
	017A20 A9 E3		lda #$E3
	017A22 8D 40 02		sta $0240
	017A25 D7 57		smb 5,$57
017A27	017A27 A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
017A29	017A29 6F 8A 0E		bbr 6,$8A,$017a3a
	017A2C 57 59		rmb 5,$59
	017A2E A9 99		lda #$99
	017A30 8D 75 02		sta $0275
	017A33 A9 E3		lda #$E3
	017A35 8D 76 02		sta $0276
	017A38 D7 59		smb 5,$59
017A3A	017A3A 60		rts

017A3B	017A3B 1F 5E 14		bbr 1,$5E,$017a52
	017A3E 37 76		rmb 3,$76
	017A40 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	017A42 20 B5 F3		jsr $F3B5
	017A45 37 57		rmb 3,$57
	017A47 A7 57		smb 2,$57
	017A49 37 61		rmb 3,$61
	017A4B 20 01 FE		jsr $FE01{in}
	017A4E 20 D4 FD		jsr $FDD4{ssti}
017A51	017A51 60		rts

017A52	017A52 8F 85 FC		bbs 0,$85,$017a51
	017A55 20 F3 F8		jsr $F8F3
	017A58 F0 F7		beq $017a51
	017A5A 20 6D 7A		jsr $7A6D
	017A5D 90 F2		bcc $017a51
	017A5F AD D9 00		lda $00D9
	017A62 8D 14 02		sta $0214
	017A65 A9 00		lda #$00
	017A67 8D 15 02		sta $0215
	017A6A 17 5E		rmb 1,$5E
	017A6C 60		rts

017A6D	017A6D 20 D3 FB		jsr $FBD3
	017A70 38		sec
	017A71 ED 92 03		sbc $0392
	017A74 B0 02		bcs $017a78
	017A76 C9 E8		cmp #$E8
017A78	017A78 60		rts

017A79	017A79 20 F3 F8		jsr $F8F3
	017A7C F0 03		beq $017a81
	017A7E 07 63		rmb 0,$63
	017A80 60		rts

017A81	017A81 8F 63 1E		bbs 0,$63,$017aa2
	017A84 87 63		smb 0,$63
	017A86 A9 02		lda #$02
	017A88 8D 0E 02		sta $020E
	017A8B A9 00		lda #$00
	017A8D 8D 0F 02		sta $020F
	017A90 67 5D		rmb 6,$5D
	017A92 AD 8C 87		lda $878C
	017A95 F0 0A		beq $017aa1
	017A97 8D 1E 02		sta $021E
	017A9A A9 00		lda #$00
	017A9C 8D 1F 02		sta $021F
	017A9F 67 5E		rmb 6,$5E
017AA1	017AA1 60		rts

017AA2	017AA2 AD 8C 87		lda $878C
	017AA5 F0 05		beq $017aac
	017AA7 6F 5E 4A		bbr 6,$5E,$017af4
	017AAA 80 03		bra $017aaf

017AAC	017AAC 6F 5D 45		bbr 6,$5D,$017af4
017AAF	017AAF 27 0A		rmb 2,$0A		;Cx9 External Interrupt Register
	017AB1 E7 86		smb 6,$86
	017AB3 20 B5 F3		jsr $F3B5
	017AB6 3F 61 03		bbr 3,$61,$017abc
	017AB9 20 DF FD		jsr $FDDF
017ABC	017ABC 6F 8A 11		bbr 6,$8A,$017ad0
	017ABF 20 BD FB		jsr $FBBD
	017AC2 57 85		rmb 5,$85
	017AC4 1F 85 02		bbr 1,$85,$017ac9
	017AC7 D7 85		smb 5,$85
017AC9	017AC9 20 EA 7A		jsr $7AEA
	017ACC A9 04		lda #$04
	017ACE 80 05		bra $017ad5

017AD0	017AD0 20 EA 7A		jsr $7AEA
	017AD3 A9 03		lda #$03
017AD5	017AD5 20 48 2F		jsr $2F48
	017AD8 17 85		rmb 1,$85
	017ADA 07 63		rmb 0,$63
	017ADC 17 63		rmb 1,$63
	017ADE CF 74 06		bbs 4,$74,$017ae7
	017AE1 3F 61 03		bbr 3,$61,$017ae7
	017AE4 20 DA FD		jsr $FDDA
017AE7	017AE7 57 57		rmb 5,$57
	017AE9 60		rts

017AEA	017AEA A9 10		lda #$10
	017AEC 20 48 2F		jsr $2F48
	017AEF A9 03		lda #$03
	017AF1 20 48 2F		jsr $2F48
017AF4	017AF4 60		rts

017AF5	017AF5 5F 8C 15		bbr 5,$8C,$017b0d
	017AF8 57 8C		rmb 5,$8C
	017AFA BF 49 0A		bbs 3,$49,$017b07
	017AFD A9 31		lda #$31'1'
	017AFF 20 05 FE		jsr $FE05{out}
	017B02 20 0D FE		jsr $FE0D{cr}
	017B05 80 06		bra $017b0d

017B07	017B07 B2 01 A9		sti #$01,$A9
	017B0A 20 8C 5C		jsr $5C8C
017B0D	017B0D 7F 85 2B		bbr 7,$85,$017b3b
	017B10 F2 0F 06 20 13	bas $060F,$20,$017b28	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	017B15 97 5E		smb 1,$5E
	017B17 6F 8A 2D		bbr 6,$8A,$017b47
	017B1A A2 64		ldx #$64'd'
	017B1C A5 84		lda $84
	017B1E 29 0F		and #$0F
	017B20 F0 02		beq $017b24
	017B22 A2 14		ldx #$14
017B24	017B24 8A		txa
	017B25 4C 62 7A		jmp $7A62

017B28	017B28 1F 5E 10		bbr 1,$5E,$017b3b
	017B2B CF 85 07		bbs 4,$85,$017b35
	017B2E AD 6E 86		lda $866E
	017B31 C9 05		cmp #$05
	017B33 90 06		bcc $017b3b
017B35	017B35 77 85		rmb 7,85
	017B37 D2 20 1E 06	sba $20,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
017B3B	017B3B 7F 5F 09		bbr 7,$5F,$017b47
	017B3E 57 57		rmb 5,$57
	017B40 20 87 E3		jsr $E387
	017B43 A9 04		lda #$04
	017B45 85 A9		sta $A9
017B47	017B47 60		rts

017B48	017B48 0F 85 2F		bbr 0,$85,$017b7a
	017B4B CF 86 2C		bbs 4,$86,$017b7a
	017B4E E2 0A 06 02 27	bar $060A,$02,$017b7a	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	017B53 C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	017B57 AF 85 21		bbs 2,$85,$017b7b
	017B5A 97 5E		smb 1,$5E
	017B5C A5 84		lda $84
	017B5E 29 0F		and #$0F
	017B60 D0 06		bne $017b68
	017B62 A2 06		ldx #$06
	017B64 8A		txa
	017B65 20 62 7A		jsr $7A62
017B68	017B68 F7 85		smb 7,$85
	017B6A D7 8C		smb 5,$8C
	017B6C 80 06		bra $017b74

017B6E	017B6E A9 01		lda #$01
	017B70 85 A9		sta $A9
	017B72 B7 6E		smb 3,$6E
017B74	017B74 87 65		smb 0,$65
	017B76 47 85		rmb 4,$85
	017B78 37 85		rmb 3,$85
017B7A	017B7A 60		rts

017B7B	017B7B 27 85		rmb 2,$85
	017B7D 27 5B		rmb 2,$5B
	017B7F A9 9F		lda #$9F
	017B81 8D 87 02		sta $0287
	017B84 A9 E3		lda #$E3
	017B86 8D 88 02		sta $0288
	017B89 A7 5B		smb 2,$5B
	017B8B A9 00		lda #$00
	017B8D 8D CC 00		sta $00CC
	017B90 60		rts

017B91	017B91 1F 85 23		bbr 1,$85,$017bb7
	017B94 17 85		rmb 1,$85
	017B96 A9 10		lda #$10
	017B98 20 48 2F		jsr $2F48
	017B9B A9 03		lda #$03
	017B9D 20 48 2F		jsr $2F48
	017BA0 A2 00		ldx #$00
	017BA2 FF 86 07		bbs 7,$86,$017bac
	017BA5 AD 0A 06		lda $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	017BA8 29 38		and #$38'8'
	017BAA F0 02		beq $017bae
017BAC	017BAC A2 04		ldx #$04
017BAE	017BAE 8A		txa
	017BAF 20 48 2F		jsr $2F48
	017BB2 3F 61 02		bbr 3,$61,$017bb7
	017BB5 B7 64		smb 3,$64
017BB7	017BB7 77 86		rmb 7,86
	017BB9 60		rts

017BBA	017BBA AD CC 00		lda $00CC
	017BBD 6F 8A 0B		bbr 6,$8A,$017bcb
	017BC0 F2 0A 06 02 1A	bas $060A,$02,$017bdf	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	017BC5 60		rts

017BC6	017BC6 C9 37		cmp #$37'7'
	017BC8 B0 15		bcs $017bdf
017BCA	017BCA 60		rts

017BCB	017BCB AD 6E 86		lda $866E
	017BCE D0 FA		bne $017bca
	017BD0 A9 01		lda #$01
	017BD2 8D 02 02		sta $0202
	017BD5 A9 00		lda #$00
	017BD7 8D 03 02		sta $0203
	017BDA 07 5D		rmb 0,$5D
017BDC	017BDC 0F 5D FD		bbr 0,$5D,$017bdc
017BDF	017BDF 20 72 F4		jsr $F472
	017BE2 6F 8A 0F		bbr 6,$8A,$017bf4
	017BE5 A9 04		lda #$04
	017BE7 8D 02 02		sta $0202
	017BEA A9 00		lda #$00
	017BEC 8D 03 02		sta $0203
	017BEF 07 5D		rmb 0,$5D
017BF1	017BF1 0F 5D FD		bbr 0,$5D,$017bf1
017BF4	017BF4 48		pha
	017BF5 D2 10 05 06	sba $10,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	017BF9 68		pla
	017BFA 20 48 F5		jsr $F548{rtsoff}
	017BFD 20 B5 F3		jsr $F3B5
017C00	017C00 20 81 F9		jsr $F981
	017C03 D0 FB		bne $017c00
	017C05 20 F3 F4		jsr $F4F3{dtroff}
	017C08 E7 86		smb 6,$86
	017C0A A9 00		lda #$00
	017C0C 85 A9		sta $A9
	017C0E 27 5B		rmb 2,$5B
	017C10 A5 3A		lda $3A			;Cx9	serial mode register
	017C12 8D 60 04		sta $0460
	017C15 37 61		rmb 3,$61
	017C17 8F 57 06		bbs 0,$57,$017c20
	017C1A 20 8C 5C		jsr $5C8C
	017C1D 20 1E FE		jsr $FE1E
017C20	017C20 A9 00		lda #$00
	017C22 8D 8B 87		sta $878B
	017C25 20 B1 EE		jsr $EEB1
	017C28 67 3D		rmb 6,$3D		;Cx9	serial form register
	017C2A 0F 85 02		bbr 0,$85,$017c2f
	017C2D 57 57		rmb 5,$57
017C2F	017C2F 60		rts

017C30	017C30 20 78 2F		jsr $2F78
	017C33 B0 1D		bcs $017c52
	017C35 8D DA 00		sta $00DA
	017C38 8F 57 03		bbs 0,$57,$017c3e
	017C3B 20 63 FA		jsr $FA63
017C3E	017C3E 20 80 7C		jsr $7C80
	017C41 A9 05		lda #$05
	017C43 8D 30 02		sta $0230
	017C46 A9 00		lda #$00
	017C48 8D 31 02		sta $0231
	017C4B 77 5F		rmb 7,5F
	017C4D AD DA 00		lda $00DA
	017C50 18		clc
	017C51 60		rts

017C52	017C52 A9 00		lda #$00
	017C54 8D 6E 86		sta $866E
	017C57 38		sec
	017C58 8F 57 24		bbs 0,$57,$017c7f
	017C5B EF 8A 13		bbs 6,$8A,$017c71
	017C5E CF 85 05		bbs 4,$85,$017c66
	017C61 AD DA 00		lda $00DA
	017C64 F0 08		beq $017c6e
017C66	017C66 C7 85		smb 4,$85
	017C68 20 7D 7B		jsr $7B7D
	017C6B 20 72 F4		jsr $F472
017C6E	017C6E 4C 63 FA		jmp $FA63

017C71	017C71 20 72 F4		jsr $F472
	017C74 C2 08 1F 06	rba $08,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	017C78 D2 10 1F 06	sba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	017C7C 20 48 7B		jsr $7B48
017C7F	017C7F 60		rts

017C80	017C80 AF 74 03		bbs 2,$74,$017c86
	017C83 6F 74 2F		bbr 6,$74,$017cb5
017C86	017C86 A5 B2		lda $B2
	017C88 3F 9B 0A		bbr 3,$9B,$017c95
	017C8B C9 24		cmp #$24'$'
	017C8D D0 0E		bne $017c9d
	017C8F A5 B1		lda $B1
	017C91 C9 D6		cmp #$D6
	017C93 80 08		bra $017c9d

017C95	017C95 C9 03		cmp #$03
	017C97 D0 04		bne $017c9d
	017C99 A5 B1		lda $B1
	017C9B C9 3C		cmp #$3C'<'
017C9D	017C9D B0 16		bcs $017cb5
	017C9F 2F 53 09		bbr 2,$53,$017cab
	017CA2 8F 74 06		bbs 0,$74,$017cab
	017CA5 87 74		smb 0,$74
	017CA7 B7 64		smb 3,$64
	017CA9 B7 8C		smb 3,$8C
017CAB	017CAB 1F 53 07		bbr 1,$53,$017cb5
	017CAE 67 74		rmb 6,$74
	017CB0 B7 8C		smb 3,$8C
	017CB2 4C 26 FD		jmp $FD26

017CB5	017CB5 60		rts

017CB6	017CB6 6F 8A 16		bbr 6,$8A,$017ccf
	017CB9 AD 0A 06		lda $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	017CBC AE 00 06		ldx $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	017CBF 29 39		and #$39'9'
	017CC1 D0 03		bne $017cc6
	017CC3 8A		txa
	017CC4 80 0C		bra $017cd2

017CC6	017CC6 4A		lsr a
	017CC7 90 03		bcc $017ccc
	017CC9 4C 91 7B		jmp $7B91

017CCC	017CCC F7 86		smb 7,$86
	017CCE 60		rts

017CCF	017CCF AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
017CD2	017CD2 0F 8C 52		bbr 0,$8C,$017d27
	017CD5 9F 8C 1B		bbs 1,$8C,$017cf3
	017CD8 C9 10		cmp #$10
	017CDA D0 02		bne $017cde
	017CDC 97 8C		smb 1,$8C
017CDE	017CDE 48		pha
	017CDF 20 39 2F		jsr $2F39
	017CE2 A9 05		lda #$05
	017CE4 8D 30 02		sta $0230
	017CE7 A9 00		lda #$00
	017CE9 8D 31 02		sta $0231
	017CEC 77 5F		rmb 7,5F
	017CEE 68		pla
	017CEF B0 6B		bcs $017d5c
	017CF1 80 50		bra $017d43

017CF3	017CF3 17 8C		rmb 1,$8C
	017CF5 C9 10		cmp #$10
	017CF7 D0 17		bne $017d10
	017CF9 48		pha
	017CFA A9 1A		lda #$1A
	017CFC 20 39 2F		jsr $2F39
	017CFF A9 05		lda #$05
	017D01 8D 30 02		sta $0230
	017D04 A9 00		lda #$00
	017D06 8D 31 02		sta $0231
	017D09 77 5F		rmb 7,5F
	017D0B 68		pla
	017D0C B0 4E		bcs $017d5c
	017D0E 80 33		bra $017d43

017D10	017D10 48		pha
	017D11 A9 10		lda #$10
	017D13 20 39 2F		jsr $2F39
	017D16 A9 05		lda #$05
	017D18 8D 30 02		sta $0230
	017D1B A9 00		lda #$00
	017D1D 8D 31 02		sta $0231
	017D20 77 5F		rmb 7,5F
	017D22 68		pla
	017D23 B0 37		bcs $017d5c
	017D25 80 17		bra $017d3e

017D27	017D27 48		pha
	017D28 20 39 2F		jsr $2F39
	017D2B A9 05		lda #$05
	017D2D 8D 30 02		sta $0230
	017D30 A9 00		lda #$00
	017D32 8D 31 02		sta $0231
	017D35 77 5F		rmb 7,5F
	017D37 68		pla
	017D38 B0 22		bcs $017d5c
	017D3A C9 10		cmp #$10
	017D3C D0 05		bne $017d43
017D3E	017D3E 20 48 2F		jsr $2F48
	017D41 77 86		rmb 7,86
017D43	017D43 97 85		smb 1,$85
	017D45 3F 61 08		bbr 3,$61,$017d50
	017D48 CF 74 05		bbs 4,$74,$017d50
	017D4B DF 74 02		bbs 5,$74,$017d50
	017D4E B7 64		smb 3,$64
017D50	017D50 6F 8A 08		bbr 6,$8A,$017d5b
	017D53 C2 08 1F 06	rba $08,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	017D57 D2 10 1F 06	sba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
017D5B	017D5B 60		rts

017D5C	017D5C F7 86		smb 7,$86
	017D5E 80 E3		bra $017d43

017D60	017D60 2F 69 35		bbr 2,$69,$017d98
	017D63 AD 1D 01		lda $011D
	017D66 F0 30		beq $017d98
	017D68 4F 61 2D		bbr 4,$61,$017d98
	017D6B 7F 5F 06		bbr 7,$5F,$017d74
	017D6E BF 8C 03		bbs 3,$8C,$017d74
	017D71 4F 86 11		bbr 4,$86,$017d85
017D74	017D74 37 8C		rmb 3,$8C
	017D76 AD 1D 01		lda $011D
	017D79 8D 28 02		sta $0228
	017D7C A9 00		lda #$00
	017D7E 8D 29 02		sta $0229
	017D81 37 5F		rmb 3,$5F
	017D83 80 13		bra $017d98

017D85	017D85 3F 5F 10		bbr 3,$5F,$017d98
	017D88 2F 8C 03		bbr 2,$8C,$017d8e
	017D8B 4C C9 E0		jmp $E0C9

017D8E	017D8E 20 C9 E0		jsr $E0C9
	017D91 27 86		rmb 2,$86
	017D93 A9 00		lda #$00
	017D95 4C 34 E2		jmp $E234

017D98	017D98 AD 8B 87		lda $878B
	017D9B C9 02		cmp #$02
	017D9D D0 03		bne $017da2
	017D9F 4C F5 7A		jmp $7AF5

017DA2	017DA2 60		rts

017DA3	017DA3 00		brk
	017DA4 00		brk
	017DA5 00		brk
	017DA6 00		brk
	017DA7 00		brk
	017DA8 00		brk
	017DA9 00		brk
	017DAA 00		brk
	017DAB 00		brk
	017DAC 00		brk
	017DAD 00		brk
	017DAE 00		brk
	017DAF 00		brk
	017DB0 00		brk
	017DB1 00		brk
	017DB2 00		brk
	017DB3 00		brk
	017DB4 00		brk
	017DB5 00		brk
	017DB6 00		brk
	017DB7 00		brk
	017DB8 00		brk
	017DB9 00		brk
	017DBA 00		brk
	017DBB 00		brk
	017DBC 00		brk
	017DBD 00		brk
	017DBE 00		brk
	017DBF 00		brk
	017DC0 00		brk
	017DC1 00		brk
	017DC2 00		brk
	017DC3 00		brk
	017DC4 00		brk
	017DC5 00		brk
	017DC6 00		brk
	017DC7 00		brk
	017DC8 00		brk
	017DC9 00		brk
	017DCA 00		brk
	017DCB 00		brk
	017DCC 00		brk
	017DCD 00		brk
	017DCE 00		brk
	017DCF 00		brk
	017DD0 00		brk
	017DD1 00		brk
	017DD2 00		brk
	017DD3 00		brk
	017DD4 00		brk
	017DD5 00		brk
	017DD6 00		brk
	017DD7 00		brk
	017DD8 00		brk
	017DD9 00		brk
	017DDA 00		brk
	017DDB 00		brk
	017DDC 00		brk
	017DDD 00		brk
	017DDE 00		brk
	017DDF 00		brk
	017DE0 00		brk
	017DE1 00		brk
	017DE2 00		brk
	017DE3 00		brk
	017DE4 00		brk
	017DE5 00		brk
	017DE6 00		brk
	017DE7 00		brk
	017DE8 00		brk
	017DE9 00		brk
	017DEA 00		brk
	017DEB 00		brk
	017DEC 00		brk
	017DED 00		brk
	017DEE 00		brk
	017DEF 00		brk
	017DF0 00		brk
	017DF1 00		brk
	017DF2 00		brk
	017DF3 00		brk
	017DF4 00		brk
	017DF5 00		brk
	017DF6 00		brk
	017DF7 00		brk
	017DF8 00		brk
	017DF9 00		brk
	017DFA 00		brk
	017DFB 00		brk
	017DFC 00		brk
	017DFD 00		brk
	017DFE 00		brk
	017DFF 00		brk
	017E00 00		brk
	017E01 00		brk
	017E02 00		brk
	017E03 00		brk
	017E04 00		brk
	017E05 00		brk
	017E06 00		brk
	017E07 00		brk
	017E08 00		brk
	017E09 00		brk
	017E0A 00		brk
	017E0B 00		brk
	017E0C 00		brk
	017E0D 00		brk
	017E0E 00		brk
	017E0F 00		brk
	017E10 00		brk
	017E11 00		brk
	017E12 00		brk
	017E13 00		brk
	017E14 00		brk
	017E15 00		brk
	017E16 00		brk
	017E17 00		brk
	017E18 00		brk
	017E19 00		brk
	017E1A 00		brk
	017E1B 00		brk
	017E1C 00		brk
	017E1D 00		brk
	017E1E 00		brk
	017E1F 00		brk
	017E20 00		brk
	017E21 00		brk
	017E22 00		brk
	017E23 00		brk
	017E24 00		brk
	017E25 00		brk
	017E26 00		brk
	017E27 00		brk
	017E28 00		brk
	017E29 00		brk
	017E2A 00		brk
	017E2B 00		brk
	017E2C 00		brk
	017E2D 00		brk
	017E2E 00		brk
	017E2F 00		brk
	017E30 00		brk
	017E31 00		brk
	017E32 00		brk
	017E33 00		brk
	017E34 00		brk
	017E35 00		brk
	017E36 00		brk
	017E37 00		brk
	017E38 00		brk
	017E39 00		brk
	017E3A 00		brk
	017E3B 00		brk
	017E3C 00		brk
	017E3D 00		brk
	017E3E 00		brk
	017E3F 00		brk
	017E40 00		brk
	017E41 00		brk
	017E42 00		brk
	017E43 00		brk
	017E44 00		brk
	017E45 00		brk
	017E46 00		brk
	017E47 00		brk
	017E48 00		brk
	017E49 00		brk
	017E4A 00		brk
	017E4B 00		brk
	017E4C 00		brk
	017E4D 00		brk
	017E4E 00		brk
	017E4F 00		brk
	017E50 00		brk
	017E51 00		brk
	017E52 00		brk
	017E53 00		brk
	017E54 00		brk
	017E55 00		brk
	017E56 00		brk
	017E57 00		brk
	017E58 00		brk
	017E59 00		brk
	017E5A 00		brk
	017E5B 00		brk
	017E5C 00		brk
	017E5D 00		brk
	017E5E 00		brk
	017E5F 00		brk
	017E60 00		brk
	017E61 00		brk
	017E62 00		brk
	017E63 00		brk
	017E64 00		brk
	017E65 00		brk
	017E66 00		brk
	017E67 00		brk
	017E68 00		brk
	017E69 00		brk
	017E6A 00		brk
	017E6B 00		brk
	017E6C 00		brk
	017E6D 00		brk
	017E6E 00		brk
	017E6F 00		brk
	017E70 00		brk
	017E71 00		brk
	017E72 00		brk
	017E73 00		brk
	017E74 00		brk
	017E75 00		brk
	017E76 00		brk
	017E77 00		brk
	017E78 00		brk
	017E79 00		brk
	017E7A 00		brk
	017E7B 00		brk
	017E7C 00		brk
	017E7D 00		brk
	017E7E 00		brk
	017E7F 00		brk
	017E80 00		brk
	017E81 00		brk
	017E82 00		brk
	017E83 00		brk
	017E84 00		brk
	017E85 00		brk
	017E86 00		brk
	017E87 00		brk
	017E88 00		brk
	017E89 00		brk
	017E8A 00		brk
	017E8B 00		brk
	017E8C 00		brk
	017E8D 00		brk
	017E8E 00		brk
	017E8F 00		brk
	017E90 00		brk
	017E91 00		brk
	017E92 00		brk
	017E93 00		brk
	017E94 00		brk
	017E95 00		brk
	017E96 00		brk
	017E97 00		brk
	017E98 00		brk
	017E99 00		brk
	017E9A 00		brk
	017E9B 00		brk
	017E9C 00		brk
	017E9D 00		brk
	017E9E 00		brk
	017E9F 00		brk
	017EA0 00		brk
	017EA1 00		brk
	017EA2 00		brk
	017EA3 00		brk
	017EA4 00		brk
	017EA5 00		brk
	017EA6 00		brk
	017EA7 00		brk
	017EA8 00		brk
	017EA9 00		brk
	017EAA 00		brk
	017EAB 00		brk
	017EAC 00		brk
	017EAD 00		brk
	017EAE 00		brk
	017EAF 00		brk
	017EB0 00		brk
	017EB1 00		brk
	017EB2 00		brk
	017EB3 00		brk
	017EB4 00		brk
	017EB5 00		brk
	017EB6 00		brk
	017EB7 00		brk
	017EB8 00		brk
	017EB9 00		brk
	017EBA 00		brk
	017EBB 00		brk
	017EBC 00		brk
	017EBD 00		brk
	017EBE 00		brk
	017EBF 00		brk
	017EC0 00		brk
	017EC1 00		brk
	017EC2 00		brk
	017EC3 00		brk
	017EC4 00		brk
	017EC5 00		brk
	017EC6 00		brk
	017EC7 00		brk
	017EC8 00		brk
	017EC9 00		brk
	017ECA 00		brk
	017ECB 00		brk
	017ECC 00		brk
	017ECD 00		brk
	017ECE 00		brk
	017ECF 00		brk
	017ED0 00		brk
	017ED1 00		brk
	017ED2 00		brk
	017ED3 00		brk
	017ED4 00		brk
	017ED5 00		brk
	017ED6 00		brk
	017ED7 00		brk
	017ED8 00		brk
	017ED9 00		brk
	017EDA 00		brk
	017EDB 00		brk
	017EDC 00		brk
	017EDD 00		brk
	017EDE 00		brk
	017EDF 00		brk
	017EE0 00		brk
	017EE1 00		brk
	017EE2 00		brk
	017EE3 00		brk
	017EE4 00		brk
	017EE5 00		brk
	017EE6 00		brk
	017EE7 00		brk
	017EE8 00		brk
	017EE9 00		brk
	017EEA 00		brk
	017EEB 00		brk
	017EEC 00		brk
	017EED 00		brk
	017EEE 00		brk
	017EEF 00		brk
	017EF0 00		brk
	017EF1 00		brk
	017EF2 00		brk
	017EF3 00		brk
	017EF4 00		brk
	017EF5 00		brk
	017EF6 00		brk
	017EF7 00		brk
	017EF8 00		brk
	017EF9 00		brk
	017EFA 00		brk
	017EFB 00		brk
	017EFC 00		brk
	017EFD 00		brk
	017EFE 00		brk
	017EFF 00		brk
	017F00 00		brk
	017F01 00		brk
	017F02 00		brk
	017F03 00		brk
	017F04 00		brk
	017F05 00		brk
	017F06 00		brk
	017F07 00		brk
	017F08 00		brk
	017F09 00		brk
	017F0A 00		brk
	017F0B 00		brk
	017F0C 00		brk
	017F0D 00		brk
	017F0E 00		brk
	017F0F 00		brk
	017F10 00		brk
	017F11 00		brk
	017F12 00		brk
	017F13 00		brk
	017F14 00		brk
	017F15 00		brk
	017F16 00		brk
	017F17 00		brk
	017F18 00		brk
	017F19 00		brk
	017F1A 00		brk
	017F1B 00		brk
	017F1C 00		brk
	017F1D 00		brk
	017F1E 00		brk
	017F1F 00		brk
	017F20 00		brk
	017F21 00		brk
	017F22 00		brk
	017F23 00		brk
	017F24 00		brk
	017F25 00		brk
	017F26 00		brk
	017F27 00		brk
	017F28 00		brk
	017F29 00		brk
	017F2A 00		brk
	017F2B 00		brk
	017F2C 00		brk
	017F2D 00		brk
	017F2E 00		brk
	017F2F 00		brk
	017F30 00		brk
	017F31 00		brk
	017F32 00		brk
	017F33 00		brk
	017F34 00		brk
	017F35 00		brk
	017F36 00		brk
	017F37 00		brk
	017F38 00		brk
	017F39 00		brk
	017F3A 00		brk
	017F3B 00		brk
	017F3C 00		brk
	017F3D 00		brk
	017F3E 00		brk
	017F3F 00		brk
	017F40 00		brk
	017F41 00		brk
	017F42 00		brk
	017F43 00		brk
	017F44 00		brk
	017F45 00		brk
	017F46 00		brk
	017F47 00		brk
	017F48 00		brk
	017F49 00		brk
	017F4A 00		brk
	017F4B 00		brk
	017F4C 00		brk
	017F4D 00		brk
	017F4E 00		brk
	017F4F 00		brk
	017F50 00		brk
	017F51 00		brk
	017F52 00		brk
	017F53 00		brk
	017F54 00		brk
	017F55 00		brk
	017F56 00		brk
	017F57 00		brk
	017F58 00		brk
	017F59 00		brk
	017F5A 00		brk
	017F5B 00		brk
	017F5C 00		brk
	017F5D 00		brk
	017F5E 00		brk
	017F5F 00		brk
	017F60 00		brk
	017F61 00		brk
	017F62 00		brk
	017F63 00		brk
	017F64 00		brk
	017F65 00		brk
	017F66 00		brk
	017F67 00		brk
	017F68 00		brk
	017F69 00		brk
	017F6A 00		brk
	017F6B 00		brk
	017F6C 00		brk
	017F6D 00		brk
	017F6E 00		brk
	017F6F 00		brk
	017F70 00		brk
	017F71 00		brk
	017F72 00		brk
	017F73 00		brk
	017F74 00		brk
	017F75 00		brk
	017F76 00		brk
	017F77 00		brk
	017F78 00		brk
	017F79 00		brk
	017F7A 00		brk
	017F7B 00		brk
	017F7C 00		brk
	017F7D 00		brk
	017F7E 00		brk
	017F7F 00		brk
	017F80 00		brk
	017F81 00		brk
	017F82 00		brk
	017F83 00		brk
	017F84 00		brk
	017F85 00		brk
	017F86 00		brk
	017F87 00		brk
	017F88 00		brk
	017F89 00		brk
	017F8A 00		brk
	017F8B 00		brk
	017F8C 00		brk
	017F8D 00		brk
	017F8E 00		brk
	017F8F 00		brk
	017F90 00		brk
	017F91 00		brk
	017F92 00		brk
	017F93 00		brk
	017F94 00		brk
	017F95 00		brk
	017F96 00		brk
	017F97 00		brk
	017F98 00		brk
	017F99 00		brk
	017F9A 00		brk
	017F9B 00		brk
	017F9C 00		brk
	017F9D 00		brk
	017F9E 00		brk
	017F9F 00		brk
	017FA0 00		brk
	017FA1 00		brk
	017FA2 00		brk
	017FA3 00		brk
	017FA4 00		brk
	017FA5 00		brk
	017FA6 00		brk
	017FA7 00		brk
	017FA8 00		brk
	017FA9 00		brk
	017FAA 00		brk
	017FAB 00		brk
	017FAC 00		brk
	017FAD 00		brk
	017FAE 00		brk
	017FAF 00		brk
	017FB0 00		brk
	017FB1 00		brk
	017FB2 00		brk
	017FB3 00		brk
	017FB4 00		brk
	017FB5 00		brk
	017FB6 00		brk
	017FB7 00		brk
	017FB8 00		brk
	017FB9 00		brk
	017FBA 00		brk
	017FBB 00		brk
	017FBC 00		brk
	017FBD 00		brk
	017FBE 00		brk
	017FBF 00		brk
	017FC0 00		brk
	017FC1 00		brk
	017FC2 00		brk
	017FC3 00		brk
	017FC4 00		brk
	017FC5 00		brk
	017FC6 00		brk
	017FC7 00		brk
	017FC8 00		brk
	017FC9 00		brk
	017FCA 00		brk
	017FCB 00		brk
	017FCC 00		brk
	017FCD 00		brk
	017FCE 00		brk
	017FCF 00		brk
	017FD0 00		brk
	017FD1 00		brk
	017FD2 00		brk
	017FD3 00		brk
	017FD4 00		brk
	017FD5 00		brk
	017FD6 00		brk
	017FD7 00		brk
	017FD8 00		brk
	017FD9 00		brk
	017FDA 00		brk
	017FDB 00		brk
	017FDC 00		brk
	017FDD 00		brk
	017FDE 00		brk
	017FDF 00		brk
	017FE0 00		brk
	017FE1 00		brk
	017FE2 00		brk
	017FE3 00		brk
	017FE4 00		brk
	017FE5 00		brk
	017FE6 00		brk
	017FE7 00		brk
	017FE8 00		brk
	017FE9 00		brk
	017FEA 00		brk
	017FEB 00		brk
	017FEC 00		brk
	017FED 00		brk
	017FEE 00		brk
	017FEF 00		brk
	017FF0 00		brk
	017FF1 00		brk
	017FF2 00		brk
	017FF3 00		brk
	017FF4 00		brk
	017FF5 00		brk
	017FF6 00		brk
	017FF7 00		brk
	017FF8 00		brk
	017FF9 00		brk
	017FFA 00		brk
	017FFB 00		brk
	017FFC 00		brk
	017FFD 00		brk
	017FFE 00		brk
	017FFF 00		brk
	018000 00		brk
	018001 00		brk
	018002 00		brk
	018003 00		brk
	018004 00		brk
	018005 00		brk
	018006 00		brk
	018007 00		brk
	018008 00		brk
	018009 00		brk
	01800A 00		brk
	01800B 00		brk
	01800C 00		brk
	01800D 00		brk
	01800E 00		brk
	01800F 00		brk
	018010 00		brk
	018011 00		brk
	018012 00		brk
	018013 00		brk
	018014 00		brk
	018015 00		brk
	018016 00		brk
	018017 00		brk
	018018 00		brk
	018019 00		brk
	01801A 00		brk
	01801B 00		brk
	01801C 00		brk
	01801D 00		brk
	01801E 00		brk
	01801F 00		brk
	018020 00		brk
	018021 00		brk
	018022 00		brk
	018023 00		brk
	018024 00		brk
	018025 00		brk
	018026 00		brk
	018027 00		brk
	018028 00		brk
	018029 00		brk
	01802A 00		brk
	01802B 00		brk
	01802C 00		brk
	01802D 00		brk
	01802E 00		brk
	01802F 00		brk
	018030 00		brk
	018031 00		brk
	018032 00		brk
	018033 00		brk
	018034 00		brk
	018035 00		brk
	018036 00		brk
	018037 00		brk
	018038 00		brk
	018039 00		brk
	01803A 00		brk
	01803B 00		brk
	01803C 00		brk
	01803D 00		brk
	01803E 00		brk
	01803F 00		brk
	018040 00		brk
	018041 00		brk
	018042 00		brk
	018043 00		brk
	018044 00		brk
	018045 00		brk
	018046 00		brk
	018047 00		brk
	018048 00		brk
	018049 00		brk
	01804A 00		brk
	01804B 00		brk
	01804C 00		brk
	01804D 00		brk
	01804E 00		brk
	01804F 00		brk
	018050 00		brk
	018051 00		brk
	018052 00		brk
	018053 00		brk
	018054 00		brk
	018055 00		brk
	018056 00		brk
	018057 00		brk
	018058 00		brk
	018059 00		brk
	01805A 00		brk
	01805B 00		brk
	01805C 00		brk
	01805D 00		brk
	01805E 00		brk
	01805F 00		brk
	018060 00		brk
	018061 00		brk
	018062 00		brk
	018063 00		brk
	018064 00		brk
	018065 00		brk
	018066 00		brk
	018067 00		brk
	018068 00		brk
	018069 00		brk
	01806A 00		brk
	01806B 00		brk
	01806C 00		brk
	01806D 00		brk
	01806E 00		brk
	01806F 00		brk
	018070 00		brk
	018071 00		brk
	018072 00		brk
	018073 00		brk
	018074 00		brk
	018075 00		brk
	018076 00		brk
	018077 00		brk
	018078 00		brk
	018079 00		brk
	01807A 00		brk
	01807B 00		brk
	01807C 00		brk
	01807D 00		brk
	01807E 00		brk
	01807F 00		brk
	018080 00		brk
	018081 00		brk
	018082 00		brk
	018083 00		brk
	018084 00		brk
	018085 00		brk
	018086 00		brk
	018087 00		brk
	018088 00		brk
	018089 00		brk
	01808A 00		brk
	01808B 00		brk
	01808C 00		brk
	01808D 00		brk
	01808E 00		brk
	01808F 00		brk
	018090 00		brk
	018091 00		brk
	018092 00		brk
	018093 00		brk
	018094 00		brk
	018095 00		brk
	018096 00		brk
	018097 00		brk
	018098 00		brk
	018099 00		brk
	01809A 00		brk
	01809B 00		brk
	01809C 00		brk
	01809D 00		brk
	01809E 00		brk
	01809F 00		brk
	0180A0 00		brk
	0180A1 00		brk
	0180A2 00		brk
	0180A3 00		brk
	0180A4 00		brk
	0180A5 00		brk
	0180A6 00		brk
	0180A7 00		brk
	0180A8 00		brk
	0180A9 00		brk
	0180AA 00		brk
	0180AB 00		brk
	0180AC 00		brk
	0180AD 00		brk
	0180AE 00		brk
	0180AF 00		brk
	0180B0 00		brk
	0180B1 00		brk
	0180B2 00		brk
	0180B3 00		brk
	0180B4 00		brk
	0180B5 00		brk
	0180B6 00		brk
	0180B7 00		brk
	0180B8 00		brk
	0180B9 00		brk
	0180BA 00		brk
	0180BB 00		brk
	0180BC 00		brk
	0180BD 00		brk
	0180BE 00		brk
	0180BF 00		brk
	0180C0 00		brk
	0180C1 00		brk
	0180C2 00		brk
	0180C3 00		brk
	0180C4 00		brk
	0180C5 00		brk
	0180C6 00		brk
	0180C7 00		brk
	0180C8 00		brk
	0180C9 00		brk
	0180CA 00		brk
	0180CB 00		brk
	0180CC 00		brk
	0180CD 00		brk
	0180CE 00		brk
	0180CF 00		brk
	0180D0 00		brk
	0180D1 00		brk
	0180D2 00		brk
	0180D3 00		brk
	0180D4 00		brk
	0180D5 00		brk
	0180D6 00		brk
	0180D7 00		brk
	0180D8 00		brk
	0180D9 00		brk
	0180DA 00		brk
	0180DB 00		brk
	0180DC 00		brk
	0180DD 00		brk
	0180DE 00		brk
	0180DF 00		brk
	0180E0 00		brk
	0180E1 00		brk
	0180E2 00		brk
	0180E3 00		brk
	0180E4 00		brk
	0180E5 00		brk
	0180E6 00		brk
	0180E7 00		brk
	0180E8 00		brk
	0180E9 00		brk
	0180EA 00		brk
	0180EB 00		brk
	0180EC 00		brk
	0180ED 00		brk
	0180EE 00		brk
	0180EF 00		brk
	0180F0 00		brk
	0180F1 00		brk
	0180F2 00		brk
	0180F3 00		brk
	0180F4 00		brk
	0180F5 00		brk
	0180F6 00		brk
	0180F7 00		brk
	0180F8 00		brk
	0180F9 00		brk
	0180FA 00		brk
	0180FB 00		brk
	0180FC 00		brk
	0180FD 00		brk
	0180FE 00		brk
	0180FF 00		brk
	018100 00		brk
	018101 00		brk
	018102 00		brk
	018103 00		brk
	018104 00		brk
	018105 00		brk
	018106 00		brk
	018107 00		brk
	018108 00		brk
	018109 00		brk
	01810A 00		brk
	01810B 00		brk
	01810C 00		brk
	01810D 00		brk
	01810E 00		brk
	01810F 00		brk
	018110 00		brk
	018111 00		brk
	018112 00		brk
	018113 00		brk
	018114 00		brk
	018115 00		brk
	018116 00		brk
	018117 00		brk
	018118 00		brk
	018119 00		brk
	01811A 00		brk
	01811B 00		brk
	01811C 00		brk
	01811D 00		brk
	01811E 00		brk
	01811F 00		brk
	018120 00		brk
	018121 00		brk
	018122 00		brk
	018123 00		brk
	018124 00		brk
	018125 00		brk
	018126 00		brk
	018127 00		brk
	018128 00		brk
	018129 00		brk
	01812A 00		brk
	01812B 00		brk
	01812C 00		brk
	01812D 00		brk
	01812E 00		brk
	01812F 00		brk
	018130 00		brk
	018131 00		brk
	018132 00		brk
	018133 00		brk
	018134 00		brk
	018135 00		brk
	018136 00		brk
	018137 00		brk
	018138 00		brk
	018139 00		brk
	01813A 00		brk
	01813B 00		brk
	01813C 00		brk
	01813D 00		brk
	01813E 00		brk
	01813F 00		brk
	018140 00		brk
	018141 00		brk
	018142 00		brk
	018143 00		brk
	018144 00		brk
	018145 00		brk
	018146 00		brk
	018147 00		brk
	018148 00		brk
	018149 00		brk
	01814A 00		brk
	01814B 00		brk
	01814C 00		brk
	01814D 00		brk
	01814E 00		brk
	01814F 00		brk
	018150 00		brk
	018151 00		brk
	018152 00		brk
	018153 00		brk
	018154 00		brk
	018155 00		brk
	018156 00		brk
	018157 00		brk
	018158 00		brk
	018159 00		brk
	01815A 00		brk
	01815B 00		brk
	01815C 00		brk
	01815D 00		brk
	01815E 00		brk
	01815F 00		brk
	018160 00		brk
	018161 00		brk
	018162 00		brk
	018163 00		brk
	018164 00		brk
	018165 00		brk
	018166 00		brk
	018167 00		brk
	018168 00		brk
	018169 00		brk
	01816A 00		brk
	01816B 00		brk
	01816C 00		brk
	01816D 00		brk
	01816E 00		brk
	01816F 00		brk
	018170 00		brk
	018171 00		brk
	018172 00		brk
	018173 00		brk
	018174 00		brk
	018175 00		brk
	018176 00		brk
	018177 00		brk
	018178 00		brk
	018179 00		brk
	01817A 00		brk
	01817B 00		brk
	01817C 00		brk
	01817D 00		brk
	01817E 00		brk
	01817F 00		brk
	018180 00		brk
	018181 00		brk
	018182 00		brk
	018183 00		brk
	018184 00		brk
	018185 00		brk
	018186 00		brk
	018187 00		brk
	018188 00		brk
	018189 00		brk
	01818A 00		brk
	01818B 00		brk
	01818C 00		brk
	01818D 00		brk
	01818E 00		brk
	01818F 00		brk
	018190 00		brk
	018191 00		brk
	018192 00		brk
	018193 00		brk
	018194 00		brk
	018195 00		brk
	018196 00		brk
	018197 00		brk
	018198 00		brk
	018199 00		brk
	01819A 00		brk
	01819B 00		brk
	01819C 00		brk
	01819D 00		brk
	01819E 00		brk
	01819F 00		brk
	0181A0 00		brk
	0181A1 00		brk
	0181A2 00		brk
	0181A3 00		brk
	0181A4 00		brk
	0181A5 00		brk
	0181A6 00		brk
	0181A7 00		brk
	0181A8 00		brk
	0181A9 00		brk
	0181AA 00		brk
	0181AB 00		brk
	0181AC 00		brk
	0181AD 00		brk
	0181AE 00		brk
	0181AF 00		brk
	0181B0 00		brk
	0181B1 00		brk
	0181B2 00		brk
	0181B3 00		brk
	0181B4 00		brk
	0181B5 00		brk
	0181B6 00		brk
	0181B7 00		brk
	0181B8 00		brk
	0181B9 00		brk
	0181BA 00		brk
	0181BB 00		brk
	0181BC 00		brk
	0181BD 00		brk
	0181BE 00		brk
	0181BF 00		brk
	0181C0 00		brk
	0181C1 00		brk
	0181C2 00		brk
	0181C3 00		brk
	0181C4 00		brk
	0181C5 00		brk
	0181C6 00		brk
	0181C7 00		brk
	0181C8 00		brk
	0181C9 00		brk
	0181CA 00		brk
	0181CB 00		brk
	0181CC 00		brk
	0181CD 00		brk
	0181CE 00		brk
	0181CF 00		brk
	0181D0 00		brk
	0181D1 00		brk
	0181D2 00		brk
	0181D3 00		brk
	0181D4 00		brk
	0181D5 00		brk
	0181D6 00		brk
	0181D7 00		brk
	0181D8 00		brk
	0181D9 00		brk
	0181DA 00		brk
	0181DB 00		brk
	0181DC 00		brk
	0181DD 00		brk
	0181DE 00		brk
	0181DF 00		brk
	0181E0 00		brk
	0181E1 00		brk
	0181E2 00		brk
	0181E3 00		brk
	0181E4 00		brk
	0181E5 00		brk
	0181E6 00		brk
	0181E7 00		brk
	0181E8 00		brk
	0181E9 00		brk
	0181EA 00		brk
	0181EB 00		brk
	0181EC 00		brk
	0181ED 00		brk
	0181EE 00		brk
	0181EF 00		brk
	0181F0 00		brk
	0181F1 00		brk
	0181F2 00		brk
	0181F3 00		brk
	0181F4 00		brk
	0181F5 00		brk
	0181F6 00		brk
	0181F7 00		brk
	0181F8 00		brk
	0181F9 00		brk
	0181FA 00		brk
	0181FB 00		brk
	0181FC 00		brk
	0181FD 00		brk
	0181FE 00		brk
	0181FF 00		brk
	018200 00		brk
	018201 00		brk
	018202 00		brk
	018203 00		brk
	018204 00		brk
	018205 00		brk
	018206 00		brk
	018207 00		brk
	018208 00		brk
	018209 00		brk
	01820A 00		brk
	01820B 00		brk
	01820C 00		brk
	01820D 00		brk
	01820E 00		brk
	01820F 00		brk
	018210 00		brk
	018211 00		brk
	018212 00		brk
	018213 00		brk
	018214 00		brk
	018215 00		brk
	018216 00		brk
	018217 00		brk
	018218 00		brk
	018219 00		brk
	01821A 00		brk
	01821B 00		brk
	01821C 00		brk
	01821D 00		brk
	01821E 00		brk
	01821F 00		brk
	018220 00		brk
	018221 00		brk
	018222 00		brk
	018223 00		brk
	018224 00		brk
	018225 00		brk
	018226 00		brk
	018227 00		brk
	018228 00		brk
	018229 00		brk
	01822A 00		brk
	01822B 00		brk
	01822C 00		brk
	01822D 00		brk
	01822E 00		brk
	01822F 00		brk
	018230 00		brk
	018231 00		brk
	018232 00		brk
	018233 00		brk
	018234 00		brk
	018235 00		brk
	018236 00		brk
	018237 00		brk
	018238 00		brk
	018239 00		brk
	01823A 00		brk
	01823B 00		brk
	01823C 00		brk
	01823D 00		brk
	01823E 00		brk
	01823F 00		brk
	018240 00		brk
	018241 00		brk
	018242 00		brk
	018243 00		brk
	018244 00		brk
	018245 00		brk
	018246 00		brk
	018247 00		brk
	018248 00		brk
	018249 00		brk
	01824A 00		brk
	01824B 00		brk
	01824C 00		brk
	01824D 00		brk
	01824E 00		brk
	01824F 00		brk
	018250 00		brk
	018251 00		brk
	018252 00		brk
	018253 00		brk
	018254 00		brk
	018255 00		brk
	018256 00		brk
	018257 00		brk
	018258 00		brk
	018259 00		brk
	01825A 00		brk
	01825B 00		brk
	01825C 00		brk
	01825D 00		brk
	01825E 00		brk
	01825F 00		brk
	018260 00		brk
	018261 00		brk
	018262 00		brk
	018263 00		brk
	018264 00		brk
	018265 00		brk
	018266 00		brk
	018267 00		brk
	018268 00		brk
	018269 00		brk
	01826A 00		brk
	01826B 00		brk
	01826C 00		brk
	01826D 00		brk
	01826E 00		brk
	01826F 00		brk
	018270 00		brk
	018271 00		brk
	018272 00		brk
	018273 00		brk
	018274 00		brk
	018275 00		brk
	018276 00		brk
	018277 00		brk
	018278 00		brk
	018279 00		brk
	01827A 00		brk
	01827B 00		brk
	01827C 00		brk
	01827D 00		brk
	01827E 00		brk
	01827F 00		brk
	018280 00		brk
	018281 00		brk
	018282 00		brk
	018283 00		brk
	018284 00		brk
	018285 00		brk
	018286 00		brk
	018287 00		brk
	018288 00		brk
	018289 00		brk
	01828A 00		brk
	01828B 00		brk
	01828C 00		brk
	01828D 00		brk
	01828E 00		brk
	01828F 00		brk
	018290 00		brk
	018291 00		brk
	018292 00		brk
	018293 00		brk
	018294 00		brk
	018295 00		brk
	018296 00		brk
	018297 00		brk
	018298 00		brk
	018299 00		brk
	01829A 00		brk
	01829B 00		brk
	01829C 00		brk
	01829D 00		brk
	01829E 00		brk
	01829F 00		brk
	0182A0 00		brk
	0182A1 00		brk
	0182A2 00		brk
	0182A3 00		brk
	0182A4 00		brk
	0182A5 00		brk
	0182A6 00		brk
	0182A7 00		brk
	0182A8 00		brk
	0182A9 00		brk
	0182AA 00		brk
	0182AB 00		brk
	0182AC 00		brk
	0182AD 00		brk
	0182AE 00		brk
	0182AF 00		brk
	0182B0 00		brk
	0182B1 00		brk
	0182B2 00		brk
	0182B3 00		brk
	0182B4 00		brk
	0182B5 00		brk
	0182B6 00		brk
	0182B7 00		brk
	0182B8 00		brk
	0182B9 00		brk
	0182BA 00		brk
	0182BB 00		brk
	0182BC 00		brk
	0182BD 00		brk
	0182BE 00		brk
	0182BF 00		brk
	0182C0 00		brk
	0182C1 00		brk
	0182C2 00		brk
	0182C3 00		brk
	0182C4 00		brk
	0182C5 00		brk
	0182C6 00		brk
	0182C7 00		brk
	0182C8 00		brk
	0182C9 00		brk
	0182CA 00		brk
	0182CB 00		brk
	0182CC 00		brk
	0182CD 00		brk
	0182CE 00		brk
	0182CF 00		brk
	0182D0 00		brk
	0182D1 00		brk
	0182D2 00		brk
	0182D3 00		brk
	0182D4 00		brk
	0182D5 00		brk
	0182D6 00		brk
	0182D7 00		brk
	0182D8 00		brk
	0182D9 00		brk
	0182DA 00		brk
	0182DB 00		brk
	0182DC 00		brk
	0182DD 00		brk
	0182DE 00		brk
	0182DF 00		brk
	0182E0 00		brk
	0182E1 00		brk
	0182E2 00		brk
	0182E3 00		brk
	0182E4 00		brk
	0182E5 00		brk
	0182E6 00		brk
	0182E7 00		brk
	0182E8 00		brk
	0182E9 00		brk
	0182EA 00		brk
	0182EB 00		brk
	0182EC 00		brk
	0182ED 00		brk
	0182EE 00		brk
	0182EF 00		brk
	0182F0 00		brk
	0182F1 00		brk
	0182F2 00		brk
	0182F3 00		brk
	0182F4 00		brk
	0182F5 00		brk
	0182F6 00		brk
	0182F7 00		brk
	0182F8 00		brk
	0182F9 00		brk
	0182FA 00		brk
	0182FB 00		brk
	0182FC 00		brk
	0182FD 00		brk
	0182FE 00		brk
	0182FF 00		brk
	018300 00		brk
	018301 00		brk
	018302 00		brk
	018303 00		brk
	018304 00		brk
	018305 00		brk
	018306 00		brk
	018307 00		brk
	018308 00		brk
	018309 00		brk
	01830A 00		brk
	01830B 00		brk
	01830C 00		brk
	01830D 00		brk
	01830E 00		brk
	01830F 00		brk
	018310 00		brk
	018311 00		brk
	018312 00		brk
	018313 00		brk
	018314 00		brk
	018315 00		brk
	018316 00		brk
	018317 00		brk
	018318 00		brk
	018319 00		brk
	01831A 00		brk
	01831B 00		brk
	01831C 00		brk
	01831D 00		brk
	01831E 00		brk
	01831F 00		brk
	018320 00		brk
	018321 00		brk
	018322 00		brk
	018323 00		brk
	018324 00		brk
	018325 00		brk
	018326 00		brk
	018327 00		brk
	018328 00		brk
	018329 00		brk
	01832A 00		brk
	01832B 00		brk
	01832C 00		brk
	01832D 00		brk
	01832E 00		brk
	01832F 00		brk
	018330 00		brk
	018331 00		brk
	018332 00		brk
	018333 00		brk
	018334 00		brk
	018335 00		brk
	018336 00		brk
	018337 00		brk
	018338 00		brk
	018339 00		brk
	01833A 00		brk
	01833B 00		brk
	01833C 00		brk
	01833D 00		brk
	01833E 00		brk
	01833F 00		brk
	018340 00		brk
	018341 00		brk
	018342 00		brk
	018343 00		brk
	018344 00		brk
	018345 00		brk
	018346 00		brk
	018347 00		brk
	018348 00		brk
	018349 00		brk
	01834A 00		brk
	01834B 00		brk
	01834C 00		brk
	01834D 00		brk
	01834E 00		brk
	01834F 00		brk
	018350 00		brk
	018351 00		brk
	018352 00		brk
	018353 00		brk
	018354 00		brk
	018355 00		brk
	018356 00		brk
	018357 00		brk
	018358 00		brk
	018359 00		brk
	01835A 00		brk
	01835B 00		brk
	01835C 00		brk
	01835D 00		brk
	01835E 00		brk
	01835F 00		brk
	018360 00		brk
	018361 00		brk
	018362 00		brk
	018363 00		brk
	018364 00		brk
	018365 00		brk
	018366 00		brk
	018367 00		brk
	018368 00		brk
	018369 00		brk
	01836A 00		brk
	01836B 00		brk
	01836C 00		brk
	01836D 00		brk
	01836E 00		brk
	01836F 00		brk
	018370 00		brk
	018371 00		brk
	018372 00		brk
	018373 00		brk
	018374 00		brk
	018375 00		brk
	018376 00		brk
	018377 00		brk
	018378 00		brk
	018379 00		brk
	01837A 00		brk
	01837B 00		brk
	01837C 00		brk
	01837D 00		brk
	01837E 00		brk
	01837F 00		brk
	018380 00		brk
	018381 00		brk
	018382 00		brk
	018383 00		brk
	018384 00		brk
	018385 00		brk
	018386 00		brk
	018387 00		brk
	018388 00		brk
	018389 00		brk
	01838A 00		brk
	01838B 00		brk
	01838C 00		brk
	01838D 00		brk
	01838E 00		brk
	01838F 00		brk
	018390 00		brk
	018391 00		brk
	018392 00		brk
	018393 00		brk
	018394 00		brk
	018395 00		brk
	018396 00		brk
	018397 00		brk
	018398 00		brk
	018399 00		brk
	01839A 00		brk
	01839B 00		brk
	01839C 00		brk
	01839D 00		brk
	01839E 00		brk
	01839F 00		brk
	0183A0 00		brk
	0183A1 00		brk
	0183A2 00		brk
	0183A3 00		brk
	0183A4 00		brk
	0183A5 00		brk
	0183A6 00		brk
	0183A7 00		brk
	0183A8 00		brk
	0183A9 00		brk
	0183AA 00		brk
	0183AB 00		brk
	0183AC 00		brk
	0183AD 00		brk
	0183AE 00		brk
	0183AF 00		brk
	0183B0 00		brk
	0183B1 00		brk
	0183B2 00		brk
	0183B3 00		brk
	0183B4 00		brk
	0183B5 00		brk
	0183B6 00		brk
	0183B7 00		brk
	0183B8 00		brk
	0183B9 00		brk
	0183BA 00		brk
	0183BB 00		brk
	0183BC 00		brk
	0183BD 00		brk
	0183BE 00		brk
	0183BF 00		brk
	0183C0 00		brk
	0183C1 00		brk
	0183C2 00		brk
	0183C3 00		brk
	0183C4 00		brk
	0183C5 00		brk
	0183C6 00		brk
	0183C7 00		brk
	0183C8 00		brk
	0183C9 00		brk
	0183CA 00		brk
	0183CB 00		brk
	0183CC 00		brk
	0183CD 00		brk
	0183CE 00		brk
	0183CF 00		brk
	0183D0 00		brk
	0183D1 00		brk
	0183D2 00		brk
	0183D3 00		brk
	0183D4 00		brk
	0183D5 00		brk
	0183D6 00		brk
	0183D7 00		brk
	0183D8 00		brk
	0183D9 00		brk
	0183DA 00		brk
	0183DB 00		brk
	0183DC 00		brk
	0183DD 00		brk
	0183DE 00		brk
	0183DF 00		brk
	0183E0 00		brk
	0183E1 00		brk
	0183E2 00		brk
	0183E3 00		brk
	0183E4 00		brk
	0183E5 00		brk
	0183E6 00		brk
	0183E7 00		brk
	0183E8 00		brk
	0183E9 00		brk
	0183EA 00		brk
	0183EB 00		brk
	0183EC 00		brk
	0183ED 00		brk
	0183EE 00		brk
	0183EF 00		brk
	0183F0 00		brk
	0183F1 00		brk
	0183F2 00		brk
	0183F3 00		brk
	0183F4 00		brk
	0183F5 00		brk
	0183F6 00		brk
	0183F7 00		brk
	0183F8 00		brk
	0183F9 00		brk
	0183FA 00		brk
	0183FB 00		brk
	0183FC 00		brk
	0183FD 00		brk
	0183FE 00		brk
	0183FF 00		brk
	018400 00		brk
	018401 00		brk
	018402 00		brk
	018403 00		brk
	018404 00		brk
	018405 00		brk
	018406 00		brk
	018407 00		brk
	018408 00		brk
	018409 00		brk
	01840A 00		brk
	01840B 00		brk
	01840C 00		brk
	01840D 00		brk
	01840E 00		brk
	01840F 00		brk
	018410 00		brk
	018411 00		brk
	018412 00		brk
	018413 00		brk
	018414 00		brk
	018415 00		brk
	018416 00		brk
	018417 00		brk
	018418 00		brk
	018419 00		brk
	01841A 00		brk
	01841B 00		brk
	01841C 00		brk
	01841D 00		brk
	01841E 00		brk
	01841F 00		brk
	018420 00		brk
	018421 00		brk
	018422 00		brk
	018423 00		brk
	018424 00		brk
	018425 00		brk
	018426 00		brk
	018427 00		brk
	018428 00		brk
	018429 00		brk
	01842A 00		brk
	01842B 00		brk
	01842C 00		brk
	01842D 00		brk
	01842E 00		brk
	01842F 00		brk
	018430 00		brk
	018431 00		brk
	018432 00		brk
	018433 00		brk
	018434 00		brk
	018435 00		brk
	018436 00		brk
	018437 00		brk
	018438 00		brk
	018439 00		brk
	01843A 00		brk
	01843B 00		brk
	01843C 00		brk
	01843D 00		brk
	01843E 00		brk
	01843F 00		brk
	018440 00		brk
	018441 00		brk
	018442 00		brk
	018443 00		brk
	018444 00		brk
	018445 00		brk
	018446 00		brk
	018447 00		brk
	018448 00		brk
	018449 00		brk
	01844A 00		brk
	01844B 00		brk
	01844C 00		brk
	01844D 00		brk
	01844E 00		brk
	01844F 00		brk
	018450 00		brk
	018451 00		brk
	018452 00		brk
	018453 00		brk
	018454 00		brk
	018455 00		brk
	018456 00		brk
	018457 00		brk
	018458 00		brk
	018459 00		brk
	01845A 00		brk
	01845B 00		brk
	01845C 00		brk
	01845D 00		brk
	01845E 00		brk
	01845F 00		brk
	018460 00		brk
	018461 00		brk
	018462 00		brk
	018463 00		brk
	018464 00		brk
	018465 00		brk
	018466 00		brk
	018467 00		brk
	018468 00		brk
	018469 00		brk
	01846A 00		brk
	01846B 00		brk
	01846C 00		brk
	01846D 00		brk
	01846E 00		brk
	01846F 00		brk
	018470 00		brk
	018471 00		brk
	018472 00		brk
	018473 00		brk
	018474 00		brk
	018475 00		brk
	018476 00		brk
	018477 00		brk
	018478 00		brk
	018479 00		brk
	01847A 00		brk
	01847B 00		brk
	01847C 00		brk
	01847D 00		brk
	01847E 00		brk
	01847F 00		brk
	018480 00		brk
	018481 00		brk
	018482 00		brk
	018483 00		brk
	018484 00		brk
	018485 00		brk
	018486 00		brk
	018487 00		brk
	018488 00		brk
	018489 00		brk
	01848A 00		brk
	01848B 00		brk
	01848C 00		brk
	01848D 00		brk
	01848E 00		brk
	01848F 00		brk
	018490 00		brk
	018491 00		brk
	018492 00		brk
	018493 00		brk
	018494 00		brk
	018495 00		brk
	018496 00		brk
	018497 00		brk
	018498 00		brk
	018499 00		brk
	01849A 00		brk
	01849B 00		brk
	01849C 00		brk
	01849D 00		brk
	01849E 00		brk
	01849F 00		brk
	0184A0 00		brk
	0184A1 00		brk
	0184A2 00		brk
	0184A3 00		brk
	0184A4 00		brk
	0184A5 00		brk
	0184A6 00		brk
	0184A7 00		brk
	0184A8 00		brk
	0184A9 00		brk
	0184AA 00		brk
	0184AB 00		brk
	0184AC 00		brk
	0184AD 00		brk
	0184AE 00		brk
	0184AF 00		brk
	0184B0 00		brk
	0184B1 00		brk
	0184B2 00		brk
	0184B3 00		brk
	0184B4 00		brk
	0184B5 00		brk
	0184B6 00		brk
	0184B7 00		brk
	0184B8 00		brk
	0184B9 00		brk
	0184BA 00		brk
	0184BB 00		brk
	0184BC 00		brk
	0184BD 00		brk
	0184BE 00		brk
	0184BF 00		brk
	0184C0 00		brk
	0184C1 00		brk
	0184C2 00		brk
	0184C3 00		brk
	0184C4 00		brk
	0184C5 00		brk
	0184C6 00		brk
	0184C7 00		brk
	0184C8 00		brk
	0184C9 00		brk
	0184CA 00		brk
	0184CB 00		brk
	0184CC 00		brk
	0184CD 00		brk
	0184CE 00		brk
	0184CF 00		brk
	0184D0 00		brk
	0184D1 00		brk
	0184D2 00		brk
	0184D3 00		brk
	0184D4 00		brk
	0184D5 00		brk
	0184D6 00		brk
	0184D7 00		brk
	0184D8 00		brk
	0184D9 00		brk
	0184DA 00		brk
	0184DB 00		brk
	0184DC 00		brk
	0184DD 00		brk
	0184DE 00		brk
	0184DF 00		brk
	0184E0 00		brk
	0184E1 00		brk
	0184E2 00		brk
	0184E3 00		brk
	0184E4 00		brk
	0184E5 00		brk
	0184E6 00		brk
	0184E7 00		brk
	0184E8 00		brk
	0184E9 00		brk
	0184EA 00		brk
	0184EB 00		brk
	0184EC 00		brk
	0184ED 00		brk
	0184EE 00		brk
	0184EF 00		brk
	0184F0 00		brk
	0184F1 00		brk
	0184F2 00		brk
	0184F3 00		brk
	0184F4 00		brk
	0184F5 00		brk
	0184F6 00		brk
	0184F7 00		brk
	0184F8 00		brk
	0184F9 00		brk
	0184FA 00		brk
	0184FB 00		brk
	0184FC 00		brk
	0184FD 00		brk
	0184FE 00		brk
	0184FF 00		brk
	018500 00		brk
	018501 00		brk
	018502 00		brk
	018503 00		brk
	018504 00		brk
	018505 00		brk
	018506 00		brk
	018507 00		brk
	018508 00		brk
	018509 00		brk
	01850A 00		brk
	01850B 00		brk
	01850C 00		brk
	01850D 00		brk
	01850E 00		brk
	01850F 00		brk
	018510 00		brk
	018511 00		brk
	018512 00		brk
	018513 00		brk
	018514 00		brk
	018515 00		brk
	018516 00		brk
	018517 00		brk
	018518 00		brk
	018519 00		brk
	01851A 00		brk
	01851B 00		brk
	01851C 00		brk
	01851D 00		brk
	01851E 00		brk
	01851F 00		brk
	018520 00		brk
	018521 00		brk
	018522 00		brk
	018523 00		brk
	018524 00		brk
	018525 00		brk
	018526 00		brk
	018527 00		brk
	018528 00		brk
	018529 00		brk
	01852A 00		brk
	01852B 00		brk
	01852C 00		brk
	01852D 00		brk
	01852E 00		brk
	01852F 00		brk
	018530 00		brk
	018531 00		brk
	018532 00		brk
	018533 00		brk
	018534 00		brk
	018535 00		brk
	018536 00		brk
	018537 00		brk
	018538 00		brk
	018539 00		brk
	01853A 00		brk
	01853B 00		brk
	01853C 00		brk
	01853D 00		brk
	01853E 00		brk
	01853F 00		brk
	018540 00		brk
	018541 00		brk
	018542 00		brk
	018543 00		brk
	018544 00		brk
	018545 00		brk
	018546 00		brk
	018547 00		brk
	018548 00		brk
	018549 00		brk
	01854A 00		brk
	01854B 00		brk
	01854C 00		brk
	01854D 00		brk
	01854E 00		brk
	01854F 00		brk
	018550 00		brk
	018551 00		brk
	018552 00		brk
	018553 00		brk
	018554 00		brk
	018555 00		brk
	018556 00		brk
	018557 00		brk
	018558 00		brk
	018559 00		brk
	01855A 00		brk
	01855B 00		brk
	01855C 00		brk
	01855D 00		brk
	01855E 00		brk
	01855F 00		brk
	018560 00		brk
	018561 00		brk
	018562 00		brk
	018563 00		brk
	018564 00		brk
	018565 00		brk
	018566 00		brk
	018567 00		brk
	018568 00		brk
	018569 00		brk
	01856A 00		brk
	01856B 00		brk
	01856C 00		brk
	01856D 00		brk
	01856E 00		brk
	01856F 00		brk
	018570 00		brk
	018571 00		brk
	018572 00		brk
	018573 00		brk
	018574 00		brk
	018575 00		brk
	018576 00		brk
	018577 00		brk
	018578 00		brk
	018579 00		brk
	01857A 00		brk
	01857B 00		brk
	01857C 00		brk
	01857D 00		brk
	01857E 00		brk
	01857F 00		brk
	018580 00		brk
	018581 00		brk
	018582 00		brk
	018583 00		brk
	018584 00		brk
	018585 00		brk
	018586 00		brk
	018587 00		brk
	018588 00		brk
	018589 00		brk
	01858A 00		brk
	01858B 00		brk
	01858C 00		brk
	01858D 00		brk
	01858E 00		brk
	01858F 00		brk
	018590 00		brk
	018591 00		brk
	018592 00		brk
	018593 00		brk
	018594 00		brk
	018595 00		brk
	018596 00		brk
	018597 00		brk
	018598 00		brk
	018599 00		brk
	01859A 00		brk
	01859B 00		brk
	01859C 00		brk
	01859D 00		brk
	01859E 00		brk
	01859F 00		brk
	0185A0 00		brk
	0185A1 00		brk
	0185A2 00		brk
	0185A3 00		brk
	0185A4 00		brk
	0185A5 00		brk
	0185A6 00		brk
	0185A7 00		brk
	0185A8 00		brk
	0185A9 00		brk
	0185AA 00		brk
	0185AB 00		brk
	0185AC 00		brk
	0185AD 00		brk
	0185AE 00		brk
	0185AF 00		brk
	0185B0 00		brk
	0185B1 00		brk
	0185B2 00		brk
	0185B3 00		brk
	0185B4 00		brk
	0185B5 00		brk
	0185B6 00		brk
	0185B7 00		brk
	0185B8 00		brk
	0185B9 00		brk
	0185BA 00		brk
	0185BB 00		brk
	0185BC 00		brk
	0185BD 00		brk
	0185BE 00		brk
	0185BF 00		brk
	0185C0 00		brk
	0185C1 00		brk
	0185C2 00		brk
	0185C3 00		brk
	0185C4 00		brk
	0185C5 00		brk
	0185C6 00		brk
	0185C7 00		brk
	0185C8 00		brk
	0185C9 00		brk
	0185CA 00		brk
	0185CB 00		brk
	0185CC 00		brk
	0185CD 00		brk
	0185CE 00		brk
	0185CF 00		brk
	0185D0 00		brk
	0185D1 00		brk
	0185D2 00		brk
	0185D3 00		brk
	0185D4 00		brk
	0185D5 00		brk
	0185D6 00		brk
	0185D7 00		brk
	0185D8 00		brk
	0185D9 00		brk
	0185DA 00		brk
	0185DB 00		brk
	0185DC 00		brk
	0185DD 00		brk
	0185DE 00		brk
	0185DF 00		brk
	0185E0 00		brk
	0185E1 00		brk
	0185E2 00		brk
	0185E3 00		brk
	0185E4 00		brk
	0185E5 00		brk
	0185E6 00		brk
	0185E7 00		brk
	0185E8 00		brk
	0185E9 00		brk
	0185EA 00		brk
	0185EB 00		brk
	0185EC 00		brk
	0185ED 00		brk
	0185EE 00		brk
	0185EF 00		brk
	0185F0 00		brk
	0185F1 00		brk
	0185F2 00		brk
	0185F3 00		brk
	0185F4 00		brk
	0185F5 00		brk
	0185F6 00		brk
	0185F7 00		brk
	0185F8 00		brk
	0185F9 00		brk
	0185FA 00		brk
	0185FB 00		brk
	0185FC 00		brk
	0185FD 00		brk
	0185FE 00		brk
	0185FF 00		brk
	018600 00		brk
	018601 00		brk
	018602 00		brk
	018603 00		brk
	018604 00		brk
	018605 00		brk
	018606 00		brk
	018607 00		brk
	018608 00		brk
	018609 00		brk
	01860A 00		brk
	01860B 00		brk
	01860C 00		brk
	01860D 00		brk
	01860E 00		brk
	01860F 00		brk
	018610 00		brk
	018611 00		brk
	018612 00		brk
	018613 00		brk
	018614 00		brk
	018615 00		brk
	018616 00		brk
	018617 00		brk
	018618 00		brk
	018619 00		brk
	01861A 00		brk
	01861B 00		brk
	01861C 00		brk
	01861D 00		brk
	01861E 00		brk
	01861F 00		brk
	018620 00		brk
	018621 00		brk
	018622 00		brk
	018623 00		brk
	018624 00		brk
	018625 00		brk
	018626 00		brk
	018627 00		brk
	018628 00		brk
	018629 00		brk
	01862A 00		brk
	01862B 00		brk
	01862C 00		brk
	01862D 00		brk
	01862E 00		brk
	01862F 00		brk
	018630 00		brk
	018631 00		brk
	018632 00		brk
	018633 00		brk
	018634 00		brk
	018635 00		brk
	018636 00		brk
	018637 00		brk
	018638 00		brk
	018639 00		brk
	01863A 00		brk
	01863B 00		brk
	01863C 00		brk
	01863D 00		brk
	01863E 00		brk
	01863F 00		brk
	018640 00		brk
	018641 00		brk
	018642 00		brk
	018643 00		brk
	018644 00		brk
	018645 00		brk
	018646 00		brk
	018647 00		brk
	018648 00		brk
	018649 00		brk
	01864A 00		brk
	01864B 00		brk
	01864C 00		brk
	01864D 00		brk
	01864E 00		brk
	01864F 00		brk
	018650 00		brk
	018651 00		brk
	018652 00		brk
	018653 00		brk
	018654 00		brk
	018655 00		brk
	018656 00		brk
	018657 00		brk
	018658 00		brk
	018659 00		brk
	01865A 00		brk
	01865B 00		brk
	01865C 00		brk
	01865D 00		brk
	01865E 00		brk
	01865F 00		brk
	018660 00		brk
	018661 00		brk
	018662 00		brk
	018663 00		brk
	018664 00		brk
	018665 00		brk
	018666 00		brk
	018667 00		brk
	018668 00		brk
	018669 00		brk
	01866A 00		brk
	01866B 00		brk
	01866C 00		brk
	01866D 00		brk
	01866E 00		brk
	01866F 00		brk
	018670 00		brk
	018671 00		brk
	018672 00		brk
	018673 00		brk
	018674 00		brk
	018675 00		brk
	018676 00		brk
	018677 00		brk
	018678 00		brk
	018679 00		brk
	01867A 00		brk
	01867B 00		brk
	01867C 00		brk
	01867D 00		brk
	01867E 00		brk
	01867F 00		brk
	018680 00		brk
	018681 00		brk
	018682 00		brk
	018683 00		brk
	018684 00		brk
	018685 00		brk
	018686 00		brk
	018687 00		brk
	018688 00		brk
	018689 00		brk
	01868A 00		brk
	01868B 00		brk
	01868C 00		brk
	01868D 00		brk
	01868E 00		brk
	01868F 00		brk
	018690 00		brk
	018691 00		brk
	018692 00		brk
	018693 00		brk
	018694 00		brk
	018695 00		brk
	018696 00		brk
	018697 00		brk
	018698 00		brk
	018699 00		brk
	01869A 00		brk
	01869B 00		brk
	01869C 00		brk
	01869D 00		brk
	01869E 00		brk
	01869F 00		brk
	0186A0 00		brk
	0186A1 00		brk
	0186A2 00		brk
	0186A3 00		brk
	0186A4 00		brk
	0186A5 00		brk
	0186A6 00		brk
	0186A7 00		brk
	0186A8 00		brk
	0186A9 00		brk
	0186AA 00		brk
	0186AB 00		brk
	0186AC 00		brk
	0186AD 00		brk
	0186AE 00		brk
	0186AF 00		brk
	0186B0 00		brk
	0186B1 00		brk
	0186B2 00		brk
	0186B3 00		brk
	0186B4 00		brk
	0186B5 00		brk
	0186B6 00		brk
	0186B7 00		brk
	0186B8 00		brk
	0186B9 00		brk
	0186BA 00		brk
	0186BB 00		brk
	0186BC 00		brk
	0186BD 00		brk
	0186BE 00		brk
	0186BF 00		brk
	0186C0 00		brk
	0186C1 00		brk
	0186C2 00		brk
	0186C3 00		brk
	0186C4 00		brk
	0186C5 00		brk
	0186C6 00		brk
	0186C7 00		brk
	0186C8 00		brk
	0186C9 00		brk
	0186CA 00		brk
	0186CB 00		brk
	0186CC 00		brk
	0186CD 00		brk
	0186CE 00		brk
	0186CF 00		brk
	0186D0 00		brk
	0186D1 00		brk
	0186D2 00		brk
	0186D3 00		brk
	0186D4 00		brk
	0186D5 00		brk
	0186D6 00		brk
	0186D7 00		brk
	0186D8 00		brk
	0186D9 00		brk
	0186DA 00		brk
	0186DB 00		brk
	0186DC 00		brk
	0186DD 00		brk
	0186DE 00		brk
	0186DF 00		brk
	0186E0 00		brk
	0186E1 00		brk
	0186E2 00		brk
	0186E3 00		brk
	0186E4 00		brk
	0186E5 00		brk
	0186E6 00		brk
	0186E7 00		brk
	0186E8 00		brk
	0186E9 00		brk
	0186EA 00		brk
	0186EB 00		brk
	0186EC 00		brk
	0186ED 00		brk
	0186EE 00		brk
	0186EF 00		brk
	0186F0 00		brk
	0186F1 00		brk
	0186F2 00		brk
	0186F3 00		brk
	0186F4 00		brk
	0186F5 00		brk
	0186F6 00		brk
	0186F7 00		brk
	0186F8 00		brk
	0186F9 00		brk
	0186FA 00		brk
	0186FB 00		brk
	0186FC 00		brk
	0186FD 00		brk
	0186FE 00		brk
	0186FF 00		brk
	018700 00		brk
	018701 00		brk
	018702 00		brk
	018703 00		brk
	018704 00		brk
	018705 00		brk
	018706 00		brk
	018707 00		brk
	018708 00		brk
	018709 00		brk
	01870A 00		brk
	01870B 00		brk
	01870C 00		brk
	01870D 00		brk
	01870E 00		brk
	01870F 00		brk
	018710 00		brk
	018711 00		brk
	018712 00		brk
	018713 00		brk
	018714 00		brk
	018715 00		brk
	018716 00		brk
	018717 00		brk
	018718 00		brk
	018719 00		brk
	01871A 00		brk
	01871B 00		brk
	01871C 00		brk
	01871D 00		brk
	01871E 00		brk
	01871F 00		brk
	018720 00		brk
	018721 00		brk
	018722 00		brk
	018723 00		brk
	018724 00		brk
	018725 00		brk
	018726 00		brk
	018727 00		brk
	018728 00		brk
	018729 00		brk
	01872A 00		brk
	01872B 00		brk
	01872C 00		brk
	01872D 00		brk
	01872E 00		brk
	01872F 00		brk
	018730 00		brk
	018731 00		brk
	018732 00		brk
	018733 00		brk
	018734 00		brk
	018735 00		brk
	018736 00		brk
	018737 00		brk
	018738 00		brk
	018739 00		brk
	01873A 00		brk
	01873B 00		brk
	01873C 00		brk
	01873D 00		brk
	01873E 00		brk
	01873F 00		brk
	018740 00		brk
	018741 00		brk
	018742 00		brk
	018743 00		brk
	018744 00		brk
	018745 00		brk
	018746 00		brk
	018747 00		brk
	018748 00		brk
	018749 00		brk
	01874A 00		brk
	01874B 00		brk
	01874C 00		brk
	01874D 00		brk
	01874E 00		brk
	01874F 00		brk
	018750 00		brk
	018751 00		brk
	018752 00		brk
	018753 00		brk
	018754 00		brk
	018755 00		brk
	018756 00		brk
	018757 00		brk
	018758 00		brk
	018759 00		brk
	01875A 00		brk
	01875B 00		brk
	01875C 00		brk
	01875D 00		brk
	01875E 00		brk
	01875F 00		brk
	018760 00		brk
	018761 00		brk
	018762 00		brk
	018763 00		brk
	018764 00		brk
	018765 00		brk
	018766 00		brk
	018767 00		brk
	018768 00		brk
	018769 00		brk
	01876A 00		brk
	01876B 00		brk
	01876C 00		brk
	01876D 00		brk
	01876E 00		brk
	01876F 00		brk
	018770 00		brk
	018771 00		brk
	018772 00		brk
	018773 00		brk
	018774 00		brk
	018775 00		brk
	018776 00		brk
	018777 00		brk
	018778 00		brk
	018779 00		brk
	01877A 00		brk
	01877B 00		brk
	01877C 00		brk
	01877D 00		brk
	01877E 00		brk
	01877F 00		brk
	018780 00		brk
	018781 00		brk
	018782 00		brk
	018783 00		brk
	018784 00		brk
	018785 00		brk
	018786 00		brk
	018787 00		brk
	018788 00		brk
	018789 00		brk
	01878A 00		brk
	01878B 00		brk
	01878C 00		brk
	01878D 00		brk
	01878E 00		brk
	01878F 00		brk
	018790 00		brk
	018791 00		brk
	018792 00		brk
	018793 00		brk
	018794 00		brk
	018795 00		brk
	018796 00		brk
	018797 00		brk
	018798 00		brk
	018799 00		brk
	01879A 00		brk
	01879B 00		brk
	01879C 00		brk
	01879D 00		brk
	01879E 00		brk
	01879F 00		brk
	0187A0 00		brk
	0187A1 00		brk
	0187A2 00		brk
	0187A3 00		brk
	0187A4 00		brk
	0187A5 00		brk
	0187A6 00		brk
	0187A7 00		brk
	0187A8 00		brk
	0187A9 00		brk
	0187AA 00		brk
	0187AB 00		brk
	0187AC 00		brk
	0187AD 00		brk
	0187AE 00		brk
	0187AF 00		brk
	0187B0 00		brk
	0187B1 00		brk
	0187B2 00		brk
	0187B3 00		brk
	0187B4 00		brk
	0187B5 00		brk
	0187B6 00		brk
	0187B7 00		brk
	0187B8 00		brk
	0187B9 00		brk
	0187BA 00		brk
	0187BB 00		brk
	0187BC 00		brk
	0187BD 00		brk
	0187BE 00		brk
	0187BF 00		brk
	0187C0 00		brk
	0187C1 00		brk
	0187C2 00		brk
	0187C3 00		brk
	0187C4 00		brk
	0187C5 00		brk
	0187C6 00		brk
	0187C7 00		brk
	0187C8 00		brk
	0187C9 00		brk
	0187CA 00		brk
	0187CB 00		brk
	0187CC 00		brk
	0187CD 00		brk
	0187CE 00		brk
	0187CF 00		brk
	0187D0 00		brk
	0187D1 00		brk
	0187D2 00		brk
	0187D3 00		brk
	0187D4 00		brk
	0187D5 00		brk
	0187D6 00		brk
	0187D7 00		brk
	0187D8 00		brk
	0187D9 00		brk
	0187DA 00		brk
	0187DB 00		brk
	0187DC 00		brk
	0187DD 00		brk
	0187DE 00		brk
	0187DF 00		brk
	0187E0 00		brk
	0187E1 00		brk
	0187E2 00		brk
	0187E3 00		brk
	0187E4 00		brk
	0187E5 00		brk
	0187E6 00		brk
	0187E7 00		brk
	0187E8 00		brk
	0187E9 00		brk
	0187EA 00		brk
	0187EB 00		brk
	0187EC 00		brk
	0187ED 00		brk
	0187EE 00		brk
	0187EF 00		brk
	0187F0 00		brk
	0187F1 00		brk
	0187F2 00		brk
	0187F3 00		brk
	0187F4 00		brk
	0187F5 00		brk
	0187F6 00		brk
	0187F7 00		brk
	0187F8 00		brk
	0187F9 00		brk
	0187FA 00		brk
	0187FB 00		brk
	0187FC 00		brk
	0187FD 00		brk
	0187FE 00		brk
	0187FF 03		tip
	018800 4C 0C 08		jmp $080C

018803	018803 EA		nop
	018804 EA		nop
	018805 EA		nop
	018806 20 82 E5		jsr $E582
	018809 4C D3 28		jmp $28D3

01880C	01880C 20 6C E5		jsr $E56C
	01880F 20 D3 28		jsr $28D3
	018812 4C 6C E5		jmp $E56C

018815	018815 20 59 E5		jsr $E559
	018818 20 D3 28		jsr $28D3
	01881B 4C 59 E5		jmp $E559

01881E	01881E 20 43 E5		jsr $E543
	018821 20 D3 28		jsr $28D3
	018824 4C 43 E5		jmp $E543

018827	018827 4C 33 08		jmp $0833

01882A	01882A EA		nop
	01882B EA		nop
	01882C EA		nop
	01882D 20 82 E5		jsr $E582
	018830 4C 59 53		jmp $5359

018833	018833 20 6C E5		jsr $E56C
	018836 20 59 53		jsr $5359
	018839 4C 6C E5		jmp $E56C

01883C	01883C 20 59 E5		jsr $E559
	01883F 20 59 53		jsr $5359
	018842 4C 59 E5		jmp $E559

018845	018845 20 43 E5		jsr $E543
	018848 20 59 53		jsr $5359
	01884B 4C 43 E5		jmp $E543

01884E	01884E 4C 5A 08		jmp $085A

018851	018851 EA		nop
	018852 EA		nop
	018853 EA		nop
	018854 20 82 E5		jsr $E582
	018857 4C 3E 5A		jmp $5A3E

01885A	01885A 20 6C E5		jsr $E56C
	01885D 20 3E 5A		jsr $5A3E
	018860 4C 6C E5		jmp $E56C

018863	018863 20 59 E5		jsr $E559
	018866 20 3E 5A		jsr $5A3E
	018869 4C 59 E5		jmp $E559

01886C	01886C 20 43 E5		jsr $E543
	01886F 20 3E 5A		jsr $5A3E
	018872 4C 43 E5		jmp $E543

018875	018875 4C 81 08		jmp $0881

018878	018878 EA		nop
	018879 EA		nop
	01887A EA		nop
	01887B 20 82 E5		jsr $E582
	01887E 4C DC 4B		jmp $4BDC

018881	018881 20 6C E5		jsr $E56C
	018884 20 DC 4B		jsr $4BDC
	018887 4C 6C E5		jmp $E56C

01888A	01888A 20 59 E5		jsr $E559
	01888D 20 DC 4B		jsr $4BDC
	018890 4C 59 E5		jmp $E559

018893	018893 20 43 E5		jsr $E543
	018896 20 DC 4B		jsr $4BDC
	018899 4C 43 E5		jmp $E543

01889C	01889C 4C A8 08		jmp $08A8

01889F	01889F EA		nop
	0188A0 EA		nop
	0188A1 EA		nop
	0188A2 20 82 E5		jsr $E582
	0188A5 4C BB 46		jmp $46BB

0188A8	0188A8 20 6C E5		jsr $E56C
	0188AB 20 BB 46		jsr $46BB
	0188AE 4C 6C E5		jmp $E56C

0188B1	0188B1 20 59 E5		jsr $E559
	0188B4 20 BB 46		jsr $46BB
	0188B7 4C 59 E5		jmp $E559

0188BA	0188BA 20 43 E5		jsr $E543
	0188BD 20 BB 46		jsr $46BB
	0188C0 4C 43 E5		jmp $E543

0188C3	0188C3 4C C9 08		jmp $08C9

0188C6	0188C6 EA		nop
	0188C7 EA		nop
	0188C8 EA		nop
	0188C9 20 6C E5		jsr $E56C
	0188CC 20 00 08		jsr $0800
	0188CF 4C 6C E5		jmp $E56C

0188D2	0188D2 20 59 E5		jsr $E559
	0188D5 20 00 08		jsr $0800
	0188D8 4C 59 E5		jmp $E559

0188DB	0188DB 20 43 E5		jsr $E543
	0188DE 20 00 08		jsr $0800
	0188E1 4C 43 E5		jmp $E543

0188E4	0188E4 4C EA 08		jmp $08EA

0188E7	0188E7 EA		nop
	0188E8 EA		nop
	0188E9 EA		nop
	0188EA 20 6C E5		jsr $E56C
	0188ED 20 00 08		jsr $0800
	0188F0 4C 6C E5		jmp $E56C

0188F3	0188F3 20 59 E5		jsr $E559
	0188F6 20 00 08		jsr $0800
	0188F9 4C 59 E5		jmp $E559

0188FC	0188FC 20 43 E5		jsr $E543
	0188FF 20 00 08		jsr $0800
	018902 4C 43 E5		jmp $E543

018905	018905 4C 0B 09		jmp $090B

018908	018908 EA		nop
	018909 EA		nop
	01890A EA		nop
	01890B 20 6C E5		jsr $E56C
	01890E 20 00 08		jsr $0800
	018911 4C 6C E5		jmp $E56C

018914	018914 20 59 E5		jsr $E559
	018917 20 00 08		jsr $0800
	01891A 4C 59 E5		jmp $E559

01891D	01891D 20 43 E5		jsr $E543
	018920 20 00 08		jsr $0800
	018923 4C 43 E5		jmp $E543

018926	018926 4C 2C 09		jmp $092C

018929	018929 EA		nop
	01892A EA		nop
	01892B EA		nop
	01892C 20 6C E5		jsr $E56C
	01892F 20 00 08		jsr $0800
	018932 4C 6C E5		jmp $E56C

018935	018935 20 59 E5		jsr $E559
	018938 20 00 08		jsr $0800
	01893B 4C 59 E5		jmp $E559

01893E	01893E 20 43 E5		jsr $E543
	018941 20 00 08		jsr $0800
	018944 4C 43 E5		jmp $E543

018947	018947 4C 4D 09		jmp $094D

01894A	01894A EA		nop
	01894B EA		nop
	01894C EA		nop
	01894D 20 6C E5		jsr $E56C
	018950 20 00 08		jsr $0800
	018953 4C 6C E5		jmp $E56C

018956	018956 20 59 E5		jsr $E559
	018959 20 00 08		jsr $0800
	01895C 4C 59 E5		jmp $E559

01895F	01895F 20 43 E5		jsr $E543
	018962 20 00 08		jsr $0800
	018965 4C 43 E5		jmp $E543

018968	018968 4C 6E 09		jmp $096E

01896B	01896B EA		nop
	01896C EA		nop
	01896D EA		nop
	01896E 20 6C E5		jsr $E56C
	018971 20 00 08		jsr $0800
	018974 4C 6C E5		jmp $E56C

018977	018977 20 59 E5		jsr $E559
	01897A 20 00 08		jsr $0800
	01897D 4C 59 E5		jmp $E559

018980	018980 20 43 E5		jsr $E543
	018983 20 00 08		jsr $0800
	018986 4C 43 E5		jmp $E543

018989	018989 4C 8F 09		jmp $098F

01898C	01898C EA		nop
	01898D EA		nop
	01898E EA		nop
	01898F 20 6C E5		jsr $E56C
	018992 20 00 08		jsr $0800
	018995 4C 6C E5		jmp $E56C

018998	018998 20 59 E5		jsr $E559
	01899B 20 00 08		jsr $0800
	01899E 4C 59 E5		jmp $E559

0189A1	0189A1 20 43 E5		jsr $E543
	0189A4 20 00 08		jsr $0800
	0189A7 4C 43 E5		jmp $E543

0189AA	0189AA 4C 79 E5		jmp $E579

0189AD	0189AD 4C DE E5		jmp $E5DE

0189B0	0189B0 4C 40 E6		jmp $E640

0189B3	0189B3 4C A5 E6		jmp $E6A5

0189B6	0189B6 6C AA CB		jmp ($CBAA)

0189B9	0189B9 AA		tax
	0189BA 0A		asl a
	0189BB D5 0B		cmp $0B,x		;Cx9 Clear External Interrupt
	0189BD 56 0B		lsr $0B,x		;Cx9 Clear External Interrupt
	0189BF 87 0B		smb 0,$0B		;Cx9 Clear External Interrupt
	0189C1 67 57		rmb 6,$57
	0189C3 A9 4A		lda #$4A'J'
	0189C5 8D 42 02		sta $0242
	0189C8 A9 E4		lda #$E4
	0189CA 8D 43 02		sta $0243
	0189CD E7 57		smb 6,$57
	0189CF 57 57		rmb 5,$57
	0189D1 BD B9 09		lda $09B9,x
	0189D4 8D AA CB		sta $CBAA
	0189D7 BD BA 09		lda $09BA,x
	0189DA 8D AB CB		sta $CBAB
	0189DD A9 00		lda #$00
	0189DF 8D BE CB		sta $CBBE
	0189E2 8D C0 CB		sta $CBC0
	0189E5 8D BF CB		sta $CBBF
	0189E8 8D B0 CB		sta $CBB0
	0189EB 8D B1 CB		sta $CBB1
	0189EE 8D B9 CB		sta $CBB9
	0189F1 8D BA CB		sta $CBBA
	0189F4 A9 02		lda #$02
	0189F6 8D C3 CB		sta $CBC3
	0189F9 8D C2 CB		sta $CBC2
	0189FC AD AE CB		lda $CBAE
	0189FF 8D AF CB		sta $CBAF
	018A02 20 28 19		jsr $1928
	018A05 20 4F 19		jsr $194F
	018A08 20 7A 19		jsr $197A
	018A0B 20 9F 19		jsr $199F
	018A0E A9 00		lda #$00
	018A10 85 73		sta $73
	018A12 85 74		sta $74
	018A14 20 21 E3		jsr $E321
	018A17 20 24 E3		jsr $E324
	018A1A 77 49		rmb 7,49
	018A1C A9 00		lda #$00
	018A1E A2 06		ldx #$06
018A20	018A20 CA		dex
	018A21 95 86		sta $86,x
	018A23 D0 FB		bne $018a20
	018A25 C2 10 05 06	rba $10,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	018A29 C2 80 03 06	rba $80,$0603		;DPi EPT/SEPT/SRCEN/RLSDE/ARC/SDIS
	018A2D AD 26 01		lda $0126
	018A30 20 92 F5		jsr $F592
	018A33 20 0A E2		jsr $E20A
	018A36 20 B5 F3		jsr $F3B5
	018A39 A9 00		lda #$00
	018A3B 20 13 F6		jsr $F613
	018A3E 20 6B E1		jsr $E16B
	018A41 20 7C 1D		jsr $1D7C
	018A44 B2 00 47		sti #$00,$47
	018A47 B2 00 46		sti #$00,$46
	018A4A B2 02 45		sti #$02,$45
	018A4D B2 84 44		sti #$84,$44
	018A50 20 B0 31		jsr $31B0
	018A53 B2 86 44		sti #$86,$44
	018A56 20 B0 31		jsr $31B0
	018A59 B2 00 47		sti #$00,$47
	018A5C B2 21 46		sti #$21'!',$46
	018A5F B2 02 45		sti #$02,$45
	018A62 B2 85 44		sti #$85,$44
	018A65 20 B0 31		jsr $31B0
	018A68 B2 87 44		sti #$87,$44
	018A6B 20 B0 31		jsr $31B0
	018A6E B2 60 47		sti #$60'`',$47
	018A71 B2 E2 46		sti #$E2,$46
	018A74 B2 0B 45		sti #$0B,$45
	018A77 B2 AC 44		sti #$AC,$44
	018A7A 20 B0 31		jsr $31B0
	018A7D B2 A6 44		sti #$A6,$44
	018A80 20 B0 31		jsr $31B0
	018A83 B2 A0 44		sti #$A0,$44
	018A86 20 B0 31		jsr $31B0
	018A89 B2 1F 47		sti #$1F,$47
	018A8C B2 1D 46		sti #$1D,$46
	018A8F B2 0A 45		sti #$0A,$45
	018A92 B2 AC 44		sti #$AC,$44
	018A95 20 B0 31		jsr $31B0
	018A98 B2 A6 44		sti #$A6,$44
	018A9B 20 B0 31		jsr $31B0
	018A9E B2 A0 44		sti #$A0,$44
	018AA1 20 B0 31		jsr $31B0
	018AA4 20 D4 E1		jsr $E1D4
	018AA7 4C F9 1D		jmp $1DF9

018AAA	018AAA 97 61		smb 1,$61
	018AAC 87 86		smb 0,$86
	018AAE 87 8A		smb 0,$8A
	018AB0 97 8A		smb 1,$8A
	018AB2 20 E6 0A		jsr $0AE6
	018AB5 A9 01		lda #$01
	018AB7 85 A9		sta $A9
	018AB9 20 94 E2		jsr $E294
	018ABC 20 C5 0A		jsr $0AC5
	018ABF AD AF CB		lda $CBAF
	018AC2 4C A2 15		jmp $15A2

018AC5	018AC5 F7 49		smb 7,$49
	018AC7 B7 61		smb 3,$61
	018AC9 27 88		rmb 2,$88
	018ACB 20 DA 1A		jsr $1ADA
	018ACE 20 4D 1E		jsr $1E4D
	018AD1 A2 3C		ldx #$3C'<'
	018AD3 20 BB F2		jsr $F2BB
	018AD6 20 EC 1C		jsr $1CEC
	018AD9 A2 BE		ldx #$BE
	018ADB 20 BB F2		jsr $F2BB
018ADE	018ADE 20 FD 1C		jsr $1CFD
	018AE1 A2 19		ldx #$19
	018AE3 4C BB F2		jmp $F2BB

018AE6	018AE6 17 59		rmb 1,$59
	018AE8 A9 4E		lda #$4E'N'
	018AEA 8D 69 02		sta $0269
	018AED A9 08		lda #$08
	018AEF 8D 6A 02		sta $026A
	018AF2 97 59		smb 1,$59
	018AF4 07 59		rmb 0,$59
	018AF6 A9 27		lda #$27'''
	018AF8 8D 66 02		sta $0266
	018AFB A9 08		lda #$08
	018AFD 8D 67 02		sta $0267
	018B00 87 59		smb 0,$59
	018B02 20 D4 FD		jsr $FDD4{ssti}
	018B05 4C DA FD		jmp $FDDA

018B08	018B08 C9 00		cmp #$00
	018B0A F0 35		beq $018b41
	018B0C 48		pha
	018B0D A2 00		ldx #$00
	018B0F 20 ED 17		jsr $17ED
	018B12 68		pla
	018B13 0A		asl a
	018B14 AA		tax
	018B15 BD 43 0B		lda $0B43,x
	018B18 20 06 1E		jsr $1E06
	018B1B 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	018B1E C2 02 0A 06	rba $02,$060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	018B22 BD 42 0B		lda $0B42,x
	018B25 20 06 1E		jsr $1E06
	018B28 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
018B2B	018B2B E2 0A 06 02 FB	bar $060A,$02,$018b2b	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	018B30 A2 00		ldx #$00
	018B32 BD 0D 18		lda $180D,x
	018B35 AA		tax
	018B36 20 BB F2		jsr $F2BB
	018B39 20 F9 1D		jsr $1DF9
	018B3C A2 32		ldx #$32'2'
	018B3E 20 BB F2		jsr $F2BB
018B41	018B41 60		rts

018B42	018B42 00		brk
	018B43 01 01		ora ($01)		;Cx9	port B (output only)
	018B45 02		mpy
	018B46 02		mpy
	018B47 02		mpy
	018B48 03		tip
	018B49 02		mpy
	018B4A 04		???			;undocumented opcode
	018B4B 02		mpy
	018B4C 05 02		ora $02			;Cx9	port C (bidirectional)
	018B4E 06 02		asl $02			;Cx9	port C (bidirectional)
	018B50 07 02		rmb 0,$02		;Cx9	port C (bidirectional)
	018B52 00		brk
	018B53 10 01		bpl $018b56
	018B55 10 87		bpl $018ade
	018B57 86 20		stx $20			;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	018B59 C5 0A		cmp $0A			;Cx9 External Interrupt Register
	018B5B 20 17 1B		jsr $1B17
	018B5E A2 32		ldx #$32'2'
	018B60 20 BB F2		jsr $F2BB
	018B63 20 EC 1C		jsr $1CEC
	018B66 A2 55		ldx #$55'U'
	018B68 20 BB F2		jsr $F2BB
	018B6B 20 FD 1C		jsr $1CFD
	018B6E E7 87		smb 6,$87
	018B70 A9 C8		lda #$C8
	018B72 8D 14 02		sta $0214
	018B75 A9 00		lda #$00
	018B77 8D 15 02		sta $0215
	018B7A 17 5E		rmb 1,$5E
	018B7C A9 69		lda #$69'i'
	018B7E 8D AA CB		sta $CBAA
	018B81 A9 0D		lda #$0D
	018B83 8D AB CB		sta $CBAB
	018B86 60		rts

018B87	018B87 D7 66		smb 5,$66
	018B89 87 86		smb 0,$86
	018B8B F7 86		smb 7,$86
	018B8D 20 C5 0A		jsr $0AC5
	018B90 A9 08		lda #$08
	018B92 F2 31 01 01 02	bas $0131,$01,$018b99
	018B97 A9 09		lda #$09
018B99	018B99 20 08 0B		jsr $0B08
	018B9C 4C C6 10		jmp $10C6

018B9F	018B9F F2 31 01 20 04	bas $0131,$20,$018ba8
	018BA4 4C 71 1A		jmp $1A71

018BA7	018BA7 60		rts

018BA8	018BA8 20 8C 1C		jsr $1C8C
	018BAB E2 32 01 08 F7	bar $0132,$08,$018ba7
	018BB0 A9 14		lda #$14
	018BB2 20 00 1D		jsr $1D00
	018BB5 20 2B F8		jsr $F82B
	018BB8 CF 61 05		bbs 4,$61,$018bc0
	018BBB 20 69 1E		jsr $1E69
	018BBE 80 0B		bra $018bcb

018BC0	018BC0 20 4D 1E		jsr $1E4D
	018BC3 20 8F 31		jsr $318F
	018BC6 90 03		bcc $018bcb
	018BC8 20 71 1E		jsr $1E71
018BCB	018BCB A2 02		ldx #$02
	018BCD 20 C1 09		jsr $09C1
	018BD0 A7 88		smb 2,$88
	018BD2 4C 54 1B		jmp $1B54

018BD5	018BD5 F2 31 01 20 03	bas $0131,$20,$018bdd
	018BDA 4C 71 1A		jmp $1A71

018BDD	018BDD 20 8C 1C		jsr $1C8C
	018BE0 F2 32 01 08 03	bas $0132,$08,$018be8
	018BE5 4C 71 1A		jmp $1A71

018BE8	018BE8 AD 70 86		lda $8670
	018BEB C9 06		cmp #$06
	018BED D0 06		bne $018bf5
	018BEF 20 60 E3		jsr $E360
	018BF2 20 6C E3		jsr $E36C
018BF5	018BF5 BF 57 14		bbs 3,$57,$018c0c
	018BF8 20 CA 1B		jsr $1BCA
	018BFB D0 0F		bne $018c0c
	018BFD A9 00		lda #$00
	018BFF 8D CC 00		sta $00CC
	018C02 A9 0D		lda #$0D
	018C04 8D AA CB		sta $CBAA
	018C07 A9 0C		lda #$0C
	018C09 8D AB CB		sta $CBAB
018C0C	018C0C 60		rts

018C0D	018C0D 07 86		rmb 0,$86
	018C0F 20 CA 1B		jsr $1BCA
	018C12 F0 1F		beq $018c33
018C14	018C14 B2 04 47		sti #$04,$47
	018C17 B2 00 46		sti #$00,$46
	018C1A B2 0B 45		sti #$0B,$45
	018C1D B2 BA 44		sti #$BA,$44
	018C20 20 B0 31		jsr $31B0
	018C23 A9 00		lda #$00
	018C25 20 13 F6		jsr $F613
	018C28 A9 D5		lda #$D5
	018C2A 8D AA CB		sta $CBAA
	018C2D A9 0B		lda #$0B
	018C2F 8D AB CB		sta $CBAB
	018C32 60		rts

018C33	018C33 AD CC 00		lda $00CC
	018C36 C9 32		cmp #$32'2'
	018C38 90 D3		bcc $018c0d
	018C3A 20 D3 FB		jsr $FBD3
	018C3D AD B5 03		lda $03B5
	018C40 C9 3B		cmp #$3B';'
	018C42 90 14		bcc $018c58
	018C44 B2 10 47		sti #$10,$47
	018C47 B2 00 46		sti #$00,$46
	018C4A B2 0B 45		sti #$0B,$45
	018C4D B2 BA 44		sti #$BA,$44
	018C50 20 B0 31		jsr $31B0
	018C53 A9 02		lda #$02
	018C55 20 13 F6		jsr $F613
018C58	018C58 20 CA 1B		jsr $1BCA
	018C5B D0 B7		bne $018c14
	018C5D AD CC 00		lda $00CC
	018C60 C9 B4		cmp #$B4
	018C62 B0 13		bcs $018c77
	018C64 AE B5 03		ldx $03B5
	018C67 E0 3B		cpx #$3B';'
	018C69 B0 ED		bcs $018c58
	018C6B C9 96		cmp #$96
	018C6D B0 08		bcs $018c77
	018C6F E0 1B		cpx #$1B
	018C71 B0 E5		bcs $018c58
	018C73 C9 78		cmp #$78'x'
	018C75 90 E1		bcc $018c58
018C77	018C77 20 81 EF		jsr $EF81
	018C7A 20 4D 1E		jsr $1E4D
018C7D	018C7D 20 D2 1B		jsr $1BD2
	018C80 F0 07		beq $018c89
	018C82 AD CC 00		lda $00CC
	018C85 C9 C8		cmp #$C8
	018C87 90 F4		bcc $018c7d
018C89	018C89 20 9B 1B		jsr $1B9B
	018C8C 20 C5 1B		jsr $1BC5
	018C8F E7 86		smb 6,$86
	018C91 20 35 0F		jsr $0F35
	018C94 A9 AB		lda #$AB
	018C96 8D AA CB		sta $CBAA
	018C99 A9 0C		lda #$0C
	018C9B 8D AB CB		sta $CBAB
	018C9E A9 37		lda #$37'7'
	018CA0 8D 10 02		sta $0210
	018CA3 A9 00		lda #$00
	018CA5 8D 11 02		sta $0211
	018CA8 77 5D		rmb 7,5D
	018CAA 60		rts

018CAB	018CAB 6F 86 3E		bbr 6,$86,$018cec
	018CAE 7F 5D 08		bbr 7,$5D,$018cb9
	018CB1 A9 08		lda #$08
	018CB3 20 E8 24		jsr $24E8
	018CB6 4C 71 1A		jmp $1A71

018CB9	018CB9 20 D5 1B		jsr $1BD5
	018CBC D0 ED		bne $018cab
	018CBE A9 04		lda #$04
	018CC0 8D 12 02		sta $0212
	018CC3 A9 00		lda #$00
	018CC5 8D 13 02		sta $0213
	018CC8 07 5E		rmb 0,$5E
018CCA	018CCA 20 D5 1B		jsr $1BD5
	018CCD D0 DC		bne $018cab
	018CCF 0F 5E F8		bbr 0,$5E,$018cca
018CD2	018CD2 AD 10 02		lda $0210
	018CD5 C9 19		cmp #$19
	018CD7 90 06		bcc $018cdf
	018CD9 6F 86 10		bbr 6,$86,$018cec
	018CDC 7F 5D F3		bbr 7,$5D,$018cd2
018CDF	018CDF A9 06		lda #$06
	018CE1 20 E8 24		jsr $24E8
	018CE4 B7 61		smb 3,$61
	018CE6 27 88		rmb 2,$88
	018CE8 20 1B 0E		jsr $0E1B
	018CEB 60		rts

018CEC	018CEC 27 88		rmb 2,$88
	018CEE 20 62 11		jsr $1162
	018CF1 B0 51		bcs $018d44
	018CF3 E0 08		cpx #$08
	018CF5 F0 3C		beq $018d33
	018CF7 E0 09		cpx #$09
	018CF9 F0 44		beq $018d3f
	018CFB E0 03		cpx #$03
	018CFD 90 1E		bcc $018d1d
	018CFF 86 40		stx $40
	018D01 AD B4 CB		lda $CBB4
018D04	018D04 4A		lsr a
	018D05 C6 40		dec $40
	018D07 D0 FB		bne $018d04
	018D09 B0 12		bcs $018d1d
	018D0B 20 15 18		jsr $1815
	018D0E 20 37 1E		jsr $1E37
	018D11 A9 49		lda #$49'I'
	018D13 8D AA CB		sta $CBAA
	018D16 A9 0D		lda #$0D
	018D18 8D AB CB		sta $CBAB
	018D1B 80 0B		bra $018d28

018D1D	018D1D 97 61		smb 1,$61
	018D1F 87 8A		smb 0,$8A
	018D21 97 8A		smb 1,$8A
	018D23 E7 88		smb 6,$88
	018D25 20 DF 0E		jsr $0EDF
018D28	018D28 A9 02		lda #$02
	018D2A 20 E8 24		jsr $24E8
	018D2D 20 B1 EE		jsr $EEB1
	018D30 4C 34 1D		jmp $1D34

018D33	018D33 E2 32 01 01 0C	bar $0132,$01,$018d44
018D38	018D38 D7 86		smb 5,$86
	018D3A F7 86		smb 7,$86
	018D3C 4C 0E 13		jmp $130E

018D3F	018D3F F2 32 01 02 F4	bas $0132,$02,$018d38
018D44	018D44 F7 86		smb 7,$86
	018D46 4C 61 15		jmp $1561

018D49	018D49 DF 5E 14		bbs 5,$5E,$018d60
	018D4C E2 0F 06 80 17	bar $060F,$80,$018d68	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	018D51 A9 5B		lda #$5B'['
	018D53 8D AA CB		sta $CBAA
	018D56 A9 0D		lda #$0D
	018D58 8D AB CB		sta $CBAB
	018D5B F2 0F 06 80 08	bas $060F,$80,$018d68	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
018D60	018D60 A9 89		lda #$89
	018D62 8D C7 CB		sta $CBC7
	018D65 20 61 15		jsr $1561
018D68	018D68 60		rts

018D69	018D69 1F 5E 0A		bbr 1,$5E,$018d76
018D6C	018D6C A9 25		lda #$25'%'
	018D6E 8F 86 02		bbs 0,$86,$018d73
	018D71 A9 26		lda #$26'&'
018D73	018D73 4C 7F 1A		jmp $1A7F

018D76	018D76 20 1B 11		jsr $111B
	018D79 20 28 11		jsr $1128
	018D7C B0 EE		bcs $018d6c
	018D7E A9 96		lda #$96
	018D80 8D 14 02		sta $0214
	018D83 A9 00		lda #$00
	018D85 8D 15 02		sta $0215
	018D88 17 5E		rmb 1,$5E
	018D8A 4C DF 0E		jmp $0EDF

018D8D	018D8D 9F 5E 06		bbs 1,$5E,$018d96
	018D90 AD B1 CB		lda $CBB1
	018D93 D0 0B		bne $018da0
	018D95 60		rts

018D96	018D96 A9 25		lda #$25'%'
	018D98 8F 86 02		bbs 0,$86,$018d9d
	018D9B A9 26		lda #$26'&'
018D9D	018D9D 4C 7F 1A		jmp $1A7F

018DA0	018DA0 CE B1 CB		dec $CBB1
	018DA3 A1 E1		lda ($E1)
	018DA5 8F 86 06		bbs 0,$86,$018dae
	018DA8 C9 03		cmp #$03
	018DAA D0 06		bne $018db2
	018DAC 80 05		bra $018db3

018DAE	018DAE C9 01		cmp #$01
	018DB0 F0 01		beq $018db3
018DB2	018DB2 60		rts

018DB3	018DB3 27 86		rmb 2,$86
	018DB5 E6 E1		inc $E1
	018DB7 D0 02		bne $018dbb
	018DB9 E6 E2		inc $E2
018DBB	018DBB A1 E1		lda ($E1)
	018DBD 0F 86 04		bbr 0,$86,$018dc4
	018DC0 C9 03		cmp #$03
	018DC2 F0 09		beq $018dcd
018DC4	018DC4 C9 13		cmp #$13
	018DC6 D0 EA		bne $018db2
	018DC8 0F 86 02		bbr 0,$86,$018dcd
	018DCB A7 86		smb 2,$86
018DCD	018DCD E6 E1		inc $E1
	018DCF D0 02		bne $018dd3
	018DD1 E6 E2		inc $E2
018DD3	018DD3 A2 00		ldx #$00
	018DD5 A5 E1		lda $E1
	018DD7 85 40		sta $40
	018DD9 A5 E2		lda $E2
	018DDB 85 41		sta $41
	018DDD 20 EA 1D		jsr $1DEA
	018DE0 A9 07		lda #$07
	018DE2 20 E8 24		jsr $24E8
	018DE5 A9 22		lda #$22'"'
	018DE7 20 05 FE		jsr $FE05{out}
	018DEA A2 01		ldx #$01
	018DEC 20 EA 1D		jsr $1DEA
	018DEF A8		tay
	018DF0 F0 13		beq $018e05
	018DF2 C0 FF		cpy #$FF
	018DF4 B0 BC		bcs $018db2
018DF6	018DF6 20 EA 1D		jsr $1DEA
	018DF9 20 BB E2		jsr $E2BB
	018DFC C0 00		cpy #$00
	018DFE F0 05		beq $018e05
	018E00 20 F4 1D		jsr $1DF4
	018E03 80 F1		bra $018df6

018E05	018E05 A9 22		lda #$22'"'
	018E07 20 05 FE		jsr $FE05{out}
	018E0A 2F 86 0B		bbr 2,$86,$018e18
	018E0D A9 06		lda #$06
	018E0F 20 E8 24		jsr $24E8
	018E12 20 0C 1E		jsr $1E0C
	018E15 4C 22 0E		jmp $0E22

018E18	018E18 4C 78 1A		jmp $1A78

018E1B	018E1B 20 D5 1B		jsr $1BD5
	018E1E F0 FB		beq $018e1b
	018E20 E7 87		smb 6,$87
	018E22 A9 00		lda #$00
	018E24 AC C7 CC		ldy $CCC7
	018E27 C0 24		cpy #$24'$'
	018E29 90 02		bcc $018e2d
	018E2B A9 01		lda #$01
018E2D	018E2D 20 A2 15		jsr $15A2
	018E30 A5 D7		lda $D7
	018E32 D0 02		bne $018e36
	018E34 C6 D8		dec $D8
018E36	018E36 C6 D7		dec $D7
	018E38 A5 DB		lda $DB
	018E3A D0 02		bne $018e3e
	018E3C C6 DC		dec $DC
018E3E	018E3E C6 DB		dec $DB
	018E40 60		rts

018E41	018E41 A5 D5		lda $D5
	018E43 85 40		sta $40
	018E45 A5 D6		lda $D6
	018E47 85 41		sta $41
	018E49 A2 01		ldx #$01
	018E4B A9 01		lda #$01
	018E4D 0F 86 02		bbr 0,$86,$018e52
	018E50 A9 03		lda #$03
018E52	018E52 20 EF 1D		jsr $1DEF
	018E55 A9 13		lda #$13
	018E57 8F 86 0B		bbs 0,$86,$018e65
	018E5A 97 86		smb 1,$86
	018E5C F2 31 01 02 04	bas $0131,$02,$018e65
	018E61 17 86		rmb 1,$86
	018E63 A9 03		lda #$03
018E65	018E65 20 EF 1D		jsr $1DEF
	018E68 A5 D7		lda $D7
	018E6A 85 40		sta $40
	018E6C A5 D8		lda $D8
	018E6E 85 41		sta $41
	018E70 A2 00		ldx #$00
	018E72 A9 05		lda #$05
	018E74 20 EF 1D		jsr $1DEF
	018E77 E8		inx
	018E78 A0 00		ldy #$00
018E7A	018E7A CC C7 CC		cpy $CCC7
	018E7D F0 08		beq $018e87
	018E7F B9 C9 CB		lda $CBC9,y
	018E82 20 EF 1D		jsr $1DEF
	018E85 80 F3		bra $018e7a

018E87	018E87 98		tya
	018E88 A2 01		ldx #$01
	018E8A 20 EF 1D		jsr $1DEF
	018E8D 89 01		add #$01
	018E8F 81 D5		sta ($D5)
	018E91 A9 B3		lda #$B3
	018E93 8D AA CB		sta $CBAA
	018E96 A9 0E		lda #$0E
	018E98 8D AB CB		sta $CBAB
	018E9B 37 59		rmb 3,$59
	018E9D A9 44		lda #$44'D'
	018E9F 8D 6F 02		sta $026F
	018EA2 A9 E4		lda #$E4
	018EA4 8D 70 02		sta $0270
	018EA7 B7 59		smb 3,$59
	018EA9 A9 00		lda #$00
	018EAB 8D B7 CB		sta $CBB7
	018EAE A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
	018EB0 4C 67 F4		jmp $F467

018EB3	018EB3 F2 1E 06 20 26	bas $061E,$20,$018ede	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
018EB8	018EB8 E2 0A 06 02 FB	bar $060A,$02,$018eb8	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	018EBD A2 00		ldx #$00
	018EBF AD 12 06		lda $0612		;DPi configuration (CONF)
	018EC2 DD 43 18		cmp $1843,x
	018EC5 F0 02		beq $018ec9
	018EC7 A2 01		ldx #$01
018EC9	018EC9 BD 0D 18		lda $180D,x
	018ECC AA		tax
	018ECD 20 BB F2		jsr $F2BB
	018ED0 20 F9 1D		jsr $1DF9
	018ED3 9F 86 03		bbs 1,$86,$018ed9
	018ED6 4C 78 1A		jmp $1A78

018ED9	018ED9 20 70 0B		jsr $0B70
	018EDC 17 86		rmb 1,$86
018EDE	018EDE 60		rts

018EDF	018EDF E0 00		cpx #$00
	018EE1 D0 05		bne $018ee8
	018EE3 8E C2 CB		stx $CBC2
	018EE6 80 03		bra $018eeb

018EE8	018EE8 20 2F 0F		jsr $0F2F
018EEB	018EEB 20 37 1E		jsr $1E37
	018EEE 20 1B 11		jsr $111B
	018EF1 A9 87		lda #$87
	018EF3 8D AA CB		sta $CBAA
	018EF6 A9 13		lda #$13
	018EF8 8D AB CB		sta $CBAB
	018EFB 8F 86 0A		bbs 0,$86,$018f08
	018EFE A9 54		lda #$54'T'
	018F00 8D AA CB		sta $CBAA
	018F03 A9 0F		lda #$0F
	018F05 8D AB CB		sta $CBAB
018F08	018F08 6F 88 16		bbr 6,$88,$018f21
	018F0B A9 64		lda #$64'd'
	018F0D 8D 10 02		sta $0210
	018F10 A9 00		lda #$00
	018F12 8D 11 02		sta $0211
	018F15 77 5D		rmb 7,5D
	018F17 A9 80		lda #$80
	018F19 8D AA CB		sta $CBAA
	018F1C A9 11		lda #$11
	018F1E 8D AB CB		sta $CBAB
018F21	018F21 6F 87 0A		bbr 6,$87,$018f2e
	018F24 A9 8D		lda #$8D
	018F26 8D AA CB		sta $CBAA
	018F29 A9 0D		lda #$0D
	018F2B 8D AB CB		sta $CBAB
018F2E	018F2E 60		rts

018F2F	018F2F 20 F9 1D		jsr $1DF9
	018F32 20 15 18		jsr $1815
	018F35 A9 00		lda #$00
	018F37 8D B0 CB		sta $CBB0
	018F3A 8D BB CB		sta $CBBB
	018F3D 8D B2 CB		sta $CBB2
	018F40 47 59		rmb 4,$59
	018F42 A9 50		lda #$50'P'
	018F44 8D 72 02		sta $0272
	018F47 A9 E4		lda #$E4
	018F49 8D 73 02		sta $0273
	018F4C C7 59		smb 4,$59
	018F4E 20 5D F4		jsr $F45D
	018F51 A7 0A		smb 2,$0A		;Cx9 External Interrupt Register
	018F53 60		rts

018F54	018F54 AD B0 CB		lda $CBB0
	018F57 D0 15		bne $018f6e
	018F59 8F 86 03		bbs 0,$86,$018f5f
	018F5C 9F 8A 0C		bbs 1,$8A,$018f6b
018F5F	018F5F FF 87 05		bbs 7,$87,$018f67
	018F62 AD B1 CB		lda $CBB1
	018F65 D0 04		bne $018f6b
018F67	018F67 DF 5E 0F		bbs 5,$5E,$018f79
	018F6A 60		rts

018F6B	018F6B 4C A9 11		jmp $11A9

018F6E	018F6E A9 2E		lda #$2E'.'
	018F70 8D AA CB		sta $CBAA
	018F73 A9 13		lda #$13
	018F75 8D AB CB		sta $CBAB
	018F78 60		rts

018F79	018F79 A9 23		lda #$23'#'
	018F7B 4C 7F 1A		jmp $1A7F

018F7E	018F7E AD 0A 06		lda $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	018F81 AE 00 06		ldx $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	018F84 A8		tay
	018F85 29 39		and #$39'9'
	018F87 F0 06		beq $018f8f
	018F89 4A		lsr a
	018F8A B0 72		bcs $018ffe
	018F8C F7 6E		smb 7,$6E
	018F8E 60		rts

018F8F	018F8F FF 6E 48		bbs 7,$6E,$018fda
	018F92 8A		txa
	018F93 6F 86 36		bbr 6,$86,$018fcc
	018F96 AC BB CB		ldy $CBBB
	018F99 F0 0B		beq $018fa6
	018F9B C0 01		cpy #$01
	018F9D D0 03		bne $018fa2
	018F9F 8D C5 CB		sta $CBC5
018FA2	018FA2 EE BB CB		inc $CBBB
	018FA5 60		rts

018FA6	018FA6 AF 88 08		bbs 2,$88,$018fb1
	018FA9 C9 01		cmp #$01
	018FAB F0 0B		beq $018fb8
	018FAD C9 03		cmp #$03
	018FAF F0 07		beq $018fb8
018FB1	018FB1 8D C4 CB		sta $CBC4
	018FB4 EE BB CB		inc $CBBB
	018FB7 60		rts

018FB8	018FB8 48		pha
	018FB9 A2 00		ldx #$00
	018FBB BD 43 0B		lda $0B43,x
	018FBE 8D C4 CB		sta $CBC4
	018FC1 BD 42 0B		lda $0B42,x
	018FC4 8D C5 CB		sta $CBC5
	018FC7 F7 89		smb 7,$89
	018FC9 67 86		rmb 6,$86
	018FCB 68		pla
018FCC	018FCC EF 87 03		bbs 6,$87,$018fd2
	018FCF FF 87 09		bbs 7,$87,$018fdb
018FD2	018FD2 81 DD		sta ($DD)
	018FD4 E6 DD		inc $DD
	018FD6 D0 02		bne $018fda
	018FD8 E6 DE		inc $DE
018FDA	018FDA 60		rts

018FDB	018FDB AE BB CB		ldx $CBBB
	018FDE E0 08		cpx #$08
	018FE0 F0 F8		beq $018fda
	018FE2 9D A2		sta $A2,x
	018FE4 CB		phi
	018FE5 E0 01		cpx #$01
	018FE7 D0 11		bne $018ffa
	018FE9 4A		lsr a
	018FEA B0 0E		bcs $018ffa
	018FEC 77 87		rmb 7,87
	018FEE AD A2 CB		lda $CBA2
	018FF1 20 D2 0F		jsr $0FD2
	018FF4 AD A3 CB		lda $CBA3
	018FF7 4C D2 0F		jmp $0FD2

018FFA	018FFA EE BB CB		inc $CBBB
	018FFD 60		rts

018FFE	018FFE FF 6E 12		bbs 7,$6E,$019013
	019001 98		tya
	019002 29 38		and #$38'8'
	019004 D0 0D		bne $019013
	019006 6F 86 23		bbr 6,$86,$01902c
	019009 AD BB CB		lda $CBBB
	01900C C9 04		cmp #$04
	01900E D0 02		bne $019012
	019010 67 86		rmb 6,$86
019012	019012 60		rts

019013	019013 A1 DF		lda ($DF)
	019015 85 DD		sta $DD
	019017 A2 01		ldx #$01
	019019 B1 DF		lda ($DF),x
	01901B 85 DE		sta $DE
	01901D 77 6E		rmb 7,6E
	01901F A9 00		lda #$00
	019021 8D BB CB		sta $CBBB
	019024 7F 89 04		bbr 7,$89,$01902b
	019027 77 89		rmb 7,89
	019029 E7 86		smb 6,$86
01902B	01902B 60		rts

01902C	01902C EF 87 06		bbs 6,$87,$019035
	01902F 7F 87 03		bbr 7,$87,$019035
	019032 4C A5 10		jmp $10A5

019035	019035 A2 01		ldx #$01
	019037 B1 DF		lda ($DF),x
	019039 C5 DE		cmp $DE
	01903B D0 0E		bne $01904b
	01903D A1 DF		lda ($DF)
	01903F 85 40		sta $40
	019041 38		sec
	019042 A5 DD		lda $DD
	019044 E5 40		sbc $40
	019046 C9 06		cmp #$06
	019048 B0 01		bcs $01904b
	01904A 60		rts

01904B	01904B EF 87 41		bbs 6,$87,$01908f
	01904E A1 DF		lda ($DF)
	019050 85 40		sta $40
	019052 A2 01		ldx #$01
	019054 B1 DF		lda ($DF),x
	019056 85 41		sta $41
	019058 A1 40		lda ($40)
	01905A C9 03		cmp #$03
	01905C 7F 49 02		bbr 7,$49,$019061
	01905F C9 01		cmp #$01
019061	019061 D0 B0		bne $019013
	019063 E6 40		inc $40
	019065 D0 02		bne $019069
	019067 E6 41		inc $41
019069	019069 A1 40		lda ($40)
	01906B 4A		lsr a
	01906C CD C0 CB		cmp $CBC0
	01906F D0 A2		bne $019013
	019071 EE C0 CB		inc $CBC0
	019074 AD C0 CB		lda $CBC0
	019077 C9 80		cmp #$80
	019079 90 05		bcc $019080
	01907B A9 00		lda #$00
	01907D 8D C0 CB		sta $CBC0
019080	019080 57 87		rmb 5,$87
	019082 E6 40		inc $40
	019084 D0 02		bne $019088
	019086 E6 41		inc $41
019088	019088 A1 40		lda ($40)
	01908A 4A		lsr a
	01908B 90 02		bcc $01908f
	01908D D7 87		smb 5,$87
01908F	01908F A5 DD		lda $DD
	019091 81 DF		sta ($DF)
	019093 A5 DE		lda $DE
	019095 A2 01		ldx #$01
	019097 91 DF		sta ($DF),x
	019099 EE B1 CB		inc $CBB1
	01909C EE B2 CB		inc $CBB2
	01909F 20 37 1E		jsr $1E37
	0190A2 4C 3F 19		jmp $193F

0190A5	0190A5 AD BB CB		lda $CBBB
	0190A8 F0 81		beq $01902b
	0190AA EE B0 CB		inc $CBB0
	0190AD 60		rts

0190AE	0190AE 03		tip
	0190AF 43		???			;undocumented opcode
	0190B0 00		brk
	0190B1 01 43		ora ($43)
	0190B3 00		brk
	0190B4 01 63		ora ($63)
	0190B6 00		brk
	0190B7 03		tip
	0190B8 63		???			;undocumented opcode
	0190B9 00		brk
	0190BA 03		tip
	0190BB 01 00		ora ($00)		;Cx9	port A (bidirectional)
	0190BD 01 01		ora ($01)		;Cx9	port B (output only)
	0190BF 00		brk
	0190C0 01 05		ora ($05)		;Cx9	port B select (R/W)
	0190C2 00		brk
	0190C3 03		tip
	0190C4 05 00		ora $00			;Cx9	port A (bidirectional)
	0190C6 20 1B 11		jsr $111B
	0190C9 0F 86 07		bbr 0,$86,$0190d3
	0190CC 20 28 11		jsr $1128
	0190CF 90 44		bcc $019115
	0190D1 80 13		bra $0190e6

0190D3	0190D3 20 28 11		jsr $1128
	0190D6 90 3D		bcc $019115
	0190D8 0F 86 0B		bbr 0,$86,$0190e6
	0190DB A2 07		ldx #$07
	0190DD 20 16 1E		jsr $1E16
0190E0	0190E0 AD AF CB		lda $CBAF
	0190E3 4C A2 15		jmp $15A2

0190E6	0190E6 EF 87 12		bbs 6,$87,$0190fb
	0190E9 FF 86 0F		bbs 7,$86,$0190fb
	0190EC BF 86 0C		bbs 3,$86,$0190fb
	0190EF 0F 86 0E		bbr 0,$86,$019100
	0190F2 1F 8A 03		bbr 1,$8A,$0190f8
	0190F5 8F 8A 03		bbs 0,$8A,$0190fb
0190F8	0190F8 4C 82 14		jmp $1482

0190FB	0190FB A9 27		lda #$27'''
	0190FD 4C 7F 1A		jmp $1A7F

019100	019100 DF 5E 0D		bbs 5,$5E,$019110
	019103 20 1B 11		jsr $111B
	019106 20 35 11		jsr $1135
	019109 90 0A		bcc $019115
	01910B 8F 86 D2		bbs 0,$86,$0190e0
	01910E 80 F0		bra $019100

019110	019110 A9 23		lda #$23'#'
	019112 4C 7F 1A		jmp $1A7F

019115	019115 20 1B 11		jsr $111B
	019118 4C DF 0E		jmp $0EDF

01911B	01911B A9 C8		lda #$C8
	01911D 8D 10 02		sta $0210
	019120 A9 00		lda #$00
	019122 8D 11 02		sta $0211
	019125 77 5D		rmb 7,5D
	019127 60		rts

019128	019128 E7 86		smb 6,$86
	01912A 20 F9 1D		jsr $1DF9
	01912D A2 00		ldx #$00
	01912F 20 18 18		jsr $1818
	019132 20 35 0F		jsr $0F35
019135	019135 FF 5D 28		bbs 7,$5D,$019160
	019138 EF 87 09		bbs 6,$87,$019144
	01913B 8F 86 06		bbs 0,$86,$019144
	01913E 20 FC 11		jsr $11FC
	019141 8F 86 1C		bbs 0,$86,$019160
019144	019144 EF 86 EE		bbs 6,$86,$019135
	019147 7F 89 11		bbr 7,$89,$01915b
01914A	01914A FF 5D 0E		bbs 7,$5D,$01915b
	01914D EF 86 E5		bbs 6,$86,$019135
	019150 AD B0 CB		lda $CBB0
	019153 6F 87 03		bbr 6,$87,$019159
	019156 AD B1 CB		lda $CBB1
019159	019159 F0 EF		beq $01914a
01915B	01915B 77 89		rmb 7,89
	01915D 4C 62 11		jmp $1162

019160	019160 38		sec
	019161 60		rts

019162	019162 A2 00		ldx #$00
	019164 A0 00		ldy #$00
019166	019166 AD C4 CB		lda $CBC4
	019169 D9 43 0B		cmp $0B43,y
	01916C D0 0A		bne $019178
	01916E AD C5 CB		lda $CBC5
	019171 D9 42 0B		cmp $0B42,y
	019174 D0 02		bne $019178
	019176 18		clc
	019177 60		rts

019178	019178 E8		inx
	019179 C8		iny
	01917A C8		iny
	01917B C0 13		cpy #$13
	01917D 90 E7		bcc $019166
	01917F 60		rts

019180	019180 6F 88 1C		bbr 6,$88,$01919f
	019183 7F 5D 2D		bbr 7,$5D,$0191b3
	019186 A9 2B		lda #$2B'+'
	019188 8D C7 CB		sta $CBC7
	01918B 67 88		rmb 6,$88
	01918D A9 97		lda #$97
	01918F 8D AA CB		sta $CBAA
	019192 A9 11		lda #$11
	019194 8D AB CB		sta $CBAB
	019197 F2 0F 06 80 17	bas $060F,$80,$0191b3	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	01919C 4C 61 15		jmp $1561

01919F	01919F B7 61		smb 3,$61
	0191A1 20 37 1E		jsr $1E37
	0191A4 AD B1 CB		lda $CBB1
	0191A7 D0 18		bne $0191c1
	0191A9 A9 B4		lda #$B4
	0191AB 8D AA CB		sta $CBAA
	0191AE A9 11		lda #$11
	0191B0 8D AB CB		sta $CBAB
0191B3	0191B3 60		rts

0191B4	0191B4 F2 0F 06 80 08	bas $060F,$80,$0191c1	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	0191B9 5F 5E F8		bbr 5,$5E,$0191b4
	0191BC A9 23		lda #$23'#'
	0191BE 4C 7F 1A		jmp $1A7F

0191C1	0191C1 67 89		rmb 6,$89
	0191C3 A9 CE		lda #$CE
	0191C5 8D AA CB		sta $CBAA
	0191C8 A9 11		lda #$11
	0191CA 8D AB CB		sta $CBAB
	0191CD 60		rts

0191CE	0191CE 5F 5E 05		bbr 5,$5E,$0191d6
	0191D1 A9 23		lda #$23'#'
	0191D3 4C 7F 1A		jmp $1A7F

0191D6	0191D6 F2 0F 06 80 21	bas $060F,$80,$0191fc	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	0191DB A5 E6		lda $E6
	0191DD D0 08		bne $0191e7
	0191DF 20 BC 12		jsr $12BC
	0191E2 E7 89		smb 6,$89
	0191E4 4C A5 12		jmp $12A5

0191E7	0191E7 A9 00		lda #$00
	0191E9 85 E5		sta $E5
	0191EB 85 E6		sta $E6
	0191ED 20 99 12		jsr $1299
	0191F0 20 0C 1E		jsr $1E0C
	0191F3 A9 45		lda #$45'E'
	0191F5 8D C7 CB		sta $CBC7
	0191F8 4C 61 15		jmp $1561

0191FB	0191FB 60		rts

0191FC	0191FC DF 74 08		bbs 5,$74,$019207
	0191FF AF 73 05		bbs 2,$73,$019207
	019202 AD B1 CB		lda $CBB1
	019205 D0 01		bne $019208
019207	019207 60		rts

019208	019208 A1 E3		lda ($E3)
	01920A 85 42		sta $42
	01920C A2 01		ldx #$01
	01920E B1 E3		lda ($E3),x
	019210 85 43		sta $43
	019212 38		sec
	019213 A5 42		lda $42
	019215 E9 02		sbc #$02
	019217 85 42		sta $42
	019219 A5 43		lda $43
	01921B E9 00		sbc #$00
	01921D 85 43		sta $43
	01921F DF 89 36		bbs 5,$89,$019258
	019222 D7 89		smb 5,$89
	019224 47 8A		rmb 4,$8A
	019226 38		sec
	019227 A5 42		lda $42
	019229 E5 E1		sbc $E1
	01922B 85 E5		sta $E5
	01922D A5 43		lda $43
	01922F E5 E2		sbc $E2
	019231 85 E6		sta $E6
	019233 38		sec
	019234 A5 E5		lda $E5
	019236 E9 04		sbc #$04
	019238 85 E5		sta $E5
	01923A A5 E6		lda $E6
	01923C E9 00		sbc #$00
	01923E 85 E6		sta $E6
	019240 E6 E1		inc $E1
	019242 D0 02		bne $019246
	019244 E6 E2		inc $E2
019246	019246 E6 E1		inc $E1
	019248 D0 02		bne $01924c
	01924A E6 E2		inc $E2
01924C	01924C A9 00		lda #$00
	01924E 8D C1 CB		sta $CBC1
	019251 A1 E1		lda ($E1)
	019253 4A		lsr a
	019254 90 02		bcc $019258
	019256 C7 8A		smb 4,$8A
019258	019258 DF 74 AC		bbs 5,$74,$019207
	01925B AF 73 A9		bbs 2,$73,$019207
	01925E E6 E1		inc $E1
	019260 D0 02		bne $019264
	019262 E6 E2		inc $E2
019264	019264 A5 43		lda $43
	019266 C5 E2		cmp $E2
	019268 D0 04		bne $01926e
	01926A A5 42		lda $42
	01926C C5 E1		cmp $E1
01926E	01926E F0 12		beq $019282
	019270 A1 E1		lda ($E1)
	019272 EE C1 CB		inc $CBC1
	019275 20 11 1A		jsr $1A11
	019278 CF 89 01		bbs 4,$89,$01927c
	01927B 60		rts

01927C	01927C 20 99 12		jsr $1299
	01927F 4C 78 1A		jmp $1A78

019282	019282 CE B1 CB		dec $CBB1
	019285 20 18 19		jsr $1918
	019288 17 8A		rmb 1,$8A
	01928A 60		rts

01928B	01928B DF 5E 0A		bbs 5,$5E,$019298
	01928E AD B1 CB		lda $CBB1
	019291 F0 06		beq $019299
	019293 20 FC 11		jsr $11FC
	019296 80 F3		bra $01928b

019298	019298 60		rts

019299	019299 DF 5E 08		bbs 5,$5E,$0192a4
	01929C 78		sei
	01929D A5 B1		lda $B1
	01929F 05 B2		ora $B2
	0192A1 58		cli
	0192A2 D0 F5		bne $019299
0192A4	0192A4 60		rts

0192A5	0192A5 AD B2 CB		lda $CBB2
	0192A8 C9 09		cmp #$09
	0192AA 90 1F		bcc $0192cb
	0192AC D0 03		bne $0192b1
	0192AE DF 87 1A		bbs 5,$87,$0192cb
0192B1	0192B1 20 0C 1E		jsr $1E0C
	0192B4 A9 46		lda #$46'F'
	0192B6 8D C7 CB		sta $CBC7
	0192B9 4C 61 15		jmp $1561

0192BC	0192BC 07 89		rmb 0,$89
	0192BE A9 12		lda #$12
	0192C0 38		sec
	0192C1 ED B1 CB		sbc $CBB1
	0192C4 C9 09		cmp #$09
	0192C6 B0 02		bcs $0192ca
	0192C8 87 89		smb 0,$89
0192CA	0192CA 60		rts

0192CB	0192CB 20 0C 1E		jsr $1E0C
	0192CE 8F 89 11		bbs 0,$89,$0192e2
	0192D1 B2 BD 40		sti #$BD,$40
	0192D4 B2 10 41		sti #$10,$41
	0192D7 FF 49 17		bbs 7,$49,$0192f1
	0192DA B2 BA 40		sti #$BA,$40
	0192DD B2 10 41		sti #$10,$41
	0192E0 80 0F		bra $0192f1

0192E2	0192E2 B2 C0 40		sti #$C0,$40
	0192E5 B2 10 41		sti #$10,$41
	0192E8 FF 49 06		bbs 7,$49,$0192f1
	0192EB B2 C3 40		sti #$C3,$40
	0192EE B2 10 41		sti #$10,$41
0192F1	0192F1 20 95 15		jsr $1595
	0192F4 E8		inx
	0192F5 8E A2 CB		stx $CBA2
	0192F8 AD C0 CB		lda $CBC0
	0192FB D0 06		bne $019303
	0192FD 1F 8A 03		bbr 1,$8A,$019303
	019300 4C 0E 13		jmp $130E

019303	019303 38		sec
	019304 2A		rol a
	019305 9D A2		sta $A2,x
	019307 CB		phi
	019308 20 37 1E		jsr $1E37
	01930B 4C 38 17		jmp $1738

01930E	01930E B2 B7 40		sti #$B7,$40
	019311 B2 10 41		sti #$10,$41
	019314 7F 49 06		bbr 7,$49,$01931d
	019317 B2 B4 40		sti #$B4,$40
	01931A B2 10 41		sti #$10,$41
01931D	01931D 20 95 15		jsr $1595
	019320 8E A2 CB		stx $CBA2
	019323 5F 86 02		bbr 5,$86,$019328
	019326 B7 87		smb 3,$87
019328	019328 20 37 1E		jsr $1E37
	01932B 4C 38 17		jmp $1738

01932E	01932E CE B0 CB		dec $CBB0
	019331 B2 B1 40		sti #$B1,$40
	019334 B2 10 41		sti #$10,$41
	019337 FF 49 06		bbs 7,$49,$019340
	01933A B2 AE 40		sti #$AE,$40
	01933D B2 10 41		sti #$10,$41
019340	019340 20 88 15		jsr $1588
	019343 D0 03		bne $019348
	019345 4C 70 13		jmp $1370

019348	019348 B2 BD 40		sti #$BD,$40
	01934B B2 10 41		sti #$10,$41
	01934E FF 49 06		bbs 7,$49,$019357
	019351 B2 BA 40		sti #$BA,$40
	019354 B2 10 41		sti #$10,$41
019357	019357 20 88 15		jsr $1588
	01935A D0 11		bne $01936d
	01935C BD A2 CB		lda $CBA2,x
	01935F 4A		lsr a
	019360 90 0B		bcc $01936d
	019362 A9 81		lda #$81
	019364 8D AA CB		sta $CBAA
	019367 A9 13		lda #$13
	019369 8D AB CB		sta $CBAB
	01936C 60		rts

01936D	01936D 4C C9 10		jmp $10C9

019370	019370 8F 89 06		bbs 0,$89,$019379
	019373 20 8B 12		jsr $128B
	019376 BF 86 05		bbs 3,$86,$01937e
019379	019379 A9 43		lda #$43'C'
	01937B 4C 7F 1A		jmp $1A7F

01937E	01937E 4C 78 1A		jmp $1A78

019381	019381 20 BC 12		jsr $12BC
	019384 4C CB 12		jmp $12CB

019387	019387 AD B0 CB		lda $CBB0
	01938A D0 12		bne $01939e
	01938C 7F 5D 79		bbr 7,$5D,$019408
	01938F 7F 86 03		bbr 7,$86,$019395
	019392 4C 03 14		jmp $1403

019395	019395 1F 8A 03		bbr 1,$8A,$01939b
	019398 8F 8A 68		bbs 0,$8A,$019403
01939B	01939B 4C 82 14		jmp $1482

01939E	01939E CE B0 CB		dec $CBB0
	0193A1 FF 86 2E		bbs 7,$86,$0193d2
	0193A4 B2 BA 40		sti #$BA,$40
	0193A7 B2 10 41		sti #$10,$41
	0193AA FF 49 06		bbs 7,$49,$0193b3
	0193AD B2 BD 40		sti #$BD,$40
	0193B0 B2 10 41		sti #$10,$41
0193B3	0193B3 20 88 15		jsr $1588
	0193B6 D0 03		bne $0193bb
	0193B8 4C 0E 14		jmp $140E

0193BB	0193BB B2 C3 40		sti #$C3,$40
	0193BE B2 10 41		sti #$10,$41
	0193C1 FF 49 06		bbs 7,$49,$0193ca
	0193C4 B2 C0 40		sti #$C0,$40
	0193C7 B2 10 41		sti #$10,$41
0193CA	0193CA 20 88 15		jsr $1588
	0193CD D0 03		bne $0193d2
	0193CF 4C ED 14		jmp $14ED

0193D2	0193D2 B2 B1 40		sti #$B1,$40
	0193D5 B2 10 41		sti #$10,$41
	0193D8 FF 49 06		bbs 7,$49,$0193e1
	0193DB B2 AE 40		sti #$AE,$40
	0193DE B2 10 41		sti #$10,$41
0193E1	0193E1 20 88 15		jsr $1588
	0193E4 D0 03		bne $0193e9
	0193E6 4C 09 14		jmp $1409

0193E9	0193E9 B2 B7 40		sti #$B7,$40
	0193EC B2 10 41		sti #$10,$41
	0193EF FF 49 06		bbs 7,$49,$0193f8
	0193F2 B2 B4 40		sti #$B4,$40
	0193F5 B2 10 41		sti #$10,$41
0193F8	0193F8 20 88 15		jsr $1588
	0193FB D0 03		bne $019400
	0193FD 4C 3E 15		jmp $153E

019400	019400 4C C9 10		jmp $10C9

019403	019403 A9 23		lda #$23'#'
	019405 20 7F 1A		jsr $1A7F
019408	019408 60		rts

019409	019409 A9 43		lda #$43'C'
	01940B 4C 7F 1A		jmp $1A7F

01940E	01940E BD A2 CB		lda $CBA2,x
	019411 4A		lsr a
	019412 8D BF CB		sta $CBBF
	019415 07 8A		rmb 0,$8A
	019417 A9 00		lda #$00
	019419 8D BA CB		sta $CBBA
	01941C AD BF CB		lda $CBBF
	01941F CD BE CB		cmp $CBBE
	019422 F0 15		beq $019439
	019424 90 5C		bcc $019482
	019426 C9 80		cmp #$80
	019428 B0 04		bcs $01942e
	01942A C9 76		cmp #$76'v'
	01942C B0 54		bcs $019482
01942E	01942E A9 42		lda #$42'B'
	019430 8D C7 CB		sta $CBC7
	019433 20 0C 1E		jsr $1E0C
	019436 4C 61 15		jmp $1561

019439	019439 A9 00		lda #$00
	01943B 8D BD CB		sta $CBBD
	01943E 8D B9 CB		sta $CBB9
	019441 0F 88 1F		bbr 0,$88,$019463
	019444 A5 B7		lda $B7
	019446 05 B8		ora $B8
	019448 D0 19		bne $019463
	01944A AF 89 13		bbs 2,$89,$019460
	01944D 20 0C 1E		jsr $1E0C
	019450 CF 86 03		bbs 4,$86,$019456
	019453 1F 88 07		bbr 1,$88,$01945d
019456	019456 20 61 15		jsr $1561
	019459 60		rts

01945A	01945A 4C C9 10		jmp $10C9

01945D	01945D 4C 78 1A		jmp $1A78

019460	019460 4C 6C 14		jmp $146C

019463	019463 20 0C 1E		jsr $1E0C
	019466 AD AF CB		lda $CBAF
	019469 4C A2 15		jmp $15A2

01946C	01946C 07 86		rmb 0,$86
	01946E 67 8A		rmb 6,$8A
	019470 37 89		rmb 3,$89
	019472 27 89		rmb 2,$89
	019474 A9 00		lda #$00
	019476 8D B1 CB		sta $CBB1
	019479 20 28 19		jsr $1928
	01947C 20 4F 19		jsr $194F
	01947F 4C C6 10		jmp $10C6

019482	019482 20 0C 1E		jsr $1E0C
	019485 EE B9 CB		inc $CBB9
	019488 AE B9 CB		ldx $CBB9
	01948B E0 03		cpx #$03
	01948D B0 52		bcs $0194e1
	01948F AD BD CB		lda $CBBD
	019492 F0 51		beq $0194e5
	019494 AD BF CB		lda $CBBF
	019497 CD BE CB		cmp $CBBE
	01949A B0 09		bcs $0194a5
	01949C AD BE CB		lda $CBBE
	01949F 38		sec
	0194A0 ED BF CB		sbc $CBBF
	0194A3 80 0A		bra $0194af

0194A5	0194A5 A9 80		lda #$80
	0194A7 38		sec
	0194A8 ED BF CB		sbc $CBBF
	0194AB 18		clc
	0194AC 6D BE CB		adc $CBBE
0194AF	0194AF 8D B3 CB		sta $CBB3
	0194B2 8D BD CB		sta $CBBD
	0194B5 A9 09		lda #$09
	0194B7 38		sec
	0194B8 ED B3 CB		sbc $CBB3
	0194BB AA		tax
0194BC	0194BC F0 06		beq $0194c4
	0194BE 20 6A 19		jsr $196A
	0194C1 CA		dex
	0194C2 80 F8		bra $0194bc

0194C4	0194C4 AD AF CB		lda $CBAF
	0194C7 AE B9 CB		ldx $CBB9
	0194CA E0 02		cpx #$02
	0194CC D0 0B		bne $0194d9
	0194CE AD AD CB		lda $CBAD
	0194D1 CD AF CB		cmp $CBAF
	0194D4 F0 03		beq $0194d9
	0194D6 8D AF CB		sta $CBAF
0194D9	0194D9 20 B9 15		jsr $15B9
	0194DC 97 87		smb 1,$87
	0194DE 4C FA 16		jmp $16FA

0194E1	0194E1 A9 44		lda #$44'D'
	0194E3 80 02		bra $0194e7

0194E5	0194E5 A9 41		lda #$41'A'
0194E7	0194E7 8D C7 CB		sta $CBC7
	0194EA 4C 61 15		jmp $1561

0194ED	0194ED BD A2 CB		lda $CBA2,x
	0194F0 4A		lsr a
	0194F1 8D BF CB		sta $CBBF
	0194F4 07 8A		rmb 0,$8A
	0194F6 AD BA CB		lda $CBBA
	0194F9 D0 0C		bne $019507
	0194FB A9 C8		lda #$C8
	0194FD 8D 14 02		sta $0214
	019500 A9 00		lda #$00
	019502 8D 15 02		sta $0215
	019505 17 5E		rmb 1,$5E
019507	019507 A9 15		lda #$15
	019509 8D AA CB		sta $CBAA
	01950C A9 15		lda #$15
	01950E 8D AB CB		sta $CBAB
	019511 60		rts

019512	019512 4C C9 10		jmp $10C9

019515	019515 1F 5E 25		bbr 1,$5E,$01953d
	019518 AD BA CB		lda $CBBA
	01951B C9 03		cmp #$03
	01951D B0 12		bcs $019531
	01951F A9 C8		lda #$C8
	019521 8D 14 02		sta $0214
	019524 A9 00		lda #$00
	019526 8D 15 02		sta $0215
	019529 17 5E		rmb 1,$5E
	01952B EE BA CB		inc $CBBA
	01952E 4C 67 15		jmp $1567

019531	019531 A9 28		lda #$28'('
	019533 8D C7 CB		sta $CBC7
	019536 A9 04		lda #$04
	019538 85 A9		sta $A9
	01953A 4C 61 15		jmp $1561

01953D	01953D 60		rts

01953E	01953E 7F 86 05		bbr 7,$86,$019546
	019541 D7 86		smb 5,$86
	019543 4C 78 1A		jmp $1A78

019546	019546 4C 82 14		jmp $1482

019549	019549 B2 B1 40		sti #$B1,$40
	01954C B2 10 41		sti #$10,$41
	01954F 7F 49 06		bbr 7,$49,$019558
	019552 B2 AE 40		sti #$AE,$40
	019555 B2 10 41		sti #$10,$41
019558	019558 20 95 15		jsr $1595
	01955B 8E A2 CB		stx $CBA2
	01955E B7 87		smb 3,$87
	019560 60		rts

019561	019561 20 49 15		jsr $1549
	019564 4C 38 17		jmp $1738

019567	019567 B2 BA 40		sti #$BA,$40
	01956A B2 10 41		sti #$10,$41
	01956D FF 49 06		bbs 7,$49,$019576
	019570 B2 BD 40		sti #$BD,$40
	019573 B2 10 41		sti #$10,$41
019576	019576 20 95 15		jsr $1595
	019579 E8		inx
	01957A 8E A2 CB		stx $CBA2
	01957D AD BF CB		lda $CBBF
	019580 38		sec
	019581 2A		rol a
	019582 9D A2		sta $A2,x
	019584 CB		phi
	019585 4C 38 17		jmp $1738

019588	019588 A2 FF		ldx #$FF
01958A	01958A E8		inx
	01958B B1 40		lda ($40),x
	01958D F0 05		beq $019594
	01958F DD A2 CB		cmp $CBA2,x
	019592 F0 F6		beq $01958a
019594	019594 60		rts

019595	019595 A2 00		ldx #$00
019597	019597 B1 40		lda ($40),x
	019599 F0 06		beq $0195a1
	01959B E8		inx
	01959C 9D A2		sta $A2,x
	01959E CB		phi
	01959F 80 F6		bra $019597

0195A1	0195A1 60		rts

0195A2	0195A2 48		pha
	0195A3 20 F9 1D		jsr $1DF9
	0195A6 A9 00		lda #$00
	0195A8 8D B3 CB		sta $CBB3
	0195AB 8D BD CB		sta $CBBD
	0195AE 20 7A 19		jsr $197A
	0195B1 20 9F 19		jsr $199F
	0195B4 17 87		rmb 1,$87
	0195B6 27 87		rmb 2,$87
	0195B8 68		pla
	0195B9 4F 86 03		bbr 4,$86,$0195bf
	0195BC 4C 61 15		jmp $1561

0195BF	0195BF 48		pha
	0195C0 20 08 0B		jsr $0B08
	0195C3 77 87		rmb 7,87
	0195C5 FA		plx
	0195C6 20 EA 17		jsr $17EA
	0195C9 A9 41		lda #$41'A'
	0195CB 8D AA CB		sta $CBAA
	0195CE A9 0E		lda #$0E
	0195D0 8D AB CB		sta $CBAB
	0195D3 EF 87 06		bbs 6,$87,$0195dc
	0195D6 20 37 1E		jsr $1E37
	0195D9 20 E2 16		jsr $16E2
0195DC	0195DC 60		rts

0195DD	0195DD AE B7 CB		ldx $CBB7
	0195E0 E8		inx
	0195E1 EF 87 03		bbs 6,$87,$0195e7
	0195E4 FF 87 23		bbs 7,$87,$01960a
0195E7	0195E7 B1 D9		lda ($D9),x
	0195E9 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	0195EC 8E B7 CB		stx $CBB7
	0195EF 6F 87 04		bbr 6,$87,$0195f6
	0195F2 E0 02		cpx #$02
	0195F4 F0 04		beq $0195fa
0195F6	0195F6 E0 03		cpx #$03
	0195F8 D0 0F		bne $019609
0195FA	0195FA A9 4D		lda #$4D'M'
	0195FC 8D 6F 02		sta $026F
	0195FF A9 E4		lda #$E4
	019601 8D 70 02		sta $0270
	019604 A9 00		lda #$00
	019606 8D B7 CB		sta $CBB7
019609	019609 60		rts

01960A	01960A EC A2 CB		cpx $CBA2
	01960D D0 08		bne $019617
	01960F C2 02 0A 06	rba $02,$060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	019613 C2 20 1E 06	rba $20,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
019617	019617 BD A2 CB		lda $CBA2,x
	01961A 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	01961D 8E B7 CB		stx $CBB7
	019620 60		rts

019621	019621 A1 D9		lda ($D9)
	019623 CD B7 CB		cmp $CBB7
	019626 D0 08		bne $019630
	019628 C2 02 0A 06	rba $02,$060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	01962C C2 20 1E 06	rba $20,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
019630	019630 AE B7 CB		ldx $CBB7
	019633 B1 DB		lda ($DB),x
	019635 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	019638 EE B7 CB		inc $CBB7
	01963B 60		rts

01963C	01963C 20 05 17		jsr $1705
	01963F 20 0A 25		jsr $250A
	019642 90 09		bcc $01964d
019644	019644 5F 5E 05		bbr 5,$5E,$01964c
	019647 A9 29		lda #$29')'
	019649 20 7F 1A		jsr $1A7F
01964C	01964C 60		rts

01964D	01964D 48		pha
	01964E 20 8F 19		jsr $198F
	019651 A2 01		ldx #$01
	019653 A5 D5		lda $D5
	019655 85 40		sta $40
	019657 A5 D6		lda $D6
	019659 85 41		sta $41
	01965B A9 03		lda #$03
	01965D FF 49 02		bbs 7,$49,$019662
	019660 A9 01		lda #$01
019662	019662 20 EF 1D		jsr $1DEF
	019665 AD BE CB		lda $CBBE
	019668 0A		asl a
	019669 20 EF 1D		jsr $1DEF
	01966C EE BE CB		inc $CBBE
	01966F AD BE CB		lda $CBBE
	019672 C9 80		cmp #$80
	019674 90 05		bcc $01967b
	019676 A9 00		lda #$00
	019678 8D BE CB		sta $CBBE
01967B	01967B AD BF CB		lda $CBBF
	01967E 0A		asl a
	01967F 20 EF 1D		jsr $1DEF
	019682 A9 94		lda #$94
	019684 8D AA CB		sta $CBAA
	019687 A9 16		lda #$16
	019689 8D AB CB		sta $CBAB
	01968C A9 00		lda #$00
	01968E 8D B8 CB		sta $CBB8
	019691 68		pla
	019692 80 1F		bra $0196b3

019694	019694 20 05 17		jsr $1705
	019697 8F 88 07		bbs 0,$88,$0196a1
	01969A 20 0A 25		jsr $250A
	01969D 90 14		bcc $0196b3
	01969F 80 A3		bra $019644

0196A1	0196A1 20 0A 25		jsr $250A
	0196A4 90 0D		bcc $0196b3
	0196A6 AE B8 CB		ldx $CBB8
	0196A9 CA		dex
	0196AA 8A		txa
	0196AB 81 D5		sta ($D5)
	0196AD EE BD CB		inc $CBBD
	0196B0 4C ED 16		jmp $16ED

0196B3	0196B3 AE B8 CB		ldx $CBB8
	0196B6 91 D7		sta ($D7),x
	0196B8 20 37 1E		jsr $1E37
	0196BB E8		inx
	0196BC F0 04		beq $0196c2
	0196BE 8E B8 CB		stx $CBB8
	0196C1 60		rts

0196C2	0196C2 CA		dex
	0196C3 8A		txa
	0196C4 81 D5		sta ($D5)
	0196C6 EE BD CB		inc $CBBD
	0196C9 AD BD CB		lda $CBBD
	0196CC C9 09		cmp #$09
	0196CE D0 03		bne $0196d3
	0196D0 4C ED 16		jmp $16ED

0196D3	0196D3 0F 88 09		bbr 0,$88,$0196df
	0196D6 A5 B7		lda $B7
	0196D8 05 B8		ora $B8
	0196DA D0 03		bne $0196df
	0196DC 4C ED 16		jmp $16ED

0196DF	0196DF EE B3 CB		inc $CBB3
	0196E2 A9 3C		lda #$3C'<'
	0196E4 8D AA CB		sta $CBAA
	0196E7 A9 16		lda #$16
	0196E9 8D AB CB		sta $CBAB
	0196EC 60		rts

0196ED	0196ED 97 87		smb 1,$87
	0196EF A2 03		ldx #$03
	0196F1 B1 D5		lda ($D5),x
	0196F3 09 01		ora #$01
	0196F5 91 D5		sta ($D5),x
	0196F7 EE B3 CB		inc $CBB3
	0196FA A9 05		lda #$05
	0196FC 8D AA CB		sta $CBAA
	0196FF A9 17		lda #$17
	019701 8D AB CB		sta $CBAB
	019704 60		rts

019705	019705 F2 1E 06 20 2D	bas $061E,$20,$019737	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01970A E2 0A 06 02 28	bar $060A,$02,$019737	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	01970F AD B3 CB		lda $CBB3
	019712 F0 0B		beq $01971f
	019714 A7 87		smb 2,$87
	019716 CE B3 CB		dec $CBB3
	019719 20 6A 19		jsr $196A
	01971C 4C 9B 0E		jmp $0E9B

01971F	01971F 2F 87 15		bbr 2,$87,$019737
	019722 1F 87 12		bbr 1,$87,$019737
	019725 27 87		rmb 2,$87
	019727 17 87		rmb 1,$87
	019729 A2 0A		ldx #$0A
	01972B 20 BB F2		jsr $F2BB
	01972E 1F 89 03		bbr 1,$89,$019734
	019731 4C 78 1A		jmp $1A78

019734	019734 20 C6 10		jsr $10C6
019737	019737 60		rts

019738	019738 FF 86 1D		bbs 7,$86,$019758
	01973B F2 31 01 04 18	bas $0131,$04,$019758
	019740 20 8B 12		jsr $128B
	019743 CF 89 0F		bbs 4,$89,$019755
	019746 AD C7 CB		lda $CBC7
	019749 C9 11		cmp #$11
	01974B F0 05		beq $019752
	01974D A9 11		lda #$11
	01974F 4C 7F 1A		jmp $1A7F

019752	019752 4C 85 1A		jmp $1A85

019755	019755 4C 78 1A		jmp $1A78

019758	019758 9F 8B 06		bbs 1,$8B,$019761
	01975B 8F 86 06		bbs 0,$86,$019764
	01975E 4F 86 03		bbr 4,$86,$019764
019761	019761 20 49 15		jsr $1549
019764	019764 20 F9 1D		jsr $1DF9
	019767 AD AC CB		lda $CBAC
	01976A 20 08 0B		jsr $0B08
	01976D F7 87		smb 7,$87
	01976F AE AC CB		ldx $CBAC
	019772 20 EA 17		jsr $17EA
	019775 F7 87		smb 7,$87
	019777 A9 84		lda #$84
	019779 8D AA CB		sta $CBAA
	01977C A9 17		lda #$17
	01977E 8D AB CB		sta $CBAB
	019781 4C 9B 0E		jmp $0E9B

019784	019784 20 FC 11		jsr $11FC
	019787 F2 1E 06 20 29	bas $061E,$20,$0197b5	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01978C E2 0A 06 02 24	bar $060A,$02,$0197b5	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	019791 AE AC CB		ldx $CBAC
	019794 BD 0D 18		lda $180D,x
	019797 AA		tax
	019798 20 28 1E		jsr $1E28
	01979B 20 F9 1D		jsr $1DF9
	01979E BF 87 15		bbs 3,$87,$0197b6
	0197A1 BF 89 03		bbs 3,$89,$0197a7
	0197A4 4C C6 10		jmp $10C6

0197A7	0197A7 A9 07		lda #$07
	0197A9 89 03		add #$03
	0197AB AA		tax
	0197AC 20 16 1E		jsr $1E16
	0197AF AD AF CB		lda $CBAF
	0197B2 20 A2 15		jsr $15A2
0197B5	0197B5 60		rts

0197B6	0197B6 9F 8B 1E		bbs 1,$8B,$0197d7
	0197B9 CF 86 2B		bbs 4,$86,$0197e7
	0197BC 7F 86 18		bbr 7,$86,$0197d7
	0197BF 8F 86 25		bbs 0,$86,$0197e7
	0197C2 20 62 11		jsr $1162
	0197C5 A9 04		lda #$04
	0197C7 E0 09		cpx #$09
	0197C9 F0 06		beq $0197d1
	0197CB E0 08		cpx #$08
	0197CD D0 05		bne $0197d4
	0197CF A9 03		lda #$03
0197D1	0197D1 20 E8 24		jsr $24E8
0197D4	0197D4 4C 71 1A		jmp $1A71

0197D7	0197D7 AD C7 CB		lda $CBC7
	0197DA F0 0B		beq $0197e7
	0197DC C9 89		cmp #$89
	0197DE F0 F4		beq $0197d4
	0197E0 C9 2B		cmp #$2B'+'
	0197E2 F0 F0		beq $0197d4
	0197E4 4C 7F 1A		jmp $1A7F

0197E7	0197E7 4C 78 1A		jmp $1A78

0197EA	0197EA 20 4B 18		jsr $184B
	0197ED DA		phx
	0197EE 20 1A 18		jsr $181A
	0197F1 C2 10 05 06	rba $10,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	0197F5 20 43 F5		jsr $F543{rtson}
0197F8	0197F8 E2 0F 06 20 FB	bar $060F,$20,$0197f8	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	0197FD FA		plx
	0197FE BD 05 18		lda $1805,x
	019801 AA		tax
	019802 4C 28 1E		jmp $1E28

019805	019805 50 20		bvc $019827
	019807 03		tip
	019808 06 05		asl $05			;Cx9	port B select (R/W)
	01980A 03		tip
	01980B 03		tip
	01980C 02		mpy
	01980D 37 20		rmb 3,$20		;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	01980F 0A		asl a
	019810 0A		asl a
	019811 0A		asl a
	019812 0A		asl a
	019813 0A		asl a
	019814 0A		asl a
	019815 20 8F 18		jsr $188F
	019818 F7 87		smb 7,$87
	01981A 20 B0 F3		jsr $F3B0
	01981D D2 10 05 06	sba $10,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	019821 BD 43 18		lda $1843,x
	019824 CD 12 06		cmp $0612		;DPi configuration (CONF)
019827	019827 F0 19		beq $019842
	019829 48		pha
	01982A 20 09 1F		jsr $1F09
	01982D 68		pla
	01982E 20 00 1D		jsr $1D00
	019831 8D 12 06		sta $0612		;DPi configuration (CONF)
	019834 20 EB F3		jsr $F3EB
	019837 A0 01		ldy #$01
	019839 20 36 F4		jsr $F436
	01983C 20 77 FA		jsr $FA77{newc_w}
	01983F 20 BF E1		jsr $E1BF
019842	019842 60		rts

019843	019843 A8		tay
	019844 02		mpy
	019845 14		???			;undocumented opcode
	019846 11 B8		ora ($B8),x
	019848 B4 B2		ldy $B2,x
	01984A B1 E0		lda ($E0),x
	01984C 00		brk
	01984D F0 3C		beq $01988b
	01984F E0 04		cpx #$04
	019851 B0 0A		bcs $01985d
	019853 27 8A		rmb 2,$8A
	019855 37 8A		rmb 3,$8A
	019857 C2 01 04 06	rba $01,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	01985B 80 2E		bra $01988b

01985D	01985D AD C3 CB		lda $CBC3
	019860 C9 00		cmp #$00
	019862 F0 05		beq $019869
	019864 EC C3 CB		cpx $CBC3
	019867 D0 0B		bne $019874
019869	019869 AD C2 CB		lda $CBC2
	01986C C9 00		cmp #$00
	01986E F0 0C		beq $01987c
	019870 C9 04		cmp #$04
	019872 B0 08		bcs $01987c
019874	019874 A7 8A		smb 2,$8A
	019876 C2 01 04 06	rba $01,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	01987A 80 0F		bra $01988b

01987C	01987C 8F 8A F5		bbs 0,$8A,$019874
	01987F 2F 8A F2		bbr 2,$8A,$019874
	019882 F2 04 06 01 04	bas $0604,$01,$01988b	;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	019887 D2 01 04 06	sba $01,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
01988B	01988B 8E C3 CB		stx $CBC3
	01988E 60		rts

01988F	01988F E0 00		cpx #$00
	019891 F0 37		beq $0198ca
	019893 E0 04		cpx #$04
	019895 B0 0A		bcs $0198a1
	019897 27 8A		rmb 2,$8A
	019899 37 8A		rmb 3,$8A
	01989B C2 01 04 06	rba $01,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	01989F 80 29		bra $0198ca

0198A1	0198A1 AD C2 CB		lda $CBC2
	0198A4 C9 00		cmp #$00
	0198A6 F0 05		beq $0198ad
	0198A8 EC C2 CB		cpx $CBC2
	0198AB D0 0B		bne $0198b8
0198AD	0198AD AD C3 CB		lda $CBC3
	0198B0 C9 00		cmp #$00
	0198B2 F0 0C		beq $0198c0
	0198B4 C9 04		cmp #$04
	0198B6 B0 08		bcs $0198c0
0198B8	0198B8 B7 8A		smb 3,$8A
	0198BA C2 01 04 06	rba $01,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	0198BE 80 0A		bra $0198ca

0198C0	0198C0 9F 8A F5		bbs 1,$8A,$0198b8
	0198C3 3F 8A F2		bbr 3,$8A,$0198b8
	0198C6 D2 01 04 06	sba $01,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
0198CA	0198CA 8E C2 CB		stx $CBC2
	0198CD 60		rts

0198CE	0198CE 57 57		rmb 5,$57
	0198D0 A9 03		lda #$03
	0198D2 8D 3F 02		sta $023F		; E303 - ring
	0198D5 A9 E3		lda #$E3
	0198D7 8D 40 02		sta $0240
	0198DA D7 57		smb 5,$57
	0198DC 67 57		rmb 6,$57
	0198DE 37 61		rmb 3,$61
	0198E0 17 61		rmb 1,$61
	0198E2 27 88		rmb 2,$88
	0198E4 F2 31 01 20 03	bas $0131,$20,$0198ec
	0198E9 4C C7 1E		jmp $1EC7

0198EC	0198EC A9 07		lda #$07
	0198EE 8D 10 02		sta $0210
	0198F1 A9 00		lda #$00
	0198F3 8D 11 02		sta $0211
	0198F6 77 5D		rmb 7,5D
0198F8	0198F8 7F 5D FD		bbr 7,$5D,$0198f8
	0198FB 5F 86 04		bbr 5,$86,$019902
	0198FE D7 66		smb 5,$66
	019900 80 0D		bra $01990f

019902	019902 E2 32 01 08 05	bar $0132,$08,$01990c
	019907 20 69 1E		jsr $1E69
	01990A 80 03		bra $01990f

01990C	01990C 20 5D 1E		jsr $1E5D
01990F	01990F 20 F9 1D		jsr $1DF9
	019912 20 94 E2		jsr $E294
	019915 4C B1 EE		jmp $EEB1

019918	019918 A5 E3		lda $E3
	01991A 89 07		add #$07
	01991C 85 E3		sta $E3
	01991E A5 E4		lda $E4
	019920 69 01		adc #$01
	019922 85 E4		sta $E4
	019924 C9 C2		cmp #$C2
	019926 D0 08		bne $019930
	019928 A9 00		lda #$00
	01992A 85 E3		sta $E3
	01992C A9 B0		lda #$B0
	01992E 85 E4		sta $E4
019930	019930 A5 E3		lda $E3
	019932 89 02		add #$02
	019934 85 E1		sta $E1
	019936 A5 E4		lda $E4
	019938 69 00		adc #$00
	01993A 85 E2		sta $E2
	01993C 57 89		rmb 5,$89
	01993E 60		rts

01993F	01993F A5 DF		lda $DF
	019941 89 07		add #$07
	019943 85 DF		sta $DF
	019945 A5 E0		lda $E0
	019947 69 01		adc #$01
	019949 85 E0		sta $E0
	01994B C9 C2		cmp #$C2
	01994D D0 08		bne $019957
	01994F A9 00		lda #$00
	019951 85 DF		sta $DF
	019953 A9 B0		lda #$B0
	019955 85 E0		sta $E0
019957	019957 A5 DF		lda $DF
	019959 89 02		add #$02
	01995B 85 DD		sta $DD
	01995D 81 DF		sta ($DF)
	01995F A5 E0		lda $E0
	019961 69 00		adc #$00
	019963 85 DE		sta $DE
	019965 A2 01		ldx #$01
	019967 91 DF		sta ($DF),x
	019969 60		rts

01996A	01996A A5 D9		lda $D9
	01996C 89 04		add #$04
	01996E 85 D9		sta $D9
	019970 A5 DA		lda $DA
	019972 69 01		adc #$01
	019974 85 DA		sta $DA
	019976 C9 CB		cmp #$CB
	019978 D0 08		bne $019982
	01997A A9 7E		lda #$7E'~'
	01997C 85 D9		sta $D9
	01997E A9 C2		lda #$C2
	019980 85 DA		sta $DA
019982	019982 A5 D9		lda $D9
	019984 89 04		add #$04
	019986 85 DB		sta $DB
	019988 A5 DA		lda $DA
	01998A 69 00		adc #$00
	01998C 85 DC		sta $DC
	01998E 60		rts

01998F	01998F A5 D5		lda $D5
	019991 89 04		add #$04
	019993 85 D5		sta $D5
	019995 A5 D6		lda $D6
	019997 69 01		adc #$01
	019999 85 D6		sta $D6
	01999B C9 CB		cmp #$CB
	01999D D0 08		bne $0199a7
	01999F A9 7E		lda #$7E'~'
	0199A1 85 D5		sta $D5
	0199A3 A9 C2		lda #$C2
	0199A5 85 D6		sta $D6
0199A7	0199A7 A5 D5		lda $D5
	0199A9 89 04		add #$04
	0199AB 85 D7		sta $D7
	0199AD A5 D6		lda $D6
	0199AF 69 00		adc #$00
	0199B1 85 D8		sta $D8
	0199B3 60		rts

0199B4	0199B4 8F 88 0B		bbs 0,$88,$0199c2
	0199B7 0F 86 08		bbr 0,$86,$0199c2
	0199BA AF 89 05		bbs 2,$89,$0199c2
	0199BD 48		pha
	0199BE 20 2D E3		jsr $E32D
	0199C1 68		pla
0199C2	0199C2 C9 10		cmp #$10
	0199C4 D0 0A		bne $0199d0
	0199C6 7F 8A 04		bbr 7,$8A,$0199cd
	0199C9 77 8A		rmb 7,8A
	0199CB 80 02		bra $0199cf

0199CD	0199CD F7 8A		smb 7,$8A
0199CF	0199CF 60		rts

0199D0	0199D0 7F 8A FC		bbr 7,$8A,$0199cf
	0199D3 77 8A		rmb 7,8A
	0199D5 C9 18		cmp #$18
	0199D7 D0 11		bne $0199ea
	0199D9 20 24 E3		jsr $E324
	0199DC AF 89 03		bbs 2,$89,$0199e2
	0199DF 8F 86 12		bbs 0,$86,$0199f4
0199E2	0199E2 20 CD 1A		jsr $1ACD
	0199E5 87 88		smb 0,$88
	0199E7 C7 86		smb 4,$86
	0199E9 60		rts

0199EA	0199EA 0F 86 E2		bbr 0,$86,$0199cf
	0199ED AF 89 DF		bbs 2,$89,$0199cf
	0199F0 C9 04		cmp #$04
	0199F2 D0 05		bne $0199f9
0199F4	0199F4 87 88		smb 0,$88
	0199F6 97 88		smb 1,$88
	0199F8 60		rts

0199F9	0199F9 C9 1B		cmp #$1B
	0199FB D0 05		bne $019a02
	0199FD 87 88		smb 0,$88
	0199FF 97 89		smb 1,$89
	019A01 60		rts

019A02	019A02 C9 03		cmp #$03
	019A04 F0 06		beq $019a0c
	019A06 C9 17		cmp #$17
	019A08 D0 C5		bne $0199cf
	019A0A 87 8B		smb 0,$8B
019A0C	019A0C 87 88		smb 0,$88
	019A0E A7 89		smb 2,$89
	019A10 60		rts

019A11	019A11 CF 89 53		bbs 4,$89,$019a67
	019A14 C9 10		cmp #$10
	019A16 D0 0B		bne $019a23
	019A18 6F 8A 04		bbr 6,$8A,$019a1f
	019A1B 67 8A		rmb 6,$8A
	019A1D 80 42		bra $019a61

019A1F	019A1F E7 8A		smb 6,$8A
	019A21 80 3E		bra $019a61

019A23	019A23 6F 8A 39		bbr 6,$8A,$019a5f
	019A26 C9 04		cmp #$04
	019A28 F0 04		beq $019a2e
	019A2A C9 18		cmp #$18
	019A2C D0 09		bne $019a37
019A2E	019A2E E2 31 01 04 25	bar $0131,$04,$019a58
	019A33 B7 86		smb 3,$86
	019A35 80 28		bra $019a5f

019A37	019A37 C9 1B		cmp #$1B
	019A39 D0 04		bne $019a3f
	019A3B C7 89		smb 4,$89
	019A3D 80 20		bra $019a5f

019A3F	019A3F C9 03		cmp #$03
	019A41 D0 02		bne $019a45
	019A43 80 04		bra $019a49

019A45	019A45 C9 17		cmp #$17
	019A47 D0 16		bne $019a5f
019A49	019A49 8F 8B 0A		bbs 0,$8B,$019a56
	019A4C E2 31 01 04 07	bar $0131,$04,$019a58
	019A51 20 68 1A		jsr $1A68
	019A54 80 09		bra $019a5f

019A56	019A56 97 8B		smb 1,$8B
019A58	019A58 A9 11		lda #$11
	019A5A 8D C7 CB		sta $CBC7
	019A5D A9 18		lda #$18
019A5F	019A5F 67 8A		rmb 6,$8A
019A61	019A61 CF 86 03		bbs 4,$86,$019a67
	019A64 20 9C 08		jsr $089C
019A67	019A67 60		rts

019A68	019A68 B7 89		smb 3,$89
	019A6A 87 86		smb 0,$86
	019A6C 77 8A		rmb 7,8A
	019A6E 07 88		rmb 0,$88
	019A70 60		rts

019A71	019A71 A9 FF		lda #$FF
	019A73 85 A9		sta $A9
	019A75 4C CE 18		jmp $18CE

019A78	019A78 A9 00		lda #$00
	019A7A 85 A9		sta $A9
	019A7C 4C CE 18		jmp $18CE

019A7F	019A7F 8D C7 CB		sta $CBC7
	019A82 20 8C 1A		jsr $1A8C
	019A85 A9 04		lda #$04
	019A87 85 A9		sta $A9
	019A89 4C CE 18		jmp $18CE

019A8C	019A8C EF 87 3D		bbs 6,$87,$019acc
	019A8F FF 86 3A		bbs 7,$86,$019acc
	019A92 9F 88 37		bbs 1,$88,$019acc
	019A95 CF 86 34		bbs 4,$86,$019acc
	019A98 BF 86 31		bbs 3,$86,$019acc
	019A9B 9F 8B 2E		bbs 1,$8B,$019acc
	019A9E 20 D7 FD		jsr $FDD7{scli}
	019AA1 20 F9 1D		jsr $1DF9
	019AA4 20 26 FD		jsr $FD26
	019AA7 2F 74 06		bbr 2,$74,$019ab0
	019AAA AD B7 03		lda $03B7
	019AAD 20 05 FE		jsr $FE05{out}
019AB0	019AB0 EF 8A 05		bbs 6,$8A,$019ab8
	019AB3 A9 10		lda #$10
	019AB5 20 05 FE		jsr $FE05{out}
019AB8	019AB8 A9 18		lda #$18
	019ABA 20 05 FE		jsr $FE05{out}
	019ABD A9 64		lda #$64'd'
	019ABF 8D 10 02		sta $0210
	019AC2 A9 00		lda #$00
	019AC4 8D 11 02		sta $0211
	019AC7 77 5D		rmb 7,5D
019AC9	019AC9 7F 5D FD		bbr 7,$5D,$019ac9
019ACC	019ACC 60		rts

019ACD	019ACD EF 8A 05		bbs 6,$8A,$019ad5
	019AD0 A9 10		lda #$10
	019AD2 20 05 FE		jsr $FE05{out}
019AD5	019AD5 A9 04		lda #$04
	019AD7 4C 05 FE		jmp $FE05{out}

019ADA	019ADA B2 00 47		sti #$00,$47
	019ADD B2 38 46		sti #$38'8',$46
	019AE0 B2 02 45		sti #$02,$45
	019AE3 B2 80 44		sti #$80,$44
	019AE6 20 B0 31		jsr $31B0
	019AE9 B2 00 47		sti #$00,$47
	019AEC B2 52 46		sti #$52'R',$46
	019AEF B2 02 45		sti #$02,$45
	019AF2 B2 81 44		sti #$81,$44
	019AF5 20 B0 31		jsr $31B0
	019AF8 B2 00 47		sti #$00,$47
	019AFB B2 8E 46		sti #$8E,$46
	019AFE B2 02 45		sti #$02,$45
	019B01 B2 82 44		sti #$82,$44
	019B04 20 B0 31		jsr $31B0
	019B07 B2 00 47		sti #$00,$47
	019B0A B2 67 46		sti #$67'g',$46
	019B0D B2 02 45		sti #$02,$45
	019B10 B2 83 44		sti #$83,$44
	019B13 20 B0 31		jsr $31B0
	019B16 60		rts

019B17	019B17 B2 00 47		sti #$00,$47
	019B1A B2 BB 46		sti #$BB,$46
	019B1D B2 02 45		sti #$02,$45
	019B20 B2 80 44		sti #$80,$44
	019B23 20 B0 31		jsr $31B0
	019B26 B2 00 47		sti #$00,$47
	019B29 B2 4B 46		sti #$4B'K',$46
	019B2C B2 02 45		sti #$02,$45
	019B2F B2 81 44		sti #$81,$44
	019B32 20 B0 31		jsr $31B0
	019B35 B2 00 47		sti #$00,$47
	019B38 B2 C7 46		sti #$C7,$46
	019B3B B2 02 45		sti #$02,$45
	019B3E B2 82 44		sti #$82,$44
	019B41 20 B0 31		jsr $31B0
	019B44 B2 00 47		sti #$00,$47
	019B47 B2 61 46		sti #$61'a',$46
	019B4A B2 02 45		sti #$02,$45
	019B4D B2 83 44		sti #$83,$44
	019B50 20 B0 31		jsr $31B0
	019B53 60		rts

019B54	019B54 20 34 1D		jsr $1D34
	019B57 B2 3C 40		sti #$3C'<',$40
	019B5A B2 1C 41		sti #$1C,$41
	019B5D B2 32 42		sti #$32'2',$42
	019B60 B2 1C 43		sti #$1C,$43
	019B63 20 DD 1B		jsr $1BDD
	019B66 B2 50 40		sti #$50'P',$40
	019B69 B2 1C 41		sti #$1C,$41
	019B6C B2 37 42		sti #$37'7',$42
	019B6F B2 1C 43		sti #$1C,$43
	019B72 20 DD 1B		jsr $1BDD
	019B75 27 8B		rmb 2,$8B
	019B77 20 6C 31		jsr $316C
	019B7A F0 0B		beq $019b87
	019B7C 20 8C 1B		jsr $1B8C
	019B7F A7 8B		smb 2,$8B
019B81	019B81 20 39 1D		jsr $1D39
	019B84 4C 23 1D		jmp $1D23

019B87	019B87 20 7C 1D		jsr $1D7C
	019B8A 80 F5		bra $019b81

019B8C	019B8C B2 64 40		sti #$64'd',$40
	019B8F B2 1C 41		sti #$1C,$41
	019B92 B2 2D 42		sti #$2D'-',$42
	019B95 B2 1C 43		sti #$1C,$43
	019B98 4C DD 1B		jmp $1BDD

019B9B	019B9B AF 8B 09		bbs 2,$8B,$019ba7
	019B9E 20 00 1D		jsr $1D00
	019BA1 20 8C 1B		jsr $1B8C
	019BA4 20 7C 1D		jsr $1D7C
019BA7	019BA7 20 34 1D		jsr $1D34
	019BAA 20 CD 1D		jsr $1DCD
	019BAD B2 78 40		sti #$78'x',$40
	019BB0 B2 1C 41		sti #$1C,$41
	019BB3 B2 32 42		sti #$32'2',$42
	019BB6 B2 1C 43		sti #$1C,$43
	019BB9 20 DD 1B		jsr $1BDD
	019BBC 20 44 1D		jsr $1D44
	019BBF 20 4F 1D		jsr $1D4F
	019BC2 4C 23 1D		jmp $1D23

019BC5	019BC5 A2 00		ldx #$00
	019BC7 4C 18 18		jmp $1818

019BCA	019BCA 20 42 F9		jsr $F942
	019BCD 29 03		and #$03
	019BCF C9 03		cmp #$03
	019BD1 60		rts

019BD2	019BD2 4C 3C F9		jmp $F93C

019BD5	019BD5 20 42 F9		jsr $F942
	019BD8 29 06		and #$06
	019BDA C9 06		cmp #$06
	019BDC 60		rts

019BDD	019BDD A0 00		ldy #$00
	019BDF A2 01		ldx #$01
019BE1	019BE1 B1 40		lda ($40),x
	019BE3 85 47		sta $47
	019BE5 A1 40		lda ($40)
	019BE7 85 46		sta $46
	019BE9 A9 0A		lda #$0A
	019BEB 85 45		sta $45
019BED	019BED A1 42		lda ($42)
	019BEF 85 44		sta $44
	019BF1 20 B0 31		jsr $31B0
	019BF4 18		clc
	019BF5 A5 40		lda $40
	019BF7 69 0A		adc #$0A
	019BF9 85 40		sta $40
	019BFB A5 41		lda $41
	019BFD 69 00		adc #$00
	019BFF 85 41		sta $41
	019C01 B1 40		lda ($40),x
	019C03 85 47		sta $47
	019C05 A1 40		lda ($40)
	019C07 85 46		sta $46
	019C09 A9 0B		lda #$0B
	019C0B 85 45		sta $45
	019C0D A1 42		lda ($42)
	019C0F 85 44		sta $44
	019C11 20 B0 31		jsr $31B0
	019C14 38		sec
	019C15 A5 40		lda $40
	019C17 E9 08		sbc #$08
	019C19 85 40		sta $40
	019C1B A5 41		lda $41
	019C1D E9 00		sbc #$00
	019C1F 85 41		sta $41
	019C21 E6 42		inc $42
	019C23 D0 02		bne $019c27
	019C25 E6 43		inc $43
019C27	019C27 C8		iny
	019C28 C0 05		cpy #$05
	019C2A D0 B5		bne $019be1
	019C2C 60		rts

019C2D	019C2D A1 A2		lda ($A2)
	019C2F A3		???			;undocumented opcode
	019C30 A4 A5		ldy $A5
	019C32 A7 A8		smb 2,$A8
	019C34 A9 AA		lda #$AA
	019C36 AB		lan
	019C37 AD AE AF		lda $AFAE
	019C3A B0 B1		bcs $019bed
	019C3C 12		mpa
	019C3D 03		tip
	019C3E B8		clv
	019C3F FD CC 03		sbc $03CC,x
	019C42 C3		???			;undocumented opcode
	019C43 C0 86		cpy #$86
	019C45 C9 12		cmp #$12
	019C47 03		tip
	019C48 A1 05		lda ($05)		;Cx9	port B select (R/W)
	019C4A CC 03 C3		cpy $C303
	019C4D C0 85		cpy #$85
	019C4F C8		iny
	019C50 86 01		stx $01			;Cx9	port B (output only)
	019C52 D9 FE E3		cmp $E3FE,y
	019C55 01 C3		ora ($C3)
	019C57 C0 55		cpy #$55'U'
	019C59 97 86		smb 1,$86
	019C5B 01 76		ora ($76)
	019C5D 01 E3		ora ($E3)
	019C5F 01 C3		ora ($C3)
	019C61 C0 B4		cpy #$B4
	019C63 96 3B		stx $3B,y		;Cx9	serial line control register
	019C65 14		???			;undocumented opcode
	019C66 51 00		eor ($00),x		;Cx9	port A (bidirectional)
	019C68 50 14		bvc $019c7e
	019C6A 65 C1		adc $C1
	019C6C 2A		rol a
	019C6D DE 3B 14		dec $143B,x
	019C70 C1 15		cmp ($15)		;Cx9 TBLC, TBUC-TBS, TBLL
	019C72 50 14		bvc $019c88
	019C74 65 C1		adc $C1
	019C76 EE D9 4D		inc $4DD9
	019C79 15 2F		ora $2F,x		;Cx9	host handshake register
	019C7B 16 57		asl $57,x
	019C7D 15 65		ora $65,x
	019C7F C1 66		cmp ($66)
	019C81 A4 4D		ldy $4D
	019C83 15 2E		ora $2E,x		;Cx9 SP RAM E
	019C85 26 57		rol $57
	019C87 15 65		ora $65,x
	019C89 C1 1D		cmp ($1D)		;Cx9	bank switch register 5 (R/W)
	019C8B A1 CF		lda ($CF)
	019C8D 61 33		adc ($33)		;Cx9	chip select fast/slow
	019C8F E2 32 01 10 2E	bar $0132,$10,$019cc2
	019C94 AD 70 86		lda $8670
	019C97 C9 05		cmp #$05
	019C99 F0 04		beq $019c9f
	019C9B C9 06		cmp #$06
	019C9D D0 05		bne $019ca4
019C9F	019C9F 20 6C 31		jsr $316C
	019CA2 F0 1E		beq $019cc2
019CA4	019CA4 F2 32 01 08 20	bas $0132,$08,$019cc9
	019CA9 20 9E 31		jsr $319E
	019CAC 90 3B		bcc $019ce9
	019CAE FF 88 0E		bbs 7,$88,$019cbf
	019CB1 A9 0A		lda #$0A
	019CB3 8D 8E 9A		sta $9A8E
	019CB6 A9 00		lda #$00
	019CB8 8D 8F 9A		sta $9A8F
	019CBB 07 60		rmb 0,$60
	019CBD F7 88		smb 7,$88
019CBF	019CBF 0F 60 29		bbr 0,$60,$019ceb
019CC2	019CC2 D2 08 32 01	sba $08,$0132
	019CC6 77 88		rmb 7,88
	019CC8 60		rts

019CC9	019CC9 20 9E 31		jsr $319E
	019CCC B0 1B		bcs $019ce9
	019CCE FF 88 0E		bbs 7,$88,$019cdf
	019CD1 A9 14		lda #$14
	019CD3 8D 8E 9A		sta $9A8E
	019CD6 A9 00		lda #$00
	019CD8 8D 8F 9A		sta $9A8F
	019CDB 07 60		rmb 0,$60
	019CDD F7 88		smb 7,$88
019CDF	019CDF 0F 60 09		bbr 0,$60,$019ceb
	019CE2 20 5D 1E		jsr $1E5D
	019CE5 C2 08 32 01	rba $08,$0132
019CE9	019CE9 77 88		rmb 7,88
019CEB	019CEB 60		rts

019CEC	019CEC 20 F9 1D		jsr $1DF9
	019CEF A9 83		lda #$83
	019CF1 20 00 1D		jsr $1D00
	019CF4 20 2B F8		jsr $F82B
	019CF7 20 34 1D		jsr $1D34
	019CFA 4C 43 F5		jmp $F543{rtson}

019CFD	019CFD 4C 48 F5		jmp $F548{rtsoff}

019D00	019D00 48		pha
	019D01 20 6C 31		jsr $316C
	019D04 D0 1B		bne $019d21
	019D06 A9 76		lda #$76'v'
	019D08 8D 12 06		sta $0612		;DPi configuration (CONF)
	019D0B 20 77 FA		jsr $FA77{newc_w}
	019D0E A9 00		lda #$00
	019D10 8D 14 06		sta $0614		;DPi handshake abort code (ABCODE)
	019D13 20 13 F6		jsr $F613
	019D16 A9 00		lda #$00
	019D18 20 4E F6		jsr $F64E
	019D1B AD 26 01		lda $0126
	019D1E 20 92 F5		jsr $F592
019D21	019D21 68		pla
	019D22 60		rts

019D23	019D23 C2 20 0B 06	rba $20,$060B		;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	019D27 C2 40 0B 06	rba $40,$060B		;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	019D2B C2 80 0B 06	rba $80,$060B		;DPi TONEx/ATV25/ATBEL/DISDET/EQMAT
	019D2F D2 80 02 06	sba $80,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	019D33 60		rts

019D34	019D34 C2 80 02 06	rba $80,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	019D38 60		rts

019D39	019D39 A9 A0		lda #$A0
	019D3B 85 40		sta $40
	019D3D A9 B7		lda #$B7
	019D3F 85 41		sta $41
	019D41 4C 5A 1D		jmp $1D5A

019D44	019D44 A9 A0		lda #$A0
	019D46 85 40		sta $40
	019D48 A9 A6		lda #$A6
	019D4A 85 41		sta $41
	019D4C 4C 5A 1D		jmp $1D5A

019D4F	019D4F A9 A6		lda #$A6
	019D51 85 40		sta $40
	019D53 A9 AC		lda #$AC
	019D55 85 41		sta $41
	019D57 4C 5A 1D		jmp $1D5A

019D5A	019D5A A9 00		lda #$00
	019D5C 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	019D5F 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	019D62 A9 A8		lda #$A8
	019D64 20 69 1D		jsr $1D69
	019D67 A9 A9		lda #$A9
	019D69 A6 40		ldx $40
019D6B	019D6B 8E 1C 06		stx $061C		;DPi memory access addr LSB (MEADDL)
	019D6E 8D 1D 06		sta $061D		;DPi MEACC/MEMW/MEMCR/addr bits 8-11
019D71	019D71 F2 1D 06 80 FB	bas $061D,$80,$019d71	;DPi MEACC/MEMW/MEMCR/addr bits 8-11
	019D76 E8		inx
	019D77 E4 41		cpx $41
	019D79 D0 F0		bne $019d6b
	019D7B 60		rts

019D7C	019D7C B2 16 47		sti #$16,$47
	019D7F B2 80 46		sti #$80,$46
	019D82 B2 0A 45		sti #$0A,$45
	019D85 B2 B9 44		sti #$B9,$44
	019D88 20 B0 31		jsr $31B0
	019D8B B2 14 47		sti #$14,$47
	019D8E B2 80 46		sti #$80,$46
	019D91 B2 0B 45		sti #$0B,$45
	019D94 B2 B9 44		sti #$B9,$44
	019D97 20 B0 31		jsr $31B0
	019D9A B2 12 47		sti #$12,$47
	019D9D B2 00 46		sti #$00,$46
	019DA0 B2 0A 45		sti #$0A,$45
	019DA3 B2 BA 44		sti #$BA,$44
	019DA6 20 B0 31		jsr $31B0
	019DA9 B2 10 47		sti #$10,$47
	019DAC B2 00 46		sti #$00,$46
	019DAF B2 0B 45		sti #$0B,$45
	019DB2 B2 BA 44		sti #$BA,$44
	019DB5 20 B0 31		jsr $31B0
	019DB8 B2 07 47		sti #$07,$47
	019DBB B2 30 46		sti #$30'0',$46
	019DBE B2 0A 45		sti #$0A,$45
	019DC1 B2 B8 44		sti #$B8,$44
	019DC4 20 B0 31		jsr $31B0
	019DC7 B2 0B 45		sti #$0B,$45
	019DCA 4C B0 31		jmp $31B0

019DCD	019DCD B2 08 47		sti #$08,$47
	019DD0 B2 50 46		sti #$50'P',$46
	019DD3 B2 0A 45		sti #$0A,$45
	019DD6 B2 B9 44		sti #$B9,$44
	019DD9 20 B0 31		jsr $31B0
	019DDC B2 0B 45		sti #$0B,$45
	019DDF 4C B0 31		jmp $31B0

019DE2	019DE2 20 A8 F8		jsr $F8A8
	019DE5 29 F0		and #$F0
	019DE7 C9 B0		cmp #$B0
	019DE9 60		rts

019DEA	019DEA B1 40		lda ($40),x
	019DEC E8		inx
	019DED 88		dey
	019DEE 60		rts

019DEF	019DEF 91 40		sta ($40),x
	019DF1 E8		inx
	019DF2 C8		iny
	019DF3 60		rts

019DF4	019DF4 A9 20		lda #$20' '
	019DF6 4C 05 FE		jmp $FE05{out}

019DF9	019DF9 20 62 F4		jsr $F462
	019DFC 20 72 F4		jsr $F472
	019DFF C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	019E03 4C 48 F5		jmp $F548{rtsoff}

019E06	019E06 E2 1E 06 08 FB	bar $061E,$08,$019e06	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	019E0B 60		rts

019E0C	019E0C 20 FC 11		jsr $11FC
	019E0F F2 0F 06 80 F8	bas $060F,$80,$019e0c	;DPi RLSD/FED/CTS/DSR/RI/TM/RTSDT
	019E14 A2 0A		ldx #$0A
	019E16 8A		txa
	019E17 8D 8E 9A		sta $9A8E
	019E1A A9 00		lda #$00
	019E1C 8D 8F 9A		sta $9A8F
	019E1F 07 60		rmb 0,$60
019E21	019E21 20 FC 11		jsr $11FC
	019E24 0F 60 FA		bbr 0,$60,$019e21
	019E27 60		rts

019E28	019E28 8A		txa
	019E29 49 FF		eor #$FF
	019E2B 8D CC 00		sta $00CC
019E2E	019E2E 20 FC 11		jsr $11FC
	019E31 AD CC 00		lda $00CC
	019E34 30 F8		bmi $019e2e
	019E36 60		rts

019E37	019E37 A9 91		lda #$91
	019E39 8D 1C 02		sta $021C
	019E3C A9 00		lda #$00
	019E3E 8D 1D 02		sta $021D
	019E41 57 5E		rmb 5,$5E
	019E43 60		rts

019E44	019E44 D7 66		smb 5,$66
	019E46 80 05		bra $019e4d

019E48	019E48 57 66		rmb 5,$66
	019E4A 4C 69 1E		jmp $1E69

019E4D	019E4D C7 61		smb 4,$61
	019E4F AD 4B 03		lda $034B
	019E52 20 13 E2		jsr $E213
	019E55 20 BA 1E		jsr $1EBA
	019E58 A9 00		lda #$00
	019E5A 4C B8 FC		jmp $FCB8

019E5D	019E5D DF 66 08		bbs 5,$66,$019e68
	019E60 47 61		rmb 4,$61
	019E62 AD 49 03		lda $0349
	019E65 20 13 E2		jsr $E213
019E68	019E68 60		rts

019E69	019E69 DF 66 E1		bbs 5,$66,$019e4d
	019E6C 47 61		rmb 4,$61
	019E6E 4C 71 1E		jmp $1E71

019E71	019E71 20 BA 1E		jsr $1EBA
	019E74 AD 70 86		lda $8670
	019E77 C9 05		cmp #$05
	019E79 F0 14		beq $019e8f
	019E7B C9 06		cmp #$06
	019E7D F0 10		beq $019e8f
	019E7F 20 6C 31		jsr $316C
	019E82 D0 30		bne $019eb4
	019E84 20 00 1D		jsr $1D00
	019E87 20 10 31		jsr $3110
	019E8A 20 CB 0B		jsr $0BCB
	019E8D 80 25		bra $019eb4

019E8F	019E8F A2 02		ldx #$02
	019E91 20 0D E2		jsr $E20D
	019E94 AD 70 86		lda $8670
	019E97 C9 05		cmp #$05
	019E99 F0 0E		beq $019ea9
	019E9B 20 6C 31		jsr $316C
	019E9E F0 09		beq $019ea9
	019EA0 20 E5 F3		jsr $F3E5
	019EA3 20 A9 30		jsr $30A9
	019EA6 20 CB 0B		jsr $0BCB
019EA9	019EA9 20 3A F6		jsr $F63A
	019EAC 77 A2		rmb 7,A2
	019EAE AD 4C 03		lda $034C
	019EB1 4C 13 E2		jmp $E213

019EB4	019EB4 AD 4A 03		lda $034A
	019EB7 4C 13 E2		jmp $E213

019EBA	019EBA F7 A2		smb 7,$A2
	019EBC 20 2A F6		jsr $F62A
	019EBF 20 0A E2		jsr $E20A
	019EC2 A2 03		ldx #$03
	019EC4 4C 0D E2		jmp $E20D

019EC7	019EC7 A9 00		lda #$00
	019EC9 85 A9		sta $A9
	019ECB E2 32 01 08 20	bar $0132,$08,$019ef0
	019ED0 A5 9B		lda $9B
	019ED2 29 0F		and #$0F
	019ED4 C9 08		cmp #$08
	019ED6 D0 18		bne $019ef0
	019ED8 AD 4C 03		lda $034C
	019EDB 20 13 E2		jsr $E213
	019EDE A9 00		lda #$00
	019EE0 8D DD 00		sta $00DD
	019EE3 A9 D4		lda #$D4
	019EE5 8D D7 00		sta $00D7
	019EE8 A9 6B		lda #$6B'k'
	019EEA 8D D8 00		sta $00D8
	019EED C7 61		smb 4,$61
	019EEF 60		rts

019EF0	019EF0 E7 9B		smb 6,$9B
	019EF2 97 65		smb 1,$65
	019EF4 5F 66 0A		bbr 5,$66,$019f01
	019EF7 20 C9 E0		jsr $E0C9
	019EFA D7 66		smb 5,$66
	019EFC 20 D3 31		jsr $31D3
	019EFF 80 03		bra $019f04

019F01	019F01 20 C9 E0		jsr $E0C9
019F04	019F04 67 9B		rmb 6,$9B
	019F06 4C 5D 1E		jmp $1E5D

019F09	019F09 AD 12 06		lda $0612		;DPi configuration (CONF)
	019F0C C9 11		cmp #$11
	019F0E D0 0B		bne $019f1b
	019F10 A9 14		lda #$14
	019F12 20 00 1D		jsr $1D00
	019F15 8D 12 06		sta $0612		;DPi configuration (CONF)
	019F18 20 77 FA		jsr $FA77{newc_w}
019F1B	019F1B 60		rts

019F1C	019F1C 77 61		rmb 7,$61
	019F1E E2 31 01 20 2E	bar $0131,$20,$019f51
	019F23 57 88		rmb 5,$88
	019F25 47 88		rmb 4,$88
	019F27 AD C7 CB		lda $CBC7
	019F2A 8D C8 CB		sta $CBC8
	019F2D A9 00		lda #$00
	019F2F 8D C7 CB		sta $CBC7
	019F32 B2 34 42		sti #$34'4',$42
	019F35 B2 20 43		sti #$20' ',$43
	019F38 A2 FF		ldx #$FF
019F3A	019F3A E8		inx
	019F3B A5 A7		lda $A7
	019F3D 85 40		sta $40
	019F3F A5 A8		lda $A8
	019F41 85 41		sta $41
	019F43 20 CA 1F		jsr $1FCA
	019F46 F0 0C		beq $019f54
	019F48 A1 42		lda ($42)
	019F4A D0 EE		bne $019f3a
019F4C	019F4C A9 81		lda #$81
	019F4E 8D C7 CB		sta $CBC7
019F51	019F51 4C 3F E0		jmp $E03F{004E16}

019F54	019F54 A5 40		lda $40
	019F56 85 A7		sta $A7
	019F58 A5 41		lda $41
	019F5A 85 A8		sta $A8
	019F5C B2 5F 42		sti #$5F'_',$42
	019F5F B2 20 43		sti #$20' ',$43
	019F62 8A		txa
	019F63 0A		asl a
	019F64 0A		asl a
	019F65 AA		tax
	019F66 B1 42		lda ($42),x
	019F68 85 40		sta $40
	019F6A E8		inx
	019F6B B1 42		lda ($42),x
	019F6D 85 41		sta $41
	019F6F E8		inx
	019F70 B1 42		lda ($42),x
	019F72 85 44		sta $44
	019F74 E8		inx
	019F75 B1 42		lda ($42),x
	019F77 C9 FF		cmp #$FF
	019F79 D0 08		bne $019f83
	019F7B DF 88 CE		bbs 5,$88,$019f4c
	019F7E CF 88 CB		bbs 4,$88,$019f4c
	019F81 80 34		bra $019fb7

019F83	019F83 8F 47 C6		bbs 0,$47,$019f4c
	019F86 C9 FE		cmp #$FE
	019F88 D0 08		bne $019f92
	019F8A CF 88 2A		bbs 4,$88,$019fb7
	019F8D 5F 88 BC		bbr 5,$88,$019f4c
	019F90 80 0A		bra $019f9c

019F92	019F92 C9 FD		cmp #$FD
	019F94 D0 0B		bne $019fa1
	019F96 DF 88 B3		bbs 5,$88,$019f4c
	019F99 4F 88 B0		bbr 4,$88,$019f4c
019F9C	019F9C A5 44		lda $44
	019F9E 4C DC 24		jmp $24DC

019FA1	019FA1 CF 88 13		bbs 4,$88,$019fb7
	019FA4 5F 88 03		bbr 5,$88,$019faa
	019FA7 4C DC 24		jmp $24DC

019FAA	019FAA A6 44		ldx $44
	019FAC E0 00		cpx #$00
	019FAE F0 07		beq $019fb7
	019FB0 E8		inx
	019FB1 8A		txa
	019FB2 20 25 E2		jsr $E225
	019FB5 B0 95		bcs $019f4c
019FB7	019FB7 20 C7 1F		jsr $1FC7
	019FBA A1 A7		lda ($A7)
	019FBC C9 3B		cmp #$3B';'
	019FBE D0 06		bne $019fc6
	019FC0 E6 A7		inc $A7
	019FC2 D0 02		bne $019fc6
	019FC4 E6 A8		inc $A8
019FC6	019FC6 60		rts

019FC7	019FC7 6C 40 00		jmp ($0040)

019FCA	019FCA A1 42		lda ($42)
	019FCC D0 11		bne $019fdf
	019FCE A1 40		lda ($40)
	019FD0 C9 41		cmp #$41'A'
	019FD2 90 04		bcc $019fd8
	019FD4 C9 5B		cmp #$5B'['
	019FD6 90 23		bcc $019ffb
019FD8	019FD8 20 04 20		jsr $2004
	019FDB A9 00		lda #$00
	019FDD 80 24		bra $01a003

019FDF	019FDF C1 40		cmp ($40)
	019FE1 D0 0E		bne $019ff1
	019FE3 E6 40		inc $40
	019FE5 D0 02		bne $019fe9
	019FE7 E6 41		inc $41
019FE9	019FE9 E6 42		inc $42
	019FEB D0 02		bne $019fef
	019FED E6 43		inc $43
019FEF	019FEF 80 D9		bra $019fca

019FF1	019FF1 E6 42		inc $42
	019FF3 D0 02		bne $019ff7
	019FF5 E6 43		inc $43
019FF7	019FF7 A1 42		lda ($42)
	019FF9 D0 F6		bne $019ff1
019FFB	019FFB E6 42		inc $42
	019FFD D0 02		bne $01a001
	019FFF E6 43		inc $43
01A001	01A001 A9 01		lda #$01
01A003	01A003 60		rts

01A004	01A004 A1 40		lda ($40)
	01A006 C9 3F		cmp #$3F'?'
	01A008 F0 07		beq $01a011
	01A00A C9 3D		cmp #$3D'='
	01A00C F0 0D		beq $01a01b
	01A00E 87 47		smb 0,$47
	01A010 60		rts

01A011	01A011 E6 40		inc $40
	01A013 D0 02		bne $01a017
	01A015 E6 41		inc $41
01A017	01A017 C7 88		smb 4,$88
	01A019 80 16		bra $01a031

01A01B	01A01B E6 40		inc $40
	01A01D D0 02		bne $01a021
	01A01F E6 41		inc $41
01A021	01A021 A1 40		lda ($40)
	01A023 C9 3F		cmp #$3F'?'
	01A025 F0 02		beq $01a029
	01A027 80 08		bra $01a031

01A029	01A029 E6 40		inc $40
	01A02B D0 02		bne $01a02f
	01A02D E6 41		inc $41
01A02F	01A02F D7 88		smb 5,$88
01A031	01A031 07 47		rmb 0,$47
	01A033 60		rts

01A034	01A034			.asciz /VV/
	01A037			.asciz /AC/
	01A03A			.asciz /IP/
	01A03D			.asciz /IC/
	01A040			.asciz /SQ/
	01A043			.asciz /DA/
	01A046			.asciz /FX/
	01A049			.asciz /MT/
	01A04C			.asciz /QR/
	01A04F			.asciz /CD/
	01A052			.asciz /ER/
	01A055			.asciz /SP/
	01A058			.asciz /SR/
	01A05B			.asciz /DS/

	01A05E 00		brk
	01A05F DD 20 00		cmp $0020,x		;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	01A062 FF F5 20		bbs 7,$F5,$01a085
	01A065 01 FF		ora ($FF)
	01A067 70 21		bvs $01a08a
	01A069 01 FF		ora ($FF)
	01A06B 85 21		sta $21			;Cx9 SP RAM 1
	01A06D 01 FF		ora ($FF)
	01A06F 1A		neg a
	01A070 21 01		and ($01)		;Cx9	port B (output only)
	01A072 FF 2E 21		bbs 7,$2E,$01a096	;Cx9 SP RAM E
	01A075 01 FF		ora ($FF)
	01A077 4F 21 01		bbr 4,$21,$01a07b	;Cx9 SP RAM 1
	01A07A FF C1 21		bbs 7,$C1,$01a09e
	01A07D 01 00		ora ($00)		;Cx9	port A (bidirectional)
	01A07F F5 21		sbc $21,x		;Cx9 SP RAM 1
	01A081 01 00		ora ($00)		;Cx9	port A (bidirectional)
	01A083 3A		asr a
	01A084 22		psh
01A085	01A085 00		brk
	01A086 0A		asl a
	01A087 FC		???			;undocumented opcode
	01A088 23		phw
	01A089 FF FE 13		bbs 7,$FE,$01a09f
	01A08C 24 00		bit $00			;Cx9	port A (bidirectional)
	01A08E 01 B2		ora ($B2)
	01A090 24 01		bit $01			;Cx9	port B (output only)
	01A092 00		brk
	01A093 16 22		asl $22,x		;Cx9 SP RAM 2
	01A095 01 00		ora ($00)		;Cx9	port A (bidirectional)
	01A097 C2 08 32 01	rba $08,$0132
	01A09B 57 66		rmb 5,$66
	01A09D 67 57		rmb 6,$57
01A09F	01A09F 57 57		rmb 5,$57
	01A0A1 A9 03		lda #$03
	01A0A3 8D 3F 02		sta $023F		; E303 - ring
	01A0A6 A9 E3		lda #$E3
	01A0A8 8D 40 02		sta $0240
	01A0AB D7 57		smb 5,$57
	01A0AD 20 8F 31		jsr $318F
	01A0B0 B0 03		bcs $01a0b5
	01A0B2 20 5D 1E		jsr $1E5D
01A0B5	01A0B5 A9 00		lda #$00
	01A0B7 8D C7 CB		sta $CBC7
	01A0BA 8D AC CB		sta $CBAC
	01A0BD A9 01		lda #$01
	01A0BF 8D AD CB		sta $CBAD
	01A0C2 A9 02		lda #$02
	01A0C4 8D AE CB		sta $CBAE
	01A0C7 A9 04		lda #$04
	01A0C9 8D C6 CB		sta $CBC6
	01A0CC C2 02 31 01	rba $02,$0131
	01A0D0 D2 04 31 01	sba $04,$0131
	01A0D4 C2 80 31 01	rba $80,$0131
	01A0D8 D2 10 32 01	sba $10,$0132
	01A0DC 60		rts

01A0DD	01A0DD E2 32 01 08 0B	bar $0132,$08,$01a0ed
	01A0E2 27 57		rmb 2,$57
	01A0E4 A2 00		ldx #$00
	01A0E6 4C C1 09		jmp $09C1

01A0E9	01A0E9 A9 89		lda #$89
	01A0EB 80 02		bra $01a0ef

01A0ED	01A0ED A9 83		lda #$83
01A0EF	01A0EF 8D C7 CB		sta $CBC7
	01A0F2 4C 3F E0		jmp $E03F{004E16}

01A0F5	01A0F5 27 57		rmb 2,$57
	01A0F7 6F 88 0C		bbr 6,$88,$01a106
	01A0FA 67 88		rmb 6,$88
	01A0FC A9 01		lda #$01
	01A0FE 85 A9		sta $A9
	01A100 20 94 E2		jsr $E294
	01A103 4C E6 0A		jmp $0AE6

01A106	01A106 A9 2B		lda #$2B'+'
	01A108 8D C7 CB		sta $CBC7
	01A10B AD C8 CB		lda $CBC8
	01A10E C9 2B		cmp #$2B'+'
	01A110 F0 05		beq $01a117
	01A112 A9 89		lda #$89
	01A114 8D C7 CB		sta $CBC7
01A117	01A117 4C 3F E0		jmp $E03F{004E16}

01A11A	01A11A E2 32 01 08 07	bar $0132,$08,$01a126
	01A11F 27 57		rmb 2,$57
	01A121 A2 04		ldx #$04
	01A123 4C C1 09		jmp $09C1

01A126	01A126 A9 85		lda #$85
	01A128 8D C7 CB		sta $CBC7
	01A12B 4C 3F E0		jmp $E03F{004E16}

01A12E	01A12E E2 32 01 08 14	bar $0132,$08,$01a147
	01A133 E2 32 01 01 0B	bar $0132,$01,$01a143
	01A138 27 57		rmb 2,$57
	01A13A D2 01 31 01	sba $01,$0131
	01A13E A2 06		ldx #$06
	01A140 4C C1 09		jmp $09C1

01A143	01A143 A9 89		lda #$89
	01A145 80 02		bra $01a149

01A147	01A147 A9 83		lda #$83
01A149	01A149 8D C7 CB		sta $CBC7
	01A14C 4C 3F E0		jmp $E03F{004E16}

01A14F	01A14F E2 32 01 08 14	bar $0132,$08,$01a168
	01A154 E2 32 01 02 0B	bar $0132,$02,$01a164
	01A159 27 57		rmb 2,$57
	01A15B C2 01 31 01	rba $01,$0131
	01A15F A2 06		ldx #$06
	01A161 4C C1 09		jmp $09C1

01A164	01A164 A9 89		lda #$89
	01A166 80 02		bra $01a16a

01A168	01A168 A9 83		lda #$83
01A16A	01A16A 8D C7 CB		sta $CBC7
	01A16D 4C 3F E0		jmp $E03F{004E16}

01A170	01A170 A9 01		lda #$01
	01A172 20 25 E2		jsr $E225
	01A175 B0 06		bcs $01a17d
	01A177 20 85 21		jsr $2185
	01A17A 4C B5 20		jmp $20B5

01A17D	01A17D A9 82		lda #$82
	01A17F 8D C7 CB		sta $CBC7
	01A182 4C 3F E0		jmp $E03F{004E16}

01A185	01A185 A2 FF		ldx #$FF
01A187	01A187 E8		inx
	01A188 BD BC 21		lda $21BC,x
	01A18B 9D C9		sta $C9,x
	01A18D CB		phi
	01A18E E0 04		cpx #$04
	01A190 D0 F5		bne $01a187
	01A192 E8		inx
	01A193 E2 74 01 01 04	bar $0174,$01,$01a19c
	01A198 A9 05		lda #$05
	01A19A 80 02		bra $01a19e

01A19C	01A19C A9 01		lda #$01
01A19E	01A19E E2 2E 01 04 02	bar $012E,$04,$01a1a5
	01A1A3 09 08		ora #$08
01A1A5	01A1A5 9D C9		sta $C9,x
	01A1A7 CB		phi
	01A1A8 E8		inx
	01A1A9 8E C7 CC		stx $CCC7
	01A1AC 86 43		stx $43
	01A1AE 20 4A 23		jsr $234A
	01A1B1 B0 01		bcs $01a1b4
	01A1B3 60		rts

01A1B4	01A1B4 A9 84		lda #$84
	01A1B6 8D C7 CB		sta $CBC7
	01A1B9 4C 3F E0		jmp $E03F{004E16}

01A1BC	01A1BC 44		???			;undocumented opcode
	01A1BD 7D 41 1B		adc $1B41,x
	01A1C0 02		mpy
	01A1C1 CF 88 25		bbs 4,$88,$01a1e9
	01A1C4 0A		asl a
	01A1C5 0A		asl a
	01A1C6 0A		asl a
	01A1C7 0A		asl a
	01A1C8 0A		asl a
	01A1C9 0A		asl a
	01A1CA 0A		asl a
	01A1CB 48		pha
	01A1CC A9 7F		lda #$7F
	01A1CE 2D 31 01		and $0131
	01A1D1 8D 31 01		sta $0131
	01A1D4 68		pla
	01A1D5 0D 31 01		ora $0131
	01A1D8 8D 31 01		sta $0131
	01A1DB E2 31 01 80 05	bar $0131,$80,$01a1e5
	01A1E0 20 44 1E		jsr $1E44
	01A1E3 80 03		bra $01a1e8

01A1E5	01A1E5 20 48 1E		jsr $1E48
01A1E8	01A1E8 60		rts

01A1E9	01A1E9 A9 00		lda #$00
	01A1EB E2 31 01 80 02	bar $0131,$80,$01a1f2
	01A1F0 A9 01		lda #$01
01A1F2	01A1F2 4C 28 E2		jmp $E228

01A1F5	01A1F5 CF 88 12		bbs 4,$88,$01a20a
	01A1F8 0A		asl a
	01A1F9 48		pha
	01A1FA A9 FD		lda #$FD
	01A1FC 2D 31 01		and $0131
	01A1FF 8D 31 01		sta $0131
	01A202 68		pla
	01A203 0D 31 01		ora $0131
	01A206 8D 31 01		sta $0131
	01A209 60		rts

01A20A	01A20A A9 00		lda #$00
	01A20C E2 31 01 02 02	bar $0131,$02,$01a213
	01A211 A9 01		lda #$01
01A213	01A213 4C 28 E2		jmp $E228

01A216	01A216 CF 88 15		bbs 4,$88,$01a22e
	01A219 0A		asl a
	01A21A 0A		asl a
	01A21B 0A		asl a
	01A21C 0A		asl a
	01A21D 48		pha
	01A21E A9 EF		lda #$EF
	01A220 2D 32 01		and $0132
	01A223 8D 32 01		sta $0132
	01A226 68		pla
	01A227 0D 32 01		ora $0132
	01A22A 8D 32 01		sta $0132
	01A22D 60		rts

01A22E	01A22E A9 00		lda #$00
	01A230 E2 32 01 10 02	bar $0132,$10,$01a237
	01A235 A9 01		lda #$01
01A237	01A237 4C 28 E2		jmp $E228

01A23A	01A23A 4F 88 2B		bbr 4,$88,$01a268
	01A23D 20 14 FE		jsr $FE14{out_crlf}
	01A240 A9 22		lda #$22'"'
	01A242 20 05 FE		jsr $FE05{out}
	01A245 B2 C9 40		sti #$C9,$40
	01A248 B2 CB 41		sti #$CB,$41
	01A24B A2 00		ldx #$00
	01A24D AC C7 CC		ldy $CCC7
01A250	01A250 F0 0E		beq $01a260
	01A252 B1 40		lda ($40),x
	01A254 20 BB E2		jsr $E2BB
	01A257 E8		inx
	01A258 88		dey
	01A259 F0 05		beq $01a260
	01A25B 20 F4 1D		jsr $1DF4
	01A25E 80 F0		bra $01a250

01A260	01A260 A9 22		lda #$22'"'
	01A262 20 05 FE		jsr $FE05{out}
	01A265 4C 14 FE		jmp $FE14{out_crlf}

01A268	01A268 A5 A7		lda $A7
	01A26A 85 40		sta $40
	01A26C A5 A8		lda $A8
	01A26E 85 41		sta $41
	01A270 A1 40		lda ($40)
	01A272 C9 22		cmp #$22'"'
	01A274 D0 1E		bne $01a294
	01A276 A2 00		ldx #$00
01A278	01A278 E6 40		inc $40
	01A27A D0 02		bne $01a27e
	01A27C E6 41		inc $41
01A27E	01A27E A1 40		lda ($40)
	01A280 C9 20		cmp #$20' '
	01A282 F0 18		beq $01a29c
	01A284 C9 22		cmp #$22'"'
	01A286 F0 36		beq $01a2be
	01A288 C9 0D		cmp #$0D
	01A28A F0 08		beq $01a294
	01A28C 20 36 23		jsr $2336
	01A28F B0 25		bcs $01a2b6
	01A291 E8		inx
	01A292 80 0E		bra $01a2a2

01A294	01A294 A9 81		lda #$81
	01A296 8D C7 CB		sta $CBC7
	01A299 4C 3F E0		jmp $E03F

01A29C	01A29C 8A		txa
	01A29D 6A		ror a
	01A29E B0 16		bcs $01a2b6
	01A2A0 80 D6		bra $01a278

01A2A2	01A2A2 8A		txa
	01A2A3 6A		ror a
	01A2A4 B0 D2		bcs $01a278
	01A2A6 E6 40		inc $40
	01A2A8 D0 02		bne $01a2ac
	01A2AA E6 41		inc $41
01A2AC	01A2AC A1 40		lda ($40)
	01A2AE C9 20		cmp #$20' '
	01A2B0 F0 C6		beq $01a278
	01A2B2 C9 22		cmp #$22'"'
	01A2B4 F0 08		beq $01a2be
01A2B6	01A2B6 A9 84		lda #$84
	01A2B8 8D C7 CB		sta $CBC7
	01A2BB 4C 3F E0		jmp $E03F{004E16}

01A2BE	01A2BE E6 40		inc $40
	01A2C0 D0 02		bne $01a2c4
	01A2C2 E6 41		inc $41
01A2C4	01A2C4 A5 40		lda $40
	01A2C6 85 44		sta $44
	01A2C8 A5 41		lda $41
	01A2CA 85 45		sta $45
	01A2CC A5 A7		lda $A7
	01A2CE 85 40		sta $40
	01A2D0 A5 A8		lda $A8
	01A2D2 85 41		sta $41
	01A2D4 E0 00		cpx #$00
	01A2D6 F0 41		beq $01a319
	01A2D8 18		clc
	01A2D9 8A		txa
	01A2DA 6A		ror a
	01A2DB B0 D9		bcs $01a2b6
	01A2DD 85 42		sta $42
	01A2DF A9 FE		lda #$FE
	01A2E1 38		sec
	01A2E2 ED C7 CC		sbc $CCC7
	01A2E5 90 CF		bcc $01a2b6
	01A2E7 E5 42		sbc $42
	01A2E9 90 CB		bcc $01a2b6
	01A2EB AD C7 CC		lda $CCC7
	01A2EE A8		tay
	01A2EF 64 42		add $42
	01A2F1 85 43		sta $43
	01A2F3 A2 01		ldx #$01
01A2F5	01A2F5 20 E4 23		jsr $23E4
	01A2F8 99 C9		sta $C9,y
	01A2FA CB		phi
	01A2FB E8		inx
	01A2FC C8		iny
	01A2FD 98		tya
	01A2FE 38		sec
	01A2FF ED C7 CC		sbc $CCC7
	01A302 C5 42		cmp $42
	01A304 D0 EF		bne $01a2f5
	01A306 20 4A 23		jsr $234A
	01A309 B0 AB		bcs $01a2b6
01A30B	01A30B A5 43		lda $43
	01A30D 8D C7 CC		sta $CCC7
	01A310 A5 44		lda $44
	01A312 85 A7		sta $A7
	01A314 A5 45		lda $45
	01A316 85 A8		sta $A8
	01A318 60		rts

01A319	01A319 A9 FE		lda #$FE
	01A31B A8		tay
	01A31C 88		dey
	01A31D A9 00		lda #$00
01A31F	01A31F 99 C9		sta $C9,y
	01A321 CB		phi
	01A322 88		dey
	01A323 10 FA		bpl $01a31f
	01A325 85 43		sta $43
	01A327 A9 00		lda #$00
	01A329 8D B4 CB		sta $CBB4
	01A32C C2 01 32 01	rba $01,$0132
	01A330 C2 02 32 01	rba $02,$0132
	01A334 80 D5		bra $01a30b

01A336	01A336 C9 30		cmp #$30'0'
	01A338 90 0E		bcc $01a348
	01A33A C9 3A		cmp #$3A':'
	01A33C 90 08		bcc $01a346
	01A33E C9 41		cmp #$41'A'
	01A340 90 06		bcc $01a348
	01A342 C9 47		cmp #$47'G'
	01A344 B0 02		bcs $01a348
01A346	01A346 18		clc
	01A347 60		rts

01A348	01A348 38		sec
	01A349 60		rts

01A34A	01A34A A9 00		lda #$00
	01A34C 8D B4 CB		sta $CBB4
	01A34F 8D B5 CB		sta $CBB5
	01A352 8D B6 CB		sta $CBB6
	01A355 C2 01 32 01	rba $01,$0132
	01A359 C2 02 32 01	rba $02,$0132
	01A35D A5 43		lda $43
	01A35F A8		tay
	01A360 A2 00		ldx #$00
	01A362 B2 C9 40		sti #$C9,$40
	01A365 B2 CB 41		sti #$CB,$41
01A368	01A368 20 EA 1D		jsr $1DEA
	01A36B 20 76 23		jsr $2376
	01A36E B0 05		bcs $01a375
	01A370 C0 00		cpy #$00
	01A372 D0 F4		bne $01a368
	01A374 18		clc
01A375	01A375 60		rts

01A376	01A376 85 42		sta $42
	01A378 DF 42 4D		bbs 5,$42,$01a3c8
	01A37B CF 42 3E		bbs 4,$42,$01a3bc
	01A37E BF 42 5F		bbs 3,$42,$01a3e0
	01A381 8F 42 12		bbs 0,$42,$01a396
	01A384 9F 42 22		bbs 1,$42,$01a3a9
	01A387 6F 42 58		bbr 6,$42,$01a3e2
	01A38A C0 00		cpy #$00
	01A38C F0 54		beq $01a3e2
	01A38E 20 EA 1D		jsr $1DEA
	01A391 8D B4 CB		sta $CBB4
	01A394 80 4A		bra $01a3e0

01A396	01A396 D2 01 32 01	sba $01,$0132
	01A39A 6F 42 43		bbr 6,$42,$01a3e0
	01A39D C0 00		cpy #$00
	01A39F F0 41		beq $01a3e2
	01A3A1 20 EA 1D		jsr $1DEA
	01A3A4 8D B5 CB		sta $CBB5
	01A3A7 80 37		bra $01a3e0

01A3A9	01A3A9 D2 02 32 01	sba $02,$0132
	01A3AD 6F 42 30		bbr 6,$42,$01a3e0
	01A3B0 C0 00		cpy #$00
	01A3B2 F0 2E		beq $01a3e2
	01A3B4 20 EA 1D		jsr $1DEA
	01A3B7 8D B6 CB		sta $CBB6
	01A3BA 80 24		bra $01a3e0

01A3BC	01A3BC 0F 42 07		bbr 0,$42,$01a3c6
	01A3BF F2 2E 01 04 1C	bas $012E,$04,$01a3e0
	01A3C4 80 1C		bra $01a3e2

01A3C6	01A3C6 80 1A		bra $01a3e2

01A3C8	01A3C8 C0 00		cpy #$00
	01A3CA F0 16		beq $01a3e2
	01A3CC 20 EA 1D		jsr $1DEA
	01A3CF C9 00		cmp #$00
	01A3D1 F0 0D		beq $01a3e0
	01A3D3 85 42		sta $42
	01A3D5 C4 42		cpy $42
	01A3D7 90 09		bcc $01a3e2
01A3D9	01A3D9 20 EA 1D		jsr $1DEA
	01A3DC C6 42		dec $42
	01A3DE D0 F9		bne $01a3d9
01A3E0	01A3E0 18		clc
	01A3E1 60		rts

01A3E2	01A3E2 38		sec
	01A3E3 60		rts

01A3E4	01A3E4 B1 40		lda ($40),x
	01A3E6 E8		inx
	01A3E7 C9 20		cmp #$20' '
	01A3E9 F0 F9		beq $01a3e4
	01A3EB 20 C7 E2		jsr $E2C7
	01A3EE 0A		asl a
	01A3EF 0A		asl a
	01A3F0 0A		asl a
	01A3F1 0A		asl a
	01A3F2 85 47		sta $47
	01A3F4 B1 40		lda ($40),x
	01A3F6 20 C7 E2		jsr $E2C7
	01A3F9 05 47		ora $47
	01A3FB 60		rts

01A3FC	01A3FC 20 14 FE		jsr $FE14{out_crlf}
	01A3FF AD C8 CB		lda $CBC8
	01A402 D0 09		bne $01a40d
	01A404 18		clc
	01A405 69 30		adc #$30'0'
	01A407 20 05 FE		jsr $FE05{out}
	01A40A 4C 14 FE		jmp $FE14{out_crlf}

01A40D	01A40D 20 BB E2		jsr $E2BB
	01A410 4C 14 FE		jmp $FE14{out_crlf}

01A413	01A413 CF 88 71		bbs 4,$88,$01a487
	01A416 A5 A7		lda $A7
	01A418 85 40		sta $40
	01A41A A5 A8		lda $A8
	01A41C 85 41		sta $41
	01A41E 20 39 E0		jsr $E039{002EAC}
	01A421 B0 5C		bcs $01a47f
	01A423 C9 00		cmp #$00
	01A425 D0 58		bne $01a47f
	01A427 E6 40		inc $40
	01A429 D0 02		bne $01a42d
	01A42B E6 41		inc $41
01A42D	01A42D 20 39 E0		jsr $E039{002EAC}
	01A430 B0 4D		bcs $01a47f
	01A432 C9 00		cmp #$00
	01A434 F0 49		beq $01a47f
	01A436 C9 08		cmp #$08
	01A438 B0 45		bcs $01a47f
	01A43A E6 40		inc $40
	01A43C D0 02		bne $01a440
	01A43E E6 41		inc $41
01A440	01A440 20 39 E0		jsr $E039{002EAC}
	01A443 B0 3A		bcs $01a47f
	01A445 C9 00		cmp #$00
	01A447 F0 36		beq $01a47f
	01A449 C9 08		cmp #$08
	01A44B B0 32		bcs $01a47f
	01A44D A5 A7		lda $A7
	01A44F 85 40		sta $40
	01A451 A5 A8		lda $A8
	01A453 85 41		sta $41
	01A455 20 39 E0		jsr $E039{002EAC}
	01A458 8D AC CB		sta $CBAC
	01A45B E6 40		inc $40
	01A45D D0 02		bne $01a461
	01A45F E6 41		inc $41
01A461	01A461 20 39 E0		jsr $E039{002EAC}
	01A464 8D AD CB		sta $CBAD
	01A467 E6 40		inc $40
	01A469 D0 02		bne $01a46d
	01A46B E6 41		inc $41
01A46D	01A46D 20 39 E0		jsr $E039{002EAC}
	01A470 8D AE CB		sta $CBAE
	01A473 8D AF CB		sta $CBAF
	01A476 A5 40		lda $40
	01A478 85 A7		sta $A7
	01A47A A5 41		lda $41
	01A47C 85 A8		sta $A8
	01A47E 60		rts

01A47F	01A47F A9 82		lda #$82
	01A481 8D C7 CB		sta $CBC7
	01A484 4C 3F E0		jmp $E03F{004E16}

01A487	01A487 20 14 FE		jsr $FE14{out_crlf}
	01A48A AD AC CB		lda $CBAC
	01A48D 18		clc
	01A48E 69 30		adc #$30'0'
	01A490 20 05 FE		jsr $FE05{out}
	01A493 A9 2C		lda #$2C','
	01A495 20 05 FE		jsr $FE05{out}
	01A498 AD AD CB		lda $CBAD
	01A49B 18		clc
	01A49C 69 30		adc #$30'0'
	01A49E 20 05 FE		jsr $FE05{out}
	01A4A1 A9 2C		lda #$2C','
	01A4A3 20 05 FE		jsr $FE05{out}
	01A4A6 AD AE CB		lda $CBAE
	01A4A9 18		clc
	01A4AA 69 30		adc #$30'0'
	01A4AC 20 05 FE		jsr $FE05{out}
	01A4AF 4C 14 FE		jmp $FE14{out_crlf}

01A4B2	01A4B2 CF 88 13		bbs 4,$88,$01a4c8
	01A4B5 0A		asl a
	01A4B6 0A		asl a
	01A4B7 48		pha
	01A4B8 A9 FB		lda #$FB
	01A4BA 2D 31 01		and $0131
	01A4BD 8D 31 01		sta $0131
	01A4C0 68		pla
	01A4C1 0D 31 01		ora $0131
	01A4C4 8D 31 01		sta $0131
	01A4C7 60		rts

01A4C8	01A4C8 A9 00		lda #$00
	01A4CA E2 31 01 04 02	bar $0131,$04,$01a4d1
	01A4CF A9 01		lda #$01
01A4D1	01A4D1 4C 28 E2		jmp $E228

01A4D4	01A4D4 20 BB E2		jsr $E2BB
	01A4D7 A9 2C		lda #$2C','
	01A4D9 4C 05 FE		jmp $FE05{out}

01A4DC	01A4DC C9 FF		cmp #$FF
	01A4DE F0 07		beq $01a4e7
	01A4E0 C9 0C		cmp #$0C
	01A4E2 B0 03		bcs $01a4e7
	01A4E4 20 E8 24		jsr $24E8
01A4E7	01A4E7 60		rts

01A4E8	01A4E8 48		pha
	01A4E9 20 14 FE		jsr $FE14{out_crlf}
	01A4EC 68		pla
	01A4ED 0A		asl a
	01A4EE AA		tax
	01A4EF A5 40		lda $40
	01A4F1 48		pha
	01A4F2 A5 41		lda $41
	01A4F4 48		pha
	01A4F5 BD 14 25		lda $2514,x
	01A4F8 85 40		sta $40
	01A4FA E8		inx
	01A4FB BD 14 25		lda $2514,x
	01A4FE 85 41		sta $41
	01A500 20 91 E2		jsr $E291
	01A503 68		pla
	01A504 85 41		sta $41
	01A506 68		pla
	01A507 85 40		sta $40
	01A509 60		rts

01A50A	01A50A 20 75 08		jsr $0875
	01A50D 3F 64 03		bbr 3,$64,$01a513
	01A510 20 DA FD		jsr $FDDA
01A513	01A513 60		rts

01A514	01A514 2E 64 34		rol $3464
	01A517 64 4C		add $4C
	01A519 64 53		add $53
	01A51B 64 5A		add $5A
	01A51D 64 61		add $61
	01A51F 64 66		add $66
	01A521 64 6B		add $6B
	01A523 64 71		add $71
	01A525 64 78		add $78
	01A527 64 46		add $46
	01A529 64 C2		add $C2
	01A52B 01 68		ora ($68)
	01A52D 01 E2		ora ($E2)
	01A52F 67 01		rmb 6,$01		;Cx9	port B (output only)
	01A531 08		php
	01A532 5A		phy
	01A533 20 02 E1		jsr $E102
	01A536 F2 67 01 02 1B	bas $0167,$02,$01a556
	01A53B 20 6C 31		jsr $316C
	01A53E D0 24		bne $01a564
	01A540 20 7B E0		jsr $E07B
	01A543 A9 72		lda #$72'r'
	01A545 8D BD 00		sta $00BD
	01A548 A9 E0		lda #$E0
	01A54A 8D BE 00		sta $00BE
	01A54D 48		pha
	01A54E D2 10 52 01	sba $10,$0152
	01A552 68		pla
	01A553 4C EF 25		jmp $25EF

01A556	01A556 A9 14		lda #$14
	01A558 8D 1C 02		sta $021C
	01A55B A9 00		lda #$00
	01A55D 8D 1D 02		sta $021D
	01A560 57 5E		rmb 5,$5E
	01A562 80 32		bra $01a596

01A564	01A564 20 0E E1		jsr $E10E
	01A567 90 24		bcc $01a58d
	01A569 20 02 E1		jsr $E102
	01A56C F2 71 01 02 19	bas $0171,$02,$01a58a
	01A571 F2 71 01 08 14	bas $0171,$08,$01a58a
	01A576 AD CA 04		lda $04CA		;Cx9 CRC	control area
	01A579 F0 05		beq $01a580
	01A57B E2 74 01 01 0A	bar $0174,$01,$01a58a
01A580	01A580 F2 73 01 80 08	bas $0173,$80,$01a58d
	01A585 CF 61 0E		bbs 4,$61,$01a596
	01A588 80 04		bra $01a58e

01A58A	01A58A 4F 61 01		bbr 4,$61,$01a58e
01A58D	01A58D 60		rts

01A58E	01A58E E2 68 01 20 FA	bar $0168,$20,$01a58d
	01A593 DF 66 F7		bbs 5,$66,$01a58d
01A596	01A596 EF 57 03		bbs 6,$57,$01a59c
	01A599 20 69 2F		jsr $2F69
01A59C	01A59C C2 08 03 06	rba $08,$0603		;DPi EPT/SEPT/SRCEN/RLSDE/ARC/SDIS
	01A5A0 C2 04 04 06	rba $04,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	01A5A4 C2 08 04 06	rba $08,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	01A5A8 C2 10 04 06	rba $10,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	01A5AC D2 01 68 01	sba $01,$0168
	01A5B0 C2 10 09 06	rba $10,$0609		;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	01A5B4 B7 67		smb 3,$67
	01A5B6 20 0B E1		jsr $E10B
	01A5B9 37 67		rmb 3,$67
	01A5BB A9 17		lda #$17
	01A5BD 20 59 F7		jsr $F759
	01A5C0 20 0E E1		jsr $E10E
	01A5C3 90 13		bcc $01a5d8
	01A5C5 20 7B E0		jsr $E07B
	01A5C8 A9 72		lda #$72'r'
	01A5CA 8D BD 00		sta $00BD
	01A5CD A9 E0		lda #$E0
	01A5CF 8D BE 00		sta $00BE
	01A5D2 48		pha
	01A5D3 D2 10 52 01	sba $10,$0152
	01A5D7 68		pla
01A5D8	01A5D8 D2 01 09 06	sba $01,$0609		;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	01A5DC D2 04 09 06	sba $04,$0609		;DPi NV25/CC/DTMF/ORG/LL/DATA/RRTSE
	01A5E0 AD 98 9A		lda $9A98
	01A5E3 F0 0A		beq $01a5ef
	01A5E5 20 7B E3		jsr $E37B
	01A5E8 A9 02		lda #$02
	01A5EA 8D 97 9A		sta $9A97
	01A5ED 80 0F		bra $01a5fe

01A5EF	01A5EF A9 00		lda #$00
	01A5F1 8D 85 01		sta $0185
	01A5F4 A9 71		lda #$71'q'
	01A5F6 8D 4B 02		sta $024B
	01A5F9 A9 E4		lda #$E4
	01A5FB 8D 4C 02		sta $024C
01A5FE	01A5FE CF 61 09		bbs 4,$61,$01a60a
	01A601 F2 07 06 02 04	bas $0607,$02,$01a60a	;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	01A606 D2 02 07 06	sba $02,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
01A60A	01A60A 60		rts

01A60B	01A60B E2 67 01 08 45	bar $0167,$08,$01a655
	01A610 5F 5E 25		bbr 5,$5E,$01a638
	01A613 C2 10 05 06	rba $10,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	01A617 E2 67 01 02 1C	bar $0167,$02,$01a638
	01A61C A9 08		lda #$08
	01A61E 48		pha
	01A61F A9 F0		lda #$F0
	01A621 25 9B		and $9B
	01A623 85 9B		sta $9B
	01A625 68		pla
	01A626 05 9B		ora $9B
	01A628 85 9B		sta $9B
	01A62A 87 57		smb 0,$57
	01A62C A9 D4		lda #$D4
	01A62E 8D D7 00		sta $00D7
	01A631 A9 6B		lda #$6B'k'
	01A633 8D D8 00		sta $00D8
	01A636 80 1D		bra $01a655

01A638	01A638 F2 67 01 02 2E	bas $0167,$02,$01a66b
	01A63D 20 6C 31		jsr $316C
	01A640 F0 05		beq $01a647
	01A642 CF 61 26		bbs 4,$61,$01a66b
	01A645 80 01		bra $01a648

01A647	01A647 60		rts

01A648	01A648 20 0E E1		jsr $E10E
	01A64B 90 08		bcc $01a655
	01A64D 20 02 E1		jsr $E102
	01A650 F2 68 01 20 16	bas $0168,$20,$01a66b
01A655	01A655 20 69 2F		jsr $2F69
	01A658 C2 08 5B 01	rba $08,$015B
	01A65C C2 02 07 06	rba $02,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	01A660 C2 10 05 06	rba $10,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	01A664 C2 01 68 01	rba $01,$0168
	01A668 4C EF 26		jmp $26EF

01A66B	01A66B A9 01		lda #$01
	01A66D 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	01A670 A9 83		lda #$83
	01A672 20 9C FC		jsr $FC9C{meaddh_w}
	01A675 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	01A678 29 02		and #$02
	01A67A D0 0A		bne $01a686
	01A67C AD 12 06		lda $0612		;DPi configuration (CONF)
	01A67F C9 AA		cmp #$AA
	01A681 F0 59		beq $01a6dc
	01A683 4C 96 25		jmp $2596

01A686	01A686 C2 20 5C 01	rba $20,$015C
	01A68A 48		pha
	01A68B C2 10 52 01	rba $10,$0152
	01A68F 68		pla
	01A690 D2 10 05 06	sba $10,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	01A694 A9 14		lda #$14
	01A696 8D 1C 02		sta $021C
	01A699 A9 00		lda #$00
	01A69B 8D 1D 02		sta $021D
	01A69E 57 5E		rmb 5,$5E
	01A6A0 AD 06 01		lda $0106{s0}
	01A6A3 F0 0A		beq $01a6af
	01A6A5 CD 85 01		cmp $0185
	01A6A8 B0 05		bcs $01a6af
	01A6AA A9 00		lda #$00
	01A6AC 8D 85 01		sta $0185
01A6AF	01A6AF AD 85 01		lda $0185
	01A6B2 D0 25		bne $01a6d9
01A6B4	01A6B4 20 32 FD		jsr $FD32
	01A6B7 B2 02 A9		sti #$02,$A9
	01A6BA 20 94 E2		jsr $E294
	01A6BD A9 0B		lda #$0B
	01A6BF 8D 18 02		sta $0218
	01A6C2 A9 00		lda #$00
	01A6C4 8D 19 02		sta $0219
	01A6C7 37 5E		rmb 3,$5E
	01A6C9 EE 85 01		inc $0185
	01A6CC AD 06 01		lda $0106{s0}
	01A6CF F0 05		beq $01a6d6
	01A6D1 CD 85 01		cmp $0185
	01A6D4 F0 07		beq $01a6dd
01A6D6	01A6D6 4C 77 FA		jmp $FA77{newc_w}

01A6D9	01A6D9 BF 5E D8		bbs 3,$5E,$01a6b4
01A6DC	01A6DC 60		rts

01A6DD	01A6DD B2 41 AC		sti #$41'A',$AC
	01A6E0 B7 57		smb 3,$57
	01A6E2 48		pha
	01A6E3 C2 10 52 01	rba $10,$0152
	01A6E7 68		pla
	01A6E8 20 01 FE		jsr $FE01{in}
	01A6EB 4C 81 EF		jmp $EF81

01A6EE	01A6EE 60		rts

01A6EF	01A6EF A9 6E		lda #$6E'n'
	01A6F1 8D 4B 02		sta $024B
	01A6F4 A9 E4		lda #$E4
	01A6F6 8D 4C 02		sta $024C
	01A6F9 60		rts

01A6FA	01A6FA 22		psh
	01A6FB AD D7 00		lda $00D7
	01A6FE 8D D5 00		sta $00D5
	01A701 AD D8 00		lda $00D8
	01A704 8D D6 00		sta $00D6
	01A707 8E D7 00		stx $00D7
	01A70A 8C D8 00		sty $00D8
	01A70D 32		pul
	01A70E 60		rts

01A70F	01A70F 22		psh
	01A710 AD D5 00		lda $00D5
	01A713 8D D7 00		sta $00D7
	01A716 AD D6 00		lda $00D6
	01A719 8D D8 00		sta $00D8
	01A71C 32		pul
	01A71D 60		rts

01A71E	01A71E 4C 66 E3		jmp $E366

01A721	01A721 60		rts

01A722	01A722 E2 1E 06 08 FB	bar $061E,$08,$01a722	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01A727 A2 04		ldx #$04
	01A729 20 BB F2		jsr $F2BB
01A72C	01A72C F2 15 06 80 FB	bas $0615,$80,$01a72c	;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	01A731 AD 13 06		lda $0613		;DPi TLVL/RTH/TXCLK
	01A734 8D 71 04		sta $0471
	01A737 AD 12 06		lda $0612		;DPi configuration (CONF)
	01A73A 8D 72 04		sta $0472
	01A73D AD 11 06		lda $0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	01A740 8D 73 04		sta $0473
	01A743 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	01A746 8D 74 04		sta $0474
	01A749 A9 00		lda #$00
	01A74B 8D 75 04		sta $0475
	01A74E D2 02 2F 01	sba $02,$012F
	01A752 20 84 27		jsr $2784
	01A755 90 03		bcc $01a75a
	01A757 4C 5D 27		jmp $275D

01A75A	01A75A 4C 61 27		jmp $2761

01A75D	01A75D A7 65		smb 2,$65
	01A75F 80 02		bra $01a763

01A761	01A761 27 65		rmb 2,$65
01A763	01A763 F2 1F 06 01 FB	bas $061F,$01,$01a763	;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
01A768	01A768 F2 1A 06 80 FB	bas $061A,$80,$01a768	;DPi SFRES/RIEN/RION/DMAE/SCOBF
	01A76D A2 32		ldx #$32'2'
	01A76F A0 64		ldy #$64'd'
01A771	01A771 DA		phx
	01A772 5A		phy
01A773	01A773 AC 1B F2		ldy $F21B
01A776	01A776 80 00		bra $01a778

01A778	01A778 88		dey
	01A779 D0 FB		bne $01a776
	01A77B CA		dex
	01A77C D0 F5		bne $01a773
	01A77E 7A		ply
	01A77F FA		plx
	01A780 88		dey
	01A781 D0 EE		bne $01a771
	01A783 60		rts

01A784	01A784 A0 02		ldy #$02
01A786	01A786 A2 00		ldx #$00
	01A788 B2 71 40		sti #$71'q',$40
	01A78B B2 04 41		sti #$04,$41
	01A78E A1 40		lda ($40)
	01A790 C9 30		cmp #$30'0'
	01A792 F0 18		beq $01a7ac
	01A794 DD AE 27		cmp $27AE,x
	01A797 B0 02		bcs $01a79b
	01A799 80 06		bra $01a7a1

01A79B	01A79B E8		inx
	01A79C DD AE 27		cmp $27AE,x
	01A79F 90 02		bcc $01a7a3
01A7A1	01A7A1 38		sec
	01A7A2 60		rts

01A7A3	01A7A3 E6 40		inc $40
	01A7A5 D0 02		bne $01a7a9
	01A7A7 E6 41		inc $41
01A7A9	01A7A9 88		dey
	01A7AA D0 DA		bne $01a786
01A7AC	01A7AC 18		clc
	01A7AD 60		rts

01A7AE	01A7AE 34		???			;undocumented opcode
	01A7AF 35 34		and $34,x		;Cx9 PTG A	mode
	01A7B1 35 27		and $27,x		;Cx9 SP RAM 7
	01A7B3 65 A2		adc $A2
	01A7B5 03		tip
01A7B6	01A7B6 DA		phx
	01A7B7 AD 10 06		lda $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	01A7BA 20 4A 30		jsr $304A
	01A7BD D2 80 1A 06	sba $80,$061A		;DPi SFRES/RIEN/RION/DMAE/SCOBF
	01A7C1 D2 01 1F 06	sba $01,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	01A7C5 20 22 27		jsr $2722
	01A7C8 FA		plx
	01A7C9 2F 65 04		bbr 2,$65,$01a7d0
	01A7CC CA		dex
	01A7CD D0 E7		bne $01a7b6
01A7CF	01A7CF 60		rts

01A7D0	01A7D0 20 D6 27		jsr $27D6
	01A7D3 D0 FA		bne $01a7cf
	01A7D5 60		rts

01A7D6	01A7D6 20 E3 27		jsr $27E3
	01A7D9 F0 07		beq $01a7e2
	01A7DB 20 10 28		jsr $2810
	01A7DE F0 02		beq $01a7e2
	01A7E0 A9 FF		lda #$FF
01A7E2	01A7E2 60		rts

01A7E3	01A7E3 A2 08		ldx #$08
	01A7E5 A9 66		lda #$66'f'
	01A7E7 85 40		sta $40
	01A7E9 A9 61		lda #$61'a'
	01A7EB 85 41		sta $41
01A7ED	01A7ED 20 82 E2		jsr $E282
	01A7F0 F0 04		beq $01a7f6
	01A7F2 C9 16		cmp #$16
	01A7F4 D0 17		bne $01a80d
01A7F6	01A7F6 A9 10		lda #$10
	01A7F8 64 40		add $40
	01A7FA 85 40		sta $40
	01A7FC 90 02		bcc $01a800
	01A7FE E6 41		inc $41
01A800	01A800 A9 01		lda #$01
	01A802 64 41		add $41
	01A804 85 41		sta $41
	01A806 CA		dex
	01A807 D0 E4		bne $01a7ed
	01A809 A9 00		lda #$00
	01A80B 80 02		bra $01a80f

01A80D	01A80D A9 FF		lda #$FF
01A80F	01A80F 60		rts

01A810	01A810 A5 08		lda $08			;Cx9	mask option & port E dir'n
	01A812 29 C0		and #$C0
	01A814 F0 02		beq $01a818
	01A816 C9 C0		cmp #$C0
01A818	01A818 60		rts

01A819	01A819 60		rts

01A81A	01A81A 8F 5F 01		bbs 0,$5F,$01a81e
	01A81D 60		rts

01A81E	01A81E 20 60 FD		jsr $FD60
	01A821 90 13		bcc $01a836
	01A823 C2 01 99 00	rba $01,$0099
	01A827 A5 99		lda $99
	01A829 85 03		sta $03			;Cx9	port A direction (R/O)
	01A82B 2F 63 66		bbr 2,$63,$01a894
	01A82E 9F 65 63		bbs 1,$65,$01a894
	01A831 27 63		rmb 2,$63
	01A833 87 64		smb 0,$64
	01A835 60		rts

01A836	01A836 A5 4B		lda $4B
	01A838 29 18		and #$18
	01A83A 4A		lsr a
	01A83B 4A		lsr a
	01A83C 4A		lsr a
	01A83D D0 14		bne $01a853
	01A83F A5 4E		lda $4E
	01A841 29 0B		and #$0B
	01A843 F0 04		beq $01a849
	01A845 C9 05		cmp #$05
	01A847 90 0A		bcc $01a853
01A849	01A849 C2 01 99 00	rba $01,$0099
	01A84D A5 99		lda $99
	01A84F 85 03		sta $03			;Cx9	port A direction (R/O)
	01A851 80 08		bra $01a85b

01A853	01A853 D2 01 99 00	sba $01,$0099
	01A857 A5 99		lda $99
	01A859 85 03		sta $03			;Cx9	port A direction (R/O)
01A85B	01A85B AF 63 36		bbs 2,$63,$01a894
	01A85E AD 1A 01		lda $011A
	01A861 8D 90 03		sta $0390
	01A864 A9 00		lda #$00
	01A866 8D 91 03		sta $0391
	01A869 A9 A8		lda #$A8
	01A86B 8D 7B 02		sta $027B
	01A86E A9 E3		lda #$E3
	01A870 8D 7C 02		sta $027C
	01A873 A5 4E		lda $4E
	01A875 29 0B		and #$0B
	01A877 C9 01		cmp #$01
	01A879 D0 16		bne $01a891
	01A87B AD 90 03		lda $0390
	01A87E 85 40		sta $40
	01A880 A9 64		lda #$64'd'
	01A882 85 44		sta $44
	01A884 20 2A E3		jsr $E32A
	01A887 A5 40		lda $40
	01A889 8D 90 03		sta $0390
	01A88C A5 41		lda $41
	01A88E 8D 91 03		sta $0391
01A891	01A891 20 A8 E3		jsr $E3A8
01A894	01A894 60		rts

01A895	01A895 20 60 FD		jsr $FD60
	01A898 B0 2E		bcs $01a8c8
	01A89A AD 90 03		lda $0390
	01A89D 0D 91 03		ora $0391
	01A8A0 F0 0C		beq $01a8ae
	01A8A2 AD 90 03		lda $0390
	01A8A5 D0 03		bne $01a8aa
	01A8A7 CE 91 03		dec $0391
01A8AA	01A8AA CE 90 03		dec $0390
	01A8AD 60		rts

01A8AE	01A8AE A5 69		lda $69
	01A8B0 29 07		and #$07
	01A8B2 F0 10		beq $01a8c4
	01A8B4 A5 4B		lda $4B
	01A8B6 29 18		and #$18
	01A8B8 4A		lsr a
	01A8B9 4A		lsr a
	01A8BA 4A		lsr a
	01A8BB F0 0B		beq $01a8c8
	01A8BD 3F 61 08		bbr 3,$61,$01a8c8
	01A8C0 A7 62		smb 2,$62
	01A8C2 80 04		bra $01a8c8

01A8C4	01A8C4 A7 63		smb 2,$63
	01A8C6 87 64		smb 0,$64
01A8C8	01A8C8 A9 A5		lda #$A5
	01A8CA 8D 7B 02		sta $027B
	01A8CD A9 E3		lda #$E3
	01A8CF 8D 7C 02		sta $027C
	01A8D2 60		rts

01A8D3	01A8D3 20 06 2A		jsr $2A06
	01A8D6 BF 6E 01		bbs 3,$6E,$01a8da
	01A8D9 60		rts

01A8DA	01A8DA 37 6E		rmb 3,$6E
	01A8DC 20 7B 2B		jsr $2B7B
	01A8DF 0F 64 4F		bbr 0,$64,$01a931
	01A8E2 2F 63 49		bbr 2,$63,$01a92e
	01A8E5 2F 6D 46		bbr 2,$6D,$01a92e
	01A8E8 FF 87 3D		bbs 7,$87,$01a928
	01A8EB 20 62 F4		jsr $F462
	01A8EE 20 72 F4		jsr $F472
	01A8F1 C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	01A8F5 20 24 E3		jsr $E324
	01A8F8 20 21 E3		jsr $E321
	01A8FB 87 87		smb 0,$87
	01A8FD F7 87		smb 7,$87
	01A8FF A9 08		lda #$08
	01A901 05 D8		ora $D8
	01A903 20 54 E3		jsr $E354
	01A906 67 57		rmb 6,$57
	01A908 A9 05		lda #$05
	01A90A 8D 42 02		sta $0242
	01A90D A9 E4		lda #$E4
	01A90F 8D 43 02		sta $0243
	01A912 E7 57		smb 6,$57
	01A914 67 57		rmb 6,$57
	01A916 20 E5 F3		jsr $F3E5
	01A919 A9 01		lda #$01
	01A91B 8D 12 02		sta $0212
	01A91E A9 00		lda #$00
	01A920 8D 13 02		sta $0213
	01A923 07 5E		rmb 0,$5E
	01A925 20 DA FD		jsr $FDDA
01A928	01A928 8F 87 06		bbs 0,$87,$01a931
	01A92B 0F 5E 03		bbr 0,$5E,$01a931
01A92E	01A92E 20 7F 2A		jsr $2A7F
01A931	01A931 3F 68 1F		bbr 3,$68,$01a953
	01A934 A5 B7		lda $B7
	01A936 05 B8		ora $B8
	01A938 D0 05		bne $01a93f
	01A93A FF 69 02		bbs 7,$69,$01a93f
	01A93D 80 10		bra $01a94f

01A93F	01A93F 1F 5F 11		bbr 1,$5F,$01a953
	01A942 AD 20 01		lda $0120
	01A945 C9 FF		cmp #$FF
	01A947 F0 0A		beq $01a953
	01A949 A9 03		lda #$03
	01A94B 85 A9		sta $A9
	01A94D 17 65		rmb 1,$65
01A94F	01A94F 37 68		rmb 3,$68
	01A951 80 3B		bra $01a98e

01A953	01A953 2F 62 3D		bbr 2,$62,$01a993
	01A956 3F 9B 03		bbr 3,$9B,$01a95c
	01A959 4C 03 2A		jmp $2A03

01A95C	01A95C E2 31 01 20 03	bar $0131,$20,$01a964
	01A961 4C 03 2A		jmp $2A03

01A964	01A964 8F 57 2C		bbs 0,$57,$01a993
	01A967 BF 57 29		bbs 3,$57,$01a993
	01A96A 2F 57 03		bbr 2,$57,$01a970
	01A96D 9F 61 23		bbs 1,$61,$01a993
01A970	01A970 B2 03 A9		sti #$03,$A9
	01A973 0F 69 18		bbr 0,$69,$01a98e
	01A976 BF 85 05		bbs 3,$85,$01a97e
	01A979 A9 10		lda #$10
	01A97B 20 05 FE		jsr $FE05{out}
01A97E	01A97E A9 03		lda #$03
	01A980 20 05 FE		jsr $FE05{out}
	01A983 B2 19 A7		sti #$19,$A7
	01A986 B2 04 A8		sti #$04,$A8
	01A989 A9 0D		lda #$0D
	01A98B 8D 19 04		sta $0419
01A98E	01A98E B2 48 AC		sti #$48'H',$AC
	01A991 B7 57		smb 3,$57
01A993	01A993 3F 58 03		bbr 3,$58,$01a999
	01A996 20 59 02		jsr $0259
01A999	01A999 3F 9B 59		bbr 3,$9B,$01a9f5
	01A99C 4F 61 03		bbr 4,$61,$01a9a2
	01A99F 9F 61 03		bbs 1,$61,$01a9a5
01A9A2	01A9A2 20 5A E3		jsr $E35A
01A9A5	01A9A5 A5 9A		lda $9A
	01A9A7 29 3F		and #$3F'?'
	01A9A9 F0 4A		beq $01a9f5
	01A9AB AD 1D 01		lda $011D
	01A9AE F0 45		beq $01a9f5
	01A9B0 7F 5F 42		bbr 7,$5F,$01a9f5
	01A9B3 6F 9B 24		bbr 6,$9B,$01a9da
	01A9B6 67 9B		rmb 6,$9B
	01A9B8 4F 61 03		bbr 4,$61,$01a9be
	01A9BB BF 9B 1C		bbs 3,$9B,$01a9da
01A9BE	01A9BE A9 00		lda #$00
	01A9C0 48		pha
	01A9C1 A9 F8		lda #$F8
	01A9C3 25 69		and $69
	01A9C5 85 69		sta $69
	01A9C7 68		pla
	01A9C8 05 69		ora $69
	01A9CA 85 69		sta $69
	01A9CC A9 00		lda #$00
	01A9CE 48		pha
	01A9CF A9 F0		lda #$F0
	01A9D1 25 9B		and $9B
	01A9D3 85 9B		sta $9B
	01A9D5 68		pla
	01A9D6 05 9B		ora $9B
	01A9D8 85 9B		sta $9B
01A9DA	01A9DA A0 05		ldy #$05
	01A9DC F0 0C		beq $01a9ea
	01A9DE 88		dey
01A9DF	01A9DF B9 9D 00		lda $009D,y
	01A9E2 99 92		sta $92,y
	01A9E4 02		mpy
	01A9E5 88		dey
	01A9E6 C0 FF		cpy #$FF
	01A9E8 D0 F5		bne $01a9df
01A9EA	01A9EA A9 03		lda #$03
	01A9EC 85 A9		sta $A9
	01A9EE A9 48		lda #$48'H'
	01A9F0 85 AC		sta $AC
	01A9F2 B7 57		smb 3,$57
	01A9F4 60		rts

01A9F5	01A9F5 BF 62 03		bbs 3,$62,$01a9fb
	01A9F8 20 9C E0		jsr $E09C
01A9FB	01A9FB 0F 65 05		bbr 0,$65,$01aa03
	01A9FE 07 65		rmb 0,$65
	01AA00 20 94 E2		jsr $E294
01AA03	01AA03 60		rts

01AA04	01AA04 00		brk
	01AA05 03		tip
	01AA06 A5 4A		lda $4A
	01AA08 D0 03		bne $01aa0d
	01AA0A 1F 61 4B		bbr 1,$61,$01aa58
01AA0D	01AA0D AF 4B 14		bbs 2,$4B,$01aa24
	01AA10 8F 62 20		bbs 0,$62,$01aa33
	01AA13 80 12		bra $01aa27

01AA15	01AA15 DF 63 08		bbs 5,$63,$01aa20
	01AA18 9F 6C 05		bbs 1,$6C,$01aa20
	01AA1B 20 67 FD		jsr $FD67
	01AA1E B0 04		bcs $01aa24
01AA20	01AA20 20 29 FD		jsr $FD29
	01AA23 60		rts

01AA24	01AA24 20 FA 2B		jsr $2BFA
01AA27	01AA27 78		sei
	01AA28 EF 74 06		bbs 6,$74,$01aa31
	01AA2B 2F 4B 03		bbr 2,$4B,$01aa31
	01AA2E 20 26 FD		jsr $FD26
01AA31	01AA31 58		cli
	01AA32 60		rts

01AA33	01AA33 20 67 FD		jsr $FD67
	01AA36 90 19		bcc $01aa51
	01AA38 7F 74 0D		bbr 7,$74,$01aa48
	01AA3B AD 7C 03		lda $037C
	01AA3E CD 1B 01		cmp $011B
	01AA41 90 EE		bcc $01aa31
01AA43	01AA43 20 26 FD		jsr $FD26
	01AA46 80 E9		bra $01aa31

01AA48	01AA48 A9 00		lda #$00
	01AA4A 8D 7C 03		sta $037C
	01AA4D F7 74		smb 7,$74
	01AA4F 80 E0		bra $01aa31

01AA51	01AA51 20 29 FD		jsr $FD29
	01AA54 77 74		rmb 7,74
	01AA56 80 D9		bra $01aa31

01AA58	01AA58 AF 4B E8		bbs 2,$4B,$01aa43
	01AA5B A5 4E		lda $4E
	01AA5D 29 0B		and #$0B
	01AA5F C9 02		cmp #$02
	01AA61 F0 BD		beq $01aa20
	01AA63 C9 03		cmp #$03
	01AA65 F0 B9		beq $01aa20
	01AA67 3F 57 0B		bbr 3,$57,$01aa75
	01AA6A 7F 49 B3		bbr 7,$49,$01aa20
	01AA6D 5F 78 05		bbr 5,$78,$01aa75
	01AA70 20 29 FD		jsr $FD29
	01AA73 80 BC		bra $01aa31

01AA75	01AA75 AF 63 02		bbs 2,$63,$01aa7a
	01AA78 80 C9		bra $01aa43

01AA7A	01AA7A 20 2F FD		jsr $FD2F
	01AA7D 80 A1		bra $01aa20

01AA7F	01AA7F 57 5A		rmb 5,$5A
	01AA81 20 A5 2A		jsr $2AA5
	01AA84 07 64		rmb 0,$64
	01AA86 D7 5A		smb 5,$5A
	01AA88 60		rts

01AA89	01AA89 00		brk
	01AA8A 02		mpy
	01AA8B 03		tip
	01AA8C 04		???			;undocumented opcode
	01AA8D 01 02		ora ($02)		;Cx9	port C (bidirectional)
	01AA8F 03		tip
	01AA90 04		???			;undocumented opcode
	01AA91 03		tip
	01AA92 03		tip
	01AA93 03		tip
	01AA94 03		tip
	01AA95 03		tip
	01AA96 03		tip
	01AA97 03		tip
	01AA98 03		tip
	01AA99 01 02		ora ($02)		;Cx9	port C (bidirectional)
	01AA9B 03		tip
	01AA9C 04		???			;undocumented opcode
	01AA9D 00		brk
	01AA9E 02		mpy
	01AA9F 03		tip
	01AAA0 04		???			;undocumented opcode
	01AAA1 00		brk
	01AAA2 02		mpy
	01AAA3 03		tip
	01AAA4 04		???			;undocumented opcode
	01AAA5 A5 4B		lda $4B
	01AAA7 29 18		and #$18
	01AAA9 4A		lsr a
	01AAAA 4A		lsr a
	01AAAB 4A		lsr a
	01AAAC AF 63 03		bbs 2,$63,$01aab2
	01AAAF 4C 49 2B		jmp $2B49

01AAB2	01AAB2 85 40		sta $40
	01AAB4 A5 4E		lda $4E
	01AAB6 29 0B		and #$0B
	01AAB8 C9 08		cmp #$08
	01AABA 90 04		bcc $01aac0
	01AABC 29 03		and #$03
	01AABE 09 04		ora #$04
01AAC0	01AAC0 0A		asl a
	01AAC1 0A		asl a
	01AAC2 64 40		add $40
	01AAC4 A8		tay
	01AAC5 B9 89 2A		lda $2A89,y
	01AAC8 F0 07		beq $01aad1
	01AACA 2F 6D 05		bbr 2,$6D,$01aad2
	01AACD 27 6D		rmb 2,$6D
	01AACF 80 01		bra $01aad2

01AAD1	01AAD1 60		rts

01AAD2	01AAD2 37 6E		rmb 3,$6E
	01AAD4 C9 01		cmp #$01
	01AAD6 D0 41		bne $01ab19
01AAD8	01AAD8 7F 49 06		bbr 7,$49,$01aae1
	01AADB AD 5A 03		lda $035A
	01AADE 8D 96 03		sta $0396
01AAE1	01AAE1 8F 7F ED		bbs 0,$7F,$01aad1
	01AAE4 37 6E		rmb 3,$6E
	01AAE6 BF 57 03		bbs 3,$57,$01aaec
	01AAE9 4F 61 E5		bbr 4,$61,$01aad1
01AAEC	01AAEC A9 00		lda #$00
	01AAEE 85 A9		sta $A9
	01AAF0 A9 0F		lda #$0F
	01AAF2 8D 24 01		sta $0124
	01AAF5 9F 62 1A		bbs 1,$62,$01ab12
	01AAF8 A9 FE		lda #$FE
	01AAFA 8D 61 86		sta $8661
	01AAFD 6F 57 12		bbr 6,$57,$01ab12
	01AB00 B7 68		smb 3,$68
	01AB02 97 65		smb 1,$65
	01AB04 AD 20 01		lda $0120
	01AB07 8D 24 02		sta $0224
	01AB0A A9 00		lda #$00
	01AB0C 8D 25 02		sta $0225
	01AB0F 17 5F		rmb 1,$5F
	01AB11 60		rts

01AB12	01AB12 A9 48		lda #$48'H'
	01AB14 85 AC		sta $AC
	01AB16 B7 57		smb 3,$57
	01AB18 60		rts

01AB19	01AB19 C9 02		cmp #$02
	01AB1B D0 07		bne $01ab24
	01AB1D 3F 61 5A		bbr 3,$61,$01ab7a
	01AB20 20 D6 E2		jsr $E2D6
	01AB23 60		rts

01AB24	01AB24 C9 03		cmp #$03
	01AB26 D0 04		bne $01ab2c
	01AB28 C7 68		smb 4,$68
	01AB2A 80 AC		bra $01aad8

01AB2C	01AB2C 97 4B		smb 1,$4B
	01AB2E A9 00		lda #$00
	01AB30 85 A9		sta $A9
	01AB32 A9 0F		lda #$0F
	01AB34 8D 24 01		sta $0124
	01AB37 9F 62 05		bbs 1,$62,$01ab3f
	01AB3A A9 FE		lda #$FE
	01AB3C 8D 61 86		sta $8661
01AB3F	01AB3F 57 5A		rmb 5,$5A
	01AB41 17 57		rmb 1,$57
	01AB43 20 4E E0		jsr $E04E
	01AB46 4C 3C E0		jmp $E03C{001A83}

01AB49	01AB49 47 68		rmb 4,$68
	01AB4B CF 61 2C		bbs 4,$61,$01ab7a
	01AB4E A5 4E		lda $4E
	01AB50 29 0B		and #$0B
	01AB52 C9 02		cmp #$02
	01AB54 D0 15		bne $01ab6b
	01AB56 A9 0D		lda #$0D
	01AB58 8D 0A 02		sta $020A
	01AB5B A9 00		lda #$00
	01AB5D 8D 0B 02		sta $020B
	01AB60 47 5D		rmb 4,$5D
	01AB62 20 81 EF		jsr $EF81
	01AB65 A9 00		lda #$00
	01AB67 20 CF E0		jsr $E0CF
	01AB6A 60		rts

01AB6B	01AB6B C9 03		cmp #$03
	01AB6D D0 0B		bne $01ab7a
	01AB6F A9 4F		lda #$4F'O'
	01AB71 85 AC		sta $AC
	01AB73 20 81 EF		jsr $EF81
	01AB76 B7 57		smb 3,$57
	01AB78 27 57		rmb 2,$57
01AB7A	01AB7A 60		rts

01AB7B	01AB7B 7F 72 03		bbr 7,$72,$01ab81
	01AB7E 4C E1 2B		jmp $2BE1

01AB81	01AB81 7F 48 03		bbr 7,$48,$01ab87
	01AB84 4C C4 2B		jmp $2BC4

01AB87	01AB87 4F 61 02		bbr 4,$61,$01ab8c
	01AB8A 80 17		bra $01aba3

01AB8C	01AB8C BF 57 14		bbs 3,$57,$01aba3
	01AB8F A5 4A		lda $4A
	01AB91 D0 31		bne $01abc4
	01AB93 FF 6B 0D		bbs 7,$6B,$01aba3
	01AB96 AD 19 01		lda $0119
	01AB99 F0 29		beq $01abc4
	01AB9B AF 61 05		bbs 2,$61,$01aba3
	01AB9E AD 07 01		lda $0107{s1}
	01ABA1 F0 03		beq $01aba6
01ABA3	01ABA3 4C EA 2B		jmp $2BEA

01ABA6	01ABA6 2F 5F 1B		bbr 2,$5F,$01abc4
	01ABA9 78		sei
	01ABAA 20 C7 F3		jsr $F3C7
	01ABAD 37 66		rmb 3,$66
	01ABAF A0 05		ldy #$05
	01ABB1 F0 0C		beq $01abbf
	01ABB3 88		dey
01ABB4	01ABB4 B9 C5 2B		lda $2BC5,y
	01ABB7 99 87		sta $87,y
	01ABB9 01 88		ora ($88)
	01ABBB C0 FF		cpy #$FF
	01ABBD D0 F5		bne $01abb4
01ABBF	01ABBF A9 A8		lda #$A8
	01ABC1 4C 87 01		jmp $0187

01ABC4	01ABC4 60		rts

01ABC5	01ABC5 85 09		sta $09			;Cx9 Low Power Register (LPR)
	01ABC7 4C CF 2B		jmp $2BCF

01ABCA	01ABCA 85 09		sta $09			;Cx9 Low Power Register (LPR)
	01ABCC 4C CF 2B		jmp $2BCF

01ABCF	01ABCF 20 DB F3		jsr $F3DB
	01ABD2 58		cli
	01ABD3 A9 03		lda #$03
	01ABD5 8D 1A 02		sta $021A
	01ABD8 A9 00		lda #$00
	01ABDA 8D 1B 02		sta $021B
	01ABDD 47 5E		rmb 4,$5E
	01ABDF F7 72		smb 7,$72
	01ABE1 CF 5E 01		bbs 4,$5E,$01abe5
	01ABE4 60		rts

01ABE5	01ABE5 20 69 2F		jsr $2F69
	01ABE8 77 72		rmb 7,72
	01ABEA 77 6B		rmb 7,6B
	01ABEC AD 19 01		lda $0119
	01ABEF 8D 26 02		sta $0226
	01ABF2 A9 00		lda #$00
	01ABF4 8D 27 02		sta $0227
	01ABF7 27 5F		rmb 2,$5F
	01ABF9 60		rts

01ABFA	01ABFA 2F 6D 27		bbr 2,$6D,$01ac24
	01ABFD 20 67 FD		jsr $FD67
	01AC00 B0 22		bcs $01ac24
	01AC02 CF 87 1F		bbs 4,$87,$01ac24
	01AC05 27 86		rmb 2,$86
	01AC07 C7 87		smb 4,$87
	01AC09 F2 17 01 02 11	bas $0117,$02,$01ac1f
	01AC0E A9 00		lda #$00
	01AC10 85 D9		sta $D9
	01AC12 85 DA		sta $DA
	01AC14 85 DB		sta $DB
	01AC16 85 DC		sta $DC
	01AC18 85 DD		sta $DD
	01AC1A 20 24 E3		jsr $E324
	01AC1D 17 87		rmb 1,$87
01AC1F	01AC1F A9 0C		lda #$0C
	01AC21 20 54 E3		jsr $E354
01AC24	01AC24 60		rts

01AC25	01AC25 F2 17 01 02 33	bas $0117,$02,$01ac5d
	01AC2A FF 86 1E		bbs 7,$86,$01ac4b
	01AC2D 4F 86 0B		bbr 4,$86,$01ac3b
	01AC30 20 68 09		jsr $0968
	01AC33 B0 01		bcs $01ac36
	01AC35 60		rts

01AC36	01AC36 20 35 FD		jsr $FD35
	01AC39 47 86		rmb 4,$86
01AC3B	01AC3B E2 17 01 10 05	bar $0117,$10,$01ac45
	01AC40 AD 18 01		lda $0118
	01AC43 80 02		bra $01ac47

01AC45	01AC45 A9 FF		lda #$FF
01AC47	01AC47 20 63 FA		jsr $FA63
	01AC4A 60		rts

01AC4B	01AC4B AD 18 01		lda $0118
	01AC4E 20 63 FA		jsr $FA63
	01AC51 C6 D7		dec $D7
	01AC53 D0 07		bne $01ac5c
	01AC55 77 86		rmb 7,86
	01AC57 C7 86		smb 4,$86
	01AC59 20 32 FD		jsr $FD32
01AC5C	01AC5C 60		rts

01AC5D	01AC5D 20 68 09		jsr $0968
	01AC60 60		rts

01AC61	01AC61 E2 17 01 02 03	bar $0117,$02,$01ac69
	01AC66 4C C4 2C		jmp $2CC4

01AC69	01AC69 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	01AC6C 9F 86 13		bbs 1,$86,$01ac82
	01AC6F 85 DB		sta $DB
	01AC71 20 AE 2C		jsr $2CAE
	01AC74 9F 87 07		bbs 1,$87,$01ac7e
	01AC77 CD 18 01		cmp $0118
	01AC7A F0 05		beq $01ac81
	01AC7C 97 87		smb 1,$87
01AC7E	01AC7E 4C F0 2C		jmp $2CF0

01AC81	01AC81 60		rts

01AC82	01AC82 A2 01		ldx #$01
	01AC84 86 DA		stx $DA
01AC86	01AC86 18		clc
	01AC87 6A		ror a
	01AC88 66 DB		ror $DB
	01AC8A 66 DC		ror $DC
	01AC8C A6 DC		ldx $DC
	01AC8E EC 18 01		cpx $0118
	01AC91 D0 12		bne $01aca5
	01AC93 A6 DB		ldx $DB
	01AC95 EC 18 01		cpx $0118
	01AC98 D0 0B		bne $01aca5
	01AC9A 85 DC		sta $DC
	01AC9C C2 08 DA 00	rba $08,$00DA
	01ACA0 17 86		rmb 1,$86
	01ACA2 17 87		rmb 1,$87
	01ACA4 60		rts

01ACA5	01ACA5 E6 DA		inc $DA
	01ACA7 A6 DA		ldx $DA
	01ACA9 E0 09		cpx #$09
	01ACAB D0 D9		bne $01ac86
	01ACAD 60		rts

01ACAE	01ACAE A4 DA		ldy $DA
	01ACB0 F0 11		beq $01acc3
	01ACB2 A9 00		lda #$00
01ACB4	01ACB4 18		clc
	01ACB5 66 DB		ror $DB
	01ACB7 6A		ror a
	01ACB8 88		dey
	01ACB9 D0 F9		bne $01acb4
	01ACBB 05 DC		ora $DC
	01ACBD 48		pha
	01ACBE A5 DB		lda $DB
	01ACC0 85 DC		sta $DC
	01ACC2 68		pla
01ACC3	01ACC3 60		rts

01ACC4	01ACC4 AD 0A 06		lda $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	01ACC7 A8		tay
	01ACC8 AE 00 06		ldx $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	01ACCB 29 39		and #$39'9'
	01ACCD F0 03		beq $01acd2
	01ACCF 4C 41 E4		jmp $E441

01ACD2	01ACD2 27 86		rmb 2,$86
	01ACD4 37 86		rmb 3,$86
	01ACD6 8A		txa
	01ACD7 FF 6E 13		bbs 7,$6E,$01aced
	01ACDA 1F 86 13		bbr 1,$86,$01acf0
	01ACDD E2 17 01 04 0C	bar $0117,$04,$01acee
	01ACE2 CD 18 01		cmp $0118
	01ACE5 F0 07		beq $01acee
	01ACE7 C9 FF		cmp #$FF
	01ACE9 F0 03		beq $01acee
	01ACEB F7 6E		smb 7,$6E
01ACED	01ACED 60		rts

01ACEE	01ACEE 17 86		rmb 1,$86
01ACF0	01ACF0 C9 10		cmp #$10
	01ACF2 D0 07		bne $01acfb
	01ACF4 48		pha
	01ACF5 A9 10		lda #$10
	01ACF7 20 89 09		jsr $0989
	01ACFA 68		pla
01ACFB	01ACFB 20 89 09		jsr $0989
	01ACFE 3F 64 03		bbr 3,$64,$01ad04
	01AD01 20 DA FD		jsr $FDDA
01AD04	01AD04 60		rts

01AD05	01AD05 AF 86 3C		bbs 2,$86,$01ad44
	01AD08 98		tya
	01AD09 29 38		and #$38'8'
	01AD0B F0 12		beq $01ad1f
	01AD0D 85 40		sta $40
	01AD0F A9 00		lda #$00
	01AD11 DF 40 18		bbs 5,$40,$01ad2c
	01AD14 BF 40 15		bbs 3,$40,$01ad2c
	01AD17 A9 0E		lda #$0E
	01AD19 80 11		bra $01ad2c

01AD1B	01AD1B A9 00		lda #$00
	01AD1D 80 0D		bra $01ad2c

01AD1F	01AD1F A7 86		smb 2,$86
	01AD21 97 86		smb 1,$86
	01AD23 7F 6E 04		bbr 7,$6E,$01ad2a
	01AD26 77 6E		rmb 7,6E
	01AD28 80 1A		bra $01ad44

01AD2A	01AD2A A9 02		lda #$02
01AD2C	01AD2C FF 6E 15		bbs 7,$6E,$01ad44
	01AD2F 20 54 E3		jsr $E354
	01AD32 20 ED FB		jsr $FBED
	01AD35 A9 04		lda #$04
	01AD37 B0 02		bcs $01ad3b
	01AD39 A9 06		lda #$06
01AD3B	01AD3B 20 54 E3		jsr $E354
	01AD3E 20 DC FD		jsr $FDDC
	01AD41 20 DA FD		jsr $FDDA
01AD44	01AD44 60		rts

01AD45	01AD45 20 32 FD		jsr $FD32
	01AD48 E7 74		smb 6,$74
	01AD4A 20 29 FD		jsr $FD29
	01AD4D 20 1E FE		jsr $FE1E
	01AD50 A9 AB		lda #$AB
	01AD52 85 3B		sta $3B			;Cx9	serial line control register
	01AD54 A9 C0		lda #$C0
	01AD56 85 3A		sta $3A			;Cx9	serial mode register
	01AD58 A9 07		lda #$07
	01AD5A 20 6D FD		jsr $FD6D
	01AD5D 20 E1 FD		jsr $FDE1
	01AD60 20 72 F4		jsr $F472
	01AD63 08		php
	01AD64 78		sei
	01AD65 A0 00		ldy #$00
	01AD67 20 36 F4		jsr $F436
	01AD6A 20 EB F3		jsr $F3EB
	01AD6D F2 17 01 02 03	bas $0117,$02,$01ad75
	01AD72 20 2C F4		jsr $F42C
01AD75	01AD75 C2 04 04 06	rba $04,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	01AD79 F2 17 01 08 04	bas $0117,$08,$01ad82
	01AD7E D2 04 04 06	sba $04,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
01AD82	01AD82 E2 17 01 02 09	bar $0117,$02,$01ad90
	01AD87 F2 17 01 10 00	bas $0117,$10,$01ad8c
01AD8C	01AD8C C2 01 07 06	rba $01,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
01AD90	01AD90 47 59		rmb 4,$59
	01AD92 A9 3E		lda #$3E'>'
	01AD94 8D 72 02		sta $0272
	01AD97 A9 E4		lda #$E4
	01AD99 8D 73 02		sta $0273
	01AD9C C7 59		smb 4,$59
	01AD9E 37 59		rmb 3,$59
	01ADA0 A9 3B		lda #$3B';'
	01ADA2 8D 6F 02		sta $026F
	01ADA5 A9 E4		lda #$E4
	01ADA7 8D 70 02		sta $0270
	01ADAA B7 59		smb 3,$59
	01ADAC 67 57		rmb 6,$57
	01ADAE A9 35		lda #$35'5'
	01ADB0 8D 42 02		sta $0242
	01ADB3 A9 E4		lda #$E4
	01ADB5 8D 43 02		sta $0243
	01ADB8 E7 57		smb 6,$57
	01ADBA A9 00		lda #$00
	01ADBC 85 86		sta $86
	01ADBE 85 87		sta $87
	01ADC0 85 88		sta $88
	01ADC2 85 D5		sta $D5
	01ADC4 85 D6		sta $D6
	01ADC6 85 D7		sta $D7
	01ADC8 85 D8		sta $D8
	01ADCA 8D 6E 86		sta $866E
	01ADCD 28		plp
	01ADCE 8F 5F 01		bbs 0,$5F,$01add2
	01ADD1 60		rts

01ADD2	01ADD2 08		php
	01ADD3 78		sei
	01ADD4 67 57		rmb 6,$57
	01ADD6 A9 38		lda #$38'8'
	01ADD8 8D 42 02		sta $0242
	01ADDB A9 E4		lda #$E4
	01ADDD 8D 43 02		sta $0243
	01ADE0 E7 57		smb 6,$57
	01ADE2 28		plp
	01ADE3 A9 07		lda #$07
	01ADE5 20 6D FD		jsr $FD6D
	01ADE8 A9 03		lda #$03
	01ADEA 8D 12 02		sta $0212
	01ADED A9 00		lda #$00
	01ADEF 8D 13 02		sta $0213
	01ADF2 07 5E		rmb 0,$5E
01ADF4	01ADF4 0F 5E FD		bbr 0,$5E,$01adf4
	01ADF7 20 99 F9		jsr $F999
	01ADFA C9 04		cmp #$04
	01ADFC 90 48		bcc $01ae46
	01ADFE C9 06		cmp #$06
	01AE00 90 3A		bcc $01ae3c
	01AE02 C9 0A		cmp #$0A
	01AE04 90 20		bcc $01ae26
	01AE06 A9 0B		lda #$0B
	01AE08 20 F3 2E		jsr $2EF3
	01AE0B A9 08		lda #$08
	01AE0D 20 6D FD		jsr $FD6D
	01AE10 A9 0B		lda #$0B
	01AE12 20 F3 2E		jsr $2EF3
	01AE15 A9 09		lda #$09
	01AE17 20 6D FD		jsr $FD6D
	01AE1A A9 0B		lda #$0B
	01AE1C 20 F3 2E		jsr $2EF3
	01AE1F A9 12		lda #$12
	01AE21 20 6D FD		jsr $FD6D
	01AE24 80 20		bra $01ae46

01AE26	01AE26 A9 0B		lda #$0B
	01AE28 20 F3 2E		jsr $2EF3
	01AE2B A9 08		lda #$08
	01AE2D 20 6D FD		jsr $FD6D
	01AE30 A9 0B		lda #$0B
	01AE32 20 F3 2E		jsr $2EF3
	01AE35 A9 09		lda #$09
	01AE37 20 6D FD		jsr $FD6D
	01AE3A 80 0A		bra $01ae46

01AE3C	01AE3C A9 0B		lda #$0B
	01AE3E 20 F3 2E		jsr $2EF3
	01AE41 A9 08		lda #$08
	01AE43 20 6D FD		jsr $FD6D
01AE46	01AE46 A9 0A		lda #$0A
	01AE48 20 09 2F		jsr $2F09
	01AE4B 20 DA FD		jsr $FDDA
	01AE4E 97 86		smb 1,$86
	01AE50 E7 86		smb 6,$86
	01AE52 27 86		rmb 2,$86
	01AE54 B7 86		smb 3,$86
	01AE56 20 35 FD		jsr $FD35
	01AE59 20 26 FD		jsr $FD26
	01AE5C E2 17 01 02 00	bar $0117,$02,$01ae61
01AE61	01AE61 20 5D F4		jsr $F45D
	01AE64 20 4C 2F		jsr $2F4C
	01AE67 F2 17 01 02 15	bas $0117,$02,$01ae81
	01AE6C CF 86 11		bbs 4,$86,$01ae80
	01AE6F A5 B7		lda $B7
	01AE71 05 B8		ora $B8
	01AE73 F0 0B		beq $01ae80
	01AE75 A9 02		lda #$02
	01AE77 85 D7		sta $D7
	01AE79 F7 86		smb 7,$86
	01AE7B C7 86		smb 4,$86
	01AE7D 20 67 F4		jsr $F467
01AE80	01AE80 60		rts

01AE81	01AE81 3F 86 14		bbr 3,$86,$01ae98
	01AE84 20 ED FB		jsr $FBED
	01AE87 A9 04		lda #$04
	01AE89 B0 02		bcs $01ae8d
	01AE8B A9 06		lda #$06
01AE8D	01AE8D 20 09 2F		jsr $2F09
	01AE90 37 86		rmb 3,$86
	01AE92 20 DA FD		jsr $FDDA
	01AE95 20 5D F4		jsr $F45D
01AE98	01AE98 5F 86 21		bbr 5,$86,$01aebc
	01AE9B 8F 86 0D		bbs 0,$86,$01aeab
	01AE9E 20 72 F4		jsr $F472
	01AEA1 D2 01 07 06	sba $01,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	01AEA5 20 21 E3		jsr $E321
	01AEA8 20 2C 2F		jsr $2F2C
01AEAB	01AEAB AD CC 00		lda $00CC
	01AEAE D0 42		bne $01aef2
	01AEB0 07 86		rmb 0,$86
	01AEB2 C2 01 07 06	rba $01,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	01AEB6 E7 86		smb 6,$86
	01AEB8 57 86		rmb 5,$86
	01AEBA 80 36		bra $01aef2

01AEBC	01AEBC EF 86 29		bbs 6,$86,$01aee8
	01AEBF F2 1E 06 20 2E	bas $061E,$20,$01aef2	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01AEC4 E2 0A 06 02 29	bar $060A,$02,$01aef2	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	01AEC9 CF 86 10		bbs 4,$86,$01aedc
	01AECC A5 B7		lda $B7
	01AECE 05 B8		ora $B8
	01AED0 F0 20		beq $01aef2
	01AED2 C7 86		smb 4,$86
	01AED4 20 0D 2F		jsr $2F0D
	01AED7 20 32 FD		jsr $FD32
	01AEDA 80 16		bra $01aef2

01AEDC	01AEDC AD CC 00		lda $00CC
	01AEDF D0 11		bne $01aef2
	01AEE1 47 86		rmb 4,$86
	01AEE3 20 67 F4		jsr $F467
	01AEE6 80 0A		bra $01aef2

01AEE8	01AEE8 20 2A F9		jsr $F92A
	01AEEB F0 05		beq $01aef2
	01AEED 67 86		rmb 6,$86
	01AEEF 20 35 FD		jsr $FD35
01AEF2	01AEF2 60		rts

01AEF3	01AEF3 20 09 2F		jsr $2F09
	01AEF6 20 DA FD		jsr $FDDA
	01AEF9 A9 03		lda #$03
	01AEFB 8D 12 02		sta $0212
	01AEFE A9 00		lda #$00
	01AF00 8D 13 02		sta $0213
	01AF03 07 5E		rmb 0,$5E
01AF05	01AF05 0F 5E FD		bbr 0,$5E,$01af05
	01AF08 60		rts

01AF09	01AF09 20 54 E3		jsr $E354
	01AF0C 60		rts

01AF0D	01AF0D AE 5B 04		ldx $045B
	01AF10 BD 19 2F		lda $2F19,x
	01AF13 49 FF		eor #$FF
	01AF15 8D CC 00		sta $00CC
	01AF18 60		rts

01AF19	01AF19 FF FF FF		bbs 7,$FF,$01af1b
	01AF1C FF A0 50		bbs 7,$A0,$01af6f
	01AF1F 28		plp
	01AF20 14		???			;undocumented opcode
	01AF21 0A		asl a
	01AF22 06 FF		asl $FF
	01AF24 FF FF FF		bbs 7,$FF,$01af26
	01AF27 FF FF FF		bbs 7,$FF,$01af29
	01AF2A 04		???			;undocumented opcode
	01AF2B 02		mpy
	01AF2C 20 99 F9		jsr $F999
	01AF2F AA		tax
	01AF30 BD 3B 2F		lda $2F3B,x
	01AF33 49 FF		eor #$FF
	01AF35 8D CC 00		sta $00CC
	01AF38 87 86		smb 0,$86
	01AF3A 60		rts

01AF3B	01AF3B 18		clc
	01AF3C 0C 06 03		jpi ($0306)
	01AF3F 02		mpy
	01AF40 02		mpy
	01AF41 02		mpy
	01AF42 02		mpy
	01AF43 02		mpy
	01AF44 02		mpy
	01AF45 02		mpy
	01AF46 02		mpy
	01AF47 02		mpy
	01AF48 02		mpy
	01AF49 02		mpy
	01AF4A 02		mpy
	01AF4B 02		mpy
	01AF4C 20 67 FD		jsr $FD67
	01AF4F B0 15		bcs $01af66
	01AF51 CF 87 11		bbs 4,$87,$01af65
	01AF54 F2 17 01 02 03	bas $0117,$02,$01af5c
	01AF59 20 24 E3		jsr $E324
01AF5C	01AF5C A9 0C		lda #$0C
	01AF5E 20 54 E3		jsr $E354
	01AF61 27 86		rmb 2,$86
	01AF63 97 86		smb 1,$86
01AF65	01AF65 60		rts

01AF66	01AF66 47 87		rmb 4,$87
	01AF68 60		rts

01AF69	01AF69 67 6E		rmb 6,$6E
	01AF6B 47 66		rmb 4,$66
	01AF6D 67 57		rmb 6,$57
01AF6F	01AF6F 20 96 32		jsr $3296
	01AF72 20 68 E1		jsr $E168
	01AF75 20 35 FD		jsr $FD35
	01AF78 A9 00		lda #$00
	01AF7A 20 B8 FC		jsr $FCB8
	01AF7D 67 5A		rmb 6,$5A
	01AF7F A9 D6		lda #$D6
	01AF81 8D 7E 02		sta $027E
	01AF84 A9 F2		lda #$F2
	01AF86 8D 7F 02		sta $027F
	01AF89 E7 5A		smb 6,$5A
	01AF8B 57 07		rmb 5,$07		;Cx9	port E (R/W)
	01AF8D 20 63 E0		jsr $E063{001463}	; blink AA
	01AF90 C2 01 15 06	rba $01,$0615		;DPi SLEEP/RDWK/HWRWK/AUTO/RREN/EXL3
	01AF94 D2 40 02 06	sba $40,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	01AF98 C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	01AF9C C2 20 1E 06	rba $20,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01AFA0 C2 04 1E 06	rba $04,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01AFA4 D2 80 02 06	sba $80,$0602		;DPi TDE/SQDIS/V54/S511/DCD/CODBITS
	01AFA8 C2 02 08 06	rba $02,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	01AFAC C2 40 05 06	rba $40,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	01AFB0 20 EA F8		jsr $F8EA
	01AFB3 27 61		rmb 2,$61
	01AFB5 20 8C F4		jsr $F48C
	01AFB8 20 CA F6		jsr $F6CA
	01AFBB 20 B5 F3		jsr $F3B5
	01AFBE 20 F3 F4		jsr $F4F3{dtroff}
	01AFC1 20 48 F5		jsr $F548{rtsoff}
	01AFC4 A9 00		lda #$00
	01AFC6 20 BD F6		jsr $F6BD
	01AFC9 20 80 F4		jsr $F480
	01AFCC 20 06 30		jsr $3006
	01AFCF C2 40 84 01	rba $40,$0184
	01AFD3 C2 08 06 06	rba $08,$0606		;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
	01AFD7 C2 04 06 06	rba $04,$0606		;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
	01AFDB C2 40 06 06	rba $40,$0606		;DPi RTDIS/EXOS/CF17/HDLC/PEN/STB
	01AFDF A9 03		lda #$03
	01AFE1 20 8A FA		jsr $FA8A
	01AFE4 20 EB F3		jsr $F3EB
	01AFE7 20 E5 F3		jsr $F3E5
	01AFEA 20 69 F6		jsr $F669
	01AFED A2 00		ldx #$00
	01AFEF 20 C5 E1		jsr $E1C5
	01AFF2 38		sec
	01AFF3 20 C8 E1		jsr $E1C8
	01AFF6 20 82 30		jsr $3082
	01AFF9 AD 25 01		lda $0125
	01AFFC 20 DE E0		jsr $E0DE
	01AFFF 20 05 30		jsr $3005
	01B002 4C 77 FA		jmp $FA77{newc_w}

01B005	01B005 60		rts

01B006	01B006 F2 28 01 20 05	bas $0128,$20,$01b010
	01B00B 20 2D FB		jsr $FB2D
	01B00E 80 03		bra $01b013

01B010	01B010 20 2C FB		jsr $FB2C
01B013	01B013 60		rts

01B014	01B014 C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	01B018 C2 08 1F 06	rba $08,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	01B01C C2 04 1F 06	rba $04,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	01B020 C2 04 1E 06	rba $04,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01B024 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	01B027 C2 20 1E 06	rba $20,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01B02B AD 10 06		lda $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	01B02E A9 20		lda #$20' '
	01B030 8D 04 06		sta $0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	01B033 60		rts

01B034	01B034 78		sei
	01B035 20 14 30		jsr $3014
	01B038 20 4A 30		jsr $304A
	01B03B D2 80 1A 06	sba $80,$061A		;DPi SFRES/RIEN/RION/DMAE/SCOBF
	01B03F 20 81 FA		jsr $FA81
	01B042 20 6C 30		jsr $306C
	01B045 A2 05		ldx #$05
	01B047 4C AB F2		jmp $F2AB

01B04A	01B04A A9 9D		lda #$9D
	01B04C 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	01B04F A9 80		lda #$80
	01B051 8D 1D 06		sta $061D		;DPi MEACC/MEMW/MEMCR/addr bits 8-11
01B054	01B054 F2 1D 06 80 FB	bas $061D,$80,$01b054	;DPi MEACC/MEMW/MEMCR/addr bits 8-11
	01B059 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	01B05C 09 01		ora #$01
	01B05E 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	01B061 A9 A0		lda #$A0
	01B063 8D 1D 06		sta $061D		;DPi MEACC/MEMW/MEMCR/addr bits 8-11
01B066	01B066 F2 1D 06 80 FB	bas $061D,$80,$01b066	;DPi MEACC/MEMW/MEMCR/addr bits 8-11
	01B06B 60		rts

01B06C	01B06C AD 10 06		lda $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
01B06F	01B06F F2 1F 06 01 FB	bas $061F,$01,$01b06f	;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
01B074	01B074 F2 1A 06 80 FB	bas $061A,$80,$01b074	;DPi SFRES/RIEN/RION/DMAE/SCOBF
	01B079 58		cli
	01B07A 60		rts

01B07B	01B07B A2 05		ldx #$05
	01B07D 20 AB F2		jsr $F2AB
	01B080 80 B2		bra $01b034

01B082	01B082 A9 89		lda #$89
	01B084 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	01B087 A9 80		lda #$80
	01B089 8D 1D 06		sta $061D		;DPi MEACC/MEMW/MEMCR/addr bits 8-11
01B08C	01B08C F2 1D 06 80 FB	bas $061D,$80,$01b08c	;DPi MEACC/MEMW/MEMCR/addr bits 8-11
	01B091 AD 18 06		lda $0618		;DPi memory access data LSB (MEDAL)
	01B094 09 08		ora #$08
	01B096 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	01B099 A9 89		lda #$89
	01B09B 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	01B09E A9 A0		lda #$A0
	01B0A0 8D 1D 06		sta $061D		;DPi MEACC/MEMW/MEMCR/addr bits 8-11
01B0A3	01B0A3 F2 1D 06 80 FB	bas $061D,$80,$01b0a3	;DPi MEACC/MEMW/MEMCR/addr bits 8-11
	01B0A8 60		rts

01B0A9	01B0A9 AD 79 04		lda $0479
	01B0AC F0 42		beq $01b0f0
	01B0AE C2 04 13 06	rba $04,$0613		;DPi TLVL/RTH/TXCLK
	01B0B2 C2 08 13 06	rba $08,$0613		;DPi TLVL/RTH/TXCLK
	01B0B6 AD 12 06		lda $0612		;DPi configuration (CONF)
	01B0B9 20 F1 30		jsr $30F1
	01B0BC D2 10 14 06	sba $10,$0614		;DPi handshake abort code (ABCODE)
	01B0C0 D2 08 14 06	sba $08,$0614		;DPi handshake abort code (ABCODE)
	01B0C4 AD 7D 04		lda $047D
	01B0C7 D0 05		bne $01b0ce
	01B0C9 A9 0A		lda #$0A
	01B0CB 8D 7D 04		sta $047D
01B0CE	01B0CE A9 0A		lda #$0A
	01B0D0 8D 7C 04		sta $047C
	01B0D3 AD 7B 04		lda $047B
	01B0D6 D0 05		bne $01b0dd
	01B0D8 A9 02		lda #$02
	01B0DA 8D 7B 04		sta $047B
01B0DD	01B0DD A9 00		lda #$00
	01B0DF 8D 7A 04		sta $047A
	01B0E2 D2 10 13 06	sba $10,$0613		;DPi TLVL/RTH/TXCLK
	01B0E6 D2 20 14 06	sba $20,$0614		;DPi handshake abort code (ABCODE)
	01B0EA 20 EA F8		jsr $F8EA
	01B0ED 20 69 E3		jsr $E369		;! 017438
01B0F0	01B0F0 60		rts

01B0F1	01B0F1 A9 AC		lda #$AC
	01B0F3 8D 12 06		sta $0612		;DPi configuration (CONF)
	01B0F6 A9 00		lda #$00
	01B0F8 8D 14 06		sta $0614		;DPi handshake abort code (ABCODE)
	01B0FB 8D 13 06		sta $0613		;DPi TLVL/RTH/TXCLK
	01B0FE 20 48 FB		jsr $FB48
	01B101 20 52 FB		jsr $FB52
	01B104 D2 01 1F 06	sba $01,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
01B108	01B108 F2 1F 06 01 FB	bas $061F,$01,$01b108	;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	01B10D 4C 30 31		jmp $3130

01B110	01B110 20 48 FB		jsr $FB48
	01B113 20 52 FB		jsr $FB52
	01B116 A9 76		lda #$76'v'
	01B118 4C 2B F8		jmp $F82B

01B11B	01B11B D2 40 13 06	sba $40,$0613		;DPi TLVL/RTH/TXCLK
01B11F	01B11F F2 13 06 40 FB	bas $0613,$40,$01b11f	;DPi TLVL/RTH/TXCLK
	01B124 4C 30 31		jmp $3130

01B127	01B127 D2 20 13 06	sba $20,$0613		;DPi TLVL/RTH/TXCLK
01B12B	01B12B F2 13 06 20 FB	bas $0613,$20,$01b12b	;DPi TLVL/RTH/TXCLK
	01B130 DA		phx
	01B131 A2 02		ldx #$02
	01B133 20 BB F2		jsr $F2BB
	01B136 FA		plx
	01B137 60		rts

01B138	01B138 38		sec
	01B139 60		rts

01B13A	01B13A C9 02		cmp #$02
	01B13C F0 1B		beq $01b159
	01B13E AA		tax
	01B13F AD 12 06		lda $0612		;DPi configuration (CONF)
	01B142 C9 AC		cmp #$AC
	01B144 D0 08		bne $01b14e
	01B146 E2 11 06 08 03	bar $0611,$08,$01b14e	;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	01B14B 4C A9 30		jmp $30A9

01B14E	01B14E 8A		txa
	01B14F C9 00		cmp #$00
	01B151 D0 03		bne $01b156
	01B153 F7 A2		smb 7,$A2
	01B155 60		rts

01B156	01B156 77 A2		rmb 7,A2
	01B158 60		rts

01B159	01B159 60		rts

01B15A	01B15A 00		brk
	01B15B 01 02		ora ($02)		;Cx9	port C (bidirectional)
	01B15D 03		tip
	01B15E A8		tay
	01B15F AD 13 06		lda $0613		;DPi TLVL/RTH/TXCLK
	01B162 29 FC		and #$FC
	01B164 19 5A 31		ora $315A,y
	01B167 8D 13 06		sta $0613		;DPi TLVL/RTH/TXCLK
	01B16A 60		rts

01B16B	01B16B 60		rts

;;;

01B16C	01B16C AD 12 06		lda $0612		;DPi configuration (CONF)
	01B16F C9 AC		cmp #$AC		; speakerphone mode?
	01B171 D0 07		bne $01b17a
	01B173 E2 11 06 08 02	bar $0611,$08,$01b17a	;DPi RXV
	01B178 A9 FF		lda #$FF
01B17A	01B17A 60		rts

01B17B	01B17B 60		rts

01B17C	01B17C 7F 67 0E		bbr 7,$67,$01b18d
	01B17F E2 67 01 01 09	bar $0167,$01,$01b18d
	01B184 F2 68 01 20 04	bas $0168,$20,$01b18d
	01B189 E7 9B		smb 6,$9B
	01B18B 38		sec
	01B18C 60		rts

01B18D	01B18D 18		clc
	01B18E 60		rts

01B18F	01B18F AD 70 86		lda $8670
	01B192 C9 05		cmp #$05
	01B194 F0 06		beq $01b19c
	01B196 C9 06		cmp #$06
	01B198 F0 02		beq $01b19c
	01B19A 18		clc
	01B19B 60		rts

01B19C	01B19C 38		sec
	01B19D 60		rts

01B19E	01B19E 38		sec
	01B19F CF 07 01		bbs 4,$07,$01b1a3	;Cx9	port E (R/W)
	01B1A2 18		clc
01B1A3	01B1A3 60		rts

01B1A4	01B1A4 A5 44		lda $44
	01B1A6 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	01B1A9 A5 45		lda $45
	01B1AB 09 80		ora #$80
	01B1AD 4C 9C FC		jmp $FC9C{meaddh_w}

;;; $47 $46 -> 45 44

01B1B0	01B1B0 A5 46		lda $46
	01B1B2 8D 18 06		sta $0618		;DPi memory access data LSB (MEDAL)
	01B1B5 A5 47		lda $47
	01B1B7 8D 19 06		sta $0619		;DPi memory access data MSB (MEDAM)
	01B1BA A5 44		lda $44
	01B1BC 8D 1C 06		sta $061C		;DPi memory access addr LSB (MEADDL)
	01B1BF A5 45		lda $45
	01B1C1 09 A0		ora #$A0
	01B1C3 4C 9C FC		jmp $FC9C{meaddh_w}	; 4746 -> 544

01B1C6	01B1C6 AD 41 03		lda $0341
	01B1C9 29 02		and #$02
	01B1CB F0 03		beq $01b1d0
	01B1CD 97 07		smb 1,$07		;Cx9	port E (R/W)
	01B1CF 60		rts

01B1D0	01B1D0 17 07		rmb 1,$07		;Cx9	port E (R/W)
	01B1D2 60		rts

01B1D3	01B1D3 AD 41 03		lda $0341
	01B1D6 29 02		and #$02
	01B1D8 F0 03		beq $01b1dd
	01B1DA 17 07		rmb 1,$07		;Cx9	port E (R/W)
	01B1DC 60		rts

01B1DD	01B1DD 97 07		smb 1,$07		;Cx9	port E (R/W)
	01B1DF 60		rts

;;;

01B1E0	01B1E0 85 47		sta $47
	01B1E2 D2 01 01 02	sba $01,$0201
	01B1E6 AD 01 02		lda $0201
	01B1E9 85 08		sta $08			;Cx9	mask option & port E dir'n
	01B1EB D2 02 01 02	sba $02,$0201
	01B1EF AD 01 02		lda $0201
	01B1F2 85 08		sta $08			;Cx9	mask option & port E dir'n
	01B1F4 D2 04 01 02	sba $04,$0201
	01B1F8 AD 01 02		lda $0201
	01B1FB 85 08		sta $08			;Cx9	mask option & port E dir'n
	01B1FD 48		pha
	01B1FE D2 02 00 02	sba $02,$0200
	01B202 AD 00 02		lda $0200
	01B205 85 04		sta $04			;Cx9	port D & direction control
	01B207 68		pla
	01B208 0F 47 04		bbr 0,$47,$01b20f
	01B20B 87 07		smb 0,$07		;Cx9	port E (R/W)
	01B20D 80 02		bra $01b211

01B20F	01B20F 07 07		rmb 0,$07		;Cx9	port E (R/W)
01B211	01B211 1F 47 04		bbr 1,$47,$01b218
	01B214 97 07		smb 1,$07		;Cx9	port E (R/W)
	01B216 80 02		bra $01b21a

01B218	01B218 17 07		rmb 1,$07		;Cx9	port E (R/W)
01B21A	01B21A 2F 47 04		bbr 2,$47,$01b221
	01B21D A7 07		smb 2,$07		;Cx9	port E (R/W)
	01B21F 80 02		bra $01b223

01B221	01B221 27 07		rmb 2,$07		;Cx9	port E (R/W)
01B223	01B223 3F 47 04		bbr 3,$47,$01b22a
	01B226 B7 07		smb 3,$07		;Cx9	port E (R/W)
	01B228 80 02		bra $01b22c

01B22A	01B22A 37 07		rmb 3,$07		;Cx9	port E (R/W)
01B22C	01B22C 4F 47 06		bbr 4,$47,$01b235
	01B22F D2 02 07 06	sba $02,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
	01B233 80 04		bra $01b239

01B235	01B235 C2 02 07 06	rba $02,$0607		;DPi RDLE/RDL/L2ACT/DDIS/L3ACT/RA
01B239	01B239 5F 47 06		bbr 5,$47,$01b242
	01B23C D2 80 04 06	sba $80,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	01B240 80 04		bra $01b246

01B242	01B242 C2 80 04 06	rba $80,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
01B246	01B246 6F 47 04		bbr 6,$47,$01b24d
	01B249 97 00		smb 1,$00		;Cx9	port A (bidirectional)
	01B24B 80 02		bra $01b24f

01B24D	01B24D 17 00		rmb 1,$00		;Cx9	port A (bidirectional)
01B24F	01B24F 60		rts

01B250	01B250 87 80		smb 0,$80
	01B252 F7 07		smb 7,$07		;Cx9	port E (R/W)
	01B254 D2 80 01 02	sba $80,$0201
	01B258 AD 01 02		lda $0201
	01B25B 85 08		sta $08			;Cx9	mask option & port E dir'n
	01B25D 3F 9B 20		bbr 3,$9B,$01b280
	01B260 AD 70 86		lda $8670
	01B263 C9 00		cmp #$00
	01B265 F0 08		beq $01b26f
	01B267 C9 07		cmp #$07
	01B269 B0 15		bcs $01b280
	01B26B C9 04		cmp #$04
	01B26D 90 11		bcc $01b280
01B26F	01B26F AD 42 03		lda $0342
	01B272 4D 41 03		eor $0341
	01B275 29 02		and #$02
	01B277 F0 07		beq $01b280
	01B279 AD 42 03		lda $0342
	01B27C 49 02		eor #$02
	01B27E 80 0D		bra $01b28d

01B280	01B280 AD 42 03		lda $0342
	01B283 A8		tay
	01B284 20 0E E1		jsr $E10E
	01B287 98		tya
	01B288 90 03		bcc $01b28d
	01B28A AD 47 03		lda $0347
01B28D	01B28D 48		pha
	01B28E C2 10 05 06	rba $10,$0605		;DPi ECFZ/ECSQ/FECSQ/TXSQ/CEQ/TTDIS
	01B292 68		pla
	01B293 4C E0 31		jmp $31E0

01B296	01B296 A9 76		lda #$76'v'
	01B298 20 2B F8		jsr $F82B
	01B29B 07 80		rmb 0,$80
	01B29D 20 7C 31		jsr $317C
	01B2A0 C2 01 67 01	rba $01,$0167
	01B2A4 B0 0D		bcs $01b2b3
	01B2A6 EF 9B 0A		bbs 6,$9B,$01b2b3
	01B2A9 47 61		rmb 4,$61
	01B2AB 77 67		rmb 7,67
	01B2AD AD 41 03		lda $0341
	01B2B0 20 E0 31		jsr $31E0
01B2B3	01B2B3 60		rts

01B2B4	01B2B4 20 B2 34		jsr $34B2
	01B2B7 67 57		rmb 6,$57
	01B2B9 A9 FF		lda #$FF
	01B2BB 8D 42 02		sta $0242
	01B2BE A9 E3		lda #$E3
	01B2C0 8D 43 02		sta $0243
	01B2C3 E7 57		smb 6,$57
	01B2C5 E2 12 86 20 10	bar $8612,$20,$01b2da
	01B2CA E2 13 86 02 0A	bar $8613,$02,$01b2d9
	01B2CF 7F 5D 07		bbr 7,$5D,$01b2d9
	01B2D2 C2 02 13 86	rba $02,$8613
	01B2D6 4C EE E2		jmp $E2EE

01B2D9	01B2D9 60		rts

01B2DA	01B2DA 6F 87 3D		bbr 6,$87,$01b31a
	01B2DD 20 54 4E		jsr $4E54
	01B2E0 20 24 E3		jsr $E324
	01B2E3 D7 80		smb 5,$80
	01B2E5 B2 4D AA		sti #$4D'M',$AA
	01B2E8 B2 45 AB		sti #$45'E',$AB
	01B2EB A5 92		lda $92
	01B2ED F0 07		beq $01b2f6
	01B2EF C7 80		smb 4,$80
	01B2F1 A7 58		smb 2,$58
	01B2F3 B2 43 AB		sti #$43'C',$AB
01B2F6	01B2F6 20 A6 E2		jsr $E2A6
	01B2F9 17 59		rmb 1,$59
	01B2FB A9 4E		lda #$4E'N'
	01B2FD 8D 69 02		sta $0269
	01B300 A9 08		lda #$08
	01B302 8D 6A 02		sta $026A
	01B305 97 59		smb 1,$59
	01B307 67 87		rmb 6,$87
	01B309 37 87		rmb 3,$87
	01B30B E7 6E		smb 6,$6E
	01B30D 20 C1 4D		jsr $4DC1
	01B310 A5 53		lda $53
	01B312 29 07		and #$07
	01B314 C9 03		cmp #$03
	01B316 D0 02		bne $01b31a
	01B318 C7 66		smb 4,$66
01B31A	01B31A 7F 62 2A		bbr 7,$62,$01b347
	01B31D BF 89 27		bbs 3,$89,$01b347
	01B320 A5 54		lda $54
	01B322 29 38		and #$38'8'
	01B324 4A		lsr a
	01B325 4A		lsr a
	01B326 4A		lsr a
	01B327 C9 02		cmp #$02
	01B329 B0 04		bcs $01b32f
	01B32B C7 89		smb 4,$89
	01B32D 80 0E		bra $01b33d

01B32F	01B32F C9 04		cmp #$04
	01B331 90 0A		bcc $01b33d
	01B333 C9 06		cmp #$06
	01B335 B0 0C		bcs $01b343
	01B337 A5 D8		lda $D8
	01B339 C5 DA		cmp $DA
	01B33B D0 0A		bne $01b347
01B33D	01B33D 87 8E		smb 0,$8E
	01B33F B7 89		smb 3,$89
	01B341 80 04		bra $01b347

01B343	01B343 77 62		rmb 7,62
	01B345 37 89		rmb 3,$89
01B347	01B347 BF 87 35		bbs 3,$87,$01b37f
	01B34A 20 8B 3E		jsr $3E8B
	01B34D FF 62 2F		bbs 7,$62,$01b37f
	01B350 A5 8A		lda $8A
	01B352 29 1F		and #$1F
	01B354 D0 29		bne $01b37f
	01B356 0F 92 23		bbr 0,$92,$01b37c
	01B359 A2 10		ldx #$10
	01B35B A5 B7		lda $B7
	01B35D 05 B8		ora $B8
	01B35F D0 02		bne $01b363
	01B361 A2 01		ldx #$01
01B363	01B363 DA		phx
	01B364 20 59 53		jsr $5359
	01B367 5F 6A 03		bbr 5,$6A,$01b36d
	01B36A 20 EE 3C		jsr $3CEE
01B36D	01B36D FA		plx
	01B36E FF 87 09		bbs 7,$87,$01b37a
	01B371 A5 B7		lda $B7
	01B373 05 B8		ora $B8
	01B375 F0 03		beq $01b37a
	01B377 CA		dex
	01B378 D0 E9		bne $01b363
01B37A	01B37A 80 03		bra $01b37f

01B37C	01B37C 20 EE 3C		jsr $3CEE
01B37F	01B37F 20 2D 37		jsr $372D
	01B382 7F 88 10		bbr 7,$88,$01b395
	01B385 77 88		rmb 7,88
	01B387 AD 88 03		lda $0388
	01B38A 8D 30 02		sta $0230
	01B38D AD 89 03		lda $0389
	01B390 8D 31 02		sta $0231
	01B393 77 5F		rmb 7,5F
01B395	01B395 5F 87 03		bbr 5,$87,$01b39b
	01B398 4C F9 4E		jmp $4EF9

01B39B	01B39B 20 56 34		jsr $3456
	01B39E 4C A1 33		jmp $33A1

01B3A1	01B3A1 0F 87 2F		bbr 0,$87,$01b3d3
	01B3A4 2F 5E 2C		bbr 2,$5E,$01b3d3
	01B3A7 3F 87 06		bbr 3,$87,$01b3b0
	01B3AA 8F 86 03		bbs 0,$86,$01b3b0
	01B3AD 4C 41 34		jmp $3441

01B3B0	01B3B0 9F 87 07		bbs 1,$87,$01b3ba
	01B3B3 97 87		smb 1,$87
	01B3B5 A9 00		lda #$00
	01B3B7 8D F0 97		sta $97F0
01B3BA	01B3BA 20 C1 4D		jsr $4DC1
	01B3BD 9F 6C 03		bbs 1,$6C,$01b3c3
	01B3C0 EE F0 97		inc $97F0
01B3C3	01B3C3 AD F0 97		lda $97F0
	01B3C6 CD F1 97		cmp $97F1
	01B3C9 90 03		bcc $01b3ce
	01B3CB 4C 31 34		jmp $3431

01B3CE	01B3CE 0F 8A 03		bbr 0,$8A,$01b3d4
	01B3D1 97 8B		smb 1,$8B
01B3D3	01B3D3 60		rts

01B3D4	01B3D4 3F 8A 03		bbr 3,$8A,$01b3da
	01B3D7 A7 8B		smb 2,$8B
	01B3D9 60		rts

01B3DA	01B3DA 4F 8A 03		bbr 4,$8A,$01b3e0
	01B3DD C7 8B		smb 4,$8B
	01B3DF 60		rts

01B3E0	01B3E0 2F 8A 03		bbr 2,$8A,$01b3e6
	01B3E3 D7 8B		smb 5,$8B
	01B3E5 60		rts

01B3E6	01B3E6 1F 8A 03		bbr 1,$8A,$01b3ec
	01B3E9 E7 8B		smb 6,$8B
	01B3EB 60		rts

01B3EC	01B3EC 6F 8A 03		bbr 6,$8A,$01b3f2
	01B3EF 87 8E		smb 0,$8E
	01B3F1 60		rts

01B3F2	01B3F2 5F 8A 03		bbr 5,$8A,$01b3f8
	01B3F5 C7 8E		smb 4,$8E
	01B3F7 60		rts

01B3F8	01B3F8 9F 8D 03		bbs 1,$8D,$01b3fe
	01B3FB 5F 8D 07		bbr 5,$8D,$01b405
01B3FE	01B3FE D7 8C		smb 5,$8C
	01B400 17 8D		rmb 1,$8D
	01B402 57 8D		rmb 5,$8D
	01B404 60		rts

01B405	01B405 FF 86 20		bbs 7,$86,$01b428
	01B408 9F 6C 1D		bbs 1,$6C,$01b428
	01B40B FF 8A 1A		bbs 7,$8A,$01b428
	01B40E A5 D7		lda $D7
	01B410 C5 D5		cmp $D5
	01B412 F0 14		beq $01b428
	01B414 AD 21 98		lda $9821
	01B417 CD F1 97		cmp $97F1
	01B41A B0 0C		bcs $01b428
	01B41C EE 21 98		inc $9821
	01B41F 17 87		rmb 1,$87
	01B421 A7 8E		smb 2,$8E
	01B423 D2 01 1E 98	sba $01,$981E
	01B427 60		rts

01B428	01B428 6F 86 03		bbr 6,$86,$01b42e
	01B42B C7 8C		smb 4,$8C
	01B42D 60		rts

01B42E	01B42E F7 8C		smb 7,$8C
	01B430 60		rts

01B431	01B431 AF 8A 0A		bbs 2,$8A,$01b43e
	01B434 AD 10 01		lda $0110
	01B437 C9 FF		cmp #$FF
	01B439 D0 03		bne $01b43e
	01B43B 4C CE 33		jmp $33CE

01B43E	01B43E 0F 8A 04		bbr 0,$8A,$01b445
	01B441 A9 06		lda #$06
	01B443 80 09		bra $01b44e

01B445	01B445 1F 8A 04		bbr 1,$8A,$01b44c
	01B448 A9 09		lda #$09
	01B44A 80 02		bra $01b44e

01B44C	01B44C A9 0D		lda #$0D
01B44E	01B44E A0 03		ldy #$03
	01B450 20 EE 4E		jsr $4EEE
	01B453 4C F9 4E		jmp $4EF9

01B456	01B456 AD 60 86		lda $8660
	01B459 F0 56		beq $01b4b1
	01B45B A2 00		ldx #$00
	01B45D 8E 60 86		stx $8660
	01B460 C9 48		cmp #$48'H'
	01B462 D0 33		bne $01b497
	01B464 AD 61 86		lda $8661
	01B467 C9 05		cmp #$05
	01B469 F0 04		beq $01b46f
	01B46B C9 FE		cmp #$FE
	01B46D D0 16		bne $01b485
01B46F	01B46F AF 8A 3F		bbs 2,$8A,$01b4b1
	01B472 BF 87 1F		bbs 3,$87,$01b494
	01B475 A5 8A		lda $8A
	01B477 29 1F		and #$1F
	01B479 D0 19		bne $01b494
	01B47B 17 87		rmb 1,$87
	01B47D D7 8B		smb 5,$8B
	01B47F A9 01		lda #$01
	01B481 8D F1 97		sta $97F1
	01B484 60		rts

01B485	01B485 AD 10 01		lda $0110
	01B488 C9 FF		cmp #$FF
	01B48A F0 25		beq $01b4b1
	01B48C AD 24 01		lda $0124
	01B48F A0 03		ldy #$03
	01B491 20 EE 4E		jsr $4EEE
01B494	01B494 4C F9 4E		jmp $4EF9

01B497	01B497 AF 8A 17		bbs 2,$8A,$01b4b1
	01B49A C9 54		cmp #$54'T'
	01B49C D0 08		bne $01b4a6
	01B49E 5F 93 04		bbr 5,$93,$01b4a5
	01B4A1 C7 8E		smb 4,$8E
	01B4A3 D7 88		smb 5,$88
01B4A5	01B4A5 60		rts

01B4A6	01B4A6 C9 53		cmp #$53'S'
	01B4A8 D0 07		bne $01b4b1
	01B4AA B7 87		smb 3,$87
	01B4AC 20 E1 35		jsr $35E1
	01B4AF 97 8B		smb 1,$8B
01B4B1	01B4B1 60		rts

01B4B2	01B4B2 47 85		rmb 4,$85
	01B4B4 B2 00 47		sti #$00,$47
	01B4B7 0F 86 03		bbr 0,$86,$01b4bd
	01B4BA B2 01 47		sti #$01,$47
01B4BD	01B4BD 20 9C 35		jsr $359C
	01B4C0 77 62		rmb 7,62
	01B4C2 A9 00		lda #$00
	01B4C4 8D 18 98		sta $9818
	01B4C7 8D 19 98		sta $9819
	01B4CA 8D 1A 98		sta $981A
	01B4CD 8D 1B 98		sta $981B
	01B4D0 8D 1C 98		sta $981C
	01B4D3 7F 49 02		bbr 7,$49,$01b4d8
	01B4D6 87 86		smb 0,$86
01B4D8	01B4D8 27 58		rmb 2,$58
	01B4DA 20 E1 35		jsr $35E1
	01B4DD 20 51 E3		jsr $E351
	01B4E0 8C 20 98		sty $9820
	01B4E3 20 49 3E		jsr $3E49
	01B4E6 20 5E 3E		jsr $3E5E
	01B4E9 A9 00		lda #$00
	01B4EB 8D 33 01		sta $0133
	01B4EE A7 5E		smb 2,$5E
	01B4F0 AD 88 03		lda $0388
	01B4F3 8D 30 02		sta $0230
	01B4F6 AD 89 03		lda $0389
	01B4F9 8D 31 02		sta $0231
	01B4FC 77 5F		rmb 7,5F
	01B4FE 78		sei
	01B4FF 20 72 F4		jsr $F472
	01B502 C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	01B506 37 59		rmb 3,$59
	01B508 A9 7B		lda #$7B'{'
	01B50A 8D 6F 02		sta $026F
	01B50D A9 08		lda #$08
	01B50F 8D 70 02		sta $0270
	01B512 B7 59		smb 3,$59
	01B514 47 59		rmb 4,$59
	01B516 A9 A2		lda #$A2
	01B518 8D 72 02		sta $0272
	01B51B A9 08		lda #$08
	01B51D 8D 73 02		sta $0273
	01B520 C7 59		smb 4,$59
	01B522 57 59		rmb 5,$59
	01B524 A9 0B		lda #$0B
	01B526 8D 75 02		sta $0275
	01B529 A9 E4		lda #$E4
	01B52B 8D 76 02		sta $0276
	01B52E D7 59		smb 5,$59
	01B530 C2 01 0A 06	rba $01,$060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	01B534 A0 00		ldy #$00
	01B536 20 36 F4		jsr $F436
	01B539 A2 02		ldx #$02
	01B53B 20 C5 E1		jsr $E1C5
	01B53E D2 10 04 06	sba $10,$0604		;DPi RB/EQT2/V32BS/FIFOEN/EQFZ/NRZIEN
	01B542 D2 01 08 06	sba $01,$0608		;DPi ASYN/TPDM/V21S/V54T/V54A/V54P
	01B546 C2 04 1E 06	rba $04,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01B54A 58		cli
	01B54B 0F 86 39		bbr 0,$86,$01b587
	01B54E A9 2C		lda #$2C','
	01B550 8D 10 02		sta $0210
	01B553 A9 01		lda #$01
	01B555 8D 11 02		sta $0211
	01B558 77 5D		rmb 7,5D
01B55A	01B55A F2 0A 06 01 15	bas $060A,$01,$01b574	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	01B55F E2 1E 06 01 08	bar $061E,$01,$01b56c	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01B564 F2 0A 06 01 08	bas $060A,$01,$01b571	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	01B569 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
01B56C	01B56C 7F 5D EB		bbr 7,$5D,$01b55a
	01B56F 80 03		bra $01b574

01B571	01B571 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
01B574	01B574 A9 0C		lda #$0C
	01B576 8D 10 02		sta $0210
	01B579 A9 00		lda #$00
	01B57B 8D 11 02		sta $0211
	01B57E 77 5D		rmb 7,5D
01B580	01B580 7F 5D FD		bbr 7,$5D,$01b580
	01B583 97 8B		smb 1,$8B
	01B585 80 0E		bra $01b595

01B587	01B587 A9 F4		lda #$F4
	01B589 8D 16 02		sta $0216
	01B58C A9 01		lda #$01
	01B58E 8D 17 02		sta $0217
	01B591 27 5E		rmb 2,$5E
	01B593 87 87		smb 0,$87
01B595	01B595 D2 04 1E 06	sba $04,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01B599 B7 87		smb 3,$87
	01B59B 60		rts

01B59C	01B59C A2 D5		ldx #$D5
	01B59E A9 00		lda #$00
01B5A0	01B5A0 95 00		sta $00,x		;Cx9	port A (bidirectional)
	01B5A2 E8		inx
	01B5A3 E0 F1		cpx #$F1
	01B5A5 90 F9		bcc $01b5a0
	01B5A7 B2 DD 40		sti #$DD,$40
	01B5AA B2 97 41		sti #$97,$41
01B5AD	01B5AD A9 00		lda #$00
	01B5AF 81 40		sta ($40)
	01B5B1 E6 40		inc $40
	01B5B3 D0 02		bne $01b5b7
	01B5B5 E6 41		inc $41
01B5B7	01B5B7 A5 41		lda $41
	01B5B9 C9 98		cmp #$98
	01B5BB D0 04		bne $01b5c1
	01B5BD A5 40		lda $40
	01B5BF C9 22		cmp #$22'"'
01B5C1	01B5C1 90 EA		bcc $01b5ad
	01B5C3 A9 00		lda #$00
	01B5C5 85 8A		sta $8A
	01B5C7 85 8B		sta $8B
	01B5C9 85 8C		sta $8C
	01B5CB 85 8D		sta $8D
	01B5CD 85 8E		sta $8E
	01B5CF 8D 75 01		sta $0175
	01B5D2 8D 76 01		sta $0176
	01B5D5 8D 77 01		sta $0177
	01B5D8 85 86		sta $86
	01B5DA 85 87		sta $87
	01B5DC 85 88		sta $88
	01B5DE 85 89		sta $89
	01B5E0 60		rts

01B5E1	01B5E1 A9 80		lda #$80
	01B5E3 8D 08 98		sta $9808
	01B5E6 85 E6		sta $E6
	01B5E8 8D 01 98		sta $9801
	01B5EB 8D 09 98		sta $9809
	01B5EE 85 E7		sta $E7
	01B5F0 8D 02 98		sta $9802
	01B5F3 A9 0F		lda #$0F
	01B5F5 8D 0A 98		sta $980A
	01B5F8 85 E8		sta $E8
	01B5FA 8D 03 98		sta $9803
	01B5FD 8D 0B 98		sta $980B
	01B600 85 E9		sta $E9
	01B602 8D 04 98		sta $9804
	01B605 A9 00		lda #$00
	01B607 85 8F		sta $8F
	01B609 85 93		sta $93
	01B60B 85 91		sta $91
	01B60D A9 08		lda #$08
	01B60F 8D 0C 98		sta $980C
	01B612 85 EA		sta $EA
	01B614 8D 05 98		sta $9805
	01B617 A9 00		lda #$00
	01B619 8D 0D 98		sta $980D
	01B61C 85 EB		sta $EB
	01B61E 8D 06 98		sta $9806
	01B621 A9 00		lda #$00
	01B623 85 8F		sta $8F
	01B625 1F 55 04		bbr 1,$55,$01b62c
	01B628 A9 03		lda #$03
	01B62A 80 02		bra $01b62e

01B62C	01B62C A9 00		lda #$00
01B62E	01B62E 85 90		sta $90
	01B630 85 94		sta $94
	01B632 85 92		sta $92
	01B634 F0 15		beq $01b64b
	01B636 A5 50		lda $50
	01B638 29 C0		and #$C0
	01B63A 4A		lsr a
	01B63B 4A		lsr a
	01B63C 4A		lsr a
	01B63D 4A		lsr a
	01B63E 4A		lsr a
	01B63F 4A		lsr a
	01B640 F0 09		beq $01b64b
	01B642 C9 03		cmp #$03
	01B644 F0 05		beq $01b64b
	01B646 A9 10		lda #$10
	01B648 8D 0C 98		sta $980C
01B64B	01B64B A9 20		lda #$20' '
	01B64D 8D 0E 98		sta $980E
	01B650 85 EC		sta $EC
	01B652 8D 07 98		sta $9807
	01B655 20 8D F9		jsr $F98D
	01B658 C9 04		cmp #$04
	01B65A 90 07		bcc $01b663
	01B65C F2 84 01 40 02	bas $0184,$40,$01b663
	01B661 80 04		bra $01b667

01B663	01B663 A9 03		lda #$03
	01B665 80 0E		bra $01b675

01B667	01B667 A9 93		lda #$93
	01B669 F2 4D 01 01 05	bas $014D,$01,$01b673
	01B66E E2 4C 01 01 02	bar $014C,$01,$01b675
01B673	01B673 09 20		ora #$20' '
01B675	01B675 8D 1B 86		sta $861B
	01B678 A9 08		lda #$08
	01B67A 8D 1A 86		sta $861A
	01B67D A5 55		lda $55
	01B67F 29 03		and #$03
	01B681 C9 04		cmp #$04
	01B683 90 04		bcc $01b689
	01B685 A9 00		lda #$00
	01B687 80 2D		bra $01b6b6

01B689	01B689 C9 02		cmp #$02
	01B68B 90 29		bcc $01b6b6
	01B68D D0 05		bne $01b694
	01B68F B2 00 40		sti #$00,$40
	01B692 80 03		bra $01b697

01B694	01B694 B2 01 40		sti #$01,$40
01B697	01B697 AD 74 9A		lda $9A74
	01B69A C9 08		cmp #$08
	01B69C D0 04		bne $01b6a2
	01B69E A9 1C		lda #$1C
	01B6A0 80 12		bra $01b6b4

01B6A2	01B6A2 C9 04		cmp #$04
	01B6A4 D0 04		bne $01b6aa
	01B6A6 A9 0C		lda #$0C
	01B6A8 80 0A		bra $01b6b4

01B6AA	01B6AA C9 02		cmp #$02
	01B6AC D0 04		bne $01b6b2
	01B6AE A9 04		lda #$04
	01B6B0 80 02		bra $01b6b4

01B6B2	01B6B2 A9 1C		lda #$1C
01B6B4	01B6B4 05 40		ora $40
01B6B6	01B6B6 8D 1C 86		sta $861C
	01B6B9 20 45 E3		jsr $E345
	01B6BC 8D 1F 86		sta $861F
	01B6BF 20 48 E3		jsr $E348
	01B6C2 8D 20 86		sta $8620
	01B6C5 E2 4E 01 02 0C	bar $014E,$02,$01b6d6
	01B6CA 20 4B E3		jsr $E34B
	01B6CD 8D 21 86		sta $8621
	01B6D0 20 4E E3		jsr $E34E
	01B6D3 8D 22 86		sta $8622
01B6D6	01B6D6 A9 00		lda #$00
	01B6D8 8D 23 86		sta $8623
	01B6DB 8D 24 86		sta $8624
	01B6DE 8D 78 9A		sta $9A78
	01B6E1 8D 7B 9A		sta $9A7B
	01B6E4 8D 7C 9A		sta $9A7C
	01B6E7 8D 7D 9A		sta $9A7D
	01B6EA 8D 7E 9A		sta $9A7E
	01B6ED 8D 79 9A		sta $9A79
	01B6F0 8D 7A 9A		sta $9A7A
	01B6F3 8D 7F 9A		sta $9A7F
	01B6F6 8D 80 9A		sta $9A80
	01B6F9 8D 81 9A		sta $9A81
	01B6FC 8D 82 9A		sta $9A82
	01B6FF 8D 83 9A		sta $9A83
	01B702 8D 84 9A		sta $9A84
	01B705 8D 85 9A		sta $9A85
	01B708 8D 88 9A		sta $9A88
	01B70B 8D 89 9A		sta $9A89
	01B70E 8D 8A 9A		sta $9A8A
	01B711 8D 8B 9A		sta $9A8B
	01B714 8D 86 9A		sta $9A86
	01B717 8D 87 9A		sta $9A87
	01B71A 8D 12 86		sta $8612
	01B71D 8D 13 86		sta $8613
	01B720 85 84		sta $84
	01B722 85 85		sta $85
	01B724 8D 8C 9A		sta $9A8C
	01B727 8D 8D 9A		sta $9A8D
	01B72A 27 6B		rmb 2,$6B
	01B72C 60		rts

01B72D	01B72D BF 87 09		bbs 3,$87,$01b739
	01B730 A5 8A		lda $8A
	01B732 29 1F		and #$1F
	01B734 D0 03		bne $01b739
	01B736 20 EE 3C		jsr $3CEE
01B739	01B739 1F 6C 0A		bbr 1,$6C,$01b746
	01B73C F2 1E 98 04 04	bas $981E,$04,$01b745
	01B741 D2 04 1E 98	sba $04,$981E
01B745	01B745 60		rts

01B746	01B746 E2 1E 98 04 20	bar $981E,$04,$01b76b
	01B74B C2 04 1E 98	rba $04,$981E
	01B74F 27 87		rmb 2,$87
	01B751 A9 00		lda #$00
	01B753 8D 1B 98		sta $981B
	01B756 8D E5 97		sta $97E5
	01B759 8D F0 97		sta $97F0
	01B75C 8D 21 98		sta $9821
	01B75F 20 5E 3E		jsr $3E5E
	01B762 07 88		rmb 0,$88
	01B764 17 88		rmb 1,$88
	01B766 27 88		rmb 2,$88
	01B768 20 49 3E		jsr $3E49
01B76B	01B76B F2 1E 06 20 36	bas $061E,$20,$01b7a6	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01B770 E2 0A 06 02 31	bar $060A,$02,$01b7a6	;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	01B775 A5 8B		lda $8B
	01B777 F0 2E		beq $01b7a7
	01B779 0F 8B 03		bbr 0,$8B,$01b77f
	01B77C 4C 0F 39		jmp $390F

01B77F	01B77F 1F 8B 03		bbr 1,$8B,$01b785
	01B782 4C 3C 39		jmp $393C

01B785	01B785 2F 8B 03		bbr 2,$8B,$01b78b
	01B788 4C D0 3C		jmp $3CD0

01B78B	01B78B 3F 8B 03		bbr 3,$8B,$01b791
	01B78E 4C B4 3C		jmp $3CB4

01B791	01B791 4F 8B 03		bbr 4,$8B,$01b797
	01B794 4C 6C 3C		jmp $3C6C

01B797	01B797 5F 8B 03		bbr 5,$8B,$01b79d
	01B79A 4C 98 3C		jmp $3C98

01B79D	01B79D 6F 8B 03		bbr 6,$8B,$01b7a3
	01B7A0 4C A6 3C		jmp $3CA6

01B7A3	01B7A3 4C 48 3C		jmp $3C48

01B7A6	01B7A6 60		rts

01B7A7	01B7A7 3F 87 10		bbr 3,$87,$01b7ba
	01B7AA E2 12 86 02 03	bar $8612,$02,$01b7b2
	01B7AF 4C E0 3A		jmp $3AE0

01B7B2	01B7B2 E2 12 86 01 EF	bar $8612,$01,$01b7a6
	01B7B7 4C AD 3B		jmp $3BAD

01B7BA	01B7BA E2 73 01 40 0F	bar $0173,$40,$01b7ce
	01B7BF 7F 5E 0C		bbr 7,$5E,$01b7ce
	01B7C2 EF 6E 05		bbs 6,$6E,$01b7ca
	01B7C5 D2 40 76 01	sba $40,$0176
	01B7C9 60		rts

01B7CA	01B7CA D2 40 77 01	sba $40,$0177
01B7CE	01B7CE 4F 89 03		bbr 4,$89,$01b7d4
	01B7D1 4C 2A 38		jmp $382A

01B7D4	01B7D4 A5 8C		lda $8C
	01B7D6 F0 21		beq $01b7f9
	01B7D8 0F 8C 03		bbr 0,$8C,$01b7de
	01B7DB 4C AF 38		jmp $38AF

01B7DE	01B7DE 1F 8C 03		bbr 1,$8C,$01b7e4
	01B7E1 4C A9 38		jmp $38A9

01B7E4	01B7E4 4F 8C 03		bbr 4,$8C,$01b7ea
	01B7E7 4C 7E 38		jmp $387E

01B7EA	01B7EA 3F 8C 03		bbr 3,$8C,$01b7f0
	01B7ED 4C B5 38		jmp $38B5

01B7F0	01B7F0 5F 8C 03		bbr 5,$8C,$01b7f6
	01B7F3 4C 78 38		jmp $3878

01B7F6	01B7F6 4C 84 38		jmp $3884

01B7F9	01B7F9 A5 8D		lda $8D
	01B7FB F0 2D		beq $01b82a
	01B7FD 0F 8D 03		bbr 0,$8D,$01b803
	01B800 4C 97 38		jmp $3897

01B803	01B803 1F 8D 03		bbr 1,$8D,$01b809
	01B806 4C 91 38		jmp $3891

01B809	01B809 2F 8D 03		bbr 2,$8D,$01b80f
	01B80C 4C 4D 38		jmp $384D

01B80F	01B80F 4F 8D 03		bbr 4,$8D,$01b815
	01B812 4C C1 38		jmp $38C1

01B815	01B815 3F 8D 03		bbr 3,$8D,$01b81b
	01B818 4C 9D 38		jmp $389D

01B81B	01B81B 5F 8D 03		bbr 5,$8D,$01b821
	01B81E 4C BB 38		jmp $38BB

01B821	01B821 6F 8D 03		bbr 6,$8D,$01b827
	01B824 4C 52 38		jmp $3852

01B827	01B827 4C C7 38		jmp $38C7

01B82A	01B82A A5 8E		lda $8E
	01B82C F0 1E		beq $01b84c
	01B82E 0F 8E 03		bbr 0,$8E,$01b834
	01B831 4C 05 3C		jmp $3C05

01B834	01B834 1F 8E 03		bbr 1,$8E,$01b83a
	01B837 4C 5D 3D		jmp $3D5D

01B83A	01B83A CF 89 0F		bbs 4,$89,$01b84c
	01B83D 2F 8E 03		bbr 2,$8E,$01b843
	01B840 4C 5D 3D		jmp $3D5D

01B843	01B843 3F 8E 03		bbr 3,$8E,$01b849
	01B846 4C 5D 3D		jmp $3D5D

01B849	01B849 4C D7 38		jmp $38D7

01B84C	01B84C 60		rts

01B84D	01B84D 20 57 38		jsr $3857
	01B850 80 4F		bra $01b8a1

01B852	01B852 20 57 38		jsr $3857
	01B855 80 74		bra $01b8cb

01B857	01B857 CE DF 97		dec $97DF
	01B85A D0 04		bne $01b860
	01B85C 27 8D		rmb 2,$8D
	01B85E 67 8D		rmb 6,$8D
01B860	01B860 AE E0 97		ldx $97E0
	01B863 BD 92 88		lda $8892,x
	01B866 8D E7 97		sta $97E7
	01B869 AD E0 97		lda $97E0
	01B86C AC 04 98		ldy $9804
	01B86F 20 B4 4D		jsr $4DB4
	01B872 8D E0 97		sta $97E0
	01B875 A9 0D		lda #$0D
	01B877 60		rts

01B878	01B878 57 8C		rmb 5,$8C
	01B87A A9 19		lda #$19
	01B87C 80 0A		bra $01b888

01B87E	01B87E 47 8C		rmb 4,$8C
	01B880 A9 15		lda #$15
	01B882 80 04		bra $01b888

01B884	01B884 77 8C		rmb 7,8C
	01B886 A9 11		lda #$11
01B888	01B888 F7 8A		smb 7,$8A
	01B88A 48		pha
	01B88B 20 C1 4D		jsr $4DC1
	01B88E 68		pla
	01B88F 80 10		bra $01b8a1

01B891	01B891 17 8D		rmb 1,$8D
01B893	01B893 A9 09		lda #$09
	01B895 80 0A		bra $01b8a1

01B897	01B897 07 8D		rmb 0,$8D
	01B899 A9 05		lda #$05
	01B89B 80 04		bra $01b8a1

01B89D	01B89D 37 8D		rmb 3,$8D
	01B89F A9 01		lda #$01
01B8A1	01B8A1 A0 01		ldy #$01
	01B8A3 38		sec
	01B8A4 20 FA 4C		jsr $4CFA
	01B8A7 80 28		bra $01b8d1

01B8A9	01B8A9 17 8C		rmb 1,$8C
	01B8AB A9 19		lda #$19
	01B8AD 80 1C		bra $01b8cb

01B8AF	01B8AF 07 8C		rmb 0,$8C
	01B8B1 A9 15		lda #$15
	01B8B3 80 16		bra $01b8cb

01B8B5	01B8B5 37 8C		rmb 3,$8C
	01B8B7 A9 11		lda #$11
	01B8B9 80 10		bra $01b8cb

01B8BB	01B8BB 57 8D		rmb 5,$8D
	01B8BD A9 09		lda #$09
	01B8BF 80 0A		bra $01b8cb

01B8C1	01B8C1 47 8D		rmb 4,$8D
	01B8C3 A9 05		lda #$05
	01B8C5 80 04		bra $01b8cb

01B8C7	01B8C7 77 8D		rmb 7,8D
	01B8C9 A9 01		lda #$01
01B8CB	01B8CB A0 01		ldy #$01
	01B8CD 18		clc
	01B8CE 20 FA 4C		jsr $4CFA
01B8D1	01B8D1 A7 88		smb 2,$88
	01B8D3 20 67 F4		jsr $F467
	01B8D6 60		rts

01B8D7	01B8D7 47 8E		rmb 4,$8E
	01B8D9 5F 88 1C		bbr 5,$88,$01b8f8
	01B8DC 57 88		rmb 5,$88
	01B8DE A2 00		ldx #$00
	01B8E0 BD E3 3C		lda $3CE3,x
	01B8E3 C9 FF		cmp #$FF
	01B8E5 F0 06		beq $01b8ed
	01B8E7 E8		inx
	01B8E8 9D 92		sta $92,x
	01B8EA 87 80		smb 0,$80
	01B8EC F3		???			;undocumented opcode
01B8ED	01B8ED 8A		txa
	01B8EE 8D 92 87		sta $8792
	01B8F1 D7 8A		smb 5,$8A
	01B8F3 20 C1 4D		jsr $4DC1
	01B8F6 80 14		bra $01b90c

01B8F8	01B8F8 A2 00		ldx #$00
	01B8FA BD 12 88		lda $8812,x
	01B8FD EC DE 97		cpx $97DE
	01B900 F0 06		beq $01b908
	01B902 E8		inx
	01B903 9D DE		sta $DE,x
	01B905 97 80		smb 1,$80
	01B907 F2 8A 8D 92 87	bas $8D8A,$92,$01b893
01B90C	01B90C 4C DF 3C		jmp $3CDF

01B90F	01B90F 07 8B		rmb 0,$8B
	01B911 18		clc
	01B912 20 40 4D		jsr $4D40
	01B915 B2 00 46		sti #$00,$46
	01B918 A5 91		lda $91
	01B91A 85 40		sta $40
	01B91C A5 92		lda $92
	01B91E 85 47		sta $47
	01B920 B2 01 42		sti #$01,$42
	01B923 B2 98 43		sti #$98,$43
	01B926 20 5B 39		jsr $395B
	01B929 A5 92		lda $92
	01B92B C9 02		cmp #$02
	01B92D D0 03		bne $01b932
	01B92F B2 01 92		sti #$01,$92
01B932	01B932 C9 01		cmp #$01
	01B934 D0 03		bne $01b939
	01B936 B2 02 92		sti #$02,$92
01B939	01B939 4C DF 3C		jmp $3CDF

01B93C	01B93C 17 8B		rmb 1,$8B
	01B93E 87 8A		smb 0,$8A
	01B940 38		sec
	01B941 20 40 4D		jsr $4D40
	01B944 B2 01 46		sti #$01,$46
	01B947 A5 8F		lda $8F
	01B949 85 40		sta $40
	01B94B A5 90		lda $90
	01B94D 85 47		sta $47
	01B94F B2 08 42		sti #$08,$42
	01B952 B2 98 43		sti #$98,$43
	01B955 20 5B 39		jsr $395B
	01B958 4C DC 3C		jmp $3CDC

01B95B	01B95B A2 02		ldx #$02
01B95D	01B95D BD A4 3A		lda $3AA4,x
	01B960 9D 92		sta $92,x
	01B962 87 E8		smb 0,$E8
	01B964 E0 2C		cpx #$2C','
	01B966 90 F5		bcc $01b95d
	01B968 A2 09		ldx #$09
	01B96A AF 40 04		bbs 2,$40,$01b971
	01B96D A9 8A		lda #$8A
	01B96F 80 02		bra $01b973

01B971	01B971 A9 8E		lda #$8E
01B973	01B973 9D 92		sta $92,x
	01B975 87 E8		smb 0,$E8
	01B977 DF 40 04		bbs 5,$40,$01b97e
	01B97A A9 89		lda #$89
	01B97C 80 02		bra $01b980

01B97E	01B97E A9 A9		lda #$A9
01B980	01B980 9D 92		sta $92,x
	01B982 87 E8		smb 0,$E8
	01B984 8F 40 04		bbs 0,$40,$01b98b
	01B987 A9 00		lda #$00
	01B989 80 02		bra $01b98d

01B98B	01B98B A9 01		lda #$01
01B98D	01B98D 9D 92		sta $92,x
	01B98F 87 20		smb 0,$20		;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	01B991 9B		lii
	01B992 3A		asr a
	01B993 85 40		sta $40
	01B995 B2 08 44		sti #$08,$44
	01B998 20 2A E3		jsr $E32A
	01B99B A2 0E		ldx #$0E
	01B99D A5 41		lda $41
	01B99F 9D 92		sta $92,x
	01B9A1 87 E8		smb 0,$E8
	01B9A3 A5 40		lda $40
	01B9A5 9D 92		sta $92,x
	01B9A7 87 20		smb 0,$20		;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	01B9A9 9B		lii
	01B9AA 3A		asr a
	01B9AB 85 40		sta $40
	01B9AD B2 08 44		sti #$08,$44
	01B9B0 20 2A E3		jsr $E32A
	01B9B3 A2 12		ldx #$12
	01B9B5 A5 41		lda $41
	01B9B7 9D 92		sta $92,x
	01B9B9 87 E8		smb 0,$E8
	01B9BB A5 40		lda $40
	01B9BD 9D 92		sta $92,x
	01B9BF 87 A2		smb 0,$A2
	01B9C1 16 20		asl $20,x		;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	01B9C3 9B		lii
	01B9C4 3A		asr a
	01B9C5 9D 92		sta $92,x
	01B9C7 87 A2		smb 0,$A2
	01B9C9 19 20 9B		ora $9B20,y
	01B9CC 3A		asr a
	01B9CD 9D 92		sta $92,x
	01B9CF 87 A5		smb 0,$A5
	01B9D1 47 F0		rmb 4,$F0
	01B9D3 1E A2 24		asl $24A2,x
	01B9D6 A5 47		lda $47
	01B9D8 9D 92		sta $92,x
	01B9DA 87 A2		smb 0,$A2
	01B9DC 27 20		rmb 2,$20		;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	01B9DE 9B		lii
	01B9DF 3A		asr a
	01B9E0 9D 92		sta $92,x
	01B9E2 87 E8		smb 0,$E8
	01B9E4 20 9B 3A		jsr $3A9B
	01B9E7 9D 92		sta $92,x
	01B9E9 87 A2		smb 0,$A2
	01B9EB 2B		jsb 2			;indirect $FFE4
	01B9EC 20 9B 3A		jsr $3A9B
	01B9EF 9D 92		sta $92,x
	01B9F1 87 A4		smb 0,$A4
	01B9F3 46 D0		lsr $D0
	01B9F5 03		tip
	01B9F6 4C 94 3A		jmp $3A94

01B9F9	01B9F9 F2 84 01 01 03	bas $0184,$01,$01ba01
	01B9FE 4C 94 3A		jmp $3A94

01BA01	01BA01 E8		inx
	01BA02 86 40		stx $40
	01BA04 A0 00		ldy #$00
01BA06	01BA06 B9 D0 3A		lda $3AD0,y
	01BA09 9D 92		sta $92,x
	01BA0B 87 E8		smb 0,$E8
	01BA0D C8		iny
	01BA0E C0 10		cpy #$10
	01BA10 90 F4		bcc $01ba06
	01BA12 A5 40		lda $40
	01BA14 89 02		add #$02
	01BA16 85 40		sta $40
	01BA18 89 08		add #$08
	01BA1A AA		tax
	01BA1B AD 1A 86		lda $861A
	01BA1E 9D 92		sta $92,x
	01BA20 87 8A		smb 0,$8A
	01BA22 89 03		add #$03
	01BA24 AA		tax
	01BA25 AD 1B 86		lda $861B
	01BA28 9D 92		sta $92,x
	01BA2A 87 AC		smb 0,$AC
	01BA2C 1C		???			;undocumented opcode
	01BA2D 86 F0		stx $F0
	01BA2F 08		php
	01BA30 8A		txa
	01BA31 89 03		add #$03
	01BA33 AA		tax
	01BA34 98		tya
	01BA35 9D 92		sta $92,x
	01BA37 87 E2		smb 0,$E2
	01BA39 1B		jsb 1			;indirect $FFE2
	01BA3A 86 10		stx $10			;Cx9 Timer A Mode
	01BA3C 4C E8 A9		jmp $A9E8

01BA3F	01BA3F 0C 9D 92		jpi ($929D)
	01BA42 87 E8		smb 0,$E8
	01BA44 E2 4E 01 02 04	bar $014E,$02,$01ba4d
	01BA49 A9 04		lda #$04
	01BA4B 80 02		bra $01ba4f

01BA4D	01BA4D A9 02		lda #$02
01BA4F	01BA4F 9D 92		sta $92,x
	01BA51 87 E8		smb 0,$E8
	01BA53 AD 1F 86		lda $861F
	01BA56 9D 92		sta $92,x
	01BA58 87 E8		smb 0,$E8
	01BA5A AD 20 86		lda $8620
	01BA5D 9D 92		sta $92,x
	01BA5F 87 E2		smb 0,$E2
	01BA61 4E 01 02		lsr $0201
	01BA64 0E E8 AD		asl $ADE8
	01BA67 21 86		and ($86)
	01BA69 9D 92		sta $92,x
	01BA6B 87 E8		smb 0,$E8
	01BA6D AD 22 86		lda $8622
	01BA70 9D 92		sta $92,x
	01BA72 87 E8		smb 0,$E8
	01BA74 A9 0D		lda #$0D
	01BA76 9D 92		sta $92,x
	01BA78 87 E8		smb 0,$E8
	01BA7A A9 02		lda #$02
	01BA7C 9D 92		sta $92,x
	01BA7E 87 E8		smb 0,$E8
	01BA80 A9 FF		lda #$FF
	01BA82 9D 92		sta $92,x
	01BA84 87 E8		smb 0,$E8
	01BA86 9D 92		sta $92,x
	01BA88 87 DA		smb 0,$DA
	01BA8A 8A		txa
	01BA8B 38		sec
	01BA8C E5 40		sbc $40
	01BA8E A6 40		ldx $40
	01BA90 9D 92		sta $92,x
	01BA92 87 FA		smb 0,$FA
	01BA94 8A		txa
	01BA95 A2 00		ldx #$00
	01BA97 9D 92		sta $92,x
	01BA99 87 60		smb 0,$60
	01BA9B A1 42		lda ($42)
	01BA9D E6 42		inc $42
	01BA9F D0 02		bne $01baa3
	01BAA1 E6 43		inc $43
01BAA3	01BAA3 60		rts

01BAA4	01BAA4 00		brk
	01BAA5 03		tip
	01BAA6 AF 82 80		bbs 2,$82,$01ba29
	01BAA9 00		brk
	01BAAA 13		lab a
	01BAAB 03		tip
	01BAAC 03		tip
	01BAAD 8A		txa
	01BAAE 89 00		add #$00
	01BAB0 05 02		ora $02			;Cx9	port C (bidirectional)
	01BAB2 04		???			;undocumented opcode
	01BAB3 00		brk
	01BAB4 06 02		asl $02			;Cx9	port C (bidirectional)
	01BAB6 04		???			;undocumented opcode
	01BAB7 00		brk
	01BAB8 07 01		rmb 0,$01		;Cx9	port B (output only)
	01BABA 0F 08 01		bbr 0,$08,$01babe	;Cx9	mask option & port E dir'n
	01BABD 0F F0 00		bbr 0,$F0,$01bac0
01BAC0	01BAC0 0F 00 03		bbr 0,$00,$01bac6	;Cx9	port A (bidirectional)

	01BAC3			.ascii /V42/

01BAC6	01BAC6 01 01		ora ($01)		;Cx9	port B (output only)
	01BAC8 03		tip
	01BAC9 02		mpy
	01BACA 02		mpy
	01BACB 04		???			;undocumented opcode
	01BACC 00		brk
	01BACD 03		tip
	01BACE 01 20		ora ($20)		;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	01BAD0 FF FF 00		bbs 7,$FF,$01bad3
01BAD3	01BAD3 01 03		ora ($03)		;Cx9	port A direction (R/O)
	01BAD5 52		clw
	01BAD6 49 43		eor #$43'C'
	01BAD8 03		tip
	01BAD9 01 00		ora ($00)		;Cx9	port A (bidirectional)
	01BADB 08		php
	01BADC 01 00		ora ($00)		;Cx9	port A (bidirectional)
	01BADE 09 01		ora #$01
	01BAE0 C2 02 12 86	rba $02,$8612
	01BAE4 D2 20 12 86	sba $20,$8612
	01BAE8 A2 02		ldx #$02
01BAEA	01BAEA BD E6 3B		lda $3BE6,x
	01BAED 9D 92		sta $92,x
	01BAEF 87 E8		smb 0,$E8
	01BAF1 E0 11		cpx #$11
	01BAF3 90 F5		bcc $01baea
	01BAF5 A2 0E		ldx #$0E
	01BAF7 AD 83 9A		lda $9A83
	01BAFA F0 03		beq $01baff
	01BAFC 9D 92		sta $92,x
	01BAFE 87 AD		smb 0,$AD
	01BB00 84 9A		sty $9A
	01BB02 F0 05		beq $01bb09
	01BB04 A2 11		ldx #$11
	01BB06 9D 92		sta $92,x
	01BB08 87 AC		smb 0,$AC
	01BB0A 85 9A		sta $9A
	01BB0C F0 15		beq $01bb23
	01BB0E C0 FF		cpy #$FF
	01BB10 F0 11		beq $01bb23
	01BB12 E8		inx
	01BB13 A9 09		lda #$09
	01BB15 9D 92		sta $92,x
	01BB17 87 E8		smb 0,$E8
	01BB19 A9 01		lda #$01
	01BB1B 9D 92		sta $92,x
	01BB1D 87 E8		smb 0,$E8
	01BB1F 98		tya
	01BB20 9D 92		sta $92,x
	01BB22 87 AC		smb 0,$AC
	01BB24 88		dey
	01BB25 9A		txs
	01BB26 F0 34		beq $01bb5c
	01BB28 E8		inx
	01BB29 A9 0C		lda #$0C
	01BB2B 9D 92		sta $92,x
	01BB2D 87 E8		smb 0,$E8
	01BB2F E2 4E 01 02 04	bar $014E,$02,$01bb38
	01BB34 A9 04		lda #$04
	01BB36 80 02		bra $01bb3a

01BB38	01BB38 A9 02		lda #$02
01BB3A	01BB3A 9D 92		sta $92,x
	01BB3C 87 E8		smb 0,$E8
	01BB3E 98		tya
	01BB3F 9D 92		sta $92,x
	01BB41 87 E8		smb 0,$E8
	01BB43 AD 89 9A		lda $9A89
	01BB46 9D 92		sta $92,x
	01BB48 87 E2		smb 0,$E2
	01BB4A 4E 01 02		lsr $0201
	01BB4D 0E E8 AD		asl $ADE8
	01BB50 8A		txa
	01BB51 9A		txs
	01BB52 9D 92		sta $92,x
	01BB54 87 E8		smb 0,$E8
	01BB56 AD 8B 9A		lda $9A8B
	01BB59 9D 92		sta $92,x
	01BB5B 87 F2		smb 0,$F2
	01BB5D 84 01		sty $01			;Cx9	port B (output only)
	01BB5F 04		???			;undocumented opcode
	01BB60 05 E2		ora $E2
	01BB62 88		dey
	01BB63 9A		txs
	01BB64 80 16		bra $01bb7c

01BB66	01BB66 E8		inx
	01BB67 A9 0D		lda #$0D
	01BB69 9D 92		sta $92,x
	01BB6B 87 E8		smb 0,$E8
	01BB6D A9 02		lda #$02
	01BB6F 9D 92		sta $92,x
	01BB71 87 E8		smb 0,$E8
	01BB73 A9 FF		lda #$FF
	01BB75 9D 92		sta $92,x
	01BB77 87 E8		smb 0,$E8
	01BB79 9D 92		sta $92,x
	01BB7B 87 AD		smb 0,$AD
	01BB7D 85 9A		sta $9A
	01BB7F C9 FF		cmp #$FF
	01BB81 D0 28		bne $01bbab
	01BB83 E8		inx
	01BB84 A9 0E		lda #$0E
	01BB86 9D 92		sta $92,x
	01BB88 87 E8		smb 0,$E8
	01BB8A A9 04		lda #$04
	01BB8C 9D 92		sta $92,x
	01BB8E 87 E8		smb 0,$E8
	01BB90 AD 7F 9A		lda $9A7F
	01BB93 9D 92		sta $92,x
	01BB95 87 E8		smb 0,$E8
	01BB97 AD 80 9A		lda $9A80
	01BB9A 9D 92		sta $92,x
	01BB9C 87 E8		smb 0,$E8
	01BB9E AD 81 9A		lda $9A81
	01BBA1 9D 92		sta $92,x
	01BBA3 87 E8		smb 0,$E8
	01BBA5 AD 82 9A		lda $9A82
	01BBA8 9D 92		sta $92,x
	01BBAA 87 80		smb 0,$80
	01BBAC 29 C2		and #$C2
	01BBAE 01 12		ora ($12)		;Cx9 TAS (R), TAUL (W)
	01BBB0 86 D2		stx $D2
	01BBB2 20 12 86		jsr $8612
	01BBB5 A2 02		ldx #$02
	01BBB7 F2 12 86 04 0E	bas $8612,$04,$01bbca
01BBBC	01BBBC BD F7 3B		lda $3BF7,x
	01BBBF 9D 92		sta $92,x
	01BBC1 87 E8		smb 0,$E8
	01BBC3 E0 09		cpx #$09
	01BBC5 90 F5		bcc $01bbbc
	01BBC7 CA		dex
	01BBC8 80 0C		bra $01bbd6

01BBCA	01BBCA BD 00 3C		lda $3C00,x
	01BBCD 9D 92		sta $92,x
	01BBCF 87 E8		smb 0,$E8
	01BBD1 E0 05		cpx #$05
	01BBD3 90 F5		bcc $01bbca
	01BBD5 CA		dex
01BBD6	01BBD6 8A		txa
	01BBD7 A0 00		ldy #$00
	01BBD9 99 92		sta $92,y
	01BBDB 87 CA		smb 0,$CA
	01BBDD 8A		txa
	01BBDE A2 01		ldx #$01
	01BBE0 9D 92		sta $92,x
	01BBE2 87 4C		smb 0,$4C
	01BBE4 DF 3C 00		bbs 5,$3C,$01bbe7	;Cx9	serial status register
01BBE7	01BBE7 00		brk
	01BBE8 01 02		ora ($02)		;Cx9	port C (bidirectional)
	01BBEA 01 06		ora ($06)		;Cx9	port C direction (W)
	01BBEC 01 00		ora ($00)		;Cx9	port A (bidirectional)
	01BBEE 00		brk
	01BBEF 00		brk
	01BBF0 00		brk
	01BBF1 FF 03 01		bbs 7,$03,$01bbf5	;Cx9	port A direction (R/O)
	01BBF4 04		???			;undocumented opcode
01BBF5	01BBF5 08		php
	01BBF6 01 00		ora ($00)		;Cx9	port A (bidirectional)
	01BBF8 00		brk
	01BBF9 05 01		ora $01			;Cx9	port B (output only)
	01BBFB 01 00		ora ($00)		;Cx9	port A (bidirectional)
	01BBFD 02		mpy
	01BBFE 01 04		ora ($04)		;Cx9	port D & direction control
	01BC00 00		brk
	01BC01 00		brk
	01BC02 05 00		ora $00			;Cx9	port A (bidirectional)
	01BC04 04		???			;undocumented opcode
	01BC05 07 8E		rmb 0,$8E
	01BC07 E7 8A		smb 6,$8A
	01BC09 A0 00		ldy #$00
	01BC0B 4F 89 04		bbr 4,$89,$01bc12
	01BC0E A0 C0		ldy #$C0
	01BC10 80 0D		bra $01bc1f

01BC12	01BC12 A5 54		lda $54
	01BC14 29 38		and #$38'8'
	01BC16 4A		lsr a
	01BC17 4A		lsr a
	01BC18 4A		lsr a
	01BC19 29 02		and #$02
	01BC1B F0 02		beq $01bc1f
	01BC1D A0 40		ldy #$40'@'
01BC1F	01BC1F A2 04		ldx #$04
	01BC21 98		tya
	01BC22 9D 92		sta $92,x
	01BC24 87 A2		smb 0,$A2
	01BC26 00		brk
	01BC27 A9 04		lda #$04
	01BC29 9D 92		sta $92,x
	01BC2B 87 38		smb 0,$38		;Cx9	serial I/O buffers
	01BC2D 20 40 4D		jsr $4D40
	01BC30 A9 03		lda #$03
	01BC32 A2 02		ldx #$02
	01BC34 9D 92		sta $92,x
	01BC36 87 2F		smb 0,$2F		;Cx9	host handshake register
	01BC38 89 04		add #$04
	01BC3A A9 C0		lda #$C0
	01BC3C 80 02		bra $01bc40

01BC3E	01BC3E A9 40		lda #$40'@'
01BC40	01BC40 A2 03		ldx #$03
	01BC42 9D 92		sta $92,x
	01BC44 87 4C		smb 0,$4C
	01BC46 DC		???			;undocumented opcode
	01BC47 3C		???			;undocumented opcode
	01BC48 77 8B		rmb 7,8B
	01BC4A A2 00		ldx #$00
	01BC4C A9 03		lda #$03
	01BC4E 9D 92		sta $92,x
	01BC50 87 18		smb 0,$18		;Cx9	bank switch register 0 (R/W)
	01BC52 20 40 4D		jsr $4D40
	01BC55 A9 03		lda #$03
	01BC57 A2 02		ldx #$02
	01BC59 9D 92		sta $92,x
	01BC5B 87 1F		smb 0,$1F		;Cx9	bank switch register 7 (R/W)
	01BC5D 89 04		add #$04
	01BC5F A9 E0		lda #$E0
	01BC61 80 02		bra $01bc65

01BC63	01BC63 A9 60		lda #$60'`'
01BC65	01BC65 E8		inx
	01BC66 9D 92		sta $92,x
	01BC68 87 4C		smb 0,$4C
	01BC6A DF 3C 47		bbs 5,$3C,$01bcb4	;Cx9	serial status register
	01BC6D 8B		nxt
	01BC6E A2 00		ldx #$00
	01BC70 A9 07		lda #$07
	01BC72 9D 92		sta $92,x
	01BC74 87 C7		smb 0,$C7
	01BC76 88		dey
	01BC77 C7 8A		smb 4,$8A
	01BC79 18		clc
	01BC7A 20 40 4D		jsr $4D40
	01BC7D A9 87		lda #$87
	01BC7F A2 02		ldx #$02
	01BC81 9D 92		sta $92,x
	01BC83 87 A2		smb 0,$A2
	01BC85 05 8A		ora $8A
	01BC87 F0 0C		beq $01bc95
	01BC89 A8		tay
	01BC8A C8		iny
	01BC8B C8		iny
	01BC8C CA		dex
	01BC8D BD 10 98		lda $9810,x
	01BC90 99 92		sta $92,y
	01BC92 87 80		smb 0,$80
	01BC94 F1 4C		sbc ($4C),x
	01BC96 DC		???			;undocumented opcode
	01BC97 3C		???			;undocumented opcode
	01BC98 57 8B		rmb 5,$8B
	01BC9A A7 8A		smb 2,$8A
	01BC9C A9 53		lda #$53'S'
	01BC9E A0 00		ldy #$00
	01BCA0 38		sec
	01BCA1 20 FA 4C		jsr $4CFA
	01BCA4 80 06		bra $01bcac

01BCA6	01BCA6 67 8B		rmb 6,$8B
	01BCA8 97 8A		smb 1,$8A
	01BCAA A9 7F		lda #$7F
01BCAC	01BCAC A0 00		ldy #$00
	01BCAE 38		sec
	01BCAF 20 FA 4C		jsr $4CFA
	01BCB2 80 28		bra $01bcdc

01BCB4	01BCB4 37 8B		rmb 3,$8B
	01BCB6 A9 73		lda #$73's'
	01BCB8 A0 00		ldy #$00
	01BCBA 18		clc
	01BCBB 20 FA 4C		jsr $4CFA
	01BCBE 4F 87 0B		bbr 4,$87,$01bccc
	01BCC1 20 67 F4		jsr $F467
	01BCC4 20 DE 4E		jsr $4EDE
	01BCC7 A9 0C		lda #$0C
	01BCC9 4C 4E 34		jmp $344E

01BCCC	01BCCC E7 87		smb 6,$87
	01BCCE 80 0F		bra $01bcdf

01BCD0	01BCD0 27 8B		rmb 2,$8B
	01BCD2 B7 8A		smb 3,$8A
	01BCD4 A9 1F		lda #$1F
	01BCD6 A0 00		ldy #$00
	01BCD8 18		clc
	01BCD9 20 FA 4C		jsr $4CFA
01BCDC	01BCDC 20 C1 4D		jsr $4DC1
01BCDF	01BCDF 20 67 F4		jsr $F467
	01BCE2 60		rts

01BCE3	01BCE3 54		???			;undocumented opcode
	01BCE4 65 73		adc $73
	01BCE6 74 20		add $20,x		;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	01BCE8 46 72		lsr $72
	01BCEA 61 6D		adc ($6D)
	01BCEC 65 FF		adc $FF
	01BCEE 7F 87 01		bbr 7,$87,$01bcf2
01BCF1	01BCF1 60		rts

01BCF2	01BCF2 DF 6A 16		bbs 5,$6A,$01bd0b
	01BCF5 AD 33 01		lda $0133
	01BCF8 D0 11		bne $01bd0b
	01BCFA AD E3 97		lda $97E3
	01BCFD F0 03		beq $01bd02
	01BCFF 20 3D 3D		jsr $3D3D
01BD02	01BD02 AD 0D 86		lda $860D
	01BD05 8D 33 01		sta $0133
	01BD08 FF 87 E6		bbs 7,$87,$01bcf1
01BD0B	01BD0B FF 62 E3		bbs 7,$62,$01bcf1
	01BD0E 0F 92 0D		bbr 0,$92,$01bd1e
	01BD11 5F 6A 08		bbr 5,$6A,$01bd1c
	01BD14 57 6A		rmb 5,$6A
	01BD16 AC 5C 86		ldy $865C
	01BD19 20 91 4D		jsr $4D91
01BD1C	01BD1C 80 17		bra $01bd35

01BD1E	01BD1E 20 75 08		jsr $0875
	01BD21 B0 12		bcs $01bd35
	01BD23 A8		tay
	01BD24 20 91 4D		jsr $4D91
	01BD27 AD 88 03		lda $0388
	01BD2A 8D 30 02		sta $0230
	01BD2D AD 89 03		lda $0389
	01BD30 8D 31 02		sta $0231
	01BD33 77 5F		rmb 7,5F
01BD35	01BD35 AD E3 97		lda $97E3
	01BD38 CD 01 98		cmp $9801
	01BD3B D0 B4		bne $01bcf1
	01BD3D B7 8E		smb 3,$8E
	01BD3F A8		tay
	01BD40 A2 00		ldx #$00
	01BD42 20 9F 4D		jsr $4D9F
	01BD45 A9 00		lda #$00
	01BD47 8D E3 97		sta $97E3
	01BD4A A5 D8		lda $D8
	01BD4C AC 03 98		ldy $9803
	01BD4F 20 B4 4D		jsr $4DB4
	01BD52 85 D8		sta $D8
	01BD54 78		sei
	01BD55 C5 DA		cmp $DA
	01BD57 D0 02		bne $01bd5b
	01BD59 F7 87		smb 7,$87
01BD5B	01BD5B 58		cli
	01BD5C 60		rts

01BD5D	01BD5D A5 8A		lda $8A
	01BD5F D0 66		bne $01bdc7
	01BD61 9F 8E 06		bbs 1,$8E,$01bd6a
	01BD64 2F 8E 61		bbr 2,$8E,$01bdc8
	01BD67 4C 04 3E		jmp $3E04

01BD6A	01BD6A AE E2 97		ldx $97E2
	01BD6D BD A1 88		lda $88A1,x
	01BD70 8D F7 97		sta $97F7
	01BD73 38		sec
	01BD74 E5 D7		sbc $D7
	01BD76 29 7F		and #$7F
	01BD78 64 DA		add $DA
	01BD7A CD 03 98		cmp $9803
	01BD7D 90 04		bcc $01bd83
	01BD7F 38		sec
	01BD80 ED 03 98		sbc $9803
01BD83	01BD83 8D E6 97		sta $97E6
	01BD86 AD E2 97		lda $97E2
	01BD89 AC 03 98		ldy $9803
	01BD8C 20 B4 4D		jsr $4DB4
	01BD8F 8D E2 97		sta $97E2
	01BD92 CE E1 97		dec $97E1
	01BD95 D0 02		bne $01bd99
	01BD97 17 8E		rmb 1,$8E
01BD99	01BD99 20 36 3E		jsr $3E36
	01BD9C 90 01		bcc $01bd9f
	01BD9E 60		rts

01BD9F	01BD9F A2 00		ldx #$00
	01BDA1 A9 03		lda #$03
	01BDA3 9D 92		sta $92,x
	01BDA5 87 E8		smb 0,$E8
	01BDA7 38		sec
	01BDA8 20 40 4D		jsr $4D40
	01BDAB E8		inx
	01BDAC AD F7 97		lda $97F7
	01BDAF 0A		asl a
	01BDB0 9D 92		sta $92,x
	01BDB2 87 E8		smb 0,$E8
	01BDB4 A9 00		lda #$00
	01BDB6 9D 92		sta $92,x
	01BDB8 87 8F		smb 0,$8F
	01BDBA 87 03		smb 0,$03		;Cx9	port A direction (R/O)
	01BDBC 20 C1 4D		jsr $4DC1
	01BDBF 87 88		smb 0,$88
	01BDC1 97 88		smb 1,$88
	01BDC3 D2 20 1E 06	sba $20,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
01BDC7	01BDC7 60		rts

01BDC8	01BDC8 FF 86 FC		bbs 7,$86,$01bdc7
	01BDCB A5 D9		lda $D9
	01BDCD AC 03 98		ldy $9803
	01BDD0 20 B4 4D		jsr $4DB4
	01BDD3 C5 D8		cmp $D8
	01BDD5 D0 02		bne $01bdd9
	01BDD7 37 8E		rmb 3,$8E
01BDD9	01BDD9 A5 D5		lda $D5
	01BDDB 8D F7 97		sta $97F7
	01BDDE A2 00		ldx #$00
	01BDE0 A9 03		lda #$03
	01BDE2 9D 92		sta $92,x
	01BDE4 87 E8		smb 0,$E8
	01BDE6 38		sec
	01BDE7 20 40 4D		jsr $4D40
	01BDEA E8		inx
	01BDEB AD F7 97		lda $97F7
	01BDEE 0A		asl a
	01BDEF 9D 92		sta $92,x
	01BDF1 87 E8		smb 0,$E8
	01BDF3 A9 00		lda #$00
	01BDF5 9D 92		sta $92,x
	01BDF7 87 8F		smb 0,$8F
	01BDF9 87 03		smb 0,$03		;Cx9	port A direction (R/O)
	01BDFB 20 C1 4D		jsr $4DC1
	01BDFE 87 88		smb 0,$88
	01BE00 20 67 F4		jsr $F467
	01BE03 60		rts

01BE04	01BE04 FF 86 21		bbs 7,$86,$01be28
	01BE07 E2 1E 98 01 0F	bar $981E,$01,$01be1b
	01BE0C C2 01 1E 98	rba $01,$981E
	01BE10 78		sei
	01BE11 A5 DA		lda $DA
	01BE13 85 D9		sta $D9
	01BE15 A5 D7		lda $D7
	01BE17 8D 1F 98		sta $981F
	01BE1A 58		cli
01BE1B	01BE1B AD 1F 98		lda $981F
	01BE1E C5 D5		cmp $D5
	01BE20 D0 07		bne $01be29
	01BE22 27 8E		rmb 2,$8E
	01BE24 C2 02 1E 98	rba $02,$981E
01BE28	01BE28 60		rts

01BE29	01BE29 8D F7 97		sta $97F7
	01BE2C D2 02 1E 98	sba $02,$981E
	01BE30 20 C1 4D		jsr $4DC1
	01BE33 4C DE 3D		jmp $3DDE

01BE36	01BE36 AD F7 97		lda $97F7
	01BE39 38		sec
	01BE3A E5 D7		sbc $D7
	01BE3C 29 7F		and #$7F
	01BE3E CD 03 98		cmp $9803
	01BE41 F0 04		beq $01be47
	01BE43 90 02		bcc $01be47
	01BE45 38		sec
	01BE46 60		rts

01BE47	01BE47 18		clc
	01BE48 60		rts

01BE49	01BE49 20 F7 F9		jsr $F9F7
	01BE4C AA		tax
	01BE4D BD 7A 3E		lda $3E7A,x
	01BE50 AA		tax
	01BE51 AD 20 98		lda $9820
01BE54	01BE54 E8		inx
	01BE55 38		sec
	01BE56 E9 0A		sbc #$0A
	01BE58 B0 FA		bcs $01be54
	01BE5A 8E 0F 98		stx $980F
	01BE5D 60		rts

01BE5E	01BE5E 20 F7 F9		jsr $F9F7
	01BE61 AA		tax
	01BE62 BD 69 3E		lda $3E69,x
	01BE65 8D F1 97		sta $97F1
	01BE68 60		rts

01BE69	01BE69 50 0C		bvc $01be77
	01BE6B 0C 0C 0F		jpi ($0F0C)
	01BE6E 1B		jsb 1			;indirect $FFE2
	01BE6F 1E 25 13		asl $1325,x
	01BE72 2A		rol a
	01BE73 2A		rol a
	01BE74 2A		rol a
	01BE75 32		pul
	01BE76 3C		???			;undocumented opcode
01BE77	01BE77 3C		???			;undocumented opcode
	01BE78 3C		???			;undocumented opcode
	01BE79 3C		???			;undocumented opcode
	01BE7A 50 3C		bvc $01beb8
	01BE7C 32		pul
	01BE7D 28		plp
	01BE7E 14		???			;undocumented opcode
	01BE7F 0B		jsb 0			;indirect $FFE0
	01BE80 0A		asl a
	01BE81 08		php
	01BE82 10 07		bpl $01be8b
	01BE84 07 07		rmb 0,$07		;Cx9	port E (R/W)
	01BE86 06 05		asl $05			;Cx9	port B select (R/W)
	01BE88 05 05		ora $05			;Cx9	port B select (R/W)
	01BE8A 05 7F		ora $7F
	01BE8C 63		???			;undocumented opcode
	01BE8D 14		???			;undocumented opcode
	01BE8E AD F3 97		lda $97F3
	01BE91 C9 C0		cmp #$C0
	01BE93 F0 21		beq $01beb6
	01BE95 C9 40		cmp #$40'@'
	01BE97 F0 19		beq $01beb2
	01BE99 A5 DC		lda $DC
	01BE9B 8D F5 97		sta $97F5
	01BE9E D7 89		smb 5,$89
	01BEA0 77 63		rmb 7,63
	01BEA2 5F 89 26		bbr 5,$89,$01becb
	01BEA5 AD F5 97		lda $97F5
	01BEA8 C5 DD		cmp $DD
	01BEAA D0 1F		bne $01becb
	01BEAC 57 89		rmb 5,$89
	01BEAE A9 04		lda #$04
	01BEB0 80 0F		bra $01bec1

01BEB2	01BEB2 A9 02		lda #$02
	01BEB4 80 0B		bra $01bec1

01BEB6	01BEB6 FF 8B 47		bbs 7,$8B,$01bf00
	01BEB9 CF 89 03		bbs 4,$89,$01bebf
	01BEBC 20 54 4E		jsr $4E54
01BEBF	01BEBF A9 01		lda #$01
01BEC1	01BEC1 8D C7 99		sta $99C7
	01BEC4 77 63		rmb 7,63
	01BEC6 C7 62		smb 4,$62
	01BEC8 20 9C 08		jsr $089C
01BECB	01BECB CF 89 32		bbs 4,$89,$01bf00
	01BECE 1F 92 21		bbr 1,$92,$01bef2
	01BED1 AF 73 1D		bbs 2,$73,$01bef1
	01BED4 A2 04		ldx #$04
01BED6	01BED6 DA		phx
	01BED7 CF 6A 0D		bbs 4,$6A,$01bee7
	01BEDA 20 01 3F		jsr $3F01
	01BEDD 90 03		bcc $01bee2
	01BEDF FA		plx
	01BEE0 80 0F		bra $01bef1

01BEE2	01BEE2 8D 5B 86		sta $865B
	01BEE5 C7 6A		smb 4,$6A
01BEE7	01BEE7 20 3E 5A		jsr $5A3E
	01BEEA FA		plx
	01BEEB AF 73 03		bbs 2,$73,$01bef1
	01BEEE CA		dex
	01BEEF D0 E5		bne $01bed6
01BEF1	01BEF1 60		rts

01BEF2	01BEF2 DF 74 0B		bbs 5,$74,$01bf00
	01BEF5 AF 73 08		bbs 2,$73,$01bf00
	01BEF8 20 01 3F		jsr $3F01
	01BEFB B0 03		bcs $01bf00
	01BEFD 4C 9C 08		jmp $089C

01BF00	01BF00 60		rts

01BF01	01BF01 A5 DD		lda $DD
	01BF03 20 D1 4D		jsr $4DD1
	01BF06 90 01		bcc $01bf09
	01BF08 60		rts

01BF09	01BF09 A5 DD		lda $DD
	01BF0B 0A		asl a
	01BF0C AA		tax
	01BF0D BD 73 4D		lda $4D73,x
	01BF10 85 40		sta $40
	01BF12 BD 74 4D		lda $4D74,x
	01BF15 85 41		sta $41
	01BF17 A6 DD		ldx $DD
	01BF19 BD 3F 90		lda $903F,x
	01BF1C CD EB 97		cmp $97EB
	01BF1F D0 22		bne $01bf43
	01BF21 78		sei
	01BF22 A5 DD		lda $DD
	01BF24 20 ED 4D		jsr $4DED
	01BF27 6F 86 07		bbr 6,$86,$01bf31
	01BF2A 20 31 4E		jsr $4E31
	01BF2D 90 02		bcc $01bf31
	01BF2F B7 8D		smb 3,$8D
01BF31	01BF31 A5 DD		lda $DD
	01BF33 AC 04 98		ldy $9804
	01BF36 20 B4 4D		jsr $4DB4
	01BF39 85 DD		sta $DD
	01BF3B A9 00		lda #$00
	01BF3D 8D EB 97		sta $97EB
	01BF40 58		cli
	01BF41 80 BE		bra $01bf01

01BF43	01BF43 F7 88		smb 7,$88
	01BF45 AD 88 03		lda $0388
	01BF48 8D 30 02		sta $0230
	01BF4B AD 89 03		lda $0389
	01BF4E 8D 31 02		sta $0231
	01BF51 77 5F		rmb 7,5F
	01BF53 AE EB 97		ldx $97EB
	01BF56 B1 40		lda ($40),x
	01BF58 EE EB 97		inc $97EB
	01BF5B 18		clc
	01BF5C 60		rts

01BF5D	01BF5D 98		tya
	01BF5E 29 38		and #$38'8'
	01BF60 D0 0C		bne $01bf6e
	01BF62 A5 E1		lda $E1
	01BF64 D0 4B		bne $01bfb1
	01BF66 9F 6C 05		bbs 1,$6C,$01bf6e
	01BF69 1F 85 07		bbr 1,$85,$01bf73
	01BF6C 17 85		rmb 1,$85
01BF6E	01BF6E B2 FF E1		sti #$FF,$E1
	01BF71 80 3E		bra $01bfb1

01BF73	01BF73 AD 18 98		lda $9818
	01BF76 0A		asl a
	01BF77 AA		tax
	01BF78 7C 7B 3F		jmp $3F7B,x

01BF7B	01BF7B 91 3F		sta ($3F),x		;Cx9 SIN (TxD) divider latch (R)
	01BF7D 91 3F		sta ($3F),x		;Cx9 SIN (TxD) divider latch (R)
	01BF7F 91 3F		sta ($3F),x		;Cx9 SIN (TxD) divider latch (R)
	01BF81 96 3F		stx $3F,y		;Cx9 SIN (TxD) divider latch (R)
	01BF83 9B		lii
	01BF84 3F A0 3F		bbr 3,$A0,$01bfc6
	01BF87 91 3F		sta ($3F),x		;Cx9 SIN (TxD) divider latch (R)
	01BF89 91 3F		sta ($3F),x		;Cx9 SIN (TxD) divider latch (R)
	01BF8B 91 3F		sta ($3F),x		;Cx9 SIN (TxD) divider latch (R)
	01BF8D A5 3F		lda $3F			;Cx9 SIN (TxD) divider latch (R)
	01BF8F 91 3F		sta ($3F),x		;Cx9 SIN (TxD) divider latch (R)
01BF91	01BF91 B2 FF E1		sti #$FF,$E1
	01BF94 80 1B		bra $01bfb1

01BF96	01BF96 20 FC 3F		jsr $3FFC
	01BF99 80 16		bra $01bfb1

01BF9B	01BF9B 20 C5 41		jsr $41C5
	01BF9E 80 11		bra $01bfb1

01BFA0	01BFA0 20 A7 42		jsr $42A7
	01BFA3 80 0C		bra $01bfb1

01BFA5	01BFA5 AD 14 86		lda $8614
	01BFA8 D0 E7		bne $01bf91
	01BFAA D2 01 13 86	sba $01,$8613
	01BFAE 20 CE 43		jsr $43CE
01BFB1	01BFB1 A5 E1		lda $E1
	01BFB3 F0 29		beq $01bfde
	01BFB5 C9 FF		cmp #$FF
	01BFB7 D0 25		bne $01bfde
	01BFB9 80 23		bra $01bfde

01BFBB	01BFBB 8D 14 98		sta $9814
	01BFBE A5 DF		lda $DF
	01BFC0 8D 10 98		sta $9810
	01BFC3 29 03		and #$03
	01BFC5 C9 03		cmp #$03
01BFC7	01BFC7 F0 04		beq $01bfcd
	01BFC9 A5 E0		lda $E0
	01BFCB 80 02		bra $01bfcf

01BFCD	01BFCD A9 00		lda #$00
01BFCF	01BFCF 8D 11 98		sta $9811
	01BFD2 A5 D5		lda $D5
	01BFD4 8D 12 98		sta $9812
	01BFD7 A5 D6		lda $D6
	01BFD9 8D 13 98		sta $9813
	01BFDC C7 8B		smb 4,$8B
01BFDE	01BFDE A9 00		lda #$00
	01BFE0 8D 18 98		sta $9818
	01BFE3 8D 19 98		sta $9819
	01BFE6 8D 1A 98		sta $981A
	01BFE9 8D 1C 98		sta $981C
	01BFEC 8D FC 97		sta $97FC
	01BFEF 85 E1		sta $E1
	01BFF1 85 DE		sta $DE
	01BFF3 85 DF		sta $DF
	01BFF5 85 E0		sta $E0
	01BFF7 D2 04 1E 06	sba $04,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01BFFB 60		rts

01BFFC	01BFFC A5 8A		lda $8A
	01BFFE 29 1F		and #$1F
	01C000 D0 39		bne $01c03b
	01C002 18		clc
	01C003 A5 E0		lda $E0
	01C005 6A		ror a
	01C006 8D F9 97		sta $97F9
	01C009 18		clc
	01C00A A5 DF		lda $DF
	01C00C 6A		ror a
	01C00D 8D FA 97		sta $97FA
	01C010 2F 86 0D		bbr 2,$86,$01c020
	01C013 27 86		rmb 2,$86
	01C015 37 86		rmb 3,$86
	01C017 20 3F 46		jsr $463F
	01C01A 90 01		bcc $01c01d
	01C01C 60		rts

01C01D	01C01D 4C 7E 46		jmp $467E

01C020	01C020 BF 86 10		bbs 3,$86,$01c033
	01C023 6F 89 05		bbr 6,$89,$01c02b
	01C026 B2 04 E1		sti #$04,$E1
	01C029 80 08		bra $01c033

01C02B	01C02B A6 DB		ldx $DB
	01C02D AD EA 97		lda $97EA
	01C030 9D 3F		sta $3F,x		;Cx9 SIN (TxD) divider latch (R)
	01C032 90 20		bcc $01c054
	01C034 3F 46 90		bbr 3,$46,$01bfc7
	01C037 04		???			;undocumented opcode
	01C038 B2 08 E1		sti #$08,$E1
01C03B	01C03B 60		rts

01C03C	01C03C 3F 86 24		bbr 3,$86,$01c063
	01C03F CF 86 16		bbs 4,$86,$01c058
	01C042 AF 87 11		bbs 2,$87,$01c056
	01C045 0F E0 04		bbr 0,$E0,$01c04c
	01C048 97 8C		smb 1,$8C
	01C04A 80 02		bra $01c04e

01C04C	01C04C 97 8D		smb 1,$8D
01C04E	01C04E A7 87		smb 2,$87
	01C050 2F 91 0C		bbr 2,$91,$01c05f
	01C053 20 2C 4F		jsr $4F2C
01C056	01C056 80 07		bra $01c05f

01C058	01C058 0F E0 02		bbr 0,$E0,$01c05d
	01C05B 87 8C		smb 0,$8C
01C05D	01C05D 47 86		rmb 4,$86
01C05F	01C05F 37 86		rmb 3,$86
	01C061 80 15		bra $01c078

;;; E063? -

01C063	01C063 A5 DB		lda $DB
	01C065 20 08 4E		jsr $4E08
	01C068 A5 DC		lda $DC
	01C06A C5 DB		cmp $DB
	01C06C F0 05		beq $01c073
	01C06E 20 84 40		jsr $4084
	01C071 80 05		bra $01c078

01C073	01C073 27 87		rmb 2,$87
	01C075 20 47 41		jsr $4147
01C078	01C078 9F 87 06		bbs 1,$87,$01c081
	01C07B FF 86 03		bbs 7,$86,$01c081
	01C07E 20 6B 46		jsr $466B
01C081	01C081 4C 7E 46		jmp $467E

01C084	01C084 AC FB 97		ldy $97FB
	01C087 C8		iny
	01C088 98		tya
	01C089 29 7F		and #$7F
	01C08B 85 41		sta $41
	01C08D AD FA 97		lda $97FA
	01C090 38		sec
	01C091 E5 41		sbc $41
	01C093 29 7F		and #$7F
	01C095 85 41		sta $41
	01C097 0A		asl a
	01C098 2A		rol a
	01C099 B0 3E		bcs $01c0d9
	01C09B F0 35		beq $01c0d2
	01C09D 98		tya
	01C09E 20 BC 41		jsr $41BC
	01C0A1 85 42		sta $42
01C0A3	01C0A3 AD DF 97		lda $97DF
	01C0A6 18		clc
	01C0A7 6D E0 97		adc $97E0
	01C0AA CD 04 98		cmp $9804
	01C0AD 90 03		bcc $01c0b2
	01C0AF ED 04 98		sbc $9804
01C0B2	01C0B2 AA		tax
	01C0B3 A5 42		lda $42
	01C0B5 9D 92		sta $92,x
	01C0B7 88		dey
	01C0B8 A7 8D		smb 2,$8D
	01C0BA EE DF 97		inc $97DF
	01C0BD E6 42		inc $42
	01C0BF A5 42		lda $42
	01C0C1 29 7F		and #$7F
	01C0C3 85 42		sta $42
	01C0C5 C6 41		dec $41
	01C0C7 D0 DA		bne $01c0a3
	01C0C9 AD FA 97		lda $97FA
	01C0CC 8D FB 97		sta $97FB
	01C0CF 60		rts

01C0D0	01C0D0 80 07		bra $01c0d9

01C0D2	01C0D2 AD FA 97		lda $97FA
	01C0D5 8D FB 97		sta $97FB
	01C0D8 60		rts

01C0D9	01C0D9 AD FA 97		lda $97FA
	01C0DC 38		sec
	01C0DD E5 D6		sbc $D6
	01C0DF 29 7F		and #$7F
	01C0E1 8D E9 97		sta $97E9
	01C0E4 A5 D6		lda $D6
	01C0E6 8D E8 97		sta $97E8
	01C0E9 29 7F		and #$7F
	01C0EB 38		sec
	01C0EC E5 D6		sbc $D6
	01C0EE 29 7F		and #$7F
	01C0F0 64 DC		add $DC
	01C0F2 CD 04 98		cmp $9804
	01C0F5 90 03		bcc $01c0fa
	01C0F7 ED 04 98		sbc $9804
01C0FA	01C0FA 20 BC 41		jsr $41BC
	01C0FD 85 42		sta $42
	01C0FF B2 01 40		sti #$01,$40
01C102	01C102 A5 42		lda $42
	01C104 20 D1 4D		jsr $4DD1
	01C107 90 21		bcc $01c12a
	01C109 AD DF 97		lda $97DF
	01C10C 18		clc
	01C10D 6D E0 97		adc $97E0
	01C110 CD 04 98		cmp $9804
	01C113 90 03		bcc $01c118
	01C115 ED 04 98		sbc $9804
01C118	01C118 AA		tax
	01C119 AD E8 97		lda $97E8
	01C11C 9D 92		sta $92,x
	01C11E 88		dey
	01C11F EE DF 97		inc $97DF
	01C122 E8		inx
	01C123 EC 04 98		cpx $9804
	01C126 D0 02		bne $01c12a
	01C128 A2 00		ldx #$00
01C12A	01C12A A5 40		lda $40
	01C12C CD E9 97		cmp $97E9
	01C12F F0 13		beq $01c144
	01C131 E6 40		inc $40
	01C133 EE E8 97		inc $97E8
	01C136 E6 42		inc $42
	01C138 A5 42		lda $42
	01C13A CD 04 98		cmp $9804
	01C13D D0 C3		bne $01c102
	01C13F B2 00 42		sti #$00,$42
	01C142 80 BE		bra $01c102

01C144	01C144 A7 8D		smb 2,$8D
	01C146 60		rts

01C147	01C147 20 BC 41		jsr $41BC
	01C14A E6 D6		inc $D6
	01C14C A5 D6		lda $D6
	01C14E 29 7F		and #$7F
	01C150 85 D6		sta $D6
	01C152 A5 DC		lda $DC
	01C154 89 01		add #$01
	01C156 CD 04 98		cmp $9804
	01C159 D0 02		bne $01c15d
	01C15B A9 00		lda #$00
01C15D	01C15D 85 DC		sta $DC
	01C15F 2F 91 22		bbr 2,$91,$01c184
	01C162 20 D1 4D		jsr $4DD1
	01C165 B0 09		bcs $01c170
	01C167 A5 DD		lda $DD
	01C169 C5 DC		cmp $DC
	01C16B F0 03		beq $01c170
	01C16D 4C 47 41		jmp $4147

01C170	01C170 A5 D6		lda $D6
	01C172 38		sec
	01C173 ED FB 97		sbc $97FB
	01C176 2A		rol a
	01C177 2A		rol a
	01C178 B0 0A		bcs $01c184
	01C17A A5 D6		lda $D6
	01C17C 38		sec
	01C17D E9 01		sbc #$01
	01C17F 29 7F		and #$7F
	01C181 8D FB 97		sta $97FB
01C184	01C184 66 E0		ror $E0
	01C186 90 0D		bcc $01c195
	01C188 20 31 4E		jsr $4E31
	01C18B B0 04		bcs $01c191
	01C18D 87 8C		smb 0,$8C
	01C18F 80 02		bra $01c193

01C191	01C191 B7 8C		smb 3,$8C
01C193	01C193 80 26		bra $01c1bb

01C195	01C195 20 31 4E		jsr $4E31
	01C198 B0 04		bcs $01c19e
	01C19A C7 8D		smb 4,$8D
	01C19C 80 1D		bra $01c1bb

01C19E	01C19E 7F 86 04		bbr 7,$86,$01c1a5
	01C1A1 F7 8D		smb 7,$8D
	01C1A3 80 16		bra $01c1bb

01C1A5	01C1A5 A5 8E		lda $8E
	01C1A7 29 0E		and #$0E
	01C1A9 D0 10		bne $01c1bb
	01C1AB A5 8D		lda $8D
	01C1AD D0 0C		bne $01c1bb
	01C1AF A5 8C		lda $8C
	01C1B1 D0 08		bne $01c1bb
	01C1B3 A5 B8		lda $B8
	01C1B5 05 B7		ora $B7
	01C1B7 D0 02		bne $01c1bb
	01C1B9 F7 8D		smb 7,$8D
01C1BB	01C1BB 60		rts

01C1BC	01C1BC 0F 3C 05		bbr 0,$3C,$01c1c4	;Cx9	serial status register
	01C1BF 48		pha
	01C1C0 20 68 02		jsr $0268
	01C1C3 68		pla
01C1C4	01C1C4 60		rts

01C1C5	01C1C5 18		clc
	01C1C6 A5 E0		lda $E0
	01C1C8 6A		ror a
	01C1C9 8D F9 97		sta $97F9
	01C1CC 20 3F 46		jsr $463F
	01C1CF 90 04		bcc $01c1d5
	01C1D1 B2 08 E1		sti #$08,$E1
	01C1D4 60		rts

01C1D5	01C1D5 0F E0 1E		bbr 0,$E0,$01c1f6
	01C1D8 A5 DF		lda $DF
	01C1DA C9 0D		cmp #$0D
	01C1DC D0 04		bne $01c1e2
	01C1DE B2 01 E1		sti #$01,$E1
	01C1E1 60		rts

01C1E2	01C1E2 1F 86 0B		bbr 1,$86,$01c1f0
	01C1E5 6F 86 04		bbr 6,$86,$01c1ec
	01C1E8 87 8C		smb 0,$8C
	01C1EA 80 02		bra $01c1ee

01C1EC	01C1EC B7 8C		smb 3,$8C
01C1EE	01C1EE 80 06		bra $01c1f6

01C1F0	01C1F0 9F 87 01		bbs 1,$87,$01c1f4
	01C1F3 60		rts

01C1F4	01C1F4 77 8A		rmb 7,8A
01C1F6	01C1F6 A5 DF		lda $DF
	01C1F8 C9 01		cmp #$01
	01C1FA D0 20		bne $01c21c
	01C1FC 77 86		rmb 7,86
	01C1FE 1F 87 0D		bbr 1,$87,$01c20e
	01C201 9F 86 3A		bbs 1,$86,$01c23e
	01C204 0F E0 37		bbr 0,$E0,$01c23e
	01C207 17 87		rmb 1,$87
	01C209 20 6B 46		jsr $466B
	01C20C 80 65		bra $01c273

01C20E	01C20E 9F 86 05		bbs 1,$86,$01c216
	01C211 20 6B 46		jsr $466B
	01C214 80 28		bra $01c23e

01C216	01C216 0F E0 25		bbr 0,$E0,$01c23e
	01C219 4C 3E 42		jmp $423E

01C21C	01C21C C9 05		cmp #$05
	01C21E D0 21		bne $01c241
	01C220 F7 86		smb 7,$86
	01C222 1F 87 0B		bbr 1,$87,$01c230
	01C225 9F 86 16		bbs 1,$86,$01c23e
	01C228 0F E0 13		bbr 0,$E0,$01c23e
	01C22B 20 C1 4D		jsr $4DC1
	01C22E 80 43		bra $01c273

01C230	01C230 9F 86 05		bbs 1,$86,$01c238
	01C233 20 C1 4D		jsr $4DC1
	01C236 80 06		bra $01c23e

01C238	01C238 0F E0 03		bbr 0,$E0,$01c23e
	01C23B 20 C1 4D		jsr $4DC1
01C23E	01C23E 4C 7E 46		jmp $467E

01C241	01C241 C9 09		cmp #$09
	01C243 D0 34		bne $01c279
	01C245 77 86		rmb 7,86
	01C247 1F 87 06		bbr 1,$87,$01c250
	01C24A 9F 86 F1		bbs 1,$86,$01c23e
	01C24D 0F E0 EE		bbr 0,$E0,$01c23e
01C250	01C250 07 87		rmb 0,$87
	01C252 A9 00		lda #$00
	01C254 8D E1 97		sta $97E1
	01C257 8D E2 97		sta $97E2
	01C25A 17 8E		rmb 1,$8E
	01C25C 20 7E 46		jsr $467E
	01C25F 90 03		bcc $01c264
	01C261 AF 8E 0C		bbs 2,$8E,$01c270
01C264	01C264 A5 D7		lda $D7
	01C266 C5 D5		cmp $D5
	01C268 F0 06		beq $01c270
	01C26A D2 01 1E 98	sba $01,$981E
	01C26E A7 8E		smb 2,$8E
01C270	01C270 17 87		rmb 1,$87
	01C272 60		rts

01C273	01C273 20 7E 46		jsr $467E
	01C276 17 87		rmb 1,$87
	01C278 60		rts

01C279	01C279 C9 0D		cmp #$0D
	01C27B D0 29		bne $01c2a6
	01C27D 2F 91 23		bbr 2,$91,$01c2a3
	01C280 AD F9 97		lda $97F9
	01C283 C5 D7		cmp $D7
	01C285 F0 1F		beq $01c2a6
	01C287 AD E1 97		lda $97E1
	01C28A 18		clc
	01C28B 6D E2 97		adc $97E2
	01C28E CD 04 98		cmp $9804
	01C291 90 03		bcc $01c296
	01C293 ED 04 98		sbc $9804
01C296	01C296 AA		tax
	01C297 AD F9 97		lda $97F9
	01C29A 9D A1		sta $A1,x
	01C29C 88		dey
	01C29D 97 8E		smb 1,$8E
	01C29F EE E1 97		inc $97E1
	01C2A2 60		rts

01C2A3	01C2A3 B2 01 E1		sti #$01,$E1
01C2A6	01C2A6 60		rts

01C2A7	01C2A7 A5 DF		lda $DF
	01C2A9 29 EF		and #$EF
	01C2AB C9 6F		cmp #$6F'o'
	01C2AD F0 03		beq $01c2b2
	01C2AF 4C C1 42		jmp $42C1

01C2B2	01C2B2 B7 8B		smb 3,$8B
	01C2B4 37 8A		rmb 3,$8A
	01C2B6 20 C1 4D		jsr $4DC1
	01C2B9 17 87		rmb 1,$87
	01C2BB 4F 8A 02		bbr 4,$8A,$01c2c0
	01C2BE C7 87		smb 4,$87
01C2C0	01C2C0 60		rts

01C2C1	01C2C1 C9 63		cmp #$63'c'
	01C2C3 F0 03		beq $01c2c8
	01C2C5 4C EC 42		jmp $42EC

01C2C8	01C2C8 A5 DF		lda $DF
	01C2CA 29 10		and #$10
	01C2CC D0 03		bne $01c2d1
	01C2CE 4C EB 42		jmp $42EB

01C2D1	01C2D1 1F 8A 12		bbr 1,$8A,$01c2e6
	01C2D4 4F 88 0B		bbr 4,$88,$01c2e2
	01C2D7 D7 87		smb 5,$87
	01C2D9 A9 0E		lda #$0E
	01C2DB A0 03		ldy #$03
	01C2DD 20 EE 4E		jsr $4EEE
	01C2E0 80 02		bra $01c2e4

01C2E2	01C2E2 E7 87		smb 6,$87
01C2E4	01C2E4 17 8A		rmb 1,$8A
01C2E6	01C2E6 2F 8A 02		bbr 2,$8A,$01c2eb
	01C2E9 D7 87		smb 5,$87
01C2EB	01C2EB 60		rts

01C2EC	01C2EC C9 0F		cmp #$0F
	01C2EE D0 32		bne $01c322
	01C2F0 A5 DF		lda $DF
	01C2F2 29 10		and #$10
	01C2F4 D0 14		bne $01c30a
	01C2F6 BF 8A 10		bbs 3,$8A,$01c309
	01C2F9 9F 8A 0D		bbs 1,$8A,$01c309
	01C2FC 8F 8A 0A		bbs 0,$8A,$01c309
	01C2FF E7 8B		smb 6,$8B
	01C301 A5 8A		lda $8A
	01C303 29 1F		and #$1F
	01C305 D0 02		bne $01c309
	01C307 C7 88		smb 4,$88
01C309	01C309 60		rts

01C30A	01C30A A5 8A		lda $8A
	01C30C 29 1F		and #$1F
	01C30E F0 03		beq $01c313
	01C310 1F 8A 09		bbr 1,$8A,$01c31c
01C313	01C313 A9 0E		lda #$0E
	01C315 A0 03		ldy #$03
	01C317 20 EE 4E		jsr $4EEE
	01C31A 80 03		bra $01c31f

01C31C	01C31C 2F 8A 02		bbr 2,$8A,$01c321
01C31F	01C31F D7 87		smb 5,$87
01C321	01C321 60		rts

01C322	01C322 C9 43		cmp #$43'C'
	01C324 D0 05		bne $01c32b
	01C326 B7 8B		smb 3,$8B
	01C328 C7 87		smb 4,$87
	01C32A 60		rts

01C32B	01C32B C9 03		cmp #$03
	01C32D D0 03		bne $01c332
	01C32F 4C B1 45		jmp $45B1

01C332	01C332 C9 AF		cmp #$AF
	01C334 D0 03		bne $01c339
	01C336 4C 50 43		jmp $4350

01C339	01C339 C9 E3		cmp #$E3
	01C33B D0 0E		bne $01c34b
	01C33D 5F 8A 06		bbr 5,$8A,$01c346
	01C340 57 8A		rmb 5,$8A
	01C342 07 87		rmb 0,$87
	01C344 80 04		bra $01c34a

01C346	01C346 D7 88		smb 5,$88
	01C348 C7 8E		smb 4,$8E
01C34A	01C34A 60		rts

01C34B	01C34B E7 8B		smb 6,$8B
	01C34D C7 88		smb 4,$88
	01C34F 60		rts

01C350	01C350 A5 E2		lda $E2
	01C352 F0 03		beq $01c357
	01C354 B2 FF E1		sti #$FF,$E1
01C357	01C357 20 73 43		jsr $4373
	01C35A 0F 8A 04		bbr 0,$8A,$01c361
	01C35D 07 87		rmb 0,$87
	01C35F E7 8B		smb 6,$8B
01C361	01C361 AD 07 98		lda $9807
	01C364 D0 04		bne $01c36a
	01C366 A9 03		lda #$03
	01C368 85 92		sta $92
01C36A	01C36A 20 CE 43		jsr $43CE
	01C36D A9 00		lda #$00
	01C36F 8D 19 98		sta $9819
	01C372 60		rts

01C373	01C373 A5 93		lda $93
	01C375 25 8F		and $8F
	01C377 85 91		sta $91
	01C379 A5 94		lda $94
	01C37B 25 90		and $90
	01C37D 85 92		sta $92
	01C37F C9 03		cmp #$03
	01C381 F0 05		beq $01c388
	01C383 A9 10		lda #$10
	01C385 8D 0C 98		sta $980C
01C388	01C388 A2 00		ldx #$00
01C38A	01C38A B5 E6		lda $E6,x
	01C38C DD 08 98		cmp $9808,x
	01C38F 90 03		bcc $01c394
	01C391 BD 08 98		lda $9808,x
01C394	01C394 9D 01		sta $01,x		;Cx9	port B (output only)
	01C396 98		tya
	01C397 E8		inx
	01C398 E0 07		cpx #$07
	01C39A 90 EE		bcc $01c38a
	01C39C A5 EA		lda $EA
	01C39E CD 0C 98		cmp $980C
	01C3A1 B0 0A		bcs $01c3ad
	01C3A3 8D 05 98		sta $9805
	01C3A6 A5 EB		lda $EB
	01C3A8 8D 06 98		sta $9806
	01C3AB 80 20		bra $01c3cd

01C3AD	01C3AD D0 12		bne $01c3c1
	01C3AF 8D 05 98		sta $9805
	01C3B2 A5 EB		lda $EB
	01C3B4 CD 0D 98		cmp $980D
	01C3B7 90 03		bcc $01c3bc
	01C3B9 AD 0D 98		lda $980D
01C3BC	01C3BC 8D 06 98		sta $9806
	01C3BF 80 0C		bra $01c3cd

01C3C1	01C3C1 AD 0C 98		lda $980C
	01C3C4 8D 05 98		sta $9805
	01C3C7 AD 0D 98		lda $980D
	01C3CA 8D 06 98		sta $9806
01C3CD	01C3CD 60		rts

01C3CE	01C3CE F2 13 86 01 03	bas $8613,$01,$01c3d6
	01C3D3 4C A4 45		jmp $45A4

01C3D6	01C3D6 8F 8A 03		bbs 0,$8A,$01c3dc
	01C3D9 4C 82 44		jmp $4482

01C3DC	01C3DC AD 23 86		lda $8623
	01C3DF 8D 83 9A		sta $9A83
	01C3E2 AD 24 86		lda $8624
	01C3E5 8D 84 9A		sta $9A84
	01C3E8 A7 6B		smb 2,$6B
	01C3EA E2 24 86 02 04	bar $8624,$02,$01c3f3
	01C3EF D2 04 12 86	sba $04,$8612
01C3F3	01C3F3 E2 24 86 10 07	bar $8624,$10,$01c3ff
	01C3F8 5F 85 04		bbr 5,$85,$01c3ff
	01C3FB D2 08 12 86	sba $08,$8612
01C3FF	01C3FF AD 78 9A		lda $9A78
	01C402 8D 85 9A		sta $9A85
	01C405 AD 7B 9A		lda $9A7B
	01C408 8D 88 9A		sta $9A88
	01C40B 1F 50 12		bbr 1,$50,$01c420
	01C40E E2 88 9A 01 04	bar $9A88,$01,$01c417
	01C413 D2 01 8C 9A	sba $01,$9A8C
01C417	01C417 E2 88 9A 02 04	bar $9A88,$02,$01c420
	01C41C D2 01 8D 9A	sba $01,$9A8D
01C420	01C420 E2 88 9A 80 06	bar $9A88,$80,$01c42b
	01C425 D2 10 12 86	sba $10,$8612
	01C429 80 0D		bra $01c438

01C42B	01C42B E2 84 01 04 08	bar $0184,$04,$01c438
	01C430 D2 10 12 86	sba $10,$8612
	01C434 D2 80 88 9A	sba $80,$9A88
01C438	01C438 AD 7C 9A		lda $9A7C
	01C43B 8D 89 9A		sta $9A89
	01C43E E2 4E 01 02 0C	bar $014E,$02,$01c44f
	01C443 AD 7D 9A		lda $9A7D
	01C446 8D 8A 9A		sta $9A8A
	01C449 AD 7E 9A		lda $9A7E
	01C44C 8D 8B 9A		sta $9A8B
01C44F	01C44F F2 78 9A 1C 21	bas $9A78,$1C,$01c475
	01C454 AD 7F 9A		lda $9A7F
	01C457 C9 03		cmp #$03
	01C459 D0 1A		bne $01c475
	01C45B AD 1C 86		lda $861C
	01C45E 29 1C		and #$1C
	01C460 F0 13		beq $01c475
	01C462 AD 80 9A		lda $9A80
	01C465 20 AB 46		jsr $46AB
	01C468 8D 80 9A		sta $9A80
	01C46B A9 00		lda #$00
	01C46D 8D 81 9A		sta $9A81
	01C470 A2 FF		ldx #$FF
	01C472 8E 85 9A		stx $9A85
01C475	01C475 AF 6B 03		bbs 2,$6B,$01c47b
	01C478 4C A4 45		jmp $45A4

01C47B	01C47B D2 01 12 86	sba $01,$8612
	01C47F 4C AE 45		jmp $45AE

01C482	01C482 F2 84 01 01 03	bas $0184,$01,$01c48a
	01C487 4C A4 45		jmp $45A4

01C48A	01C48A AD 23 86		lda $8623
	01C48D CD 1A 86		cmp $861A
	01C490 90 03		bcc $01c495
	01C492 AD 1A 86		lda $861A
01C495	01C495 8D 83 9A		sta $9A83
	01C498 A9 00		lda #$00
	01C49A 8D 84 9A		sta $9A84
	01C49D AD 24 86		lda $8624
	01C4A0 2D 1B 86		and $861B
	01C4A3 8D 24 86		sta $8624
	01C4A6 E2 24 86 01 04	bar $8624,$01,$01c4af
	01C4AB 09 01		ora #$01
	01C4AD 80 00		bra $01c4af

01C4AF	01C4AF E2 24 86 02 08	bar $8624,$02,$01c4bc
	01C4B4 09 02		ora #$02
	01C4B6 48		pha
	01C4B7 D2 04 12 86	sba $04,$8612
	01C4BB 68		pla
01C4BC	01C4BC A7 6B		smb 2,$6B
	01C4BE F2 84 01 40 10	bas $0184,$40,$01c4d3
	01C4C3 E2 24 86 10 0B	bar $8624,$10,$01c4d3
	01C4C8 09 10		ora #$10
	01C4CA 5F 85 06		bbr 5,$85,$01c4d3
	01C4CD 48		pha
	01C4CE D2 08 12 86	sba $08,$8612
	01C4D2 68		pla
01C4D3	01C4D3 8D 84 9A		sta $9A84
	01C4D6 C2 80 84 9A	rba $80,$9A84
	01C4DA AD 7B 9A		lda $9A7B
	01C4DD 2D 1F 86		and $861F
	01C4E0 8D 7B 9A		sta $9A7B
	01C4E3 8D 88 9A		sta $9A88
	01C4E6 E2 7B 9A 01 04	bar $9A7B,$01,$01c4ef
	01C4EB D2 01 8C 9A	sba $01,$9A8C
01C4EF	01C4EF E2 7B 9A 02 04	bar $9A7B,$02,$01c4f8
	01C4F4 D2 01 8D 9A	sba $01,$9A8D
01C4F8	01C4F8 AD 20 86		lda $8620
	01C4FB 2D 7C 9A		and $9A7C
	01C4FE 8D 89 9A		sta $9A89
	01C501 E2 4E 01 02 12	bar $014E,$02,$01c518
	01C506 AD 21 86		lda $8621
	01C509 2D 7D 9A		and $9A7D
	01C50C 8D 8A 9A		sta $9A8A
	01C50F AD 22 86		lda $8622
	01C512 2D 7E 9A		and $9A7E
	01C515 8D 8B 9A		sta $9A8B
01C518	01C518 E2 12 86 08 24	bar $8612,$08,$01c541
	01C51D AD 1C 86		lda $861C
	01C520 29 1C		and #$1C
	01C522 F0 1D		beq $01c541
	01C524 A5 94		lda $94
	01C526 C9 03		cmp #$03
	01C528 D0 17		bne $01c541
	01C52A 8D 7F 9A		sta $9A7F
	01C52D A5 EC		lda $EC
	01C52F 8D 82 9A		sta $9A82
	01C532 A5 EA		lda $EA
	01C534 8D 80 9A		sta $9A80
	01C537 A5 EB		lda $EB
	01C539 8D 81 9A		sta $9A81
	01C53C AD 1C 86		lda $861C
	01C53F 80 1F		bra $01c560

01C541	01C541 AD 78 9A		lda $9A78
	01C544 2D 1C 86		and $861C
	01C547 20 AB 46		jsr $46AB
	01C54A 8D 85 9A		sta $9A85
	01C54D F2 78 9A 1C 49	bas $9A78,$1C,$01c59b
	01C552 AD 7F 9A		lda $9A7F
	01C555 C9 03		cmp #$03
	01C557 D0 42		bne $01c59b
	01C559 AD 1C 86		lda $861C
	01C55C 29 1C		and #$1C
	01C55E F0 3B		beq $01c59b
01C560	01C560 20 AB 46		jsr $46AB
	01C563 3A		asr a
	01C564 CD 80 9A		cmp $9A80
	01C567 90 06		bcc $01c56f
	01C569 AD 80 9A		lda $9A80
	01C56C 20 AB 46		jsr $46AB
01C56F	01C56F 8D 80 9A		sta $9A80
	01C572 0A		asl a
	01C573 AA		tax
	01C574 A9 00		lda #$00
	01C576 8D 81 9A		sta $9A81
	01C579 AD 82 9A		lda $9A82
	01C57C C9 20		cmp #$20' '
	01C57E 90 05		bcc $01c585
	01C580 A9 20		lda #$20' '
	01C582 8D 82 9A		sta $9A82
01C585	01C585 A5 94		lda $94
	01C587 C9 03		cmp #$03
	01C589 F0 04		beq $01c58f
	01C58B A2 FF		ldx #$FF
	01C58D 80 09		bra $01c598

01C58F	01C58F AD 82 9A		lda $9A82
	01C592 C9 20		cmp #$20' '
	01C594 F0 02		beq $01c598
	01C596 A2 FF		ldx #$FF
01C598	01C598 8E 85 9A		stx $9A85
01C59B	01C59B 2F 6B 06		bbr 2,$6B,$01c5a4
	01C59E D2 02 12 86	sba $02,$8612
	01C5A2 80 0A		bra $01c5ae

01C5A4	01C5A4 8F 8A 07		bbs 0,$8A,$01c5ae
	01C5A7 87 8B		smb 0,$8B
	01C5A9 EF 6E 02		bbs 6,$6E,$01c5ae
	01C5AC B7 87		smb 3,$87
01C5AE	01C5AE 07 8A		rmb 0,$8A
	01C5B0 60		rts

01C5B1	01C5B1 07 89		rmb 0,$89
	01C5B3 A5 E0		lda $E0
	01C5B5 10 02		bpl $01c5b9
	01C5B7 87 89		smb 0,$89
01C5B9	01C5B9 AD 1A 98		lda $981A
	01C5BC A2 00		ldx #$00
	01C5BE 8E 1A 98		stx $981A
	01C5C1 C9 01		cmp #$01
	01C5C3 D0 11		bne $01c5d6
	01C5C5 A5 E0		lda $E0
	01C5C7 29 7F		and #$7F
	01C5C9 C9 40		cmp #$40'@'
	01C5CB D0 41		bne $01c60e
	01C5CD AD DE 97		lda $97DE
	01C5D0 F0 04		beq $01c5d6
	01C5D2 C9 03		cmp #$03
	01C5D4 90 04		bcc $01c5da
01C5D6	01C5D6 B2 FF E1		sti #$FF,$E1
	01C5D9 60		rts

01C5DA	01C5DA 8F 89 07		bbs 0,$89,$01c5e4
	01C5DD 9F 89 07		bbs 1,$89,$01c5e7
	01C5E0 97 89		smb 1,$89
	01C5E2 80 08		bra $01c5ec

01C5E4	01C5E4 9F 89 03		bbs 1,$89,$01c5ea
01C5E7	01C5E7 F7 8B		smb 7,$8B
	01C5E9 60		rts

01C5EA	01C5EA 17 89		rmb 1,$89
01C5EC	01C5EC F7 63		smb 7,$63
	01C5EE A2 00		ldx #$00
	01C5F0 AD 12 88		lda $8812
	01C5F3 29 C0		and #$C0
	01C5F5 8D F3 97		sta $97F3
	01C5F8 AD DE 97		lda $97DE
	01C5FB C9 02		cmp #$02
	01C5FD D0 07		bne $01c606
	01C5FF A2 01		ldx #$01
	01C601 BD 12 88		lda $8812,x
	01C604 80 02		bra $01c608

01C606	01C606 A9 00		lda #$00
01C608	01C608 8D F4 97		sta $97F4
	01C60B F7 8B		smb 7,$8B
	01C60D 60		rts

01C60E	01C60E AD DE 97		lda $97DE
	01C611 D0 C3		bne $01c5d6
	01C613 8F 89 07		bbs 0,$89,$01c61d
	01C616 2F 89 07		bbr 2,$89,$01c620
	01C619 27 89		rmb 2,$89
	01C61B 80 06		bra $01c623

01C61D	01C61D 2F 89 01		bbr 2,$89,$01c621
01C620	01C620 60		rts

01C621	01C621 A7 89		smb 2,$89
01C623	01C623 67 8A		rmb 6,$8A
	01C625 4F 89 03		bbr 4,$89,$01c62b
	01C628 20 54 4E		jsr $4E54
01C62B	01C62B 77 62		rmb 7,62
	01C62D 47 89		rmb 4,$89
	01C62F 37 89		rmb 3,$89
	01C631 17 87		rmb 1,$87
	01C633 07 87		rmb 0,$87
	01C635 A5 D7		lda $D7
	01C637 C5 D5		cmp $D5
	01C639 F0 03		beq $01c63e
	01C63B 20 C1 4D		jsr $4DC1
01C63E	01C63E 60		rts

01C63F	01C63F A5 D5		lda $D5
	01C641 C5 D7		cmp $D7
	01C643 B0 12		bcs $01c657
	01C645 AD F9 97		lda $97F9
	01C648 C5 D7		cmp $D7
	01C64A B0 1B		bcs $01c667
	01C64C A5 D5		lda $D5
	01C64E CD F9 97		cmp $97F9
	01C651 90 16		bcc $01c669
	01C653 80 12		bra $01c667

01C655	01C655 80 10		bra $01c667

01C657	01C657 AD F9 97		lda $97F9
	01C65A C5 D7		cmp $D7
	01C65C 90 0B		bcc $01c669
	01C65E A5 D5		lda $D5
	01C660 CD F9 97		cmp $97F9
	01C663 B0 02		bcs $01c667
	01C665 80 02		bra $01c669

01C667	01C667 18		clc
	01C668 60		rts

01C669	01C669 38		sec
	01C66A 60		rts

01C66B	01C66B A5 8A		lda $8A
	01C66D D0 0E		bne $01c67d
	01C66F A5 D7		lda $D7
	01C671 CD F9 97		cmp $97F9
	01C674 D0 04		bne $01c67a
	01C676 C5 D5		cmp $D5
	01C678 D0 03		bne $01c67d
01C67A	01C67A 20 C1 4D		jsr $4DC1
01C67D	01C67D 60		rts

01C67E	01C67E AD F9 97		lda $97F9
	01C681 38		sec
	01C682 E5 D7		sbc $D7
	01C684 29 7F		and #$7F
	01C686 F0 21		beq $01c6a9
	01C688 64 DA		add $DA
	01C68A CD 03 98		cmp $9803
	01C68D 90 03		bcc $01c692
	01C68F ED 03 98		sbc $9803
01C692	01C692 85 DA		sta $DA
	01C694 C5 D8		cmp $D8
	01C696 D0 02		bne $01c69a
	01C698 77 69		rmb 7,69
01C69A	01C69A AD F9 97		lda $97F9
	01C69D 85 D7		sta $D7
	01C69F 77 87		rmb 7,87
	01C6A1 A9 00		lda #$00
	01C6A3 8D 21 98		sta $9821
	01C6A6 18		clc
	01C6A7 80 01		bra $01c6aa

01C6A9	01C6A9 38		sec
01C6AA	01C6AA 60		rts

01C6AB	01C6AB DA		phx
	01C6AC 38		sec
	01C6AD A2 00		ldx #$00
01C6AF	01C6AF E8		inx
	01C6B0 2A		rol a
	01C6B1 90 FC		bcc $01c6af
	01C6B3 A9 00		lda #$00
01C6B5	01C6B5 6A		ror a
	01C6B6 CA		dex
	01C6B7 D0 FC		bne $01c6b5
	01C6B9 FA		plx
	01C6BA 60		rts

01C6BB	01C6BB AD 0A 06		lda $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	01C6BE CD 0A 06		cmp $060A		;DPi PNSUC/FLAGDT/PE/FE/OE/CRCS/VSYNC
	01C6C1 EA		nop
	01C6C2 EA		nop
	01C6C3 EA		nop
	01C6C4 EA		nop
	01C6C5 EA		nop
	01C6C6 D0 F3		bne $01c6bb
	01C6C8 A8		tay
	01C6C9 AE 00 06		ldx $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	01C6CC 29 39		and #$39'9'
	01C6CE F0 0A		beq $01c6da
	01C6D0 4A		lsr a
	01C6D1 90 03		bcc $01c6d6
	01C6D3 4C 5D 3F		jmp $3F5D

01C6D6	01C6D6 B2 FF E1		sti #$FF,$E1
	01C6D9 60		rts

01C6DA	01C6DA AD FE 97		lda $97FE
	01C6DD 85 DE		sta $DE
	01C6DF AD FD 97		lda $97FD
	01C6E2 8D FE 97		sta $97FE
	01C6E5 8E FD 97		stx $97FD
	01C6E8 AD 18 98		lda $9818
	01C6EB 0A		asl a
	01C6EC AA		tax
	01C6ED 7C F0 46		jmp $46F0,x

01C6F0	01C6F0 06 47		asl $47
	01C6F2 16 47		asl $47,x
	01C6F4 53		???			;undocumented opcode
	01C6F5 47 CF		rmb 4,$CF
	01C6F7 47 CD		rmb 4,$CD
	01C6F9 4B		jsb 4			;indirect $FFE8
	01C6FA 5B		jsb 5			;indirect $FFEA
	01C6FB 48		pha
	01C6FC 7C 47 99		jmp $9947,x

01C6FF	01C6FF 47 B8		rmb 4,$B8
	01C701 47 C5		rmb 4,$C5
	01C703 47 98		rmb 4,$98
	01C705 47 EE		rmb 4,$EE
	01C707 FC		???			;undocumented opcode
	01C708 97 AD		smb 1,$AD
	01C70A FC		???			;undocumented opcode
	01C70B 97 C9		smb 1,$C9
	01C70D 02		mpy
	01C70E F0 01		beq $01c711
	01C710 60		rts

01C711	01C711 A9 01		lda #$01
	01C713 4C 95 47		jmp $4795

01C716	01C716 A5 DE		lda $DE
	01C718 29 FC		and #$FC
	01C71A F0 0E		beq $01c72a
	01C71C E2 84 01 01 30	bar $0184,$01,$01c751
	01C721 A5 DE		lda $DE
	01C723 8D 14 86		sta $8614
	01C726 A9 07		lda #$07
	01C728 80 25		bra $01c74f

01C72A	01C72A A5 DE		lda $DE
	01C72C 29 02		and #$02
	01C72E 8F 86 0A		bbs 0,$86,$01c73b
	01C731 F0 04		beq $01c737
	01C733 97 86		smb 1,$86
	01C735 80 02		bra $01c739

01C737	01C737 17 86		rmb 1,$86
01C739	01C739 80 08		bra $01c743

01C73B	01C73B D0 04		bne $01c741
	01C73D 97 86		smb 1,$86
	01C73F 80 02		bra $01c743

01C741	01C741 17 86		rmb 1,$86
01C743	01C743 A5 DE		lda $DE
	01C745 29 01		and #$01
	01C747 F0 04		beq $01c74d
	01C749 A9 02		lda #$02
	01C74B 80 02		bra $01c74f

01C74D	01C74D A9 06		lda #$06
01C74F	01C74F 80 44		bra $01c795

01C751	01C751 80 3D		bra $01c790

01C753	01C753 B7 88		smb 3,$88
	01C755 A5 DE		lda $DE
	01C757 2F 6B 07		bbr 2,$6B,$01c761
	01C75A C9 05		cmp #$05
	01C75C D0 03		bne $01c761
	01C75E 4C EE E2		jmp $E2EE

01C761	01C761 85 DF		sta $DF
	01C763 29 03		and #$03
	01C765 C9 03		cmp #$03
	01C767 D0 04		bne $01c76d
	01C769 A9 05		lda #$05
	01C76B 80 0D		bra $01c77a

01C76D	01C76D CF 89 20		bbs 4,$89,$01c790
	01C770 C9 01		cmp #$01
	01C772 D0 04		bne $01c778
	01C774 A9 04		lda #$04
	01C776 80 02		bra $01c77a

01C778	01C778 A9 03		lda #$03
01C77A	01C77A 80 19		bra $01c795

01C77C	01C77C A5 DE		lda $DE
	01C77E C9 01		cmp #$01
	01C780 D0 04		bne $01c786
	01C782 A9 02		lda #$02
	01C784 80 0F		bra $01c795

01C786	01C786 2F 6B 07		bbr 2,$6B,$01c790
	01C789 C9 04		cmp #$04
	01C78B D0 03		bne $01c790
	01C78D 4C EE E2		jmp $E2EE

01C790	01C790 B2 FF E1		sti #$FF,$E1
	01C793 A9 0A		lda #$0A
01C795	01C795 8D 18 98		sta $9818
	01C798 60		rts

01C799	01C799 A5 DE		lda $DE
	01C79B C9 01		cmp #$01
	01C79D D0 09		bne $01c7a8
	01C79F CE 14 86		dec $8614
	01C7A2 B7 88		smb 3,$88
	01C7A4 A9 08		lda #$08
	01C7A6 80 ED		bra $01c795

01C7A8	01C7A8 2F 6B 0B		bbr 2,$6B,$01c7b6
	01C7AB C9 04		cmp #$04
	01C7AD F0 04		beq $01c7b3
	01C7AF C9 05		cmp #$05
	01C7B1 D0 03		bne $01c7b6
01C7B3	01C7B3 4C EE E2		jmp $E2EE

01C7B6	01C7B6 80 D8		bra $01c790

01C7B8	01C7B8 CE 14 86		dec $8614
	01C7BB A5 DE		lda $DE
	01C7BD C9 03		cmp #$03
	01C7BF B0 CF		bcs $01c790
	01C7C1 A9 09		lda #$09
	01C7C3 80 D0		bra $01c795

01C7C5	01C7C5 CE 14 86		dec $8614
	01C7C8 A9 FF		lda #$FF
	01C7CA 85 E0		sta $E0
	01C7CC 4C 3B 49		jmp $493B

01C7CF	01C7CF A5 8A		lda $8A
	01C7D1 29 1F		and #$1F
	01C7D3 D0 57		bne $01c82c
	01C7D5 3F 88 69		bbr 3,$88,$01c841
	01C7D8 A9 00		lda #$00
	01C7DA 8D EA 97		sta $97EA
	01C7DD A5 DE		lda $DE
	01C7DF 85 E0		sta $E0
	01C7E1 37 88		rmb 3,$88
	01C7E3 67 89		rmb 6,$89
	01C7E5 A5 DF		lda $DF
	01C7E7 18		clc
	01C7E8 6A		ror a
	01C7E9 8D FA 97		sta $97FA
	01C7EC 38		sec
	01C7ED E5 D6		sbc $D6
	01C7EF 29 7F		and #$7F
	01C7F1 CD 04 98		cmp $9804
	01C7F4 F0 06		beq $01c7fc
	01C7F6 90 04		bcc $01c7fc
	01C7F8 A7 86		smb 2,$86
	01C7FA 80 2E		bra $01c82a

01C7FC	01C7FC 5F 86 04		bbr 5,$86,$01c803
	01C7FF C7 86		smb 4,$86
	01C801 80 27		bra $01c82a

01C803	01C803 C9 00		cmp #$00
	01C805 F0 28		beq $01c82f
	01C807 2F 91 20		bbr 2,$91,$01c82a
	01C80A 64 DC		add $DC
	01C80C CD 04 98		cmp $9804
	01C80F 90 03		bcc $01c814
	01C811 ED 04 98		sbc $9804
01C814	01C814 85 DB		sta $DB
	01C816 0A		asl a
	01C817 AA		tax
	01C818 BD 73 4D		lda $4D73,x
	01C81B 85 ED		sta $ED
	01C81D BD 74 4D		lda $4D74,x
	01C820 85 EE		sta $EE
	01C822 A5 DB		lda $DB
	01C824 AA		tax
	01C825 20 D1 4D		jsr $4DD1
	01C828 B0 03		bcs $01c82d
01C82A	01C82A B7 86		smb 3,$86
01C82C	01C82C 60		rts

01C82D	01C82D 80 10		bra $01c83f

01C82F	01C82F A5 DC		lda $DC
	01C831 85 DB		sta $DB
	01C833 0A		asl a
	01C834 AA		tax
	01C835 BD 73 4D		lda $4D73,x
	01C838 85 ED		sta $ED
	01C83A BD 74 4D		lda $4D74,x
	01C83D 85 EE		sta $EE
01C83F	01C83F 80 19		bra $01c85a

01C841	01C841 AD 02 98		lda $9802
	01C844 CD EA 97		cmp $97EA
	01C847 F0 0F		beq $01c858
	01C849 BF 86 0A		bbs 3,$86,$01c856
	01C84C A5 DE		lda $DE
	01C84E AE EA 97		ldx $97EA
	01C851 91 ED		sta ($ED),x
	01C853 EE EA 97		inc $97EA
01C856	01C856 80 02		bra $01c85a

01C858	01C858 E7 89		smb 6,$89
01C85A	01C85A 60		rts

01C85B	01C85B 3F 88 07		bbr 3,$88,$01c865
	01C85E A9 00		lda #$00
	01C860 8D DE 97		sta $97DE
	01C863 37 88		rmb 3,$88
01C865	01C865 A5 DF		lda $DF
	01C867 29 EF		and #$EF
	01C869 C9 6F		cmp #$6F'o'
	01C86B F0 0C		beq $01c879
	01C86D C9 63		cmp #$63'c'
	01C86F F0 08		beq $01c879
	01C871 C9 0F		cmp #$0F
	01C873 F0 04		beq $01c879
	01C875 C9 43		cmp #$43'C'
	01C877 D0 03		bne $01c87c
01C879	01C879 B2 FF E1		sti #$FF,$E1
01C87C	01C87C C9 03		cmp #$03
	01C87E D0 05		bne $01c885
	01C880 20 8C 4B		jsr $4B8C
	01C883 80 2F		bra $01c8b4

01C885	01C885 C9 AF		cmp #$AF
	01C887 D0 05		bne $01c88e
	01C889 20 B5 48		jsr $48B5
	01C88C 80 26		bra $01c8b4

01C88E	01C88E C9 E3		cmp #$E3
	01C890 D0 11		bne $01c8a3
	01C892 AD DE 97		lda $97DE
	01C895 C9 80		cmp #$80
	01C897 B0 08		bcs $01c8a1
	01C899 AE DE 97		ldx $97DE
	01C89C A5 DE		lda $DE
	01C89E 9D 12		sta $12,x		;Cx9 TAS (R), TAUL (W)
	01C8A0 88		dey
01C8A1	01C8A1 80 11		bra $01c8b4

01C8A3	01C8A3 C9 87		cmp #$87
	01C8A5 D0 0A		bne $01c8b1
	01C8A7 AE DE 97		ldx $97DE
	01C8AA A5 DE		lda $DE
	01C8AC 9D 12		sta $12,x		;Cx9 TAS (R), TAUL (W)
	01C8AE 88		dey
	01C8AF 80 03		bra $01c8b4

01C8B1	01C8B1 B2 FF E1		sti #$FF,$E1
01C8B4	01C8B4 60		rts

01C8B5	01C8B5 C6 E2		dec $E2
	01C8B7 AD 19 98		lda $9819
	01C8BA 0A		asl a
	01C8BB AA		tax
	01C8BC 7C BF 48		jmp $48BF,x

01C8BF	01C8BF CB		phi
	01C8C0 48		pha
	01C8C1 DE 48 F6		dec $F648,x
	01C8C4 48		pha
	01C8C5 1E 49 16		asl $1649,x
	01C8C8 49 3A		eor #$3A':'
	01C8CA 49 A5		eor #$A5
	01C8CC DE C9 82		dec $82C9,x
	01C8CF F0 03		beq $01c8d4
	01C8D1 4C 2D 49		jmp $492D

01C8D4	01C8D4 B2 00 E2		sti #$00,$E2
	01C8D7 B2 00 94		sti #$00,$94
01C8DA	01C8DA EE 19 98		inc $9819
	01C8DD 60		rts

01C8DE	01C8DE A5 E2		lda $E2
	01C8E0 C9 FF		cmp #$FF
	01C8E2 D0 4E		bne $01c932
	01C8E4 A5 DE		lda $DE
	01C8E6 85 E0		sta $E0
	01C8E8 C9 80		cmp #$80
	01C8EA F0 EE		beq $01c8da
	01C8EC C9 F0		cmp #$F0
	01C8EE F0 EA		beq $01c8da
	01C8F0 C9 FF		cmp #$FF
	01C8F2 F0 E6		beq $01c8da
	01C8F4 80 37		bra $01c92d

01C8F6	01C8F6 A5 E0		lda $E0
	01C8F8 C9 FF		cmp #$FF
	01C8FA D0 16		bne $01c912
	01C8FC A5 DE		lda $DE
	01C8FE C9 FF		cmp #$FF
	01C900 D0 10		bne $01c912
	01C902 AD FD 97		lda $97FD
	01C905 C9 01		cmp #$01
	01C907 D0 09		bne $01c912
	01C909 E2 84 01 01 04	bar $0184,$01,$01c912
	01C90E D2 01 13 86	sba $01,$8613
01C912	01C912 A9 04		lda #$04
	01C914 80 21		bra $01c937

01C916	01C916 A5 DE		lda $DE
	01C918 85 E2		sta $E2
	01C91A A9 03		lda #$03
	01C91C 80 19		bra $01c937

01C91E	01C91E 20 3B 49		jsr $493B
	01C921 90 17		bcc $01c93a
	01C923 A9 01		lda #$01
	01C925 A6 E2		ldx $E2
	01C927 F0 02		beq $01c92b
	01C929 A9 03		lda #$03
01C92B	01C92B 80 0A		bra $01c937

01C92D	01C92D B2 01 E1		sti #$01,$E1
	01C930 80 03		bra $01c935

01C932	01C932 B2 FF E1		sti #$FF,$E1
01C935	01C935 A9 05		lda #$05
01C937	01C937 8D 19 98		sta $9819
01C93A	01C93A 60		rts

01C93B	01C93B AD 1C 98		lda $981C
	01C93E 0A		asl a
	01C93F AA		tax
	01C940 7C 43 49		jmp $4943,x

01C943	01C943 65 49		adc $49
	01C945 76 4A		ror $4A,x
	01C947 A6 4A		ldx $4A
	01C949 BD 4A D9		lda $D94A,x
	01C94C 4A		lsr a
	01C94D ED 4A 0F		sbc $0F4A
	01C950 4B		jsb 4			;indirect $FFE8
	01C951 0F 4B 0F		bbr 0,$4B,$01c963
	01C954 4B		jsb 4			;indirect $FFE8
	01C955 0F 4B 0F		bbr 0,$4B,$01c967
	01C958 4B		jsb 4			;indirect $FFE8
	01C959 1E 4B 3D		asl $3D4B,x
	01C95C 4B		jsb 4			;indirect $FFE8
	01C95D 51 4B		eor ($4B),x
	01C95F 65 4B		adc $4B
	01C961 74 4B		add $4B,x
01C963	01C963 8A		txa
	01C964 4B		jsb 4			;indirect $FFE8
	01C965 A5 E0		lda $E0
01C967	01C967 C9 80		cmp #$80
	01C969 D0 41		bne $01c9ac
	01C96B A5 DE		lda $DE
	01C96D C9 03		cmp #$03
	01C96F D0 08		bne $01c979
	01C971 A9 00		lda #$00
	01C973 85 E4		sta $E4
	01C975 A9 01		lda #$01
	01C977 80 18		bra $01c991

01C979	01C979 C9 05		cmp #$05
	01C97B D0 08		bne $01c985
	01C97D B2 E6 E4		sti #$E6,$E4
	01C980 B2 00 E5		sti #$00,$E5
	01C983 80 0A		bra $01c98f

01C985	01C985 C9 06		cmp #$06
	01C987 D0 0B		bne $01c994
	01C989 B2 E7 E4		sti #$E7,$E4
	01C98C B2 00 E5		sti #$00,$E5
01C98F	01C98F A9 0C		lda #$0C
01C991	01C991 4C 87 4B		jmp $4B87

01C994	01C994 C9 07		cmp #$07
	01C996 D0 08		bne $01c9a0
	01C998 B2 E8 E4		sti #$E8,$E4
	01C99B B2 00 E5		sti #$00,$E5
	01C99E 80 45		bra $01c9e5

01C9A0	01C9A0 C9 08		cmp #$08
	01C9A2 D0 4A		bne $01c9ee
	01C9A4 B2 E9 E4		sti #$E9,$E4
	01C9A7 B2 00 E5		sti #$00,$E5
	01C9AA 80 39		bra $01c9e5

01C9AC	01C9AC C9 F0		cmp #$F0
	01C9AE D0 41		bne $01c9f1
	01C9B0 A5 DE		lda $DE
	01C9B2 C9 00		cmp #$00
	01C9B4 D0 08		bne $01c9be
	01C9B6 A9 00		lda #$00
	01C9B8 85 E4		sta $E4
	01C9BA A9 02		lda #$02
	01C9BC 80 D3		bra $01c991

01C9BE	01C9BE C9 01		cmp #$01
	01C9C0 D0 08		bne $01c9ca
	01C9C2 A9 00		lda #$00
	01C9C4 85 E4		sta $E4
	01C9C6 A9 03		lda #$03
	01C9C8 80 C7		bra $01c991

01C9CA	01C9CA C9 02		cmp #$02
	01C9CC D0 0D		bne $01c9db
	01C9CE B2 EA E4		sti #$EA,$E4
	01C9D1 B2 00 E5		sti #$00,$E5
	01C9D4 A9 02		lda #$02
	01C9D6 8D 0E 86		sta $860E
	01C9D9 80 0F		bra $01c9ea

01C9DB	01C9DB C9 03		cmp #$03
	01C9DD D0 0F		bne $01c9ee
	01C9DF B2 EC E4		sti #$EC,$E4
	01C9E2 B2 00 E5		sti #$00,$E5
01C9E5	01C9E5 A9 01		lda #$01
	01C9E7 8D 0E 86		sta $860E
01C9EA	01C9EA A9 05		lda #$05
	01C9EC 80 A3		bra $01c991

01C9EE	01C9EE 4C 80 4B		jmp $4B80

01C9F1	01C9F1 A5 DE		lda $DE
	01C9F3 C9 01		cmp #$01
	01C9F5 D0 10		bne $01ca07
	01C9F7 A9 00		lda #$00
	01C9F9 B2 15 E4		sti #$15,$E4
	01C9FC B2 86 E5		sti #$86,$E5
	01C9FF A9 06		lda #$06
	01CA01 8D 0E 86		sta $860E
	01CA04 4C EA 49		jmp $49EA

01CA07	01CA07 C9 03		cmp #$03
	01CA09 D0 09		bne $01ca14
	01CA0B B2 23 E4		sti #$23'#',$E4
	01CA0E B2 86 E5		sti #$86,$E5
	01CA11 4C E5 49		jmp $49E5

01CA14	01CA14 C9 08		cmp #$08
	01CA16 D0 09		bne $01ca21
	01CA18 B2 24 E4		sti #$24'$',$E4
	01CA1B B2 86 E5		sti #$86,$E5
	01CA1E 4C E5 49		jmp $49E5

01CA21	01CA21 C9 09		cmp #$09
	01CA23 D0 09		bne $01ca2e
	01CA25 B2 78 E4		sti #$78'x',$E4
	01CA28 B2 9A E5		sti #$9A,$E5
	01CA2B 4C E5 49		jmp $49E5

01CA2E	01CA2E C9 0C		cmp #$0C
	01CA30 D0 17		bne $01ca49
	01CA32 B2 7B E4		sti #$7B'{',$E4
	01CA35 B2 9A E5		sti #$9A,$E5
	01CA38 D7 85		smb 5,$85
	01CA3A E2 4E 01 02 07	bar $014E,$02,$01ca46
	01CA3F A9 04		lda #$04
	01CA41 8D 0E 86		sta $860E
	01CA44 80 A4		bra $01c9ea

01CA46	01CA46 4C D4 49		jmp $49D4

01CA49	01CA49 C9 0D		cmp #$0D
	01CA4B D0 09		bne $01ca56
	01CA4D B2 70 E4		sti #$70'p',$E4
	01CA50 B2 9A E5		sti #$9A,$E5
	01CA53 4C D4 49		jmp $49D4

01CA56	01CA56 C9 0E		cmp #$0E
	01CA58 D0 0E		bne $01ca68
	01CA5A B2 7F E4		sti #$7F,$E4
	01CA5D B2 9A E5		sti #$9A,$E5
	01CA60 A9 04		lda #$04
	01CA62 8D 0E 86		sta $860E
	01CA65 4C EA 49		jmp $49EA

01CA68	01CA68 A9 01		lda #$01
	01CA6A 85 E4		sta $E4
	01CA6C A9 FF		lda #$FF
	01CA6E 8D 0F 86		sta $860F
	01CA71 A9 04		lda #$04
	01CA73 4C 87 4B		jmp $4B87

01CA76	01CA76 E6 E4		inc $E4
	01CA78 A5 E4		lda $E4
	01CA7A C9 01		cmp #$01
	01CA7C D0 08		bne $01ca86
	01CA7E A5 DE		lda $DE
	01CA80 C9 03		cmp #$03
	01CA82 D0 52		bne $01cad6
	01CA84 18		clc
	01CA85 60		rts

01CA86	01CA86 C9 02		cmp #$02
	01CA88 D0 04		bne $01ca8e
	01CA8A A9 00		lda #$00
	01CA8C 80 06		bra $01ca94

01CA8E	01CA8E C9 03		cmp #$03
	01CA90 D0 0A		bne $01ca9c
	01CA92 A9 20		lda #$20' '
01CA94	01CA94 25 DE		and $DE
	01CA96 05 93		ora $93
	01CA98 85 93		sta $93
	01CA9A 18		clc
	01CA9B 60		rts

01CA9C	01CA9C A9 01		lda #$01
	01CA9E 25 DE		and $DE
	01CAA0 05 93		ora $93
	01CAA2 85 93		sta $93
	01CAA4 80 2D		bra $01cad3

01CAA6	01CAA6 A5 DE		lda $DE
	01CAA8 A6 E4		ldx $E4
	01CAAA DD B9 4A		cmp $4AB9,x
	01CAAD D0 27		bne $01cad6
	01CAAF E6 E4		inc $E4
	01CAB1 A5 E4		lda $E4
	01CAB3 C9 04		cmp #$04
	01CAB5 F0 1C		beq $01cad3
	01CAB7 18		clc
	01CAB8 60		rts

01CAB9	01CAB9 03		tip
	01CABA 56 34		lsr $34,x		;Cx9 PTG A	mode
	01CABC 32		pul
	01CABD E6 E4		inc $E4
	01CABF A5 E4		lda $E4
	01CAC1 C9 01		cmp #$01
	01CAC3 D0 08		bne $01cacd
	01CAC5 A9 01		lda #$01
	01CAC7 C5 DE		cmp $DE
	01CAC9 D0 0B		bne $01cad6
	01CACB 18		clc
	01CACC 60		rts

01CACD	01CACD A5 DE		lda $DE
	01CACF 29 03		and #$03
	01CAD1 85 94		sta $94
01CAD3	01CAD3 4C 74 4B		jmp $4B74

01CAD6	01CAD6 4C 7B 4B		jmp $4B7B

01CAD9	01CAD9 A5 E4		lda $E4
	01CADB D0 07		bne $01cae4
	01CADD A5 DE		lda $DE
	01CADF 8D 0F 86		sta $860F
	01CAE2 80 05		bra $01cae9

01CAE4	01CAE4 CD 0F 86		cmp $860F
	01CAE7 B0 EA		bcs $01cad3
01CAE9	01CAE9 E6 E4		inc $E4
	01CAEB 18		clc
	01CAEC 60		rts

01CAED	01CAED A9 00		lda #$00
	01CAEF 8D 0F 86		sta $860F
	01CAF2 A5 DE		lda $DE
	01CAF4 CD 0E 86		cmp $860E
	01CAF7 90 03		bcc $01cafc
	01CAF9 AD 0E 86		lda $860E
01CAFC	01CAFC A6 DE		ldx $DE
	01CAFE 8E 0E 86		stx $860E
	01CB01 AA		tax
	01CB02 BD 08 4B		lda $4B08,x
	01CB05 4C 87 4B		jmp $4B87

01CB08	01CB08 10 0B		bpl $01cb15
	01CB0A 0A		asl a
	01CB0B 09 08		ora #$08
	01CB0D 07 06		rmb 0,$06		;Cx9	port C direction (W)
	01CB0F AE 0F 86		ldx $860F
	01CB12 A5 DE		lda $DE
	01CB14 91 E4		sta ($E4),x
	01CB16 EE 0F 86		inc $860F
	01CB19 EE 1C 98		inc $981C
	01CB1C 18		clc
	01CB1D 60		rts

01CB1E	01CB1E AE 0F 86		ldx $860F
	01CB21 A5 DE		lda $DE
	01CB23 91 E4		sta ($E4),x
	01CB25 E8		inx
	01CB26 EC 0E 86		cpx $860E
	01CB29 F0 49		beq $01cb74
	01CB2B AD 0E 86		lda $860E
	01CB2E 18		clc
	01CB2F ED 0F 86		sbc $860F
	01CB32 8D 0F 86		sta $860F
	01CB35 A9 01		lda #$01
	01CB37 85 E4		sta $E4
	01CB39 A9 04		lda #$04
	01CB3B 80 4A		bra $01cb87

01CB3D	01CB3D A6 DE		ldx $DE
	01CB3F E0 03		cpx #$03
	01CB41 B0 3D		bcs $01cb80
	01CB43 A9 0D		lda #$0D
	01CB45 E0 02		cpx #$02
	01CB47 F0 06		beq $01cb4f
	01CB49 A9 00		lda #$00
	01CB4B 81 E4		sta ($E4)
	01CB4D A9 0E		lda #$0E
01CB4F	01CB4F 80 36		bra $01cb87

01CB51	01CB51 A5 DE		lda $DE
	01CB53 C9 08		cmp #$08
	01CB55 B0 06		bcs $01cb5d
	01CB57 81 E4		sta ($E4)
	01CB59 A9 0E		lda #$0E
	01CB5B 80 06		bra $01cb63

01CB5D	01CB5D A9 FF		lda #$FF
	01CB5F 81 E4		sta ($E4)
	01CB61 A9 0F		lda #$0F
01CB63	01CB63 80 22		bra $01cb87

01CB65	01CB65 A1 E4		lda ($E4)
	01CB67 6A		ror a
	01CB68 66 DE		ror $DE
	01CB6A 6A		ror a
	01CB6B 66 DE		ror $DE
	01CB6D 6A		ror a
	01CB6E 66 DE		ror $DE
	01CB70 A5 DE		lda $DE
	01CB72 81 E4		sta ($E4)
01CB74	01CB74 A9 00		lda #$00
	01CB76 8D 1C 98		sta $981C
	01CB79 38		sec
	01CB7A 60		rts

01CB7B	01CB7B B2 01 E1		sti #$01,$E1
	01CB7E 80 03		bra $01cb83

01CB80	01CB80 B2 FF E1		sti #$FF,$E1
01CB83	01CB83 27 6B		rmb 2,$6B
	01CB85 A9 10		lda #$10
01CB87	01CB87 8D 1C 98		sta $981C
	01CB8A 18		clc
	01CB8B 60		rts

01CB8C	01CB8C AD 1A 98		lda $981A
	01CB8F 0A		asl a
	01CB90 AA		tax
	01CB91 7C 94 4B		jmp $4B94,x

01CB94	01CB94 9A		txs
	01CB95 4B		jsb 4			;indirect $FFE8
	01CB96 B1 4B		lda ($4B),x
	01CB98 CC 4B A5		cpy $A54B
	01CB9B DE 85 E0		dec $E085,x
	01CB9E 29 5F		and #$5F'_'
	01CBA0 C9 40		cmp #$40'@'
	01CBA2 F0 03		beq $01cba7
	01CBA4 4C C4 4B		jmp $4BC4

01CBA7	01CBA7 A9 00		lda #$00
	01CBA9 8D DE 97		sta $97DE
	01CBAC A9 01		lda #$01
	01CBAE 4C C9 4B		jmp $4BC9

01CBB1	01CBB1 DF E0 10		bbs 5,$E0,$01cbc4
	01CBB4 AE DE 97		ldx $97DE
	01CBB7 A5 DE		lda $DE
	01CBB9 9D 12		sta $12,x		;Cx9 TAS (R), TAUL (W)
	01CBBB 88		dey
	01CBBC E0 03		cpx #$03
	01CBBE B0 04		bcs $01cbc4
	01CBC0 EE DE 97		inc $97DE
	01CBC3 60		rts

01CBC4	01CBC4 B2 FF E1		sti #$FF,$E1
	01CBC7 A9 02		lda #$02
	01CBC9 8D 1A 98		sta $981A
	01CBCC 60		rts

01CBCD	01CBCD 3F 88 08		bbr 3,$88,$01cbd8
	01CBD0 A5 DE		lda $DE
	01CBD2 85 E0		sta $E0
	01CBD4 37 88		rmb 3,$88
	01CBD6 80 03		bra $01cbdb

01CBD8	01CBD8 B2 FF E1		sti #$FF,$E1
01CBDB	01CBDB 60		rts

01CBDC	01CBDC AD 1B 98		lda $981B
	01CBDF 0A		asl a
	01CBE0 AA		tax
	01CBE1 7C E4 4B		jmp $4BE4,x

01CBE4	01CBE4 EA		nop
	01CBE5 4B		jsb 4			;indirect $FFE8
	01CBE6 29 4C		and #$4C'L'
	01CBE8 97 4C		smb 1,$4C
	01CBEA 8F 88 03		bbs 0,$88,$01cbf0
	01CBED 2F 88 1D		bbr 2,$88,$01cc0d
01CBF0	01CBF0 A0 02		ldy #$02
	01CBF2 B9 92 87		lda $8792,y
	01CBF5 C9 0D		cmp #$0D
	01CBF7 D0 06		bne $01cbff
	01CBF9 AD E7 97		lda $97E7
	01CBFC 4C 01 4C		jmp $4C01

01CBFF	01CBFF A5 D6		lda $D6
	01CC01 8D F8 97		sta $97F8
	01CC04 0A		asl a
	01CC05 A0 03		ldy #$03
	01CC07 19 92 87		ora $8792,y
	01CC0A 99 92		sta $92,y
	01CC0C 87 C2		smb 0,$C2
	01CC0E 02		mpy
	01CC0F 11 06		ora ($06),x		;Cx9	port C direction (W)
	01CC11 A0 01		ldy #$01
	01CC13 8C DD 97		sty $97DD
	01CC16 B9 92 87		lda $8792,y
	01CC19 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	01CC1C EE DD 97		inc $97DD
	01CC1F A2 00		ldx #$00
	01CC21 DE 92 87		dec $8792,x
	01CC24 A9 01		lda #$01
	01CC26 4C F6 4C		jmp $4CF6

01CC29	01CC29 C2 02 11 06	rba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	01CC2D 8F 88 0B		bbs 0,$88,$01cc3b
	01CC30 AD 92 87		lda $8792
	01CC33 C9 01		cmp #$01
	01CC35 D0 04		bne $01cc3b
	01CC37 D2 02 11 06	sba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
01CC3B	01CC3B AC DD 97		ldy $97DD
	01CC3E B9 92 87		lda $8792,y
	01CC41 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	01CC44 EE DD 97		inc $97DD
	01CC47 A2 00		ldx #$00
	01CC49 DE 92 87		dec $8792,x
	01CC4C D0 48		bne $01cc96
	01CC4E 0F 88 28		bbr 0,$88,$01cc79
	01CC51 A2 00		ldx #$00
	01CC53 A5 D9		lda $D9
	01CC55 1F 88 03		bbr 1,$88,$01cc5b
	01CC58 AD E6 97		lda $97E6
01CC5B	01CC5B 0A		asl a
	01CC5C A8		tay
	01CC5D B9 55 4D		lda $4D55,y
	01CC60 85 EF		sta $EF
	01CC62 B9 56 4D		lda $4D56,y
	01CC65 85 F0		sta $F0
	01CC67 B1 EF		lda ($EF),x
	01CC69 8D E4 97		sta $97E4
	01CC6C EE E5 97		inc $97E5
	01CC6F A0 00		ldy #$00
	01CC71 8C DD 97		sty $97DD
	01CC74 A9 02		lda #$02
	01CC76 4C F6 4C		jmp $4CF6

01CC79	01CC79 7F 49 18		bbr 7,$49,$01cc94
	01CC7C 2F 6B 15		bbr 2,$6B,$01cc94
	01CC7F E2 12 86 20 67	bar $8612,$20,$01cceb
	01CC84 D2 02 13 86	sba $02,$8613
	01CC88 A9 1E		lda #$1E
	01CC8A 8D 10 02		sta $0210
	01CC8D A9 00		lda #$00
	01CC8F 8D 11 02		sta $0211
	01CC92 77 5D		rmb 7,5D
01CC94	01CC94 80 55		bra $01cceb

01CC96	01CC96 60		rts

01CC97	01CC97 CE E4 97		dec $97E4
	01CC9A F0 12		beq $01ccae
	01CC9C C2 02 11 06	rba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	01CCA0 AE E5 97		ldx $97E5
	01CCA3 B1 EF		lda ($EF),x
	01CCA5 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	01CCA8 EE E5 97		inc $97E5
	01CCAB 60		rts

01CCAC	01CCAC 80 0F		bra $01ccbd

01CCAE	01CCAE D2 02 11 06	sba $02,$0611		;DPi BRKS/PARSL/TXV/RXV/V23HDX/TEOF
	01CCB2 AE E5 97		ldx $97E5
	01CCB5 B1 EF		lda ($EF),x
	01CCB7 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
	01CCBA EE E5 97		inc $97E5
01CCBD	01CCBD A9 00		lda #$00
	01CCBF 8D E5 97		sta $97E5
	01CCC2 8D E4 97		sta $97E4
	01CCC5 9F 88 23		bbs 1,$88,$01cceb
	01CCC8 E2 1E 98 02 0C	bar $981E,$02,$01ccd9
	01CCCD AD 1F 98		lda $981F
	01CCD0 89 01		add #$01
	01CCD2 29 7F		and #$7F
	01CCD4 8D 1F 98		sta $981F
	01CCD7 80 08		bra $01cce1

01CCD9	01CCD9 E6 D5		inc $D5
	01CCDB A5 D5		lda $D5
	01CCDD 29 7F		and #$7F
01CCDF	01CCDF 85 D5		sta $D5
01CCE1	01CCE1 A5 D9		lda $D9
	01CCE3 AC 03 98		ldy $9803
	01CCE6 20 B4 4D		jsr $4DB4
	01CCE9 85 D9		sta $D9
01CCEB	01CCEB 07 88		rmb 0,$88
	01CCED 17 88		rmb 1,$88
	01CCEF 27 88		rmb 2,$88
	01CCF1 20 72 F4		jsr $F472
	01CCF4 A9 00		lda #$00
	01CCF6 8D 1B 98		sta $981B
	01CCF9 60		rts

01CCFA	01CCFA 85 40		sta $40
	01CCFC 20 40 4D		jsr $4D40
	01CCFF 98		tya
	01CD00 D0 10		bne $01cd12
01CD02	01CD02 A2 00		ldx #$00
	01CD04 A9 02		lda #$02
	01CD06 9D 92		sta $92,x
	01CD08 87 A5		smb 0,$A5
	01CD0A 40		rti
	01CD0B A2 02		ldx #$02
	01CD0D 9D 92		sta $92,x
	01CD0F 87 80		smb 0,$80
	01CD11 2D A2 00		and $00A2
	01CD14 A9 03		lda #$03
	01CD16 9D 92		sta $92,x
	01CD18 87 A5		smb 0,$A5
	01CD1A 40		rti
	01CD1B 29 10		and #$10
	01CD1D D0 10		bne $01cd2f
	01CD1F A5 40		lda $40
	01CD21 A2 02		ldx #$02
	01CD23 9D 92		sta $92,x
	01CD25 87 A9		smb 0,$A9
	01CD27 00		brk
	01CD28 A2 03		ldx #$03
	01CD2A 9D 92		sta $92,x
	01CD2C 87 80		smb 0,$80
	01CD2E 10 A5		bpl $01ccd5
	01CD30 40		rti
	01CD31 29 EF		and #$EF
	01CD33 A2 02		ldx #$02
	01CD35 9D 92		sta $92,x
	01CD37 87 A9		smb 0,$A9
	01CD39 01 A2		ora ($A2)
	01CD3B 03		tip
	01CD3C 9D 92		sta $92,x
	01CD3E 87 60		smb 0,$60
	01CD40 A9 01		lda #$01
	01CD42 0F 86 06		bbr 0,$86,$01cd4b
	01CD45 90 02		bcc $01cd49
	01CD47 A9 03		lda #$03
01CD49	01CD49 80 04		bra $01cd4f

01CD4B	01CD4B B0 02		bcs $01cd4f
	01CD4D A9 03		lda #$03
01CD4F	01CD4F A2 01		ldx #$01
	01CD51 9D 92		sta $92,x
	01CD53 87 60		smb 0,$60

	01CD55	B0 88	C8B0
		31 89
		B2 89
		33 8A
		B4 8A
		35 8B
		B6 8B
		37 8C
		B8 8C
		39 8D
		BA 8D
		3B 8E
		BC 8E
		3D 8F
		BE 8F
		4E 90
		CF 90
		50 91
		D1 91
		52 92
		D3 92
		54 93
		D5 93
		56 94
		D7 94
		58 95
		D9 95
		5A 96
		DB 96
		5C
	01CD90 97 AD		smb 1,$AD
	01CD92 0D 86 8D		ora $8D86
	01CD95 33		plw
	01CD96 01 F7		ora ($F7)
	01CD98 88		dey
	01CD99 EE E3 97		inc $97E3
	01CD9C AE E3 97		ldx $97E3
	01CD9F 5A		phy
	01CDA0 A5 D8		lda $D8
	01CDA2 0A		asl a
	01CDA3 A8		tay
	01CDA4 B9 55 4D		lda $4D55,y
	01CDA7 85 40		sta $40
	01CDA9 B9 56 4D		lda $4D56,y
	01CDAC 85 41		sta $41
	01CDAE 68		pla
	01CDAF 91 40		sta ($40),x
	01CDB1 F7 69		smb 7,$69
	01CDB3 60		rts

01CDB4	01CDB4 85 40		sta $40
	01CDB6 E6 40		inc $40
	01CDB8 A5 40		lda $40
	01CDBA C4 40		cpy $40
	01CDBC D0 02		bne $01cdc0
	01CDBE A9 00		lda #$00
01CDC0	01CDC0 60		rts

01CDC1	01CDC1 AD 0F 98		lda $980F
	01CDC4 8D 16 02		sta $0216
	01CDC7 A9 00		lda #$00
	01CDC9 8D 17 02		sta $0217
	01CDCC 27 5E		rmb 2,$5E
	01CDCE 87 87		smb 0,$87
	01CDD0 60		rts

01CDD1	01CDD1 A8		tay
	01CDD2 29 08		and #$08
	01CDD4 D0 0C		bne $01cde2
	01CDD6 B9 21 4E		lda $4E21,y
	01CDD9 2D EC 97		and $97EC
	01CDDC 18		clc
	01CDDD D0 01		bne $01cde0
	01CDDF 38		sec
01CDE0	01CDE0 80 0A		bra $01cdec

01CDE2	01CDE2 B9 21 4E		lda $4E21,y
	01CDE5 2D ED 97		and $97ED
	01CDE8 18		clc
	01CDE9 D0 01		bne $01cdec
	01CDEB 38		sec
01CDEC	01CDEC 60		rts

01CDED	01CDED A8		tay
	01CDEE 29 07		and #$07
	01CDF0 AA		tax
	01CDF1 BD 21 4E		lda $4E21,x
	01CDF4 49 FF		eor #$FF
	01CDF6 85 41		sta $41
	01CDF8 98		tya
	01CDF9 6A		ror a
	01CDFA 6A		ror a
	01CDFB 6A		ror a
	01CDFC 29 03		and #$03
	01CDFE AA		tax
	01CDFF BD EC 97		lda $97EC,x
	01CE02 25 41		and $41
	01CE04 9D EC		sta $EC,x
	01CE06 97 60		smb 1,$60
	01CE08 A8		tay
	01CE09 29 07		and #$07
	01CE0B AA		tax
	01CE0C BD 21 4E		lda $4E21,x
	01CE0F 85 41		sta $41
	01CE11 98		tya
	01CE12 6A		ror a
	01CE13 6A		ror a
	01CE14 6A		ror a
	01CE15 29 03		and #$03
	01CE17 AA		tax
	01CE18 BD EC 97		lda $97EC,x
	01CE1B 05 41		ora $41
	01CE1D 9D EC		sta $EC,x
	01CE1F 97 60		smb 1,$60

;;; 4E21

	01CE21 01 02 04 08 10
	01CE26 20 40 80 01 02
01CE2B	01CE2B 04 08 10 20 40
	01CE30 80 67		bra $01ce99

01CE32	01CE32 86 57		stx $57
	01CE34 86 A5		stx $A5
	01CE36 DD 38 E5		cmp $E538,x
	01CE39 DC		???			;undocumented opcode
	01CE3A D0 02		bne $01ce3e
	01CE3C D7 86		smb 5,$86
01CE3E	01CE3E 10 04		bpl $01ce44
	01CE40 18		clc
	01CE41 6D 04 98		adc $9804
01CE44	01CE44 48		pha
	01CE45 AD 04 98		lda $9804
	01CE48 18		clc
	01CE49 6A		ror a
	01CE4A 85 40		sta $40
	01CE4C 68		pla
	01CE4D C5 40		cmp $40
01CE4F	01CE4F B0 02		bcs $01ce53
	01CE51 E7 86		smb 6,$86
01CE53	01CE53 60		rts

01CE54	01CE54 08		php
	01CE55 78		sei
	01CE56 A9 00		lda #$00
	01CE58 85 D5		sta $D5
	01CE5A 85 D6		sta $D6
	01CE5C 85 D7		sta $D7
	01CE5E 8D F9 97		sta $97F9
	01CE61 8D FA 97		sta $97FA
	01CE64 8D FB 97		sta $97FB
	01CE67 85 DB		sta $DB
	01CE69 85 DC		sta $DC
	01CE6B 85 DD		sta $DD
	01CE6D 8D EB 97		sta $97EB
	01CE70 8D EA 97		sta $97EA
	01CE73 8D EC 97		sta $97EC
	01CE76 8D ED 97		sta $97ED
	01CE79 8D EE 97		sta $97EE
	01CE7C 8D EF 97		sta $97EF
	01CE7F 85 D8		sta $D8
	01CE81 85 D9		sta $D9
	01CE83 85 DA		sta $DA
	01CE85 8D E3 97		sta $97E3
	01CE88 8D DF 97		sta $97DF
	01CE8B 8D E0 97		sta $97E0
	01CE8E 8D E1 97		sta $97E1
	01CE91 8D E2 97		sta $97E2
	01CE94 85 8A		sta $8A
	01CE96 85 8B		sta $8B
	01CE98 85 8C		sta $8C
	01CE9A 85 8D		sta $8D
	01CE9C 85 8E		sta $8E
	01CE9E 8D 75 01		sta $0175
	01CEA1 8D 76 01		sta $0176
	01CEA4 8D 77 01		sta $0177
	01CEA7 8D 5B 86		sta $865B
	01CEAA 8D 5C 86		sta $865C
	01CEAD 47 6A		rmb 4,$6A
	01CEAF 57 6A		rmb 5,$6A
	01CEB1 77 69		rmb 7,69
	01CEB3 77 87		rmb 7,87
	01CEB5 57 86		rmb 5,$86
	01CEB7 67 86		rmb 6,$86
	01CEB9 77 86		rmb 7,86
	01CEBB 17 87		rmb 1,$87
	01CEBD 07 87		rmb 0,$87
	01CEBF 28		plp
	01CEC0 A9 02		lda #$02
	01CEC2 8D 0C 86		sta $860C
	01CEC5 AD 05 98		lda $9805
	01CEC8 8D EB 99		sta $99EB
	01CECB AD 06 98		lda $9806
	01CECE 8D EA 99		sta $99EA
	01CED1 AE 07 98		ldx $9807
	01CED4 A4 92		ldy $92
	01CED6 F0 03		beq $01cedb
	01CED8 20 C5 55		jsr $55C5
01CEDB	01CEDB F7 88		smb 7,$88
	01CEDD 60		rts

01CEDE	01CEDE A9 32		lda #$32'2'
	01CEE0 8D 10 02		sta $0210
	01CEE3 A9 00		lda #$00
	01CEE5 8D 11 02		sta $0211
	01CEE8 77 5D		rmb 7,5D
01CEEA	01CEEA 7F 5D FD		bbr 7,$5D,$01ceea
	01CEED 60		rts

01CEEE	01CEEE EF 88 07		bbs 6,$88,$01cef8
	01CEF1 8D 24 01		sta $0124
	01CEF4 84 A9		sty $A9
	01CEF6 E7 88		smb 6,$88
01CEF8	01CEF8 60		rts

01CEF9	01CEF9 20 72 F4		jsr $F472
	01CEFC C2 04 1E 06	rba $04,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01CF00 C2 10 1F 06	rba $10,$061F		;DPi NSIA/NCIA/NSIE/NEWS/NCIE/NEWC
	01CF04 20 E5 F3		jsr $F3E5
	01CF07 A9 68		lda #$68'h'
	01CF09 8D 6F 02		sta $026F
	01CF0C A9 09		lda #$09
	01CF0E 8D 70 02		sta $0270
	01CF11 A9 89		lda #$89
	01CF13 8D 72 02		sta $0272
	01CF16 A9 09		lda #$09
	01CF18 8D 73 02		sta $0273
	01CF1B 67 57		rmb 6,$57
	01CF1D 27 58		rmb 2,$58
	01CF1F B2 48 AC		sti #$48'H',$AC
	01CF22 B7 57		smb 3,$57
	01CF24 A9 00		lda #$00
	01CF26 8D 61 86		sta $8661
	01CF29 D7 67		smb 5,$67
	01CF2B 60		rts

01CF2C	01CF2C 17 8D		rmb 1,$8D
	01CF2E 17 8C		rmb 1,$8C
	01CF30 A9 00		lda #$00
	01CF32 8D DF 97		sta $97DF
	01CF35 8D E0 97		sta $97E0
	01CF38 AD E0 97		lda $97E0
	01CF3B AA		tax
	01CF3C A5 D6		lda $D6
	01CF3E 9D 92		sta $92,x
	01CF40 88		dey
	01CF41 A7 8D		smb 2,$8D
	01CF43 EE DF 97		inc $97DF
	01CF46 60		rts

01CF47	01CF47 20 BA 4F		jsr $4FBA
	01CF4A 20 C3 35		jsr $35C3
	01CF4D 7F 49 02		bbr 7,$49,$01cf52
	01CF50 87 86		smb 0,$86
01CF52	01CF52 AD 22 01		lda $0122
	01CF55 C9 80		cmp #$80
	01CF57 F0 40		beq $01cf99
	01CF59 C9 00		cmp #$00
	01CF5B F0 29		beq $01cf86
	01CF5D A9 00		lda #$00
	01CF5F 8D 15 98		sta $9815
	01CF62 8D 16 98		sta $9816
	01CF65 8D 17 98		sta $9817
	01CF68 67 57		rmb 6,$57
	01CF6A A9 08		lda #$08
	01CF6C 8D 42 02		sta $0242
	01CF6F A9 E4		lda #$E4
	01CF71 8D 43 02		sta $0243
	01CF74 E7 57		smb 6,$57
	01CF76 60		rts

01CF77	01CF77 20 BA 4F		jsr $4FBA
	01CF7A 18		clc
	01CF7B 20 D1 4F		jsr $4FD1
	01CF7E 90 39		bcc $01cfb9
	01CF80 A5 E3		lda $E3
	01CF82 C9 01		cmp #$01
	01CF84 D0 0F		bne $01cf95
01CF86	01CF86 67 57		rmb 6,$57
	01CF88 A9 02		lda #$02
	01CF8A 8D 42 02		sta $0242
	01CF8D A9 E4		lda #$E4
01CF8F	01CF8F 8D 43 02		sta $0243
	01CF92 E7 57		smb 6,$57
	01CF94 60		rts

01CF95	01CF95 C9 00		cmp #$00
	01CF97 F0 08		beq $01cfa1
01CF99	01CF99 2F 6B 02		bbr 2,$6B,$01cf9e
	01CF9C 80 0D		bra $01cfab

01CF9E	01CF9E AF 51 0A		bbs 2,$51,$01cfab
01CFA1	01CFA1 8F 51 04		bbs 0,$51,$01cfa8
	01CFA4 A9 05		lda #$05
	01CFA6 80 20		bra $01cfc8

01CFA8	01CFA8 4C 1E E3		jmp $E31E

01CFAB	01CFAB 67 57		rmb 6,$57
	01CFAD A9 1B		lda #$1B
	01CFAF 8D 42 02		sta $0242
	01CFB2 A9 E3		lda #$E3
	01CFB4 8D 43 02		sta $0243
	01CFB7 E7 57		smb 6,$57
01CFB9	01CFB9 60		rts

01CFBA	01CFBA AE 60 86		ldx $8660
	01CFBD E0 48		cpx #$48'H'
	01CFBF D0 0F		bne $01cfd0
	01CFC1 A2 00		ldx #$00
	01CFC3 8E 60 86		stx $8660
	01CFC6 A9 14		lda #$14
01CFC8	01CFC8 A0 03		ldy #$03
	01CFCA 20 EE 4E		jsr $4EEE
	01CFCD 4C F9 4E		jmp $4EF9

01CFD0	01CFD0 60		rts

01CFD1	01CFD1 AD 15 98		lda $9815
	01CFD4 0A		asl a
	01CFD5 AA		tax
	01CFD6 7C D9 4F		jmp $4FD9,x

01CFD9	01CFD9 E5 4F		sbc $4F
	01CFDB 0D 50 1C		ora $1C50
	01CFDE 50 1D		bvc $01cffd
	01CFE0 50 3C		bvc $01d01e
	01CFE2 50 64		bvc $01d048
	01CFE4 50 A9		bvc $01cf8f
	01CFE6 00		brk
	01CFE7 8D 11 86		sta $8611
	01CFEA A9 03		lda #$03
	01CFEC 20 8A FA		jsr $FA8A
	01CFEF A9 01		lda #$01
	01CFF1 20 AC FA		jsr $FAAC
	01CFF4 20 B9 FA		jsr $FAB9
	01CFF7 20 E5 F3		jsr $F3E5
	01CFFA 20 71 51		jsr $5171
01CFFD	01CFFD 20 42 53		jsr $5342
	01D000 0F 86 02		bbr 0,$86,$01d005
	01D003 80 76		bra $01d07b

01D005	01D005 A9 03		lda #$03
	01D007 8D 15 98		sta $9815
	01D00A 4C 80 50		jmp $5080

01D00D	01D00D 20 84 50		jsr $5084
	01D010 20 81 51		jsr $5181
	01D013 90 02		bcc $01d017
	01D015 80 6B		bra $01d082

01D017	01D017 9F 5E 68		bbs 1,$5E,$01d082
	01D01A 80 64		bra $01d080

01D01C	01D01C 60		rts

01D01D	01D01D 20 81 51		jsr $5181
	01D020 90 14		bcc $01d036
	01D022 A5 E3		lda $E3
	01D024 C9 04		cmp #$04
	01D026 D0 5A		bne $01d082
	01D028 A9 2C		lda #$2C','
	01D02A 8D 14 02		sta $0214
	01D02D A9 01		lda #$01
	01D02F 8D 15 02		sta $0215
	01D032 17 5E		rmb 1,$5E
	01D034 80 45		bra $01d07b

01D036	01D036 1F 5E 47		bbr 1,$5E,$01d080
	01D039 4C 82 50		jmp $5082

01D03C	01D03C 20 84 50		jsr $5084
	01D03F 20 81 51		jsr $5181
	01D042 90 0A		bcc $01d04e
	01D044 A5 E3		lda $E3
	01D046 C9 01		cmp #$01
01D048	01D048 F0 38		beq $01d082
	01D04A C9 02		cmp #$02
	01D04C F0 34		beq $01d082
01D04E	01D04E 1F 5E 2F		bbr 1,$5E,$01d080
	01D051 A9 64		lda #$64'd'
	01D053 8D 14 02		sta $0214
	01D056 A9 00		lda #$00
	01D058 8D 15 02		sta $0215
	01D05B 17 5E		rmb 1,$5E
	01D05D A9 00		lda #$00
	01D05F 8D 17 98		sta $9817
	01D062 80 17		bra $01d07b

01D064	01D064 20 81 51		jsr $5181
	01D067 90 0A		bcc $01d073
	01D069 A5 E3		lda $E3
	01D06B C9 01		cmp #$01
	01D06D F0 13		beq $01d082
	01D06F C9 02		cmp #$02
	01D071 F0 0F		beq $01d082
01D073	01D073 1F 5E 0A		bbr 1,$5E,$01d080
	01D076 B2 00 E3		sti #$00,$E3
	01D079 80 07		bra $01d082

01D07B	01D07B EE 15 98		inc $9815
	01D07E 18		clc
	01D07F 60		rts

01D080	01D080 18		clc
	01D081 60		rts

01D082	01D082 38		sec
	01D083 60		rts

01D084	01D084 AD 16 98		lda $9816
	01D087 0A		asl a
	01D088 AA		tax
	01D089 7C 8C 50		jmp $508C,x

01D08C	01D08C 96 50		stx $50,y
	01D08E B9 50 F5		lda $F550,y
	01D091 50 FA		bvc $01d08d
	01D093 50 20		bvc $01d0b5
	01D095 51 20		eor ($20),x		;C29 SP RAM 0, C39 Tx/Rx FIFO buf
	01D097 E5 F3		sbc $F3
	01D099 A9 03		lda #$03
	01D09B 8D 12 02		sta $0212
	01D09E A9 00		lda #$00
	01D0A0 8D 13 02		sta $0213
	01D0A3 07 5E		rmb 0,$5E
01D0A5	01D0A5 8F 5E 02		bbs 0,$5E,$01d0aa
	01D0A8 80 FB		bra $01d0a5

01D0AA	01D0AA A9 11		lda #$11
	01D0AC 8F 86 02		bbs 0,$86,$01d0b1
	01D0AF A9 45		lda #$45'E'
01D0B1	01D0B1 20 28 53		jsr $5328
	01D0B4 20 29 51		jsr $5129
	01D0B7 80 63		bra $01d11c

01D0B9	01D0B9 AD CC 00		lda $00CC
	01D0BC D0 0F		bne $01d0cd
	01D0BE A5 15		lda $15			;Cx9 TBLC, TBUC-TBS, TBLL
	01D0C0 AD 19 F2		lda $F219
	01D0C3 38		sec
	01D0C4 E5 16		sbc $16			;Cx9 TBS (R), TBUL (W)
	01D0C6 CD CE 00		cmp $00CE
	01D0C9 B0 06		bcs $01d0d1
	01D0CB 80 52		bra $01d11f

01D0CD	01D0CD C9 01		cmp #$01
	01D0CF D0 4E		bne $01d11f
01D0D1	01D0D1 A9 91		lda #$91
	01D0D3 8F 86 1A		bbs 0,$86,$01d0f0
	01D0D6 E2 84 01 01 13	bar $0184,$01,$01d0ee
	01D0DB F2 84 01 02 0E	bas $0184,$02,$01d0ee
	01D0E0 AD 11 86		lda $8611
	01D0E3 C9 05		cmp #$05
	01D0E5 B0 07		bcs $01d0ee
	01D0E7 EE 11 86		inc $8611
	01D0EA A9 4D		lda #$4D'M'
	01D0EC 80 02		bra $01d0f0

01D0EE	01D0EE A9 43		lda #$43'C'
01D0F0	01D0F0 20 28 53		jsr $5328
	01D0F3 80 27		bra $01d11c

01D0F5	01D0F5 20 29 51		jsr $5129
	01D0F8 80 22		bra $01d11c

01D0FA	01D0FA AD CC 00		lda $00CC
	01D0FD D0 0F		bne $01d10e
	01D0FF A5 15		lda $15			;Cx9 TBLC, TBUC-TBS, TBLL
	01D101 AD 19 F2		lda $F219
	01D104 38		sec
	01D105 E5 16		sbc $16			;Cx9 TBS (R), TBUL (W)
	01D107 CD CE 00		cmp $00CE
	01D10A B0 06		bcs $01d112
	01D10C 80 11		bra $01d11f

01D10E	01D10E C9 01		cmp #$01
	01D110 D0 0D		bne $01d11f
01D112	01D112 A9 11		lda #$11
	01D114 8F 86 02		bbs 0,$86,$01d119
	01D117 A9 45		lda #$45'E'
01D119	01D119 20 28 53		jsr $5328
01D11C	01D11C EE 16 98		inc $9816
01D11F	01D11F 60		rts

01D120	01D120 20 29 51		jsr $5129
	01D123 A9 01		lda #$01
	01D125 8D 16 98		sta $9816
	01D128 60		rts

01D129	01D129 A9 02		lda #$02
	01D12B 8D 12 02		sta $0212
	01D12E A9 00		lda #$00
	01D130 8D 13 02		sta $0213
	01D133 07 5E		rmb 0,$5E
01D135	01D135 8F 5E 05		bbs 0,$5E,$01d13d
	01D138 E2 1E 06 08 F8	bar $061E,$08,$01d135	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
01D13D	01D13D 20 99 F9		jsr $F999
	01D140 0A		asl a
	01D141 AA		tax
	01D142 78		sei
	01D143 BD 1C F2		lda $F21C,x
	01D146 49 FF		eor #$FF
	01D148 8D CC 00		sta $00CC
	01D14B BD 1D F2		lda $F21D,x
	01D14E 8D CE 00		sta $00CE
	01D151 A5 15		lda $15			;Cx9 TBLC, TBUC-TBS, TBLL
	01D153 AD 19 F2		lda $F219
	01D156 38		sec
	01D157 E5 16		sbc $16			;Cx9 TBS (R), TBUL (W)
	01D159 D0 02		bne $01d15d
	01D15B A6 17		ldx $17			;Cx9 TBS, TBUL, Clear, Download
01D15D	01D15D 18		clc
	01D15E 6D CE 00		adc $00CE
	01D161 CD 19 F2		cmp $F219
	01D164 90 06		bcc $01d16c
	01D166 ED 19 F2		sbc $F219
	01D169 CE CC 00		dec $00CC
01D16C	01D16C 8D CE 00		sta $00CE
	01D16F 58		cli
	01D170 60		rts

01D171	01D171 C2 04 1E 06	rba $04,$061E		;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01D175 AD 00 06		lda $0600		;DPi Rx/voice Rx buf (RBUFFER/VBUFR)
	01D178 B2 03 E3		sti #$03,$E3
	01D17B A9 FF		lda #$FF
	01D17D 8D 1D 98		sta $981D
	01D180 60		rts

01D181	01D181 E2 1E 06 01 2D	bar $061E,$01,$01d1b3	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
	01D186 A5 E3		lda $E3
	01D188 C9 04		cmp #$04
	01D18A D0 07		bne $01d193
	01D18C 20 3F FA		jsr $FA3F
	01D18F B0 22		bcs $01d1b3
	01D191 80 16		bra $01d1a9

01D193	01D193 20 A5 FC		jsr $FCA5
	01D196 90 11		bcc $01d1a9
	01D198 AA		tax
	01D199 AD 12 06		lda $0612		;DPi configuration (CONF)
	01D19C 49 C0		eor #$C0
	01D19E 29 F0		and #$F0
	01D1A0 F0 06		beq $01d1a8
	01D1A2 8A		txa
	01D1A3 B2 00 E3		sti #$00,$E3
	01D1A6 38		sec
	01D1A7 60		rts

;;;

01D1A8	01D1A8 8A		txa
01D1A9	01D1A9 48		pha
	01D1AA AD 17 98		lda $9817
	01D1AD 0A		asl a
	01D1AE AA		tax
	01D1AF 68		pla
	01D1B0 7C B5 51		jmp $51B5,x

01D1B3	01D1B3 18		clc
	01D1B4 60		rts

01D1B5	D3 51	.word	(0)
	1A 52	.word	(1)
	24 52	.word	(2)
	2A 52	.word	(3)
	35 52	.word	(4)
	3B 52	.word	(5)
	41 52	.word	(6)
	57 52	.word	(7)
	64 52	.word	(8)
	80 52	.word	(9)
	89 52	.word	(10)
	80 52	.word	(11)
	98 52	.word	(12)
	80 52	.word	(13)
	A2 52	.word	(14)

;;; (0)

01D1D3	01D1D3 C9 7E		cmp #$7E'~'
	01D1D5 D0 04		bne $01d1db
	01D1D7 A9 01		lda #$01
	01D1D9 80 39		bra $01d214

01D1DB	01D1DB 8F 86 2B		bbs 0,$86,$01d209
	01D1DE C9 11		cmp #$11
	01D1E0 D0 04		bne $01d1e6
	01D1E2 A9 04		lda #$04
	01D1E4 80 2E		bra $01d214

01D1E6	01D1E6 C9 16		cmp #$16
	01D1E8 D0 1C		bne $01d206
	01D1EA AD 1D 98		lda $981D
	01D1ED C9 FF		cmp #$FF
	01D1EF D0 0C		bne $01d1fd
	01D1F1 A9 96		lda #$96
	01D1F3 8D 14 02		sta $0214
	01D1F6 A9 00		lda #$00
	01D1F8 8D 15 02		sta $0215
	01D1FB 17 5E		rmb 1,$5E
01D1FD	01D1FD A9 00		lda #$00
	01D1FF 8D 1D 98		sta $981D
	01D202 A9 07		lda #$07
	01D204 80 0E		bra $01d214

01D206	01D206 4C 12 52		jmp $5212

01D209	01D209 C9 45		cmp #$45'E'
	01D20B D0 05		bne $01d212
	01D20D A9 08		lda #$08
	01D20F 4C 14 52		jmp $5214

01D212	01D212 A9 00		lda #$00
01D214	01D214 8D 17 98		sta $9817
	01D217 4C B3 51		jmp $51B3

;;; (1)

01D21A	01D21A C9 3F		cmp #$3F'?'
	01D21C F0 66		beq $01d284
	01D21E C9 7E		cmp #$7E'~'
	01D220 D0 B1		bne $01d1d3
	01D222 80 60		bra $01d284

;;; (2)

01D224	01D224 C9 7E		cmp #$7E'~'
	01D226 D0 AB		bne $01d1d3
	01D228 80 5A		bra $01d284

;;; (3)

01D22A	01D22A C9 3F		cmp #$3F'?'
	01D22C F0 04		beq $01d232
	01D22E C9 7E		cmp #$7E'~'
	01D230 D0 A1		bne $01d1d3
01D232	01D232 4C 8D 52		jmp $528D

;;; (4)

01D235	01D235 C9 91		cmp #$91
	01D237 D0 9A		bne $01d1d3
	01D239 80 49		bra $01d284

;;; (5)

01D23B	01D23B C9 11		cmp #$11
	01D23D D0 94		bne $01d1d3
	01D23F 80 43		bra $01d284

;;; (6)

01D241	01D241 C9 91		cmp #$91
	01D243 D0 8E		bne $01d1d3
	01D245 B2 04 E3		sti #$04,$E3
	01D248 E2 84 01 01 02	bar $0184,$01,$01d24f
	01D24D A7 6B		smb 2,$6B
01D24F	01D24F A9 00		lda #$00
	01D251 8D 17 98		sta $9817
	01D254 4C A6 51		jmp $51A6

;;; (7)

01D257	01D257 20 AD 52		jsr $52AD
	01D25A B0 B6		bcs $01d212
	01D25C F0 29		beq $01d287
01D25E	01D25E B2 02 E3		sti #$02,$E3
	01D261 4C A6 51		jmp $51A6

;;; (8)

01D264	01D264 C9 43		cmp #$43'C'
	01D266 F0 1C		beq $01d284
	01D268 C9 00		cmp #$00
	01D26A D0 04		bne $01d270
	01D26C A9 0B		lda #$0B
	01D26E 80 A4		bra $01d214

01D270	01D270 E2 84 01 01 9D	bar $0184,$01,$01d212
	01D275 C9 4D		cmp #$4D'M'
	01D277 D0 04		bne $01d27d
	01D279 A9 0D		lda #$0D
	01D27B 80 97		bra $01d214

01D27D	01D27D 4C 12 52		jmp $5212

;;; (9)

01D280	01D280 C9 45		cmp #$45'E'
	01D282 D0 26		bne $01d2aa
01D284	01D284 EE 17 98		inc $9817
01D287	01D287 18		clc
	01D288 60		rts

;;; (10)

01D289	01D289 C9 43		cmp #$43'C'
	01D28B D0 1D		bne $01d2aa
	01D28D B2 01 E3		sti #$01,$E3
	01D290 8F 86 02		bbs 0,$86,$01d295
	01D293 27 6B		rmb 2,$6B
01D295	01D295 4C A6 51		jmp $51A6

;;; (12)

01D298	01D298 C9 00		cmp #$00
	01D29A D0 0E		bne $01d2aa
	01D29C B2 00 E3		sti #$00,$E3
	01D29F 4C A6 51		jmp $51A6

;;; (14)

01D2A2	01D2A2 C9 4D		cmp #$4D'M'
	01D2A4 D0 04		bne $01d2aa
	01D2A6 A7 6B		smb 2,$6B
	01D2A8 80 B4		bra $01d25e

01D2AA	01D2AA 4C D3 51		jmp $51D3

01D2AD	01D2AD EE 1D 98		inc $981D
	01D2B0 AE 1D 98		ldx $981D
	01D2B3 E0 01		cpx #$01
	01D2B5 D0 06		bne $01d2bd
	01D2B7 C9 10		cmp #$10
	01D2B9 D0 6B		bne $01d326
	01D2BB 80 08		bra $01d2c5

01D2BD	01D2BD E0 02		cpx #$02
	01D2BF D0 08		bne $01d2c9
	01D2C1 C9 02		cmp #$02
	01D2C3 D0 61		bne $01d326
01D2C5	01D2C5 A9 00		lda #$00
	01D2C7 18		clc
	01D2C8 60		rts

01D2C9	01D2C9 E0 03		cpx #$03
	01D2CB D0 1C		bne $01d2e9
	01D2CD 8D 28 86		sta $8628
	01D2D0 8D 0B 86		sta $860B
	01D2D3 A9 02		lda #$02
	01D2D5 8D 27 86		sta $8627
	01D2D8 A9 10		lda #$10
	01D2DA 8D 26 86		sta $8626
	01D2DD A9 16		lda #$16
	01D2DF 8D 25 86		sta $8625
	01D2E2 A9 00		lda #$00
	01D2E4 8D 0A 86		sta $860A
	01D2E7 80 2E		bra $01d317

01D2E9	01D2E9 C9 10		cmp #$10
	01D2EB D0 0A		bne $01d2f7
	01D2ED CF 6C 04		bbs 4,$6C,$01d2f4
	01D2F0 C7 6C		smb 4,$6C
	01D2F2 80 05		bra $01d2f9

01D2F4	01D2F4 EE 0B 86		inc $860B
01D2F7	01D2F7 47 6C		rmb 4,$6C
01D2F9	01D2F9 AE 0A 86		ldx $860A
	01D2FC 9D 29		sta $29,x		;Cx9 SP RAM 9
	01D2FE 86 E8		stx $E8
	01D300 AD 0B 86		lda $860B
	01D303 85 40		sta $40
	01D305 18		clc
	01D306 A5 40		lda $40
	01D308 69 04		adc #$04
	01D30A 85 40		sta $40
	01D30C E4 40		cpx $40
	01D30E F0 0B		beq $01d31b
	01D310 E0 32		cpx #$32'2'
	01D312 F0 07		beq $01d31b
	01D314 EE 0A 86		inc $860A
01D317	01D317 A9 00		lda #$00
	01D319 18		clc
	01D31A 60		rts

01D31B	01D31B A9 00		lda #$00
	01D31D 8D 0A 86		sta $860A
	01D320 E7 65		smb 6,$65
	01D322 A9 01		lda #$01
	01D324 18		clc
	01D325 60		rts

01D326	01D326 38		sec
	01D327 60		rts

01D328	01D328 48		pha
	01D329 A9 02		lda #$02
	01D32B 8D 12 02		sta $0212
	01D32E A9 00		lda #$00
	01D330 8D 13 02		sta $0213
	01D333 07 5E		rmb 0,$5E
	01D335 68		pla
	01D336 8D 10 06		sta $0610		;DPi Tx/voice Tx buf (TBUFFER/VBUFT)
01D339	01D339 8F 5E 05		bbs 0,$5E,$01d341
	01D33C F2 1E 06 08 F8	bas $061E,$08,$01d339	;DPi TDBIA/RDBIA/TDBIE/TDBE/RDBIE
01D341	01D341 60		rts

01D342	01D342 A9 96		lda #$96
	01D344 8D 14 02		sta $0214
	01D347 A9 00		lda #$00
	01D349 8D 15 02		sta $0215
	01D34C 17 5E		rmb 1,$5E
	01D34E 60		rts

01D34F	01D34F A9 34		lda #$34'4'
	01D351 8D 5E 86		sta $865E
	01D354 A9 5A		lda #$5A'Z'
	01D356 8D 5F 86		sta $865F
	01D359 5F 6A 01		bbr 5,$6A,$01d35d
	01D35C 60		rts

01D35D	01D35D AD 15 9A		lda $9A15
	01D360 29 03		and #$03
	01D362 8D ED 99		sta $99ED
	01D365 AD F6 99		lda $99F6
	01D368 F0 03		beq $01d36d
	01D36A 4C 97 55		jmp $5597

01D36D	01D36D A5 B7		lda $B7
	01D36F D0 07		bne $01d378
	01D371 05 B8		ora $B8
	01D373 D0 03		bne $01d378
	01D375 4F 64 05		bbr 4,$64,$01d37d
01D378	01D378 20 C3 08		jsr $08C3
	01D37B 90 12		bcc $01d38f
01D37D	01D37D E2 18 9A 01 0C	bar $9A18,$01,$01d38e
	01D382 AD 33 01		lda $0133
	01D385 D0 07		bne $01d38e
	01D387 20 A3 56		jsr $56A3
	01D38A C2 01 18 9A	rba $01,$9A18
01D38E	01D38E 60		rts

01D38F	01D38F 85 44		sta $44
	01D391 8D 1A 9A		sta $9A1A
	01D394 AD 0D 86		lda $860D
	01D397 8D 33 01		sta $0133
	01D39A D2 01 18 9A	sba $01,$9A18
	01D39E EE 08 9A		inc $9A08
	01D3A1 D0 03		bne $01d3a6
	01D3A3 EE 09 9A		inc $9A09
01D3A6	01D3A6 AD 00 9A		lda $9A00
	01D3A9 85 40		sta $40
	01D3AB AD 01 9A		lda $9A01
	01D3AE 85 41		sta $41
	01D3B0 10 16		bpl $01d3c8
	01D3B2 A5 44		lda $44
	01D3B4 89 03		add #$03
	01D3B6 8D 00 9A		sta $9A00
	01D3B9 A9 00		lda #$00
	01D3BB 69 00		adc #$00
	01D3BD 8D 01 9A		sta $9A01
	01D3C0 A9 01		lda #$01
	01D3C2 8D 11 9A		sta $9A11
	01D3C5 4C 6B 55		jmp $556B

01D3C8	01D3C8 EE 11 9A		inc $9A11
	01D3CB A5 40		lda $40
	01D3CD 8D 02 9A		sta $9A02
	01D3D0 A5 41		lda $41
	01D3D2 8D 03 9A		sta $9A03
	01D3D5 20 B8 57		jsr $57B8
	01D3D8 90 27		bcc $01d401
	01D3DA AD 1B 9A		lda $9A1B
	01D3DD D0 0E		bne $01d3ed
	01D3DF A5 40		lda $40
	01D3E1 CD 04 9A		cmp $9A04
	01D3E4 D0 0E		bne $01d3f4
	01D3E6 A5 41		lda $41
	01D3E8 CD 05 9A		cmp $9A05
	01D3EB D0 07		bne $01d3f4
01D3ED	01D3ED D2 04 ED 99	sba $04,$99ED
	01D3F1 4C 01 54		jmp $5401

01D3F4	01D3F4 A5 40		lda $40
	01D3F6 8D 00 9A		sta $9A00
	01D3F9 A5 41		lda $41
	01D3FB 8D 01 9A		sta $9A01
	01D3FE 4C 6B 55		jmp $556B

01D401	01D401 A5 40		lda $40
	01D403 8D F0 99		sta $99F0
	01D406 A5 41		lda $41
	01D408 8D F1 99		sta $99F1
	01D40B A5 42		lda $42
	01D40D 8D F2 99		sta $99F2
	01D410 A5 43		lda $43
	01D412 8D F3 99		sta $99F3
	01D415 AD 1B 9A		lda $9A1B
	01D418 D0 57		bne $01d471
	01D41A F2 ED 99 01 42	bas $99ED,$01,$01d461
	01D41F AD 0E 9A		lda $9A0E
	01D422 CD F4 99		cmp $99F4
	01D425 F0 2D		beq $01d454
	01D427 38		sec
	01D428 AD 02 9A		lda $9A02
	01D42B 85 40		sta $40
	01D42D AD 03 9A		lda $9A03
	01D430 85 41		sta $41
	01D432 A5 40		lda $40
	01D434 ED 0F 9A		sbc $9A0F
	01D437 85 40		sta $40
	01D439 A5 41		lda $41
	01D43B ED 10 9A		sbc $9A10
	01D43E 85 41		sta $41
	01D440 90 12		bcc $01d454
	01D442 B2 02 40		sti #$02,$40
	01D445 B2 00 41		sti #$00,$41
	01D448 20 64 57		jsr $5764
	01D44B 0E 10 9A		asl $9A10
	01D44E EE 0E 9A		inc $9A0E
	01D451 4C 27 54		jmp $5427

01D454	01D454 AD 02 9A		lda $9A02
	01D457 85 40		sta $40
	01D459 AD 03 9A		lda $9A03
	01D45C 85 41		sta $41
	01D45E 20 64 57		jsr $5764
01D461	01D461 AD 0E 9A		lda $9A0E
	01D464 89 08		add #$08
	01D466 6D 0A 9A		adc $9A0A
	01D469 8D 0A 9A		sta $9A0A
	01D46C 90 03		bcc $01d471
	01D46E EE 0B 9A		inc $9A0B
01D471	01D471 A5 44		lda $44
	01D473 89 03		add #$03
	01D475 8D 00 9A		sta $9A00
	01D478 A9 00		lda #$00
	01D47A 69 00		adc #$00
	01D47C 8D 01 9A		sta $9A01
	01D47F AD 13 9A		lda $9A13
	01D482 85 46		sta $46
	01D484 AD 14 9A		lda $9A14
	01D487 85 47		sta $47
	01D489 A5 47		lda $47
	01D48B CD 09 9A		cmp $9A09
	01D48E D0 05		bne $01d495
	01D490 A5 46		lda $46
	01D492 CD 08 9A		cmp $9A08
01D495	01D495 90 03		bcc $01d49a
	01D497 4C 2F 55		jmp $552F

01D49A	01D49A AD 08 9A		lda $9A08
	01D49D 85 40		sta $40
	01D49F AD 09 9A		lda $9A09
	01D4A2 85 41		sta $41
	01D4A4 06 40		asl $40
	01D4A6 26 41		rol $41
	01D4A8 06 40		asl $40
	01D4AA 26 41		rol $41
	01D4AC 06 40		asl $40
	01D4AE 26 41		rol $41
	01D4B0 E2 ED 99 01 3E	bar $99ED,$01,$01d4f3
	01D4B5 AD 0B 9A		lda $9A0B
	01D4B8 85 47		sta $47
	01D4BA AD 0A 9A		lda $9A0A
	01D4BD 89 10		add #$10
	01D4BF 85 46		sta $46
	01D4C1 90 02		bcc $01d4c5
	01D4C3 E6 47		inc $47
01D4C5	01D4C5 A5 47		lda $47
	01D4C7 C5 41		cmp $41
	01D4C9 D0 04		bne $01d4cf
	01D4CB A5 46		lda $46
	01D4CD C5 40		cmp $40
01D4CF	01D4CF B0 50		bcs $01d521
	01D4D1 AD 19 9A		lda $9A19
	01D4D4 20 AC 57		jsr $57AC
	01D4D7 A9 00		lda #$00
	01D4D9 20 AC 57		jsr $57AC
	01D4DC B2 00 40		sti #$00,$40
	01D4DF B2 01 41		sti #$01,$41
	01D4E2 A5 40		lda $40
	01D4E4 8D 13 9A		sta $9A13
	01D4E7 A5 41		lda $41
	01D4E9 8D 14 9A		sta $9A14
	01D4EC C2 01 ED 99	rba $01,$99ED
	01D4F0 4C 21 55		jmp $5521

01D4F3	01D4F3 A5 41		lda $41
	01D4F5 CD 0B 9A		cmp $9A0B
	01D4F8 D0 05		bne $01d4ff
	01D4FA A5 40		lda $40
	01D4FC CD 0A 9A		cmp $9A0A
01D4FF	01D4FF B0 20		bcs $01d521
	01D501 D2 01 ED 99	sba $01,$99ED
	01D505 B2 00 40		sti #$00,$40
	01D508 B2 00 41		sti #$00,$41
	01D50B 20 64 57		jsr $5764
	01D50E 20 99 57		jsr $5799
	01D511 B2 40 40		sti #$40'@',$40
	01D514 B2 00 41		sti #$00,$41
	01D517 A5 40		lda $40
	01D519 8D 13 9A		sta $9A13
	01D51C A5 41		lda $41
	01D51E 8D 14 9A		sta $9A14
01D521	01D521 A9 00		lda #$00
	01D523 8D 0A 9A		sta $9A0A
	01D526 8D 0B 9A		sta $9A0B
	01D529 8D 08 9A		sta $9A08
	01D52C 8D 09 9A		sta $9A09
	01D52F AD F0 99		lda $99F0
	01D532 85 40		sta $40
	01D534 AD F1 99		lda $99F1
	01D537 85 41		sta $41
	01D539 AD F2 99		lda $99F2
	01D53C 85 42		sta $42
	01D53E AD F3 99		lda $99F3
	01D541 85 43		sta $43
	01D543 AD 11 9A		lda $9A11
	01D546 CD 12 9A		cmp $9A12
	01D549 D0 04		bne $01d54f
	01D54B D2 04 ED 99	sba $04,$99ED
01D54F	01D54F A9 01		lda #$01
	01D551 8D 11 9A		sta $9A11
	01D554 AD 06 9A		lda $9A06
	01D557 85 46		sta $46
	01D559 AD 07 9A		lda $9A07
	01D55C 85 47		sta $47
	01D55E 20 0A 58		jsr $580A
	01D561 A5 46		lda $46
	01D563 8D 06 9A		sta $9A06
	01D566 A5 47		lda $47
	01D568 8D 07 9A		sta $9A07
	01D56B AD 1A 9A		lda $9A1A
	01D56E 85 44		sta $44
	01D570 E2 ED 99 01 11	bar $99ED,$01,$01d586
	01D575 A5 44		lda $44
	01D577 20 AC 57		jsr $57AC
	01D57A A5 44		lda $44
	01D57C CD 19 9A		cmp $9A19
	01D57F D0 05		bne $01d586
	01D581 A9 01		lda #$01
	01D583 20 AC 57		jsr $57AC
01D586	01D586 A5 44		lda $44
	01D588 CD 19 9A		cmp $9A19
	01D58B D0 05		bne $01d592
	01D58D 89 33		add #$33'3'
	01D58F 8D 19 9A		sta $9A19
01D592	01D592 A9 00		lda #$00
	01D594 8D 1B 9A		sta $9A1B
	01D597 AD F6 99		lda $99F6
	01D59A F0 21		beq $01d5bd
	01D59C DF 6A 1E		bbs 5,$6A,$01d5bd
	01D59F AE F5 99		ldx $99F5
	01D5A2 BD F7 99		lda $99F7,x
	01D5A5 8D 5C 86		sta $865C
	01D5A8 D7 6A		smb 5,$6A
	01D5AA EE F5 99		inc $99F5
	01D5AD AD F5 99		lda $99F5
	01D5B0 CD F6 99		cmp $99F6
	01D5B3 D0 08		bne $01d5bd
	01D5B5 A9 00		lda #$00
	01D5B7 8D F5 99		sta $99F5
	01D5BA 8D F6 99		sta $99F6
01D5BD	01D5BD AD ED 99		lda $99ED
	01D5C0 8D 15 9A		sta $9A15
	01D5C3 18		clc
	01D5C4 60		rts

01D5C5	01D5C5 20 DE 55		jsr $55DE
	01D5C8 20 E4 5C		jsr $5CE4
	01D5CB A9 00		lda #$00
	01D5CD 8D F5 99		sta $99F5
	01D5D0 8D F6 99		sta $99F6
	01D5D3 8D 5B 86		sta $865B
	01D5D6 8D 5C 86		sta $865C
	01D5D9 47 6A		rmb 4,$6A
	01D5DB 57 6A		rmb 5,$6A
	01D5DD 60		rts

01D5DE	01D5DE E8		inx
	01D5DF 86 45		stx $45
	01D5E1 8C EC 99		sty $99EC
	01D5E4 98		tya
	01D5E5 D0 01		bne $01d5e8
	01D5E7 60		rts

01D5E8	01D5E8 B2 FE 40		sti #$FE,$40
	01D5EB B2 99 41		sti #$99,$41
	01D5EE B2 1E 42		sti #$1E,$42
	01D5F1 B2 00 43		sti #$00,$43
	01D5F4 20 84 56		jsr $5684
	01D5F7 AD EA 99		lda $99EA
	01D5FA 85 40		sta $40
	01D5FC AD EB 99		lda $99EB
	01D5FF 85 41		sta $41
	01D601 A9 02		lda #$02
	01D603 85 42		sta $42
	01D605 A9 01		lda #$01
	01D607 85 43		sta $43
	01D609 A5 41		lda $41
	01D60B C5 42		cmp $42
	01D60D 90 0D		bcc $01d61c
	01D60F D0 04		bne $01d615
	01D611 A5 40		lda $40
	01D613 F0 07		beq $01d61c
01D615	01D615 06 42		asl $42
	01D617 E6 43		inc $43
	01D619 4C 09 56		jmp $5609

01D61C	01D61C A5 43		lda $43
	01D61E 8D F4 99		sta $99F4
	01D621 A9 01		lda #$01
	01D623 8D 15 9A		sta $9A15
	01D626 A5 45		lda $45
	01D628 8D 12 9A		sta $9A12
	01D62B A9 80		lda #$80
	01D62D 8D 01 9A		sta $9A01
	01D630 8D FE 99		sta $99FE
	01D633 B2 B3 1E		sti #$B3,$1E		;Cx9	bank switch register 6 (R/W)
	01D636 B2 03 40		sti #$03,$40
	01D639 B2 C0 41		sti #$C0,$41
	01D63C 20 7E 56		jsr $567E
	01D63F B2 03 40		sti #$03,$40
	01D642 B2 B0 41		sti #$B0,$41
	01D645 20 7E 56		jsr $567E
	01D648 A9 40		lda #$40'@'
	01D64A 8D 13 9A		sta $9A13
	01D64D A9 01		lda #$01
	01D64F 8D 0E 9A		sta $9A0E
	01D652 A9 02		lda #$02
	01D654 8D 10 9A		sta $9A10
	01D657 A9 03		lda #$03
	01D659 85 40		sta $40
	01D65B A9 01		lda #$01
	01D65D 85 41		sta $41
	01D65F A5 40		lda $40
	01D661 8D 0C 9A		sta $9A0C
	01D664 A5 41		lda $41
	01D666 8D 0D 9A		sta $9A0D
	01D669 A5 40		lda $40
	01D66B 8D 06 9A		sta $9A06
	01D66E A5 41		lda $41
	01D670 8D 07 9A		sta $9A07
	01D673 A5 40		lda $40
	01D675 8D 16 9A		sta $9A16
	01D678 A5 41		lda $41
	01D67A 8D 17 9A		sta $9A17
	01D67D 60		rts

01D67E	01D67E B2 00 42		sti #$00,$42
	01D681 B2 01 43		sti #$01,$43
	01D684 A9 00		lda #$00
	01D686 A4 43		ldy $43
	01D688 F0 0C		beq $01d696
	01D68A A2 00		ldx #$00
01D68C	01D68C 91 40		sta ($40),x
	01D68E E8		inx
	01D68F D0 FB		bne $01d68c
	01D691 E6 41		inc $41
	01D693 88		dey
	01D694 D0 F6		bne $01d68c
01D696	01D696 A4 42		ldy $42
	01D698 F0 08		beq $01d6a2
	01D69A A2 00		ldx #$00
01D69C	01D69C 91 40		sta ($40),x
	01D69E E8		inx
	01D69F 88		dey
	01D6A0 D0 FA		bne $01d69c
01D6A2	01D6A2 60		rts

01D6A3	01D6A3 F2 15 9A 01 05	bas $9A15,$01,$01d6ad
	01D6A8 AD 1B 9A		lda $9A1B
	01D6AB F0 01		beq $01d6ae
01D6AD	01D6AD 60		rts

01D6AE	01D6AE A9 01		lda #$01
	01D6B0 8D 1B 9A		sta $9A1B
	01D6B3 AD 01 9A		lda $9A01
	01D6B6 30 55		bmi $01d70d
	01D6B8 AD 0E 9A		lda $9A0E
	01D6BB CD F4 99		cmp $99F4
	01D6BE F0 2D		beq $01d6ed
	01D6C0 38		sec
	01D6C1 AD 00 9A		lda $9A00
	01D6C4 85 40		sta $40
	01D6C6 AD 01 9A		lda $9A01
	01D6C9 85 41		sta $41
	01D6CB A5 40		lda $40
	01D6CD ED 0F 9A		sbc $9A0F
	01D6D0 85 40		sta $40
	01D6D2 A5 41		lda $41
	01D6D4 ED 10 9A		sbc $9A10
	01D6D7 85 41		sta $41
	01D6D9 90 12		bcc $01d6ed
	01D6DB B2 02 40		sti #$02,$40
	01D6DE B2 00 41		sti #$00,$41
	01D6E1 20 64 57		jsr $5764
	01D6E4 0E 10 9A		asl $9A10
	01D6E7 EE 0E 9A		inc $9A0E
	01D6EA 4C C0 56		jmp $56C0

01D6ED	01D6ED AD 00 9A		lda $9A00
	01D6F0 85 40		sta $40
	01D6F2 AD 01 9A		lda $9A01
	01D6F5 85 41		sta $41
	01D6F7 20 64 57		jsr $5764
	01D6FA AD 0E 9A		lda $9A0E
	01D6FD 89 08		add #$08
	01D6FF 6D 0A 9A		adc $9A0A
	01D702 8D 0A 9A		sta $9A0A
	01D705 90 03		bcc $01d70a
	01D707 EE 0B 9A		inc $9A0B
01D70A	01D70A 4C 14 57		jmp $5714

01D70D	01D70D AD FE 99		lda $99FE
	01D710 C9 80		cmp #$80
	01D712 F0 0C		beq $01d720
	01D714 B2 01 40		sti #$01,$40
	01D717 B2 00 41		sti #$00,$41
	01D71A 20 64 57		jsr $5764
	01D71D 20 99 57		jsr $5799
01D720	01D720 60		rts

01D721	01D721 F2 15 9A 01 28	bas $9A15,$01,$01d74e
	01D726 AD 1B 9A		lda $9A1B
	01D729 D0 17		bne $01d742
	01D72B A9 01		lda #$01
	01D72D 8D 1B 9A		sta $9A1B
	01D730 AD 01 9A		lda $9A01
	01D733 30 0D		bmi $01d742
	01D735 AD 00 9A		lda $9A00
	01D738 85 40		sta $40
	01D73A AD 01 9A		lda $9A01
	01D73D 85 41		sta $41
	01D73F 20 64 57		jsr $5764
01D742	01D742 B2 00 40		sti #$00,$40
	01D745 B2 00 41		sti #$00,$41
	01D748 20 64 57		jsr $5764
	01D74B 20 99 57		jsr $5799
01D74E	01D74E AD 19 9A		lda $9A19
	01D751 20 AC 57		jsr $57AC
	01D754 A9 02		lda #$02
	01D756 20 AC 57		jsr $57AC
	01D759 AE 12 9A		ldx $9A12
	01D75C CA		dex
	01D75D AC EC 99		ldy $99EC
	01D760 20 DE 55		jsr $55DE
	01D763 60		rts

01D764	01D764 AE 0E 9A		ldx $9A0E
	01D767 AD FE 99		lda $99FE
01D76A	01D76A 46 41		lsr $41
	01D76C 66 40		ror $40
	01D76E 6A		ror a
	01D76F 90 12		bcc $01d783
	01D771 20 AC 57		jsr $57AC
	01D774 A5 40		lda $40
	01D776 20 AC 57		jsr $57AC
	01D779 A9 80		lda #$80
01D77B	01D77B CA		dex
	01D77C F0 17		beq $01d795
	01D77E 46 41		lsr $41
	01D780 6A		ror a
	01D781 80 F8		bra $01d77b

01D783	01D783 CA		dex
	01D784 D0 E4		bne $01d76a
	01D786 A2 08		ldx #$08
01D788	01D788 46 40		lsr $40
	01D78A 6A		ror a
	01D78B 90 05		bcc $01d792
	01D78D 20 AC 57		jsr $57AC
	01D790 A9 80		lda #$80
01D792	01D792 CA		dex
	01D793 D0 F3		bne $01d788
01D795	01D795 8D FE 99		sta $99FE
	01D798 60		rts

01D799	01D799 AD FE 99		lda $99FE
	01D79C C9 80		cmp #$80
	01D79E F0 0B		beq $01d7ab
01D7A0	01D7A0 4A		lsr a
	01D7A1 90 FD		bcc $01d7a0
	01D7A3 20 AC 57		jsr $57AC
	01D7A6 A9 80		lda #$80
	01D7A8 8D FE 99		sta $99FE
01D7AB	01D7AB 60		rts

01D7AC	01D7AC DA		phx
	01D7AD AE F6 99		ldx $99F6
	01D7B0 9D F7		sta $F7,x
	01D7B2 99 EE		sta $EE,y
	01D7B4 F6 99		inc $99,x
	01D7B6 FA		plx
	01D7B7 60		rts

01D7B8	01D7B8 B2 B3 1E		sti #$B3,$1E		;Cx9	bank switch register 6 (R/W)
	01D7BB A5 40		lda $40
	01D7BD 85 42		sta $42
	01D7BF 85 46		sta $46
	01D7C1 A5 41		lda $41
	01D7C3 85 43		sta $43
	01D7C5 89 C0		add #$C0
	01D7C7 85 47		sta $47
	01D7C9 A1 46		lda ($46)
	01D7CB AA		tax
	01D7CC A5 41		lda $41
	01D7CE 89 B0		add #$B0
	01D7D0 85 47		sta $47
	01D7D2 A1 46		lda ($46)
	01D7D4 29 0F		and #$0F
	01D7D6 B2 B2 1E		sti #$B2,$1E		;Cx9	bank switch register 6 (R/W)
	01D7D9 80 1D		bra $01d7f8

01D7DB	01D7DB 89 A0		add #$A0
	01D7DD 85 47		sta $47
	01D7DF A1 46		lda ($46)
	01D7E1 C5 44		cmp $44
	01D7E3 B0 1D		bcs $01d802
	01D7E5 86 42		stx $42
	01D7E7 84 43		sty $43
	01D7E9 98		tya
	01D7EA 89 D0		add #$D0
	01D7EC 85 47		sta $47
	01D7EE A1 46		lda ($46)
	01D7F0 AA		tax
	01D7F1 98		tya
	01D7F2 89 C0		add #$C0
	01D7F4 85 47		sta $47
	01D7F6 A1 46		lda ($46)
01D7F8	01D7F8 A8		tay
	01D7F9 86 46		stx $46
	01D7FB D0 DE		bne $01d7db
	01D7FD E0 00		cpx #$00
	01D7FF D0 DA		bne $01d7db
	01D801 18		clc
01D802	01D802 F0 01		beq $01d805
	01D804 18		clc
01D805	01D805 86 40		stx $40
	01D807 84 41		sty $41
	01D809 60		rts

01D80A	01D80A E2 ED 99 04 15	bar $99ED,$04,$01d824
	01D80F A9 00		lda #$00
	01D811 E2 ED 99 08 07	bar $99ED,$08,$01d81d
	01D816 8D 24 9A		sta $9A24
	01D819 8D 25 9A		sta $9A25
	01D81C 60		rts

01D81D	01D81D 8D 04 9A		sta $9A04
	01D820 8D 05 9A		sta $9A05
	01D823 60		rts

01D824	01D824 B2 B2 1E		sti #$B2,$1E		;Cx9	bank switch register 6 (R/W)
	01D827 A5 42		lda $42
	01D829 8D EE 99		sta $99EE
	01D82C A5 43		lda $43
	01D82E 8D EF 99		sta $99EF
	01D831 A5 46		lda $46
	01D833 85 42		sta $42
	01D835 AA		tax
	01D836 A5 47		lda $47
	01D838 A8		tay
	01D839 89 A0		add #$A0
	01D83B 85 43		sta $43
	01D83D A5 44		lda $44
	01D83F 81 42		sta ($42)
	01D841 98		tya
	01D842 89 D0		add #$D0
	01D844 85 43		sta $43
	01D846 A5 40		lda $40
	01D848 81 42		sta ($42)
	01D84A 98		tya
	01D84B 89 C0		add #$C0
	01D84D 85 43		sta $43
	01D84F A5 41		lda $41
	01D851 81 42		sta ($42)
	01D853 E2 ED 99 08 12	bar $99ED,$08,$01d86a
	01D858 AD 20 9A		lda $9A20
	01D85B 85 40		sta $40
	01D85D AD 21 9A		lda $9A21
	01D860 85 41		sta $41
	01D862 8E 24 9A		stx $9A24
	01D865 8C 25 9A		sty $9A25
	01D868 80 10		bra $01d87a

01D86A	01D86A AD 02 9A		lda $9A02
	01D86D 85 40		sta $40
	01D86F AD 03 9A		lda $9A03
	01D872 85 41		sta $41
	01D874 8E 04 9A		stx $9A04
	01D877 8C 05 9A		sty $9A05
01D87A	01D87A B2 B3 1E		sti #$B3,$1E		;Cx9	bank switch register 6 (R/W)
	01D87D 98		tya
	01D87E 89 D0		add #$D0
	01D880 85 43		sta $43
	01D882 A5 40		lda $40
	01D884 81 42		sta ($42)
	01D886 98		tya
	01D887 89 B0		add #$B0
	01D889 85 43		sta $43
	01D88B A5 41		lda $41
	01D88D 0A		asl a
	01D88E 0A		asl a
	01D88F 0A		asl a
	01D890 0A		asl a
	01D891 81 42		sta ($42)
	01D893 98		tya
	01D894 89 C0		add #$C0
	01D896 85 43		sta $43
	01D898 A9 00		lda #$00
	01D89A 81 42		sta ($42)
	01D89C A5 40		lda $40
	01D89E CD EE 99		cmp $99EE
	01D8A1 D0 25		bne $01d8c8
	01D8A3 A5 41		lda $41
	01D8A5 CD EF 99		cmp $99EF
	01D8A8 D0 1E		bne $01d8c8
	01D8AA A5 40		lda $40
	01D8AC 85 42		sta $42
	01D8AE A5 41		lda $41
	01D8B0 89 C0		add #$C0
	01D8B2 85 43		sta $43
	01D8B4 8A		txa
	01D8B5 81 42		sta ($42)
	01D8B7 A5 41		lda $41
	01D8B9 89 B0		add #$B0
	01D8BB 85 43		sta $43
	01D8BD A1 42		lda ($42)
	01D8BF 29 F0		and #$F0
	01D8C1 05 47		ora $47
	01D8C3 81 42		sta ($42)
	01D8C5 4C E4 58		jmp $58E4

01D8C8	01D8C8 B2 B2 1E		sti #$B2,$1E		;Cx9	bank switch register 6 (R/W)
	01D8CB AD EE 99		lda $99EE
	01D8CE 85 42		sta $42
	01D8D0 AD EF 99		lda $99EF
	01D8D3 89 D0		add #$D0
	01D8D5 85 43		sta $43
	01D8D7 8A		txa
	01D8D8 81 42		sta ($42)
	01D8DA AD EF 99		lda $99EF
	01D8DD 89 C0		add #$C0
	01D8DF 85 43		sta $43
	01D8E1 98		tya
	01D8E2 81 42		sta ($42)
	01D8E4 B2 B3 1E		sti #$B3,$1E		;Cx9	bank switch register 6 (R/W)
	01D8E7 AD EB 99		lda $99EB
	01D8EA E2 ED 99 40 02	bar $99ED,$40,$01d8f1
	01D8EF 89 08		add #$08
01D8F1	01D8F1 85 44		sta $44
	01D8F3 F2 ED 99 02 31	bas $99ED,$02,$01d929
	01D8F8 E6 46		inc $46
	01D8FA D0 02		bne $01d8fe
	01D8FC E6 47		inc $47
01D8FE	01D8FE A5 47		lda $47
	01D900 C5 44		cmp $44
	01D902 D0 0E		bne $01d912
	01D904 AD EA 99		lda $99EA
	01D907 C5 46		cmp $46
	01D909 D0 07		bne $01d912
	01D90B D2 02 ED 99	sba $02,$99ED
	01D90F 4C 3C 59		jmp $593C

01D912	01D912 F2 ED 99 08 09	bas $99ED,$08,$01d920
	01D917 EE 0C 9A		inc $9A0C
	01D91A D0 03		bne $01d91f
	01D91C EE 0D 9A		inc $9A0D
01D91F	01D91F 60		rts

01D920	01D920 EE 1C 9A		inc $9A1C
	01D923 D0 03		bne $01d928
	01D925 EE 1D 9A		inc $9A1D
01D928	01D928 60		rts

01D929	01D929 E6 46		inc $46
	01D92B D0 02		bne $01d92f
	01D92D E6 47		inc $47
01D92F	01D92F A5 47		lda $47
	01D931 C5 44		cmp $44
	01D933 D0 16		bne $01d94b
	01D935 AD EA 99		lda $99EA
	01D938 C5 46		cmp $46
	01D93A D0 0F		bne $01d94b
	01D93C A9 03		lda #$03
	01D93E 85 46		sta $46
	01D940 A9 01		lda #$01
	01D942 E2 ED 99 40 02	bar $99ED,$40,$01d949
	01D947 89 08		add #$08
01D949	01D949 85 47		sta $47
01D94B	01D94B A5 46		lda $46
	01D94D 85 42		sta $42
	01D94F A5 47		lda $47
	01D951 89 C0		add #$C0
	01D953 85 43		sta $43
	01D955 A1 42		lda ($42)
	01D957 D0 D0		bne $01d929
	01D959 A5 47		lda $47
	01D95B 89 B0		add #$B0
	01D95D 85 43		sta $43
	01D95F A1 42		lda ($42)
	01D961 29 0F		and #$0F
	01D963 D0 C4		bne $01d929
	01D965 A5 47		lda $47
	01D967 89 D0		add #$D0
	01D969 85 43		sta $43
	01D96B A1 42		lda ($42)
	01D96D 85 40		sta $40
	01D96F A5 47		lda $47
	01D971 89 B0		add #$B0
	01D973 85 43		sta $43
	01D975 A1 42		lda ($42)
	01D977 4A		lsr a
	01D978 4A		lsr a
	01D979 4A		lsr a
	01D97A 4A		lsr a
	01D97B 85 41		sta $41
	01D97D A5 40		lda $40
	01D97F 85 42		sta $42
	01D981 A5 41		lda $41
	01D983 89 C0		add #$C0
	01D985 85 43		sta $43
	01D987 A1 42		lda ($42)
	01D989 8D EE 99		sta $99EE
	01D98C A5 41		lda $41
	01D98E 89 B0		add #$B0
	01D990 85 43		sta $43
	01D992 A1 42		lda ($42)
	01D994 29 0F		and #$0F
	01D996 8D EF 99		sta $99EF
	01D999 C5 47		cmp $47
	01D99B D0 46		bne $01d9e3
	01D99D AD EE 99		lda $99EE
	01D9A0 C5 46		cmp $46
	01D9A2 D0 3F		bne $01d9e3
	01D9A4 B2 B2 1E		sti #$B2,$1E		;Cx9	bank switch register 6 (R/W)
	01D9A7 A5 46		lda $46
	01D9A9 85 42		sta $42
	01D9AB A5 47		lda $47
	01D9AD 89 D0		add #$D0
	01D9AF 85 43		sta $43
	01D9B1 A1 42		lda ($42)
	01D9B3 8D EE 99		sta $99EE
	01D9B6 A5 47		lda $47
	01D9B8 89 C0		add #$C0
	01D9BA 85 43		sta $43
	01D9BC A1 42		lda ($42)
	01D9BE 8D EF 99		sta $99EF
	01D9C1 B2 B3 1E		sti #$B3,$1E		;Cx9	bank switch register 6 (R/W)
	01D9C4 A5 40		lda $40
	01D9C6 85 42		sta $42
	01D9C8 A5 41		lda $41
	01D9CA 89 C0		add #$C0
	01D9CC 85 43		sta $43
	01D9CE AD EE 99		lda $99EE
	01D9D1 81 42		sta ($42)
	01D9D3 A5 41		lda $41
	01D9D5 89 B0		add #$B0
	01D9D7 85 43		sta $43
	01D9D9 A1 42		lda ($42)
	01D9DB 29 F0		and #$F0
	01D9DD 0D EF 99		ora $99EF
	01D9E0 81 42		sta ($42)
	01D9E2 60		rts

01D9E3	01D9E3 AE EE 99		ldx $99EE
	01D9E6 AD EF 99		lda $99EF
	01D9E9 B2 B2 1E		sti #$B2,$1E		;Cx9	bank switch register 6 (R/W)
01D9EC	01D9EC A8		tay
	01D9ED 86 42		stx $42
	01D9EF 89 D0		add #$D0
	01D9F1 85 43		sta $43
	01D9F3 A1 42		lda ($42)
	01D9F5 AA		tax
	01D9F6 98		tya
	01D9F7 89 C0		add #$C0
	01D9F9 85 43		sta $43
	01D9FB A1 42		lda ($42)
	01D9FD C5 47		cmp $47
	01D9FF D0 EB		bne $01d9ec
	01DA01 E4 46		cpx $46
	01DA03 D0 E7		bne $01d9ec
	01DA05 A6 42		ldx $42
	01DA07 A5 46		lda $46
	01DA09 85 42		sta $42
	01DA0B A5 47		lda $47
	01DA0D 89 D0		add #$D0
	01DA0F 85 43		sta $43
	01DA11 A1 42		lda ($42)
	01DA13 85 40		sta $40
	01DA15 A5 47		lda $47
	01DA17 89 C0		add #$C0
	01DA19 85 43		sta $43
	01DA1B A1 42		lda ($42)
	01DA1D 85 41		sta $41
	01DA1F 86 42		stx $42
	01DA21 98		tya
	01DA22 89 D0		add #$D0
	01DA24 85 43		sta $43
	01DA26 A5 40		lda $40
	01DA28 81 42		sta ($42)
	01DA2A 98		tya
	01DA2B 89 C0		add #$C0
	01DA2D 85 43		sta $43
	01DA2F A5 41		lda $41
	01DA31 81 42		sta ($42)
	01DA33 60		rts

01DA34	01DA34 A9 4F		lda #$4F'O'
	01DA36 8D 5E 86		sta $865E
	01DA39 A9 53		lda #$53'S'
	01DA3B 8D 5F 86		sta $865F
	01DA3E DF 74 14		bbs 5,$74,$01da55
	01DA41 AF 73 11		bbs 2,$73,$01da55
	01DA44 AD 31 9A		lda $9A31
	01DA47 8D ED 99		sta $99ED
	01DA4A AD 34 9A		lda $9A34
	01DA4D F0 03		beq $01da52
	01DA4F 4C AC 5C		jmp $5CAC

01DA52	01DA52 CF 6A 01		bbs 4,$6A,$01da56
01DA55	01DA55 60		rts

01DA56	01DA56 C2 04 ED 99	rba $04,$99ED
	01DA5A F2 ED 99 01 03	bas $99ED,$01,$01da62
	01DA5F 4C 30 5B		jmp $5B30

01DA62	01DA62 20 14 5E		jsr $5E14
	01DA65 90 03		bcc $01da6a
	01DA67 4C AC 5C		jmp $5CAC

01DA6A	01DA6A E2 ED 99 80 21	bar $99ED,$80,$01da90
	01DA6F AA		tax
	01DA70 C2 80 ED 99	rba $80,$99ED
	01DA74 8A		txa
	01DA75 C9 00		cmp #$00
	01DA77 D0 03		bne $01da7c
	01DA79 4C 89 5C		jmp $5C89

01DA7C	01DA7C C9 01		cmp #$01
	01DA7E F0 0B		beq $01da8b
	01DA80 C9 02		cmp #$02
	01DA82 F0 03		beq $01da87
	01DA84 4C D8 5C		jmp $5CD8

01DA87	01DA87 20 E4 5C		jsr $5CE4
	01DA8A 60		rts

01DA8B	01DA8B AD 35 9A		lda $9A35
	01DA8E 80 0C		bra $01da9c

01DA90	01DA90 CD 35 9A		cmp $9A35
	01DA93 D0 07		bne $01da9c
	01DA95 D2 80 ED 99	sba $80,$99ED
	01DA99 4C D1 5C		jmp $5CD1

01DA9C	01DA9C 8D 28 9A		sta $9A28
	01DA9F 85 44		sta $44
	01DAA1 8D 01 80		sta $8001
	01DAA4 A9 01		lda #$01
	01DAA6 8D 34 9A		sta $9A34
	01DAA9 AD 1F 9A		lda $9A1F
	01DAAC 10 2C		bpl $01dada
	01DAAE A5 44		lda $44
	01DAB0 8D 1E 9A		sta $9A1E
	01DAB3 A9 08		lda #$08
	01DAB5 8D 1F 9A		sta $9A1F
	01DAB8 F2 ED 99 40 05	bas $99ED,$40,$01dac2
	01DABD A9 00		lda #$00
	01DABF 8D 1F 9A		sta $9A1F
01DAC2	01DAC2 AD 1E 9A		lda $9A1E
	01DAC5 89 03		add #$03
	01DAC7 8D 1E 9A		sta $9A1E
	01DACA A9 00		lda #$00
	01DACC 6D 1F 9A		adc $9A1F
	01DACF 8D 1F 9A		sta $9A1F
	01DAD2 A9 01		lda #$01
	01DAD4 8D 32 9A		sta $9A32
	01DAD7 4C AC 5C		jmp $5CAC

01DADA	01DADA EE 32 9A		inc $9A32
	01DADD AD 1E 9A		lda $9A1E
	01DAE0 85 40		sta $40
	01DAE2 AD 1F 9A		lda $9A1F
	01DAE5 85 41		sta $41
	01DAE7 A5 40		lda $40
	01DAE9 8D 20 9A		sta $9A20
	01DAEC A5 41		lda $41
	01DAEE 8D 21 9A		sta $9A21
	01DAF1 20 B8 57		jsr $57B8
	01DAF4 90 26		bcc $01db1c
	01DAF6 AD 36 9A		lda $9A36
	01DAF9 D0 0E		bne $01db09
	01DAFB A5 40		lda $40
	01DAFD CD 24 9A		cmp $9A24
	01DB00 D0 0D		bne $01db0f
	01DB02 A5 41		lda $41
	01DB04 CD 25 9A		cmp $9A25
	01DB07 D0 06		bne $01db0f
01DB09	01DB09 D2 04 ED 99	sba $04,$99ED
	01DB0D 80 0D		bra $01db1c

01DB0F	01DB0F A5 40		lda $40
	01DB11 8D 1E 9A		sta $9A1E
	01DB14 A5 41		lda $41
	01DB16 8D 1F 9A		sta $9A1F
	01DB19 4C AC 5C		jmp $5CAC

01DB1C	01DB1C A9 00		lda #$00
	01DB1E 8D 36 9A		sta $9A36
	01DB21 AD 32 9A		lda $9A32
	01DB24 CD 12 9A		cmp $9A12
	01DB27 D0 04		bne $01db2d
	01DB29 D2 04 ED 99	sba $04,$99ED
01DB2D	01DB2D 4C 3F 5C		jmp $5C3F

01DB30	01DB30 20 8F 5D		jsr $5D8F
	01DB33 90 03		bcc $01db38
	01DB35 4C AC 5C		jmp $5CAC

01DB38	01DB38 AD 1C 9A		lda $9A1C
	01DB3B 85 46		sta $46
	01DB3D AD 1D 9A		lda $9A1D
	01DB40 85 47		sta $47
	01DB42 38		sec
	01DB43 A5 46		lda $46
	01DB45 E5 40		sbc $40
	01DB47 85 46		sta $46
	01DB49 A5 47		lda $47
	01DB4B E5 41		sbc $41
	01DB4D 85 47		sta $47
	01DB4F B0 03		bcs $01db54
	01DB51 4C D8 5C		jmp $5CD8

01DB54	01DB54 A5 41		lda $41
	01DB56 D0 43		bne $01db9b
	01DB58 A5 40		lda $40
	01DB5A C9 03		cmp #$03
	01DB5C B0 3D		bcs $01db9b
	01DB5E C9 01		cmp #$01
	01DB60 D0 04		bne $01db66
	01DB62 20 0E 5E		jsr $5E0E
	01DB65 60		rts

01DB66	01DB66 C9 00		cmp #$00
	01DB68 D0 1B		bne $01db85
	01DB6A D2 01 ED 99	sba $01,$99ED
	01DB6E AD 22 9A		lda $9A22
	01DB71 8D 1E 9A		sta $9A1E
	01DB74 AD 23 9A		lda $9A23
	01DB77 8D 1F 9A		sta $9A1F
	01DB7A 20 0E 5E		jsr $5E0E
	01DB7D A9 01		lda #$01
	01DB7F 8D 36 9A		sta $9A36
	01DB82 4C D1 5C		jmp $5CD1

01DB85	01DB85 C9 02		cmp #$02
	01DB87 D0 08		bne $01db91
	01DB89 AD 2E 9A		lda $9A2E
	01DB8C CD F4 99		cmp $99F4
	01DB8F D0 03		bne $01db94
01DB91	01DB91 4C D8 5C		jmp $5CD8

01DB94	01DB94 EE 2E 9A		inc $9A2E
	01DB97 EE 2D 9A		inc $9A2D
	01DB9A 60		rts

01DB9B	01DB9B AD 22 9A		lda $9A22
	01DB9E 8D 20 9A		sta $9A20
	01DBA1 AD 23 9A		lda $9A23
	01DBA4 8D 21 9A		sta $9A21
	01DBA7 C2 10 ED 99	rba $10,$99ED
	01DBAB E2 ED 99 20 04	bar $99ED,$20,$01dbb4
	01DBB0 D2 10 ED 99	sba $10,$99ED
01DBB4	01DBB4 E2 ED 99 40 06	bar $99ED,$40,$01dbbf
	01DBB9 A5 41		lda $41
	01DBBB 89 08		add #$08
	01DBBD 85 41		sta $41
01DBBF	01DBBF A5 40		lda $40
	01DBC1 8D 22 9A		sta $9A22
	01DBC4 A5 41		lda $41
	01DBC6 8D 23 9A		sta $9A23
	01DBC9 B2 00 46		sti #$00,$46
	01DBCC B2 80 47		sti #$80,$47
	01DBCF B2 B3 1E		sti #$B3,$1E		;Cx9	bank switch register 6 (R/W)
01DBD2	01DBD2 A5 40		lda $40
	01DBD4 85 42		sta $42
	01DBD6 A5 41		lda $41
	01DBD8 89 A0		add #$A0
	01DBDA 85 43		sta $43
	01DBDC A1 42		lda ($42)
	01DBDE E6 46		inc $46
	01DBE0 D0 03		bne $01dbe5
	01DBE2 4C D8 5C		jmp $5CD8

01DBE5	01DBE5 81 46		sta ($46)
	01DBE7 85 44		sta $44
	01DBE9 A5 41		lda $41
	01DBEB 89 D0		add #$D0
	01DBED 85 43		sta $43
	01DBEF A1 42		lda ($42)
	01DBF1 85 40		sta $40
	01DBF3 A5 41		lda $41
	01DBF5 89 B0		add #$B0
	01DBF7 85 43		sta $43
	01DBF9 A1 42		lda ($42)
	01DBFB 4A		lsr a
	01DBFC 4A		lsr a
	01DBFD 4A		lsr a
	01DBFE 4A		lsr a
	01DBFF 85 41		sta $41
	01DC01 D0 CF		bne $01dbd2
	01DC03 A5 40		lda $40
	01DC05 D0 CB		bne $01dbd2
	01DC07 C2 20 ED 99	rba $20,$99ED
	01DC0B AE 12 9A		ldx $9A12
	01DC0E CA		dex
	01DC0F E4 46		cpx $46
	01DC11 D0 04		bne $01dc17
	01DC13 D2 20 ED 99	sba $20,$99ED
01DC17	01DC17 A5 46		lda $46
	01DC19 8D 34 9A		sta $9A34
	01DC1C 8D 32 9A		sta $9A32
	01DC1F F2 ED 99 10 17	bas $99ED,$10,$01dc3b
	01DC24 AD 21 9A		lda $9A21
	01DC27 30 12		bmi $01dc3b
	01DC29 AD 20 9A		lda $9A20
	01DC2C 85 40		sta $40
	01DC2E AD 21 9A		lda $9A21
	01DC31 85 41		sta $41
	01DC33 20 B8 57		jsr $57B8
	01DC36 90 07		bcc $01dc3f
	01DC38 4C AC 5C		jmp $5CAC

01DC3B	01DC3B D2 04 ED 99	sba $04,$99ED
01DC3F	01DC3F AD 26 9A		lda $9A26
	01DC42 85 46		sta $46
	01DC44 AD 27 9A		lda $9A27
	01DC47 85 47		sta $47
	01DC49 20 0A 58		jsr $580A
	01DC4C A5 46		lda $46
	01DC4E 8D 26 9A		sta $9A26
	01DC51 A5 47		lda $47
	01DC53 8D 27 9A		sta $9A27
	01DC56 F2 ED 99 01 02	bas $99ED,$01,$01dc5d
	01DC5B 80 4F		bra $01dcac

01DC5D	01DC5D AD 28 9A		lda $9A28
	01DC60 8D 1E 9A		sta $9A1E
	01DC63 A9 08		lda #$08
	01DC65 8D 1F 9A		sta $9A1F
	01DC68 F2 ED 99 40 05	bas $99ED,$40,$01dc72
	01DC6D A9 00		lda #$00
	01DC6F 8D 1F 9A		sta $9A1F
01DC72	01DC72 A9 01		lda #$01
	01DC74 8D 32 9A		sta $9A32
	01DC77 AD 1E 9A		lda $9A1E
	01DC7A 89 03		add #$03
	01DC7C 8D 1E 9A		sta $9A1E
	01DC7F A9 00		lda #$00
	01DC81 6D 1F 9A		adc $9A1F
	01DC84 8D 1F 9A		sta $9A1F
	01DC87 80 23		bra $01dcac

01DC89	01DC89 C2 01 ED 99	rba $01,$99ED
	01DC8D C2 20 ED 99	rba $20,$99ED
	01DC91 AD 1E 9A		lda $9A1E
	01DC94 8D 22 9A		sta $9A22
	01DC97 AD 1F 9A		lda $9A1F
	01DC9A 8D 23 9A		sta $9A23
	01DC9D AE 12 9A		ldx $9A12
	01DCA0 CA		dex
	01DCA1 EC 32 9A		cpx $9A32
	01DCA4 F0 02		beq $01dca8
	01DCA6 B0 04		bcs $01dcac
01DCA8	01DCA8 D2 20 ED 99	sba $20,$99ED
01DCAC	01DCAC AE 34 9A		ldx $9A34
	01DCAF F0 20		beq $01dcd1
01DCB1	01DCB1 AE 34 9A		ldx $9A34
	01DCB4 BD 00 80		lda $8000,x
	01DCB7 CD 35 9A		cmp $9A35
	01DCBA D0 08		bne $01dcc4
	01DCBC 89 33		add #$33'3'
	01DCBE 8D 35 9A		sta $9A35
	01DCC1 BD 00 80		lda $8000,x
01DCC4	01DCC4 20 E4 08		jsr $08E4
	01DCC7 CE 34 9A		dec $9A34
	01DCCA D0 E5		bne $01dcb1
	01DCCC A9 00		lda #$00
	01DCCE 8D 33 9A		sta $9A33
01DCD1	01DCD1 AD ED 99		lda $99ED
	01DCD4 8D 31 9A		sta $9A31
	01DCD7 60		rts

01DCD8	01DCD8 AD ED 99		lda $99ED
	01DCDB 8D 31 9A		sta $9A31
	01DCDE A9 48		lda #$48'H'
	01DCE0 8D 60 86		sta $8660
	01DCE3 60		rts

01DCE4	01DCE4 B2 1C 40		sti #$1C,$40
	01DCE7 B2 9A 41		sti #$9A,$41
	01DCEA B2 1B 42		sti #$1B,$42
	01DCED B2 00 43		sti #$00,$43
	01DCF0 20 84 56		jsr $5684
	01DCF3 A9 01		lda #$01
	01DCF5 8D 29 9A		sta $9A29
	01DCF8 A9 08		lda #$08
	01DCFA 8D 2B 9A		sta $9A2B
	01DCFD A9 80		lda #$80
	01DCFF 8D 1F 9A		sta $9A1F
	01DD02 A9 01		lda #$01
	01DD04 8D 2E 9A		sta $9A2E
	01DD07 AD EC 99		lda $99EC
	01DD0A F0 04		beq $01dd10
	01DD0C C9 01		cmp #$01
	01DD0E D0 01		bne $01dd11
01DD10	01DD10 60		rts

01DD11	01DD11 C9 02		cmp #$02
	01DD13 D0 2A		bne $01dd3f
	01DD15 B2 B3 1E		sti #$B3,$1E		;Cx9	bank switch register 6 (R/W)
	01DD18 B2 03 40		sti #$03,$40
	01DD1B B2 D0 41		sti #$D0,$41
	01DD1E 20 7E 56		jsr $567E
	01DD21 B2 03 40		sti #$03,$40
	01DD24 B2 A0 41		sti #$A0,$41
	01DD27 A2 00		ldx #$00
01DD29	01DD29 8A		txa
	01DD2A 91 40		sta ($40),x
	01DD2C E8		inx
	01DD2D D0 FA		bne $01dd29
	01DD2F A9 09		lda #$09
	01DD31 8D 31 9A		sta $9A31
	01DD34 A9 02		lda #$02
	01DD36 8D 30 9A		sta $9A30
	01DD39 A9 01		lda #$01
	01DD3B 85 41		sta $41
	01DD3D 80 37		bra $01dd76

01DD3F	01DD3F B2 03 40		sti #$03,$40
	01DD42 B2 D8 41		sti #$D8,$41
	01DD45 20 7E 56		jsr $567E
	01DD48 B2 03 40		sti #$03,$40
	01DD4B B2 C8 41		sti #$C8,$41
	01DD4E 20 7E 56		jsr $567E
	01DD51 B2 03 40		sti #$03,$40
	01DD54 B2 B8 41		sti #$B8,$41
	01DD57 20 7E 56		jsr $567E
	01DD5A B2 03 40		sti #$03,$40
	01DD5D B2 A8 41		sti #$A8,$41
	01DD60 A2 00		ldx #$00
01DD62	01DD62 8A		txa
	01DD63 91 40		sta ($40),x
	01DD65 E8		inx
	01DD66 D0 FA		bne $01dd62
	01DD68 A9 49		lda #$49'I'
	01DD6A 8D 31 9A		sta $9A31
	01DD6D A9 0A		lda #$0A
	01DD6F 8D 30 9A		sta $9A30
	01DD72 A9 09		lda #$09
	01DD74 85 41		sta $41
01DD76	01DD76 A9 03		lda #$03
	01DD78 85 40		sta $40
	01DD7A A5 40		lda $40
	01DD7C 8D 1C 9A		sta $9A1C
	01DD7F A5 41		lda $41
	01DD81 8D 1D 9A		sta $9A1D
	01DD84 A5 40		lda $40
	01DD86 8D 26 9A		sta $9A26
	01DD89 A5 41		lda $41
	01DD8B 8D 27 9A		sta $9A27
	01DD8E 60		rts

01DD8F	01DD8F AD 2B 9A		lda $9A2B
	01DD92 F0 27		beq $01ddbb
	01DD94 85 43		sta $43
	01DD96 AD 2A 9A		lda $9A2A
	01DD99 85 41		sta $41
	01DD9B 20 F3 5D		jsr $5DF3
	01DD9E A5 41		lda $41
	01DDA0 8D 2A 9A		sta $9A2A
	01DDA3 85 40		sta $40
	01DDA5 A5 43		lda $43
	01DDA7 8D 2B 9A		sta $9A2B
	01DDAA F2 ED 99 80 3E	bas $99ED,$80,$01dded
	01DDAF A9 80		lda #$80
	01DDB1 85 41		sta $41
	01DDB3 AD 2E 9A		lda $9A2E
	01DDB6 85 43		sta $43
	01DDB8 4C CA 5D		jmp $5DCA

01DDBB	01DDBB AD 2A 9A		lda $9A2A
	01DDBE 85 40		sta $40
	01DDC0 AD 2C 9A		lda $9A2C
	01DDC3 85 41		sta $41
	01DDC5 AD 2D 9A		lda $9A2D
	01DDC8 85 43		sta $43
	01DDCA 20 F3 5D		jsr $5DF3
	01DDCD E2 ED 99 80 0D	bar $99ED,$80,$01dddf
	01DDD2 A5 41		lda $41
	01DDD4 8D 2C 9A		sta $9A2C
	01DDD7 A5 43		lda $43
	01DDD9 8D 2D 9A		sta $9A2D
	01DDDC 4C ED 5D		jmp $5DED

01DDDF	01DDDF A5 41		lda $41
01DDE1	01DDE1 4A		lsr a
	01DDE2 90 FD		bcc $01dde1
	01DDE4 85 41		sta $41
	01DDE6 A9 08		lda #$08
	01DDE8 8D 2B 9A		sta $9A2B
	01DDEB 18		clc
	01DDEC 60		rts

01DDED	01DDED C2 80 ED 99	rba $80,$99ED
	01DDF1 38		sec
	01DDF2 60		rts

01DDF3	01DDF3 4E 29 9A		lsr $9A29
	01DDF6 D0 0A		bne $01de02
	01DDF8 20 14 5E		jsr $5E14
	01DDFB B0 0C		bcs $01de09
	01DDFD 38		sec
	01DDFE 6A		ror a
	01DDFF 8D 29 9A		sta $9A29
01DE02	01DE02 66 41		ror $41
	01DE04 C6 43		dec $43
	01DE06 D0 EB		bne $01ddf3
	01DE08 60		rts

01DE09	01DE09 D2 80 ED 99	sba $80,$99ED
	01DE0D 60		rts

01DE0E	01DE0E A9 01		lda #$01
	01DE10 8D 29 9A		sta $9A29
	01DE13 60		rts

01DE14	01DE14 CF 6A 02		bbs 4,$6A,$01de19
	01DE17 38		sec
	01DE18 60		rts

01DE19	01DE19 AD 5B 86		lda $865B
	01DE1C 47 6A		rmb 4,$6A
	01DE1E 18		clc
	01DE1F 60		rts

01DE20	01DE20 FF FF FF
	...
	01FFFE FF FF
